Welcome to Trimble Business Center

Trimble® Business Center office software is ideal for processing and analyzing satellite and terrestrial survey data recorded in the field, and exporting it to a design package. The software provides numerous innovative and unique features, and it is easy to learn and use.

There are three methods for navigating the online help:

  • Select the Help Contents tab to browse to the topics you need. Topics are organized into expandable chapter and section nodes, which are identified by book icons.
  • Select the Help Index tab to locate topics using pre-defined index keywords.
  • Select the Help Search tab to locate topics using keywords of your choice.

In addition, you can press F1 anytime you are using the software to display a related topic.

To print help information, select any topic or book in the Help Contents, Index, or Search tab and click Print in the Help menu bar.

If you are new to the software, you might start by reviewing topics in the Get Started chapter.

Note: Depending on your licensed configuration of Trimble Business Center, some of the topics in the online Help may not be applicable.


Send Feedback

We are constantly striving to provide you with the most useful documentation possible. If you have comments or suggestions for improvements to the help, release notes, tours, tutorials or workflow guides, please do not hesitate to contact us at:
OSG_Documentation@Trimble.com

All submitted comments and suggestions become the property of Trimble Navigation Limited.


Get Started

In This Chapter

Check for Updates

View and Manage Licensed Features

Licensed Features

Find Help Topics

Help Options

Register the Software

Customize the Menu

Customize the Toolbars

Customize the Keyboard

Customization Options and Tools

Retain User Settings When Upgrading

Get Familiar with the Interface

Choose Application Options


Check for Updates

Periodically, updated files used with Trimble Business Center become available for download so you can install them on your computer (for example, GNSS antenna and receiver configuration files).

To check for and install updated files:

  1. Ensure your computer is connected to the Internet.
  2. Select Help > Check for Updates.

    The Check for Updates dialog displays listing available updated files that are more current than the files currently installed on your computer.

  3. Optionally, select the Show all updates checkbox to view all updated files available, not just those that are newer than the ones currently installed on your computer.

    This might be helpful if you need to reinstall a corrupted file.

  4. If updated files are available that you want to download and install, check the files in the Updates available list and click the Install Updates button.

Related topics

Start Page


View and Manage Licensed Features

Product licensing information is contained in either a HASP® hardware key (single-user license) connected to your computer, or a HASP network key (multi-user license) installed on your network. If no license has been installed, the software allows you to import and view data only. It does not allow you to use any licensed features.

The License Manager allows you to view and manage licensing information.

Note about multi-user licenses: Users can use a multi-user license on an as-needed basis, up to the limit of concurrent users allowed by the license. Typically, users must be connected to the network to use the license. However, the HASP network key can be configured to allow users to check out a "detachable" instance of the multi-user license for a limited period of time, allowing the user to run the software without being connected to the network. For more information, contact your administrator.

To view the License Manager:

  1. Select Help > About Trimble Business Center.

    The About Trimble Business Center dialog displays.

  2. Click Licenses.

    The License Manager dialog displays. You can use this dialog to do the following:

    • Select where your license is located.
    • View both licensed and unlicensed features, and the status of licensed features.
    • View your warranty expiration date.
    • Upgrade a single-user license installed on your computer.
    • Check out a detachable instance of a multi-user software license (if applicable).

View any of the following sections for instructions on performing tasks using the License Manager dialog.

To select where your license is located:

Each time you run the software, it checks your license to determine the features available for use. In the License Manager dialog, you can select the appropriate option in the Search type drop-down list to specify where the software searches to locate your license.

  • Automatic - This is the default search option. The software searches for a license by first checking whether a HASP hardware key is connected to a USB port on your computer. If it does not find a license on a HASP hardware key, it checks whether a checked-out instance of a multi-user license is installed on your computer. If it does not find a checked-out instance of a multi-user license, it checks whether a multi-user license is available on a HASP network key. Optionally, you can specify a network server in the License server drop-down list; otherwise, all network servers are searched.

    The Automatic search option will typically work fine at locating your license. For example, all single-license HASP hardware key users can use the Automatic option. However, you may want to select a different option in situations where more than one license may be found. For example, your organization might have more than one HASP network key installed on different servers, and you want to select the correct server. Or, you may have a HASP hardware key installed on your computer but prefer to use a multi-user license installed on the network that includes more features.

  • Local Hardware - The software searches for a license installed on a HASP hardware key connected to a USB port on your computer.
  • Local Software - The software searches for a checked-out instance of a multi-user license installed on your computer.
  • Local Automatic - The software searches for a license by first checking whether a HASP hardware key is connected to a USB port on your computer. If it does not find a license on a HASP hardware key, it checks whether a checked-out instance of a multi-user license is installed on your computer.
  • Network - The software searches for a multi-user license on a HASP network key installed on the server specified in the License server drop-down list. If the correct server is not already included in the list, select the <search network> option to locate it.

When a license is found, it is displayed in the Features list.

To upgrade a single-user license:

  1. In the License Manager dialog, click the Upgrade button.
  2. In the Upgrade License dialog, select the key you want to upgrade and enter the 19-digit code provided for your upgrade.
  3. Click the Upgrade button.

    After the upgrade process is complete, you should verify the upgrade completed successfully by, depending on the type of upgrade, checking that new features were added or the warranty date was updated.

To check out a multi-user license:

If your organization is using a multi-user license installed on a network, you might be able to check out a detachable instance of the license so that you can run the software without being connected to the network. The following conditions must be met to enable checkout. Contact your administrator for additional assistance.

  • A HASP network key (multi-user license) is installed on your network and is configured to support license checkout.
  • There are licenses available for checkout.
  • Your computer is configured to allow license checkout.

Follow these steps:

  1. In the License Manager dialog, click the Check Out button.
  2. In the Check Out License dialog, optionally select the server on which the HASP network key is installed.

    If only one HASP network key can be found, the server on which it is installed is already selected.

  3. In the Duration box, select the number of days you want to check out the license, or select a checkout expiration date.
  4. Click OK.

    If your computer is not configured for license checkout, a message displays that provides appropriate instructions.

    You can run the software with your detachable instance of a multi-user license for the duration of your checkout time without being connected to the network.

Related topics

Licensed Features


Licensed Features

The following table lists the features available in Trimble Business Center based on the installed license. Contact your dealer for more information.

Feature | No license | Standard license | Advanced license
Managing project files
Create, save, open, and archive Trimble Business Center (.VCE) projects. | X | X | X
Create, save, open, and archive Trimble Business Center (.TSPX) projects that can be shared with Trimble RealWorks. | X | X | X
Configuring projects
Configure a project by specifying the following: - Coordinate system - Units of measurement - Viewing properties - Computations - Baseline processing parameters - Network adjustment parameters - Default standard errors - Feature definition library | X | X | X
Customize the look and feel of the user interface, and specify configuration options. | X | X | X
Upload a datum grid file or geoid file. | X | X | X
View a list of files related to the project. | X | X | X
Preconfigure the snap mode options used most often. | X | X | X
Create or import layers to keep data in the project organized by type. | X | X | X
Importing and exporting data
Import and export raw GNSS data. | X | X | X
Import and export RTK data. | X | X | X
Import and export digital level data. | X | X | X
Import and export total station data. | X | X | X
Create custom importers and exporters to specify data based on specific needs. | X | X | X
Convert Trimble Geomatic Office (TGO) projects to TBC projects. | X | X | X
Save files to, and open files from, the Trimble Connected Community (TCC) site. Use Trimble Access Services for additional useful services. | X | X | X
Import and export event data. |  |  | X
Processing data
Compute a project to determine coordinates for points. | X | X | X
Perform a site calibration. | X | X | X
Calculate and report inverse values between any two points in your project. | X | X | X
Process baselines for L1 data. |  | X | X
Perform loop closure on L1 data. |  | X | X
Adjust a network for L1 data. |  | X | X
Adjust a network for total station data. |  | X | X
Adjust a network for leveling data. |  | X | X
Process baselines for multiple-frequency GPS and GLONASS data. |  |  | X
Perform loop closure on multiple-frequency GPS and GLONASS data. |  |  | X
Adjust a network for multiple-frequency GPS and GLONASS data. |  |  | X
Process event data. |  |  | X
Viewing data
Filter and view project data in various graphic views, including a plan view, 3D view, photo image view, and Google Earth view. | X | X | X
View point data in spreadsheets that can be easily reorganized and copied into other applications | X | X | X
View and navigate objects in a project using a familiar explorer window. | X | X | X
Directly access Microsoft® Windows® CE-based field devices or files maintained by Office Synchronizer. | X | X | X
Add and edit textual annotations and labels for graphic views. | X | X | X
Specify an area in the Plan View to print or plot using a "plotbox." | X | X | X
Generate numerous, customizable reports, including reports on imported data, baseline processing, point derivations, mean angles, and network adjustments. | X | X | X
View vector, optical, and occupation data in spreadsheets that can be easily reorganized and copied into other applications. |  | X | X
Display GNSS session data in a chronological format to check for valid sessions. |  | X | X
View alignments in a 3D drive-through view. |  |  | X
Add a color key to any surface or map. |  |  | X
Selecting data
Choose from numerous selection options to easily and precisely select data in your project. Or, create customized selection sets in advance. | X | X | X
Editing data
Copy, move, scale, rotate, and change elevation for processed objects, including points, observations, coordinates, and baselines. | X | X | X
Explode CAD blocks that contain objects you want to move, modify, or delete individually. | X | X | X
Create, rename, merge, and delete points in your project. | X | X | X
Edit session data. |  | X | X
Edit baselines. |  | X | X
Edit PP vectors. |  | X | X
Edit RTK data. |  | X | X
Edit imported data. |  | X | X
Edit total station data. |  | X | X
Edit digital level data. |  | X | X
Edit mean angle residuals.. |  | X | X
Working with features
Import and export feature data. | X | X | X
View and edit feature. |  | X | X
Process feature codes to display feature symbols and lines in the project. |  | X | X
Working with lines
Create and edit polylines, boundaries, breaklines, and linestrings. | X | X | X
Specify the elevation for a line. | X | X | X
Apply a horizontal and/or vertical offset to a line. |  | X | X
Trim and extend lines. |  | X | X
Working with surfaces
Create surfaces and add and remove surface members. | X | X | X
Trim a surface’s edge. | X | X | X
Create breaklines, contours, profiles, and cross-sections for a surface. | X | X | X
Create a surface elevation grid. | X | X | X
Check any surface cross-section by slicing vertically through the surface. | X | X | X
Add and remove boundaries for a surface. |  |  | X
Create a surface edge breakline, drape a line on a surface, and add surface texture. |  |  | X
Create a cut/fill map. |  |  | X
Specify the shading on a surface or cut/fill map. |  |  | X
Create, edit, and copy a graphic view formed by slicing vertically through and perpendicular to a horizontal alignment. |  |  | X
Merge two surfaces into one. |  |  | X
Working with alignments and corridors
Create and edit horizontal, vertical, and superelevated alignments. | X | X | X
View alignments in profile and cross-section views. | X | X | X
Create and edit corridors (for example, for roadways). | X | X | X
Add superelevation instructions to a corridor template. |  |  | X
Specify the available material layers for a corridor. |  |  | X
Working with images
View media file assigned to points and linestrings. | X | X | X
Assign media files to, and remove media files from, points and linestrings. |  | X | X
Save the contents of the active Plan View as both a georeferenced image and a placemark KML filethat can be viewed in Google™ Earth. |  |  | X
Create and save 3D model views. |  |  | X
Create and save georeferenced images as positionally accurate backgrounds for your data. |  |  | X
Improve the quality of scanned images by balancing photo exposures and blending photo edges in panoramas. |  |  | X
Create panoramas from scanned images for viewing in Google Earth. |  |  | X
Managing construction job sites
Manage a construction job site, including creating job site designs and managing work orders. | X | X | X
Using related tools
Easily access numerous related tools and utilities, including the Coordinate System Manager and Feature Definition Manager. | X | X | X
Learning to use the software
Access comprehensive online Help at anytime by pressing F1. | X | X | X
View easy-to-follow workflows that provide fast-trick instructions for major tasks. | X | X | X
Learn the hands-on way using tutorials and sample data. | X | X | X

Related topics

View and Manage Licensed Features


Find Help Topics

Use this help system to find the information you need on the concepts, procedures, and options used in the software. Select Search to find topics by entering a keyword. Select Contents to browse through topics and glossary items in a table of contents. Select Index to find topics and glossary items alphabetically.

Note: To learn what is new in this version, use the Help menu to access the Read Me and Release Notes.

To display the help system:

  • Select Help > Help.
  • Press [F1].

To display context-sensitive help on a specific command:

  • Press [F1] while in the specific command or dialog.
  • Right-click on a command in the Command pane's All Commands list, and select Help from the context menu.

To print a help topic:

  • Click the [image] icon.
  • Right-click on a topic in the Help window, and select Print from the context menu. Then select Print > Print the selected topic from the context menu.
  • To print a topic and all of its associated subtopics, select the topic, and select Print from the context menu. Then select Print > Print the selected heading and all subtopics from the context menu.

Related topics

Help Options

Learn from Tours and Tutorials

Follow Workflow Guides


Help Options

Use these options to find information and answers on the concepts, procedures, and options covered in the help system. They are available in the help dialog.

Tabs

Contents

Click this tab to show all of the help topics in a tree structure. Click a chapter or topic to view it.

Search

Type a keyword in the search box. Then, click List Topics to search for any occurrence of the word in the help topics. Select a topic in the search results, and click Display to open it. The word you search on is highlighted in each help topic. See the Search highlight on/off option below.

  1. The Find Setup wizard may appear. If it does, select the Minimize database size option and click Next. Then click Finish.
  2. In the Type the word(s) you wish to find box, enter the word or phrase that you want to find.
  3. If necessary, in the Select matching word(s) to narrow the search box, enter a word to narrow the search.

In the Choose topic to display box, select a topic. It will be displayed in the right side of the Help window.

Menu options

Hide/show tabs

Click this to hide the Contents and Search tabs.

Back

Click this to view the previous topic.

Print

Click this to display the Print Topics dialog. Select an option to either print just the selected topic, or the heading and all subtopics.

Stop

Click this to end a search function.

Refresh

Click this to reset the display of the current page.

Internet options

Click this to display the Internet Options dialog, where you can set security, privacy, content, connections, programs, and other settings for the Internet.

Search highlight on/off

Click this to enable/disable the highlighting of each instance of the keyword in searched topics.

Related topics

Find Help Topics


Register the Software

Register this software so you can receive product upgrades, support, and warranty-related services.

Note: The Product Registration dialog appears in English only. The following steps guide you through the dialog in your installed language.

To register:

  1. Select Help > About. The About dialog displays.
  2. Click Register. The Product Registration dialog displays, showing these notes:

    Please register your new software with the MyTrimble system. The MyTrimble system provides access to the latest product information from, and helps track your company's products and warranty information.

    Enter your email address. Each MyTrimble account has an associated email address. If your company has an existing MyTrimble account, enter that email address.

    If your company does not have an existing MyTrimble account, then you will create an account in the next step.

    Note: We value your privacy. We will not sell, rent, or share this information with third party marketing firms or other manufacturers or products. For further details, please click on the link to see our Privacy Statement.

  3. Type your email address in the box, and click Next. These notes appear:

    To create an account, enter your contact details below. All fields are required. If your company already has an account, click Back to return to the previous screen and enter the email address for that account.

    Note: These contact details may be used for the delivery of product upgrades or enhancements, and warranty-related services. Refer to our Privacy Statement for additional details.

  4. Type the following in the boxes: (all are required)
    • First name
    • Last name
    • Company name
    • Address
    • City
    • State/Province
    • Postal code
    • Country
    • Phone number
  5. Click Next. This note appears:

    If you have a dongle attached to your computer, its serial number has been read and entered below. If you software did not come with a dongle, refer to the sticker on the software box for your serial number. These boxes should be automatically filled:

    • Serial number
    • Product name
    • Part number
    • Ship date

      Note: Your software product may not require a dongle or other license.

  6. If the boxes are empty, type the serial number for your software in the Serial Number box, and click Product Lookup. Otherwise, skip to step 9.

    Note: If you receive this warning: Serial Number Not Found! Please make sure you have entered the serial code correctly, click Reenter Serial Number, and correct the serial number.

  7. If you have a company-specific reference number for software, you can type it in the Reference Number box.
  8. Click Submit. This note appears:

    Thank you for registering! Your software has been successfully registered! Your password has been sent to your email. Please check your email to find the details on how to access your MyTrimble account.

    This note may also appear: Our system found that you have other products that are not yet registered. Please choose below which product you want to register and click Register.

  9. Check boxes for any other products you want to register, and click Register. Otherwise, click Not this time.

Note: To login to your MyTrimble account, please visit our web site's Register page.


Customize the Menu

The easiest way to customize menus is by choosing a pre-defined menu layout. You can also customize the menus manually by:

  • Rearranging menu commands
  • Adding a command to a menu
  • Deleting a command from a menu
  • Saving a menu layout
  • Adding external tools to the Tools menu

Tip: In addition to the steps below, when the Customize dialog is open, you can also rearrange, move, and remove a command by selecting it on the program's menu and dragging it to a new location. You can add a command by selecting it in the dialog's Command list on the Commands tab and dragging it to one of the program's menus.

To rearrange menu commands:

  1. Select Tools > Customize. The Customize dialog displays.
  2. Click the Commands tab.
  3. Click Rearrange Commands.
  4. In the Rearrange Commands dialog, select Menu Bar option and then select a menu from the drop-down list.
  5. In the Commands area, highlight the menu command that you want to move.
  6. To move the menu item, do one of the following:
    • Click Move Up to move the item up the menu list.
    • Click Move Down to move the item down the menu list.
    • Click Close to exit, or click Reset to return to the default setting.

To add a command to a menu:

  1. Select Tools > Customize. The Customize dialog displays.
  2. Click the Commands tab.
  3. Click Rearrange Commands.
  4. In the Rearrange Commands dialog, select Menu Bar and then select a menu from the drop-down list.
  5. Click Add.
  6. In the Add Command dialog, select a category and then the command that you want to add to the menu selected in the Rearrange Commands dialog.
  7. Click OK.
  8. Do one of the following:
    • Click Close to exit.
    • Click Move Up or Move Down to move the command if you want it in a different position.
    • Click Reset to remove the added command and return to the default setting.

To delete a command from a menu:

  1. Select Tools > Customize. The Customize dialog displays.
  2. Click the Commands tab.
  3. Click Rearrange Commands.
  4. In the Rearrange Commands dialog, select Menu Bar and then select a menu from the drop-down list.
  5. In the Commands area, highlight the menu command that you want to delete.
  6. Click Delete.
  7. Click Close to exit, or click Reset to return to the default setting.

To save a custom layout:

After customizing a menu using one of the procedures above, save it so that the new layout appears each time you open the software.

  1. Click the Save/Load tab.
  2. Click New and give your layout a name and click OK. Your layout now appears in the Saved Layouts window.

To add a new tool to the menu:

  1. Select Tools > External Tools Manager. The External Tools Manager displays.
  2. Click Add. [New Tool] appears in the Menu Contents list.
  3. Type a name for the tool in the Title box.
  4. Next to the Command box, click the [browse] icon to browse for a tool file. For example, if you want to add the executable for the calculator, browse to C:\WINDOWS\system32\calc.exe.
  5. If needed, click Move Up or Move Down to change the position of the new item in the menu.
  6. Click OK. The tool appears in the tools menu.

To delete a tool from the menu:

  1. In the External Tools dialog, highlight the tool to delete.
  2. Click Delete.
  3. Click OK.

Related topics

Customize the Toolbar

Customize the Keyboard

Set a Menu Layout

External Tools Manager


Customize the Toolbars

The easiest way to customize toolbars is by choosing a pre-defined layout.You can also customize the toolbars manually by:

  • Selecting toolbars to display
  • Creating a new toolbar
  • Adding a command to a toolbar
  • Rearranging toolbar commands
  • Deleting a command from a toolbar

Tip: In addition to the steps below, when the Customize dialog is open, you can also rearrange, move, and remove a toolbar icon by selecting it on the program's toolbar and dragging it to a new location. You can add a command icon by selecting it in the dialog's Command list on the Commands tab and dragging it to one of the program's toolbar.
Note: Click Reset to return to the default setting.

To select toolbars to display:

  1. Select Tools > Customize. The Customize dialog displays.
  2. Click the Toolbars tab.
  3. In the Toolbars list, select or clear the required toolbar(s).
  4. Click Close.

To create a new toolbar:

  1. Select Tools > Customize. The Customize dialog displays.
  2. Click the Toolbars tab.
  3. Click New.
  4. Assign a name to the toolbar, for example Tools.
  5. Select a location from the drop-down list.
  6. Click OK. The toolbar appears in the project toolbar.

To add a command to a toolbar:

  1. Select Tools > Customize. The Customize dialog displays.
  2. Click the Commands tab.
  3. Click Rearrange Commands.
  4. In the Rearrange Commands dialog, select the Toolbar option, then select a toolbar from the drop-down list.
  5. Click Add.
  6. In the Add Command dialog, select a category then the command that you want to add to the toolbar selected in the Rearrange Commands dialog.
  7. Click OK.
  8. Do one of the following:
    • Click Close to exit.
    • Click Move Up or Move Down to move the command if you want it in a different position.

To rearrange toolbar commands:

  1. Select Tools > Customize. The Customize dialog displays.
  2. Click the Commands tab.
  3. Click Rearrange Commands.
  4. In the Rearrange Commands dialog, select the Toolbar option, then select a toolbar from the drop-down list.
  5. In the Commands area, highlight the toolbar command that you want to move.
  6. To move the toolbar item, do one of the following:
    • Click Move Up to move the item up the toolbar list.
    • Click Move Down to move the item down the toolbar list.
    • Drag and drop items.
  7. Click Close to exit.

To delete a command from a toolbar:

  1. Select Tools > Customize. The Customize dialog displays.
  2. Click the Commands tab.
  3. Click Rearrange Commands.
  4. In the Rearrange Commands dialog, select the Toolbar option, then select a toolbar from the drop-down list.
  5. In the Commands area, highlight the toolbar command that you want to delete.
  6. Click Delete.
  7. Click Close to exit.

Related topics

Customize the Menu

Customize the Keyboard

Set a Menu Layout


Customize the Keyboard

If you are primarily a keyboard user, press [Alt] to display shortcut keys (mnemonics) for menu items. Other shortcuts (function keys, hotkeys/key bindings/key combinations) are shown on the menus by default. You can change these shortcuts and add new ones by customizing your keyboard.

To customize the keyboard:

  1. Select Tools > Customize. The Customize dialog displays.
  2. Click Keyboard.
  3. In the Customize Keyboard dialog:
    • To specify a command, select a category and a command.
    • To specify a shortcut, select a shortcut from the list.
    • To assign the shortcut to the command, click Assign.
    • To remove the shortcut from the command, click Remove.
    • To reset all shortcuts, click Reset All.
  4. Click Close.

Related topics

Customize the Toolbar

Customize the Menu


Customization Options and Tools

Customization allows you to configure and save a specific layout for your menus, toolbars, display settings and keyboard shortcuts. When more than one person uses the same computer, each user can create their own layout.

Note: In the Options dialog, if you set the Window display mode to Multiple window views, the last position of your windows is restored when you reopen a project. The restoration of window positions is not affected by customization. See Pane and Data View Positioning.

To customize tools:

  1. Select Tools > Customize. The Customize dialog displays.
  2. Click the Options tab. In this tab you can:
    • Personalize menus and toolbars
    • Select display options
  3. Click the Custom Tools tab. In this tab, you can:
    • Create a new custom command and add its icon to a toolbar
    • Delete a custom command
    • Customize the keyboard

      Tip: If you customize, save it so that it is available the next time you use the office software.

  4. Click the Save/Load tab. In this tab, you can:
    • Save a new layout or load a different custom layout
    • Customize the keyboard
  5. When you have made the desired changes, click Close.

Related topics

Customize the Toolbar

Customize the Menu

Customize the Keyboard

Set a Menu Layout


Retain User Settings When Upgrading

As you use the program, many of your settings and other customizations are saved as files in an application data folder. These settings, which remain constant regardless of which project is open, include:

Application settings | These program-wide settings include startup preferences, default file locations, and display properties. Application settings are primarily found in the Options dialog.
Custom Import and Export Format Definitions | These include changes to how file formats are defined in the Import Format Editor and Export Format Editor.
Project Templates | These include project settings, coordinate systems, view filters, selection sets, and data that you have saved as project templates.
Internet Download Configurations | These include new data provider groups and Internet sites that you have added to the Internet Download command.
Baseline Processing and Network Adjustment Styles | These include combinations of project settings that you have defined as templates for baseline processing and network adjustment.

When you upgrade from your current version of the program to a newer version, the installation program searches for previous files containing these settings and customizations. If any are found, the Copy Settings dialog appears.

To retain previous settings and customizations:

  1. In the Copy column, uncheck the box for each old file that you do not want to retain in the upgrade.
  2. Check the box for each old file that you do want to use to overwrite the new file.
  3. Click Copy Selected Files. The previous settings and customizations that you selected are copied to the new installation.

Note: Any files that conflict with the files in the new installation are marked with a red flag and are not selected by default.
Note: It is always a good idea to confirm your project and application settings in the new installation to make sure that any new options in the current version are set to the defaults you want.
Note: Customized menus and toolbars cannot be saved when you upgrade.


Get Familiar with the Interface

This software comes with an integrated user interface, including:

Elements of the User Interface
Menu | Gives you comprehensive access to all available commands.
Toolbar | Gives you quick access to the most commonly used commands and views using icons.
Data views | Allows multiple views of data in the plan view, 3D view, time-based view, point spreadsheet, vector spreadsheet, profile view, cross-section view, and surface slicer view. The data view area can be set up as a tabbed interface or a multiple window interface. Navigation and selection can be controlled both graphically and by commands.
Status bar | Includes status information, current units, an error flag (indicating computation errors), an indicator that the project should be computed again, the number of currently selected objects, and a coordinate display.
Project Explorer | Shows a tree view of project data that includes sections for the objects and imported files, enabling you to easily select any object.
Selection Explorer | Shows the currently selected objects, as well as saved sets of objects known as 'selection sets'.
View Filter Manager | Lets you specify what data types and layers are visible and selectable in graphic views.
Device Pane | Gives you access the Office Synchronizer's office copy folder (also known as the root sync folder).
Command Pane | Provides a consistent place to work through most commands.
Properties Pane | Displays the properties associated with the currently selected object(s), enabling them to be edited.
Flags Pane | Lists objects with import or computation errors.


Start Page

The Start Page is the default tab view you see when you start the program. It includes many useful links.

To display the Start Page:

  • Select Help > Start Page.

To set Start Page properties:

  1. Select Tools > Options.
  2. In the left pane of the Options dialog, click Startup and Display.

    By default, the Start Page included with the software displays when you open the software and continues to display when you open a project. However, you can change the default settings as necessary. See Startup and Display Options.

  3. When you are done, click OK.

To use the Browser toolbar:

Since the Start Page is an HTML viewer, when it is displayed, the Browser toolbar is also displayed:

This toolbar provides standard Internet browser functions that enable you to page backward and forward, refresh the page, and return to the home page. When the Start Page is closed, the Browser toolbar no longer displays.

Related topics

Startup and Display Options


Project Explorer

The Project Explorer displays your project data as nodes organized in a tree structure. Nodes represent many types of data objects, including points, observations, RTK vectors, station setups, coordinates, mean angles, data and image files, and so on. Unique icons are used to represent the various node types.

To display and pin the Project Explorer:

  1. Do one of the following:
    • Click the [image] icon on the toolbar.
    • Select View > Project Explorer.
    • Press [F9] on the keyboard.

    The Project Explorer displays, docked on the left side of the application window, or where you positioned it last.

  2. Optionally, "pin" the explorer open by clicking the [image] icon at the top. If the pane is unpinned, the pane can "slide" to the side and out of view. To show it again, click the Project Explorer tab.

Using the Project Explorer

  • To expand a node without expanding each of the nodes nested beneath it, click the [image] icon. To collapse the node, click the [image] icon.
  • To expand a node and expand all the nodes nested beneath it, right-click the node and select Expand in the context menu. To collapse the node and collapse all of the nodes nested beneath it, right-click the node and select Collapse.
  • To select a node, click it.
  • To display the properties for a node, double-click it. Or, right-click it and select Properties in the context menu. The Properties pane displays.
  • To access common commands for a node, right-click for a context menu.

Related Topics

Select from the Project Explorer

View Level Data in Project Explorer

View Total Station Data in Project Explorer

Field Data Icons in the Project Explorer

Pane and Data View Positioning


Selection Explorer

The Selection Explorer is a pane that lists the selection sets in your project in the top section and lists the objects in the active set in the bottom section.

  • When you click on a selection set, all the objects in the set are selected in the project.
  • When you select one or more objects in the list of objects, those objects are selected in the project.
  • When <Selection Snapshot> is active, objects selected in the graphics area are listed.

Using selection sets makes accessing and selecting groups of commonly-used objects faster and more consistent.

To display and pin the Selection Explorer:

  1. Do one of the following:
    • Select View > Selection Explorer.
    • Select Select > Selection Set > Selection Explorer.
    • Click the [image] icon on the toolbar.
    • Right-click in a graphic view and select Selection Explorer from the context menu.

    The Selection Explorer displays, docked on the left side of the application window, or where you positioned it last.

  2. If desired, pin the explorer open by clicking the [image] icon at the top. If the pane is unpinned, the pane can "slide" to the side and out of view. To show it again, click the Selection Explorer tab.

Related topics

Understanding Selection Sets

Create and Use Selection Sets

Modify Selection Sets

Pane and Data View Positioning


View Filter Manager

The View Filter Manager is a pane in which you can select data types and layers to specify what is visible in the current graphic view, helping you reduce and simplify what you see. As you make changes in the manager, the view updates to reflect them.

View filters are saved sets of criteria that control what data and layers are displayed in the views. View filters can be defined separately for each type of view so that only the data that is important for the current phase of your work is displayed. When you change to a different view, the current and available view filters may change as well, because view filters are saved with views. The view filters for each view in your project can be accessed from the view filter list on the toolbar.

To display and pin the View Filter Manager:

  1. Do one of the following:
    • Select View > View Filter Manager.
    • Click the [image] icon on the toolbar.

    The View Filter Manager displays, docked on the left side of the application window, or where you positioned it last.

    Note: If the Project Explorer or Selection Explorer are also active, they may share the same pane, and be accessible as tabs at the bottom of the pane.

  2. If desired, pin the manager open by clicking the [image] icon at the top. If the pane is unpinned, it can "slide" to the side and out of view. To show it again, click the View Filter Manager tab on the left edge of the application window.

Using the View Filter Manager

  • When you check and uncheck boxes for data types and layers in the View Filter Manager, the current view changes in response.
  • Arrange the order of the data type groups in the tree by right-clicking on a group and selecting Move Up or Move Down from the context menu.
  • To set the selectability of data types and layers, click the i_advanced view filter settings icon on the pane's toolbar to display the Advanced View Filter Settings dialog.

Related topics

Create a View Filter

Edit a View Filter

Filter a View

Pane and Data View Positioning


Status Bar

The status bar, located at the bottom of the application window, displays several useful pieces of information:

Status line | Displays information about the current command.
Snap button | Click this to display the Snap mode dialog, in which you can set running snap modes.
Units button | Displays the current distance units. Click this to display the Units section of the Project Settings dialog.
Flag Pane button | Appears if errors have been detected in the project. Click this to display the Flags pane. Flagged items have associated messages or errors.
Compute Project button | Appears if changes made to the data require that final coordinates for points be recalculated. Click this to start the Compute Project command.
Number of selected objects | Displays the number of objects that are currently selected.
Plan view dimensions icon | Appears when the cursor is not in the data view area (see below).
Plan view dimensions or Coordinates display | Displays the XY dimensions of the current view, when the cursor is not in the view area. Displays the true northing and easting coordinate of the current cursor location, when the cursor is within view area.
Display Coordinate Pane checkbox | Check this to display the Coordinates pane, which shows the current northing, easting, latitude, and longitude of the cursor.

Related Topics

Running Snap Modes

Change Project Units

Flags Pane

Coordinates Pane


Device Pane

The Device pane enables you to directly access Microsoft® Windows® CE-based field devices or the data synchronization area (also known as the root sync folder in the Office Synchronizer utility), which contains the files maintained by Office Synchronizer.

To display the Device pane:

Do one of the following:

  • Click the [image] icon on the toolbar.
  • Select View > Device Pane.
  • Press [F10] on the keyboard.

The Devices pane displays, docked on the left side of the application window, or where you positioned it last.

To connect to a field device:

  1. Connect the field device to the computer using a USB or serial connection.
  2. If the device asks if you want it to be connected, click Yes. The Device pane displays, showing a list of files on the device.

  3. As needed, upload or download files via this direct connection.

To connect to field data in the data synchronization area:

In Office copy mode, the Device pane points to a folder on your office computer that contains the data previously synchronized from the field device, using the Office Synchronizer utility.

  1. To verify that data in the synchronization area is selected, click the [image] icon, and verify that Office Copy is checked in the drop-down list. The contents of the synchronizer root folder display.
  2. As needed, upload files, upload tasks, or download files from the data synchronization area.

Related topics

Office Synchronizer

Pane and Data View Positioning

Prepare to Connect a Field Device


Command Pane

The Command pane gives you access to the All Commands list, a comprehensive list from which you can execute most commands. The Command pane also provides a place for you to work through many commands.

To display the Command pane:

  • Select View > Command Pane.
  • Press [F12].

    The Command pane displays docked on the right side of the application window, or where you positioned it last.

To run a command from the Command pane:

Do one of the following:

  • Enter a command in the Command box (command line).
  • Double-click a command in the Recent Commands list.
  • Click a command in the All Commands list.

When a command is active in the Command pane, these options are available on the pane's toolbar.

Options
i_list stacked commands | Click this to display a list of the commands that are currently on the stack.
 | In the default command pane, click this to display the last/current command on the stack. In any other command pane, click this to display the default command pane.

Related Topics

Pane and Data View Positioning


Properties Pane

The Properties pane shows properties for selected objects, enabling you to edit certain values. If you select a single object, the properties for that object are displayed. If you select multiple objects, the properties common to all of them are displayed. You can edit the common properties, or select a subset of the selected objects using the drop-down list near the top of the pane.

To view the properties of another object in the Properties pane, click the object within any data view or pane. If the Properties pane is displayed, selecting any object will show its properties.

Note: The toolbar icons and context menu items available in the Properties pane depend on the types of objects you have selected. The Properties pane also enables you to use COGO controls and snap commands within certain property boxes.
Note: An icon for the type of object you have selected appears at the top of the Properties pane. If a flag icon appears instead of the object icon, there are import or computation errors associated with one or more of the selected objects. Open the Flags Pane for details.

To display the Properties pane:

  • Click the [image] icon on the toolbar.
  • Select Edit > Properties.
  • Double-click an object in the Project Explorer.
  • Right-click an object in a view, spreadsheet, or the Project Explorer and select Properties.
  • Press [F11].

    The Properties pane displays, docked on the right side of the application window, or where you positioned it last.

Related Topics

View and Edit an Object's Properties

Pane and Data View Positioning


Flags Pane

The Flags pane shows import or computation errors. You can select individual or multiple objects from the Flags pane if the objects have been flagged with errors. If there are no objects in the Flags pane, no objects have been identified as having errors.

To display the Flags pane:

  • Click the [image] icon on the toolbar or the status bar if flags are present.
  • Select View > Flags Pane.

    The Flags pane displays at the bottom of the application window, or where you positioned it last.

To highlight points using the Flags pane:

  • In the Flags pane, select a point to view. The selected points highlight in any graphic views and spreadsheets you have open.

    Tip: [Ctrl] + click to select multiple objects, or [Shift] + click to select a range in the Flags pane.

Flag colors

The flags that appear in graphic views, the Flags pane, and Properties pane have the following meanings:

A red flag indicates an error or failure in data or computations. For example, a red flag appears when a point is out of tolerance.

A yellow flag indicates a warning about data or computations. For example,a yellow flag appears if two vertices in a surface have the save horizontal coordinate but different elevations.

A blue flag indicates that information about an object is available. Blue flags are also used as the icon in the Properties pane for objects (such as points and surfaces) that can potentially be flagged for errors or warnings.

Related Topics

Compute Project Command

Pane and Data View Positioning

Select from the Flags Pane

Status Bar


Coordinates Scroll

The Coordinates scroll displays values, such as northing, easting, latitude, longitude, elevation, and offset, based on the position of the cursor in a graphic view. The values shown depend on what type of view the cursor is in.

To display the Coordinates scroll:

  • Click the checkbox at the right end of the status bar.
  • Select View > Coordinates Scroll.

The Coordinates scroll displays.

To use the Coordinates scroll:

  1. Display the scroll and right-click in it for options.
  2. Select any type of value to show or hide when using the scroll.

    Note: Although all of the possible values can be selected in the context menu, only certain values will display for each type of graphic view. For example, elevation and offset values will display in profile and cross-section views, but not in the plan view. The coordinates scroll cannot be used in the 3D view.

  3. Move the cursor into a 2D view. The values at the cursor's position are displayed in the scroll.

Related Topics

Coordinate System Manager

Change the Coordinate System

Define a New Coordinate System

Restore the Original Coordinate System File

Pane and Data View Positioning


Data Views

You can view your project data in a variety of graphical, tabular, and chronological formats, such as:

  • Graphic Views
  • Spreadsheet Views
  • Other Views


Choose Application Options

Use the Options dialog to set program-wide options, such as startup preferences, default file locations, Internet download parameters, and display properties.

To access the options:

  • Select Tools > Options. The Options dialog displays.

Related topics

Choose Local Site Settings

Choose Project Settings


Startup and Display Options

Set Startup and Display options to specify program-wide preferences for application startup behavior and graphics display.

To access these settings:

  1. Select Tools > Options. The Options dialog displays.
  2. Click Startup and Display in the left pane.

The following options are available:

Options

Startup Options

Starting state

No project - Select this to have no projects and no start page open when the software starts.

Last project - Select this to open only the most recent project when the software starts.

Open project command - Select this to initiate the Open Project command, which enables you to select any project to open, when the software starts.

Display of start page - Select this to display only the start page when the software starts.

The start page is a view that lists features of the software and links to tours, tutorials, release notes, and other documentation to help you get started.

Open new default project - Select this to open a new project using the default template when the software starts.

Start page

Type or cut-and-paste the address of a web page or alternate .html file to use as the Start Page. You can also click the [image] button to navigate to an .html file.

Recently-used file list

Enter the number of recent project files to list at the bottom of the File menu, allowing you quick access to these projects.

Close start pages on project startup

Check this box to specify that the Start Page tab(s) automatically closes each time you start a new project or open an existing project. If the box is unchecked, the Start Page remains open.

Graphics Window Options

Display data tips

Check this box to display more detailed information when you hover over objects in a graphic view.

Note: This may conflict with the data list that appears when you graphically select an area with multiple objects.

Background color

Click an option to set the color of the background used in the graphics view.

Pick aperture

Enter a size (in pixels per side) for the box displayed on various cursors. This is the box within which an object can be picked.

Examples of cursors with pick apertures:

i_cursor - running snap

Highlight color

Specify the color to display objects in when they are selected.

Highlight
line width

Specify the width to display lines in when they are selected.

Cloud point size

Specify the pixel size of each point contained in a point cloud displayed in a graphic view.

Note: In Image View only, if "2" or greater is selected, the displayed point size increases when you zoom in.

Advanced

Click this button to display the Advanced Graphics Options dialog.

Fonts

Gridline and scalebar labels

Specify the typeface to use for gridline and scalebar text.

Object labels

Specify the typeface to use for gridline and scalebar text.

CAD text (failsafe)

Specify the typeface to use for CAD text objects that reference a font that is either not included in the imported font's definition or unrecognized by your system.

Application Display Options

Window display mode

Tabbed views (SDI) - Select this to display each created data view (for example, a plan view or point spreadsheet) as a tabbed pane, enabling you to access each by clicking a tab, and allowing views to be split. In addition, data listings can be "floated", meaning that they can be displayed as undocked, movable windows.

Multiple window views (MDI) - Select this to display each created data view in a separate window, allowing windows to be tiled or cascaded.

Related Topics

Choose Application Options

File Location Options

Internet Download Options

Advanced Graphics Options


Advanced Graphics Options

Use these options to control which graphics display package the program uses. In certain situations, choosing to use a different display package can improve graphics performance when you are exploring rich data sets in the Plan View and 3D View.

Note: You might need to override your graphics display package if you are accessing (via Remote Desktop or Microsoft® NetMeeting®) this program on your computer from a remote computer that uses a different graphics package.

To access these settings:

  1. Select Tools > Options. The Options dialog displays.
  2. Click Startup and Display in the left pane.
  3. Click the Advanced button in the Graphics Window Options group.

These options are available:

Advanced Display Options

Graphics Display Package

Override automatic detection - Check this box if you want to manually select a graphics display package other than the one detected on your computer. Then, select from the options below.

DirectX - Select this if you are using Microsoft DirectX® 9.0c (Runtime version 4.09.0000.0904) distributed on June 2007 or later on Windows® XP Service Pack 2 or Windows Vista.
The driver should run properly with any Direct3D 9.0 compliant graphics hardware with the latest vendor-supplied drivers.

Note for users running Vista: Although Vista comes pre-installed with DirectX 9, the driver uses the d3dx9_<version_number>.dll which does not come pre-installed with the operating system. Please make sure that this .dll is installed before trying to use the DirectX 9 driver.

OpenGL - Select this if you are using OpenGL v1.1 or later on any Windows platform.
The driver should run properly with any OpenGL 1.1 compliant graphics hardware.

OpenGL2 - Select this only if none of the other options work.

GDI - Select this if you are using Windows GDI on any Windows platform.
The driver should run correctly on any GDI compatible device.

Image Resolution

Original - This default setting is appropriate if you want to retain the original resolution of a high-quality image, such as an aerial or satellite photograph, in your project.

Down-sampled - Select this option and a down-sampled image size to help you improve graphics performance by limiting the maximum resolution (down-sampling) for georeferenced and Trimble VX-generated images. To retain as much image quality as possible, try the largest size first.

Display images in gray scale

Select this check box to display all photo images in your project in gray scale (black and white) rather than color. This can improve performance when very large and/or multiple color photo images have been imported. This affects the display of the images in the software only; it does not change the image files themselves, which remain in color.

Graphics Adapter

Texture map size - This settings is primarily for Technical Support to use if images will not display because your operating system is reporting that the graphics card is out of memory. Contact Technical Support for assistance.

Color mapping resolution - Select the color resolution to use for shading on a surface or cut/fill map. Try changing the resolution (the default is 1024 colors) if shading is not displaying correctly.

Related Topics

Startup and Display Options

Choose Application Options


File Location Options

This command displays the Options dialog, which shows file management preferences.

To access these settings:

  1. Select Tools > Options. The Options dialog displays.
  2. Click File Locations in the left pane.

Options

Project Management

Project management folder

Select or browse for the folder to use as a default for saving new project files.

Use project subfolders

Enable to have the program create project folders and subfolders, and organize your files in them.

If you disable Use project subfolders, the root folder remains the default file location for projects, imported, and exported data until you change the path.

Note: This application option must be set before starting a project. Once it is set and you start a project, however, it becomes associated with that project and cannot be changed.

Export folder

Specify the folder to use as a default for exported files.

Download and import folder

Specify the folder to use as an archive for files that are downloaded and imported from field devices or the Internet.

Note: When the Office Synchronizer application is used to transfer data between the computer and a field device, the Office Sync root folder is used.

Copy imported files to import folder

Enable to have imported files duplicated in the import folder you specify.

This option is automatically enabled when Use project subfolders is enabled, but can also be set if you are not using the project subfolders option.

This option can be enabled from the Import command pane as well.

Tip: Disable Copy imported files to import folder when you are simply reviewing data or importing large files that you do not want to save in your import folder.

Templates

Template folder

Specify the folder to use as the default file location for all projects that are saved as template projects. Projects stored in this folder appear in the list of templates when you create a new project.

Custom Export

Format definition folder

Specify the folder to use as the default file location for all export format definitions you create using the Export Format Editor.

Office Synchronizer

Synchronizer root folder

Specify the data synchronization area (also known as the System root sync folder). This folder is used by Office Synchronizer to store data transferred between the computer and field devices

Related Topics

Choose Application Options

Internet Download Options

Results of Default Folder Locations

Startup and Display Options

Set Default File Locations


Change the Template Folder

The template folder contains all templates shipped with the office software and any templates you have created.

Note: If you change the template folder, the existing templates remain in the original folder location. To move the templates, use Windows® Explorer.

To change the template folder:

  1. Select Tools > Options. The Options dialog displays.
  2. Select File Locations.
  3. In the Template group, type a path for the location to which you want to save templates, or click the [image] icon to browse folders.
  4. In the Browse for Folder dialog, select the folder in which to store templates and then click OK.

    Note: Select Make New Folder to create a new template folder.

  5. Click OK.

When you create a new template, it will automatically be saved to the folder you selected.

Related topics

File Location Options

Set Default File Locations


Set Default File Locations

Projects can contain a variety of files, including imported raw data files, a project file with edited data, and exported data files. One way to manage projects more easily and logically is to specify where each file is saved by default. In the Options dialog, Use project subfolders is enabled by default. This option creates project folders and subfolders, and organizes your project files in them.

  1. When you install this software, a new folder is created with the same name as the product. The default path for the folder depends on your operating system:
    • In Windows XP or earlier: C:\Documents and Settings\(user_name)\My Documents\(product_name)\
    • In Windows Vista: C:\Users\(user_name)\Documents\(product_name)\
  2. When you create a new project, and import or export data, a new folder called Unnamed is created in the (product_name) folder. If you create a project, but do not import or export data, the folder is not created.
  3. If you save the current project, the Unnamed folder is renamed to the project name, and the project file is created at the same level.

    Warning: If you do not save the current project, the Unnamed folder and subfolders will be discarded when you close the project.

  4. As you create and save additional projects, they and their subfolders are also saved at the same level, so you can easily find and open them.

To disable "Use project sub-folders":

The Use project subfolders option is a project setting. You can change it from project to project, but once you create a new project, the mode cannot be changed for that project. The project will use the same mode, regardless of the options setting. Therefore, if you do not want to use project subfolders, you must disable the option before creating a project.

  1. Select Tools > Options. The Options dialog appears.
  2. Click File Locations in the left pane.
  3. Uncheck Use project subfolders in the Project Management group box. The Export folder box, Download and import folder box, and Copy Imported files to import folder option become editable.
  4. Click OK.

    Note: When you enable Use project subfolders, the Copy Imported files to import folder option is enabled also, but you can also set it independently if you are not using project subfolders.

Tip: You can manually create additional subfolders based on how your data is organized. For instance, if you have multiple field crews collecting data on multiple days, you may want to create subfolders based on those crews or days.

Related Topics

File Location Options

Results of Default Folder Locations


Results of Using Default Folder Locations

These are the results of file operations when Use project subfolders is enabled:

Operation | Result
New Project | A new project file is created, and a new subfolder called Unnamed is created when data files are copied. If the project is not saved, this subfolder is deleted.
Save Project | If the project is saved for the first time, the Unnamed subfolder will be renamed to the name of the project file. If the subfolder is empty, it is deleted.
Save Project As | The project file is saved with the new name. If the project has associated data, the project subfolder is copied and saved with the new name.
Download file | Downloaded data is saved in the project's import subfolder.
Export file | Exported data is saved in the project's export subfolder.
Import file | Imported data is saved in the project's import subfolder.

Related Topics

File Location Options

Set Default File Locations


Internet Download Options

This command displays the Options dialog, which shows Internet download preferences.

To access these settings:

  1. Select Tools > Options. The Options dialog displays.
  2. Click Internet Download in the left pane.

These options are available:

Options
Always display the Download Parameters dialog | Uncheck this is you only want the Download Parameters dialog to display when the project data does not contain all of the parameters needed for the download process.
Allow .exe files to self-extract, if possible | Check this when you do not want to be prompted to extract each time an executable file is downloaded. This option is recommended only for trustworthy web sites.

Related Topics

Choose Application Options

File Location Options

Startup and Display Options


Field Data File Location Options

Use this option to specify the location of the report template named SCS900 Reporting Utility.xls or SCS Report Utility.xls, which is installed with the SCS900's Report Utility. This template is used when you view the results of a work order. The default path is C:\Program Files\Trimble\.

To access this setting:

  1. Select Tools > Options. The Options dialog displays.
  2. Click Field Data and then File Locations in the left pane.
Options
Work order report template | Type the path to the SCS Report Utility file in the box, or click [image] to browse for the path.
Machine control | Type the path to the configuration files for GCS machines in the box, or click [image] to browse for the path.

Related Topics

Choose Application Options

Results of Default Folder Locations

Startup and Display Options

Set Default File Locations


External Services Options

Use the Options dialog to set up user profiles for external services, such as the Connected Community, and other web sites that work with this software. For information on getting an account with an external service, contact your dealer.

To specify external services options:

  1. Select Tools > Options. The Options dialog displays.
  2. Under General in the left pane, click External Services.
  3. Select the service that you want to access in the Service list.
  4. Enter your user profile information in the required fields, and click OK.

    The options will vary depending on the external service selected. If you do not complete the required fields, you will be prompted to enter this information when you select to use an external service.

    Note: If a password field is included, you may enter the password here so you are not prompted to enter it when you select to use an external service. However, it is recommended that you not enter the password here, but instead enter it in the Enter Login Information dialog each time you log in to th external service. As long as Trimble Business Center remains open, you do not have to re-enter the login information each time you access the external service.
    Note: If there are no options available in the Service list, contact your dealer to learn more about external services.

Related topics

Log In External Services

Open a Remote File

Save a File Remotely

Connected Community


Log In to External Services

The Enter Login Information dialog displays when you attempt to access an external service (for example, select TCC > Open Remote File to access the Connected Community) and you have not completed all of the required user profile fields for the external service in Tools > Options > External Services.

To log in to an external service:

In the Enter Login Information dialog, complete the required fields and click OK.

As long as Trimble Business Center remains open, you do not have to re-enter the login information each time you access the external service.

Related topics

Connected Community

External Service Options

Capture 3D Project Data

Capture an Image from the Plan View

Open a Remote File

Save a File Remotely

Publish Project Data to TCC

Import and Export Data Using Trimble Access Drive


Trimble Solution Improvement Program

The Trimble Solution Improvement Program (TSIP) was implemented by Trimble to help us improve the quality, reliability, and performance of our software products. If you select to participate in the program, the software will collect anonymous information about your hardware configuration and how you use the software. Periodically, a file containing the collected information will be sent to Trimble to help us identity trends and usage patterns.

No information will be collected that can be used to identity or contact you. You can select not to participate in TSIP at any time.

To select to participate or not participate in TSIP:

  1. If the Improvement Program dialog is not already displayed:
    1. Select Tools > Options.
    2. Under General in the left pane, click Improvement Program.
  2. Carefully read the information displayed. For more information, click the link in the dialog.
  3. Select the appropriate option to participate or not participate in TSIP.
  4. Click OK.


Create, Configure, and Save Projects

In This Chapter

Create a New Project

Create a Project to Share with Trimble RealWorks

Use a Project Template

Open an Existing Project

Open a Remote File

Maintain Project Files Remotely

Convert Trimble Geomatics Office (TGO) Projects

Save a Project

Save a File Remotely

Maintain Project Files Remotely

Publish Project Data to TCC

Archive a Project

Choose Project Settings

Choose Local Site Settings

Print a View or Report


Create a New Project

You can create a new project using the default template, or you can select a new template from which to create a project.

To create a new project using the default template:

  • Click the [image] icon. This is the quickest way to create a new project.

To create a new project by choosing a template:

  1. Do one of the following:
    • Select File > New Project.
    • Press [Ctrl] + N.
  2. In the New Project dialog, select a template.
  3. Click OK.

To create a new project upon starting the application:

  1. Select Tools > Options. The Options dialog displays.
  2. Select General > Startup and Display.
  3. Select Open new default project in the Starting state list.
  4. Click OK. Each time you start this software, a new project will be started using the default template.

Note: Creating a new project closes any project that is currently open.

Related topics

Choose Application Options

Choose Project Settings

Change the Default Template

Startup and Display Options


Create a Project to Share with Trimble RealWorks

Trimble Business Center allows you to create projects that can be opened in Trimble RealWorks (version 7.0 or later), a powerful software application used to transform scanned data into 3D deliverables. The combination of the survey post-processing capabilities of Trimble Business Center and the scanned data manipulation capabilities of Trimble RealWorks provides a near-seamless start-to-finish workflow for processing scanned data and creating 3D deliverables that can be exported into CAD design packages. Following is an example of a supported workflow:

Note: In order to create a Trimble Survey Project (.tspx) file as described below, you must have selected the Trimble Survey Project setup option during installation of Trimble Business Center.

  1. Select Files > New Trimble Survey Project (*.tspx) and select the appropriate project template to use for the new project.
  2. In the New Project dialog, select an appropriate folder in which to store the new project folder. Then enter a name for the Trimble Survey Project (.tspx) project file to be created, and click Save.

    A new project folder is created in the selected parent folder. The name of the new folder is the same as the name you entered for the Trimble Survey Project (.tspx) file. All project-related files are stored in the project folder, including the newly created .tspx project file

    Note: Processed project data is actually stored in a randomly named .vse project file included in the folder. However, you cannot directly open a .vse project file in Trimble Business Center like you can a .vce file. You must instead open the related .tspx file.

  3. If necessary, select Project > Project Settings to configure or re-configure project settings for the new project, including selecting the correct coordinate system.
  4. Import the survey data into your project.

    For each Trimble Survey Controller Job (.job) file, Trimble Access Job file, or JobXML (.jxl) file you import into the project, a subfolder is created in the project folder to contain the imported data file and any referenced photo image files. (For other file types, all files are imported directly into the project folder, not a subfolder.) This ensures that multiple referenced image files with the same name will be stored separately and not overwritten.

  5. Process, analyze, and modify the survey data as necessary to achieve the highest coordinate precision for the surveyed points.

    The location of the scanned data points is based on the coordinates determined for the processed survey points on which the scanning device was set up.

    Note: Trimble RealWorks references the scan data (.tsf) files directly. So if you delete any scanned points in Trimble Business Center, they will still be included in the project when it is opened in Trimble RealWorks.

  6. When you have finished processing the data in your project, select File > Save Project or File > Close Project (and select to save changes).
  7. Open the Trimble Survey Project (.tspx) file in Trimble RealWorks and work with the scanned data as necessary.

    Trimble RealWorks must have access to the entire project folder in able to open the Trimble Survey Project (.tspx) file. For more information, see the documentation provided with Trimble RealWorks.


Use a Project Template

Several default templates are provided so you can start projects with consistent distance units. It is even more efficient, however, to create your own templates. In your own templates, you can save additional project settings, including:

  • Company, user, and file information, such as field and office operators, contact numbers, and addresses
  • Coordinate system information, such as a datum transformation and geoid model
  • Units settings, such as coordinate formatting
  • View settings, such as a plot scale and grid line definition
  • View filters and selection sets
  • Computational settings, such as horizontal and vertical tolerances

When you start projects using your own templates, any settings you specified are included, saving you time and effort, and making your projects more consistent. You can even share templates with co-workers to ensure consistency across your company.

Related topics

Create a Project Template


Create a Project Template

When you save a project as a template, all project settings and data are saved in the new template file, and the new name is added to the template list.

Warning: Saving data that requires computation in project templates is not recommended; the data may not recompute properly.
Note: It is a good idea to create a template for each set of coordinate system/project units you commonly use.

To create a project template using an existing project:

  1. Open, or create, a project that you want to save as a template.
  2. Review and modify project settings as needed.
  3. Create layers and view filters that you want to be available in future projects.
  4. Remove any unnecessary data from the project.
  5. Select File > Save Project as Template. The Save Project as Template dialog displays.
  6. In the Name field, type a name for the template.
  7. If you want this template to be used when you create a project by clicking the [image] icon, check the Save project as default template box.
  8. Click OK. The template is saved in the template folder. When select File > New Project, the template appears among the other templates.

To delete a project template:

  1. Select File > Save Project as Template. The Save Project as Template dialog displays.
  2. Click in the left column for template you want to delete.
  3. Click Delete. A confirmation message displays.

    Note: You cannot delete the template that is set as the default. If you wan to delete the default template, set another as the default.

  4. Click Yes.
  5. Click OK.

Related topics

Change the Default Template

Change the Template Folder

Define a New Coordinate System

Create a View Filter

Save a Project

Save Project As Command


Change the Default Template

When you create a new project by clicking the [image] icon on the toolbar, the default template is used.

To change the default template:

  1. Select File > Save Project as Template.
  2. Select the template you want to use as a default.
  3. Click Set as default.
  4. Click OK.

Related topics

Create a Project Template

Change Template Folder


Open an Existing Project

Use these commands to quickly open a recent project, or browse to another previous project.

  1. Do one of the following:
    • Select File > Open Project.
    • Click the [image] icon on the toolbar.
    • Press [Ctrl] + O.

    The Open File dialog displays, showing a list of available projects in the folder last opened.

  2. Select a project from the list, or browse to locate a project in a different folder.
  3. Click Open.

To open a recent project:

  • Select File, and then select a project from the list of recent projects (at the bottom of the File menu). The project opens.

Note: Opening a project closes any project that is currently open.

Related topics

Create a New Project

Startup and Display Options


Open a Remote File

Remote files are those that are stored in folders hosted by external services, such as the Connected Community (TCC). You can open a remote project or import a remote data file directly into your current project.

You can also check out a remote file so that no one else can change and save it over the original file. When you check out a file, an [image] icon appears next to the name, indicating that it is locked. A copy of the locked file is created; the file name is appended with (Working Copy). The working copy can be modified and saved to the remote location by anyone, but the original, locked version can only be overwritten by the person who checked the file out (using their working copy).

For additional details, see Maintain Project Files Remotely.

Note: Some external services, including TCC, require that you set up a user profile before you can access them through this command. To set up a user profile for services, see External Service Options.

To open a remote project:

  1. Do one of the following:
    • Select TCC > Open Remote File.
    • Click the [image] icon (if on the toolbar).

    The Open Remote File dialog displays, showing a list of the folders, projects, and files that are accessible to you.

    Note: The paths displayed depend on the permissions you have been granted by the administrator of the external service. For access to other locations, contact your dealer.

  2. Double-click folders to navigate to the project or files you need. To navigate up in the folder structure, double-click the folder named "...".
  3. Double-click a project to open it, or data files to import them. Remote projects that you open are automatically saved to your local project folder. Data from remote files that you import is added to your current project.

    Note: If you import a remote file, the settings specified in the Import command pane for that file type will apply to the import. Therefore, you may want to confirm those settings before you import each type of file.

To check a file out or in:

  • Right-click the file in the Open Remote File dialog, and select Check Out or Check In from the context menu.

Related topics

Connected Community

External Service Options

Capture 3D Project Data

Capture an Image from the Plan View

Save a File Remotely

Publish Project Data to TCC

Import and Export Data Using Trimble Access Drive

Save a File Remotely

Open an Existing Project


Maintain Project Files Remotely

This software enables you to maintain a project (.vce) file remotely on the Connected Community (TCC), thereby sharing access to that file over the Internet with others who have been granted access. The discussion below notes issues that you should be aware of when managing remote files on the TCC and accessing them from within this software.

After you specify your TCC user profile (by selecting Tools > Options, clicking External Services, and filling out the fields in the Options dialog), the Open Remote File command can be used to open a remotely-stored file as if it was located on your local hard drive. Before opening the file, you should decide whether or not you need to check it out in TCC to prevent others from editing it while you are working in the file. Only the user who checks the file out has the ability to edit it and save the results. If you intend to edit a file that is maintained on TCC and save the results, you should always check it out. You can then check it back in after you have saved your edits, making it available for others to check out.

When you check out a file from TCC, the original file is locked, and an editable copy is made. You can then make the desired edits on that editable copy. When you check the file back in, TCC overwrites the original with the editable copy, saving the changes that you have made and unlocking the original.

Another factor to consider is that the TCC maintains a version history of each project file. Every time you save a file on TCC, the edits you have made are saved in a copy of that file, allowing you to revert to an earlier version if needed. Therefore, the disk space used is affected by how many times the file is saved. Space can therefore be conserved by saving new versions of the file only when you achieve milestones in your project.

When you use the Open Remote File command to open a file on the TCC from within this software, it makes a copy of the remotely-stored file on your local hard drive. That file is located within the project management folder that you have designated in the File Locations page of the Options dialog. The Save Project command is used to save the project data in memory to that local file. After opening a remotely-located project file from TCC, when you routinely save your work-in-progress while editing the project, your changes are saved to the local file. Doing so has no effect on updating the file version history that is stored remotely on TCC. Therefore, you should routinely save the file locally in this manner as you work, until you have achieved a milestone in the state of the project, and you wish to make that result available to others via the TCC. This is the case whether or not you have elected to check the file out when you opened it from TCC.

When you save the file back to TCC using the Save File Remotely command, you first browse to the file space and folder on TCC in which you wish to save the file. If you are saving a file that you previously opened from the selected TCC folder, you will see the file present in that folder, but you need not select it as the file name of the file being saved is already known. In reality, the operation taking place is that of copying the local copy of the project on your hard disk onto TCC, overwriting the existing copy, if applicable. Therefore, if you have not previously saved the project in memory to your local copy, this software will automatically do so before copying the local version to the TCC.

The end result of the Save File Remotely command is that identical copies of the current project are located remotely on TCC and on your local hard drive. The local copy remains in place after the remote save operation. As a result, if you subsequently execute the Open Remote File command once again, and open that same file, this software will once again attempt to place a copy of the remote file in the currently specified project management folder on your local disk. Since that file will already exist in that instance, you will be asked to verify your intention to overwrite the existing file. Normally, you should agree to allow the local copy to be overwritten, since the remote version on TCC may have been edited and saved by someone else since the version on your local disk was copied to TCC.

When you open a remote file from within this software, after selecting the file in the Open Remote File dialog, you can right-click and opt to check the file out from TCC (as described above). This action locks the file so only you can edit it. As previously noted, when that occurs, TCC makes an editable copy of the locked file, for which the term "-EditCopy" is appended to the file name. For example, if you were to check out a file named Sinclair Hills.vce, the editable copy will be named Sinclair Hills-EditCopy.vce; this is the copy that you should open, thereby copying it to your local machine, and it is this renamed file that you will be editing until you elect to save it back to TCC and optionally check it back in.

As described above, when opening a remote file, TCC enables you to check it out (lock it) before opening it, if desired. However, when saving the remote file, you will want to complete the copy operation (that is execute the Save File Remotely command) prior to unlocking the resulting file on TCC. The Save File Remotely command does not currently provide an opportunity to unlock the file as a part of the save operation, as the associated dialog closes immediately on saving the file. As a result, you might elect to check that file back in from within the TCC itself. However, you can rather easily accomplish that from within this software using the Open Remote File command, browsing to the subject file, clicking on the actual file name (not the editable copy that was made when you checked it out), right-clicking to access the context menu, and selecting Check In. The file will be unlocked. The editable version of that file will be removed, and you can elect to cancel the Open Remote File operation.

Related topics

Open a Remote File

Save a File Remotely


Convert Trimble Geomatics Office (TGO) Projects

You can convert Trimble Geomatics Office (TGO) version 1.63 projects to Trimble Business Center (.vce) projects using the Convert TGO Project command.

Note: You cannot convert TGO projects created with a version of TGO prior to version 1.63.

To convert TGO projects:

  1. If a project is open, close it.

    The Convert TGO Project command is not available if there is a project open in the Trimble Business Center window.

  2. Select File > Convert TGO Project.
  3. In the Convert TGO Project command pane, click the Browse button [image] and locate the TGO project folder containing the project(s) you want to convert.

    The TGO projects contained in the selected folder are displayed in the Select Project(s) list.

  4. In the Select Project(s) list, select one or more projects you want to convert. Use the Ctrl or Shift key to make multiple selections.

    If you select a single project, you can select the Convert and open project option to automatically open the project in Trimble Business Center after it is converted. In this case, the Convert TGO Project command pane closes and you cannot reopen it until you close the newly converted project.

    If you select multiple projects, the Convert and open project option is not available.

    The Select target folder list defaults to the project folder specified in the Options dialog (Tools > Options). If necessary, click the Browse button [image] to select a different location.

  5. Click the Convert button.

    The selected TGO project(s) are converted to Trimble Business Center projects. If the Convert and open project option is selected, the project automatically opens in Trimble Business Center after it is converted.

  6. When you are done, click the Close button.

    Note: If your converted TGO project includes a network adjustment and you plan to import additional survey data into the project in Trimble Business Center, you should first clear the adjustment and then readjust the network in Trimble Business Center. This will ensure that the newly imported data is correctly tied in with the existing data. To clear the network adjustment performed in TGO, select Survey > Clear Adjustment Results.


Save a Project

You can save a project, rename a project/save a project to a different path or file name. Based on the default configuration as established when the program is installed, when you download data, save a project, or create an export file, the files are stored in subfolders beneath the My Documents folder of your computer.

When saving a new project file, you are free to place it within any designated existing folder, or you can create a new folder for that project. However, the Save As dialog will offer a default path within which the project will be saved, should you elect not to proactively specify a folder other than that default. You can change the path of that default folder if desired. To make that change, select Tools > Options > General > File Locations. In the Options dialog, edit the path in the Project management folder box. Normally, you may wish to create a folder beneath which all of the data associated with each of your construction projects is located. You can then further organize your data within additional subfolders beneath that.

To save a project:

  1. Do one of the following:
    • Select File > Save.
    • Press [Ctrl] + S.
    • Click the [image] icon on the toolbar.
  2. Select the folder where you want to save the file, and assign a file name.
  3. Click Save.

To rename an existing project:

  1. Select File > Save As. The Save As dialog displays.
  2. Select the folder in which you want to save the file in the Save in box.
  3. Type a name in the File name box.
  4. Click Save.

Note: You cannot overwrite an existing project by naming a project the same name as an existing project.

Related topics

Archive a Project

Create a Project Template

Close All Windows Command

Close Project Command


Save a File Remotely

Make projects available to your colleagues by saving them to a shared folder hosted by an external service, such as the Connected Community (TCC). When you save a file remotely, you are essentially making a copy of the file that is saved locally.

For additional details, see Maintain Project Files Remotely.

To save a file remotely:

  1. Save your file so that it will be copied in its current state when you save it remotely.
  2. Do one of the following:
    • Select TCC > Save File Remotely.
    • Click the [image] icon on the toolbar.

    The Save File Remotely dialog displays.

  3. Double-click folders to navigate to the location in which you want to save the file.
  4. Click Save. The file is saved remotely with the same name as the local file.

Related topics

Connected Community

External Service Options

Capture 3D Project Data

Capture an Image from the Plan View

Open a Remote File

Publish Project Data to TCC

Import and Export Data Using Trimble Access Drive

Open a Remote File

Archive a Project


Publish Project Data to TCC

Use the Publish to TCC command to save a variety of useful project data types directly to the Connected Community (TCC), so colleagues can review them. The data that you can upload includes:

  • Current project file
  • Georeferenced images
  • Data layers
  • Plan View images and Google™ Earth placemarks from the Capture Image command
  • 3D model views from the Capture 3D command

Publishing to TCC enables you to easily store information about your project in the appropriate TCC filespace and folder to streamline sharing job site data with your colleagues.

Prerequisites:

  • TCC account
  • See Licensed Features to determine if your license supports this feature.

To access the command:

  • Select TCC > Publish to TCC (if on the main menu).
  • Click the [image] icon (if on a toolbar).

Options:

  • TCC Filespace - Select the subdirectory that you use as your collaboration area within your TCC organization.
  • Publish project file - This uploads your .vce file, if you have saved it. Special note on publishing project files...
  • Publish georeferenced images - This uploads any georeferenced images that you have imported and any images that you have georeferenced.
  • Publish layers - This uploads a layer-.kml file (Google Earth placemark) for these data types in your project: contour, point, point feature, line feature, trajectory, observation, baseline, linestring, and profile view.
  • Publish Snapshots folder - This uploads any .gif, .jpg, png and .tif files created by the Capture Image command
  • Publish Snapshots3D folder - This uploads any .hsf and .hmf files created by the Capture 3D command.

In addition, this file is created in TCC:

  • Inventory.xml - This lists all of the files that were uploaded by the command.

Scenarios:

  • If you do not have any applicable data (including a saved project) or do not check any of the boxes, only an empty Inventory.xml file is uploaded to TCC.
  • If you have files of the same name and type in the selected folder already, the command will synchronize the files; files with no duplicates will be uploaded, and duplicate files will be overwritten only by newer files (based on the timestamp) of the same name and type.

Related topics

Connected Community

External Service Options

Capture 3D Project Data

Capture an Image from the Plan View

Open a Remote File

Save a File Remotely

Import and Export Data Using Trimble Access Drive


Note on Publishing Project Files to TCC

When you save a project to the Trimble Connected Community (TCC) website, only the VCE (.vce) project file is saved to the site. The project folder, which contains the original data files used in the project, is not saved to the site. Because the VCE project file contains all of the data used in the project, this is typically not a problem for a user who downloads the VCE project file but does not have the project folder stored locally. The user can perform most functions with the software. However, the user cannot process baselines using the Process Baselines command or edit satellite sessions using the Session Editor command because the software requires access to the project folder to perform these functions. In these cases, the user must copy the project folder to their local drive at C:\Documents and Settings\(username)\My Documents\Trimble Business Center.

Note that the Archive Project command can be used to compress the VCE project file and project folder into a ZIP file that is suitable for transferral. If installed, Trimble WebDrive could be used to upload the project folder (or ZIP file) to the TCC website and download it from the TCC website to a local drive

Related topics

Publish Project Data to TCC


Archive a Project

Use this command to save a project (.vce) file and its associated subfolder in a compressed (.zip) file of the same name. This enables you to quickly compile all parts of a project into a smaller file that is suitable for sending to a colleague or archiving.

Note: File archiving only works if you have Use project subfolders checked in the File Locations section of the Options dialog.

To archive a project:

  1. Make sure the project you want to archive is closed.
  2. Select File > Archive Project. The Archive a Project dialog displays.
  3. Select the file you want to archive in the Save in box.
  4. Click Save. The .zip file is saved next to the project file and its subfolder.

Related topics

Save a Project

Set Default File Locations


Choose Project Settings

Use the Project Settings dialog to set various parameters for your projects, including settings for coordinate systems, units, computations, and views. For a description of any setting, click the name of the setting. The description appears in the information box at the bottom of the dialog. For explanations of terms, see the Glossary after the the help chapters.

Tip: Save time and effort, and make your projects more consistent, by choosing project settings and then saving the project as a template from which to begin other projects. You can also save baseline processing and network adjustment settings as "styles", which are similar to templates. Share templates and styles with co-workers to ensure consistency across your company.

To choose project settings:

  1. Do one of the following:
    • Select Project > Project Settings.
    • Click the [image] icon on the toolbar.

    The Project Settings dialog appears.

  2. Click a section to view the settings. When you click in a property, a descriptions displays in the info box at the bottom of the dialog.
  3. Edit the settings as needed, and click OK.

    Note: Settings with gray text are read-only; settings with black text can be edited.

Related topics

Choose Application Options

Create a Project Template

Local Site Settings


General Information Settings

Use general information settings to:

  • Review the project's file properties
  • Add a reference number and description of the project
  • Add your company's contact information
  • Add the names of the field and office staff associated with the project

To access the settings:

  1. Do one of the following:
    • Select Project > Project Settings.
    • Click the [image] icon on the toolbar.

    The Project Settings dialog displays.

  2. Click General Information in the left pane.

Related topics

Choose Project Settings


Coordinate System Settings

Use coordinate system settings to:

  • Review the current coordinate system and datum transformation

    Note: To select or create a different coordinate system, click Change at the bottom of the dialog.

  • Change the geoid model and specify its quality
  • Review the local site location and coordinates
  • Check the network adjustment transformation parameters
  • Review projection, vertical datum, and site calibration details
  • See the shift grid name and file name

To access the settings:

  1. Do one of the following:
    • Select Project > Project Settings.
    • Click the [image] icon on the toolbar.

    The Project Settings dialog displays.

  2. Click Coordinate System in the left pane.

Related topics

Change the Coordinate System

Choose Project Settings


Change the Coordinate System

Choose the appropriate coordinate system and geoid model for your project by selecting one that you have used recently. Up to ten of the most recently used systems are stored.

To select an existing coordinate system:

  1. Do one of the following:
    • Select Project > Change Coordinate System.
    • Select Project > Project Settings > Coordinate System, and click Change.

    The Select Coordinate System dialog displays.

    Note: The Select Coordinate System dialog is part of the Coordinate System Manager, a separate application. When only the dialog is open, pressing [F1] does not open online help. To view help for the Coordinate System Manager, click Tools > Coordinate System Manager to open the application. Then press [F1] for help.

  2. Select Recently Used System.
  3. Click [image] or [image], or press [PageUp] or [PageDown], to view the available coordinate systems.
  4. When the coordinate system that you want is displayed, click Finish. The coordinate system project settings are updated, and your project is recomputed using the new coordinate system.

Caution: To avoid problems or unexpected results in your project, do not change the coordinate system after you import data.

Related topics

Coordinate System Manager

Coordinate System Settings

Define a New Coordinate System


Define a New Coordinate System

Define parameters for a new coordinate system if the one you need doesn't appear in the list of recently used systems.

To define a new coordinate system:

  1. Do one of the following:
    • Select Project > Change Coordinate System.
    • Select Project > Project Settings > Coordinate System, and click Change.

    The Select Coordinate System dialog displays.

  2. Select New System, and click Next.
  3. To define a default project based on Transverse Mercator parameters:
    • Click Default Projection, and click Next.
    • Enter the Transverse Mercator parameters that are requested, and click Next.
  4. To define a projection based on a coordinate system group and zone:
    • Click Coordinate System and Zone, and click Next.
    • Select the coordinate system group from the list on the left, and select the zone from the list on the right and click Next.
  5. Select the geoid model you want to use and click Finish. Your project is recomputed using the new coordinate system.

Related topics

Coordinate System Manager

Coordinate System Settings

Change the Coordinate System

Define a Projection


Restore the Original Coordinate System File

If you have previously installed Trimble® Geomatics OfficeTM (TGO), you may have an existing current.csd file which stores recently-used or custom coordinate systems. During the installation of the software, any existing current.csd file is renamed current.csd.date.xx-xx-xx.

To restore the Current.csd file:

  1. Open Windows® Explorer and browse to one of these locations, depending on your operating system:
    • In Windows XP or earlier: C:\Documents and Settings\All Users\Application Data\Trimble\GeoData unless you have previously installed TGO. If you have installed TGO and then this software, the path is C:\Program Files\Common Files\Trimble\GeoData.

      Note: Due to network security, you may not be able to edit this path unless you have administrative rights.

    • In Windows VistaTM: C:\ProgramData\Trimble\GeoData\ or C:\Program Files\Common Files\Trimble\GeoData\.
  2. Rename current.csd to current-TBCC.csd.
  3. Rename the current.csd.date.xx-xx-xx to current.csd.

Related topics

Change the Coordinate System


Unit Settings

Use unit settings to review and change project units and unit display formats for:

  • Coordinates
  • Distances
  • Angles and vertical angles
  • Azimuths
  • Pressure
  • Temperature
  • GPS time (specifically, not GNSS time)
  • Stationing
  • Area and volumes

To access the settings:

  1. Do one of the following:
    • Select Project > Project Settings.
    • Click the [image] icon on the toolbar.

    The Project Settings dialog displays.

  2. Click Units in the left pane.

Entering units

When you edit unit format settings, you are changing how the units display in views, spreadsheets, and commands. You can, however, enter units in any of the valid display formats that you see in the format settings. These are converted to the display format for the unit.

Converting units

If your project units are set to one type, such as International foot, you can still enter other types of units by including a character for the type. For example, you can enter 3m to specify 3 meters. The unit you enter is converted to the project units.

Caution: If you change the units of your project, it will be recomputed when you click OK. It is recommended that you exit Project Settings immediately after changing units, before changing other project settings.

Related topics

Change Project Units

Choose Project Settings


Change Project Units

Edit unit settings to control what units are used, and how they display in views, spreadsheets, and commands. Regardless of which unit display format you choose, you can enter units in any of the available formats that you see.

Note: If your project units are set to one type, such as International foot, you can still enter other types of units by including a character for the type. For example, you can enter 3m to specify 3 meters. The unit you enter is converted to the project units.
Note: You can also enter feet and inches by typing the two numbers with a space in between. For example, type 4_8 for 4 feet, 8 inches.

To change the project units:

  1. Select Project > Project Settings. The Project Settings dialog displays.
  2. Click Units, and then click the type of units you want to change in the left pane.

    Note: To change project units from feet to meters, click Distance and then select Meters in the Display box.

  3. Select the box for which you want to change the units or format.
  4. Make the desired changes.
  5. To save and apply the changes, click OK.

    Caution: If you change the units of your project, it will be recomputed when you click OK. It is recommended that you exit Project Settings immediately after changing units, before changing other project settings.

Related topics

COGO Expressions, Units, and Entry Formats

Unit Settings


View Settings

Settings are available for the various types of graphic, spreadsheet, and other views in which your project data is displayed. Use view settings to:

  • Choose the input method for horizontal and vertical alignment segments
  • Control graphic view display characteristics, such as plot scales and vertical exaggeration
  • Control annotation text, and gridline intervals, colors and line styles in views

    Note: You can also click the [image] icon on the toolbar to turn gridlines on and off.

  • Show and hide individual columns for data on spreadsheet views
  • Set the default view filter used when you open new graphic views

    Note: If you delete a view filter that you have set as the default, the Default View Filter will revert to the All view filter, which cannot be deleted.
    Tip: If your project has a lot of data, you may want to select a default view filter other than All so that graphic views refresh more quickly.

To access the settings:

  1. Do one of the following:
    • Select Project > Project Settings.
    • Click the [image] icon on the toolbar.

    The Project Settings dialog displays.

  2. Click View in the left pane.
  3. Click any of the view types to display and edit individual settings.

Related topics

Choose Project Settings


Change the Gridline Display

Display gridlines in the plan view to understand a project's scale and location.

To display or hide gridlines:

  • Click the [image] icon on the toolbar.

To change gridline properties:

  1. Select Project > Project Settings. The Project Setting dialog displays.
  2. Click the View folder.
  3. Expand Plan View, and click Grid Line Definition.
  4. Click in the boxes and edit the properties as needed.
  5. Click OK.

Example with grid lines On.

Example with gridlines Off (same data, same scale).

Related topics

View Settings


Toggle Line Marking

Display or hide markers and labels for horizontal and vertical values along linestrings in 2D views to make viewing, understanding, and editing them easier. Markers are symbols that distinguish between horizontal segment end points, arc mid points, vertical control points , and the overall line's start and end points.

  • Filled circles denote linestring start points (elevation 1.00 above)
  • Filled triangles denote VPIs (elevation 1.55)
  • Smaller square dots denote "point on curve" mid points on arcs (elevation 2.00)
  • Smaller round dots denote segment end points (elevation 1.10)
  • Hollow circles denote linestring end points (elevation 3.00)

Labels are annotations that indicate the elevation of vertical control points.

To show or hide line markings:

  • Click the [image] icon on the toolbar.
  • Select View > Toggle Line Marking.

To set which line markings are shown:

  1. Do one of the following:
    • Select Project > Project Settings.
    • Click the [image] icon on the toolbar.

    The Project Settings dialog displays.

  2. Click View in the left pane, and click Display Options.
  3. Edit individual settings in the Marking section.

Related topics

Change the Gridline Display

View Settings


Computations Settings

Use Computations settings to:

  • Specify whether to use a single observation or the weighted mean of all observations to calculate the position for each sideshot point. If you select to use a weighted mean, each observations is weighted based on its precision.
  • Review and set horizontal and vertical tolerances for computed survey data, including points of varying quality, and meaned GPS vectors.

    Note: If computation results on data fall outside these tolerances, the data is flagged in the Project Explorer and graphic views, and a message appears in the Flags pane.

  • Select a level of confidence for displayed error values.
  • Specify the horizontal and vertical tolerances to enforce when creating surface breaklines from 3D alignments.
  • Set the maximum edge length and angle defaults for creating surface triangles.
  • Set the default distance from which you want to view registered images in the Image View.

To access the settings:

  1. Do one of the following:
    • Select Project > Project Settings.
    • Click the [image] icon on the toolbar.

    The Project Settings dialog displays.

  2. Click Computations in the left pane.

Related topics

Choose Project Settings

Project Computations

Merge Duplicate Points on Import


Project Computations

The Compute Project command enables you to compute your project after you make changes to the data. The computation applies the changes made to all affected observations and determines the coordinates for points in the chronological sequence a surveyor would typically expect. If conflicting data is available for the computation of a coordinate, the software gives preference to higher quality data over lower quality data.

Note: When you import data into a project, change project settings, or change the coordinate system, the project is automatically computed for you.

Related topics

Compute Project Command


Run a Project Computation Report

Generate a computation report to see a summary of the errors and warnings that occurred during the last computation of your project data.

To run a Project Computation Report:

  • Select Reports > Project Computation Report. The Project Computation Report displays in your default Web browser.

To customize the report:

  1. Select Reports > Report Options. The Report Options command pane displays.
  2. Select Project Computation Report in the list.
  3. Expand sections and specify output settings in the Settings group as needed.
  4. Click Apply if you want to customize additional reports, or OK to close the command pane.

Related topics

Project Computations

Customize and Run a Report


Baseline Processing Settings

Use baseline processing settings to configure how baselines are processed.

To access the settings:

  1. Do one of the following:
    • Select Project > Project Settings.
    • Click the [image] icon on the toolbar.

    The Project Settings dialog displays.

  2. Click Baseline Processing in the left pane.

Note: The minimum time required for a static observation to be used in a session is 10 seconds.
Note: If you accidentally recorded any static observations as kinematic, use the Force Static command to change them.

Options

Baseline processing styles

See Apply a Baseline Processing Style.

General

Auto start processing

Yes - Select this to have processing start as soon as the Baseline Processing menu item or toolbar icon is selected.

No - Select this to prevent automatic processing when the command begins.

Store continuous as trajectory

Yes - Select this to combine individual vectors into a single object called a trajectory, preserving system memory and processing speed.

No - Select this to store each vector separately.

See Trajectories and Vectors.

Event interpolation type

Specify which kind of curve (linear, quadratic, or cubic) will be fit through the nearest points in time in order to interpolate event positions.

Event interpolation points

Type the number of points to use in the curve fit. It must be at least 2 for linear, 3 for quadratic, or 4 for cubic.

Start automatic ID numbering

Type a starting point ID to use when automatically naming points in trajectories.

This is needed when the associated file from the field software is not present with the raw GNSS data file.

Antenna model

Automatic - Select this to let the application determine the antenna phase center models based on the antennas used at either end of each session.

Trimble - Select this if Trimble antennas are used in all of the sessions.

US NGS - Select this if only US NGS antenna models are available for the antennas used.

IG Absolute - Select this if only IG Absolute antenna models are available for the antennas used.

Warning: If the antenna model you select does not cover all of the antennas used in your project, only the sessions using the selected model at both ends are processed.

Ephemeris type

Automatic - Select this to process data using precise ephemeris when available, and broadcast ephemeris for all other data.

Broadcast - Select this to process all data using only broadcast ephemeris.

Precise - Select this to process only data for which precise ephemeris is available.

Warning: If the ephemeris type you select does not cover all of the data in your project, only the data it covers is processed.

Processing

Solution type

Fixed - Select this to allow either fixed or float solutions, based on how the processor is able to resolve the integer ambiguity search.

Float - Select this to allow float solutions only.

Frequency

L1 only - Select this to process only data transmitted on an L1 frequency.

Dual Frequency (L1, L2) - Select this to process only data transmitted on L1 and L2 frequencies (requires an appropriate product license).

Multiple Frequencies - Select this to process data transmitted on L1, L2 and L5 frequencies (requires an appropriate product license).

Generate residuals

Yes - Select this to generate a residual file for each processed session.

No - Select this to prevent residual files from being generated.

Processing interval

Choose the interval (in seconds) at which you want to select field data to process baselines. If you choose an interval that is shorter than the interval at which the data was collected, the interval at which the data was collected is used.

Select Use all data to use the interval at which data was collected in the field.

Tip: Choosing a longer interval causes baseline processing to complete more quickly.

Quality

Acceptance criteria

Uncheck either box to keep horizontal or vertical precision from being used in passing or failing a baseline (acceptance criteria).

If you keep the criteria enabled, type tolerance values in the Flag and Fail boxes in the format constant unit + parts per million unit to specify the required horizontal and vertical precision to use for flagging or failing a processed baseline.

If a baseline fails, it will be deselected, and cannot be saved in the project.

Use optional acceptance criteria

Check this box to open the Optional Acceptance Criteria boxes, if needed.

Optional acceptance criteria

If RMS (L1 only) > - Uncheck this to keep Root Mean Square (RMS) from being used in acceptance criteria for L1 only data.

If RMS (dual frequency) > - Uncheck this to keep RMS from being used in acceptance criteria for L1/L2 data.

RMS is a measure of noise in the measurements; smaller values for RMS are considered better.

Note: This option is available only if you are licensed for multi-frequency / GLONASS processing.

Satellites

Elevation mask

Type a vertical angle (in degrees) below which satellite data should be ignored during processing.

Adjust this mask as necessary based on any obstructions in the project area.

GPS, GLONASS, and Galileo

Uncheck satellites numbers on these tabs to ignore their data during processing. If a satellite was unhealthy during the survey, uncheck the box.

Trimble receivers automatically pass unhealthy status messages to this software. RINEX files, however, may not properly indicate unhealthy status. In this case, use these setting to ignore unhealthy satellites during processing. This is also useful if a satellite with a lower elevation is causing a noisy solution.

All

None

Click these to check or uncheck all of the satellite boxes.

Related topics

Choose Project Settings

Create a Project Template


Network Adjustment Settings

Use network adjustment settings to control how networks of processed baselines are adjusted.

To access the settings:

  1. Do one of the following:
    • Select Project > Project Settings.
    • Click the [image] icon on the toolbar.

    The Project Settings dialog displays.

  2. Click Network Adjustment in the left pane.
  3. Click each section and view or select options as shown in the following table.
  4. When you are done, click OK.

Options

Network adjustment styles

See Apply a Network Adjustment Style.

General

General

Maximum iterations - Enter the highest number of computations allowed for the adjustment to meet the defined residual tolerance.

Terrestrial

Perform Vertical Adjustment - Specify whether or not to compute delta elevations from total station observations.

Mean Angles - Specify whether the observations that make up mean angles are used individually or as a mean. This affects the way errors are estimated, but it has not effect on positions.

Covariance Display

Horizontal

Express precision as – Select the method of expressing horizontal (2D) precision (P) as proportional errors. For horizontal precision, distance is the horizontal distance between points. Select one of these options:

  • Ratio - Select this to express horizontal precision in units of one part in X (where X = distance ÷ P).
  • PPM - Select this to express horizontal precision in units of X parts per million, where X = distance × P × 1.0e-06).
  • None - Select this to disable the display of horizontal precision.

Propagated linear error (E) - Select the horizontal (two-dimensional) propagated linear error for the network adjustment style. The computed propagated linear error is at 1-sigma, regardless of the Univariate and Bivariate Sigma Scalars. Select one of these options:

  • US - Select this option to use the standard error of adjusted horizontal (2D) or slope (3D) distance.
  • Canadian - Select this option to use the largest semi-major axis of the 2D or 3D relative error ellipsoid.
  • Bomford - Select this option to use the square root of the sum of the 2D or 3D relative error variances.
  • Spherical - Select this option to use the mean of the 2D or 3D relative standard errors.

Constant term (C) - Type a value in current project units. The term must range from 0.0 m (0.0 US ft) to 0.1 m (0.3 US ft).

Three-Dimensional

Express precision as - Select the method of expressing three-dimensional (3D) precision (P) as proportional errors. For three-dimensional precision, distance is the slope distance between points. Select one of these options:

  • Ratio - Select this option to express horizontal precision in units of one part in X (where X = distance ÷ P).
  • PPM - Select this option to express horizontal precision in units of X parts per million, where X = distance × P × 1.0e-06).
  • None - Select this option to disable the display of horizontal precision.

Propagated linear error (E) - Select the three-dimensional propagated linear error for the network adjustment style. The computed propagated linear error is at 1-sigma, regardless of the values specified for the Univariate and Bivariate Sigma Scalars. Select one of these options:

  • US - Select this to use the standard error of adjusted (horizontal (2D) or slope (3D)) error.
  • Canadian - Select this to use the largest semi-major axis of the 2D or 3D relative error ellipse.
  • Bomford - Select this to use the square root of the sum of the 2D or 3D relative error variances.
  • Spherical - Select this to use the mean of the 2D or 3D relative standard errors.

Constant term (C) - Enter a value in current project units. The term must range between 0.0m (0.0 US ft) to 0.1m (0.3 US ft).

General

Scalar on linear error (S) - This displays the factor used to scale precisions to the desired level of confidence. For scaling relative covariance matrices, the propagated linear error is squared.

Covariance display for horizontal scalars

For the US, Bomford, and Spherical methods, these options are available:

  • 1.000 1-sigma
  • 1.969 (95%)
  • 2.575 (99%)

For the Canadian method, these options are available:

  • 1.000 (39%)
  • 2.447 (95%)
  • 3.035 (99%)

Covariance display for 3D scalars

For the US, Bomford, and Spherical methods, these options are available:

  • 1.000 1-sigma
  • 1.969 (95%)
  • 2.575 (99%)

For the Canadian method, these options are available:

  • 1.00 (20%)
  • 2.80 (95%)
  • 3.37 (99%)

Note: Set the precision confidence level in the Confidence Level Display section of the Computational Settings.

Restrict to observed lines

  • Yes - Select this to limit the display of covariant terms.

    When this is selected, there is no effect on final adjustment results, except for preventing the display of covariant terms between points not connected by observations.

  • No - Select this to compute covariant terms between every possible permutation of point pairs in the network.

For large networks, the list of covariant terms in the Network Adjustment Report could become very long.

Transformations

GNSS

Compute latitude and longitude deflections - Select Yes to use latitude and longitude deflections to transform GNSS vectors to the local datum.

Compute azimuth rotation - Select Yes to use the azimuth rotation to transform GNSS vectors to the local datum.

Compute scale factor - Select Yes to use the scale factor to transform GNSS vectors to the local datum.

Terrestrial

Compute azimuth rotation - Select Yes to use the azimuth rotation to transform azimuths to the local datum.

Horizontal scale factor - Type a value for the factor to apply to horizontal distances from terrestrial measurements.

Related topics

Adjust a Network

Choose Project Settings


Default Standard Errors Settings

A standard measurement error or setup error is a statistical estimate of error, according to which 68 percent of an infinite number of observations will theoretically have absolute errors less than or equal to this value. The Default Standard Errors section in the Project Settings dialog allow you to do the following:

  • Specify whether to use the actual standard error values contained in the imported file or the default standard error values contained in the Project Settings dialog.
  • Specify the default standard error values to use if the source is the Project Settings dialog.

If you specify to use standard error values contained in the imported file and the file does not contain these values, the default values specified in the Project Settings dialog are used.

Note: Standard error values for an instrument are typically published by the instrument manufacturer.

To specify default standard error settings:

  1. Do one of the following:
    • Select Project > Project Settings.
    • Click the [image] icon on the toolbar.

    The Project Settings dialog displays.

  2. Select Default Standard Errors in the left pane.
  3. Click each section and view or select appropriate options. See the informational text displayed in the lower portion of the dialog for each option you select.
  4. When you are done, click OK.

Related topics

Choose Project Settings

Adjust a Network

Verify Static and Kinematic Data

Workflow for Total Station Data

Workflow for Leveling Data


Feature Code Processing Settings

Use Feature Code Processing settings to specify how feature codes are processed in your project.

To specify feature code processing settings:

  1. Do one of the following:
    • Select Project > Project Settings.
    • Click the [image] icon on the toolbar.

    The Project Settings dialog displays.

  2. Select Feature Code Processing in the left pane.
  3. Specify options as shown in the following table.
  4. When you are done, click OK.

Options

General

Decimal precision

Specify the number of decimals to display with a numeric attribute (real number) when feature definitions have not yet been imported into the project.

Processing

Feature definition file

Specify the Feature Definition (.fxl) file from which you want to import feature definitions into your project's Feature Definition Library. Feature definitions are required to process features codes in your project. Typically, you should specify the same Feature Definition (.fxl) file that was used to enter feature codes in the field.

Notes:
- If you select to import new feature definitions, any definitions previously imported into the project will be deleted. In addition, if feature processing was performed, the results will be cleared. You must reprocess the feature codes in your project using the newly imported feature definitions.
- You can also select to import feature definitions from a specific Feature Definition (.fxl) file using the Import pane (see Import Feature Definition (.fxl) files). Or, you can select to import feature definitions when you import a Job (.job) or JobXML (.jxl) file containing a reference to a Feature Definition (.fxl) file. In either case, the file you select is displayed in Feature definition file field in the Project Settings dialog.

Create new linestring when attribute changes

Select Yes to specify a new linestring be created for each segment where a node's attribute value differs from the preceding node in the line feature. Each new linestring displays the feature attribute value assigned to it in the Properties pane.

Select No to specify that a single linestring be created for all of the nodes that were used to define the line feature, even if one or more of them had different attribute values. For any differing attribute values, the linestring displays *Varies* in the Properties pane.

Related topics

Choose Project Settings

Understanding Feature Data

Workflow for Feature Data

Import Feature Definition (.fxl) Files

Feature Definition Manager


Abbreviation Settings

Use abbreviation settings to control notations for horizontal and vertical alignment classifications in the Alignment Geometry Report.

To access the settings:

  1. Do one of the following:
    • Select Project > Project Settings.
    • Click the [image] icon on the toolbar.

    The Project Settings dialog displays.

  2. Click Abbreviations in the left pane.

Related topics

Choose Project Settings

Run an Alignment Geometry Report


Choose Local Site Settings

Enter local site settings to create a ground coordinate system to accommodate elevation differences between your site and the ellipsoid. The scale factor can be calculated for you.

You should define local site settings for the project location at the start of the project because this information is used in calculations. The application uses:

  • The project latitude to calculate the earth's radius
  • The project latitude and longitude to define the grid scale factor
  • The project height as the default elevation and to calculate the elevation factor

To specify local site settings:

  1. Select Project > Local Site Settings. The Local Site Settings command pane displays.
  2. Select a coordinate system to display in the Coordinate type list. Any changes take effect immediately.

    If you select Grid:

    1. Click in the Northing box.

    2. Pick a point in a graphic view, right-click for options, or type coordinates in the Northing and Easting boxes to specify the location for the local site.

    3. Pick a point in a graphic view, right-click for options, or type a value in the Elevation box.

    If you select Local or Global:

    1. Click in the Latitude box.

    2. Pick a point in a graphic view, right-click for options, or type coordinates in the Latitude and Longitude boxes to specify the location for the local site.

    3. Pick a point in a graphic view, right-click for options, or type a value in the Height box.

  3. Type a value in the Ground scale factor box, or check Compute ground scale factor from project location to have the value computed.
  4. To close the dialog, click OK.

To view the local site settings:

  1. Select Project > Project Settings. The Project Setting dialog displays.
  2. Select Coordinate System and then Local Site. The read-only Local Site settings display.

Related topics

Coordinate System Settings

Calibrate a Site


Local Site Setting Options

Use these options to define the current project's local site. They are available in the Local Site Settings command pane.

Options

Project location

Coordinate type

Grid - Select this to enter planar northing, easting, elevation, and height values in a grid system.

Local - Select this to enter ellipsoidal latitude, longitude, height, and elevation values on a local datum.

Global - Select this to enter global ellipsoidal longitude, height, and elevation values on a global datum.

Ground coordinates

Ground scale factor

Type a factor by which to convert grid distances to ground distances.

Compute ground scale factor from project location

Check this to have the ground scale factor calculated for you. The value will be a product of the grid factor (determined from the horizontal project location) and the height scale factor (determined from the vertical project location).

Note: When Compute ground scale factor is checked, the Ground scale factor box is unavailable.

Coordinate Display

False Northing offset

False Easting offset/

Type a value for the distance to offset from the northing and easting values.

For example, if you enter:

  • False northing offset:
    -6,540,000
  • Then a northing of 6,542,111 becomes:
    2,111

Related topics

Calibrate a Site

Choose Local Site Settings


Print a View or Report

You can print a graphic view to any Windows-supported printing device. You can also print a report using your default Web browser's print command.

To select a printer:

  1. Select File > Page Setup.
  2. In the Page Setup dialog, set the paper size, orientation, and margins.
  3. Click Printer. The second Page Setup dialog appears.
  4. In the Name list, select the printer you require.
  5. Click OK in both dialogs.

Note: You can also select a printer within the Print command.

To preview a print job:

  1. Click the view you want to print to make it active.
  2. Do one of the following:
    • Select File > Print Preview.
    • Click the [image] icon.

    The Print preview dialog opens.

  3. In the Print preview dialog, you can:
    • View the plan view of your project
    • Zoom to view less or more detail
    • Select the page layout
    • Click the [image] icon to print, or Close.

      Note: You cannot cancel a print job if you use this option.

To print:

  1. Do one of the following:
    • Select File > Print
    • Press Ctrl + P
    • Click the [image] icon.
  2. Select the printer, page range and number of copies to print.
  3. Click OK.

Related topics

Page Setup Command

Print Preview Command


Set Up Geodetic Reference Data

In This Chapter

Understanding Geodetic Reference Data

Define the Coordinate System

Use a Datum

Define a Projection

Use a Geoid

Calibrate a Site


Understanding Geodetic Reference Data

This software uses a coordinate system to transform measurements on a curved surface (the earth) to a flat surface (a map or plan). For example, a coordinate system is used to calculate grid coordinates for a point measured using GPS (GPS measurements are made on the WGS-84 ellipsoid).

A coordinate system can consist of the following elements:

  • A datum transformation (between the WGS-84 ellipsoid and the local ellipsoid)
  • A projection
  • A geoid model
  • A GPS site calibration (consisting of an horizontal adjustment and a vertical adjustment)

You must select a coordinate system for every project. If you do not have a system, or do not know which system to select, use the default projection.

Note: Make sure that the points in a project are within a reasonable distance from the projection origin according to the properties of the projection used.
Note: The software does not directly support data collected in the field when RTCM (Radio Technical Commission for Maritime Services) transformation messages have been used in the field software. If RTCM transformation messages have been used, the measured points must be exported as CSV (.csv) files for the software to accept them. The CSV files can be imported directly into the software from the controller.

Coordinate system database

The coordinate system database is stored as a file called Current.csd. It contains all of the coordinate system information. The office software supplies an extensive set of published coordinate systems from around the world. To define or edit coordinate systems, zones, sites, datum transformations, ellipsoids, and geoid models, use the Coordinate System Manager.

Related topics

Change the Coordinate System

Coordinate System Manager

Define a New Coordinate System

Restore the Original Coordinate System File


Define the Coordinate System

In This Section

Change the Coordinate System

Define a New Coordinate System

Restore the Original Coordinate System File

Coordinate System Manager

Scale-Only Projection


Coordinate System Manager

The Coordinate System Manager is a standalone utility that gives you access to your coordinate system database (Current.csd). Use the manager to create coordinate systems, or to determine which coordinate systems, geoid models, and sites are available for use in your project.

To open the Coordinate System Manager:

  • Select Tools > Coordinate System Manager.

Note: The Coordinate System Manager has its own help system. Open the utility and select Help > Help Topics, or press [F1] within the software.

Related topics

Change the Coordinate System

Coordinate Systems

Define a New Coordinate System

Restore the Original Coordinate System File


Scale-Only Projection

The software allows you to import survey data using a scale-only projection. Because the software cannot calculate global or local coordinates from grid positions in a scale-only projection, certain functionality is affected. Note the following when working with scale-only projection data:

  • You can specify a scale factor for the scale-only projection when you import the data, and after import in the Coordinate System section of the Project Settings dialog.
  • The Create Point and Add Coordinate commands allow to enter a grid point or coordinate in scale only.
  • The Local Site Settings and Site Calibration commands are disabled.
  • When using the Inverse command, only grid and ground distances are available.
  • The Point List report includes only grid data.

When working with coordinate system data and scale-only projection data in the same project, note the following:

  • When you import scale-only projection data into a project that already contains coordinate system data, the scale-only projection data is converted to the existing coordinate system.
  • When you import coordinate system data into a project that contains scale-only projection data, the scale-only projection data is converted to the existing coordinate system.


Use a Datum

In This Section

Create a Datum Grid File

Datum Grid Options


Create a Datum Grid File

If you have chosen a coordinate system for your project that uses a datum, and the datum hasn't been defined yet, you must create it before uploading to a field device.

To do this, find a coordinate system with the appropriate datum to use. If you know of a coordinate system that uses the datum you need, you can select it to combine its .dgf files into a single .cdg file suitable for uploading.

Note: When you download or import data into a project, the datum used by the imported data must correspond with the datum defined for the project's coordinate system.

To create a datum grid:

  1. Select Project > Project Settings. The Project Settings dialog displays.
  2. Click Coordinate System and then Datum Transformation in the left pane.
  3. Review the parameters. You can only create a datum grid file if the Latitude Grid File and Longitude Grid File boxes are shown, and .dgf files are listed in them. If there are, click OK, and proceed to step 9.
  4. If there aren't .dgf files shown, click Change at the bottom of the dialog. The Select Coordinate System dialog displays.
  5. Select Recently Used System.
  6. Click [image] or [image], or press [PgUp] or [PgDn], to view the available coordinate systems.
  7. When you find a coordinate system that uses the datum you need, click Finish. The Project Settings dialog updates.
  8. Confirm that .dgf files are shown in the Latitude Grid File and Longitude Grid File boxes. These files will be combined into a datum grid file (.cdg) file that you can save and upload to a field device.
  9. Click OK to close the Project Settings dialog.
  10. Do one of the following:
    • Select Project > Datum Gridding.
    • In the Device pane, with a device connected, click Tasks and select Upload datum grid (.dgf) file.

    The Datum Gridding command pane displays. The .dgf files appear in the Project Datum Grid group.

  11. Click Create at the bottom of the command pane. The Save As dialog displays.
  12. Accept the default file name, and click Save. The datum grid file appears in the Datum Grid Files (.cdg) list. Now it can be uploaded to a field device.

Related topics

Upload a Datum Grid


Datum Grid Options

Use these options to select a datum file to upload to a field device. They are available in the Datum Gridding command pane.

Note: Click the lower group header to switch between the current project's datum and a stored datum grid file.

Options
Folder | Select, or navigate to, the folder in which the datum grid files (.cdg) are installed.
Datum grid files (.cdg) | This displays the names of the available datum grid files.
Description | This shows the regions covered by the datums.
Size | This displays the file sizes. Files larger than 1 MB may take a while to upload.
Project/Selected datum grid | If you have a datum grid file selected in the list, this displays details on it. If you do not have a datum grid file selected, this displays details on the datum used in your current project's coordinate system.
Upload | Click this to transfer the datum grid file to the connected field device.
Create | Click this to save a new datum grid file.
Use project datum (via the context menu) | Check this before uploading it you want to upload a temporary copy of the current project's datum, instead of selecting one of the permanently stored datum grid files in the list. Upload to Device is also available from the context menu.

Related topics

Create a Datum Grid File

Upload a Datum Grid


Define a Projection

Use a false origin to define a projection when you import raw GNSS data for which you did not previously specify the projection.

To define a projection:

  1. Import and check-in your raw GNSS data. If there is not associated projection, the Projection Definition dialog displays.
  2. If needed, type grid coordinates in the Northing and Easting boxes to base the origin on the best known grid coordinates.
  3. Click OK. The new coordinates become the projection's origin.

Related topics

Check-In Raw GNSS Data

Local Site Setting Options


Use a Geoid

In This Section

Geoid Options

Define a Geoid Sub-Grid

Geoid Sub-Grid Options

Changes in Geoid Model Interpolation


Geoid Options

Use these options to select a geoid file to upload to a field device. They are available in the Geoid Sub-Gridding command pane.

Options
i_change coordinate system | Click this to display the Select Coordinate System dialog, where you can choose a recently-used coordinate system, or define a new one to use in your project.
Folder | Select, or navigate to, the folder in which the geoid grid files (.ggf) are installed.
File (.ggf files) | This displays the names of the available geoid grid files. If any geoid sub-grid files have been defined, they display beneath the name of the complete geoid grid file.
Description | This shows the regions covered by the geoids.
Size | This displays the file sizes. Files larger than 1 MB may take a while to upload.
Upload | Click this to transfer the geoid grid file to the connected field device. Note: This is only available if you have a field device connected and accessed the command through the Tasks button.
Create sub-grid | Click this to define a sub-area of the geoid file to save upload time and field device memory.

Related topics

Define a Geoid Subgrid

Upload a Geoid File to a Field Device


Define a Geoid Sub-Grid

If the geoid file you want to use for data collection is too large, define a subsection of the area to use before uploading to a field device. This saves upload time and field device memory.

Note: When you download or import data into a project, the geoid sub-grid used by the imported data must correspond with the geoid defined for the project's coordinate system.

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.

To create a geoid sub-grid:

  1. Do one of the following:
    • Select Project > Geoid Sub-Gridding.
    • In the Device pane, with a device connected, click Tasks and select Upload geoid (ggf) file.

    The Geoid Sub-Gridding command pane displays.

  2. If needed, select the folder containing the installed geoid files in the Folder (.ggf) list, or click the [image] icon and navigate to the folder.

    Note: The default location for .ggf files depends on your operating system:
    In Windows® XP or earlier: C:\Documents and Settings\All Users\Application Data\Trimble\GeoData unless you have previously installed Trimble® Geomatics OfficeTM (TGO). If you have installed TGO and then this software, the path is C:\Program Files\Common Files\Trimble\GeoData.
    In Windows VistaTM: C:\ProgramData\Trimble\GeoData\ or C:\Program Files\Common Files\Trimble\GeoData\.

  3. Select a geoid file in the Geoid File (.ggf) list.
  4. Right-click and select Create sub-grid from the context menu. The Create Geoid Grid File dialog displays. The whole globe is visible, and the geoid is centered. In the Geoid File Properties group, the size of the whole geoid appears in the Size box.
  5. In the Suffix to Append box, type text to attach to the end of the original geoid file name to define the sub-grid. The complete file name appears as you type the suffix. For example, if you will be collecting data in Baja, Mexico, add Baja as the suffix to the geoid Mexico97.ggf to create the file Mexico97Baja.ggf.
  6. If needed, uncheck borders or rivers in the Globe Properties group to simplify the display.
  7. Click the [image] icon to zoom in to the extents of the geoid. For explanations of the other viewing tools, see Geoid Sub-grid Options.
  8. Click the [image] icon, and window around the portion of the geoid that you need to create a sub-geoid. The size of the geoid sub-grid appears in the Size box.

    Note: You cannot adjust the sub-grid window that you draw, but you can redraw it multiple times.

  9. Click Save. The Save Geoid Grid File As dialog displays.
  10. Click Save again. The geoid sub-grid file appears in the geoid list just below the original geoid file.

Related topics

Geoid Subgrid Options

Upload a Geoid File to a Field Device


Geoid Sub-Grid Options

Before uploading to a field device, use these options to define a sub-area of a larger geoid file to save upload time and field device memory. They are available in the Create Geoid Grid File dialog.

Options
Geoid file properties
Geoid | This displays the name of the geoid on which the sub-grid will be based.
File name | This displays the geoid's file name.
Suffix to append | Type text to attach to the end of the original geoid file name to identify the sub-grid.
Size (KB) | Shows the original geoid size until you draw the sub-grid. Then it shows the geoid sub-grid's size.
Sub-grid properties
First latitude First longitude | These display the coordinates of the first corner of the window you pick when drawing a sub-grid.
Second latitude Second longitude | These display the coordinates of the opposite corner of the window you pick when drawing a sub-grid.
Globe properties
Cursor latitude Cursor longitude | These display the coordinates of the current cursor location. If the cursor is not over the globe, they display the point at which the cursor left the globe.
US state borders | Uncheck this to hide state boundaries in the United States.
National borders | Uncheck this to hide boundaries of nations.
Major rivers | Uncheck this to hide major waterways.
 | Click this to activate the selection tool. Then click and drag to draw a window within the current geoid to define the opposite corners of a geoid sub-grid. Any portion of the sub-grid that you draw outside of the geoid boundary is ignored. Note: To erase a sub-grid, click anywhere off of the globe. Tip: After you window to create a sub-grid, you can click within the sub-grid to zoom in.
 | Click this to activate the pan tool. Then click and drag on the globe to move to different locations.
 | Click this to zoom in to the extents of the geoid. Then click it again to zoom in by an increment (x2), or pick a point on the globe to center it and zoom in on that point.
 | Click this to activate the zoom out tool. Then click it again to zoom out by an increment (x2), or pick a point on the globe to center it and zoom out from that point.
i_zoom extents and center geoid | Click this to zoom to the extents of the globe, and center the current geoid.

Related topics

Define a Geoid Subgrid


Changes in Geoid Model Interpolation

In earlier versions of Trimble Business Center, the software applied all Trimble geoid models (.ggf files) by using global (WGS-84) positions for interpolation, and global (WGS-84) height values for application of the interpolated geoidal separations. Now, geoid model interpolation is determined based on the model's reference ellipsoid, which is is specified in the geoid model file, indicating whether the model is configured for WGS-84 (global) or a local ellipsoid. As a result, heights/elevations (not horizontal positions) may be changed in projects that were created before the interpolation enhancement was implemented. When this occurs, a message is displayed alerting you to the situation.

The following geoid models are affected by this change:

  • NGS GEOIDXX (set to LOCAL)
  • EGM96 (set to GLOBAL)
  • OSU91A (set to GLOBAL)

Most users will not see any change in their heights/elevations due to this change.

Following is a list of users who will be affected, and the action they should take. For additional help, contact Technical Support.

Users:

Action:

GEOIDXX users with non-(0,0,0) transformation (for example, CORS96)

Elevations will change if they are computed from a GNSS observation using a geoid model. Global heights will change if a point is computed or entered with an elevation.

Evaluate calibrated sites and re-calibrate if necessary.

Note: Most GEOIDXX users will not see a change because the default State Plane coordinate systems use a (0,0,0) transformation.

EGM96 and OSU91A users

Delete all subgrids created from old ggf files as these were incorrectly set to LOCAL.

Replace the deleted subgrids with new subgrids created from the new ggf files, which are set to GLOBAL:

  • ww15mgh.ggf
  • OSU91A.ggf

Minnesota and Wisconsin County Coordinate Systems (USA) users

Switch all jobs and projects to use the newly created geoid subgrids for these regions:

  • G09-MN.ggf
  • G09-WI.ggf.

Do not use subgrids based off of GEOIDXX models.

Related topics

Coordinate System Manager


Calibrate a Site

In This Section

Understanding Site Calibration

Calibrate a Site

Site Calibration Options

Save a Calibrated Site as a Coordinate System

Separate Global and Grid/Local Coordinate Points for Site Calibration

Run a Site Calibration Report


Understanding Site Calibration

The site calibration process establishes the relationship between WGS-84 data collected by GNSS receivers and local control positions (expressed as a local map grid with elevations above sea level). This relationship is defined by a series of mathematical transformations. Site calibration enables you to pair up GNSS and local control points to be used in the calibration. (GNSS coordinates must be derived from GNSS points and observations, and grid points must be derived from grid points and terrestrial observations). This software then computes and applies the mathematical transformations using least squares.

The mathematical transformations that are applied in order to convert WGS-84 positions to grid coordinates are:

  1. A datum transformation to convert the WGS-84 latitude, longitude, and ellipsoidal height coordinates to latitude, longitude, and ellipsoidal height coordinates relative to the ellipsoid of the local map grid.
  2. A map projection to convert the local ellipsoid latitude and longitude coordinates into local map grid northing and easting coordinates (the height value is not altered in this process).
  3. A geoid model to WGS-84 height to get approximate elevation above sea level.
  4. A horizontal adjustment of the transformed grid coordinates to best fit local control data. This adjustment allows for any local variations in the projection system that cannot be accommodated in the overall datum transformation.
  5. A height adjustment to convert the heights above the local ellipsoid or elevations derived from the geoid to local control elevations above sea level.

The horizontal and vertical adjustment are stored as part of the coordinate system definition for the project. All GNSS points in the database are updated using the calibration parameters, resulting in more accurate local grid coordinate values.

You can save the new coordinate system definition (which includes the calibration parameters) as a site for use in future projects in the same area.

If you save a calibration as a site with the intention of using the site in another project, make sure that the project area is fully enclosed by the points used in the calibration. For example, in the following diagram, it is valid to use the site definition for project B, but not for project C.

1. Project C area | 2. Project B area 3. Points used in calibrating Project A

If you use the Here key in Trimble® Survey ControllerTM to start a Real Time Kinematic (RTK) base, and transfer the Survey Controller (.dc) file to this software, the base position, and therefore all rover points from the base, are of unknown quality (for all components, horizontal, height, and elevation).

Note: After performing a site calibration, if you apply local site settings, the calibration you have defined will become invalid and be removed. An error message warns you that continuing will remove the site calibration.

Using Geoid Models

If the coordinate system for the project defines the use of a geoid model for point elevation determination, then elevations are determined directly off the WGS-84 heights by interpolation on the geoid model grid. However, it is still possible to apply a height adjustment on top of the elevations produced by a geoid model to allow for small local variations that a large scale geoid model cannot take into account. Elevations determined from a vertical calibration are given a survey quality.

Rules for ensuring a useful calibration

  • WGS-84 coordinates must be relatively correct.

It is possible to generate autonomous GNSS points. However, you should not use more than one autonomous WGS-84 point in a calibration, for example make sure that only a single base station has been set up using the Here key in Trimble Survey Controller. Other base stations should be set up on positions measured by a GNSS vector in terms of the autonomous base station. This defines the relationship between them and allows you to perform a calibration with points used from either base station correctly. This is described below:

The following figure shows no relationship between the base stations:

Points from Base 1 and Base 2 should not be used for calibration.

In the following figure, a relationship is defined between the base stations by occupying the second base station using the first base station:

Points from Base 1 and Base 2 can be used for a calibration.
  • The best possible WGS-84 coordinates should be used for the initial base station in a survey.

The precision of GNSS vectors (real-time or postprocessed) is affected by the accuracy of the base coordinate. An error of up to one part per million (1 ppm) can be introduced for each ten meters of error in the base coordinates. For example, if your primary WGS-84 reference point has an error of one hundred meters and your baseline is two kilometers long, you may have an unnecessary extra error of two centimeters in your GNSS vectors.

Related topics

Calibrate a Site


Calibrate a Site

Calibrate sites to minimize residuals between WGS-84 RTK data you collect and local control coordinates. For a calibration, associate GNSS points with grid points at the same positions. These point pairs are used to compute and apply mathematic transformations (using least squares) to find the transformation that gives the adjustment parameters that best fit the control grid coordinates when applied to GNSS positions.

Calibrate a site if you:

  • Did not calibrate in the field
  • Need a report of quality control records
  • Want to transfer a calibration to Trimble® Survey ControllerTM
  • Need to add extra points to a calibration in Trimble Survey Controller

Horizontal calibrations consist of three parameters:

  • Translation (move)
  • Rotation (turn)
  • Scale (shrink or stretch)

Vertical calibrations consist of two parameters:

  • Lift (raise or lower)
  • Tilt (change the northing and easting incline of the geoid or local plane)

Site calibration creates a set of local site settings. When a site calibration is complete, the site settings are used in the computation of all other imported GNSS data.

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.

To calibrate a site:

  1. Import or add your grid points using the Add Point command.
  2. Import your GNSS data.
  3. Do one of the following:
    • Click the i_calculate site calibration icon on the toolbar.
    • Select Survey > Site Calibration.

    The Site Calibration Calculation command pane displays.

  4. Click the Calibration Settings tab.
  5. To compute a horizontal shift consisting of translations in the north/south and east/west directions, a rotation around a defined origin and a scale factor, leave the Horizontal Calibration box checked.
  6. Check the Set scale factor to 1 box if you want to maintain the scale of your horizontal distances.
  7. To compute a vertical shift at a defined origin, leave the Vertical Calibration box checked.
  8. Select Vertical Shift + Incline Plane in the list if you need to include inclinations in the north and east directions in the vertical calibration.
  9. Click the [image] icon to display the Project Settings dialog, where you can define a geoid model, if needed.
  10. Click the Point List tab to select the calibration point pairs that will be used in the calibration computations.
  11. Click in the GNSS Point box.
  12. Pick a GNSS point in a graphic view, right-click for options, or type a point ID in the box.

    Note: The point you select must have global coordinates. Points with local coordinates cannot be selected as GNSS points. Point coordinates must be computed from global coordinates.
    Note: Click [image] to expand a group if you want to view coordinate information on the selected point.

  13. Click in the Grid Point box.
  14. Pick a grid point (at the same location as the GNSS point) in a graphic view, right-click for options, or type a point ID in the box.
  15. Select an option in the Type list to specify how the pair of points is to be calibrated. The calibration type you select must be valid for the points. For example, if the grid point does not have an elevation, you cannot set the type to Horizontal and vertical.
  16. Repeat steps 11 - 15 to add additional pairs of points, if needed.

    Note: There is no limit to the number of pairs that may be defined to compute a calibration. Adding a more pairs will not always improve the calibration results, but it will provide additional checks on the validity of the computed parameters. At minimum, you need three pairs of points for a horizontal calibration, and four pairs of points for a vertical calibration with an incline shift.

  17. Click Compute to compute the GNSS calibration parameters. The Results tab appears, summarizing the transformation and listing the horizontal and vertical residuals for each pair of points. The narrow image indicates the vertical magnitude and direction of the shift, and the square image indicates the horizontal.
  18. Click Save As Site if you want to make the calibrated site available to use as a coordinate system. The Save Coordinate System as Site command pane displays. Type a name for the site and click OK.
  19. Click Assign. The calibration is recomputed to update all of the GNSS points, and the coordinate system details are updated with the calibration parameters.

    Note: Sites can be recalibrated at any time.

To remove a site calibration:

  • Select Survey > Remove Site Calibration. The calibration is removed, and the project is recomputed.

Related topics

Choose Local Site Settings

Site Calibration Options


Site Calibration Options

Use these options to establish a relationship between the WGS-84 RTK data you collected and local control coordinates. They are available in the Site Calibration Calculation command pane.

Options

Click this to display the GNSS Calibration Report, showing details of the calibration computation, all the computed parameters, and a listing of the computed control point coordinates compared with their known positions and individual residual values.

Click this to display the Site Calibration section of the Project Settings.

Click this to display the Local Site Settings command pane, where you can define the local site's coordinate type, scale factor, and offsets.

Click this to display the Add Point command pane, where you can create a new office-entered point.

Calibration settings

Horizontal calibration

Check this to compute a horizontal shift consisting of translations in the north/south and east/west directions, a rotation around a defined origin and a scale factor.

The transformation parameters are computed using least squares methods to find the transformation that gives the adjustment parameters that, when applied to the GNSS positions, best fit the control grid coordinates.

The horizontal adjustment reduces any residual error between the control coordinates and the grid coordinates calculated from the GPS positions.

Set scale factor to 1

Check this to prevent your horizontal distances from being scaled.

Tip: It is wise to first compute a horizontal adjustment without the scale factor set to one to check the computed scale factor. If the computed scale factor is not close to one, it could indicate a problem in the selected calibration point pairs.

Vertical calibration

Check this to perform an inclined plane adjustment consisting of a vertical shift at a defined origin and inclinations in the north and east directions.

The parameters for this adjustment are computed using least squares methods to find an adjustment plane that best fits the elevations derived from the GNSS heights with the control point elevations. This requires three three-dimensional calibration point pairs. With a single three-dimensional calibration point pair, only the vertical shift parameter can be computed. If there are two three-dimensional calibration point pairs available the system defines a correction plane that exactly fits these pairs.

If the project uses a geoid model, then the vertical adjustment is computed and applied on top of the geoid model corrections.

Geoid model

This shows the name of the geoid model that is part of the coordinate system definition.

To change the geoid model, click the [image] icon to display the Project Settings dialog.

Vertical shift - Select this to simply compute a vertical shift at a defined origin.

Incline plane - Select this to include inclinations in the north and east directions in the vertical shift.

Compute

Click this to compute the GNSS calibration parameters after you have changed the calibration settings. Results are summarized in the Computation Summary on the Calibration Settings tab.

Save as site

Click this to display the Save as Site dialog, in which you can save the current calibration and coordinate system details in the coordinate system database as a site definition.

You can use this site definition as the coordinate system definition for future projects.

Computation summary

This shows a summary of the last calibration computation.

Use it to confirm that the computed calibration is valid without having to look at the detailed computation report.

Point list

GNSS point

Click in the box. Then pick a GNSS point in a graphic view, right-click for options, or type a point ID that you want to calibrate with the grid point in the next box.

Note: The point you select must have global coordinates. Points with local coordinates cannot be selected as GNSS points. Point coordinates must be computed from global coordinates.

Grid point

Click in the box. Then pick a grid point in a graphic view, right-click for options, or type a point ID that you want to calibrate with the GNSS point in the previous box.

Note: Click [image] if you want to view coordinate information on the selected point.

Type

Horizontal and vertical - Select this when the point pair is suitable for determining both horizontal and vertical adjustments.

Horizontal - Select this when the point pair is suitable only for determining a horizontal adjustment (the elevation value for the grid point is not reliable).

Vertical - Select this when the point pair is suitable only for determining a vertical adjustment (the northing and easting values for the grid point are not reliable).

Ignored - Select this when the point pair is not to be used in the computation of any transformation parameters.

This option is useful if you have a problem in your calibration computation and are trying to locate a suspect calibration point pair. You can use this to remove a calibration point pair temporarily from the computation to see if the results are improved.

Results

(summary)

Horizontal scale factor - This displays the computed scale factor for the horizontal adjustment. If you check the Set scale factor to 1 box, this displays “1”.

Use this to confirm that the computed scale factor is close to 1. If it is not, there may be a problem with one or more of the calibration point pairs.

Horizontal rotation

Maximum slope of inclined plane - This shows the maximum inclination for the computed height adjustment, based on the computed slope north and slope east values.

Vertical shift at origin

Residuals

Maximum horizontal residual - This shows the highest horizontal difference between paired points.

Maximum vertical residual - This shows the highest vertical difference between paired points.

The residuals for each pair of points are represented by the images shown below.

These images indicate the relative magnitude of the vertical shift. Investigate and resolve the reported point pairs with the longest arrows first.

These images indicate the relative magnitude and direction of the horizontal shift.

Investigate and resolve the reported point pairs with the longest arrows and directions that do not match the other residuals first.

Assign

Click this to recompute so that all GNSS points are updated using the calibration parameters.

The coordinate system details are also updated.

Related topics

Calibrate a Site


Save a Calibrated Site as a Coordinate System

After you perform a site calibration, you can name and save the site so it is available to use as a coordinate system.

To save a site as a coordinate system:

  • Click Save As Site at the bottom of the Site Calibration command pane.

    The Save Coordinate System as Site command pane displays.

Related topics

Calibrate a Site

Change the Coordinate System

Define a New Coordinate System


Separate Global and Grid/Local Coordinate Points for Site Calibration

If you import GNSS data and optical data into your project and one or more coordinates in the GNSS data have the same point ID as one or more coordinates in the optical data, points will be created under the Points node that includes both global and grid/local coordinates. In this case, a site calibration cannot be performed using these points. You must first rename the coordinate point IDs in the imported optical data file. Then, you must disable any remaining grid and/or local coordinates listed beneath points defined by global coordinates.

To separate global and grid/local coordinate points for site calibration:

  1. In the Project Explorer, change the point ID for each coordinate included in the optical data that has the same ID as a point included in the GNSS data:
    1. Beneath the optical data file node, right-click the coordinate whose point ID you want to change, and select Properties from the context menu. The Properties pane displays.
    2. In the Properties pane, enter a new point ID for the observation in the Point ID field and press [Enter].

      For example, if the original point ID is "a", you might enter a new point ID of "a_grid".

      The new point is created for the coordinate beneath the Points node in the Project Explorer.

    3. Repeat these steps for each coordinate point ID you want to rename.
  2. Select Survey > Site Calibration.

    If there are no grid and/or local coordinates listed beneath points defined by global coordinates, the Site Calibration pane displays. You are now ready to calibrate the site.

    If there are grid and/or local coordinates listed beneath points defined by global coordinates, a message displays identifying the points. You should disable the grid and/or local coordinates for these points before performing the site calibration. Proceed with the next step in this procedure.

  3. In the Project Explorer, disable any grid and/or local coordinates listed beneath points defined by global coordinates:
    1. Beneath the the Points node, click the [image] icon to expand the point you want to view.
    2. Right-click the grid or local coordinate you want to disable, and select Properties from the context menu. The Properties pane displays.
    3. In the Properties pane, select "Disabled" in the Status list.
    4. Repeat these steps for each coordinate you want to disable.
  4. When you are done, do either of the following to compute the project:
    • Select Project > Compute Project.
    • Click the [image] icon on the status bar.

    You are now ready to calibrate the site.

Related topics

Understanding Site Calibration

Calibrate a Site


Run a Site Calibration Report

After you calibrate a site, generate a Site Calibration Report to see details on the local site settings, horizontal and vertical calibration parameters, and residual differences between GNSS and grid points in your project.

To run a Site Calibration Report:

  • Select Reports > Site Calibration Report.

    The Site Calibration Report displays in your default Web browser.

To modify the report:

  • Select Reports > Report Options. Select Site Calibration Report in the command pane, and click OK.

    In the Settings group at the bottom of the command pane, you can specify the header and footer data to display.

Related topics

Customize and Run a Report


Import Data

In This Chapter

Import Data

Drag and Drop to Import

Import Multiple File Versions

Preconfigure Options for Importing Multiple File Versions

Merge Duplicate Points on Import

Import Data in a Custom Format

Download and Import Internet Data

Import and Export Data Using Trimble Access Drive

Convert Trimble Geomatics Office (TGO) Projects

Import Data Formats

Run an Import Report


Import Data

When you select an import folder in the Import pane, the software analyzes the files in that folder to match each file type with an appropriate importer. If a file is marked as "unknown", you may need to create a custom importer for that file.

Note: The following procedure explains how to import data using the Import pane. As an alternative, you can drag and drop files onto a graphic or spreadsheet view to import data into your project. However, if you use the drag-and-drop method, you are not able to view import settings and make changes if necessary.

To import data into a project:

  1. Do one of the following:
    • Select File > Import.
    • Click the [image] icon on the toolbar.

    The Import dialog displays.

  2. In the Import Folder list, select the folder containing the file(s) you want to import , or click the [image] icon to browse for a folder.

    The files contained in the selected folder appear in the Select File(s) list.

    To display only those files for which the software can determine an appropriate importer, click the i_show only known file types icon located at the top of the Import pane.

    To change the file type for any file in the Select File(s) list, right-click the file and select an option from the Set File Type list. The options that are offered are based on the file's extension and an analysis of the file.

  3. Select the file(s) you want to import in the Select File(s) list.

    To import more than one file, use [Ctrl] + click or [Shift] + click. However, note that the order in which you import data can affect the project computation results.

    To view the contents of a file in the Select File(s) list, select the file and click the [image] icon located at the top of the Import pane.

  4. In the Settings section at the bottom of the Import pane, view the import settings and make changes if necessary.
  5. Click Import.
  6. To view an Import Summary report, select Reports > Import Summary.

Note: When you import a Trimble Survey Controller Job (.job) file, Trimble Access Job file, or any JobXML (.jxl) file, a project subfolder is created in the project folder to contain the imported data file and any referenced photo image files. (For other file types, all files are imported directly into the project folder, not a subfolder.) This ensures that when multiple files of the same type are imported, any referenced image files with the same name are stored separately and cannot be overwritten.

Related topics

Drag and Drop to Import

Import Data Formats

Import Data in a Custom Format

Run an Import Summary Report


Drag and Drop to Import

You can import data by dragging files from your desktop, Windows® Explorer, or the Import command pane's file list, into a data view.

To drag and drop a file into a project:

  1. Open a project.
  2. Do one of the following:
    • Locate the files that you want to import on your desktop or in Windows® Explorer.
    • Open the Import command pane and browse to the folder that contains the file(s) to import.
  3. Click and drag the file(s) onto a data view.

Caution: The software allows you to set import properties when importing certain types of files. These properties are displayed in the Import command pane when you select File > Import and select the file type. If you choose to import one of these types of files using the drag-and-drop method rather than the Import command pane, you will not be able to see the default import properties or change them.

Related topics

Import Data


Import Multiple File Versions

If data collection for a survey is performed over multiple days, you may need to import different versions of a DC (.dc), JOB (.job), or JXL (.jxl) file into a project inTrimble Business Center. To help you manage this process, the software allows you to choose whether to merge data contained in the newly imported version of the file with the data that has already been imported into the project, or import it as a separate file. If you choose to merge the data, you can further specify what to do when the same objects are contained in both files (for example, a point with the same name): save the existing version of the object already in the project and discard the new version, or save the newly imported version of the object and discard the existing version.

When the software detects you are importing a different version of a DC, JOB, or JXL file that has already been imported into the project, one of the following occurs:

  • If you have not preconfigured the file importer to use a specific option for merging data, the Specify Option dialog displays allowing you to specify an option (see below).
  • If you have preconfigured the file importer to use a specific merge option, that option is applied and the Specify Option dialog is not displayed. For instructions on preconfiguring a file importer for merging duplicate files, see Preconfigure Options for Importing Multiple File Versions.

If the Specify Option dialog displays, select the appropriate option and click Import.

Option

Description

Disable merge

Select this option to import the file as a new version of the file already in the project, resulting in multiple versions of the file and multiple versions of any duplicate objects.

During import, the Merge Points dialog displays if both of the following are true:

  • The newly imported version of the file includes one or more points with the same name as existing points in the project.
  • You selected one of the three "merge-by-tolerance" options in the Computations > Point Tolerances > Merge on Import section of the Project Settings dialog, and the specified tolerance was exceeded by one or more duplicate point pairs.

Overwrite office edits

Select this option to merge data in the imported file with data in the existing version of the file.

If the same object (for example, a point) exists in both versions of the file, the newly imported version of the object is the one that is saved. This overwrites any office edits that might have been made to the object between imports.

If a point created for an existing object that is being overwritten includes an office-entered dependent object (for example, an office entered coordinate), the existing point is automatically merged with the newly created point, allowing the dependent object to be re-associated with the newly created point. (See note below.)

During import, the Merge Points dialog displays if both of the following are true:

  • The newly imported version of the file includes one or more points with the same names as points that already exist in the project but were not imported with the earlier version of the file (for example, they were entered in the office).
  • You selected one of the three "merge-by-tolerance" options in the Computations > Point Tolerances > Merge on Import section of the Project Settings dialog, and the specified tolerance was exceeded by one or more duplicate point pairs.

Preserve office edits

Select this option to merge data in the imported file with data in the existing version of the file.

If the same object exists in both versions of the file, the existing version of the object is the one that is saved. This preserves any office edits that might have been made to the object between imports. (See note below.)

During import, the Merge Points dialog displays if both of the following are true:

  • The newly imported version of the file includes one or more points with the same names as points that already exist in the project but were not imported with the earlier version of the file (for example, they were entered in the office).
  • You selected one of the three "merge-by-tolerance" options in the Computations > Point Tolerances > Merge on Import section of the Project Settings dialog, and the specified tolerance was exceeded by one or more duplicate point pairs.

Notes:

- Only DC, JOB, JXL, and NGS data sheet file importers allow you to select merge options for versioned files as described in this topic. If you select to import a new file version for a file type other than one of these, the newer version of the file is imported as if the Disable merge option described above was selected.

- If there is more than one version of a file already in the project, the Overwrite office edits and Preserve office edits options will not be available in the Specify Option dialog. To merge data using one of these two options, you must first delete all but one existing version of the file from the project, then re-import the new version.

Related topics

Import Data

Preconfigure Options for Importing Multiple File Versions

Merge Duplicate Points on Import


Preconfigure Options for Importing Multiple File Versions

The following procedure explains how to preconfigure a DC (.dc), JOB (.job), JXL (.jxl), or NGS data sheet file importer to use the appropriate option for merging data when you import a different version of a file that has already been imported into the project (for example, you are importing data for the second day of a 2-day survey). If you do not preconfigure this option for an importer, the importer defaults to prompting you to select the appropriate data merge option on each import.

To pre-configure options for importing multiple file versions:

  1. Select File > Import to display the Import command pane.
  2. In the Import folder drop-down list, select a folder containing a DC, JOB, JXL, or NGS data sheet file, depending on which file type you want to configure.
  3. In the Select File(s) list, select a file representing the file type you want to configure.
  4. In the Settings > Versioned Files section of the Import pane, select the appropriate option in the Merge Options list.

    See Import Multiple File Versions for a description of each of these options. You can also select the Ask me on import option to specify that the Specify Option dialog display at the time of import. This dialog allows you to choose the appropriate merge option at that time.

    Your selection in the Merge Options list is saved immediately.

  5. Do one of the following:
    • If you are done preconfiguring file importers to use the appropriate merge options and you do not want to import the selected file, click the Close button.
    • If you want to preconfiguring merge options for additional file importers, repeat this procedure from step 2.
    • If you want to import the selected file, click the Import button.

Once you have set these options, they will be in effect every time the system recognizes you are importing a different version of a DC, JOB, JXL, or NGS data sheet file that has already been imported into the project. You can change the options at any time by repeating this procedure.

Related topics

Import Multiple File Versions

Import Data

Merge Duplicate Points on Import


Merge Duplicate Points on Import

When you import a new data file into a project that includes a point with the same name as an existing point in the project, depending on your project configuration (see below) and the type of file you are importing, the Merge Points dialog may display showing all duplicate point pairs. In the dialog, a check mark identifies each point pair that will be merged into a single point. You can add a check mark to, or remove a check mark from, any point pair as necessary to select to merge or not merge the points.

Note: When you import a different version of a file that has already been imported into the project (for example, you are importing data for the second day of a 2-day survey), depending on the file type and the merge settings for that file type, duplicate points may be automatically merged, regardless of the merge options specified in the Project Setting dialog as described below. In this case, the Merge Points dialog is not displayed. For more information, see Import Multiple File Versions.

To specify how duplicate points are merged on import:

  1. Prior to import, select Project > Project Settings to display the Project Settings dialog.
  2. Select Computations > Point Tolerances in the left navigation pane.
  3. In the Merge on Import section, select the appropriate option in the Merge options drop-down list.
    • By Point Tolerance - Select this option to specify that duplicate points be merged if their horizontal and vertical coordinates are within the tolerances specified in the Quality sections of the Point Tolerance pane. The lower quality of the two points (Survey, Mapping, or Unknown) determines which quality tolerances to use.
    • By Point Tolerance x 3 - Select this option to specify that duplicate points be merged if their horizontal and vertical coordinates are within the tolerances specified in the Quality sections of the Point Tolerance pane, multiplied by a factor of 3. For example, if 0.020 m is specified for a quality tolerance, 0.060 m is used for the merge tolerance. The lower quality of the two points (Survey, Mapping, or Unknown) determines which quality tolerances to use.
    • By Custom Tolerance - Select this option to specify that duplicate points be merged if their horizontal and vertical coordinates are within the tolerances you specify in the Horizontal tolerance and Vertical tolerance fields, regardless of point quality.

      Tip: If you want to force the Merge Points dialog to always display when you import duplicate points, select the By Custom Tolerance option and set the horizontal or vertical custom tolerance to 0.000.

    • By Station Point - Select this option to specify that duplicate points be merged in cases where at least one of the two points is occupied by a total station or a base station (referred to as a "station point"), regardless of position tolerances. When this option is selected, the Merge Points dialog is not displayed during import.

      Note: The By Station Point option is the merge algorithm that was used exclusively in earlier versions of Trimble Business Center.

  4. Click OK.

    You are now ready to import points into your project. If the Merge Points dialog is displayed during import, verify that duplicate point pairs are selected correctly for merging and make changes if necessary.

Related topics

Import Data

File Types Supported by Merge Options in Project Settings

Import the Same Data File Multiple Times

Merge Duplicate Points


Import Data in a Custom Format

Use the Import Format Editor to define a custom format for importing an ASCII file with a non-standard format. The importers created with this editor are used within the Import command..

You can create a converter to import any of the following:

  • Delimited files containing ASCII data that is separated by a specific character, e.g. comma separated (.csv) files
  • Fixed-width files containing ASCII data that is in pre-defined columns
  • Files with ASCII data that is defined by a string of text
  • Files with ASCII data that can be defined by a regular expression

To import a file with a custom format:

  1. Do one of the following:
    • Select File > Import Format Editor.
    • In the Import dialog, click the i_import format editor icon.

    The Import Format Editor opens and displays the Select Definition dialog.

    Note: If you try to import an ASCII file with a format that is not recognized by any importers, the Import Format Editor may display automatically.

  2. Select a format definition in the list.
  3. Click Next and select options in the Description and Search Type dialog.
  4. Click Next and select options in the General Properties dialog.
  5. Click Next and select options in the Fields dialog.
  6. If you selected Regular expression as the type in the Description and Search Type dialog, click Next and select options in the Regular Expressions dialog.
  7. Click Finish to import the file using the customized importer.

Tip: For each format type, you can select to show or not show the Import Format Editor automatically, every time you import an ASCII non-standard file. Set this option in the Select general properties dialog of the editor. When checked, the Test section displays the actual contents of the file and a sample of how it will be parsed using the selected format. For details, see Fields Options.

To test a custom format importer:

  1. Select a custom format in the definition list.
  2. Click Test in any of the four Import Format Editor dialogs. The dialog expands.
  3. Click Read File and select the number of lines you want the importer to read. If you select View File, it will open in a text editor.
  4. Click the [image] icon and navigate to the type of file you want to import, and click Open. The importer will read the file and highlight any values that it is unable to convert.

    Note: The file must have the same file extension as the importer you chose.

  5. Select a different importer or edit the file to accommodate the reported errors.

Related topics

Definition Options

Description and Search Type Options

General Properties Options

Fields Options

Import Data Formats

Reference: Regular Expressions


Definition Options

Use these options to create new format definitions. These buttons appear to the right of the list of definitions on the first dialog of the Import Format Editor.

Options
New | Click this to enter a new definition name in the list. A unique name is required; a descriptive name is recommended. Click any other definition row to finish.
Copy | After you click on description (listing on left), click Copy to enter a definition name. A unique name is required; a descriptive name is recommended. Click OK to return.
Rename | Select the name of one of the custom formats you have created, and click this to edit the name.
Delete | After you click on a description (listing on left), click this to remove the definition from the list.

Note: To remove a description as an import option, you can click the Enable checkbox until no green check appears. If you would do not want to display these disabled descriptions, enable Only show enabled definitions at the bottom left of the dialog box.

Related topics

Description and Search Type Options

General Properties Options

Fields Options

Import Data in a Custom Format


Description and Search Type Options

Use these options to define the type of custom importer you want to create, and add a description. They are available in the second dialog of the Import Format Editor.

Options
Description | Enter a descriptive string to describe this importer (optional).
Type | Select the option that describes the file you want to import: Delimited - this file contains data that is separated by a specific character. Fixed Width - this file contains data that is in pre-defined columns. Search for Text - this file contains data marked on either side by a text string. Regular Expression - this file contains data that can be identified with a regular expression.

Related topics

Definition Options

General Properties Options

Fields Options

Import Data in a Custom Format

Reference: Regular Expressions


General Properties Options

Use these options to define how you want the file delimited and saved, and the data stored. They are available in the third dialog of the Import Format Editor.

Options

Delimiter

Select the character that separates the fields from drop-down list. If you select <other>, you must specify the required character.
This can be one of the following: _ ) ( * & ^ % $ # @ ! ~ `

Store points as

Surface - creates a surface model from the points; no individual points are stored in the project.

Points - creates individual points in the project.

Default file extension (recommended)

Enter the default extension for the import format. The import analyzer uses this extension to help it decide what conversion options to offer the user in the context menu. This field is optional. If left blank, a default extension of ".txt" is assumed.

Show editor on import

Check to automatically open the Import Format Editor when importing a non- standard ASCII file.

Text qualifier

Enter a special character to identify the beginning and ending of the string, for example ".

Skip number of header lines

Enter the number of lines to skip at the beginning of the file before reading the data to import.

Start undefined ID numbering

Enter a number to use as the starting ID when auto-generating IDs for unidentified points during import.

If no number is entered, this software will not assign a number to unidentified points during import.

Undefined elevation

Enter a character or value to indicate that an elevation has not been assigned.

Grid only

For point files, check this box to import the points only as lightweight/CAD points with X, Y, and Z grid coordinates, and not normal (surveyed) points with global and local latitude and longitude coordinates.

Note: Only grid points can be moved or elevated. To preserve their integrity, surveyed cannot be moved or elevated.
Note: If you change your coordinate system, grid points do not move; they are 'non-transformable' in the sense of a coordinate system transformation. They can, however, be 'transformed' as in a CAD transformation (move, rotate, scale, and elevate). Grid points are also more easily edited than normal points (for surveyed points, you have to add coordinate records to edit their locations or elevations).

Coordinate quality

Select a coordinate quality to assign to the imported data. Control quality data is fixed, mapping and survey quality data is weighted, and unknown quality data is not used during the computation of the project.

Tip: For large point files, select unknown quality; the program will perform faster.
Note: If you want to be able to edit the point quality within the software, select control or survey quality on import.

Related topics

Definition Options

Description and Search Type Options

Fields Options

Import Data in a Custom Format


Fields Options

Use these options to define the fields that you want to import, and their field order, and units. The options vary slightly based on the type of converter you are creating. They are available in the fourth dialog of the Import Format Editor.

Options

Fields

Click Fields to display a drop-down list of data properties. Select one and a tag appears as a field in the row of data. Continue to select all the fields that you want to import.

Note: If you select the properties out of order, you can click and drag them into the proper order.

Units

Apply to all

To select the distance units for all data, select the units and enable the Apply to all check box. You can also disable the Apply to all check box, and select a unit for each exported field.

For Fixed Width (only)

Click on each field, and enter a Start and End value or a Start and Width value - the third value will be filled in automatically.

For Search for Text (only)

Click on each field, and enter text values to search for the Start and End the field.

Note: Spaces will not be visible in the Start and End fields, but you can see them in the Preview area.

For Regular expression (only)

Click Next to display the dialog box for entering a regular expression.

Test

Enter file name

Read file

Click Test to open the testing display area. To test the current format on a specific file:

  1. Browse for the file.
  2. Click Read file to view the results.

You can continue to modify the format setting and Read file the results until you are satisfied.

Related topics

Definition Options

Description and Search Type Options

General Properties Options

Import Data in a Custom Format

Reference: Regular Expressions


Regular Expressions

Use these options to customize the regular expression that identifies fields that you want to import, and their field order, and units. The options are available in the fifth dialog of the Import Format Editor. To learn more about how to write and modify regular expressions, see Reference: Regular Expressions.

Options

Regular expression

When you click Reset (below), this box shows the regular expression created by the fields you added in the previous Fields dialog.

You can manually edit the expression by:

  • clicking in the box and typing new syntax
  • clicking Back to return to the Fields dialog where you can add and remove fields
  • cutting-and-pasting a pre-defined expression (see an example expression below) and editing it as needed

Reset

Click this to update the regular expression box with the fields you added in the previous Fields dialog.

Regular Expression Example
If your data looked like this: Point "783721",1.020504836526262,2.350757695493461e-001,161.924222568444750,"104",, Point "783831",1.021434930822021,2.354825559721977e-001,141.666434510332460,"104",, Point "SILO",1.021145841465939,2.356510353092979e-001,139.771999999999990,,,
You would select these fields in the Fields dialog: Point ID, Northing, Easting, Elevation, and Feature Code
After clicking Reset in the Regular expression dialog, the expression would be started: ^(?<PointId0>)(?<Northing1>)(?<Easting2>)(?<Elevation3>)(?<FieldCode4>)
You would need to finish the expression by adding these to match the data: ^\s*Point\s"(?<PointId0>[+\s\w]+)",(?<Northing1>[0-9.e]+),(?<Easting2>[0-9.e]+), (?<Elevation3>[0-9.e]+),"(?<FieldCode4>[^"]*)
Here are the reasons to add each operator and character to the syntax:
\s*Point\s" | \s* matches zero or more white spaces at the beginning of the line; Point matches the word identifying the next value as a point ID; \s matches a single white space; the open and closed " match the quote marks around the point ID group
[+\s\w]+ | the brackets [ ] specify to match any character identified within them; + matches either the positive or negative sign in front of the point ID and \w matches any alphanumeric character for the point ID; + outside the brackets repeats the matching to account for any combination of the allowed characters
, | , specifies that a new field follows
[0-9.e]+ | 0-9 matches any numerals for the northing, easting, and elevation in the 0-9 range; .e matches any decimal, e or minus sign encountered in the value
[^"]* | ^" matches any string for the feature code until the next " is encountered; * matches any characters after that

Keywords to use for imported data fields

Value you are specifying | Keyword to use
easting | Easting
elevation | Elevation
ellipsoidal height (local or global) | EllipsoidalHeight
feature code | FieldCode
atitude (local or global) | Latitude
longitude (local or global) | Longitude
northing | Northing
point ID | PointId
X (ECEF) | XECEF
Y (ECEF) | YECEF
Z (ECEF) | ZECEF

Related topics

Definition Options

Description and Search Type Options

General Properties Options

Import Data in a Custom Format

Reference: Regular Expressions


Download and Import Internet Data

After you have imported raw data and processed the baselines, download and import additional data from various Internet resources. To find data relevant to your project, the Internet Download command:

  • Uses a radial search based on the coordinates in your project
  • Can import file formats used by most GPS manufacturers, as well as the receiver-independent RINEX format
  • Automatically converts time differences and finds overlapping session times

Related Topics

Add Predefined Data Providers

Download and Import Data Automatically

Manage the List of Data Providers

Add New Data Providers


Download and Import Data Automatically

After you have created or opened a project and processed baselines using only your raw data, there are two ways in which you can download data from Internet providers: Automatic and Manual. In most cases, you will be able to use the automatic method.

Note: Internet download converts local time to GPS time.

To download and import data from the Internet

  1. Do one of the following:
    • Select File > Internet Download.
    • Click [image] on the toolbar.

    The Internet Download command pane displays, listing the default data providers.

    Note: You can expand or collapse the groups in the list by right-clicking and selecting Expand All or Collapse All from the context menu.

  2. Double-click a web site in the list to start an automatic download. Alternately, you can select a site and click Automatic, or right-click and select Automatic Download from the context menu. The Download Parameters dialog displays.

    Note: Reference stations use Manual download only.

  3. Set download parameters as needed.
  4. Click OK to start the download process. A new tab appears, showing the download sequence and status. At the bottom of the command pane, a message and progress bar show the download status. As files finish downloading, their names appear in the File Name list.

    Tip: You can download from multiple sites concurrently. Once you begin a download, click the Start tab, select another provider web site, and begin another download.

  5. After downloading, click each cell in the Action list, and select a way to handle the downloaded file.
  6. Click Import to start the import process. The tabbed page closes. Files that you set to Import will import into the current project, display in the plan view, and appear in the Project Explorer.

    Note: If none of the files are importable, the button will read OK, instead of Import.

  7. If you have downloaded from multiple sites, click each tab and repeat steps 5 and 6 for each tabbed page.

    Note: Continuous files from CORS stations are often logged, and import, in one-hour increments. Once they have been imported, however, they are concatenated (joined sequentially) into a single file.

Related Topics

Internet Download Options

Download Parameter Options

Download and Import Data Manually


Internet Download Options

Use these options to select the type of data you want to download from the Internet. They are available on the Start tab of the Internet Download command pane.

Options
Site type | Data type |
Reference Stations (and Virtual Reference Station) | Base station (Manual only) | These enable you to download base station or virtual RTK data from a local base station (or a virtual base station) using a manual search. For example, NGS CORS reference stations permit you to download RINEX data, and almanac information.
Precise Orbits | File | These let you download orbit data from the NGS or IGS. For example, NGS CORS stations permit you to download precise ephemeris data in two formats: SP3 and EF18.
Control Coordinates | File | These enable you to download data sheets from the National Geodetic Survey. For example, NGS CORS reference stations permit you to download control coordinates.
GNSS almanac files | File | These enable you to download GNSS planning data. For example, NGS CORS reference stations let you download almanac information.

Related Topics

Download and Import Data Automatically

Download and Import Data Manually

Download Parameter Options

Import Data


iGate Download Options

Use these options to select reference stations from which to download. They are available in the Select Reference Stations to Download dialog when you download reference station data using the iGate protocol.

iGate is a rare protocol that can retrieve a network of multiple reference stations. Using the iGate protocol, you can download different types of data, such as observation and ephemeris, concurrently.

Options

Select

Leave this checked to download the reference station. Uncheck stations you do not want to download.

Station name

This identifies the reference station, which may or may not indicate its geographic location.

Interval (sec)

This displays the sample rate in seconds. Click the drop-down arrow to select a different interval.

Note: If you select a higher rate than the rate at which the data was collected, you may not receive data. Experiment with lower rates if you think this is the case.

Ephemeris

Click the drop-down arrow to select an ephemeris type.

Low accuracy - Select when none of the IGS orbit types are available.

IGS Precise orbit - Select for the highest quality orbit data. This data is used for the IGS reference frame.

IGS Rapid orbit - Select when IGS Precise orbit is unavailable. For many applications, IGS rapid orbit data is almost as good as IGS precise orbit data.

IGS Ultra rapid orbit - Select when neither precise or rapid orbit data is available.

For more information, see the International GNSS Service's web site.

Note: If the server does not have the ephemeris type you select, no file is downloaded.

Distance

This displays the distance from the station to the center of your current project data.

Related topics

Internet Download Options


Set Download Parameters

When you start an automatic download, the Download Parameters dialog displays. Set the geographic center and limits, and time scope of the download, so you get the data most relevant to your project.

To set download parameters:

  1. Set the geographic center of the download in the Coordinate group.
  2. Set the time limits of the download in the Timespan group.
  3. Set the geographic scope of the download in the Search Radius group.
  4. Click OK to start the download.

Disable the Download Parameters dialog if your projects always contain the parameters that data providers need.

To disable the Download Parameters dialog:

  1. Do one of the following:
    • Select Tools > Options.
    • Click Options on the Internet Download Configuration dialog.

    The Options dialog displays.

  2. Click Internet Download.
  3. Disable Always show the Download Parameters dialog. Then, when you click Automatic, the Download Parameters dialog will not display unless the project spans more than 8 hours. If your project extents are longer than 8 hours, the dialog will open, prompting you to specify a smaller segment of time for faster downloading.

    Note: If your project doesn't include the parameters needed by the data provider site, the Download Parameters dialog will still display, even if you have the option toggled.

Related Topics

Download and Import Data Automatically

Download and Import Data Manually

Internet Download Options


Download Parameter Options

Use these options to set parameters for the geographic and time scope of your download of Internet data. They are available in the Download Parameters dialog. This dialog may look different each time you open it because the parameters it includes are based on the requirements of the data provider's web site.

Options

Location code

4 Character Name

Type or select a reference station's 4-digit location code.

They are selectable if you previously entered them on the Site Properties dialog's Station Location tab.

Coordinate

User Input

For NGS data, a radial search is done, based on the coordinates of your current project.

Select this to open the Northing, Easting, and Elevation, or Latitude, Longitude, and Height, boxes.

Project Center

Select this to use the geographic center of your project's data for the download.

Point in Project

Select this to open the Point ID box, where you can enter the name of one of the points in your project as the center of the download.

Point ID

Type the name of the point you want to use as the center of the radial download.

Coordinate type

Grid - Select this to use northing, easting, and elevation coordinates when you specify the center of the download.

Local - Select this to use latitude, longitude, and height coordinates.

Global - Select this to use latitude, longitude, and height coordinates.

Northing, easting and elevation

or

Latitude, longitude, and height

Type coordinates for the download center.

Time span

Session

By default, data covering the entire time span of your current project will be downloaded.

Project time span - Select this to download data covering all of the occupation times in your project.

User input - Select this to open the Start time and End time boxes, where you can set the exact time span to download.

(Project time span broken into segments) - Select one of these when the project spans more than an eight-hour period.

Start time

and

End time (local)

Set the time span within which to download.

Generally, GPS files are in UTC time, not local time.

Note: Some reference stations, provide segmented data, meaning that it is stored in one hour increments. When you download segmented data, you will notice multiple files being transferred for any sessions in your project that span multiple segments.

Sample interval

Select an option to download data using an interval equal to or lower than the interval in your project. If the base station has used a collection interval higher than the occupations in your project, the download process will decimate (reduce the base station data) down to the level you set.

Search radius

Kilometers

Type the radial distance from the center of your project within which to search for data. You can enter units different from the project units, and they will be converted.

Related topics

Set Download Parameters


Post-download File Options

Use these options to specify what you want to do with downloaded files. They are available on the numbered tabs of the Internet Download command pane after you have successfully downloaded data.

Options

Import

Select this to add the file to the current project, display the data in the plan view, and place the file on your hard drive in the folder you specified in the Download and import folder box in the Options dialog.

This is the default option for files that the Import command recognizes. The file formats supported are listed in Import Data Formats.

Save

Select this to place the file on your hard drive in the folder you specified in the Download and import folder box in the Options dialog.

Saving the file does not import the data into your project.

Delete

Select this to discard the file.

This is the default option for files that the Import command does not recognize.

Related topics

Download and Import Data Automatically

Download and Import Data Manually


Download and Import Data Manually

The Manual download method simply connects you to a data provider's web page, without beginning a download process. This function helps you by keeping an organized list of your data providers so that you can access their sites quickly while working in your project. In addition, it is helpful to have manual sites saved in case they become configurable for the automatic download method, or if the automatic download stops working due to a change within a site.

To manually download data from the Internet:

  1. Do one of the following:
    • Select File > Internet Download.
    • Click [image] on the toolbar.

    The Internet Download command pane displays.

  2. Select a web site in the Providers list.
  3. Click Manual, or right-click and select Manual Download on the context menu. Your Internet browser opens to the page of the provider you selected.
  4. Navigate through the appropriate web pages, and enter the parameters needed to start a download process.

Related Topics

Download and Import Data Automatically

Internet Download Options

Download Parameter Options


Manage the List of Data Providers

Disable web sites in your Providers list to control which data providers you or your colleagues can choose from, without having to delete sites. When you disable a site, its name is removed from the list of providers in the Internet Download command pane.

Add new groups to organize your data provider web sites into logical sets. When you add a new group to the list of providers, the group shows up as a new data type in the Internet Download command pane. You can modify the default group structure so it suits your needs.

To disable data provider sites:

  1. Click the [image] icon on the Internet Download command pane's toolbar. The Internet Download Configuration dialog opens.
  2. To disable (or enable) a specific data provider, uncheck (or check) the box next to the name.
  3. Click OK to close the Internet Download Configuration dialog. The name is removed from the list of providers in the Internet Download command pane.

    Note: To permanently remove a specific site or an entire category (folder) of providers, select the name in the list and click Delete. A warning message will prompt you to confirm the deletion.

To add or edit provider groups:

  1. Click the [image] icon on the Internet Download command pane toolbar. The Internet Download Configuration dialog displays.
  2. Click New Group. The Group Properties dialog displays.
  3. Enter a new folder name in the Name box.
  4. Select a download type for the group in the Type list box.
  5. In the Presets list, select a folder in which you want to place the downloaded, imported, and saved files for the group.
  6. If you selected User Defined Folder in the Presets list, type that path or click the [image] to browse for the download folder.
  7. Click OK, and OK again to close the Internet Download Configuration dialog.

To set Internet download options:

  1. Click [image] on the Internet Download command pane toolbar. The Internet Download Configuration dialog displays.
  2. Click Options. The Options dialog displays.
  3. Check or uncheck the options as necessary.
  4. Click OK, and OK again to close the Internet Download Configuration dialog.

Related Topics

Add New Data Providers

Add Predefined Data Providers

Data Provider Group Options


Data Provider Group Options

Use these options to define the type of group you are creating. They are available in the Group Properties dialog. Different Internet protocols are used for the different download types.

Options

Group information

Type

File download - Select this to download types of data other than GNSS, such as control coordinates.

Reference station download - Select this to download GNSS data from any official base station.

Virtual reference station download - Select this to download GNSS data from any other GNSS data provider to use in place of an official base station.

Download folder

Presets

Project download folder - Select this to import into the default download and import folder, as defined in the File Locations section of the Options dialog.

Trimble planning utility folder - Select this to download to the Planning utility's default folder.

My Documents Folder - Select this to download to:

  • C:\Documents and Settings\(username)\My Documents\ in Windows® XP or earlier.
  • C:\Users\(username)\Documents\ in Windows VistaTM.

User-Defined Folder - Select this to open the Folder box, where you can browse for a different folder.

Folder

Type a path, or click the [image] icon for a different folder in which to save downloaded files.

Related Topics

Internet Download Options

Manage the List of Data Providers


Add New Data Providers

Add websites that you regularly use to the list of data providers. If your projects are consistently in the same geographic area, configuring and adding local data providers can make accessing Internet data very efficient.

Note: For instructions on adding a Trimble IP-enabled receiver as a data provider site, see Add New Trimble IP-Enabled Receivers.

To add a new data provider site:

  1. In the Internet Download pane, click [image] on the toolbar.
  2. In the Internet Download Configuration dialog, select the group in the Providers list to which you want to add a new data provider sit .
  3. Click the New Site button.

    If you selected a Reference Stations group, the New Site dialog displays. Click the Enter the details manually option and click OK.

  4. In the New Site Properties dialog, complete the fields on the various tabs as necessary (see New Provider Options for instructions).

    The tabs displayed vary depending on the group you selected. The URL Wizard button is used only when adding a Trimble IP-enabled receiver as a data provider site (see Add New Trimble IP-Enabled Receivers).

  5. When you are done, click OK.

    The new site is displayed in the Providers list in the Internet Download Configuration dialog.

Tip: Once you have added the web sites you need to your list of providers, the site information is saved in a file named INetDownload.xml. Share your list of sites with colleagues by copying this .xml file from your computer into the equivalent directory in their computers. The location of this file depends on your operating system:
In Windows® XP or earlier: C:\Documents and Settings\(username)\Application Data\(software brand name)\(software product name)\(version number)\
In Windows Vista or Windows 7: C:\Users\(username)\AppData\Roaming\(software brand name)\(software product name)\(version number)\
Note: The file that contains the default site list is named cg_list.csv. After the application accesses this list the first time, it switches to accessing the .xml list stored in the same location. Any changes you make to the list of providers will be retained in the .xml file mentioned above. If you reinstall or update the program, different file entries will be merged into your .xml list; it will not be overwritten.

Related Topics

Reference: URL Parameters

New Provider Options


New Provider Options

Use these options to configure new web sites that you want to add to your list of Internet data providers. They are available in the New Site Properties dialog. Since sites have different requirements, only the tabs necessary to configure the site appear.

Providers Options

Site name

Type a unique identifier for the site.

Manual Connection

Host URL/Address

Type a URL to be used to visit the site.

Connect

Click this to open the web page in your default browser, or starts the manual download for the site.

Automatic Connection

Host URL/Address

Type a URL to be used for automatic downloads (see Reference: URL Parameters).

Protocol

Select the method used to transfer data from the web site to your computer.

FTP/HTTP - Select this to download reference station, virtual reference station, and file data. Most of sites you encounter will accept this protocol.

Explorer - Select this to download reference station, virtual reference station, and file data, and view the file in your default Internet browser.

iGate - Select this to download reference station and virtual reference station data.

None - Select when you want to access the site using Manual only; this setting disables the Automatic method.

URL Wizard

Click this to display the URL Wizard dialog, where you can build a valid URL.

The Contact tab on the Site Properties dialog enables you to view or edit more information on the provider. All information on this tabbed page is optional.

Contact Options
Organization, Postal Address, Contact Name, E-mail Address, Telephone, FAX | Enter information about the data provider and ways to contact them.
BBS | Type a link to a bulletin board service.
Send Mail | Click this to open your default e-mail program and insert the e-mail address specified in the E-mail Address box.
Security options
Public Access | Select this when no username and password is required.
Restricted Access | Select this when a username and password is required. It opens those text boxes.
User Name | Type a unique identifier. When using the automatic download method, this information is transferred with your download request so that you do not have to manually enter it.
Anonymous | Select this when no username is required. It prompts you to enter the anonymous password provided by the web site's administrator.
Password | Type your e-mail address as the password. When using the automatic download method, this information is transferred with your download request so that you do not have to manually enter it each time you visit the site.
Save Password | Select this to retain the password so you do not have to retype it each time you visit the site.
Reference Station options
Station Location, Receiver Type, Station Type, Other Information | Enter information about the base station.
Location tab options
Code (4 characters) | Type the location code for the station. This is not automatically filled in from the Trimble Predefined Reference Station Provider list (cbs_list.csv). Visit the web site using the Manual download method to determine which codes to use.
Description | Enter additional information to help you identify the site.
iGate tab options
Remote Port | Specify the port number of the iGate server. Most iGate sites use 3456, which is the default. Some sites have firewalls that block certain ports, so it may be necessary to have this port opened as an outgoing port. It’s hard to tell the difference between a blocked port, a wrong port, and a server that is down, so it’s wise to check the firewall.

Related Topics

Add New Data Providers

Reference: URL Parameters

URL Wizard Options


URL Wizard Options

The following options are available in the URL Wizard dialog, which you can open from the New Site Properties dialog when you are adding a new Trimble IP-enabled receiver as a data provider site (see Add New Trimble IP-Enabled Receivers). The options are used to build an Internet URL in a valid format for the receiver. The information you enter in the wizard also populates the appropriate fields in the New Site Properties dialog.

Options for Trimble IP-Enabled Receiver

Wizard

Select the Trimble IP-Enabled Receiver wizard type.

ftp://

Type the IP address or domain name for the IP-enabled receiver.

Port

Select a new port number only if the receiver does not use the standard Port 21.

User/
Password

If the receiver requires login credentials, enter a valid user name and password.

Request Session Data

Click to retrieve a list of the sessions available on the selected receiver.

Sessions

The sessions available on the selected receiver display in read-only mode. Select the session from which you want to download data.

Sessions that do not include a check mark in the Compatible column are not usable and cannot be selected.

Complete URL

The resulting session-based URL is displayed.

Related topics

Add New Data Providers

New Data Provider Options


Add Predefined Data Providers

One way to add web sites to the list of data providers is to select from Trimble's Predefined Reference Station Provider list. This up-to-date list gives you quick access to web sites that are already configured. In addition, they are sorted by geographic distance from the center of your current project, so the most relevant data providers will be at the top of the list.

Note: Before adding a new data provider site, make sure that you have selected the correct group (folder) for the site, or create a new group for it; the site you add cannot be moved into a different group after it is added.

To add a new provider from Trimble's pre-defined list:

  1. Click [image] on the Internet Download command pane toolbar. The Internet Download Configure dialog displays.
  2. Select the Reference Stations group in the Providers list.
  3. Click New Site. The New Site dialog displays.
  4. Click Select from the pre-defined list.

    Note: The first time you access the pre-defined list of Internet sites in your current project, the option Download the most up-to-date list from Trimble's Internet site is enabled by default.
    Tip: Since the CBS list is sorted by distance from project data, you should have data in your project prior to adding pre-defined sites.

  5. Click OK. The File Download dialog displays, showing the download progress. When the download is complete, the Add Pre-defined Reference Station Provider dialog displays.
  6. In the Pre-defined Reference Station Provider list, select any data provider sites you want to add. Press [CTRL] while selecting to add multiple sites or to deselect unneeded sites.
  7. Click OK to close the dialog. The sites you selected appear in the Internet Download Configuration dialog's Providers list.

Related Topics

Predefined Data Provider Options


Predefined Data Provider Options

Use these options to select pre-configured web sites to add to your data providers list. They are available in the Add Predefined Reference Station Provider dialog.

Options
Provider | This shows the official name of the reference station.
Location | This displays the city, county, state, province, or other entity in which the base station is located.
Public | This designates that the site is accessible and free to the public. Sites that are unchecked (private) are likely to require a username and password obtained through a paid subscription.
Distance | This shows the radial distance from the geographic center of the current project.

Related Topics

Add Predefined Data Providers


Reference: URL Parameters

When you configure provider sites to automatically download data from the Internet, you will need to provide specific information to reach the final URL. For example, if you want to download reference station data from a CORS site, you will need to specify the download parameters within the URL itself. The URL below contains a template for start time, duration, year, day of year and a four-character site name.

http://www.ngs.noaa.gov/cgi-cors/ufcors2.prl?newstart=%HH%&duration=%LL%&year=%YYYY%&yearday=%DDDDD%&siteselection=%CCCC%&epic="As Is"&datasheets=no&compr=pkzip

When configuring URLs, you will need to manually substitute the appropriate values for the masks to obtain the final URL, which initiates the download of files. The table below defines the address formats you should use for substitution.

Note: FTP addresses are case sensitive.

URL Parameters

Parameter | Meaning
%YYYY% %YY% %Y% | Year ( 2001 ) Year ( 01 ) Year ( 1 )
%MMMMM% %MMMM% %MMM% %MM% %M% | Month ( JA, FE, MR, ... DE ) Month ( January, February, ..., December ) Month ( Jan, Feb, ..., Dec ) Month ( 00, 01, ..., 12 ) Month ( 0, 1, ..., 12 )
%GGGG% | GPS week ( 0000, 0001, ... 1147 )
%DDDDD% %DD% %D% | Day of year ( 001, 002, ..., 366 ) Day of month ( 00, 01, ..., 31 ) Day of month ( 0, 1, ..., 31 )
%TTTT% %TTT% %T% | Day of week ( Sunday, Monday, ..., Saturday ) Day of week ( Sun, Mon, ..., Sat ) Day of week ( 0, 1, ..., 6 )
%HH% %H% %HrAsLetter% %HrAsCapLetter% | Hour ( 00, 01, ..., 23 ) Hour ( 0, 1, ..., 23 ) Hour ( a, b, ... x ) Hour ( A, B, ... X )
%LL% | Duration ( 01, 02,..., 24 )
%RR% | Sampling Rate ( 01, 05, 10, 15, 30, 60 )
%CCCC% | Location Code (ark1, cms1, etc.) 4 character description
%LAT% %LON% H - hemisphere D - Degrees M - Minutes S - Seconds | Latitude of project center, HDDMMSS Longitude of project center, HDDDMMSS N or S for latitude, W or E for longitude
%R1% %R2% | Radius, km Radius, miles

Tip: When configuring a new URL, you should verify that the parameter substitutions are correct. Use the Explore protocol and enter /D at the end of the URL. This will display the resolved address in a message box without starting the download.

Related Topics

Add New Data Providers

New Data Provider Options


Add New Trimble IP-Enabled Receivers

If you have access to the Trimble IP-enabled receivers you want to use in your survey, you can automatically connect and download the raw GNSS data from the receivers for use in your project.

To add a new Trimble IP-enabled receiver:

  1. In the Internet Download pane, click [image] on the toolbar.
  2. In the Internet Download Configuration dialog, select the Reference Stations group in the Providers list.

    If there is more than one Reference Stations group, select the one to which you want to add the new receiver.

  3. Click the New Site button.
  4. In the New Site dialog, select the Enter the details manually option and click OK.
  5. In the New Site Properties dialog, enter a name for the new receiver in the Site Name field on the Providers tab.

    Note that when you add a new Trimble IP-enabled receiver, you must also select the session available on the receiver from which you want to download data. If the receiver includes multiple sessions that you want to use, you must add the receiver multiple times, selecting a different session each time. In this case, be sure to use a site name for each receiver/session combination that includes information identifying both the receiver and the session (for example, "Receiver 2 with 5 sec data").

  6. Click the URL Wizard button.
  7. In the URL Wizard dialog, complete the wizard as described in URL Wizard Options. When you are done, click OK.

    The Manual Connection and Automatic Connection fields on the Providers tab in the in the New Site Properties dialog are complete. If you entered login information in the wizard, that information is displayed on the Security tab.

  8. Optionally, complete any or all of the other fields in the New Site Properties dialog (see New Provider Options for instructions).
  9. Click OK.

    The new receiver is displayed in the Providers list in the Internet Download Configuration dialog.

Tip: Once you have added the web sites you need to your list of providers, the site information is saved in a file named INetDownload.xml. Share your list of sites with colleagues by copying this .xml file from your computer into the equivalent directory in their computers. The location of this file depends on your operating system:
In Windows® XP or earlier: C:\Documents and Settings\(username)\Application Data\(software brand name)\(software product name)\(version number)\
In Windows Vista or Windows 7: C:\Users\(username)\AppData\Roaming\(software brand name)\(software product name)\(version number)\

Related Topics

Reference: URL Parameters

New Provider Options


Import and Export Data Using Trimble Access Drive

Trimble Access Drive, if installed on your computer, is configured to be a direct link the Connected Community (TCC) Web server. It is displayed as one or more hard drive letters (each representing a root folder on the TCC Web site) in your Window's Explorer window and in the various Browse widows you use in the software to import and export data files.

When importing or exporting data using the Import or Export command, simply select the Trimble Access Drive drive letter associated with the TCC Web server root folder you want to access, and, if necessary, browse to the appropriate subfolder.

As an alternative when importing data, use the Window's Explorer window to browse to the Trimble Access Drive, select the file you want to import from the TCC Web server, and then drag and drop it onto a data view.

Caution: The software allows you to set import properties when importing certain types of files. These properties are displayed in the Import command pane when you select File > Import and select the file type. If you choose to import one of these types of files using the drag-and-drop method rather than the Import command pane, you will not be able to see the default import properties or change them.

Related topics

Import Data

Export Data

Connected Community


Import Data Formats

Bring data into your project using the Import, Internet Download, and Device pane commands. The supported file formats are listed below. In addition, you can download any other files, such as NGS data sheets, to reference outside of this software.

Note: The file types listed may only be supported in specific commands or by certain field software. See file-specific topics for details.
Note: Downloadable formats that can be extracted include: .exe, .gz, .z, .zip, .tar, .tgz, .tar.gz, .taz, .tar, .z, and .d.

By field software

File format

Spectra Precision® Field Surveyor
  • ASCII
  • .asc
  • .dat
  • .xml

TDS InterlockTM
  • .ilj

TDS Survey ProTM
  • .job
  • .raw
  • .xml

Trimble® SiteVision Office/
Caterpillar® Accugrade™
  • .avoid
  • .dsp
  • .mch
  • .persist
    (.mch and .dsp for paving)
  • .pro
  • .svd
  • .svl
  • .tsd

Trimble® Survey ControllerTM
  • .dc
  • .job
  • .jxl
  • .rxl
  • .xml

Trimble® AccessTM
  • .dc
  • .job
  • .jxl
  • .rxl
  • .xml

Trimble® Digital FieldbookTM

(v2, v3, and v5)
  • .job
  • .dc
  • .xml

Trimble® Survey ManagerTM
  • ASCII
  • .jxl

GNSS receivers/
Survey devices
  • .dat
  • .t00/.t01/.t02
    (see note on .t02 files below)

By file format

Data type

.12da

12D files

.ali

ISPOL horizontal alignment files

.alz

CLIP vertical alignment files

.asc

ASCII, TDEF, raw data files,
InRoads horizontal and vertical alignment files

.avoid.svl

SiteVision avoidance zone files

.bmp, .jpg, .png, .tif

Image files

.cal

Calibration files

.cfg

Coordinate system configuration files

.crd, .mos, .txt

GENIO files

.csv

(custom import)

ASCII text, point files,
station, offset, elevation files

.dat

GNSS files, DiNi level files

.dc

Trimble data collector, road definition files

.dgn

MicroStation design files

.dsp, .persist

GCS display files

.dxf, .dwg

CAD files

.ds, .htm

NGS data sheet files

.eje

MDT horizontal alignment files

.gcj

SCS work order results files

.hpt

HYDROpro™ files

.ilj

TDS Interlock job files

.ini

Site settings files

.job

GNSS Job files

.jxl

JobXML files

.mch

GCS measure up files

.pts

(custom import)

ASCII point, DTM files

.plt

CLIP horizontal alignment files

.pro

Terramodel project files

.ras

ISPOL vertical alignment files,
MDT vertical alignment files

.raw

TDS, raw data files

Rangefinder laser files

.reb, .*

(.021, .040, .066, .66)

REB roadway and/or surface files

.rxl

RoadXML files

.06o

RINEX (GPS base files)

.sce/.sc1

ISPOL alignment cross-section files

.soe

InRoads alignment cross-section files

.sp3, .sp3c

Precise ephemeris files

.spj

SCS work order results files

.svd

SiteVision design files

.svl

SiteVision linework files

.tra

MDT alignment cross-section files

.trv

CLIP alignment cross-section files

.tsd

Planar surface files

.tsf

Trimble scanner files

.ttm

Trimble surface files

.t00/.t01/.t02

GNSS data files
(see note on .t02 files below)

.txt

SCS work order results files,
CARTOMAP files

.xml

LandXML files

.yxz

Wirth YXZ files

Note: You can process baselines for GPS and GLONASS data contained in a .t02 file; however, you cannot process baselines for Galileo data contained in a .t02 file.

Related topics

Import Data

Import Data in a Custom Format

Download and Import Data from the Internet

Prepare to Connect a Field Device


Import 12D Files (.12da)

12D is the native file format created by 12d Model software. 12D files are ASCII files that contain typical construction modeling data, such as points, alignments, surfaces, and breaklines. Each section in a 12D file is tagged with a 'string' that defines the type of data it contains. The table below outlines how each string's data is handled when imported.

Importable Data

Data common to each section

How the data is handled when imported

String

This identifies the type of object that is defined in the section. See descriptions below of how each data for each type of string is handled when imported.

Model

This imports as the object's layer property. Data on a undefined model imports onto the 0 layer.

Name

This is imported as the object's name property.

Chainage

For alignment strings, this imports as the station value at the alignment's starting point (point of beginning).

Breakline

This defines whether the string's data will be imported as one or more point objects or as a linear object. See how the distinction affects the imported object in the section below.

Color

This original display color is converted into the closest system color when imported. User-defined colors are assigned the By layer color and reported as warnings in the Import Report.

String type

Breakline status

How the data is handled when imported

2D

point

This data is imported as one or more CAD points with coordinates (X,Y values), but not elevations (Z values).

line

This data is imported as a sloping line (2D polyline) with coordinates, but not elevations.

If this data contains only one point, it is imported as a 2D point (described above).

3D

point

This data is imported as one or more CAD points with coordinates and elevations.

line

This data is imported as a breakline with coordinates and elevations.

If the line data contains only one point, it is imported as a 3D point (described above).

4D

point

This data is imported as one or more CAD points with coordinates and elevations.

A text string naming each point is ignored.

line

This data is imported as a linestring with coordinates and elevations, and a text string for each named point on which the linestring's segments are based.

The text string is used as the ID for its respective named point. The linestring's segments are dependant on the location of the named points on which they are based: if a point is moved, the segments that use it change accordingly.

Alignment

na

This data is imported as a PI-based (Point of Intersection-based) alignment with horizontal and vertical components.

Arc

na

This data is imported as a 2D or 3D linestring (based on your data).

Circle

na

This data is imported as a 2D or 3D linestring (based on your data).

Drainage

point

This data is ignored; no points are imported.

line
  • If the data contains no arcs, it is imported as a 3D breakline.
  • If the data contains arcs, it is imported as a 2D or 3D linestring (based on your data).

Only the data section is used.

Interface

point

This data is ignored; no points are imported.

line

This data is imported as a 3D breakline.

Pipe

point

This data is ignored; no points are imported.

line

This data is imported as a 3D breakline.

Pipeline

na

This data is imported as a PI-based (Point of Intersection-based) alignment with horizontal and vertical components.

The pipe diameter value is ignored.

Polyline

point

This data is ignored; no points are imported.

line
  • If the data contains no arcs, it is imported as a 3D breakline.
  • If the data contains arcs, it is imported as a 2D or 3D linestring (based on your data).

Text

na

This data is imported as 2D CAD text.

The 'worldsize' value is used as the 'ground' text height. No paper text height is imported.

Super

point

This data is imported as one or more 2D or 3D CAD points (based on your data).

line
  • If the data is 2D (tagged data_2d) and contains no arcs, it is imported as a sloping line (2D polyline).
  • If the data is 3D (tagged data_3d) and contains no arcs, it is imported as a breakline.
  • If the data does contain arcs, it is imported as a 2D or 3D linestring (based on your data). If a point_data block is defined, points are created. The linestring's segments are associative with the location of the named points on which each segment is based.
  • If the line data contains only one point, it is imported as a CAD point.

All spiral segments are imported as straight segments.

Vertex and segment text is ignored. All pipe data is ignored.

Super_alignment

na

This data is imported as a segment-based alignment with horizontal and vertical components.

TINs

na

This data is imported as a 3D surface with 'internal data'.

All triangle edges are imported as internal breaklines.

All vertices that are not used by surface triangles are ignored.

Note: Internal data is data that is embedded in a surface on import. It cannot be edited in this program. External data includes objects that have been added to a surface as members. They influence the surface's shape and can be edited or removed.

Non-importable Data
  • Attributes
  • Styles
  • Faces
  • Features
  • Super_TINs


Import ASCII Files (.asc, .csv, .pts, .txt)

ASCII files give you the flexibility to import data from a variety of sources, or even to create a file using a text editor. When you import an ASCII file, the Import Format Editor may display, prompting you to create a custom importer to accommodate the file. You can also access the editor any time by clicking the i_import format editor icon on the Import command pane toolbar.

Note: You can import Nikon NEH files (.asc) from Field Surveyor.
Tip: ASCII point files (.pts) can be imported as a surface.

Related topics

Import Data

Import Data in a Custom Format

Run an Import Summary Report


Import CAD Files (.dxf/.dwg)

CAD .dwg and .dxf files are drawing files used in architecture, civil engineering, design, and mapping industries. At the bottom of the import pane, you can specify settings that affect how the data imports.

Note: When you import CAD files, the imported objects retain their native properties. Many of these properties, however, are unneeded in this software so they are not visible or editable. Only their most common properties appear in the Properties pane. Depending on the object, these properties may include:
- name
- line or text style
- line style scale or text size
- color
- layer
- elevation
If you edit any of the linear CAD objects, such as arcs, lines, polylines, they are converted into linestrings and lose all of their native properties (they are replaced by linestring properties). If you export unedited CAD objects to a CAD file format, their native properties exist in the exported objects.

Importable Data

Data in the file

How the data is handled when imported

3D Face

This data is imported as a CAD 3D Face.

3D Polyline

This data is imported as a CAD 3D Poly Line.

Arc

This data is imported as a CAD Arc.

Attribute

This data is imported as a CAD Attribute Definition.

Attribute reference

This data is imported as a CAD Attribute Reference.

Block reference

This data is imported as a CAD Block Reference.

Circle

This data is imported as a CAD Circle.

Coordinate

This data is imported as a Coordinate.

Ellipse

This data is imported as a CAD Ellipse.

Hatch

This data is imported as a CAD Hatch.

Leader

This data is imported as a CAD Leader.

Lightweight polyline

This data is imported as a CAD Lightweight Polyline.

Line

This data is imported as a CAD Line.

M Line

This data is imported as a CAD Multi-line.

M Text

This data is imported as a CAD Multi-line Text.

Point

This data is imported as a CAD Point.

Point

This data is imported as a Point.

Polyline

This data is imported as a CAD PolyLine.

Ray

This data is imported as a CAD Ray.

Shape

This data is imported as a CAD Shape.

Solid

This data is imported as a CAD Solid.

Spline

This data is imported as a CAD Spline.

Text

This data is imported as a CAD Text.

Trace

This data is imported as a CAD Trace.

Xline

This data is imported as a CAD XLine.

Non-importable Data
  • 3D solid
  • Dim 3 Point Angular (importer)
  • Dim Aligned (importer)
  • Dim Angular (importer)
  • Dim Diametric (importer)
  • Dimension (importer)
  • Dim Ordinate (importer)
  • Dim Radial (importer)
  • Dim Rotated (importer)
  • Polyface mesh
  • Polygon mesh
  • Raster image
  • Region
  • Tolerance

Related topics

Import Data

Run an Import Summary Report


Import CARTOMAP Files (.txt)

Import ANEBA Geoinformática CARTOMAP files to bring alignment (HAL), profile (VAL), and cross-section data into your project, automatically forming a roadway surface. Generally, this data comes as a set of three independent, but related files (.txt).

Note: Each set of related files should be imported at the same time so they are co-related. HAL files can be imported independent of their related VAL and cross-section files, but VAL and cross-section files must be imported concurrently with HAL files to display properly.

Importable Data
Data in the file | How the imported data is handled
HAL file (.txt)
Station Easting coordinate Northing coordinate Azimuth Type Radius Length | The first station and its easting and northing coordinates, along with azimuths, types (line, arc, and clothoid spiral), radii, and lengths for each segment, are used to form a segment-based horizontal alignment.
VAL file (.txt)
Station Elevation Curve length | Stations, elevations, and curve lengths are used to form a PI-based vertical alignment for the HAL.
Cross-section file (.txt)
Station Offset Elevation | Stations, offsets, and elevations are used to form cross-sections along the HAL.

Related topics

Import Data

Import CLIP Files (.alz, .plt, .trv)

Import InRoads Files (.asc, .soe)

Import ISPOL Files (.ali, .ras, .sce)

Import MDT Files (.eje, .ras, .tra)

Create and View a Surface Cross-Section

Create and View a Surface Profile


Import CLIP Files (.alz, .plt, .trv)

Import Tool CLIP files to bring alignment (HAL), profile (VAL), and cross-section data into your project. Generally, this data comes as a set of independent, but related files.

Note: Each set of related files should be imported at the same time so they are co-related. HAL files can be imported independent of their related VAL and cross-section files, but VAL and cross-section files must be imported concurrently with HAL files to display properly.

Importable Data
Data in the file | How the imported data is handled
HAL file (.plt)
Station Easting coordinate Northing coordinate Azimuth Radius Length | The first station and its easting and northing coordinates, along with azimuths, radii, and lengths for each segment, are used to form a segment-based horizontal alignment.
VAL file (.alz)
Station Elevation Curve length | Stations, elevations, and curve lengths are used to form a PI-based vertical alignment for the HAL.
Cross-section file (.trv)
Station Offset Elevation | Stations, offsets, and elevations are used to form cross-sections along the HAL.

Related topics

Import Data

Import CARTOMAP Files (.txt)

Import InRoads Files (.asc, .soe)

Import ISPOL Files (.ali, .ras, .sce)

Import MDT Files (.eje, .ras, .tra)

Create and View a Surface Cross-Section

Create and View a Surface Profile


Import Coordinate System Files (.cfg)

Add a new coordinate system to those available in your coordinate system database by importing a coordinate system configuration file (.cfg). On import, you can also choose to use the coordinate system as your project's system. If your project does not have a coordinate system defined, the imported system is automatically used. The imported .cfg file is also saved locally in:

C:\Documents and Settings\<username>\My Documents\<product name>\<project name)

When they are associated with a machine they are copied into:

C:\Trimble Synchronizer Data\<machine name>\Machine Control Data\

While the coordinate system in the configuration file is based on your project settings, other settings in the file are generic; any custom settings present in imported configuration files are not kept in the new configuration file created in the machine controller folder of the data synchronization area. See Import GCS Measure-Up and Display Files (.mch, .dsp, .persist) and Import PCS Display Configuration Files (.persist).

When a geoid exists in the coordinate system, the original coordinate system (including the original geoid name), is included in the configuration file when exported to a machine. This is the case for both the optional estimated incline plane representing a geoid and embedded geoid sub-grid. See Controller Manager Options for details. When the configuration file is re-imported into this software, the geoid file reference is read and the original coordinate system is extracted.

Unsupported Coordinate Systems

A coordinate system cannot be imported when it contains one or more of the following unsupported features as part of its definition:

  • An unsupported projection
  • A datum grid file
  • A shift grid file
  • A system with grid coordinates that do not increase north and east or south and west

In particular, these coordinate systems are not supported:

  • Krovak
  • Danish Jutland
  • Danish Zeeland
  • Danish Bornholm
  • Hungarian EOV
  • United Kingdom National Grid
  • Any coordinate system that uses a Projection Grid File

These projections are only supported on MS8xx receivers and MS9xx receivers running updated firmware:

  • Albers Equal Area Conic Projection
  • Oblique Conformal Cylindrical
  • Stereographic Double Projection

Related topics

Create and Edit GCS and PCS Machines


Import Data Collector Files (.dc)

Import data collector files from a variety of field devices, including:

  • TrimbleÂ® Survey ControllerTM (up to version 10t; for files that have been converted)
  • TrimbleÂ® Digital FieldbookTM (v2,v3, and v5)\

If a Survey Controller file (.dc) contains roadway data, then the horizontal alignments, vertical alignments, and template information can be imported. On import, the program creates alignments and corridors, which can then be edited.

Related topics

Import Data

Run an Import Summary Report


Import DiNi Digital Level Files (.dat)

DiNi digital level .dat (M5) files contain level data recorded in the field using a Trimble DiNi Digital level.

Note: The software supports all leveling methods available with the Trimble DiNi Digital Level (0.3 mm per km version and 0.7 mm per km version).

To import DiNi Digital level .dat files:

  1. Do one of the following:
    • Click the [image] icon on the toolbar.
    • Select File > Import.

    The Import command pane displays.

  2. Do one of the following:
    • Select a folder in the Import Folder list.
    • Click the [image] icon to browse for a folder.

    The default is the folder that you last imported from. The files contained in the selected folder appear in the Select File(s) area. The file names and file types are listed.

  3. Select the DiNi digital level .dat file(s) you want to import.
  4. In the Settings section at the bottom of the Import command pane, change the Automatically Numbered Points properties if necessary.

    These properties help the software identify which points were auto-numbered by the DiNi level and which point IDs were entered by the user. Auto-numbered points typically are not points of interest and should not be created as points in the project.

    • Starting Point - Specifies the first point ID number of the range of point ID numbers in the file you want to specify as automatically numbered points that should not be created in the project.
    • Maximum Points - Specifies the maximum number of points in the file you want to be included in the range.
    • Increment - Specifies the increment to be used when identifying point numbers in the range.
    • Ending Point - Specifies the calculated ending point for the point range based on the other specified properties.
  5. When you are done, click Import. The Level Editor dialog displays. In this dialog, you can see which level points were entered by the user (points of interest) and will be created in the project, and which points were automatically numbered by the DiNi and will not be created in the project. If necessary, you can make changes by checking or unchecking any point to include or not include it in the project. For instructions, see View and Edit Level Data.

Note: If you import a text file with "Unknown" or "Mapping" coordinate quality into a project that already contains level point data, duplicate points will be created for points in the text file (lightweight points) and points already in the project (normal points) that have the same ID (that is, points will not merge as expected). To avoid this problem, import the text file first to create the lightweight points in the project, then import the level point data. The lightweight points from the text file will merge with the normal points from the other point data to create normal non-duplicated points. For more information, see Understanding Point Types.

Related topics

Import Data

View and Edit Level Data


Import Feature Definition (.fxl) Files

Before you can process feature codes in Trimble Business Center, you must import feature definitions into your project's Feature Definition Library. There are three ways of doing this:

  • Use the Project Settings dialog to specify the Feature Definition (.fxl) file from which you want to import feature definitions. For instructions, see Feature Code Processing Settings .
  • Use the Import pane to specify the Feature Definition (.fxl) file from which you want to import feature definitions. For instructions, see Import Data. After import, the Feature Definition (.fxl) file you selected is displayed in the Feature Code Processing section of the Project Settings dialog.
  • When you import a Job (.job) or JobXML (.jxl) file that specifies a Feature Definition (.fxl) file, you are prompted to import feature definitions from the specified file. You can select to allow or not allow the import. After import, the specified Feature Definition (.fxl) file is displayed in the Feature Code Processing section of the Project Settings dialog.

Notes: The feature definitions specified in the Feature Definition (.fxl) file will replace any feature definitions currently stored in your project's Feature Definition Library. In addition, any processed feature data will be removed. You must reprocess the feature codes in your project using the newly imported feature definitions.

Related topics

Understanding Feature Data

Workflow for Feature Data

Import Feature Definition (.fxl) Files

Feature Code Processing Settings

Process Feature Codes

Remove Feature Code Processing Results

Feature Definition Manager


Import GCS Machine and Display Configuration Files (.mch, .dsp, .persist)

Import measure-up and display files into your data synchronization area to make them available for your machines using grade control systems (GCS), including Trimble® GCS and SiteVision, and Caterpillar® AccuGrade™. These files can be imported:

  • Machine (.mch) - These contain information regarding the measure-up and similar information for a machine being controlled by a machine control system.
  • Display (.dsp) - These contain information regarding the configuration of the display items (like text items) for GCS/SiteVision/AccuGrade.

When you import the files, they are copied into:

C:\Documents and Settings\<username>\My Documents\<product name>\Machine Control Configuration Files\

This makes them available to assign to different machines in the Controller Manager. For details, see Create and Edit GCS and PCS Machines.

Related topics

Import Data

Manage Controllers

Import PCS Display Configuration Files (.persist)


Import GCS Machine Job Site Design Linework Files (.svl)

Import job site design linework files (.svl) created in Trimble® SiteVision Office. Linework files are used with designs on grade control systems (GCS) or paving control system. They can be:

  • Design files (listed as type SiteVision Linework) that can contain guidance alignments and background linework (including objects such as points, text, 3D polylines, and arcs).
  • Background files (listed as type SiteVision Linework) that do not contain guidance alignments, but can contain background linework (including objects such as points and text).
  • Avoidance zone files (see Import GCS Machine Job Site Design Avoidance Zone Files).

To import a file, follow the instructions in Import Data. The .svl files are listed in the Select Files area as SiteVision Linework files. After import, the file appears in the Project Explorer under the Imported Files folder. All imported data is placed on layer 0. When you import, the data is handled in these ways:

Importable Data
Data in the file | How the data is handled when imported
Points | .svl files can contain any number of points.
 | Note: When points are imported, they are placed on layer 0, not on the Points layer.
3D/2D CAD linework | .svl files can contain any number of arcs, lines, 3D polylines, and polylines.
Alignments | .svl files can contain guidance alignments, but the alignments are not imported. You can, however create the alignment manually. See Workflow for Creating Alignments. Note: If the file contains only alignments, the import will fail.
Text | All text objects are imported.

Related topics

Import Data

Import GCS Machine Job Site Design Avoidance Zone Files

Import GCS Machine Job Site Design Surface Files

Workflow for Creating Alignments

Add or Remove Avoidance Zones

Run an Import Summary Report


Import GCS Machine Job Site Design Avoidance Zone Files (.avoid.svl)

Import job site design avoidance zone files (.avoid.svl) for Grade Control System (GCS) machines. Avoidance zone files are a special type of .svl file that are used with designs on grade control systems to warn the machine operator of areas into which entry by the machine is prohibited. For more details on importing avoidance zone files, see Import GCS Machine Job Site Design Linework Files. To import a file, follow the instructions in Import Data.

Note: Avoidance zone files contain only closed polygon background linework. Importing avoidance zones only brings in the linework; it does not create an avoidance zone. You can, however, create avoidance zones from the imported lines when you add data to your job site (see Add or Remove Avoidance Zones).

Related topics

Import Data

Import GCS Machine Job Site Design Linework Files

Manage a Job Site and Site Data

Add or Remove Avoidance Zones

Run an Import Summary Report


Import GCS Machine Job Site Design Surface Files (.svd)

Import job site design surface files (.svd) created in Trimble® SiteVision Office. The surface files (specifically 3D vertical guidance files) usually contain one surface, but can contain two surfaces (cut and fill) if the original source file is a .dc road file. To import a file, follow the instructions in Import Data.

When you import a design file, the data is previewed for conflicts. If there are no conflicts, the file is imported and the data appears in the graphic views. If conflicts are found the import process continues, and the software corrects any overlapping triangles or gaps in the surface. After the import process a warning flag appears on the Status Bar, indicating that you should check the Flags pane. The corrections are also reported in the Import Summary Report.

After import, the file appears in the Project Explorer under the Imported Files folder and under Surfaces (separate surfaces for cut and fill).

Related topics

Import Data

Import GCS Machine Job Site Design Linework Files

Run an Import Summary Report


Import GENIO Files (.crd, .mos, .txt)

Import GENIO data to create alignments. At the bottom of the import pane, you can specify settings that affect how the data imports. Use these settings to control how imported layers are named.

Import Settings

Character index

Each object in a GENIO file has a name, and a layer will be created for each object based on its name.

Use the character index number to specify the position of a character in the object's name that will replace the ^ character in name mask below. The name mask plus the index character from the object's name becomes the final layer name.

Name mask

This name will be used as the name of the layer created for each object. Move the ^ variable character to the position in this name that you want the index character from the object's name to be placed. You can also change this entire name, as long as you retain the ^ character somewhere in it. If you remove the ^ character, all of the objects will be placed on the same layer (specified in the name mask).

For example:

If a breakline in the file is named HBL1, and you want the layer created for this object to be named B-String GENIO, set the character index to 2 so that the layer uses the second character (B) from the object's name in the place of the ^ character in the name mask ^-String GENIO.

Here are other examples:

  • Object name: HBL1
    Char index: 2
    Name mask: String ^
    Resulting layer name: String B
  • Object name: HBL1
    Char index: 1
    Name mask: ^string
    Resulting layer name: Hstring

There are three types of GENIO strings that contain varying amounts of data and can be used in different ways.

Importable Data

Data in the file

How the data is handled when imported

GENIO 3D string

X, Y, and Z coordinates

2D lines

This data is imported and can be used as reference data for manually creating horizontal alignments, but they do not import as alignments, and cannot be converted into alignments.

GENIO 6D string

X, Y, and Z coordinates

2D lines

Station data

Instantaneous tangencies and radii

This data is imported and can be converted into alignments with horizontal and vertical components.

GENIO 12D string

X, Y, and Z coordinates

3D lines

Station data

Tangencies and radii with additional parameters

This data is imported and automatically converted into one or more alignments with horizontal and vertical components.

Related topics

Create an Alignment from a GENIO String

Import Data

Run an Import Summary Report

Workflow for Importing Alignments


Import Georeferenced Images

Import an image file that includes georeference data embedded in the image file itself or in an associated georeference data file (for a example, a .wld or .ini file).

The following file formats are supported:

  • TIFF (.tif) - This file format can include embedded georeference data or can be accompanied by a WLD (.wld) or INI (.ini) georeference data file.
  • BMP (.bmp), GIF (.gif), JPEG (.jpg), PNG (.png) - These file types cannot include embedded georeference data; they must be accompanied by a WLD (.wld) or INI (.ini) georeference data file.

A georeference data file must be named the same as the image file for which it is providing georeference data, except with a different file extension. Note that the file extension for a WLD (.wld) file can be either .wld or:

  • .bpw for a BMP file
  • .gfw for a GIF file
  • .jgw for a JPEG file
  • .tfw for a TIFF file

To import georeferenced images using the Import pane:

  1. Select File > Import. Or, click the Import toolbar icon [image]. The Import pane displays.
  2. In the Select File(s) list, select the georeferenced image(s) you want to import.

    If the georeference data is contained in a separate file, you need to select to import only the image file. The associated georeference data file will be automatically imported as long as it has the same file name as the selected image file (with a different file extension) and is located in the same folder.

  3. In the Settings section of the Import pane, select the appropriate unit type for the georeferenced images: Global (degrees), Grid (meter), Grid (Intl. foot), or Grid (US foot). If you are not sure what unit type to select, contact the provider of the images.
  4. Click the Import button.

    If you selected one of the grid unit types and the software determines on import that the georeferenced image is global-based, the Global (degrees) unit type is used instead.

    If you selected the Global (degrees) unit type and the software determines on import that the georeferenced image is grid-based, one of the grid unit types is used instead. Your selection in the Units > Distance > Unit > Display drop-down list in the Project Settings dialog determines which grid unit type is used: Grid (meter), Grid (Intl. foot), or Grid (US foot).

    If the software needs to change the unit type, the Import Errors message dialog displays after import indicting there is a warning associated with the import . Click Yes in the dialog to display the Import Summary report, which specifies the unit type change.

To import georeferenced images using drag-and-drop:

In the folder containing the georeferenced image file(s), select the files you want to import. Then, drag and drop the files on the Plan View tab.

If the software determines on import that the georeferenced image is global-based, the Global (degrees) unit type is used.

If the software determines on import that the georeferenced image is grid-based, your current unit type selection in the Import pane is used. However, if your current unit type selection is Global (degrees), your selection in the Units > Distance > Unit > Display drop-down list in the Project Settings dialog is used instead.

Related topics

Import Data

Run an Import Summary Report

Georeferenced Image View


Import GNSS Job Files (.job)

Import GNSS files from the following field devices:

  • TDS Survey ProTM (Survey Pro Jobs)

    Note: You can also import .raw (raw data files) from TDS Survey Pro.

  • Spectra Precision® Field Surveyor
  • Trimble® Survey ManagerTM
  • Trimble® Digital FieldbookTM (v2,v3, and v5)
  • Trimble® Survey ControllerTM (versions 11 and later)

To force a kinematic occupation to process as static:

  1. When importing a GNSS data file, select the file in the Import command pane Files list.
  2. Select Yes in the Force Static box in the Settings group. The selected occupation is converted to static data, as indicated in the Project Explorer.

Related topics

Force Continuous Command

Force Static Command

Import Data

Run an Import Summary Report

Run a Job File Report


Import GNSS Files (.dat)

In This Section

Import GNSS Data

Check In Raw GNSS Data

Raw Data Check-In Options

Edit Multiple Values

Define a Projection


Import GNSS Data

If you import data from third-party receivers (e.g. RINEX), the files are automatically converted to .dat format during download.

To import GNSS data:

  1. Do one of the following:
    • Click the [image] icon on the toolbar.
    • Select File > Import.

    The Import command pane displays.

  2. Select a folder in the Import Folder list, or click the [image] icon to browse for a folder. The default is the folder that you last imported from. The files contained in the selected folder appear in the Select File area. The file names and file types are listed. File type is the name of the importer that is used to read the file.
  3. Select the file(s) to import, and then click OK. The Receiver Raw Data Check-in dialog displays.

    Note: To join separate files if they represent a single occupation, make sure to multi-select and import them at the same time. They must have the same point ID and sequential end/start times.

  4. Check and edit the raw data and click OK to check it in. The Projection Definition dialog may display. If needed, enter values in the Northing and Easting boxes to create a false origin for the data.
  5. Click OK.
  6. To view an Import Summary report, select Reports > Import Summary. If there are errors, a warning flag appears on the status bar.

Note: If you import a controller job file, any associated .dat files are automatically imported as well.
Note: Continuous files from CORS stations are often logged, and import, in one-hour increments. Once they have been imported, however, they are concatenated (joined sequentially) into the single session they represent.

Related topics

Import Data

Check-In Raw GNSS Data

GNSS Baseline Data Sources


Check In Raw GNSS Data

Before using imported GNSS data in your project, you can verify it and correct field errors in the raw data in the Receiver Raw Data Check In dialog. For example, you can remove bad observations due to a field crew not setting up over the correct point, having to start over, etc.

Note: For multiple files to be concatenated into the single occupation they represent, the point ID, antenna data, and other information must be the same for each file, so be careful about what you edit during the raw data check-in.

To check in raw GNSS data:

  1. Click the Point tab. The point table displays.
  2. Verify, correct and select the data required for your project.

    If you need to change a roving segment to continuous after import, use the Force Continuous command.

  3. Click the Point tab.
  4. Uncheck any points in the Import column that you do not want to import. When a roving segment is selected, the Point ID column changes to Continuous Segment.
  5. Click in any available cells and edit the point data as needed.

    Columns can be sorted in ascending or descending order by clicking on the column heading. You may also rearrange columns by dragging and dropping the column header to the desired location.

  6. Click the Antenna tab. Verify that the antenna data is correct to increase the accuracy of your baselines. The baseline processor uses different antenna offset and slant corrections based on the antenna type. This information is stored in a library that contains corrections for all antenna types.
  7. Click in any available cells and edit the antenna data as needed. To quickly edit the antenna height for multiple segments, see Editing multiple antenna heights.

    If you select Unknown for the manufacturer, be sure to select the antenna phase center method for the antenna height.

  8. Select an antenna phase center model in the Antenna Model list.

    If an entry on the Antenna tab is displayed in red, it indicates the antenna does not support the selected antenna model; no antenna calibration is available. Try selecting a different antenna model.

  9. Click the Receiver tab. Verify that the receiver data is correct to increase the precision of your baselines. The baseline processor uses a different noise model based on the receiver type. This information is stored in library containing information on all receiver types.
  10. Click in any available cells and edit the receiver data as needed.
  11. To add the corrected raw receiver data to your project, click OK.

To reset corrections:

To reset (undo) all the corrections made in all three tables:

  • Click Reset. All edits are undone and the default import selections are restored.

After this data is checked in, your selections can no longer be changed.

If the grid reference values used to orient your project on the display grid have not been set (they should be set up in your project template), the Projection Definition dialog displays. To set these values, see Define a Coordinate System.

To cancel without importing any data:

To close the dialog, canceling all changes and not importing any data:

  • Click Cancel.

To verify data after import:

  • After check-in, the data is ready to verify.

Related topics

Define a Projection

Force Continuous Command

Force Static Command

Process Baselines

Raw Data Check-In Options


Raw Data Check-In Options

Use these options to verify, correct and select raw GNSS data before importing it into your project. They can be found on the three tabs of the Receiver Raw Data Check In dialog, which displays when you import GNSS data.

Options

Point tab options

Import

Uncheck this to prevent the point from importing.

Point ID

If the data is static, this displays the name of the point. Edit the name, if needed.

If the data is kinematic, this indicates the type data imported.

  • Roving Segment - Indicates a segment in which the receiver was in roving mode. The check box in the Import column remains unchecked by default. If this segment contains continuous data and needs to be imported, check the Import checkbox. The description changes to Continuous.
  • Continuous Segment - Indicates a roving segment selected for processing.

Note: If you need to change a roving segment to continuous after import, use the Force Continuous command.
Note: Point IDs are not case sensitive.

Filename

Identifies the imported file.

Start time

End time

Duration

Displays the time of the occupation.

Feature code

Displays the code applied to the point feature. Edit or add a new feature code, if needed.

Antenna tab options

Import

Uncheck this to prevent the point from importing.

Point ID

Displays the name of the point. Edit the name, if needed.

Manufacturer

Displays the name of the company that made the antenna.

Select a different manufacturer from the list, if the entry is incorrect.

Note: If you select Unknown for the manufacturer, be sure to select the antenna phase center method for the antenna height.

Type of antenna

Displays the antenna brand, based on the manufacturer selected.

Select a different type from the list, if the entry is incorrect.

Method of measuring antenna height

Antenna Phase Center - Select this if you used different antenna models on the base and rover receivers.

Bottom of Antenna Mount - Select this if the antenna height was measured to the bottom of the mount.

Note: Generally, you will set this based on what is noted in the field log.

Height of antenna

Displays the distance from the point to the bottom of the antenna mount or the antenna phase center.

To edit the antenna height for multiple segments, see Editing multiple antenna heights.

Serial Number

Displays the serial number of the antenna. Edit the number if necessary.

Antenna model

Select an antenna phase center model.

Receiver tab options

Import

Uncheck this to prevent the point from importing.

Filename

Displays the name of the imported file.

Survey mode

Displays the static or kinematic collection type.

Start time

End time

Displays the time of the occupation.

Manufacturer

Displays the name of the company that made the receiver.

Select a different manufacturer from the list, if the entry is incorrect.

Type

Displays the receiver brand, based on the manufacturer selected.

Select a different type from the list, if the entry is incorrect.

Serial #

Displays the serial number of the antenna. Edit the number if necessary.

Related topics

Check-In Raw GNSS Data


Edit Multiple Values

To set the value of several cells to the same value:

  1. Make sure that one of the cells is set to the value that you want to use for the others. If not, click in the cell and correct the value.
  2. Press [Ctrl] and click the first column of each row you want to edit. The selected rows highlight.
  3. Position the cursor over the cell containing the correct height, and right-click. A context menu displays two choices (as shown below):
    • Use <value> for all points
    • Use <value> for selected points
  4. Select the correct value. The value in the selected rows updates.

Related topics

Raw Data Check-In Options


Import HYDROpro Files (.hpt)

HYDROpro (.hpt) files contain breaklines. When you import a HYDROpro file, a surface is automatically created from the imported breaklines.

Related topics

Import Data


Import InRoads Files (.asc, .soe)

Import Bentley InRoads files to bring alignment (HAL), profile (VAL), and cross-section data into your project. Generally, this data comes as a set of independent, but related files.

Note: Each set of related files should be imported at the same time so they are co-related. HAL files can be imported independent of their related VAL and cross-section files, but VAL and cross-section files must be imported concurrently with HAL files to display properly.

Importable Data
Data in the file | How the imported data is handled
HAL file (.asc)
Station Easting coordinate Northing coordinate Azimuth Type Radius Length | The first station and its easting and northing coordinates, along with azimuths, types (line and arc), radii, and lengths for each segment, are used to form a segment-based horizontal alignment.
VAL file (.asc)
Type Station Elevation Curve length | Types (line), stations, elevations, and curve lengths are used to form a PI-based vertical alignment for the HAL.
Cross-section file (.soe)
Station Offset Elevation | Station, offsets, and elevations are used to form cross-sections along the HAL.

Related topics

Import Data

Import CARTOMAP Files (.txt)

Import CLIP Files (.alz, .plt, .trv)

Import ISPOL Files (.ali, .ras, .sce)

Import MDT Files (.eje, .ras, .tra)

Create and View a Surface Cross-Section

Create and View a Surface Profile


Import ISPOL Files (.ali, .ras, .sce)

Import Buhodra Ingeniería ISPOL files to bring alignment (HAL), profile (VAL), and cross-section data into your project. Generally, this data comes as a set of independent, but related files.

Note: Each set of related files should be imported at the same time so they are co-related. HAL files can be imported independent of their related VAL and cross-section files, but VAL and cross-section files must be imported concurrently with HAL files to display properly.

Importable Data
Data in the file | How the imported data is handled
HAL file (.ali)
Station Easting coordinate Northing coordinate Azimuth Type Radius Length | The first station and its easting and northing coordinates, along with azimuths, types (line, arc, and clothoid spiral), radii, and lengths for each segment, are used to form a segment-based horizontal alignment.
VAL file (.ras)
Station Elevation Curve length | Stations, elevations, and curve lengths are used to form a PI-based vertical alignment for the HAL.
Cross-section file (.sce/.sc1)
Station Offset Elevation | Stations, offsets, and elevations are used to form cross-sections along the HAL.

Related topics

Import Data

Import CARTOMAP Files (.txt)

Import CLIP Files (.alz, .plt, .trv)

Import InRoads Files (.asc, .soe)

Import MDT Files (.eje, .ras, .tra)

Create and View a Surface Cross-Section

Create and View a Surface Profile


Import JobXML Files (.jxl)

This is the newer file format for .job files.

Settings

Versioned files

Merge option

Disable merge - Select this to retain data both the current project data and the imported data, some of which may be redundant.

Overwrite office edits - Select this to use the data in the imported file rather than the data in your project wherever they are coincide.

Preserve office edits - Select this to retain the data in your project rather than the data in the imported file wherever they are coincide.

Ask me on import - Select this to always prompt you for this setting when importing .jxl files.

Related topics

Import Data

Import GNSS Job Files (.job)


Import LandXML Files (.xml)

LandXML is an open XML file format. The format was principally created by and for the survey, civil engineering, and transportation industries. LandXML format supports points, surfaces, and alignments when imported. This software supports version 1.0 of the LandXML standard. To import a file, follow the instructions in Import Data.

When you import a LandXML file, the data is previewed for conflicts. If there are no conflicts, the file is imported and the data appears in the graphic views. If conflicts are found, the LandXML Import Conflicts dialog displays, enabling you to resolve the conflicts. The import process continues afterwards. If there are errors after the import process, a warning flag appears on the Status Bar, indicating that you should check the Flags Pane.

When you import LandXML files, the points, alignments, and surfaces are handled in these ways:

Importable Data

Data in the file

How the data is handled when imported

Points

LandXML files can contain any number of points (referred to as COGO points in the LandXML format).

When points are imported:

  • They become points, with associated coordinates, and can be edited. These points can be referenced by a surface.
  • They are placed on a layer named after the "points" section of the file. (If a layer does not exist, it is created.)
  • Their point IDs are based on the "name" fields in the file.
  • Their feature codes are based on the "desc" fields in the file.

Alignments

LandXML files can contain any number of alignments. The required component of an alignment object is a geometric definition of the horizontal alignment.

Required attributes include the name, alignment length, and beginning station value. Optional attributes include station equations, the profile, and cross-section components.

When alignments are imported:

  • They are placed on new layers if the "alignment" sections of the file have unique names.
  • Their names are based on the "name" fields in the file.
  • Their geometric definitions are used to create alignments, with the geometry defining the horizontal component of the alignment. Horizontal alignment geometry can consist of lines, arcs, and spirals.
  • If the "name" attribute exists in the geometric definition, it is used to name the horizontal alignment.
  • The starting station value from the alignment object is used to station the horizontal alignment.

The alignment may also contain one or more vertical alignments (profiles). If a vertical alignment exists:

  • It is used to create a representation of the vertical alignment in the profile view.
  • The "name" attribute is used to name the vertical alignment.
  • If the alignment contains stored cross-sections:
  • The stored cross-sections appear in both the Plan View and the Cross-section View.
  • A surface is automatically created using the cross-section station values, offsets, and elevations upon import. The surface is named using the file name.

Surfaces

LandXML files can contain any number of surfaces. A surface can be defined in the file in either (or both) of two ways:

  • Source Data - This definition includes the points, point lists, boundaries, breaklines, and contours used to create the surface. This data imports as objects that are separate from the surface, meaning that you can add or remove them from the surface, or edit their properties.
  • Definition - This definition includes 3D points and triangles defining the surface. This data imports as an integral part of the surface. This method can support holes and islands in surfaces.

Related topics

Resolve LandXML Conflicts

Results of Importing LandXML Files


Resolve LandXML Conflicts

During the LandXML import process, if any objects in the file are ambiguous, the LandXML Import Conflict dialog displays. LandXML objects that do not conform to the import format will be reported as conflicts or discarded if:

  • The file is corrupted.
  • A surface is only defined by a watershed.
  • A surface contains one or many point files.
  • A surface has both Source data and Definition data description.
  • An alignment profile contains a gap.
  • An alignment profile contains a spiral that is not a clothoid.
  • The components of an alignment profile are not in the proper order.

To resolve conflicts in LandXML objects:

  1. Select a conflict in the List of conflicts. Options for resolving the conflict appear in the Selected conflict area. The description and options in this depend on the selected conflict.
  2. Click an option for resolving the conflict.
  3. Click Resolve this conflict. A check mark appears in the Status column next to the conflict, indicating that the conflict is resolved. The next conflict in the list is automatically selected.
  4. Repeat the steps above until all of the conflicts are resolved.
  5. Click Import to finish the import process. When the file finishes importing, the LandXML objects appear in the project explorer as points, surfaces, or alignments. Discarded objects and the reasons for the discard are listed as Errors in the Import Summary.

    Notes: You can change the resolution for solved conflicts any time before importing.

Related topics

Import LandXML Files (.xml)

LandXML Conflict Resolution Options


LandXML Conflict Resolution Options

Use these options to resolve ambiguities in the import of LandXML files. They are available in the LandXML Import Conflicts dialog. There are two general types of LandXML conflicts.

Columns

Status

Resolved conflict

Unresolved conflict

#

Shows the conflict number in the list

Description

Displays the type of object and the reason for the conflict

Resolution options

Conflict type

Triangle-based definition - Select this when you only want to import the triangles defining the surface. This data becomes the surface and cannot be edited.

Select this only when you do not need to edit the data, and want a smaller file size and faster speed. This option also handles holes and islands in the data.

Point/Breakline-based source data - Select this to import the points, point lists, boundaries, breaklines, and contours used to create the surface. This data defines the surface, but remains separate from it, enabling you to edit the data to modify the surface.

If you are unsure, select this option to retain the ability to edit the data.

Conflict type

Use a new name - Select if you want to save the original imported object, and import an identical one with a new name. Type a new name in the box.

Overwrite existing surface - Select if you want to discard the existing surface of the same name, and replace it with this one.

Caution: If you overwrite the existing surface, all related observed objects are deleted, even they are not from a LandXML import.

Related topics

Resolve LandXML Conflicts


Import MDT Files (.eje, .ras, .tra)

Import Aplitop TCP-MDT files to bring alignment (HAL), profile (VAL), and cross-section data into your project. Generally, this data comes as a set of independent, but related files.

Note: Each set of related files should be imported at the same time so they are co-related. HAL files can be imported independent of their related VAL and cross-section files, but VAL and cross-section files must be imported concurrently with HAL files to display properly.

Importable Data
Data in the file | How the imported data is handled
HAL file (.txt)
Station Easting coordinate Northing coordinate Azimuth Radius Length | The first station and its easting and northing coordinates, along with azimuths, radii, and lengths for each segment, are used to form a segment-based horizontal alignment.
VAL file (.txt)
Station Elevation Curve length | Stations, elevations, and curve lengths are used to form a PI-based vertical alignment for the HAL.
Cross-section file (.txt)
Station Offset Elevation | Stations, offsets, and elevations are used to form cross-sections along the HAL.

Related topics

Import Data

Import CARTOMAP Files (.txt)

Import CLIP Files (.alz, .plt, .trv)

Import InRoads Files (.asc, .soe)

Import ISPOL Files (.ali, .ras, .sce)

Create and View a Surface Cross-Section

Create and View a Surface Profile


Import MicroStation Files (.dgn)

MicroStation .dgn files are design files used in civil engineering, design, mapping, and architecture industries. At the bottom of the import pane, you can add a prefix to the layer (level) names, and specify whether to create a selection set comprised of the imported data.

Note: When you import CAD files, the imported objects retain their native properties. Many of these properties, however, are unneeded in this software so they are not visible or editable. Only their most common properties appear in the Properties pane. Depending on the object, these properties may include:
- name
- line or text style
- line style scale or text size
- color
- layer
- elevation
If you edit any of the linear CAD objects, such as arcs, lines, polylines, they are converted into linestrings and lose all of their native properties (they are replaced by linestring properties). If you export unedited CAD objects to a CAD file format, their native properties exist in the exported objects.

Importable Data

Data in the file

How the data is handled when imported

Arc

This data is imported as an open CAD Ellipse or a CAD Arc (when minor and major axes are equal).

B-spline

This data is imported as a CAD Spline if the header denotes a spline (includes non-uniform and rational B-spline).

Cell

This data is imported as individual CAD Lines and other CAD objects.

Color

This data maps to default colors and bylayer for bylevel.

Complex chain

This data is imported as separate CAD Lines, 3D Polylines, Arcs, and Splines.

Complex shape

This data is imported as separate CAD Lines, 3D Polylines, Arcs, and Splines.

Curve

This data is imported as a CAD Spline.

Ellipse

This data is imported as a CAD Ellipse or a CAD Circle (when minor and major axes are equal).

Level

This data is imported as a layer.

Line

This data is imported as a CAD Line.

Linestring

This data is imported as a CAD 3D Polyline.

Line style

This data is imported maps to one of the eight pre-defined line styles and to 'bylayer'; all others map to solid style.

Multiline

This data is imported as a CAD Multi-line.

Point string

This data is imported as CAD Points (if detached) or a CAD 3D Polyline (if contiguous).

Shape

This data is imported as a CAD 3D Polyline.

Shared cell and cell reference

This data is imported as a CAD Block and CAD Block Reference.

Tag

This data is imported as CAD Text.

Text

This data is imported as CAD Text.

Text node

This data is imported as separate CAD Text objects.

Non-importable Data
  • 3D surface
  • 3D solid
  • B-spline (if header denotes a surface)
  • Boundary
  • Cone
  • Conic
  • Dimension
  • External reference files
  • Meshes
  • Raster data
  • Raster header

Related topics

Import Data

Run an Import Summary Report


Import NGS OPUS Data (.xml)

Import an .xml file containing position solution data from the NGS OPUS website.

In the Settings box, select the appropriate Coordinate Type: Local or Global.

Related topics

Import Data

Run an Import Summary Report


Import PCS Display Configuration Files (.persist)

Import paver display setting files into your data synchronization area to make them available for your machines using paving control systems (PCS), including Trimble® PCS and Caterpillar® AccuGrade™ for Paving. These persist (.persist) files contain information regarding the configuration of the display items (like text items) for PCS/AccuGrade for Paving.

When you import the files, they are copied into:

C:\Documents and Settings\<username>\My Documents\<product name>\Machine Control Configuration Files\

This makes them available to assign to different machines in the Controller Manager. For details, see Create and Edit GCS and PCS Machines.

Related topics

Import Data

Manage Controllers

Import GCS Measure-Up and Display Files (.mch, .dsp)


Import Planar Surface Files (.tsd)

Trimble Surface Design files (.tsd) are planar surface files produced in Trimble SiteVision® Office. Specifically, they are 3D vertical guidance files from which designs are created. On GCS machines, planar surfaces are referred to as either Sloping surface or Level surface, depending on their type. To import a file, follow the instructions in Import Data. After import, the file appears in the Project Explorer under the Imported Files folder, and the imported data appears under Surfaces. Planar surface properties are displayed in the Properties pane, where you can also edit the design. The design record is different for each surface design type. The data in the file is in meters, but the importer will convert the data into your project settings units.

Note: You can also create, edit, and export planar surface files.

Importable Data |
Data in the file | Description
Constant elevation (level surface design) | Single plane with a constant elevation and no slope. This defines a level surface at the specified elevation.
Point and direction (sloping surface design) | Two intersecting planes with constant cross slopes projecting outward from either side of a line that is formed from a specified point, elevation, and direction. Outward projecting planes are then defined on both sides of this line by their respective cross slopes. Note that the two cross slopes can be designated so as to create a single plane.
Two point (sloping surface design) | Two intersecting planes with constant cross slopes projecting outward from either side of a line that is formed between two specified points. Outward projecting planes are then defined on both sides of this line by their respective cross slopes. Once again, the two cross slopes can be designated so as to create a single plane.

Field

Meaning

Constant elevation design type

(Level, planar surface design)

Elevation

This specifies the single, consistent elevation of the imported surface.

Point and Direction design type

(Sloping, planar surface design)

Origin coordinate

Easting - Specifies the easting grid coordinate of the surface's origin point.

Northing - Specifies the northing grid coordinate of the surface's origin point.

Elevation - Specifies the surface origin coordinate's elevation.

Defining line

Direction - Specifies the bearing of the defining line.

Grade - Specifies the grade in percent slope of the defining line (measured from the horizontal, positive up, and negative down) .

Cross slope

Left - Specifies the cross slope to the left of the defining line (looking away from the origin coordinate).

Right - Specifies the cross slope to the right of the defining line.

Two Point design type

(Sloping, planar surface design)

Origin coordinate

See Origin coordinate above.

Second coordinate

Easting - Specifies the easting grid coordinate of the second point used to define the surface's center line.

Northing - Specifies the northing grid coordinate of the second point used to define the surface's center line.

Elevation - Specifies the surface origin coordinate's elevation.

Cross slope

Left - Specifies the cross slope to the left of the defining line (looking from the first point to the second point).

Right - Specifies the cross slope to the right of the defining line.

Related topics

Import Data

Create and Edit a Planar Surface

Export Planar Surface Files

Workflow for Using Imported Surfaces

Check Imported Surfaces

Run an Import Summary Report


Import Rangefinder Observation (Laser) Data

Files with the extension .pbj can contain ranging (laser) data. Upon import, these observations are automatically assigned mapping quality. In the Project Explorer, a laser base is identified by an [image] icon and a laser observation is identified with an [image] icon.

Data Quality

The quality of the To point coordinates calculated from laser data depends, in order, on the quality of the:

  • Corresponding From points
  • Quality of the laser observations

The lowest quality of any of these determines the quality of the final To point.

Feature codes

Feature codes can be added to laser data within the Properties pane.

Related topics

Flags Pane

Import Data

Import Data in a Custom Format

Run an Import Summary Report


Import REB Files (.reb)

Import REB files to use as road model data, including alignments and surfaces, and/or surface data. REB data is separated into different files for these types of data: horizontal alignment, vertical alignment, cross-sections, points/coordinates, surface triangles, and breaklines. To import a file, follow the instructions in Import Data.

Generally, this data comes as a set of three independent, but related roadway You can select one or more REB files to import at the same time, but each set of related files should be imported at the same time so they are co-related properly. Since different types of REB data are stored in separate files, if any data is dependent upon another type of data, both files must be imported at the same time. For example, you cannot add a vertical alignment file without concurrently adding the horizontal alignment file it is dependent upon.

Although REB files often use the .reb extension, they also use numeric extensions, such as: *.021, *.040, *.066, *.66, *. D21, *.D30, *.D40, *.D45, *.D49, *.D58, and *.D66. REB extensions indicate the type of data the files contain:

  • . D21 and .021 - vertical alignment data
  • .D30 - point/coordinate data (GAEB)
  • .D40 and .040 - horizontal alignment data
  • .D45 - point/coordinate data
  • .D49 - breakline data (GAEB)
  • .D58 - surface triangle data (GAEB)
  • .D66 and .66 - cross-section data

Note: Cross-sections from REB data are converted into breaklines when they are imported.
Note: You can also import Wirth YXZ cross-section data in conjunction with an REB alignment file to create a road model.
Note: REB is a data specification most-commonly used in Germany.

Related topics

Import Data

Import Wirth YXZ Files (.yxz)

Run an Import Summary Report

Create and View a Surface Cross-Section

Create and View a Surface Profile


Import RINEX Data (.06o)

Import data from any field software supporting the receiver-independent exchange (RINEX) format. The frequencies of data that you can process depend on your software license.

Related topics

Import Data

Run an Import Summary Report


Import Road Data from Terramodel Project Files (.pro)

Although this importer can import linework and surfaces alone, it is primarily designed to import road job data from Trimble® Terramodel project files (.pro) as corridors. The importer assumes that your Terramodel project contains a road job, and will issue a warning if it does not. To import a file, follow the instructions in Import Data.

In the Import pane's Settings box, you can specify how you want the data to be imported:

  • In the Cross-section interval box, enter the horizontal distance interval at which you want to extract cross-sections from the Terramodel road job. If extracted cross-sections are identical (within the tolerance specified below), the redundant ones are not imported. Imported cross-sections are used to create corridor templates.
  • In the Tolerance box, enter the 3D (horizontal and vertical) distance tolerance for comparing the location of an extracted cross-section node in order to determine if it matched the location of that node as interpolated between existing templates. This process is called 'sampling'. If all of the cross-section nodes within a sampled cross-section fall within this tolerance (based on samples preceding and following it), that cross-section is not imported and a related corridor template is, therefore, not created.
  • In the Surface list, select the road surface to import from the road job.
    • Select the Design surface to import the uppermost surface from the road job.
    • select Bottom subgrade to import the lower-most subgrade surface from the road job.

After import, the file appears under the Imported Files folder and the imported elements appear under Alignments, Corridors and Surfaces in the Project Explorer.

When you import .pro files, the data is handled in these ways:

Importable Data

Data in the file

How the data is handled when imported

Roads

Road jobs are imported as corridors, defined by:

  • templates (from extracted cross-sections)
  • horizontal (HAL) and vertical (VAL) alignments

The road surface and centerline information is imported and can then be used in job site designs and exported to grade control systems (GCS).

Linework

Line data is imported as CAD lines and CAD polylines.

Surfaces

Terramodel surfaces are imported as surfaces.

Related topics

Import Data

Run an Import Report


Import RoadXML Files (.rxl)

Import RoadXML files (.rxl) to bring road data into your project. The data is displayed as a surface and/or alignment that can be verified and edited as necessary. The following elements from the RoadXML file can be imported:

  • Horizontal alignment
  • Horizontal alignment PI
  • Vertical alignment
  • Station equations

To import a RoadXML file, follow the instructions in Import Data.

Related topics

Workflow for Using Imported Alignments

Import Data


Import Station, Offset, and Elevation Files (.csv)

Import a text file (.csv) of station, offset, and elevation values to create points or stored cross-sections associated with an alignment in your project. You can then use the data to create a surface. In the Import Settings, You can have the data in the file create either cross-sections or points on import. To import a file, follow the instructions in Import Data.

Rules for importing a station, offset, and elevation file:

  • The name of the .csv file must match the name of an alignment in your project, if you have more than one alignment. If you have only one alignment, the indicated .csv file will be imported with respect to that alignment. If you do not have an alignment, the importer will not work.
  • The header (first line) in the file must contain the phrase "TBC Excel" (in English). The header can contain other explanatory text beyond the above key phrase.
  • The second line in the file is expected to contain the first cross-section node data.
  • The order of the data fields associated with each cross-section node is Station,Offset,Elevation,Code
  • Unless otherwise noted in the header line, the default delimiter between data fields is a comma. However, if the header line is found to contain a semicolon, that is an indication of the fact that the delimiter is expected instead to be a semicolon.

Sample:

  • Alignment in project: First Street
  • File name: First Street.csv

File data showing the header and first two cross-sections:

TBC Excel - Station,Offset,Elevation,Code

20,-8.89,59.36,TIEL

20,-3.8,62.75,SHLDL

20,-2.5,62.83,EOPL

20,0,62.9,CL

20,2.5,62.98,EOPR

20,3.8,63.02,SHLDR

20,8.65,59.78,TIER

30,-8.89,59.36,TIEL

30,-3.8,62.75,SHLDL

30,-2.5,62.83,EOPL

30,0,62.9,CL

30,2.5,62.98,EOPR

30,3.8,63.02,SHLDR

30,8.65,59.78,TIER

Related topics

Import Data

Run an Import Report


Import Traverse Adjustments

If you import a data file from Survey Controller or Trimble Access that includes a traverse adjustment that was performed in the field, the traverse adjusted coordinates are imported into the project and are used to calculate points.

Information about the imported traverse information is displayed as follows:

  • A Traverse Networks node [image] is displayed in the Project Explorer. When expanded, it displays each of the traverse networks [image] in the file. Read-only properties for the selected traverse network are displayed in the Properties pane.
  • When a point is defined by a traverse adjusted coordinate, a Traverse Adjusted coordinate node [image] is displayed beneath the point in the Project Explorer. Properties for the selected coordinate are displayed in the Properties pane.

Note: If the data file includes multiple iterations of the same traverse, the latest iteration is the one used to calculate points. See the properties for a traverse network to determine if it is the latest traverse.

You can remove traverse coordinates from your project by displaying properties for the associated traverse network and clicking the Clear Traverse Adjustment Result button i_traverse coordinate clear located near the top of the Properties pane.

If you perform a network adjustment on a survey network containing traverse adjusted coordinates, the traverse adjustment is cleared and the traverse raw data is used in the least-squared network adjustment.

Related topics

Import Data


Import Trimble Surface Files (.ttm)

Import triangulated terrain models to visualize surfaces and compute volumes between surfaces.

Note: You can also import ASCII point files (.pts) as surfaces using a custom format created in the Import Format Editor.

Related topics

Import Data

Run an Import Summary Report

Workflow for Using Imported Surfaces


Import Wirth YXZ Files (.yxz)

Import cross-section data in a Wirth YXZ (.yxz) file to create a surface. To import a file, follow the instructions in Import Data. In the import settings for Wirth files, you can specify whether the points should create stored cross-sections or breaklines.

Note: If you plan to send the data to a GCS machine as a road definition (.dc) file, then you should import the data as cross-sections. If you then associate the resulting surface with an alignment and set the Alignment-based property to Yes, do not densify the surface; densification creates variable numbers of points in cross-sections, as well as additional points between cross-sections which interferes with .dc output.

Related topics

Import Data

Run an Import Summary Report


Run an Import Report

Generate an Import Report to see a project summary, details on imported files, and any associated errors or warning messages.

To run an Import Report:

  • Select Reports > Import Report.
  • Select Reports > Report Options. Select Import Report in the command pane, and click OK.

    The Import Report displays in your default Web browser.

Note: Only ten reports can appear on the Reports menu. To control which reports appear, select Reports > Report Options, and set the Show on reports menu property in the Settings group. If the property is set to Yes for more than ten reports, the first ten (in alphabetic order) will show on the menu. Any report that does not appear on the menu can always be run from the Report Options pane by selecting it and clicking the [image] icon at the top of the pane.
Tip: Click a file name in the report to jump to the creation and import dates and times.

Related topics

Customize and Run a Report


Transfer/Synchronize Data

In This Chapter

Prepare to Connect a Field Device

Office Synchronizer

Device Pane

Connect to a Trimble Tablet Computer

Data Synchronization

Upload Geodetic Reference Data


Prepare to Connect a Field Device

Transfer and synchronize data between field devices and your computer using one of two methods: Direct connection via the Device pane, or Office Synchronizer via the data synchronization area.

Options
Device pane | Use this and a direct connection to update files directly on the field device and to import data directly from the field device.
Office Synchronizer and the data synchronization area | Use these to manually or automatically synchronize data between a field device and your computer. Using the data synchronization area allows you to prepare field data and create export files without physical connection to the field device. The upload process is a separate automated step.

To prepare for using a direct connection:

  1. If necessary, install Microsoft® ActiveSync® software. If this wasn't done during installation, then do so now. (Enter ActiveSync as a search topic on the http://www.microsoft.com/downloads site.)

    Note: For Microsoft Vista users, ActiveSync technology is not required. The communication functionality needed is included with Vista.

  2. Start this software.
  3. Connect the field device to the computer using a USB connection or a serial connection.
  4. If the device asks if you want to be connected, click Yes. The Device pane appears, listing the files on the field device.

    Note: When a field device is in direct connection mode, the Office Copy mode is not available.

To prepare for data synchronization:

  1. If necessary, install Microsoft® ActiveSync® software. If this wasn't done during installation, then do so now. (Enter ActiveSync as a search topic on the http://www.microsoft.com/downloads site.)
  2. If necessary, install Office Synchronizer. If this wasn't done during installation, then install it from this software's installation CD.
  3. Run Office Synchronizer, and select Tools > Synchronizer Options. Verify the following options:
    • Sync options tab > Sync Mode = Manually
    • Display tab > Check Set ActiveSync to work in "Guest Only" mode
  4. Connect the field device to the computer using a USB connection or a serial connection. When you connect a device for the first time, enter the following data:
    • Device name - a unique name to be associated with the device
    • Field crew information (optional)
    • System root folder location - a folder on the computer or network location accessible to the computer. This folder will store the synchronized data. This data is stored on the field device.

Related topics

Upload Files (via Direct Connect)

Download Files (via Direct Connect)

Upload Files (via data synchronization)

Download Files (via data synchronization)


Office Synchronizer

Office Synchronizer is a separate utility that transfers data files between your computer and your CE-based field device/site controller, and verifies that the data in both locations is the same, or synchronized.

Data synchronization area

The data synchronization area (also known as the synchronizer root folder) is the folder structure that stores synchronized field data on your computer or computer network. This folder is used by the Office Synchronizer utility, any field devices that have been synchronized with the Office Synchronizer, and this software. Files to be uploaded to field devices and files downloaded from field devices are located in the folder.

If necessary, you can enter, change, or verify the location of the data synchronization area by selecting Tools > Options and clicking General and File Locations. Check the Synchronizer root folder path.

Related topics

Export Data Formats

File Location Options

Import Data Formats

Prepare to Connect a Field Device


Connect to a Trimble Tablet Computer

To enable a Trimble Tablet computer to connect with a host computer running Trimble Business Center and/or Office Synchronizer, the TabletSync program must be installed and properly configured on the tablet computer.

Note: If TabletSync is not installed on the Trimble Tablet computer, install the latest version of Trimble Access. This will install TabletSync.

To initially configure TabletSync on the Trimble Tablet computer:

The following instructions are based on the assumption that TabletSync has never been configured on the tablet computer. If it has been, see the section "To configure TabletSync after initial configuration" later in this topic for instructions on changing configuration settings.

  1. Open the TabletSync program on the Trimble Tablet computer.

    The first time you open the program, the Device Setup dialog displays.

  2. Complete the fields in the Device Setup dialog:
    • Device name - Enter the name of the Trimble Tablet computer.
    • Field crew name - This field is optional.
    • Synchronizer root folder on the host PC - Enter the full path to the Office Synchronizer root folder located on the host computer or on another computer accessible by the host computer via a network connection (for example, C:\Trimble Synchronizer Data).

      The Folder for this device field displays the path you entered in the previous field, along with a new subfolder named the same as the device (for example, C:\Trimble Synchronizer Data\Device 01).

      Note: Specifying the root folder path is required by Office Synchronizer.

    Trimble application programs already installed on the Trimble Tablet computer are displayed in the Installed Applications list.

  3. Click OK.

    The newly entered name for the Trimble Tablet computer displays in the Device Name field in the TabletSync window.

  4. In the TabletSync window, click the [image] button.
  5. In the Enter Host Name dialog, enter the name of the host computer. The host name is case sensitive.

    You can determine the name of the host computer by right-clicking Computer or My Computer in the host computer's Start menu and selecting Properties.

  6. Click OK.

    The name is added to the Hosts list in the TabletSync window. You are now ready to connect the Trimble Tablet computer to the host computer.

To connect or disconnect the Trimble Tablet computer:

Before performing this procedure, ensure TabletSync is configured on the tablet computer as described in the previous section and the correct host name has been selected in the Hosts list in the TabletSync window.

Note: If you are connecting to a host computer running Windows XP with Service Pack 3 installed (Service Packs 1 and 2 are not supported), see Configure Windows XP to Connect to a Trimble Tablet Computer for additional instructions.

  1. Ensure Trimble Business Center and/or Office Synchronizer is running on the host computer.
  2. Connect the Trimble Tablet computer to the same network to which the host computer is connected.

    Note that the Trimble Tablet computer and the host computer must be in the same subnet.

  3. Open the TabletSync program on the tablet computer, and select the appropriate host in the Hosts list.

    If the selected host computer is found on the network, the Connect button is enabled.

  4. Click the Connect button.

    When the connection is complete, a "Connected to <Host Name>" message displays in the status bar.

  5. Use Trimble Business Center and/or Office Synchronizer to transfer and synchronize data between the Trimble Tablet computer and the host computer.
  6. When you are done, click the Disconnect button.

To configure TabletSync after initial configuration

After initial configuration, you can reconfigure TabletSync by opening it on the Trimble ^Tablet computer and making changes as necessary (for example, select or enter a different host computer name).

If the Trimble Tablet computer is connected to the host computer, you can also configure it using the Office Synchronizer program. Select Tools > Device Setup in the Office Synchronizer window.

Related topics

Prepare to Connect a Field Device

Configure Windows XP to Connect to a Trimble Tablet Computer


Configure Windows XP to Connect to a Trimble Tablet Computer

If you are running Windows XP with Service Pack 3 installed, verify peer-to-peer networking services are enabled before connecting to a Trimble Tablet computer (with the TabletSync program installed properly configured) via the Device Pane or Office Synchronizer.

Note: The TabletSync program does not support a connection to a host computer running Windows XP with Service Pack 1 or 2 installed.

  1. On your desktop, select Start > Control Panel > Add or Remove Programs.
  2. In the left navigation bar, of the Add or Remove Programs dialog, select Add/Remove Windows Components.
  3. In the Windows Components Wizard dialog, select Networking Services and click the Details button.
  4. In the Networking Services dialog, ensure the check box for Peer-to-Peer includes a check mark. Then click OK.
  5. In the Windows Components Wizard dialog, click Next and then click Finish.

Note: For more information on peer-to-peer networking services, see the Microsoft article at http://support.microsoft.com/kb/817754.

If a message displays when you attempt to connect to the Trimble Tablet computer stating that your Windows firewall is blocking the TabletSync program, click Unblock. This program is required to connect to the Trimble Tablet computer. If you continue to encounter problems, investigate further to see if a third-party firewall is blocking the TabletSync program. If you are unsuccessful at resolving the problem, contact Technical Support.

Related topics

Connect to a Trimble Tablet Computer

Office Synchronizer

Prepare to Connect a Field Device


Data Synchronization

In This Section

Specify the Data Synchronization Area for Field Data

Download Files (via data synchronization)

Upload Files (via data synchronization)

Upload Tasks (via data synchronization)


Specify the Data Synchronization Area for Field Data

Synchronization is the process of making files on controllers match the files in the data synchronization area used by this program, Office Synchronizer, SCS Data Manager, and the Connected Community. Use application options to set the location where files are synchronized so that office staff and field crews/machines are using the same (or most current) data.

  1. Select Tools > Options.
  2. Click File Locations in the left pane.
  3. Click the last [image] icon next to the Data synchronization area box.

    Navigate to the folder that you want to use for synchronization, and click OK to specify that folder as the data synchronization area for Office Synchronizer to use in storing data transferred between the computer and site controllers used in the field.

    Note: Remember that your other Trimble software, such as Terramodel, use this path too.

  4. Click OK.

Related topics

File Location Options

Prepare to Connect a Field Device

Understanding Sites, Field Data, and Synchronization


Download Files (via data synchronization)

Before you download files, use Office Synchronizer to synchronize the field device from which you are importing a file.

Downloading a file creates an export file, and copies it to the data synchronization area for synchronizing.

To download a file and import it into a project:

  1. Open the project into which you want to download the file, or start a new project.
  2. Open the Device pane by doing one of the following:
    • Select View > Device Pane.
    • Click the [image] icon.
    • Press [F10].

    The Device pane displays.

    Note: If a field device is directly connected, you will not be able to continue. Disconnect the device and start over.

  3. Click the [image] icon, and verify that Office Copy is checked in the drop-down list. The contents of the data synchronization area display.
  4. Select the device from which to import the files.

  5. Select the files to import and do one of the following to import into the project:
    • Click the [image] icon.
    • Click and drag the selected file(s) to the plan view of the project.

Related topics

Import Data Formats

Prepare to Connect a Field Device

Upload files (via data synchronization)


Upload Files (via data synchronization)

Upload files to copy them from your office computer to the data synchronization area. The synchronizer root folder is created when you synchronize field devices using the Office Synchronizer utility.

Note: To view or change the location of your data synchronization area, select Tools > Options > File locations.

To upload a file:

  1. Open the project from which you want to export data.
  2. Open the Device pane by doing one of the following:
    • Select View > Device Pane.
    • Click the [image] icon on the toolbar.
    • Press [F10].

    The Device pane displays.

  3. Click the [image] icon and verify that Office Copy is checked in the drop-down list.
  4. Select the device to which you want to export the file.

  5. Select the data to export.
  6. Click the [image] icon on the Device pane toolbar. The Export pane opens and displays a list of possible formats.
  7. Select the file format to export. If data has not been selected, select it.
  8. Verify the default file name is correct, or enter a different file name for the exported file.
  9. Verify the settings options.
  10. Click OK, and then close the Export pane to view the Device pane underneath.
  11. Click the [image] icon on the Device pane toolbar to see the exported file list.

Note: Before taking the field device out to the field, the Office Synchronizer must synchronize the field device to which you are exporting a file.

Related topics

Prepare to Connect a Field Device

Download files (via data synchronization)

Export Data Formats


Upload Tasks (via data synchronization)

Upload files to field devices using the Task list on the Device pane toolbar. You can upload to:

  • Trimble® Survey ControllerTM
  • Trimble® Digital FieldbookTM

Note: To activate the Tasks drop-down list, you must first synchronize your field device.

These file types can be uploaded:

  • Feature code library (.fxl) files (converted to .fal files for Survey Controller versions prior to 11.3)
  • Data dictionary (.ddf) files (converted to .fal files for Survey Controller versions prior to 11.3)
  • Antenna (.ini) files
  • Geoid (.ggf) files (including sub-grids)
  • Datum grid files (.dgf)

To upload a file:

  1. Open the Device pane by doing one of the following:
    • Select View > Device Pane.
    • Click the [image] icon on the toolbar.
    • Press [F10].

    The Device pane displays.

  2. Click the [image] icon, and verify that Office Copy is checked in the drop-down list. The contents of the folder display.
  3. Select the device to which you want to export the file.

  4. Click Tasks, and select the file type from the list.
    • For .fxl, .ddf, and .ini files, the Open dialog displays.
    • For .dgf files, the Select Datum Grid Files for Upload dialog displays.
    • For .ggf files, the Geoid Sub-Gridding command pane displays.
  5. Browse to the file you wish to upload, and click OK, or click Upload in the Geoid Sub-Gridding command pane.
  6. Click the [image] icon on the Device pane toolbar to see the exported file list. The new file will be copied to the field device the next time you synchronize.

Related topics

Prepare to Connect a Field Device

Upload files (via data synchronization)


Upload Geodetic Reference Data

In This Section

Upload a Datum Grid File

Upload a Geoid File


Upload a Datum Grid File

Select a datum grid file (.dgf) based on the datum used in the project coordinate system, and upload it to a field device.

To upload a datum grid file:

  1. Connect the field device to which you want to upload a geoid. The Device pane displays.
  2. On the pane's toolbar, click Tasks, and select Upload datum (.dgf) file. The Datum Gridding command pane displays.
  3. If needed, select the folder containing the installed datum files in the Folder list, or click the [image] icon and navigate to the folder.

    Note: The default location for .dgf files depends on your operating system:
    In Windows® XP or earlier: C:\Documents and Settings\All Users\Application Data\Trimble\GeoData unless you have previously installed Trimble® Geomatics OfficeTM (TGO). If you have installed TGO and then this software, the path is C:\Program Files\Common Files\Trimble\GeoData.
    In Windows VistaTM: C:\ProgramData\Trimble\GeoData\ or C:\Program Files\Common Files\Trimble\GeoData\.

  4. Select a datum grid file in the Datum Grid Files (.cdg) list, if the datum you need isn't in the list, create a datum grid file.
  5. Click Upload. The datum file appears in the Other Files folder of the Device pane's tree.

Note: If you use the datum associated with your project's coordinate system, but do not create a datum grid file, it will not be saved in the list of datum grid files available the next time you upload. If it is a datum you will need again, create a datum grid file that will be saved.

Related topics

Create a Datum Grid File

Datum Grid Options

Upload Tasks (via Direct Connection)


Upload a Geoid File

Select a geoid grid file (.ggf) based on the geoid used in the project coordinate system, and upload it to a field device.

  1. Connect the field device to which you want to upload. The Device pane displays.
  2. On the pane's toolbar, click Tasks, and select Upload geoid (ggf) file. The Geoid Sub-Gridding command pane displays.
  3. If needed, select the folder containing the installed geoid files in the Folder list, or click the [image] icon and navigate to a folder containing .ggf files.
  4. Select a geoid file in the Geoid File list.
  5. Click Upload. The geoid file appears in the Other Files folder of the Device pane's tree.

    Note: If the geoid grid file is larger than 1 MB, a confirmation message displays, asking if you really want to upload it. Consider defining a sub-grid of the geoid to make the file smaller.

Related topics

Geoid Options

Define a Geoid Subgrid

Upload Tasks (via Direct Connection)


View, Navigate, and Select Data

In This Chapter

Graphic Views

View Survey Data in Google Earth

Spreadsheet Views

Other Views

Pane and Data View Positioning

Data View Display Formats

Tabbed View Arrangement

2D View Navigation

3D View Navigation

3D View Settings

Keyboard Navigation

Mouse Modes

Data Selection

Find an Object's Insertion Point

Specify an Object or Property in a List

View and Edit an Object's Properties

Manage the Data in Your Views


Graphic Views

In This Section

Plan View

Profile View

Cross-Section View

Surface Slicer View

3D View

3D Drive View

Image View (Registered Images)

Georeferenced Image View

Move Images Forward and Backward

Superelevation Diagram


Plan View

The plan view is the default view for your project data. It displays a graphical view from above, as in a map display. Multiple plan views can be opened at the same time. The data that is visible in graphics views is controlled by the view filter.

Within the plan view you can:

  • Pan and zoom to explore the data.
  • Select objects to view their properties or start a command.

Related topics

2D View Navigation

Data View Display Formats

Pane and Data View Positioning

Select from the 2D Views

Tabbed View Arrangement

How Coordinate Quality for a Point is Displayed


Profile View

Use the profile view to check the geometry of a vertical alignment. The profile view displays a vertical, graphic view of a single, specific alignment. When the alignment that the view is based on is modified or deleted, the view updates accordingly.

The bold vertical line at 120 denotes a station equation.

Related topics

Create and View a Surface Profile

2D View Navigation

Create an Alignment

Data View Display Formats

Pane and Data View Positioning

Select from the 2D Views

Tabbed View Arrangement


Cross-Section View

Use the cross-section view to check surface cross-section geometry along a single, specific alignment anywhere it coincides with a single, specific surface. The cross-section view is a vertical, graphic view that changes depending on where you are along the alignment. When the alignment or surface that the view is based on is modified or deleted, the view updates accordingly. Multiple cross-section views can be open concurrently.

Red tic marks denote where the cross-section crosses points or breaklines. Bold vertical lines (not shown) denote station equations. At some view magnifications, the slope value is shown for each segment of the cross-section.

Related topics

Create and View a Cross-Section

2D View Navigation

Data View Display Formats

Pane and Data View Positioning

Select from the 2D Views

Tabbed View Arrangement


Surface Slicer View

Use the surface slicer view to check any surface by slicing vertically through it to create a 'quick profile'. Multiple surface slicer views can be open at a time, and you can view multiple surfaces in the view concurrently.

Red tic marks denote where the surface slice crosses points or breaklines. At some view magnifications, the slope value is shown for each segment of the profile.

Related topics

View a Slice of a Surface

Create and View a Cross-Section

2D View Navigation

Data View Display Formats

Pane and Data View Positioning

Select from the 2D Views

Tabbed View Arrangement


3D View

Use the 3D view to visualize your project data from pre-defined viewpoints, or by rotating the view. You can set a point around which the view rotates, and exaggerate the vertical scale to see changes in topography more easily using the 3D View Settings. You can also select objects in the 3D view using the standard graphic selection methods.

The 3D view includes a compass triad with north, east, and Z axes to help you stay oriented in the view.

The performance of the 3D view may vary based on your system settings. If you have trouble, try these fixes:

  1. Right-click on your desktop and select Properties from the context menu. The Display Properties dialog displays. Click the Settings tab. Select a different/higher setting in the Color quality list. Click OK.
  2. Right-click on your desktop and select Properties from the context menu. The Display Properties dialog displays. Click the Settings tab. Click Advanced. The Plug and Play dialog displays. Click the Troubleshoot tab, and move the Hardware Acceleration slider to/near Full. Click OK, and OK again.

Tip: To reduce clutter in the 3D View, you can hide 2D objects or objects with a zero elevation. This can be set on the Display Options tab at the bottom right of the View Filter Manager. By default, the 3D View does not display label text, such as point labels.
Note: Microsoft® DirectX® does not work over Microsoft® NetMeeting®. The 3D view uses DirectX® and will show a blank view when attempting to use it across either communication tool.

Related topics

3D View Navigation

Data View Display Formats

Pane and Data View Positioning

Select from the 3D View

Tabbed View Arrangement


3D Drive View

Use the 3D Drive View to visualize and check surface data by simulating a drive along an alignment that is associated with the surface. You can also rotate the viewpoint and exaggerate the vertical scale to see changes in topography more easily using the 3D View Settings.

The 3D Drive View is a modified 3D View, so any settings that affect the 3D View also affect the 3D Drive View. The 3D Drive View is a perspective view, whereas the 3D View is an orthographic view.

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.

To 'drive' along an alignment in a 3D view:

  1. Select an alignment in the Project Explorer or a graphic view, and do one of the following:
    • Right-click and select New 3D Drive View from the context menu.
    • Click the [image] icon (if on the toolbar).
    • Select View > Alignment > New 3D Drive View.

    A 3D Drive View opens.

  2. Click and drag the slider at the bottom of the view to move along the alignment.
  3. To view a specific location along the alignment, type the station value in the box to the left of the slider.
  4. To adjust the height of the viewpoint above or below the alignment, click the [image] icon to the right of the slider.

    Note: You can also access this setting by selecting Project > Project Settings > View > 3D Drive View.

  5. To change the view, use any of the standard 3D view tools, such as:
    • To zoom in and out, roll the mouse wheel.
    • To increase the vertical exaggeration, press [Ctrl] + [Shift] and roll the mouse wheel.
    • To move the viewpoint in any direction, press [Ctrl] and click and drag the mouse wheel or middle mouse button.
    • To rotate the view angle vertically, press [Ctrl] and roll the mouse wheel.
    • To rotate the view angle horizontally, press [Shift] and roll the mouse wheel.

      Tip: This enables you to turn the viewpoint around to 'drive' the alignment in the opposite direction.
      Note: Some of these tools are also available in the 3D View Settings.

Related topics

3D View Settings

3D View

Cross-Section View

Alignment Profile View


Image View (Registered Images)

Use the Image View tab to view registered images (photographs) with overlaid point data.

To view a registered image on the Image View tab:

Do one of the following:

  • In Project Explorer, right-click the registered image you want to view and select New Image View.
  • On the Plan View, 3D View, or Image View tab, select the registered image you want to view, right-click, and select New Image View. If a list of images is displayed, select the specific image you want to view.
  • On the Plan View, 3D View, or Image View tab, select a station to which registered images are attached (that is, photographic images were taken from the station). Then right-click and select New Image View. Image stations are represented by pink camera symbols.
  • Select View > New Image View and select the registered image you want to view.

If you selected a registered image, that image is displayed on the Image View tab along with any other photographic images that were taken from the same station. You view the images from the vantage point of the associated image station, with the selected image being the primary focus point.

If you selected an image station, the photographic images taken from the station are displayed on the Image View tab. You view the images from the vantage point of the selected image station.

The image is displayed on the Image View tab along with any other photographic images that were taken from the same station. You view the images from the vantage point of the associated image station, with the selected image being the primary focus point.

You can use the View > 3D View Settings controls (or toolbar buttons) to rotate the view vertically and horizontally from the selected vantage point, or zoom in on any of the images.

Note: To set the default distance from which you want to view the images, select Project > Project Settings > View > Image View. In some instances, modifying this distance can help to correct the alignment of objects between multiple images. When the objects in the images are at a distance greater than or less than this default distance, changing the Image View distance to a more realistic distance will help with the object alignment.

You can also select to view images from a different image station vantage point. Select a wireframe for one of the images taken from the new station, then right-click and select New Image View.

cg_image view wire

To view properties for a registered image, right-click the image in the Project Explorer or on a view tab and select Properties.

For instructions on moving the display of an image forward or backward relative to other images, see Move Images Forward and Backward.

Note: Viewing a large number of images can require a lot of computer memory. If one or more images do not display on the Image View tab, try closing and re-opening the tab. If this does not solve the problem, select Tools > Options and click the Advanced button. In the Advanced Graphics Options dialog, select the Down-sampled option and select a smaller size.

Related topics

Data View Display Formats

Pane and Data View Positioning

Tabbed View Arrangement


Georeferenced Image View

When you import one or more georeferenced images, they display in the Plan View based on the global or local coordinates specified in the georeference data.

To view properties for a georeferenced image, right-click the image in the Project Explorer or on a view tab and select Properties.

For instructions on moving the display of an image forward or backward relative to other images, see Move Images Forward and Backward.

Survey data objects whose coordinates overlap with the coordinates of the georeferenced image are superimposed on top of the image (as shown below).

By default, georeferenced images are not selectable in the Plan View. To make georeferenced images selectable:

  1. Select View > View Filter Manager.
  2. In the View Filter Manager pane, click the Advanced View Filter Settings icon i_advanced view filter settings.
  3. In the Advanced View Filter Settings dialog, check the Selectable check box for Georeferenced Image.

Note: Larger images require more memory and can limit the number of images that can be displayed. Smaller images do not display as clearly.

Related topics

Import Georeferenced Images

Georeference an Image


Move Images Forward and Backward

To move the display of an image forward or backward relative to other images:

Do either of the following:

  • Right-click the image in the Project Explorer or on a view tab and select Properties. In the Properties pane, select to move the image forward or backward by entering a View priority of 1 to 5 (1 is the most forward, or visible, level; 5 is the most backward, or hidden, level).
  • Right-click the image in the Project Explorer or on a view tab and select one of the following options:
    • Send Backward moves the image back one level.
    • Send to Back moves the image to level 5.
    • Bring Forward moves the image forward one level.
    • Bring to Front moves the image to level 1.

If two overlapping images have the same view priority level, the software randomly determines which image to display "in front" of the other.

Related topics

Image View

Georeference Image View


Superelevation Diagram

The superelevation diagram, which is displayed in its own view tab, provides a good way to see how the slope changes for the inside and outside edges of a road through each station in an alignment.

The diagram includes grid lines against which the superelevation profile is displayed. Vertical grid lines represent stations in the alignment. Horizontal grid lines represent degrees of slope. The two colored lines, which make up the superelevation profile, represent the inside and outside edges of the road.

cg_corridor super diagram

The superelevation view is updated automatically as you make changes on the Superelevation tab.

To configure the display of the superelevation template, use the Project Settings dialog.

To view and change Superelevation Diagram project settings:

  1. Select Project > Project Settings.
  2. In the Project Settings dialog, select View > Superelevation Diagram in the navigation list.
  3. View and change the Plot scale and Vertical exaggeration settings as necessary.
  4. To view and change grid line properties, select View > Superelevation Diagram > Grid Line Definition in the navigation list.
  5. When you are done, click OK.

Related topics

Understanding Superelevations

Create and Edit Superelevations

Understanding Corridors

Create Corridor Template Instructions


View Survey Data in Google Earth

You can display your survey data superimposed on photographic satellite images of the location in Google™ Earth.

Note: Before performing this procedure, ensure the Google Earth software application is installed on your computer.

To view survey data in Google Earth:

  1. Do one of the following:
    • Select View > Google Earth.
    • Click the Google Earth icon [image] on the toolbar.

    The Google Earth command pane displays.

  2. In the Offset boxes, enter the offsets you want to use for your survey data when it is superimposed on the photographic view in Google Earth.

    To determine appropriate offsets, you can view your data in Google Earth with no offsets, enter or adjust offset values as necessary in the Offset boxes, and then display the changes in Google Earth to ensure correct alignment. Note that the Elevation box is disabled if you select Clamp to Ground in the Altitude mode drop-down list.

    Offsets vary depending on the accuracy of the imagery in Google Earth. Rectifying and combining images taken from differing orientations and altitudes, along with the “rubber band” 3D modelling and vertical exaggeration in Google Earth, will cause the superimposed survey data to appear to be located incorrectly. To minimize the offset, try deselecting the Layer > Terrain option in Google Earth.

  3. Click in the Select entities box. Then, in a graphic view, pick the objects that you want to view in Google Earth; or, click Options for additional selection methods. You can also select objects in the Project Explorer.

    The following types of data can be exported: HALs, baselines, contours, line and point features, observations (displayed as lines), photos, trajectories, and event markers.

  4. In the Altitude mode drop-down list, select one of the following:
    • Clamp to Ground ensures all points are located at ground level.
    • Absolute ensures all points are displayed at their correct elevation based on the offset value you enter in the Elevation box.
  5. Click the Apply button.

    The Google Earth window displays showing your data, which is contained in a KML (.kml) file, superimposed on a photographic satellite image. You can select which survey data to display in the Google Earth window by checking or unchecking check boxes in the Places pane.

    The Status section in the Google Earth command pane shows that a KML file was created with the same name as your project VCE (.vce) file, and it is stored in the same location. Each subsequent time you click the Apply button, a new KML file is created with the same name, overwriting the previously created version.

Related topics

Google Earth Command

View Plan View Data in Google Earth


Spreadsheet Views

In This Section

Points Spreadsheet

Occupation Spreadsheet

Vector Spreadsheet

Optical Spreadsheet


Points Spreadsheet

The points spreadsheet view lists the survey points in the current project, enabling you to easily edit the data. The plan view and the Properties pane reflect all changes made to data in the point spreadsheet view.

Using the spreadsheet

  • To select a point, click in the left column for that row.

  • To display more detail on a point in the Properties pane, select the point and press [F11], or right-click and select Properties.
  • To edit a point's ID, coordinate, elevation, or feature code, select it by clicking on the cell. You can also tab from cell to cell and simply type over the value in the cell.
  • To sort points based on a criteria, click on a column heading. Up [image] or down [image] icons appear on the selected column heading, indicating the current sort order (ascending or descending).
  • To filter the point data, click on the [image] icon at the top of the column and select an option from the drop-down menu.

    Note: If the filter for a column is active, the icon [image] appears blue.

  • To copy data to a text editor, such as Microsoft® Notepad, select data, and copy and paste by using the right-click menu or by pressing [Ctrl] + C to copy and [Ctrl] + V to paste. You can select all data by pressing [Ctrl] + A.
  • To change the order of columns across the spreadsheet, click and drag the column heading to a new location.

Related topics

Data View Display Formats

Pane and Data View Positioning

Select from Spreadsheet Views

Tabbed View Arrangement

Create a Point


Occupation Spreadsheet

The occupation spreadsheet view lists the GNSS occupations in the current project, enabling you to easily edit the data. The plan view and the Properties pane reflect all changes made to data in the spreadsheet view.

Note: To change the data that is displayed in the occupation spreadsheet, use the [image] Project Settings command.

Using the spreadsheet

  • To select an occupation, click in the left column for that row.

  • To display more detail on a occupation in the Properties pane, select the occupation and press [F11], or right-click and select Properties.
  • To edit a cell, select it by clicking on the cell and make the edit. The edits will be applied when you leave the row.

    Note: Grayed out cells are not editable.

  • To sort the entries, click on a column heading. Up [image] or down [image] icons appear on the selected column heading, indicating the current sort order (ascending or descending).
  • To filter data, click on the [image] icon at the top of the column and select an option from the drop-down menu.

    Note: If the filter for a column is on, the icon [image] appears blue.

  • To copy data to a text editor, such as Microsoft® Notepad, select data, and copy and paste by using the right-click menu or by pressing [Ctrl] + C to copy and [Ctrl] + V to paste. You can select all data by pressing [Ctrl] + A.
  • To change the order of columns across the spreadsheet, click and drag the column heading to a new location.

Related topics

Data View Display Formats

Pane and Data View Positioning

Select from Spreadsheet Views

Tabbed View Arrangement


Vector Spreadsheet

The vector spreadsheet lists the vectors in the current project. The data can be sorted by clicking at the top of any column. The Plan View and the Properties pane reflect all changes made to data in the vector spreadsheet view. For details on columns in the vector spreadsheet, see View Settings.

To create a new vector spreadsheet:

Do one of the following:

  • Select View > New Vector Spreadsheet.
  • Click the [image] icon.

    A new vector spreadsheet appears listing the processed vectors in the project.

To navigate the spreadsheet:

  • To select a vector, click in the left column for that row.

To display vector details:

  • Select the vector (click on the left edge of the row) and press [F11] or right-click and select Properties. The Properties pane displays.

    Note: The Delta X, Y, and Z values in the Vector Spreadsheet and the Vector List report reflect the distance from survey marker to survey marker, so Vector Length shows the distance of the ground slope.

To sort entries:

  • Click on a column heading. An up [image] or down [image] icon appears in the selected column heading, indicating the current sort order (ascending or descending).

To copy data:

  • Select data, and copy and paste it to a text editor (such as Microsoft® Notepad) by using the context menu or by pressing [Ctrl] + [C] to copy and [Ctrl] + [V] to paste. You can select all data by pressing [Ctrl] + [A].

To manage column display:

  • Select Project > Project Settings. Then click View and Vector Spreadsheet. For each type of data, select to Show or Hide the column in the spreadsheet. To change the order of columns across the spreadsheet, click and drag the column heading to a new location.

Related topics

Data View Display Formats

Pane and Data View Positioning

Select from Spreadsheet Views

Tabbed View Arrangement


Optical Spreadsheet

The optical spreadsheet lists the total station observations in the project, along with computed values and station and target information. The data can be sorted by clicking at the top of any column. The Plan View and the Properties pane reflect all changes made to data in the optical spreadsheet view.

To create a new optical spreadsheet:

Do one of the following:

  • Select View > New Optical Spreadsheet.
  • Click the [image] icon.

A new optical spreadsheet displays.

To navigate the spreadsheet:

  • To select an observation, click in the left column for that row.

To display observation details:

  • Select the observation (click on the left edge of the row) and press F11, or right-click and select Properties. The Properties pane displays.

To sort entries:

  • Click on a column heading to change the sorting between ascending and descending.

To copy data:

  • Select data, and copy and paste it to a text editor (such as Microsoft® Notepad) by using the context menu or by pressing [Ctrl] + [C] to copy and [Ctrl] + [V] to paste. You can select all data by pressing [Ctrl] + [A].

To manage column display:

  • Select Project > Project Settings. Then click View and Optical Spreadsheet. For each type of data, select to Show or Hide the column in the spreadsheet. To change the order of columns across the spreadsheet, click and drag the column heading to a new location.

Related topics

Data View Display Formats

Pane and Data View Positioning

Select from Spreadsheet Views

Tabbed View Arrangement


Other Views

In This Section

Time-Based View

Session Editor

Alignment Editor

Report View


Time-Based View

The Time-Based View displays your data in a chronological format that makes it easy to visualize how session and occupation times relate to each other, helping you check for valid sessions.

For instructions on navigating the Time-Based View using menu commands, toolbar buttons, and your mouse, see 2D View Navigation.

Elements of the Time-Based View

1 - Timeline

Displays the span of one or more occupations in GPS time. The default view shows the time span for all project data, from the first occupation's start time to the end time of the last occupation. When you zoom to specific session data, the timeline changes to reflect the new time span.

The current time format is displayed on the status bar. Click it to access GPS time settings in the Units section of the Project Settings dialog.

2 - Sessions list

Lists all of the sessions in chronological order, from the earliest to the latest session in the project. This list is similar to the session tree in the Project Explorer.

Each session is defined by two concurrent or overlapping occupations.

Note: Continuous files from CORS stations are often logged, and import, in one-hour increments. Once they have been imported, however, they are concatenated (joined sequentially) into the single observation they represent.

3 - Session icon

Indicates whether the session is a static or kinematic session

static

kinematic

4 - Point ID of Upper Occupation

Identifies the upper occupation in the session. In the example, it is the blue bar in the view.

The same occupation can be represented in multiple sessions.

5 - Point ID of Lower Occupation

Identifies the lower occupation in the session. In the example, it is the green bars in the view.

6 - Chronological view

Plots each of the sessions, from start time to end time, in relation to the timeline.

When you move the cursor in the chronological view, the timeline displays the exact time represented by the pointer's position.

7 - Static occupation

Each occupation is graphically represented from start time to end time, in relation to the timeline and its session.

When you hover over an occupation in the chronological view, a tooltip displays the point ID and the duration of the occupation.

Clicking an occupation highlights and adds a border to it in all sessions, enabling you to see the relationship between sessions.

For static sessions, each bar represents a single occupation.

8 - Kinematic session display

The bar is broken to show stop-and-go occupations and/or continuous segments.

Occupation colors

Blue

Static occupation, generally at the base station

Green

Static occupation, generally at the rover

Yellow

Kinematic occupation - continuous segment

White

Kinematic occupation - roving segment

Related topics

Check Sessions

Time-Based View Options

Session Editor


Session Editor

When you find gaps in your satellite data in the time-based view, encounter sessions that will not process in the Baseline Processor, or have floating lines reported on the Processor Report, use the Session Editor to visually analyze the quality of the raw satellite data in a session. Gaps in the data could indicate antenna measurement errors, satellite signal cycle slips, invalid range errors, and other signal loss problems. To improve the quality of your processed baselines, use the Session Editor to:

  • Disable unhealthy satellites
  • Mask bad sections of satellite data
  • Adjust occupation times

Elements of the Session Editor

Title bar

This shows the name of the session you are viewing.

Timeline

This displays the times for each of the satellites used in the session. The default view shows the time span for all of the satellites, from the first occupation's start time to the end time of the second occupation. When you zoom to specific data, the timeline changes to reflect the new span.

Satellite list

This lists the satellites that contributed data to the session.

  • GPS satellite names begin with G.
  • GLONASS satellite names begin with R.
  • Galileo satellite names begin with E.

Satellite ID

This shows the name of the satellite.

Time slot information

Satellite - This displays the name of the satellite you are editing.

Start time - Edit the beginning of the cross-out.

End time - Edit the end of the cross-out.

Click the Apply Time Edits button for these changes to take effect.

Chronological view

This plots each of the satellites, and the times they were visible in each of the two occupations in the session. Tick marks denote the beginnings of segments within occupations.

When you move the cursor in the view, the timeline displays the exact time represented by the cursor's position.

Disabled satellite

Gray indicates that a satellite has been disabled so it will not be considered in baseline processing.

Time slot

Cross-outs indicate that a section of the satellite data has been masked so it will not be considered in baseline processing.

View session extents

Enable this to display only the extent of the session (overlap of the occupations).

Color Key

Blue bar

Static occupation, generally at the base station

Green bar

Static occupation, generally at the rover

Related topics

Check Sessions

Edit Sessions

Session Editor Options

Time-Based View


Alignment Editor

The Alignment Editor enables you to edit the horizontal, vertical, and stationing values of existing alignments. The graphic views reflect all changes made to alignments in the editor.

Related topics

Edit an Alignment

Data View Display Formats

Pane and Data View Positioning

Tabbed View Arrangement


Report View

The Report View displays when you run certain reports. Along with the content of the report, the view includes a toolbar located along the top of the tab that allows you to:

  • Navigate to a specific page in the report
  • View and change the print setup information
  • View the print layout and print the report
  • Export the report to a spreadsheet or PDF document
  • Select a magnification to view the report
  • Search for text in the report

Related topics

Tabbed View Arrangement


Pane and Data View Positioning

Control when and where panes and views display by pinning, floating, and docking them. Unpin panes to allow them to slide out of view when they are not being used. Pin panes to keep them open. Float views to move them around the screen for the best arrangement. Dock views to attach them to an edge of the application window.

To pin and unpin (AutoHide) panes:

  • To pin an open pane, click the [image] icon at the top of the pane.
  • To unpin a pane, click on the [image] icon. If the pane is unpinned, the pane can "slide" to the side and out of view. To display the pane again, hover the cursor over the vertical tab.

To float and dock panes and views:

By default, most panes display docked, that is, locked to one side of the application window.

  • To float a docked pane, right-click on its titlebar and select Floating from the context menu. You can also click on the titlebar and drag the pan to float it.
  • To float a spreadsheet, editor, or other view, right-click beneath the titlebar and select Float View. The floated view can even be dragged to an adjacent monitor if you are running dual monitors.

    Note: Graphic views, such as the plan, 3D, and profile view, cannot be floated.

  • To dock a floating pane, right-click on its titlebar and deselect Floating.
    You can also click on its title bar and drag it to a docked position along any edge of the application window:
    1. Click anywhere on the titlebar (where it says the name of the command).
    2. Drag until your cursor is aligned with the edge of the application window. You should see it snap to the correct position for docking.

    cg_docking a pane

    Note: The docking location is determined by the position of the cursor when it intersects the edge of the application window.

  • To dock a floating spreadsheet, editor, or view, right-click on the body of the view (not on its titlebar) and select Unfloat View.

Related topics

Data View Display Formats


Data View Display Formats

You can control how data views are displayed, by arranging them as one or more groups of tabbed views, or as one or more tiled or cascaded views. Using multiple views let you easily view different parts of your project concurrently, and from different perspectives

To change the data view format:

  1. Select Tools > Options. The Options dialog displays.
  2. Select a display format in the Display with box.

Note: There are Window menu options for more tabbed view options.

Data Display Options

Tabbed views (SDI)

Displays one view in the view area at a time, with tabs at the top to access additional views.

To change views, click a tab.

Multiple views (MDI)

Displays one or more views at a time

  • To change views, click on the title bar of the view you want; the active title label is dark blue.
  • To tile or cascade the views, select Window > (option).

This image displays the multiple data views displayed in a tabbed format.

This image displays the multiple data views in an MDI format.

Related topics

Pane and Data View Positioning

Startup and Display Options

Tabbed View Arrangement


Tabbed View Arrangement

When you are working with tabbed views, you can display the views in two or more groups (windows), arranged either horizontally or vertically. The command is active under these conditions:

  • Data view display is set to tabbed view (SDI) format in Options.
  • At least 2 views (tabs) are present.

To display tabbed views in multiple groups:

  • Select Window > New Horizontal Tab Group.
  • Select Window > New Vertical Tab Group.
  • Click the [image] icon on the toolbar.
  • Click the [image] icon on the toolbar.
  • The tabbed views are divided and arranged accordingly.

You can also move tabs from one group to the other group of tabs. It is only active in data view under these conditions:

  • Data view display is set to tabbed view (SDI) format in Options.
  • At least 3 views (tabs) are present (for example, 2 plan views and a point spreadsheet view).
  • The 3 views are separated into 2 groups.

To move a tabbed view to the next or previous group:

  • Click the tab to move, and then select Window > Move to Next Tab Group. The tabbed view moves to the next group of tabbed views.
  • Click the tab to move, and then select Window > Move to Previous Tab Group. The tabbed view moves to the next group of tabbed views.

Related topics

Data View Display Formats

Pane and Data View Positioning

Startup and Display Options


2D View Navigation

Use these options and keyboard combinations to change what is displayed in the Plan View, Profile View, Cross-section View, and Time-Based View.

Note: All of the options listed here are available with the Plan View. However, some of them are not available for some of the other views.

To pan the view:

Use this to shift a different area of the screen to the center of the view.

  • Click and drag the mouse wheel (or middle mouse button).
  • Click the [image] icon on the toolbar, or select View > Pan. Click and drag from one point to another point in the view.

Tip: When using a laptop without a mouse, click the [image] (left mouse pan) on the toolbar. You can also press and hold both the left-click and right-click buttons while moving the cursor.

To zoom in:

Use this to display a smaller area of the view, in more detail.

  • Click the [image] icon on the toolbar to zoom in to the center of the view.
  • Click in a view, and roll the mouse wheel forward to zoom in to the cursor's location in the view.
  • Select View > Zoom > Zoom In to zoom in to the center of the view.

To zoom out:

Use this to display a larger area of the view, in less detail.

  • Click the [image] icon on the toolbar to zoom out from the center of the view.
  • Click in a view, and roll the mouse wheel backwards to zoom out from the cursor's location in the view.
  • Select View > Zoom > Zoom Out to zoom out from the center of the view.

To zoom into a certain area:

Use this to display the data within a box you draw in the view.

  • Press [Ctrl] + [Alt], and click and drag around an area.
  • Click the [image] icon on the toolbar, or select View > Zoom > Zoom. Click and drag around the area you want to display in the view.

To zoom to the extents of your data:

Use this to zoom to the limits of your visible data.

  • Click the [image] icon on the toolbar.
  • Double-click the mouse wheel (or middle mouse button).
  • Select View > Zoom > Zoom Extents.

To center a selected point in the Plan View:

  • Select one or more points in the Project Explorer or the view. Right-click, and select Center from the context menu.
  • Select one or more points in the Project Explorer or the view, and select View > Center.
  • Select View > Center. The Center command pane displays. Pick a point in the plan view, or type a point ID in the Point box.

Related topics

3D View Navigation

Plan View

Mouse Modes


3D View Navigation

Use these keyboard and mouse combinations to change your viewpoint in the 3D view.

3D View

Pan

Click the mouse wheel (or middle mouse button) and drag.

Zoom in/out

Roll the mouse wheel to zoom in/out from the center of the view.

Zoom extents

Double-click the mouse wheel (or middle mouse button).

Note: Zooming extents restores the vertical exaggeration back to its original value.

Vertical scale

Press [Ctrl] + [Shift], and roll the mouse wheel to exaggerate differences between elevations used in a surface.

The exaggeration value displays in the Scale box of the 3D View Settings command pane. To restore the original vertical exaggeration, type 1 in the box.

Rotate horizontal

Press [Ctrl], and roll the mouse wheel to turn the view around the X axis.

The value displays in the Elevation box of the 3D View Settings command pane.

Rotate vertical

Press [Shift], and roll the mouse wheel to turn the view around the Z axis.

The value displays in the Azimuth box of the 3D View Settings command pane.

Free rotation

Press [Ctrl], and click and drag the mouse wheel to rotate the view freely in any direction.

Set the rotation point

Press [Alt] and click a point on an object to set it as the rotation point for the view. To return to the default rotation point (center of the view), press [Alt] and click a blank space in the view.

Related topics

2D View Navigation

3D View

3D View Settings

Mouse Modes


3D View Settings

Use these settings to change your viewpoint, and the vertical scale in the 3D View. The compass triad in the bottom, left corner of the view shows the current orientation. By default, the 3D View rotates around the center of the view, which is usually the center of the bounding volume of the data in your project.

Tip: To reduce clutter in the 3D View, you can hide 2D objects or objects with a zero elevation. This can be changed on the Display Options tab at the bottom of the View Filter Manager.

To access pre-defined 3D views and settings:

  • Select View > 3D View Settings. The 3D View Settings command pane displays.

Options

Preset views

Click an arrow icon to switch to one of nine predefined, orthographic or isometric views.

The view names refer to the direction the view is facing.

Rotation

Use these values to rotate the viewpoint. Entering zero in both boxes makes the view equivalent to the plan view.

Tip: You can also press [Ctrl], and roll the mouse wheel to turn the view around the X axis, or press [Shift], and roll the mouse wheel to turn the view around the Z axis.

Elevation

Drag the vertical slider, or type a value in the box, to rotate the view on the X axis.

Azimuth

Drag the horizontal slider, or type a value in the box, to rotate the view on the Z axis.

Vertical scale

Scale

Drag the horizontal slider, or type a value in the box, to increase the difference between elevations. The scale is the factor by which all elevations in the project are multiplied.

Min

Max

Set the minimum and maximum exaggeration values in the boxes at either end of the slider.

To change the point around which the 3D View rotates:

  • Press [Alt] and click a point on an object to set it as the rotation point for the 3D View. To return to the default rotation point (center of the view), press [Alt] and click a blank space in the view.

Related topics

2D View Navigation

3D View

3D View Navigation

Mouse Modes


Keyboard Navigation

Use the keyboard to navigate the application and perform tasks if it is easier for you than using a mouse.

Shortcut Keys
[F1] | Displays the Help window.
[F2] | Toggles grid cells in spreadsheets and dialogs between editable and uneditable. When a cell is editable, the arrow keys move the insertion point within the cell. When a cell is uneditable, the arrow keys move the focus from cell to cell.
[F4] | Computes the current project.
[F5] | Switches the left mouse button to select mode.
[F6] | Switches the left mouse button to rotate mode. Note: This mode only works in 3D views. If you select this mode in 3D view, it reverts to the Select mode when in plan view.
[F7] | Switches the left mouse button to pan mode.
[F8] | Switches the left mouse button to zoom mode.
[F9] | Displays or hides the Project Explorer.
[F10] | Displays or hides the Device pane.
[F11] | Displays the Properties pane.
[F12] | Displays or the Command pane. Note: [F11] and [F12] toggle between the Command and Properties panes.

Other keys

[Enter]

For commands with an OK button, this initiates the command.

[Esc]

When the command pane has focus, this clears the most recent command from the stack.

In the Properties pane, this cancels an edit, reverting the property to its original value.

[Tab]

Accepts the current value, and advances to the next control or button.

[Shift] + [Tab]

Accepts the current value, and moves to the previous control or button.

[Space]

Accepts the highlighted button.
Opens advanced dialogs when you have tabbed into certain controls:

  • Color list - Opens the Color dialog.
  • Layer list - Opens the New Layer dialog.
  • Line Style list - Opens the Line Style Manager.
  • Select box - Opens the Advanced Select command pane.

[Ctrl] + [Tab]

Lets you select any of the active views, panes, or commands.

[Ctrl] + [Shift] + [Tab]

Lets you select any of the active views, panes, or commands.

[Ctrl] + [á] or [â]

Navigates within groups.

Press [Ctrl] + [á] to move up to the previous folder in Project Settings (and similar lists).

[Ctrl] +[ß] or [à]

Expands or contracts groups in the Project Explorer and the Properties pane.

[Shift] + [F10]

Displays the context menu when you are in a control (box).

[Ctrl] + [D]

Deletes selected objects from a project.

Related topics

2D View Navigation

3D View Navigation

Mouse Modes


Mouse Modes

Activate different modes to control what the left-mouse button does in graphic views. These modes are essential when you are using a laptop, or a mouse with no wheel/center button. They are available on the mouse toolbar.

Options

Click this to pick objects when you click or click and drag the left mouse button. You can also press [F5] to switch to the select mouse mode.

Click this to rotate the view when you click and drag the left mouse button. You can also press [F6] to switch to the rotate mouse mode.

Note: This mode only works in 3D views. If you select this mode in 3D view, it reverts to the select mode when in plan view

Click this to move the view in a planar way when you click and drag the left mouse button. You can also press [F7] to switch to the pan mouse mode.

Click this to zoom in or out when you click and drag the left mouse button. You can also press [F8] to switch to the zoom mouse mode.

Related topics

2D View Navigation

3D View Navigation

Graphic Selection Methods


Data Selection

Select objects by picking them in graphic views or spreadsheets, selecting menu options, or using keyboard combinations. Objects that you select highlight in graphic views, spreadsheets, and the Project Explorer, depending on which you have open. The number of objects selected appears on the status bar at the bottom of the application window.

Note: To set the visibility and selectability of objects, create a new view filter in the View Filter Manager.

Related topics

Select from the 2D Views

Select from the 3D View

Select from Spreadsheet Views

Select from the Project Explorer

Selection Methods and Options


Selection Methods and Options

Use these options to choose a selection method. They are available in the Select menu and through the Options button, which is available in various commands. Objects set to visible and selectable in the current view filter can be selected.

Note: The number of objects currently selected displays on the status bar at the bottom of the window.

Options
Select All | Use this to select all of the visible and selectable objects (as set in the current view filter) in the views and spreadsheets. You can also press [Ctrl] + [A] to select all objects.
Invert Selection | Use this to deselect the currently selected objects, and select the currently unselected objects visible in the view.
Select Points | Use this to select points with specific properties.
Select Duplicate Point Identifiers | Use this to select points with the same point IDs, often prior to merging duplicate points.
Select Observations | Use this to select survey observations with specific properties.
Select Unprocessed Sessions | Use this to select all sessions for which baselines have not been processed.
Select by Elevation Range | Use this to select data within, or outside of, a specific elevation range.
Select by Layer | Use this to select data by its layer.
Advanced Select | Use this to select data from the entire data set using a custom set of criteria.

Related topics

Select from the 2D Views

Select from the 3D View

Select from Spreadsheet Views

Select from the Project Explorer

View Filter Manager Command


Graphic Selection Methods

Select objects by clicking and dragging in graphic views in these ways:

Options
Windowing | Click and drag a box from left to right. All of the objects entirely within the box are selected.
Crossing | Click and drag a box from right to left. All of the objects within the box and crossed by the box are selected.

In graphic views, there are also two context menu options that you can access by right-clicking when you have data selected.

Options
Previous selection | Select this to clear the current selection and reselect select the objects last selected.
Clear selection | Select this to deselect all objects.

The appearance of the cursor will change in graphic views, depending on the control you are using. When you are using a COGO control, the name of the control will also appear on the status bar. The status line's tooltip lists ways in which you can use the control.

Cursor Types
i_cursor - free point | Pick any point.
i_cursor - running snap | Pick any point or applicable object (arc, line, segment, point).
 | Pick any applicable object.
i_cursor - broken box | No anchor point has been defined.
i_cursor - invalid selection | The pick function is unavailable, or the object you are trying to pick is invalid. Often, you can click a blank space in the Project Explorer to refresh the pick cursor for the graphic views.

Related topics

Select from the 2D Views

Select from the 3D View

Selection Methods and Options


Select from 2D Views

Select objects in the plan and profile views using these standard methods, or graphic selection methods.

To select all objects:

  • Select Select > Select All.
  • Press [Ctrl] + [A].

To select individual objects:

  • Move the cursor over an object in the view and click. If there is more than one object within the pick aperture, a list of objects from which you can select appears. Select the object you need.
  • Click the name of the object in the Project Explorer.

To select a group of points or observations:

  • [Ctrl] + click - to add an object to the selection set
  • [Shift] + [Ctrl] + click - to remove an object from the selection set
  • Click and drag (from left to right) - to select objects within the window.
  • Click and drag (from right to left) - to select all objects within or crossed by the window.

To undo a selection:

  • Right-click and select Clear Selection from the context menu - the last object selected with be removed from the selection.
  • Click any blank space in a graphic view. This deselects everything.

To clear the selection:

  • Right-click the selected point or group of points and select Clear Selection.
  • Click in an empty area of a graphic view.

Related topics

2D View Navigation

Graphic Selection Methods

Filter a View


Select from the 3D View

Select objects in 3D views using these standard methods, or graphic selection methods.

To select all objects:

  • Select Select > Select All.
  • Press [Ctrl] + [A].

To select individual objects:

  • Move the cursor over an object in the view and click. If there is more than one object within the pick aperture, a list of objects from which you can select appears. Select the object you need in the list.
  • Click the name of the object in the Project Explorer.

To select a group of points or observations:

  • [Ctrl] + click - to add an object to the selection set.
  • Click and drag (from left to right) - to select objects within the window.
  • Click and drag (from right to left) - to select all objects within or crossed by the window.
  • [Shift] + [Ctrl] + click - to remove an object from the selection set.

To undo a selection:

  • Right-click and select Clear Selection from the context menu. The last object selected is removed from the selection set.
  • Click any blank space in a graphic view.

To clear a selection:

  • Right-click the selected point or group of points and select Clear Selection.
  • Click in an empty area of a graphic view.

Related topics

3D View

3D View Navigation

3D View Settings

Graphic Selection Methods


Select from Spreadsheet Views

To select individual or multiple points or vectors in a spreadsheet view, use the mouse. Selected objects also highlight in graphic views, and the Project Explorer. The number of selected points or vectors appears on the status bar at the bottom of the application window. Edits in a spreadsheet cell are reflected in the Properties Pane after you exit from the cell.

To select a single point or vector:

  • Click the gray box on the left of the row:

Note: When you edit northing, easting, and elevation values in a point spreadsheet view, the quality of the point is upgraded to Control.

To select multiple points or vectors:

  • To select a series of rows, click the first row in the series, press [Shift], and click the last row in the series. All rows in-between are selected.
  • To select multiple, separate rows, press [Ctrl] + click on each individual row to add to the selection.
  • To select all rows, right-click anywhere in the spreadsheet and select Select All from the context menu.

Note: To edit the feature code for multiple points, use the Properties pane.

To undo a selection:

  • Click any cell.
  • Right-click and select Undo Selection from the context menu - the last object selected with be removed from the selection set.

To delete a selected row:

  • Right-click the selected row and select Delete from the context menu.

Related topics

Point Spreadsheet

Select Observations

Select Points

Select Unprocessed Sessions

Vector Spreadsheet


Direct Connection

In This Section

Download Files (via Direct Connection)

Upload Files (via Direct Connection)

Upload Tasks (via Direct Connection)


Download Files (via Direct Connection)

Download files to copy them from a connected field device to your office computer.

To download a file and import it into a project:

  1. Open a project, or start a new project.
  2. Connect the field device to the computer using a USB connection or a serial connection.
  3. If the device asks if you want it to be connected, click Yes. The Device pane displays, listing the files on the field device.
  4. Select one or more files to download from the device.
  5. Do one of the following to import into the project:
    • Click the [image] icon on the toolbar.
    • Click and drag the selected file(s) into the plan view of the project.

Note: In most expected situations, the software supports the direct downloading of Data Collector files from a Trimble M3 total station. To download a Data Collector file from a Trimble M3 total station, you must select Nikon for the device.

Related topics

Import Data Formats

Prepare to Connect a Field Device

Upload Files (via Direct Connection)


Upload Files (via Direct Connection)

Upload files to copy them from your office computer to a connected field device.

To upload a file:

  1. Open the project from which you want to export data.
  2. If the field device is not connected:
    • Connect the field device to the computer using a USB connection or a serial connection.
    • If the device asks if you want it to be connected, click Yes. The Device pane appears within this office software, and lists the files currently on this field device.
  3. Click the [image] icon on the Device pane toolbar. The Export pane displays, listing compatible formats in the File Format list.
  4. Select the format to export.
  5. If data has not been selected, select it, or click Options for selection options.

    Note: You can also select the data to export prior to clicking the [image] icon.

  6. Verify the default file name is correct, or enter a different name for the exported file in the File Name box.
  7. Select any file specific settings in the Settings group.
  8. Click OK. The exported file is converted to the appropriate format and uploaded to the field device. The file list in the Device pane updates, showing the new file name.

Related topics

Export Data Formats

Select from Plan View

Select via Command

Prepare to Connect a Field Device

Download Files (via Direct Connection)


Upload Tasks (via Direct Connection)

Upload files to field devices using the Task list on the Device pane toolbar. You can upload to:

  • Trimble® Survey ControllerTM
  • Trimble® Digital FieldbookTM

These file types can be uploaded:

  • Feature code library (.fxl) files (converted to .fal files for Survey Controller versions prior to 11.3)
  • Data dictionary (.ddf) files (converted to .fal files for Survey Controller versions prior to 11.3)
  • Antenna (.ini) files
  • Geoid (.ggf) files (including sub-grids)
  • Datum grid files (.dgf)

To upload a file:

  1. Connect the field device to the computer using a USB connection or a serial connection.
  2. If the device asks if you want it to be connected, click Yes. The Device pane displays in this software.
  3. Select the device to which you want to export the file in the Device list. If there is only one device available, this is not necessary.

  4. Click Tasks, and select the file type from the list. The Open dialog displays for .fxl, .ddf, and .ini files. For .dgf files, the Select Datum Grid Files for Upload dialog displays, and for .ggf files, the Geoid Sub-Gridding command pane displays.
  5. Browse to the file you wish to upload, and click OK, or click Upload in the Geoid Sub-Gridding command pane.
  6. Click the [image] icon on the Device pane toolbar to see the exported file list.

Related topics

Prepare to Connect a Field Device

Download Files (via Direct Connection)

Upload Files (via Direct Connection)


Select from the Flags Pane

Select one or more objects from the Flags pane if the objects have been flagged with import or computation errors. If there are no objects in the Flags pane, no objects have been identified as having errors.

Tip: The number of objects selected appears on the status bar at the bottom of the application window.

To display the Flags pane:

  • Select View > Flags Pane.
  • Click the [image] icon (appears in the toolbar and on the status bar)

    Note: Press [F11] or click the [image] icon to display the Properties pane. Within the properties dialog, you can edit the errors. Click on a data object in the Flags pane to display its properties.

To select flagged objects:

  • To select an individual object, click on the left edge of the row.
  • To select multiple objects, do one of the following:
    • Click the first row of the series, hold [Shift], and click the ending row of the series.
    • Hold [Ctrl] and click individual rows to add these rows to the selection.

The selected points now appear highlighted in the plan view.

Related topics

Compute Project Command

Flags Pane

Run an Import Summary Report


Select from the Project Explorer

The Project Explorer displays your project data organized in a tree structure. The number of objects selected appears on the status bar at the bottom of the application window.

To select objects:

  • To select an individual object, click on the object.
  • To select multiple objects, do one of the following:
    • Click the first object, hold [Shift], and click the ending object of the series.
    • Hold [Ctrl] and click individual objects to add these objects to the selection.

The selected points appear highlighted in the graphic and spreadsheet views.

Related topics

Project Explorer

Properties Pane


Select Points

Select individual, multiple, ranges, or sets of points based on specific criteria.

To select points:

  1. Do one of the following:
    • Select Select > Select Points.
    • Click the [image] icon on the toolbar.
    • Click Options next to a select box in a command, and select Select Points from the drop-down list.

    The Select Points command pane displays. Each tab (General, GPS, and Occupation) shows a subset of possible selection criteria.

  1. Set the selection criteria you wish to use to select points. You can set multiple criteria and check more than one box in each group.
    • To add points selected to the current selection, check the Add to current selection box.
    • To preview the selection in an open graphic view, Project Explorer, or points spreadsheet, click Apply. All points meeting all of the criteria are selected.
  1. Refine the criteria if needed, and click OK to make the selection and close the dialog. The number of selected points appears on the status bar.

Options

General tab

Point ID

To select a single point, enter the point ID.

To select a range of points, enter the ID of the first point in the range followed by three dots (...) and the ID of the last point in the range. For example, you would enter 1...5 to select points 1, 2, 3, 4, and 5.

To select two or more non-contiguous points, enter the ID of each point separated by a comma. For example, you would enter 1, 3, 6 to select points 1, 3, and 6.

Note that you can enter multiple ranges by separating each range with a comma. For example, you could enter 1...5, 101...105.

Note: Alpha characters used in point IDs are not case sensitive.

Feature code

Enter the abbreviation you have given to a feature associated with the points you want to select.

Observed from

Enter the name of a point from which the points you want to select were observed.

Layer

Select the layer that the points you want to select reside on.

Coordinate quality (horizontal, elevation, height)

Fixed in adjustment - Check this box to select control quality points that were designated as 'fixed' during the last network adjustment.

Adjusted - Check this box to select points with final coordinates resulting from the last network adjustment.

Control - Check this box to select NGS surveyed coordinates of the highest quality.

Survey - Check this box to select surveyed coordinates of the second highest quality.

Mapping - Check this box to select coordinates of the low to average quality.

Unknown - Check this box to select coordinates of the lowest or unverified quality.

GPS tab - Points observed via GPS vectors

Horizontal/
vertical precision

Select operators, and enter precisions in the format shown in the Properties pane for vectors in your project.

Solution type

Code - Check this box to select points with autonomous positions.

Fixed - Check this box to select coordinates for which the baseline processor was able to resolve the integer ambiguity with enough confidence to select one set of integers over another during baseline processing.

Float - Check this box to select coordinates for which the baseline processor was unable to resolve the integer ambiguity search with enough confidence to select one set of integers over another.

Field method

Continuous - Check this box to select points observed during a continuous trajectory.

Event - Check this box to select points observed in a Real-Time Kinematic (RTK) GPS mode in which the resulting vectors include an 'event' marker.

Observed control - Check this box to select control points observed in an RTK GPS mode.

Rapid - Check this box to select points observed in an RTK GPS mode was collected at a fast data rate, such as every second.

Static or fast static - Check this box to select points observed in a PPK GPS mode collecting up to 20 minutes or several hours (respectively) of raw data, and then postprocessing to achieve sub-centimeter precisions.

Stop and go - Check this box to select points observed in short PPK or RTK Stop and Go occupations, while maintaining lock, and then postprocessing to achieve centimeter precisions.

Topo - Check this box to select points observed in a GPS survey mode defined as topographic.

Occupation tab

Antenna heights between

Enter antenna height parameters in the format shown in the Properties pane for points in your project.

Add to current selection

Check this to add the results of current selection to any previously selected data.

Related topics

Select Observations

Select Unprocessed Sessions

Selection Methods and Options


Select Duplicate Points

Select all of the points with duplicate IDs in your project if you need to review or merge them into single points. Merge duplicate points if you know that they are the same physical point, and you do not need them to be separate points.

To select points with duplicate IDs:

  1. Select Select > Select Duplicates. The Select Duplicate Points command pane displays.
  2. If you do not want to set a distance tolerance between the points selected, uncheck Within the following distance.
  3. Otherwise, click two points in a graphic view, or type a distance in the box. Points within the distance will be selected as duplicates, depending on what you set in the next group.
  4. Select an option to ignore point IDs, or include them only if they are identical or different.
  5. Click Apply if you want to see and refine the selection, or click OK to use the current selection criteria. All points meeting all of the criteria are selected. The number of selected points appears on the status bar.

Related topics

Merge Duplicate Points

Selection Methods and Options


Select Observations

Select observations associated with vectors based on criteria you set. Selectable observations can be from any type of vector.

Note: The options with entries on both the General and GPS tabs are used for selecting vectors (postprocessed baselines). If you get no selection results, run the Process Baselines command.
Note: This is a database query; view filter settings do not apply.

To select observations:

  1. Do one of the following to display the Select Observations command:
    • Select Select > Select Observations.
    • Click the [image] icon on the toolbar.
  1. Set the selection criteria you wish to use to select observations. You can set multiple criteria and check more than one box in each group. See options below.
  1. To add observations selected to the current selection, check the Add to current selection box.
  2. To preview the selection in an open graphic view, Project Explorer, or occupation spreadsheet, click Apply. All points meeting all of the criteria are selected.
  3. Refine the criteria if needed, and click OK to make the selection and close the dialog. The number of selected observations appears on the status bar.
  4. Click Apply if you want to see and refine the selection, or click OK to use the current selection criteria.

Options

General tab

From/To

Pick two points in a graphic view, or enter two point IDs.

By definition, vectors have a direction.

Feature code

Enter the alphanumeric string used to identify a feature associated with the points you want to select.

Type

Check boxes for the types of observations you want to select.

Status

Check boxes for the status of vectors you want to select.

Observation ID

Note: An observation ID consists of the alphanumeric characters displayed in parenthesis at the end of the observation node name in the Project Explorer.
The alpha characters used for observation IDs are as follows:
- “V” is used for RTK vectors (for example, “V1”).
- “PV” is used for vectors that are post-processed in the software (for example, “PV1”).
- “IPV” is used for vectors that are post-processed in other software and imported into this software using a TDEF file (for example, “IPV1”).

To select a single observation, enter the observation ID.

To select a range of observations, enter the ID of the first observation in the range followed by three dots (...) and the ID of the last observation in the range. For example, you would enter v1...v5 to select observations V1, V2, V3, V4, and V5.

To select two or more non-contiguous observations, enter the name of each observation separated by a comma. For example, you would enter v1, v3, v6 to select points V1, V3, and V6.

Note that you can enter multiple ranges by separating each range with a comma. For example, you could enter v1...v5, v10...v15.

Note: Alpha characters used in observation IDs are not case sensitive.

Sideshots only

Check this to exclude all observations but sideshots from the selection.

Start time/

End time

Select operators in the Start Time and End Time lists. Then, enter dates and times in the format shown in the Properties pane for vectors in your project.

Duration

Select an operator and type a time in the format: Hour:Minutes.

GPS tab - Observation with vectors with

Horizontal/
vertical precision

Select operators and enter precisions in the format shown in the Properties pane for vectors in your project.

Solution type

Code - Check this box to select observations with autonomous positions.

Fixed - Check this box to select coordinates for which the baseline processor was able to resolve the integer ambiguity with enough confidence to select one set of integers over another during baseline processing.

Float - Check this box to select coordinates for which the baseline processor was unable to resolve the integer ambiguity search with enough confidence to select one set of integers over another.

Field method

Continuous - Check this box to select data collected during a continuous trajectory.

Event - Check this box to select occupations at points observed in a Real-Time Kinematic (RTK) GPS mode in which the resulting vectors include an 'event' marker.

Observed control - Check this box to select occupations at control points observed in an RTK GPS mode.

Rapid - Check this box to select occupations at points observed in an RTK GPS mode was collected at a fast data rate, such as every second.

Static or fast static - Check this box to select occupations at points observed in a PPK GPS mode collecting up to 20 minutes or several hours (respectively) of raw data, and then postprocessing to achieve sub-centimeter precisions.

Stop and go - Check this box to select occupations at points observed in short PPK or RTK Stop and Go occupations, while maintaining lock, and then postprocessing to achieve centimeter precisions.

Topo - Check this box to select occupations at points observed in a GPS survey mode defined as topographic.

Antenna tab

Antenna heights

Enter antenna height parameters in the format shown in the Properties pane for vectors in your project.

Add to current selection

Check this to add the results of current selection to any previously selected data.

Related topics

Process Baselines

Selection Methods and Options


Select Unprocessed Sessions

Use this command to select any unprocessed sessions in the current project. A session can contain either one static baseline or multiple kinematic trajectories and segments. The number of sessions selected appears on the status bar.

To select unprocessed sessions:

  • Select Select > Select Unprocessed Sessions. No dialog displays.

Tip: This command is a simple way to check for unprocessed baselines. After selecting the unprocessed sessions, begin the Process Baselines command.

Related topics

Process Baselines

Run a Baseline Processing Report

Status Bar


Select by Elevation Range

Use an elevation range to select data, such as a set of surveyed points, that lies between high and low points in your project. You can also select objects, such as surfaces, that cross the elevation range you specify.

To select data using an elevation range:

  1. Select Select > Select by Elevation Range. The Select by Elevation Range command pane displays.
  2. Click in the Max elevation box, and pick a point in a graphic view to use its elevation, or type an elevation in the box.
  3. Click in the Min elevation box, and pick a point in a graphic view, or type an elevation in the box.
  4. Specify whether to include only data that falls completely within the range, or data that falls within or crosses the range.
  5. If you want to add consecutive selections to your selection set, leave Add to current selection checked.
  6. Click Apply if you want to see and refine the selection, or click OK to use the current selection criteria. All data meeting all of the criteria are selected. The number of selected points appears on the status bar.

    Note: Check the Project Explorer to easily see what you have selected.

Related topics

Selection Methods and Options


Select By Layer

Select data that resides on specific layers in your project.

To select data by its layer:

  1. Select Select > Select by Layer. The Select by Layer command pane displays.
  2. Simply check or uncheck the boxes next to any layer names in the list. The graphic views and Project Explorer update in real-time to show the selected data.
  3. Click Close.

Related topics

Create and Edit a Layer

Selection Methods and Options


Select Using Advanced Criteria

Select objects by specifying a type of data (baseline, coordinate, point, etc.) and a specific property of that data. If needed, continue to build or modify your selection by specifying additional data types and their properties.

To select data using specific criteria:

  1. Select Select > Advanced Select. The Advanced Select dialog displays, showing your current selection in the Current Status group.
  2. In the Apply This Selection To group, specify whether to select from the currently selected objects or from all data, and whether to replace or add to the current selection.
  3. Designate the kind of objects you want to select in the Data type list.
  4. To narrow your selection by specifying a property, click Data with the following property and select a property in the list. Otherwise, click Apply to preview the results, or OK to make the selection and close the Advanced Select dialog.
  5. If you are specifying a property of the data, select a mathematical operator in the That is box. Then type or select a value in the This value box.

    Note: You can use regular expressions in the This value box by typing into the box or by cutting-and-pasting a pre-defined expression (see samples below) and editing it as needed.
    Note: If you are entering a duration in the This value box, it must be in the time format used used by your computer's operating system, which is likely HH:MM:SS (Hours:Minutes:Seconds).

  6. To select the inverse of the criteria you specify, check the Invert selected objects box. This deselects all objects that would have been selected and selects all of the previously unselected objects.
  7. Click Apply to preview the results, or OK to make the selection and close the Advanced Select dialog.
Regular Expression Samples
To select objects with an alphanumeric property... (such as name, point ID, or feature code) | ...use this expression (not case-sensitive) | Examples
with a specific character in any position | a (where "a" is the character) (equivalent to *a* wildcard) | a will select apple, cat, and era (if in your data for each example)
with a specific character in the first position | ^a (where "a" is the character) (equivalent to a* wildcard) | ^1 will select 1, 15, and 129F
with a specific character in the second position in the name | ^.a (where "a" is the character) | ^.b will select aba, 1b2, and ab2
with a specific character in the third position in the name | ^..a (where "a" is the character) | ^..n will select control, and b2new (additional periods can be added to specify further positions in the string)
with a specific character in the last position | a$ (where "a" is the character) (equivalent to *a wildcard) | s$ will select control point 205 s and cas
that has 5 characters | ^…..$ | ^…..$ will select 50000 and point
starting and ending with specific characters | ^a.*b$ (where "a" and "b" are the characters") | ^p.*s$ will select pipes and points
with one specific name (or part of a name) or another | ab|cd (where "ab" and "cd" are the names") | bush|shrub will select all objects with bush, bushes or shrub (feature codes, for example) as all or part of the name
numerically or alphabetically ranging from one number or letter to another | ^[a-d] (where "a" and "d" are the characters or numerals") | ^[2-5] will select 2, 5, and all other objects with numbered properties between them
that include a decimal (point or comma) | \. or \, | \. will select 1.0 and 0.025
that start with one or another specific character | ^[ab] (where "a" and "b" are the characters or numerals") | ^[89] will select 8, 82, or 919
numerically or alphabetically ranging from one number or letter to more than one choice of number or letter repeated a specified number of times | [b-de]{x} (where "b", "d", "e" and "x" are the characters or numerals") | [1-56]{4} will select 1111, 4444, and 6666

For more information on regular expressions, see Reference: Regular Expressions.

Related topics

Selection Methods and Options


Selection Explorer and Selection Sets

In This Section

Understanding Selection Sets

Selection Explorer

Create and Use Selection Sets

Modify Selection Sets

Selection Explorer Options


Understanding Selection Sets

If you need to select the same objects over and over, it can be frustrating to manually do it and it is easy to make mistakes. Instead, use the Selection Explorer to create, modify, and reuse selection sets.

Selection sets can be created and modified in a variety of ways, including Boolean operations using two or more sets.

Action

Selection Explorer Command

Resulting Sets

Project with data

Group project data into selection sets.

Save as...

  • Red(3)
  • Yellow(5)
  • Blue(5)

Add currently selected objects to a selection set.

Add Current Selection

current selection(2)

+ Red(3)

--> Red (5)

Note: Do not forget to Save as.

cg_ss_add objects to one set

Subtract currently selected objects from a selection set.

Subtract Current Selection

Blue(5) – current selection (1)

--> Blue (4)

Note: Do not forget to Save as.

cg_ss_subtract object from one set

Add objects to a more than one selection set.

Pick current selection(1)

Add To Red(4), Yellow(5)

--> Red(5), Yellow(6)

cg_ss_add object to multiple sets

Subtract a selection set from another selection set.

Select Blue(5)

Subtract From Yellow(6)

--> Yellow(4)

Note: Only the two objects that Blue and Yellow have in common are subtracted from Yellow.

Create a new set from two or more selection sets.

Select Yellow(6), Blue(5)

Save as Green(8)

Note: Use [Ctrl] or [Shift] to multi-select selection sets from the Selection Explorer list.

Create a selection set of only the common objects from two or more sets.

Select Yellow(6), Blue(5)

Save Common Items as Green(8)


Create and Use Selection Sets

Use the Selection Explorer to create, modify, and reuse selection sets for easier selection and editing. Using selection sets makes accessing and selecting groups of commonly-used objects faster and more consistent.

The Selection Explorer contains two lists: the Selection Sets list at the top of the pane, and the object list at the bottom of the pane. The object list shows the objects that are contained in the selected selection set(s).

Note: The selection sets you create, and those created from some types of imported files, also appear in the View Filter Manager. They can be used as a starting point in creating view filters.

To create a temporary list of the currently selected objects:

  1. Open the Selection Explorer.
  2. Click <Selection Snapshot> on the list of selection sets.
  3. Select objects that you want to list in a graphic view, spreadsheet view, or the Project Explorer. This list of objects displays in the object list of the Selection Explorer.

    Note: If the list does not update automatically, click the [image] (Refresh) icon in the Selection Explorer.

To create a selection set (with the Selection Explorer open):

  1. Select objects that you want to include in the set in a graphic view, spreadsheet view, or the Project Explorer.
  2. Click the [image] icon on the Selection Explorer's toolbar. The Save As dialog displays.
  3. Type a name for the selection set, and click OK. The name of the new set appears in the Selection Sets list.

To create a selection set (from the menu):

  1. Select objects that you want to include in the set in a graphic view, spreadsheet view, or the Project Explorer.
  2. Select Select > Selection Set > Save As. The Save As dialog displays.
  3. Type a name for the selection set, and click OK.

    Note: When you open the Selection Explorer, the selection set displays in the Selection Sets list.

To select all objects in a selection set:

  1. Open the Selection Explorer.
  2. Select one or more sets in the Selection sets list. All of the objects in the sets are selected in your project.

    Note: Use [Ctrl]-click and [Shift]-click to multi-select in the Selection Sets list.

  3. Deselect, modify, and use the objects as needed.

To copy a selection set:

  1. Open the Selection Explorer.
  2. Select the selection set to copy in the Selection sets list.
  3. Click the [image] icon on the Selection Explorer's toolbar. The Save As dialog displays.
  4. Type a new name for the selection set, and click OK.

To remove a selection set (from the menu):

  1. Select Select > Selection Set > Remove. The Remove dialog displays.
  2. Select one or more sets to remove in the list, and click OK.

    Note: Remove does not delete the objects in the selection set from your project. If you delete objects from your project, they are also removed from any selection sets they were in.
    Note: <Selection Snapshot> is a default selection set that cannot be removed.

To remove a selection set (with the Selection Explorer open):

  1. Select one or more sets to remove in the Selection Sets list
  2. Click the [image] icon. The selection set disappears from the list.

Related topics

Selection Explorer Options

Understanding Selection Sets

View Filter Manager


Modify Selection Sets

To add objects to an existing selection set (from the Selection Explorer):

  1. Open the Selection Explorer and select the selection set from the Selection Sets list.
  2. Select the objects to add.
  3. Click [image] icon on the Selection Explorer. The objects appear in the list below.
  4. (optional) Click [image] to save the updated selection set.

To subtract objects to an existing selection set (from the Selection Explorer):

  1. Open the Selection Explorer and select a selection set from the Selection Sets list.
  2. Select the objects to subtract.
  3. Click [image] (or right-click and select Subtract Current Selection from the context menu). The objects are subracted from the set.
  4. (optional) Click [image] to save the updated selection set.

To add objects to an existing selection set (from the menu):

  1. Select objects that you want to add to a set.
  2. Select Select > Selection Set > Add To. The Add To dialog displays.
  3. Select the set to edit in the list and click OK. The objects are added to the set.

To subtract objects from an existing selection set (from the menu):

  1. Select objects that you want to remove from a set.
  2. Select Select > Selection Set > Subtract From. The Subtract From dialog displays.
  1. Select the set to edit in the list and click OK. The objects are removed from the set.

To edit multiple selection sets at once:

  1. Open the Selection Explorer.
  2. Select one or more sets in the Selection sets list. All of the objects in the sets are selected in your project.

    Note: Use [Ctrl]-click and [Shift]-click to multi-select in the Selection Sets list.

  3. Select objects that you want to add; then right-click and select Add Current Selection.
  4. Select objects that you want to remove in the objects list; then right-click and select Subtract Current Selection.

To combine multiple selection sets:

  1. Open the Selection Explorer.
  2. Select each of the selection sets that you want to combine in the Selection Sets list.

    Note: Use [Ctrl]-click and [Shift]-click to multi-select in the list.

  3. Click the [image] icon on the Selection Explorer's toolbar. The Save As dialog displays.
  4. Type a name for the new selection set, and click OK. The name of the combined set appears in the Selection Explorer.

    Note: Objects that were in more than one set are not duplicated in the new combined set.

Related topics

Selection Explorer Options

Understanding Selection Sets


Selection Explorer Options

Use these Selection Explorer options to create, edit, and use selection sets.

Options

Context Menu

(save the selection list as)

Save as

The icon and the context menu option work in slightly different ways:

Click the icon to display the Save Selection List As dialog, where you can save all of the objects in the Selection List as a new selection set, regardless of whether they are selected or not.

Select the context menu option to display the Save As dialog, where you can save just the objects that are selected in the Selection List as a new selection set.

Use Save As to copy and combine selection sets as well. You can also enter an existing set name to overwrite that set with the current selection.

Refresh

Click this to refresh the Selection Explorer's list of currently selected objects after you have selected or deselected objects in another view, spreadsheet, or the Project Explorer.

Properties

Click this to display the Properties pane, where you can view and edit the properties common to all the objects in the current selection set.

Tip: Using the <Selection Snapshot>, you can select all of the objects you need to modify and then view and edit properties for each one without losing the others in the list.

Remove

Click this to remove the selected selection sets.

Note: This does not delete the members of the selection set from your project.

Add Current Selection

Click this to add newly selected objects to the current selection set.

Subtract Current Selection

Click this to subtract newly selected objects from the current selection set.

Selection sets

This column lists the <Selection Snapshot> (always present), selection sets automatically generated by some types of imported files, and selection sets you have created.

Note: Selection sets also appear in the View Filter Manager. They can be used as a starting point in creating view filters.
Note: Selection sets can contain objects that have no visible display, such as coordinates. In the Selection Explorer, all selection sets are available. In the View Filter Manager, however, only selection sets that contain at least one visible object are available.

Objects

This column shows the number of objects that are members of the selection set.

Selection List

This list shows the members of the currently selected set.

Click this to sort the set by selection status, either 'selected' or 'unselected'.

This column also denotes the last object selected with the [image] icon, and displays the icon for each member's object type.

Name

Click this column heading to sort the members of the set by object name.

Unnamed objects are shown with '?' for the name, but they can be partially distinguished by the object type icon in the next column.

Type

Click this column heading to sort the objects in a set by their object type.

Additional options
(context menu)

Right-click on any selection set or object to access these options. Options vary, depending on what is selected.

Save Common Objects As - Select this to display the Save As dialog, where you can create a new selection set containing all of the objects that were in each of the selected sets.

Lock/Unlock Selection Sets - Select these to prevent or allow changes to the selected sets.

Note: Locked selection sets can only be changed by deleting objects from the project.

Select all - Select this to select every object in the selected selection set.

Select This Type - Select this to select all the objects in the set whose type (such as 'point') matches the selected object.

Invert - Select this to switch the selection state in the object list. This deselects the currently selected objects in the set, and selects the currently unselected objects.

Add To - Select this to display the Add To dialog, where you can select one or more sets to which you want to add the selected objects. If you add objects are already exist in the set, they are not duplicated.

Subtract From - Select this to display the Subtract From dialog, where you can select one or more sets from which you want to subtract the selected objects.

Delete - Select this to remove the selected object from the current selection set.

Rename - Select this to put the selection set name into edit mode in the Selection Sets list.

Related topics

Create and Use Selection Sets

Understanding Selection Sets


Find an Object's Insertion Point

An insertion point is the position on an object, such as CAD text and a CAD block, that defines its singular location (coordinate) in 3D space. To determine the location of an insertion point, use the Insertion Point Snap from any coordinate box. For example, select Tools > Measure. Right-click in the From box, and select Insertion Point Snap from the context menu. Pick a CAD text object in the Plan View and move the cursor to see a 'rubber-band line' from the insertion point.

Related topics

Insertion Point Snap


Specify an Object or Property in a List

These types of list controls each have two ways in which you can specify a value or object:

  • Layer
  • Color
  • Texture
  • Line style
  • Surface
  • Alignment

To specify a layer:

  • Select a layer in the Layer list, or select <<New layer>> to create a new layer.
  • Pick an object (that resides on a layer) in a graphic view to use its layer.

To specify a color:

  • Select a color in the Color list, or select More colors to select another color or create a custom color.
  • Pick an object in a graphic view to use its color.

To specify a material texture:

  • Select a material in the Texture list, or select <<New Material>> to open the Material and Site Improvement Manager where you can create a new material texture.
  • Pick a surface in a graphic view to use its texture.

    Note: If a surface does not have a material color representing a texture, the default surface color is used.

To specify a line style:

  • Select a color in the Line style list, or select <<Import line styles>> to access additional line styles in an external file.
  • Pick a line in a graphic view to use its line style.

To specify a surface:

  • Select a surface in the Surface list, or select <New...> to create a new surface.
  • Pick a surface in a graphic view.

To specify an alignment:

  • Select an alignment in the Alignment list, or select <New...> to create an alignment.
  • Pick an alignment in a graphic view.

Related topics

Calculate and Enter Values


View and Edit an Object's Properties

Review and edit the properties for selected objects to ensure they have the correct attributes. If you select a single object, the properties for that object are displayed. If you select multiple objects, the properties common to all of them are displayed. You can edit the common properties, or select a subset of the selected objects using the drop-down list near the top of the pane.

To view the properties of another object in the Properties pane, click the object within any data view or pane. If the Properties pane is displayed, selecting any object will show its properties.

Note: The toolbar icons and context menu items available in the Properties pane depend on the types of objects you have selected. The Properties pane also enables you to use COGO controls and snap commands within certain property boxes.

To edit properties:

  • Click in a property box, highlight the value to edit, and type a new value, or (if applicable) select a new value from the list.

    Note: You can enter a value in units different from the project units; it will be converted to the project units. For example, if an elevation is displayed in meters and you enter a value as "10 ft", it will convert to "3.048" (meters).

  • Press [Esc] to cancel an edit; the property will revert to its original value.
  • Press [Tab] to accept an edit and move to the next property box.
  • Press [Shift] + [Tab] to accept an edit and move to the previous property box.
  • Press [Enter] to accept an edit and close the Properties pane.

Sections

Click this on the pane's toolbar to select any associated point, coordinate, baseline, vector, or trajectory when survey data is selected.

Sub-selection
list

This displays all of the selected objects by type. If you have selected multiple objects, you can accept the default selection of All, or click the drop-down arrow to narrow the selection to a specific type of object.

Properties

This displays groups of properties. Click a property label to see additional information, or click in a property box to edit the value, when available.

Note: If you are in a COGO control in the grid, you can pick a point(s) or object(s) in the view, or right-click for snap options.

(information box)

This displays a description of the selected property.

Related Topics

Properties Pane

Pane and Data View Positioning


Manage the Data in Your Views

In This Section

Understanding Layers and View Filters

Create and Edit a Layer

Isolate or Exclude a Layer

Layer Options

View Filter Manager

Create a View Filter

Edit a View Filter

Filter a View

View Filter Manager Options

Advanced View Filter Options

Manage Line Styles

Manage Text Styles

Manage Symbols


Understanding Layers and View Filters

Layers enable you to separate different types of data, and group related types of data, in the same way that transparent overlays in drawings used to.

View filters let you set the visibility of each data type and layer to control what is displayed in graphic views, helping you reduce and simplify what you see. View filters can be customized for each kind of view so that only the useful types of data are shown in each view.

With view filters, you can also set the selectability of data types and layers. For example, if you have a layer containing just background reference data that you will always need to see, but never need to use, simply make it unselectable.

Layers and view filters serve unique purposes, but work powerfully in conjunction with each other. Once you have set up layers and view filters, you can save them in project templates, making them ready to use each time you start a new project.

Related topics

Create and Edit a Layer

Create a View Filter

Layer Options

View Filter Manager


Create and Edit a Layer

Use layers to keep your data organized by type. You can create and delete individual layers, purge all empty layers, and select objects by choosing their layer. Layer properties allow you to change layer colors and line styles to help you distinguish more easily between data on different layers.

Note: Layers can only be imported or exported as part of CAD (.dxf, .dwg, and .dgn) files.

To create a new layer:

  1. Do one of the following:
    • Select Project > Layer Options.
    • Click the [image] icon on the toolbar.

    The Layer Options command pane displays.

  2. Click the [image] icon on the command pane's toolbar. The New Layer dialog displays.
  3. Type a unique name in the Layer name box to indicate what type of data the layer will contain.
  4. Select layer display options in the Color, and Line style lists.

    Note: If you have a separate line styles file, you can import it using the line styles list.
    Note: If the scale of your lines is small in a graphic view, some line styles display as solid lines to improve performance.

  5. Click OK. The new layer appears in the pane's Layers list.

To edit properties of a layer:

  1. Starting after step 1 above, select a layer in the Layers list. The layer's properties appear in the Layer Properties group.
  2. Click in a box and edit the property or select a new property. The edits are reflected in graphic views immediately.

    Tip: Name your layers so that they are explicit and easy to find; this makes field crews more efficient.

To delete one or all empty layers:

  1. Select one or more empty layers in the Layers list.
  2. Click the [image] icon on the pane's toolbar. The layer is deleted.
  3. To delete all empty layers, click the [image] icon on the pane's toolbar.

    Note: Empty layers are those that have no objects assigned to them. If there are no empty layers selected or in your project, the icons are unavailable.

To select the objects that reside on a layer:

  1. Select one or more layers in the Layers list.
  2. Click the [image] icon on the pane's toolbar. The objects on the selected layers highlight in graphic and spreadsheet views and in the Project Explorer.

To change the layer on which objects reside:

  1. Select the objects for which you want to change the layer.
  2. Select Edit > Properties. The Properties pane displays.
  3. If needed, select a subset of the objects in the data type list at the top of the pane.

    Note: To change the layer, all of the selected objects must have Layer as a property. Generally, survey data and survey points do not have a layer property.

  4. Click in the Layer box and select the new layer.
  5. Click Close.

To set the visibility or selectability of objects by layer:

  1. Do one of the following:
    • Select View > View Filter Manager.
    • Click the [image] icon on the toolbar.

    The View Filter Manager displays.

  2. Click the tab at the top of the view for which you want to edit the layers.
  3. Select an unlocked view filter in the [image] list at the top of the pane.

    Note: This sets the visibility and selectability of the layers only for the view filter you have selected.
    Note: To unlock a locked view filter, you can modify or copy it. See Create and Edit a View Filter.

  4. Click the i_advanced view filter settings icon on the pane's toolbar. The Advanced View Filter Settings dialog displays.
  5. Scroll down and click the [image] icon next to Layers to expand the group.
  6. Check and uncheck boxes in the Visible and Selectable columns as needed.
  7. Click OK.

Related topics

Layer Options

Isolate or Exclude a Layer

Create and Edit a View Filter

Filter a View


Isolate or Exclude a Layer

Turn individual layers on or off to better understand what data is on each layer in your project, and to help you create view filters using just the relevant layers.

To isolate individual layers:

  1. Do one of the following:
    • Select the View > View Filter Manager.
    • Click the [image] icon on the toolbar.

    The View Filter Manager displays.

  2. Click the tab at the top of the view in which you want to isolate the layer.
  3. Select a view filter in the [image] list at the top of the pane. If you want to create a new view filter from an unlocked view filter, click the [image] icon to make a copy so you do not modify the original view filter.
  4. If desired, click the [image] icon on the pane's toolbar to turn on the Auto Zoom (to the extents of the visible data) mode.
  5. Click the [image] icon on the pane's toolbar to turn on the Isolate Layers mode. The groups in the View Filter Manager collapse so that only the Layers group shows.
  6. Click the name of each layer to see the data that resides on it in the graphic view. Only objects on the selected layer are visible.
  7. If you are creating a view filter and want it to show the selected layer, make sure its box is checked. If you do not want to include the layer in the view filter, uncheck the box.

    Tip: You may find it faster to use the keyboard to isolate layers. Click a layer name, and then use the up and down arrow keys to move through the list. Press the spacebar to check and uncheck the boxes that control the layer visibility.

  8. Once you are done, click the [image] and [image] icons again to return to normal mode. The new view filter shows only the data on the layers for which the boxes are checked.

To hide (exclude) layers by selecting objects:

  1. Starting after step 4 above, select one or more objects (in the graphic view) of the types you want to hide or that reside on the layers you want to hide.
  2. Click the [image] icon on the View Filter Manager's toolbar. The layers that the objects were assigned to are hidden.
  3. Click the [image] icon again to return to normal mode.

    Tip: This method will not hide unlayered data types, such as survey data. If you are primarily interested in CAD data, you may want to hide raw data types before using this method.

Related topics

Create and Edit a Layer

Layer Options

Create and Edit a View Filter

Filter a View

View Filter Manager


Layer Options

Use these options to create and delete layers, select objects by choosing their layers, and edit layer properties. They are available in the Layer Options command pane.

Options
 | Click this to open the New Layer dialog, where you can create a new layer.
 | Click this to delete one or more empty layers that you have selected in the Layers list. Empty layers are those that have no objects assigned to them. You cannot delete layers that have objects assigned to them.
 | Click this to delete all empty layers from the Layers list and your project.
 | Click this to select all of the objects on the layers you have selected.
Layers | This lists all of the layers in your project, enabling you to select one or more layers or the objects on them.
Layer properties | This shows the attributes of the selected layer. Click in the box for any property to edit it.

Related topics

Create and Edit a Layer

Isolate or Exclude a Layer


Create a View Filter

Use the View Filter Manager to select data types and layers to specify what is visible in graphic views, helping you reduce and simplify what you see. As you make changes in the manager, the current view updates to reflect them. You can create, copy, and delete view filters in the manager. View filters allow you to select data types and layers to control what is visible in graphic views, helping you reduce and simplify what you see. In creating a view filter, you set criteria for what to show in views.

To create a view filter:

  1. Do one of the following:
    • Select the View > View Filter Manager.
    • Click the [image] icon on the toolbar.

    The View Filter Manager displays.

  2. Click the tab at the top of the view for which you want to create the view filter.
  3. In the [image] list, select a locked view filter that is close to the one you are trying to create; a copy of the original view filter is created as you make changes. If you are concerned about accidentally changing your existing view filters, and have most of them locked, use this method.

    Or

    Select an unlocked view filter that is close to the one you are trying to create and click the [image] icon on the pane's toolbar. A copy of the view filter is created. If you do not want to be bothered with locking/unlocking view filters, and have most of them unlocked, use this method.

    Note: There is one pre-defined view filter (All) which cannot be deleted.
    Tip: If you have project templates, you may want to create and add custom view filters to them.

  4. If desired, narrow the view filter by selecting a selection set in the [image] list (for more on selection sets, see Create and Use Selection Sets).
  5. If necessary, click the [image] and [image] icons to expand and collapse groups.
  6. Check and uncheck boxes to show and hide different data types and layers as you watch the changes in the graphic view. All of the changes you make are automatically saved to the current view filter for the current view.
  7. For additional display style options, click the tabs at the bottom of the pane and change the settings as needed.

    Note: The display styles tabs are only available for unlocked view filters, and generally only affect raw data, such as survey data.

To create a view filter using advanced settings:

  1. Starting after selecting an unlocked view filter in step 3 above, click the i_advanced view filter settings icon on the pane's toolbar. The Advanced View Filter Settings dialog displays.
  2. Use the process described in steps 4 - 6 above to create a view filter. Additional options (such as Include newly created layers, Locked, Show display styles, and Selectable) are also available. See Advanced View Filter Options for details.

    Note: Since you are working in a dialog, you will not see the graphic view update as you make changes to the view filter. For projects with a lot of data, this is more efficient because the screen does not have to refresh between changes. You can, however, click Apply at the bottom of the dialog to manually refresh the graphic view at any time.

  3. Click OK. The new view filter is associated with the current graphic view; other views have the option of using the new view filter as well.

To copy a view filter:

  • Select a view filter in the [image] list, and click the [image] icon on the pane's toolbar. The copy of the view filter appears in the list. The original view filter's name is appended with " - Copy" in the new view filter's name. The copy is unlocked and is associated with the current graphic view.

    Note: The Copy, Delete, and other commands can also be accessed by clicking in the view filter list and selecting from the context menu.

To delete a view filter:

  • Select a view filter in the [image] list, and click the [image] icon on the pane's toolbar. The view filter disappears from the list, and the current graphic view becomes associated with the default view filter. If the default view filter does not exist, the view is associated with the original default view filter named All.

    Note: The All view filter cannot be deleted.

Related topics

Edit a View Filter

Filter a View

View Filter Manager Options

Create and Edit a Layer


Edit a View Filter

Use the View Filter Manager to edit, copy, and rename existing view filters. View filters can be customized for each view so that you see only the types of data you need for your current task.

To unlock/lock a view filter:

  1. Do one of the following:
    • Select the View > View Filter Manager.
    • Click the [image] icon on the toolbar.

    The View Filter Manager displays.

  2. Click the tab of the view associated with the view filter you want to unlock.
  3. Select the view filter in the [image] list.
  4. Click the i_advanced view filter settings icon on the pane's toolbar. The Advanced View Filter Settings dialog displays.
  5. Check or uncheck the Locked box, and click OK.

    Note: If you modify a locked view filter, an unlocked copy is automatically made. If you copy a locked view filter, the copy is unlocked.

To edit a view filter:

  1. Starting after step 3 above, click the [image] and [image] icons to expand and collapse groups if necessary.
  2. Check and uncheck boxes to show and hide different data types and layers as you watch the changes in the graphic view. All of the changes you make are automatically saved to the current view filter for the current view.
  3. For additional display style options, click the tabs at the bottom of the pane and change the settings as needed. For advanced options, click the i_advanced view filter settings icon on the pane's toolbar.

To rename a view filter:

  1. Select an unlocked view filter in the list and click the [image] icon on the pane's toolbar. Alternately, you can click in the view filter list and select Rename View Filter from the context menu.
  2. Type a new name for the view filter in the New name box, and click OK.

Related topics

Create and Edit a Layer

Filter a View

Troubleshoot a Layer or View Filter Problem

Layers and View Filters


Filter a View

Use view filters to reduce and simplify what you see in graphic views. The software comes with one pre-defined, default view filter that shows all of the visible data in your project. Use this view filter, named All, as the staring point, and adapt it to create a set of basic view filters to fit your needs. Then, you can modify those view filters to build more subtle and complex ones.

Filter a view to inspect your project data: (simple)

  1. Click the tab of the graphic view you want to filter.
  2. Click in the view filter list on the toolbar, and select the view filter that meets your needs for the current view. Depending on the data in your project, the view changes.

    The view filter list on the toolbar looks like this:

    Note: The view filter list shows all of the view filters that have been created in the View Filter Manager. If no additional view filters have been created for the project, only the default All view filter is available.
    Note: The All view filter cannot be deleted.

  3. Select other view filters in the list to try other view filters. If the view filter you need has not been created yet, and you want to modify the existing view filter, use the procedure below.

Filter a view to inspect your project data:

  1. Click the tab of the graphic view you want to filter.
  2. Do one of the following:
    • Select the View > View Filter Manager.
    • Click the [image] icon on the toolbar.

    The View Filter Manager displays.

  3. Select a view filter in the [image] view filter list at the top of the pane.
  4. If you selected an unlocked view filter, and want to preserve the original, click the [image] icon on the pane's toolbar to create a copy.
  5. If desired, narrow the view filter by choosing a selection set in the [image] list.

    Note: Selection sets are automatically created for many types of imported files. For more information on selection sets, see Create and Use Selection Sets.

  6. If necessary, click the [image] and [image] icons to expand and collapse the groups.
  7. Check and uncheck boxes to show and hide different data types and layers as you watch the changes in the graphic view.
  8. For additional display style options, click the tabs at the bottom of the pane and change the settings as needed. Continue to experiment by making different combinations of data visible. This will help you understand what is in your project.
  9. If an unneeded view filter was created, click the [image] icon on the pane's toolbar to delete it. If you do not delete the view filter, it will be available in the view filter list on the toolbar.

Filter a view to see only one type of data:

  1. Starting after step 4 above, click the [image] and [image] icons to expand and collapse the groups if necessary.
  2. Right-click the name of a data type you want to view, and select View Only This from the context menu. All of the other boxes in the group are automatically unchecked so that only the selected object type is visible.

    Or

  3. Right-click on the tree view and select Hide All from the context menu. All of the boxes in the group are automatically unchecked.
  4. Check the box for the one object type you want to see.

    Note: When using View Only This or Hide All, the check boxes in other groups are not affected. If you want to see only one data type from all groups, uncheck the boxes next to the other group names before selecting View Only This or Hide All.
    Note: There are two things that affect whether an object is visible in the graphic views: whether the box for the object type is checked, and whether the box for the layer that the object resides on is checked. If an object does not display as expected, make sure both boxes are checked. Generally, this only applies to Points and CAD Blocks, Lines, and Text (only available in the Advanced View Filter Settings dialog.

Filter a view to see only one layer:

  • See Isolate or Exclude a Layer.

Filter a view to see only objects in a selection set:

Selection sets are automatically generated by some types of imported files. You can also define them using selected objects in the Selection Explorer. Use selection sets to narrow the data included in a view filter.

Note: Selection sets can contain objects that have no visible display, such as coordinates. In the Selection Explorer, all selection sets are available. In the View Filter Manager, however, only selection sets that contain at least one visible object are available.

  1. Select the All view filter in the [image] list.
  2. Select the selection set in the [image] list. Only data that is in the selection set is visible.

Filter a view to see everything but one data type or layer:

  1. Select the All view filter in the View Filter Manager. Alternately, you can also check the box for each group or right-click in each group and select View All from the context menu to see all of the data.
  2. Uncheck the box for just the data type or layer you want to hide.

Related topics

Create and Edit a View Filter

Create and Edit a Layer

Troubleshoot a Layer or View Filter Problem


View Filter Manager Options

Use these options to select data types and layers to control what is visible in graphic views, helping you reduce and simplify what you see. View filters can be customized for each kind of view so that only the useful types of data are shown for each view. They are available in the View Filter Manager.

Options

Click this to make a copy of the currently selected view filter. The original view filter's name is appended with "- Copy" in the new view filter's name.

Click this to rename the currently selected view filter. Then type a unique name for the view filter in the New name box, and click OK.

Click this to delete the currently selected view filter. The view filter disappears from the list, and the current graphic view becomes associated with the default view filter. If the default view filter does not exist, the view is associated with the view filter named All.

Only unlocked view filters can be deleted.

Click this to put the View Filter Manager into Auto Zoom mode in which the current graphic view automatically zoom to the extents of the data that is visible in the current view filter.

Click this to put the View Filter Manager into Isolate Layers mode. All of the groups collapse except for the Layers group. Select a single layer to see only the data on that layer.

Pick objects in the graphic view, and click this to hide the layers on which the selected objects reside.

i_advanced view filter settings

Click this to open the Advanced View Filter Settings dialog, where you can set additional view filter and layer settings, as well as the standard settings found in the View Filter Manager.

i_view filter manager
(view filter list)

Select a view filter to apply it to the current view. Then you can edit it or copy it.
This list matches the view filter list found on the toolbar.

(selection set list)

Select from selection sets automatically generated by imported files or selection sets you have defined to narrow the data included in the selected view filter.

Note: Selection sets can contain objects that have no visible display, such as coordinates. In the Selection Explorer, all selection sets are available. In the View Filter Manager, however, only selection sets that contain at least one visible object are available.

(object and
layer tree)

Click the [image] icon to expand a group, and check and uncheck boxes in the group to control the visibility of different types of objects and layers in the graphic view.

Tab groups

Click these tabs near the bottom of the pane to set additional display style options. They only appear when you select an unlocked view filter, and they are part of the view filter criteria.
For details, and to hide the tabs, see Advanced View Filter Options.

Context menu options

View all/
Hide all

Within a group, use this option to check/uncheck all of the boxes, thereby displaying or hiding all of those object types or layers in the graphic view.

View only this

Within a group, use this option to check the selected object type or layer, and uncheck everything else in the group.

Note: If no data is visible after you select View Only This, make sure that the box for the layer the data is on is also checked.

Move up/
Move down

On a group, use this option to move the group up or down in the tree so that your most frequently used groups are at the top. The order is saved with your project, and is the same for all view filters.

Invert

Within a group, use this option to check all of the boxes that are unchecked and uncheck all of the boxes that are checked.

Layer options

Within the Layers group, use this option to open the Layer Options command pane.

Related topics

Create a View Filter

Edit a View Filter

Filter a View

Troubleshoot a Layer or View Filter Problem

Advanced View Filter Options


Advanced View Filter Options

Use these options to manage view filters, including controlling selectability and how new objects are handled. Most of the View Filter Manager options are also available. They are available in the Advanced View Filter Settings dialog.

Options

Filter name

Type a new name in this box to rename the selected view filter.

Include newly created layers

Check/uncheck this box to include/exclude object types and layers that are added to the project after the view filter was defined.

Locked

Check/uncheck this box to make the selected view filter uneditable/editable.

Check this to deselect Visible for all of the data in the category, thereby making it invisible in graphic views.

(visible)

(hidden)

These icons indicate whether the category is shown or hidden in the View Filter Manager (not this dialog). To show or hide a category, right-click the name of the category and select Show/Hide Category from the context menu.

Visible / Selectable
(in the groups)

Check/uncheck the boxes in each category to control what is visible and selectable in graphic views.
In addition to the standard data types and layers available in the View Filter Manager, there are groups for features and CAD data.

Apply
(button)

Click this to apply your view filter changes and refresh the current graphic view.

Point tab options

Show point labels

Check/uncheck this box to show/hide the point ID labels for points.

Show feature code

Check/uncheck this box to show/hide feature codes for any points that have them.

Show elevation

Check/uncheck this box to show/hide the elevations of surveyed points.

Show disconnected points

Check/uncheck this box to show/hide points that are not connected to baselines or vectors.

Display tab in View Filter Manager

Check/uncheck this box to show/hide the display styles tabs at the bottom of the View Filter Manager as well.

Observations tab options

Show observations

All observations - Select this to show all observations, regardless of their status.

Enabled observations only - Select this to show only observations that participate in project computations.

Disabled observations only - Select this to show only observations that are ignored in project computations.

Show sideshot observations

Check/uncheck this to show/hide sideshot observations.

GNSS Data Types tab options

Show baselines

By enable status - Select an option for whether to show baselines depending on whether they participate in project computations or not.

By process status - Select an option for whether to show baselines depending on whether they have been processed into vectors or not.

Show trajectories

Select an option for whether to show trajectories depending on whether they participate in project computations or not.

Display tab options

Zero elevation display options

Select a display option for data with either a null or zero elevation.

Alternate color

For the Display in alternate color and Display non-zero in alternate color options (set above this option), specify the display color.

Context menu options

View all/
Hide all

Within a group, select this to check/uncheck all of the boxes, displaying of hiding all of those object types or layers in the graphic view.

Invert

Click in a group, and select this to uncheck the currently checked Visible boxes, and check the currently unchecked Visible boxes in the group.

View only this

Within a group, select this to check the selected object type or layer, and uncheck everything else in the group.

Note: If no data is visible after you select View Only This, make sure that the box for the layer the data is on is also checked.

Move up/
Move down

On a group, select this to move the group up or down in the tree so that your most frequently used groups are at the top.
The order is saved with your project, and is the same for all view filters.

Layer options

Within the Layers group, select this to open the Layer Options command pane.

Show/Hide Category

Select this to make the selected category appear in the View Filter Manager. The visibility of each category in the manager is indicated by these icons in this dialog:

(visible)

(hidden)

Related topics

Create a View Filter

Edit a View Filter

Filter a View

Troubleshoot a Layer or View Filter Problem

View Filter Options


Manage Line Styles

Manage line styles to control which display styles are available for lines in your project and how specific lines appear in graphic views and in printed output.

To change a line's style and scale:

  1. Select the line in a graphic view, right-click, and select Properties from the context menu. The Properties pane displays.
  2. Click in the Line style box and select a new display style from the list, or select Import line styles to open the Line Style Manager where you can browse for a line style file and add new line styles to the list. To import additional line styles, see the next section.
  3. In the Line style scale box, double-click the existing value and type a new value for the scale.

    Note: The higher the line style scale number, the larger the scale. If for example, you have a dashed line with 12 dashes and you change the line style scale from 1.0 to 2.0, the line will then have 6 dashes.
    Note: If your graphic view is showing lines at a small scale, some line styles display as solid to improve performance. You may have to zoom in to see a line's style.

  4. Press [Tab] or [Enter]. The line style and scale update in graphic views.

To import and manage line styles:

  1. Do one of the following:
    • Select Tools > Line Style Manager, or follow steps 1 and 2 above.
    • Click the [image] icon (if on the toolbar).

    The Line Style Manager displays.

  2. To import a new file of line styles, specify the Length unit and Unit reference to apply to the imported styles.
  3. Then, click the [image] button and navigate to a line style file (.ltp or .linestyle). By default, a line style file is installed at:
    • In Windows® XP - C:\Program Files\Trimble\<product name>\FCEdit\Linetype.ltp.
    • In Windows Vista™ - C:\Program Files\Trimble\<product name>\FCEdit\Linetype.ltp.
  4. Click the << button to add all of the line styles in the file to the line styles list.
  5. To add a single line style from the file to the line styles list, select it in the file's line styles list and click the < button.
  6. To remove a line style from the line styles list, select it in the list and click the X button.
  7. Click OK.

Use these options to import line styles and specify which are available for your project data. They are available in the Line Style Manager dialog.

Options

Line Style File Import

Length unit

Select the measurement units used in your project so that the imported styles will use the same.

Unit reference

Paper – Select this to import the line styles with the units used when the data in a project is plotted. See sheet units.

Ground – Select this to import the line styles using the project's distance measurement units. See ground units.

Line style lists

Click this to navigate to the line styles file (.lst or .linestyle) that you want to import.

<<

Click this to move all line styles from the right pane to the left pane, making them available in the property pane's Line style list.

<

With a line style selected in the right pane, click this to move the style to the left pane, making it available in the property pane's Line style list.

X

With a line style selected in the left pane, click this to remove the style from the property pane's Line style list.

Related topics

Manage Text Styles

Manage Symbols


Manage Text Styles

Manage text styles to control which display styles are available for text in your project and how specific labels in your data appear in graphic views and in printed output.

Note: The Text Style Manager cannot be used to modify imported CAD text objects.

To change a text style or size:

  1. Select the label in a graphic view, right-click, and select Properties from the context menu. The Properties pane displays.
  2. Click in the Text style box and select a new style from the list, or select New style to open the Text Style Manager where you can add a new text style to the list.
  3. Tab to the Text size box and type a value for the scale.

To manage text styles:

  1. Do one of the following:
    • Select Tools > Text Style Manager, or follow steps 1 and 2 above.
    • Click the [image] icon (if on the toolbar).

    The Text Style Manager displays.

  2. To edit an existing style, select it in the Text styles list and edit the settings in the Properties group.

    Note: The default Standard style is not editable.

  3. To create a new style, click New, change the style name, and specify the style's properties.
  4. To remove a style, select it in the Text Styles list and click Delete.
  5. Click OK.

Related topics

Manage Line Styles

Manage Symbols


Manage Symbols

Control which symbols are available for features in your project and how specific features in your data appear in graphic views and in printed output.

To change a feature's symbol:

  • Use the Feature Definition Manager.

To import or remove symbols:

  1. Do one of the following:
    • Select Tools > Symbol Manager.
    • Click the [image] icon (if on the toolbar).

    The Symbol Manager dialog displays.

    Click the [image] button and navigate to the file containing the symbol(s) you want to import.

    If the Feature Definition Manager utility is installed, a default symbols file is located at:
    C:\Program Files\Trimble\Feature Definition Manager\PEditor\Symbols.sym

  2. Do any of the following:
    • To import all of the symbols from the selected file, click the << button.
    • To import a single symbol from the selected file, select it in the right list and click the < button.
    • To remove a symbol, select it in the left list and click the X button.
  3. When you are done, click OK.

Related topics

Manage Text Styles

Manage Line Styles


Work with Objects and Layers

In This Chapter

View and Edit an Object's Properties

Explore an Object

Edit an Object

Delete an Object

Undo or Redo an Action

Move Objects

Rotate Objects

Scale Objects

Move, Rotate, and Scale Objects

Move, Rotate, and Scale Objects by Points

Copy an Object

Change the Elevation of Objects

Explode a Block

Create and Edit a Layer

Isolate or Exclude a Layer

Layer Options


Explore an Object

Explore objects, such as lines and alignments, by viewing geometric values calculated at specific locations based on the position of the cursor on the object in a graphic view. Certain values are displayed dynamically at the cursor as you move it along the object. Additional values are displayed statically in the command pane when you click in the view to specify a fixed location.

To explore an object:

  1. Do one of the following:
    • Select Tools > Explore Object.
    • Click the [image] icon on the toolbar.

    The Explore Object command pane displays.

  2. Pick an object in a graphic view. The object is recorded in the Object box and values appear to the right of the cursor.
  3. Move the cursor to see values at various locations along the object.
  4. Click a location to report additional values in the command pane.
  5. Click Close.

Reported values

The reported values depend on the object and the view.

Selected object | Values shown in the Plan View | Values shown in the Cross-section View
Line, linestring, breakline, CAD line, sloping line | D = distance along E = elevation | na
Horizontal alignment (if only one VAL), Vertical alignment (VAL) | S = station E = elevation | na
Stored cross-section | O = offset E = elevation | O = offset E = elevation

Related Topics

Explore an Object

Coordinates Scroll Command


Edit an Object

When you need to edit an object, the program will open the editor appropriate to the object's type.

To edit an object:

  • Right-click an object, and select Edit from the context menu.
  • Select Edit > Edit.
  • Click the [image] icon on the toolbar, or on the Properties pane toolbar.

    Depending upon whether you have an object selected or not, either the Edit command pane displays (prompting you to select an object) or the editor appropriate to the selected object displays.

Related topics

Edit an Alignment

Edit a Linestring's Horizontal Segments

Edit a Surface by Adding and Removing Members


Delete an Object

Remove objects that you no longer need from the project database.

To select and then delete data:

  1. Select the data to delete in a graphic view, spreadsheet, or the Project Explorer.

    The number of objects selected appears in the status bar.

  2. Do one of the following:
    • Select Edit > Delete.
    • Press [Ctrl] + [D].
    • Right-click and select Delete from the context menu.

    The selected objects are removed from graphic views, spreadsheets, and the Project Explorer. The Delete command pane does not display.

To start Delete and then select the data:

  1. Select Edit > Delete. The Delete command pane displays.
  2. Select data using one of the following:
    • Click Options, and select an option from the menu.
    • Pick objects in a graphic view, spreadsheet, or the Project Explorer.

    The number of objects selected appears in the status bar.

  3. Click OK. The selected objects are removed from graphic views, spreadsheets, and the Project Explorer.

To restore deleted data:

  • Select Edit > Undo Delete immediately after using the Delete command.

Related topics

Filter a View

Undo and Redo Commands

Selection Methods and Options


Undo or Redo an Action

Any action that affects the project database, such as creating an object, can be redone or undone. Commands that do not affect the database, such as opening a file, cannot be redone or undone.

To undo an action:

Use the Undo command to revert to the state prior to the last action.

  • Select Edit > Undo command.
  • Press [Ctrl] + Z.
  • Click the [image] icon on the toolbar.

Multiple actions can be undone one at a time. The most-recently performed action is undone first. Once you close the project or the software, no actions can be undone.

To redo an action:

Use the Redo command to reverse the Undo command.

  • Select Edit > Redo command.
  • Click the [image] icon on the toolbar.

Once you close the project or the software, no actions can be redone.

Note: Viewing actions, such as zoom, pan, and rotate, do not appear in the Undo / Redo list.


Move Objects

To reposition your data, move one or more objects from one location to another in either 2D or 3D. Dependent objects, such as a surface, are updated when you move objects.

Note: Most survey-related and raw data, such as points with control quality or local / global coordinates (in latitude and longitude), cannot be moved.

To move objects:

  1. Do one of the following:
    • Select Edit > Move Objects.
    • Click the [image] icon (if on the toolbar).

    The Move Objects command pane displays.

  2. Check the boxes for any options you want to use in the Settings group.
    • 3D Move - Check this if you want to move an object in 3D, changing its elevation by the vertical distance specified in the Delta elevation box. If you choose a point with an elevation for the To point, the selected object will also be moved relative to that elevation.
    • Enable dragging - Check this if you want to move the object to the To point by moving the cursor in the Plan View.
    • Update dependent objects when dragging - Check this if you also want to update or move any objects whose locations depend on the object being moved while you are dragging the parent object. For example, if the end of a linestring is based on a point, the linestring will change if the point is moved. If this box is unchecked, the dependent objects will still be moved, but after the parent object is moved.
  3. Click in the Objects to move box, and pick the objects to move in a graphic view or the Selection Explorer. Alternately, you can click Options and choose a selection method from the context menu.
  4. Tab to the From box.
  5. In the Plan View, pick a point to move the objects from, or type a coordinate in the From box.
  6. Pick a point to move the objects to (based on the From point), or type a coordinate in the To box.
  7. If the To point has an elevation, the delta elevation is automatically calculated and appears in the Delta elevation box. If needed, change the delta elevation.
  8. Click Apply to move the objects.
  9. Continue moving additional objects, or click Close.

Related topics

Rotate Objects

Scale Objects

Move, Rotate, and Scale Objects

Move, Rotate, and Scale Objects by Points


Rotate Objects

To reorient your data, turn one or more objects to a new 2D angle around a rotation point. Dependent objects, such as a surface, are updated when you rotate objects.

To rotate objects:

  1. Do one of the following:
    • Select Edit > Rotate Objects.
    • Click the [image] icon (if on the toolbar).

    The Rotate Objects command pane displays.

  2. Check the boxes for any options you want to use in the Settings group.
    • Enable dragging - Check this if you want to rotate the objects to the new angle by moving the cursor in the Plan View.
    • Update dependent objects when dragging - Check this if you want to rotate any additional objects (based on the Rotation point) whose locations depend on the objects being rotated. For example, if you rotate a building pad that affects a surface, the surface will change also. If this box is unchecked, the dependent objects will still be rotated, but after the parent object is rotated.
  3. Click in the Objects to rotate box, and pick the objects to rotate in a graphic view or the Selection Explorer. Alternately, you can click Options and choose a selection method from the context menu.
  4. Tab to the Around box.
  5. In the view, pick a rotation point, or type a coordinate in the Around box.
  6. Pick a rotation angle in the Plan View, or type an angle in the Angle box. The rotation is clockwise.
  7. Click Apply to rotate the objects and continue rotating additional objects, or click Close.

Related topics

Move Objects

Scale Objects

Move, Rotate, and Scale Objects

Move, Rotate, and Scale Objects by Points


Scale Objects

To resize data, scale one or more objects to new proportional dimensions based on an origin point. Dependent objects, such as surfaces, are updated when you scale objects.

To scale objects:

  1. Do one of the following:
    • Select Edit > Scale Objects.
    • Click the [image] icon (if on the toolbar).

    The Scale Objects command pane displays.

  2. Check the boxes for any options you want to use in the Settings group.
    • Enable dragging - Check this if you want to move the object to the To point by moving the cursor in the Plan View.
    • Update dependent objects when dragging - Check this if you also want to update or move any objects whose locations depend on the object being moved while you are dragging the parent object. For example, if the end of a linestring is based on a point, the linestring will change if the point is moved. If this box is unchecked, the dependent objects will still be updated, but after the parent object is moved.
  3. Click in the Objects to scale box.
  4. Pick the objects to scale in a graphic view or the Selection Explorer. Alternately, you can click Options and choose a selection method from the context menu.
  5. Tab to the From box.
  6. In the Plan View, pick an origin point to scale the objects from, or type a coordinate in the From box.
  7. Type a factor for scaling in 2D in the Horizontal scale box.
  8. If you want to scale vertically relative to a common base elevation, type that in the Base elevation box.

    Note: Objects are not scaled from this elevation; the difference between the original elevation and the base elevation is multiplied by the scale factor and the base elevation is added to the total using the formula: ((elevation - base elevation) x vertical scale) + base elevation = final elevation. In most cases, the base elevation should be left at zero.

  9. To scale in 3D also, type a vertical scale in the Vertical scale box.
  10. Click Apply to scale the objects and continue moving additional objects, or click Close.

Related topics

Move Objects

Rotate Objects

Move, Rotate, and Scale Objects

Move, Rotate, and Scale Objects by Points


Move, Rotate, and Scale Objects

Transform one or more objects by moving, rotating, and scaling them in one operation. The three transformations are done in that order: move, rotate, scale. Dependent objects, such as surfaces, are updated when you transform objects.

Note: Most survey-related and raw data, such as points with control quality or local / global coordinates (in latitude and longitude), cannot be moved.

To transform objects:

  1. Do one of the following:
    • Click the [image] icon (if on the toolbar).
    • Select Edit > Move Rotate Scale Objects.

    The Move Rotate Scale Objects command pane displays.

  2. Check the boxes for any options you want to use in the Settings group.
    • 3D move - Check this if you want to move an object in 3D, changing its elevation by the vertical distance specified in the Delta elevation box. If you choose a point with an elevation for the To point, the selected object will also be moved relative to that elevation. If this box is unchecked, the objects are moved in 2D.
  3. Click in the Objects to move box.
  4. Pick the objects to transform in a graphic view or the Selection Explorer. Alternately, you can click Options and choose a selection method from the context menu.
  5. Tab to the From box.
  6. In the Plan View, pick a point from which to move the objects, or type a coordinate in the From box.
  7. Pick a point to move the objects to (based on the From point), or type a coordinate in the To box. The To point is also used as the rotation point if you enter a rotation angle.
  8. If the To point has an elevation, the delta elevation is automatically calculated and appears in the Delta elevation box. If needed, change the elevation.
  9. Pick a rotation angle in the Plan View, or type an angle in the Rotation angle box. The rotation is clockwise.
  10. Type a factor by which to resize the objects in the Horizontal Scale box.
  11. Click Apply to transform the objects and keep the command open, or click Close.

Related topics

Move Objects

Rotate Objects

Move, Rotate, and Scale Objects by Points


Move, Rotate, and Scale Objects by Points

Transform one or more objects by moving, rotating, and scaling them in one operation by translating the current locations of two points to two new locations. The three transformations are done in that order: move, rotate, scale. Dependent objects, such as surfaces, are updated when you transform objects.

Note: Most survey-related and raw data, such as points with control quality or local / global coordinates (in latitude and longitude), cannot be moved.

To transform objects using points:

  1. Do one of the following:
    • Click the [image] icon (if on the toolbar).
    • Select Edit > Move Rotate Scale Objects by Points.

    The Move Rotate Scale Objects by Points command pane displays.

  2. Check the boxes for any options you want to use in the Settings group.
    • 3D move - Check this if you want to move an object in 3D, changing its elevation by the vertical distance specified in the Delta elevation box. If you choose a point with an elevation for the To point, the selected object will also be moved relative to that elevation. If this box is unchecked, the objects are moved in 2D.
  3. Click in the Objects to move box.
  4. Pick the objects to move in a graphic view or the Selection Explorer. Alternately, you can click Options and choose a selection method from the context menu.
  5. Tab to the Point 1 box in the From System group.
  6. In the Plan View, pick two points to move the objects from, or type coordinates in the Point 1 and Point 2 boxes.
  7. In the To System group, pick two points to transform the objects to (based on the From point), or type coordinates in the Point 1 and Point 2 box. The To point is also used as the rotation point if you enter a rotation angle.
  8. If the To point has an elevation, the delta elevation is automatically calculated and appears in the Delta elevation box. If needed, change the elevation.
  9. The new angle appears in the Rotation angle box, and the new scale appears in the Scale box. Edit either value, if needed. The rotation is clockwise.
  10. Click OK to transform the objects.

Related topics

Move Objects

Rotate Objects

Move, Rotate, and Scale Objects


Copy an Object

Create and position duplicates of one or more objects in either 2D or 3D. You can copy objects in the Plan View, Profile View, and Cross-section View.

Copied objects are independent of the original objects they are copied from. However, if an object being copied is dependent on another object, the copy will also be dependent on it. If you copy both an object and an object it is dependent upon, then the new objects maintain that dependency between themselves, but there is no dependency on the original objects.

Note: Most survey-related data, such as points with control quality or local / global coordinates (in latitude and longitude), cannot be copied.

To copy objects:

  1. Do one of the following:
    • Select Edit > Copy Objects.
    • Click the [image] icon (if on the toolbar).

    The Copy Objects command pane displays.

  2. From the Objects to copy box, pick the objects to duplicate in a graphic view or the Selection Explorer. Alternately, you can click Options and choose a selection method from the context menu.
  3. To change the layer of the new objects, check the Relayer box and select a layer in the list. Otherwise, the new objects inherit the layer or layers from their respective copied objects.
  4. Click Apply. The Move Copied Objects command displays.
  5. Check the boxes for any options you want to use in the Settings group.
    • 3D move - Check this if you want to change the objects' elevations by the vertical distance specified in the Delta elevation box. If you choose a point with an elevation for the To point, the selected object will also be moved relative to that elevation.
    • Enable dragging - Check this if you want to move the objects to the To point while you move the cursor in the view.
    • Update dependent objects when dragging - Check this if you also want to update or move any objects whose locations depend on the object being moved while you are dragging it.
  6. In the view, pick a point to move the copies from, or type a coordinate in the From box.
  7. Move the cursor and pick a point at which to place the copies (based on the From point), or type a coordinate in the To box.
  8. If you are doing a 3D move and the To point has an elevation, the delta elevation is automatically calculated and appears in the Delta elevation box. If needed, change the delta elevation. Otherwise, skip to step 10.
  9. Click Close to return to the Copy Objects command.
  10. Click Apply to create another copy of the selected object and keep the command open, or click Close.

Related topics

Offset a Line

Move Objects

Rotate Objects

Move, Rotate, and Scale Objects

Move, Rotate, and Scale Objects by Points


Change the Elevation of Objects

Elevate or change the elevation of one or more 3D objects. You can elevate objects to a single absolute elevation or specify a relative change of elevation in which each object retains any changes in its elevation.

Note: Most survey-related and raw data, such as points with control quality or local / global coordinates (in latitude and longitude), cannot be elevated.

To change the elevation of objects:

  1. Do one of the following:
    • Select Edit > Change Elevation.
    • Click the [image] icon (if on the toolbar).

    The Change Elevation command pane displays.

  2. Pick the objects you want to elevate in a graphic view, or click Options and choose a selection option from the menu.
  3. In the Apply group, select whether you want to apply:
    • A Relative change in elevation - Select this to move each of the existing elevations on each selected object by the vertical distance specified in the Elevation box. If a 3D polyline has segment end points at elevations of 5, 10, and 25, for example, and you move the polyline a relative elevation of 1, the end points are elevated to 6, 11, and 26. Generally, this should option should be used on 3D objects.
    • An Absolute elevation - Select this to set every elevation on each selected object to the elevation specified in the Elevation box. Generally, this option should use be used on objects that have only a single elevation or when the elevations of the nodes are the same.
    • No elevation - Select this to set the elevations of elevated points and linestrings to undefined (denoted by a ? for the elevation property). Elevated polylines that you have created in your project are set to elevation 0.0.

      Note: When imported CAD points and CAD lines have elevations of 0.0, it is assumed that their elevations are actually undefined, so this option does not affect them.

  4. Specify the absolute elevation or relative elevation change in the Elevation box.
  5. Click Apply. Repeat steps 2 - 5 to elevate additional objects.

    Tip: To elevate an object incrementally, select Relative change in elevation, specify the increment in the Elevation box, and click Apply repeatedly to apply the increment.

  6. Click Close when you are done.

Related topics

Set a Lines Elevation


Explode a Block

After you import CAD data, explode any blocks that contain objects that you want to move, modify, or delete individually. Exploding breaks apart group objects that contain multiple individual objects (and sometimes additional nested blocks).

To explode a block using options:

  1. Do one of the following:
    • Select Edit > Explode Blocks.
    • Right-click and select Explode Blocks from the context menu.
    • Click the [image] icon on the toolbar.

    The Explode Blocks command pane displays.

  2. Select a block object in the Project Explorer, Selection Explorer, or a graphic view, or click Options and select an option in the list.
  3. Uncheck the Delete blocks after exploding box if you want to retain the original block, as well as its individual component objects, after exploding it.

    Note: It is unlikely that you will need or want to retain the original block.

  4. If you want to explode additional blocks, click Apply , or click OK to explode the selected blocks and close the command pane.

Related topics

Import CAD Files (.dwg/.dxf)

Import MicroStation Files (.dgn)


Calculate and Enter Values

This software incorporates interactive, graphical tools that you can use to calculate and enter values.

They include:

  • COGO controls
  • Running snap modes
  • Snap commands

Use these tools to calculate and enter angles, bearings, coordinates, distances, elevations, and offsets in your project. After you have imported survey, map, or engineering data, start at a known point or object, and use these functions to specify other points in your data.

COGO and snap tools are powerful because they enable you to enter data in consistent ways for a variety of commands.


Understanding COGO Controls

COGO (COordinate GeOmetry) controls are the boxes in various commands that help you calculate angles, bearings, coordinates, distances, elevations, and offsets in your project. They enable you to enter data in a variety of ways, including:

  • Typing values and point IDs in the box
  • Picking points in graphic views
  • Right-clicking in graphic views and selecting additional snap and COGO options from the context menu

COGO controls give you this flexibility so that you have many ways in which you can enter data within a single command, rather than forcing you to work through multiple commands.

Since COGO controls are used in many commands, once you understand how to use them, you will be able to apply your knowledge all to the commands that use them.

COGO cursors

Depending on the type of control you are in, the appearance of the cursor changes in graphic views. The name of the control also appears on the status bar, and the status line's tooltip tells how use the control.

Cursor Types
i_cursor - free point | Pick any point.
i_cursor - running snap | Pick any point or applicable object (arc, line, segment, point).
 | Pick any applicable object.
 | No anchor point has been defined.
i_cursor - broken box | No anchor point has been defined.
i_cursor - invalid selection | The pick function is unavailable, or the object you are trying to pick is invalid. Often, you can click a blank space in the Project Explorer or a command pane to refresh the cursor for the graphic views.

Related topics

COGO Expressions, Units, and Entry Formats

Set the Pick Aperture

Snaps Modes and Commands


COGO Expressions, Units, and Entry Formats

Mathematical expressions

You can enter numbers in many of the COGO controls. When a COGO control supports numeric entry, you can use basic mathematic expressions by including the operators as shown. The value is calculated when you leave the control.

Operator | Example
Addition | 10+10
Subtraction | 10-2
Multiplication | 10*8
Division | 8/4
Power | 10^2
Simple expressions (for distance, bearing, and coordinate controls) | 5*(6+8) 052>054 (for distance or bearing between points)
Exponential notation (for distance and coordinate controls) | 1.01E+6
Separated formats (for distance and coordinate controls) | 1,000,000 = 1000000 1.000.000 = 1000000

Units and data entry formats

The units, and entry and display formats, for data can be found and set in the Units section of the Project Settings dialog.

The current distance units, which are also used for the gridlines, display on the status bar. Distances that you enter are in these units. You can, however, enter other units in COGO controls by including a character for the type of unit. For example, if your project units are set to International foot, you can enter 3m in a COGO control to specify 3 meters. The unit you enter will be converted to the project units.

Entering point IDs

If you enter a point ID for a single value, such as an elevation, type quotation marks around the point ID to distinguish it as the elevation of the point, not just an elevation value. For example, to use the elevation for point 1001, type "1001" in the control. In coordinate controls where you are entering a pair of coordinates, typing the point ID without quotes will suffice. The coordinates of the point are used.

Related topics

Change Project Units

Unit Settings


Set the Pick Aperture

The pick aperture is the box appearing on certain cursors. It shows the area in which applicable objects can be picked.

To set the size of the pick aperture:

  1. Select Tools > Options. The Options dialog displays.
  2. Click Startup and Display.
  3. Specify a value in the Pick aperture box.
  4. Click OK.

Related topics

Startup and Display Options


Snaps Modes and Commands

Snaps use geometric calculations to help you specify and select coordinates and points more easily and accurately. Snaps can either use existing geometry or values that you enter during the command. There are two types of snap functions:

Snaps

Running snap modes

These modes are similar to the snap commands, except that (when enabled) they are always active. The running snap modes establish the order of precedence for the point snap modes. They can be temporarily overridden by using a specific snap command.

Note: Running snaps are available only for point (coordinate) snaps. There are no running snaps for angle, bearing, distance, offset, elevation, or station controls.

Snap commands

These commands enable you to enter angles, bearings, coordinates, distances, elevations, and offsets to calculate coordinates in your project. You can also select (or enter) applicable objects, such as breaklines, alignments, surfaces, and point IDs in snap commands.

Related topics

COGO Controls

Running Snap Mode Options

Set Running Snap Modes

Use Snap Commands


Set Running Snap Modes

Running snaps are frequently-used snaps that are constantly enabled ("running"), so that you do not have to initiate a specific snap command each time you need one. You can, however, specify which of the five running snap modes you want to be active at any time.

Note: If multiple snap modes are active, and you pick a point in a graphic view that satisfies multiple snaps, the snap closest to the center of the pick aperture prevails.

When a snap is active, the cursor's appearance indicates the type of snap. For instance, when you are in a snap mode that lets you pick an object, the cursor displays with a pick aperture (box). If you are in free snap, the cursor displays with cross hairs. See COGO Controls for more information.

There is no visual feedback in graphic views when you snap to a point, but the coordinate of the point is entered into the control in which you are working.

To set running snap modes:

  1. Do one of the following:
    • Click Snap on the status bar.
    • Select Project > Snap Mode.

    The Snap mode dialog displays.

  2. Check (or uncheck) boxes next to any of the modes you want to enable (or disable).

    Note: You need to have at least one snap mode enabled. Otherwise, you will not be able to pick anything in the graphic views.

  3. Click OK to close the dialog.

Note: Running snap modes are superseded by snap commands.

Related Topics

Running Snap Mode Options


Running Snap Mode Options

Use these options to set which frequently-used snaps are constantly enabled, so that you do not have to initiate a specific command each time you need a snap. They are available in the Snap Mode dialog.

Options
Point | If a point object is inside the pick aperture, the coordinate of the point will be used.
End point | If the end point of a line or arc segment is inside the pick aperture, the coordinate of the end point of will be used.
Insertion point | If any part of a text or block object is inside the pick aperture, the insertion point of the object will be used. This running snap mode is disabled by default.
Surface vertex | If a surface vertex is inside the pick aperture, the coordinate of the vertex will be used.
Free | The coordinate at the intersection of the cross hairs will be used. This mode will be used if none of the other modes are satisfied or selected. If no other modes are active, the Free mode is active by default.

Related topics

Set Running Snap Modes


Use Snap Commands

Snap commands use geometric calculations to help you specify coordinates more easily and accurately. Snaps can either calculate a snap point using existing geometry, or use parameters that you enter during a command. Snap commands, as opposed to running snaps, are single-instance snaps that you initiate each time you need one. They apply to the current command only.

There is no visual feedback in graphic views when you calculate (snap) to a point, but the coordinate of the point is entered into the control in which you are working.

To use a snap command:

  1. When you are in a COGO control, move your cursor into a graphic view and right-click. A context menu displays snap command options, depending on the control you are using.
  2. Select one of the snap commands. The snap's command pane displays.
  3. Specify parameters for the snap.
  4. Click OK to return to the original COGO control.

Note: Snap commands supersede running snap modes.

Stacked commands

To help you calculate a certain value, you can "stack" multiple snap commands. This means that you can access one snap command from within another until you have several snap commands stacked upon one another in the command pane. To practice, work through the tutorial.

Related Topics

Set Running Snap Modes

Snaps Modes and Commands


Enter an Angle

Use the Angle control to enter an angle by specifying a bearing in relation to the default bearing. The default bearing (and zero angle) is east. Positive angles are measured counter-clockwise from 0 to <360 degrees. "Angle" appears on the status bar when the command is active.

Angle controls are used in these snap commands:

  • Bearing + Angle Snap
  • Point to Point Bearing Snap

Angle controls give you access to these snap commands on the context menu:

  • Deflection Angle Snap
  • Three Point Snap

To specify an angle:

  • Pick an anchor point in a graphic view. With the cursor "rubber-banding" from the default bearing, pick another point to specify the angle.
  • Type a value in the Angle box, using one of the standard entry formats. Check and set the entry format in Project Settings by selecting Project > Project Settings > Units > Angular.
  • Right-click in a graphic view, select a snap command from the context menu, and specify the necessary parameters.

Related topics

COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Deflection Angle Snap

Use this command to calculate an angle between two bearings.

Deflection Angle Snap can be used in these controls:

  • Angle

To use a Deflection Angle Snap:

  1. While in an angle control, right-click in a graphic view, and select Deflection Angle Snap from the context menu. The Deflection Angle Snap command pane displays.
  2. Pick two points or a line in the view, or type a value in the Bearing 1 box.
  3. Pick two more points or another line in the view, or type a value in the Bearing 2 box. The angle between the bearings is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Three Point Snap

Use this command to calculate an angle based on three points picked in sequence.

Three Point Snap can be accessed from these control context menus:

  • Angle

To use a Three Point Snap:

  1. While in an angle control, right-click in a graphic view, and select Three Point Snap from the context menu. The Three Point Snap command pane displays.
  2. Select an angle type (Acute or Obtuse) in the Options list.
  3. Pick a point, or type a coordinate or Point ID in the Start point box.
  4. Pick a second point, or type a coordinate or Point ID in the Pivot point box.
  5. Pick a third point, or type a coordinate or Point ID in the End point box to specify the angle.
  6. The angle between the three points is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Enter a Bearing

Use the Bearing control to specify an azimuthal bearing. The default bearing (and zero angle) is north. Positive bearings are measured clockwise. "Bearing" appears on the status bar when the command is active.

Bearing control is used in these snap commands:

  • Bearing Bearing Snap
  • Bearing Distance Snap
  • Bearing + Angle Snap

Bearing controls give you access to these snap commands on the context menu:

  • Bearing + Angle Snap
  • Point to Point Bearing Snap

To specify a bearing:

  • Pick an anchor point in a graphic view. With the cursor "rubber-banding" from the default bearing, pick another point to specify the bearing.
  • Pick a line segment in a graphic view. The bearing of the segment is used. Each line segment has two bearings, so pick a point on the line segment close to the end to which you want to the bearing to travel. If you pick an arc segment, the bearing tangent to the segment at that point will be computed. If you pick a text object, the bearing at which the text object is located is used. This allows you to use the bearing control to align text objects with other text objects.
  • Type a value in the Bearing box, using one of the standard entry formats. Check and set the entry format in Project Settings by selecting Project > Project Settings > Units > Azimuth.
  • Type a point ID to point ID notation (e.g. 1>2) in the Bearing box, to recall the bearing between the points.
  • Right-click in a graphic view, select a snap command from the context menu, and specify the necessary parameters.

Horizontal Angle Modes

You can also enter bearings using a prefix or suffix code for the angle mode. For example, for a 90 degree, 15 minute, and 2 second angle from the north azimuth, type: NA901502 or 901502NA.

The codes below are supported.

Code | Description
NA | North Azimuth
SA | South Azimuth
AR | Angle Right
AL | Angle Left
DR | Deflection Right
DL | Deflection Left
NE | Northeast
SE | Southeast
SW | Southwest
NW | Northwest

Related topics

COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Bearing + Angle Snap

Use this command to calculate a bearing by adding an angle to a given bearing.

Bearing + Angle Snap can be used in these controls:

  • Bearing

cg_snap bearing plus angle

To use a Bearing Plus Angle Snap:

  1. While in a bearing control, right-click in a graphic view, and select Bearing + Angle Snap from the context menu. The Bearing + Angle Snap command pane displays.
  2. Pick two points in the view, or type a value in the Bearing box.
  3. Pick two more points, or type a value in the Angle box. The bearing is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Point to Point Bearing Snap

Use this command to compute the bearing from one point to another point.

Point to Point Bearing Snap can be used in these controls:

  • Bearing

To use a Point to Point Bearing Snap:

  1. While in a bearing control, right-click in a graphic view, and select Point to Point Snap from the context menu. The Point to Point Snap command pane displays.
  2. Pick a point in the view, or type a coordinate or Point ID in the Reference point 1 box.
  3. Pick a point, or type a coordinate or Point ID in the Reference point 2 box. The bearing is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Enter a Coordinate

Use the Coordinate control to specify X, Y, and Z, or latitude, longitude, and elevation coordinates of a point. If a Z or elevation coordinate is entered in the coordinate control, and there is also an elevation control for the same point, the value will be placed in the elevation control. "Coordinate" appears on the status bar when the command is active.

To specify a coordinate:

  • Pick a point in a graphic view. If no running snap modes are enabled, the default operation does not specify a Z coordinate. If running snaps are enabled, the cursor will potentially snap to a location and use its Z value based on the snap mode.
  • Type a point ID in the coordinate box using any of the standard entry formats. If there are multiple points with the same ID, then the one with the best quality is used. Check and set the entry format in the Project Settings by selecting Project > Project Settings > Units > Coordinate.

    Note: If you enter a point ID for a single value, such as an elevation, type quotation marks around the point ID to distinguish it as the elevation of the point, not just an elevation value. For example, to use the elevation for point 1001, type "1001" in the control. In coordinate controls where you are entering a pair of coordinates, typing the point ID without quotes will suffice. The coordinates of the point are used.

  • Type two or three numbers separated by a space or comma to specify a coordinate pair or triplet, in the format N, E, (Z). The separator is user-definable in the Project Settings. Typically, spaces or commas are used to specify coordinate pairs or triplets.

    Examples: 27,42, (1)

    27 42 1

    27,42

    27 42

In the Plan View, these normally represent N, E, (Z). In the Profile View these normally represent station and elevation. The control honors the ordering of the X and Y values as specified for the current view.

Although you will usually be entering grid based coordinates, you can also enter latitude and longitude coordinates in the format Latitude, Longitude, (Z). To do this, a coordinate system must be defined for the project. Do not use spaces to separate the coordinates because spaces are used to separate the angle components.

Examples: N40°35’18.12345”, E120°23”12.32145”, 1000

N40 35 18.12345, E120 23 12.32145, 1000

N40 35 18.12345, E120 23 12.32145

To specify a relative coordinate:

Type an @ before a value to specify a relative distance from a previous point (when the cursor has an anchor point). The @ symbol must be used before each relative coordinate, but you can enter both relative and absolute coordinates in the same control. The relative distance separator is user-definable in the Project Settings, but typically, @ is used as shown.

Examples: @27,@42

@27 @42

In any view with a vertical exaggeration you can substitute a grade (G) for the elevation when setting a point relative to a previous point. This can be used in conjunction with a relative (@S) station value. Valid entries for grade are: (%, or P) for percent of grade and (:, or R) for ratio grade, e.g. 2:1.

Examples: @500,2%

@500 2P

In any view with a vertical exaggeration, you can substitute a Maximum (M) depth for the station and grade (G) for the elevation when setting a point relative to a previous point. The maximum depth will be the change in depth (elevation) from the previous point. Valid entries for grade are: (%, or P) for percent of grade and (:, or R) for ratio grade, e.g. 2:1. This type of entry is typically used in defining templates used with roads.

Examples: 5,2%

5 2%

Related topics

COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Bearing Bearing Snap

Use this command to calculate the intersection of two bearings defined by a first point and second point. No elevation (Z value) is set using this option. This snap is helpful in calculating the coordinates of a location that cannot be occupied, such as the center of a tree.

Bearing Bearing Snap can be used in these controls:

  • Coordinate

To use a Bearing Bearing Snap:

  1. While in a coordinate control, right-click in a graphic view, and select Bearing Bearing Snap from the context menu. The Bearing-Bearing Snap command pane displays.
  2. Pick a point in the view, or type a coordinate or point ID in the Reference point 1 box.
  3. Pick a second point, or type a value in the Bearing 1 box.
  4. Pick a point, or type a coordinate or point ID in the Reference point 2 box.
  5. Pick a second point, or type a value in the Bearing 2 box, to specify the bearing. The coordinate is calculated at the intersection of Bearing 1 and Bearing 2, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Bearing Distance Snap

Use this command to calculate a point based on a beginning point, a bearing, and a distance. The zero (0) bearing is north, and bearings are measured clockwise. No elevation (Z value) is set using this option.

Bearing Distance Snap can be used in these controls:

  • Coordinate

To use a Bearing Distance Snap:

  1. While in a coordinate control, right-click in a graphic view, and select Bearing Distance Snap from the context menu. The Bearing Distance Snap command pane displays.
  2. Pick a point in the view, or type a coordinate or point ID in the Reference point box.
  3. Pick a second point, or type a value in the Bearing box.
  4. Pick a third point, or type a value in the Distance box. The coordinate is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Center of Arc Snap

Use this snap command to calculate the center point of an arc (or parabolic curve segment or spiral curve segment) when you select the arc. The elevation of the arc is used as the Z value.

Center of Arc Snap can be used in these controls:

  • Coordinate

To use a Center of Arc Snap:

  1. Right-click in a graphic view, and select Center of Arc Snap from the context menu. The Center of Arc Snap command pane displays.
  2. In the view, pick an arc. The coordinate is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Center of Gravity Snap

Use this command to calculate a point based on the area within a closed line. If the line segment picked has an elevation, the Z value of the segment is used.

Center of Gravity Snap can be used in these controls:

  • Coordinate

To use a Center of Gravity Snap:

  1. While in a coordinate control, right-click in a graphic view, and select Center of Gravity Snap from the context menu. The Center of Gravity Snap command pane displays.
  2. Pick a segment of a closed line in the view. The coordinate at the center of the area is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Distance Distance Snap

Use this command to calculate a point based on radial distances from two reference points, selecting one of the two points where the resulting arcs intersect.

Distance Distance Snap can be used in these controls:

  • Coordinate

To use a Distance Distance Snap:

  1. While in a coordinate control, right-click in a graphics view, and select Distance Distance Snap from the context menu. The Distance Distance command pane displays.
  2. Pick a point in the view, or type a coordinate or point ID in the Center point 1 box.
  3. Pick a second point, or type a value in the Distance 1 box.
  4. Pick a point, or type a coordinate or point ID in the Center point 2 box.
  5. Pick a second point, or type a value in the Distance 2 box.
  6. Select one of the intersecting points by picking a side in the view, or by selecting an option in the Side list. The coordinate is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Delta X Delta Y Snap

Use this command to calculate a point using a relative X and Y distance from a reference point. The elevation of the origin point is used as the Z value.

DxDy Snap can be used in these controls:

  • Coordinate

To use a DxDy Snap:

  1. While in a coordinate control, right-click in a graphic view, and select DxDy Snap from the context menu. The DxDy Snap command pane displays.
  2. Pick a point in the view, or type a coordinate or point ID in the Reference point box.
  3. Pick a second point, or type a distance from the reference point in the Easting Distance box.
  4. Pick a third point, or type a distance from the reference point in the Northing Distance box. The coordinate is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


End Snap

Use this command to calculate the point at the end of a line segment closest to where you pick on the line segment. The elevation of the end point is used.

End Snap can be used in these controls:

  • Coordinate

To use an End Snap:

  1. While in a coordinate control, right-click in a graphic view and select End Snap from the context menu. The End Snap command pane displays.
  2. Pick a line segment near the end to which you want to snap. The coordinate at the end of the line segment is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Factor of Line Snap

Use this command to calculate a point at a factored distance along a line. You can enter any multiplication factor greater than zero (for example, 0.5 = 50% from the end of the line). If the line has a slope, the Z value is interpolated.

Factor of Line Snap can be used in these commands:

  • Coordinate

To use a Factor of Line Snap:

  1. While in a coordinate control, right-click in a graphic view, and select Factor > Factor of Line Snap from the context menu. The Factor of Line Snap command pane displays.
  2. Pick a line near the end from which you want to factor the distance. The line is recorded in the Line box.
  3. Type a factor in the Multiplication Factor box.
  4. Click OK. The coordinate is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Factor of Segment Snap

Use this command to calculate a point at a factored distance along a line segment. You can enter any multiplication factor greater than zero (for example, 0.5 = 50% from the end of the line). Zero (0) snaps to the end of the line closest to where you pick, and 1 snaps to the furthest end of the line. If the line has a slope, the Z value is interpolated.

Factor of Segment Snap can be used in these controls:

  • Coordinate

To use a Factor of Segment Snap:

  1. While in a coordinate control, right-click in a graphic view, and select Factor > Factor of Segment Snap from the context menu. The Factor of Segment Snap command pane displays.
  2. Pick a line segment near the end from which you want to factor the distance. The segment is recorded in the Segment box.
  3. Type a factor in the Multiplication Factor box.
  4. Click OK. The coordinate is calculated, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Free Snap

Use this command to use the coordinates of any point picked in a view. No elevation is set using this option.

Free Snap can be used in these controls:

  • Coordinate

To use a Free Snap:

  1. While in a coordinate control, right-click in a graphic view, and select Free Snap from the context menu. The Free Snap command pane displays.
  2. Pick a point, or type a coordinate or point ID in the Free Point box. The command pane returns to the previous command.

    Note: Free Snap is one of the default running snap modes, so unless you have it disabled in the Snap Mode dialog, you do not need to explicitly select Free Snap from the context menu. Use this option when you have multiple running snaps active and you do not want to snap to a point, end point, etc.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Intersection of Lines Snap

Use this command to calculate the intersection (or projected intersection) of two lines. If there are several possible intersections, the intersection closest to where the lines were picked is used. No elevation is set using this option.

Intersection of Lines Snap can be used in these controls:

  • Coordinate

To use an Intersection of Lines Snap:

  1. While in a coordinate control, right-click in a graphic view, and select Intersection > Intersection of Lines Snap from the context menu. The Intersection of Lines Snap command pane displays.
  2. Pick a line in the view. The line is recorded in the Line 1 box.
  3. Pick another line. The line is recorded in the Line 2 box. The coordinate is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Intersection of Offset Segments Snap

Use this command to calculate the intersection of offsets from two selected line or arc segments. From the end of the segment closest to where it was picked, looking to the other end, positive offsets are to the right and negative offsets are to the left of the segment.

Intersection of Offset Segments Snap can be used in these controls:

  • Coordinate

To use an Intersection of Offset Segments Snap:

  1. While in a coordinate control, right-click in a graphic view, and select Intersection > Intersection of Offset Segments Snap from the context menu. The Intersection of Offset Segments Snap command pane displays.
  2. Pick a line or arc segment in the view. The segment is recorded in the Line segment 1 box.
  3. Pick a point offset from the line, or type a value in the Offset 1 box. For the offsets, you can enter a negative or positive offset distance from the line.
  4. Pick a second line or arc segment. The segment is recorded in the Line segment 2 box.
  5. Pick a point offset from the second line, or type a value in the Offset 2 box. You can enter a negative or positive offset distance from the line. The coordinate is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Insertion Point Snap

Use this command to specify the coordinates of the insertion point of an object, such as a CAD block or text. The elevation of the insertion point is used as the Z value.

Insertion Point Snap can be used in these controls:

  • Coordinate

To use an Insertion Point Snap:

  1. While in a coordinate control, right-click in a graphic view, and select Insertion Point Snap from the context menu. The Insertion Point Snap command pane displays.
  2. Pick object that contains an insertion point in the view. The coordinates of the object's insertion point are recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Intersection of Offset Lines Snap

Use this command to calculate the intersection of offsets from two lines or arcs. The offsets are projected from the entire lines or arcs, rather than just line or arc segments. From the end of the line closest to where it was picked, looking to the other end, positive offsets are to the right and negative offsets are to the left of the line.

You can also calculate the intersection of offsets from two horizontal alignments (HALs).

Intersection of Offset Lines Snap is used in these controls:

  • Coordinate

To use an Intersection of Offset Lines Snap:

  1. While in a coordinate control, right-click in a graphic view, and select Intersection > Intersection of Offset Lines Snap from the context menu. The Intersection of Offset Segments Snap command pane displays.
  2. Pick a line in the view. The line is recorded in the Line 1 box.
  3. Pick a point offset from the line, or type a value in the Offset 1 box. For the offsets, you can enter a negative or positive offset distance from the line.
  4. Pick a second line. The line is recorded in the Line 2 box.
  5. Pick a point offset from the second line, or type a value in the Offset 2 box. The coordinate is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Intersection of Segments Snap

Use this command to calculate the projected intersection of two line or arc segments. If there are several possible intersections, the intersection closest to where the lines were picked is used.

Intersection of Segments Snap can be used in these commands:

  • Coordinate

To use an Intersection of Segments Snap:

  1. While in a coordinate control, right-click in a graphic view, and select Intersection > Intersection of Segments Snap from the context menu. The Intersection of Segments Snap command pane displays.
  2. Pick a line segment in the view. The segment is recorded in the Line segment 1 box.
  3. In the view, pick another line segment. The segment is recorded in the Line segment 2 box. The coordinate is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Middle of Point to Point Snap

Use this command to calculate the midpoint between two points.

Middle of Point to Point Snap can be used in these controls:

  • Coordinate

To use a Middle of Point to Point Snap:

  1. While in a coordinate control, right-click in a graphic view, and select Middle of Point to Point Snap from the context menu. The Middle of Point to Point Snap command pane displays.
  2. Pick a point in the view, or type a coordinate or point ID in the From point box.
  3. Pick a point, or type a coordinate or point ID in the To point box. The midpoint between the two selected points is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Middle of Segment Snap

Use this command to calculate the middle point of a line or arc segment. If the line segment has a slope, the Z value is interpolated from the segment.

Middle of Segment Snap can be used in these controls:

  • Coordinate

To use a Middle of Segment Snap:

  1. While in a coordinate control, right-click in a graphic view, and select Middle of Segment Snap from the context menu. The Middle of Segment Snap command pane displays.
  2. Pick a line segment in the view. The coordinate is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Nearest to Line Snap

Use this command to calculate the closest point on a line within the pick aperture to the point you pick. If the point is on a line with a slope, the elevation value is interpolated.

Nearest to Line Snap can be used in these controls:

  • Coordinate

To use a Nearest to Line Snap:

  1. While in a coordinate control, right-click in a graphic view, and select Nearest to Line Snap from the context menu. The Nearest to Line Snap command pane displays.
  2. Pick a line in the view. The coordinates on the line nearest to your pick location are recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Offset Line Snap

Use this snap command to calculate a point based on an offset from a station along the entire length of a line or an arc. Station zero is the end of the line closest to where it was picked. From station zero, looking down the line, positive offsets are to the right and negative offsets are to the left of the line. If the line has a sloping elevation, the Z value is interpolated from the station used.

Note: You can use this option to select a specific position along an arc by making the offset distance zero.

Offset Line Snap can be used in these controls:

  • Coordinate

To use an Offset Line Snap:

  1. While in a coordinate control, right-click in a graphics view, and select Offset > Offset Line Snap from the context menu. The Offset Line Snap command pane displays.
  2. Pick a line in the view. The line is recorded in the Line box.
  3. Pick a point, or type a value in the Station box.
  4. Pick a point, or type a value in the Offset box. You can enter a negative or positive offset distance from the line. The coordinate is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Offset Segment Snap

Use this command to calculate a point based on an offset from a distance along a segment. The zero distance is the end of the segment closest to where it was picked. From station zero, looking along the line, positive offsets are to the right and negative offsets are to the left of the segment.

Offset Segment Snap can be used in these controls:

Coordinate

To use an Offset Segment Snap:

  1. While in a coordinate control, right-click in a graphic view, and select Offset > Offset Segment Snap from the context menu. The Offset Segment Snap command pane displays.
  2. Pick a segment in the view. The segment is recorded in the Line segment box.

    Note: When you pick a segment, pick nearest to the end that you want to measure the distance from in the next step.

  3. Pick a point, or type a value in the Distance box to specify the distance from the segment's end point. You can enter a negative or positive offset distance from the segment.
  4. Type a value in the Offset box. The coordinate is calculated, and the command pane returns to the previous command.

    Tip: You can use this option to select a specific position along a segment by making the offset distance zero (0).

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Perpendicular to Segment Snap

Use this command to calculate a perpendicular intersection from a point to a line segment or arc segment. If the line segment has an elevation, the Z value will be interpolated from the segment.

Perpendicular to Segment Snap can be used in these controls:

  • Coordinate

To use a Perpendicular to a Segment Snap:

  1. While in a coordinate control, right-click in a graphic view, and select Perpendicular > Perpendicular to Segment Snap from the context menu. The Perpendicular to Segment Snap command pane displays.
  2. Pick a line segment in the view. The line is recorded in the Line segment box.
  3. Pick a point or type a coordinate in the Reference point box. The coordinate is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Perpendicular to Line Snap

Use this command to calculate a perpendicular intersection from a point to a line or arc. The entire length of the line or arc is used in the calculation. You can also calculate a perpendicular intersection of a point to a horizontal alignment (HAL).

Perpendicular to Line Snap can be used in these controls:

  • Coordinate

To use a Perpendicular to Line Snap:

  1. While in a coordinate control, right-click in a graphic view, and select Perpendicular > Perpendicular to Line Snap from the context menu. The Perpendicular to Line Snap command pane displays.
  2. Pick a line or a HAL in the view. The line or HAL is recorded in the Line box.
  3. Pick a point, or type a coordinate in the Reference point box. The coordinate is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Point of Intersection Snap

Use this command to calculate the point of intersection (PI) of a selected arc, spiral, or parabola. No elevation is set using this option.

Point of Intersection Snap can be used in these commands:

  • Coordinate

To use a Point of Intersection Snap:

  1. While in a coordinate control, right-click in a graphic view, and select Point of Intersection Snap from the context menu. The Point of Intersection Snap command pane displays.
  2. Pick a spiral, arc, or parabola in the view. The intersection coordinates are recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Point Snap

Use this command to specify the coordinates of a point ID. The elevation of the point is used as the Z value.

Point Snap can be used in these controls:

  • Coordinate

To use a Point Snap:

  1. While in a coordinate control, right-click in a graphic view, and select Point Snap from the context menu. The Point Snap command pane displays.
  2. Pick a point in the view, or type a point name in the Point ID box. The coordinates are recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Tangent Snap

Use this command to calculate a point on an arc tangent to a previous point. No elevation is set using this option.

Tangent Snap can be used in these commands:

  • Coordinate

To use a Tangent Snap:

  1. While in a coordinate control, right-click in a graphic view, and select Tangent Snap from the context menu. The Tangent Snap command pane displays.
  2. Pick a point, or type a coordinate or point ID in the Reference Point box.
  3. Pick an arc. The coordinates on the arc tangent to the reference point are recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


XY Snap

Use this command to calculate a point based on the easting (Y-coordinate) of the first point you pick, and then to the northing (X-coordinate) of the second point you pick. If the second point has an elevation, it will be used for the Z value.

XY Snap can be used in these commands:

  • Coordinate

To use an XY Snap:

  1. While in a coordinate control, right-click in a graphic view, and select XY Snap from the context menu. The XY Snap command pane displays.
  2. Pick a point, or type a coordinate or point ID in the Easting of point box.
  3. Pick a point, or type a coordinate or point ID in the Northing of point box. The coordinate is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Enter a Distance

Use the Distance control to specify a distance. Typically, this is a horizontal distance. When calculating 3D points, the horizontal distance can also be a slope distance (SD) and you will be alerted as such. "Distance" appears in the status bar when this control is active.

Distance control is used in these commands:

  • Bearing Distance Snap
  • Distance Distance Snap
  • DxDy Snap
  • Distance + Distance Snap
  • Factor of Distance Snap

Distance control gives you access to these commands on the context menu:

  • Distance + Distance Snap
  • Factor of Distance Snap
  • Point to Point Snap
  • Radius of Arc Snap

To specify a distance:

  • Pick a point in a graphic view. With the cursor "rubber-banding", pick another point to specify the distance.
  • Pick a line or line segment; the length of the segment will be used as the distance.
  • Type a value in the Distance box to specify the horizontal distance or slope distance (SD), using any of the standard entry formats. Check and set the entry format in the Project Settings by selecting Project > Project Settings > Units > Distance.

    Note: When specifying a distance and slope from a point in the profile view, the distance is always horizontal.

  • Type a point ID to point ID (e.g. 1>2), to recall the distance between two points.
  • Type a distance using mathematical operators or an expression to calculate the distance. The valid operators are + - * / and ( ) for expressions.
  • Type a distance in non-project units by including a character for the unit type. For example, if your project is using feet but you have data in meters, you can enter 3m to specify 3 meters. The unit you enter is converted to the project units.
  • Right-click in a graphic view, select a snap command from the context menu, and specify the necessary parameters.

Note: In commands where the direction is not determined, the cursor will "rubber band" as a circle. The center point is the anchor point , and the circle is drawn through the second point.

Related topics

COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Distance + Distance Snap (distance)

Use this command to calculate a distance by adding two distances. Either distance can be negative.

Distance + Distance Snap can be used in these controls:

  • Distance
  • Offset

To use a Distance + Distance Snap:

  1. While in a distance or offset control, right-click in a graphic view, and select Distance + Distance Snap from the context menu. The Distance + Distance Snap command pane displays.
  2. Pick two points or a line segment, or type a value in the Distance 1 box.
  3. Pick two more points or a line segment, or type a value in the Distance 2 box. The distance is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Factor of Distance Snap (distance)

Use this command to calculate a distance by applying a multiplication factor to a distance.

Factor of Distance Snap can be used in these controls:

  • Distance
  • Offset

cg_snap distance factor

To use a Distance Factor Snap:

  1. While in a distance or offset control, right-click in a graphic view, and select Factor of Distance Snap from the context menu. The Factor of Distance Snap command pane displays.
  2. Pick two points, or a line segment in the view, or type a value in the Distance box.
  3. Type a factor value greater than zero (>0) in the Multiplication Factor box. For example, type 2 for 200% of the distance.
  4. Click OK. The distance is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Point to Point Snap (distance)

Use this command to calculate the distance between two points.

Point to Point Snap can be used in these controls:

  • Bearing
  • Distance
  • Offset

To use a Point to Point Snap:

  1. While in a distance control, right-click in a graphic view, and select Point to Point Snap from the context menu. The Point to Point Snap command pane displays.
  2. Pick a point in the view, or type a coordinate or point ID in the From point box.
  3. Pick a point, or type a coordinate or point ID in the To point box. The distance is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Radius of Arc Snap (distance)

Use this command to calculate a distance based on the radius of an arc.

Radius of Arc Snap can be used in these controls:

  • Distance
  • Offset

To use a Radius of Arc Snap:

  1. While in a distance or offset control, right-click in a graphic view, and select Radius of Arc Snap from the context menu. The Radius of Arc Snap command pane displays.
  2. Pick an arc in the view. The arc's radius is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Enter an Elevation

Use the Elevation control to specify an elevation. You can snap to any 3d object to specify the elevation. "Elevation" appears in the status bar when the control is active.

Elevation controls give you access to these commands on the context menu:

  • Elevation Undefined Snap
  • From Surface Snap
  • At Point Snap
  • Along Line Snap

To specify an elevation:

  • Pick an object in a graphic view to use its elevation. If you pick a line, the elevation will be interpolated along the slope of the line, based on the position you pick.
  • Type a value or a point ID in the Elevation box.
  • Right-click in a graphic view, select a snap command from the context menu, and specify the necessary parameters.

Related topics

COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Undefined Snap

Use this command to specify that the elevation is undefined. Use it when no elevation is required.

Undefined Snap can be used in these controls:

  • Elevation

To use an Undefined Snap:

  1. While in an elevation control, right-click in a graphic view, and select Undefined Snap from the context menu. The Elevation box is filled with a ? to show that the elevation is valid as undefined.
  2. Click OK, if necessary.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


From Surface Snap

Use this command to calculate the elevation of a point on a 3D surface. The elevation of the X,Y position on the surface will be used as the Z value.

From Surface Snap can be used in these controls:

  • Elevation

To use a From Surface Snap:

  1. While in an elevation control, right-click in a graphics view, and select Point to Point Snap from the context menu. The Point to Point Snap command pane displays.
  2. Pick a surface in the view, or select one from the Surface list.
  3. Pick a point on the selected surface, or type a coordinate in the Point box. The elevation at that point on the surface is recorded, and the command pane returns to the previous command, if necessary.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


At Point Snap

Use this command to specify an elevation using the elevation of a named point .

At Point Snap can be used in these controls:

  • Elevation

To use an At Point Snap:

  1. While in an elevation control, right-click in a graphic view, and select At Point Snap from the context menu. The At Point Snap command pane displays.
  2. Pick a named point in the view, or type a point ID in the Point box. The elevation of the point is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Along Line Snap

Use this command to specify an elevation using the elevation at a location along a 3D line.

Along Line Snap can be used in this control:

  • Elevation

To use an Along Line Snap:

  1. While in an elevation control, right-click in a graphic view, and select Along Line Snap from the context menu. The Along Line Snap command pane displays.
  2. Pick a 3D line in the view. A "rubber-band" line appears between your cursor and the line.
  3. Using the rubber-band line, pick a point along the line, or type a distance from the beginning point of the line (in station format) in the Distance Along box. The elevation at that location is recorded, and the command pane returns to the previous command, if necessary.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Enter an Offset

Use the Offset control to specify an offset from a given line. "Offset" appears on the status bar when the control is active.

Offset controls give you access to these commands on the context menu:

  • Distance + Distance Snap
  • Distance Snap
  • Factor of Distance Snap
  • Offset at Point Snap
  • Point to Point Snap
  • Radius of Arc Snap

To specify an offset:

  • Pick a point in a graphic view to define the coordinate through which the offset will pass. The control uses the perpendicular distance from the line to the specified position to calculate the offset distance.
  • Type a distance value in the Offset box. From the end of the line closest to where it was picked, looking to the other end, positive offsets are to the right and negative offsets are to the left of the line.
  • Right-click in a graphic view, select a snap command from the context menu, and specify the necessary parameters. The At Point Snap command gives you the ability to use any of the point snap modes to specify the offset distance from a specific point to the line.

Related topics

COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Distance + Distance Snap (offset)

Use this command to calculate an offset by adding two distances. Either distance can be negative.

Distance + Distance Snap can be used in these controls:

  • Distance
  • Offset

To use a Distance Plus Distance Snap:

  1. While in a distance or offset control, right-click in a graphic view, and select Distance + Distance Snap from the context menu. The Distance + Distance Snap command pane displays.
  2. Pick two points or a line segment, or type a value in the Distance 1 box.
  3. Pick two more points or a line segment, or type a value in the Distance 2 box. The total distance is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Distance Snap

Use this command to calculate an offset based on the distance between two points, or based on the length of a line segment..

Distance Snap can be used in these controls:

  • Offset

To use a Distance Snap:

  1. While in an offset control, right-click in a graphic view, and select Distance Snap from the context menu. The Distance Snap command pane displays.
  2. Pick two points or a line segment in the view, or type a value in the Distance box. The distance or length of the line segment is recorded.
  3. Click OK. The command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Factor of Distance Snap (offset)

Use this command to calculate an offset by applying a multiplication factor to a distance.

Factor of Distance Snap can be used in these controls:

  • Distance
  • Offset

cg_snap distance factor

To use a Factor of Distance Snap:

  1. While in a distance or offset control, right-click in a graphic view, and select Factor of Distance Snap from the context menu. The Factor of Distance Snap command pane displays.
  2. Pick two points or a line segment in the view, or type a value in the Distance box.
  3. Type a factor value greater than zero (>0) in the Multiplication Factor box. For example, type 2 for 200% of the distance.
  4. Click OK. The offset distance is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Offset at Point Snap

Use this command to specify an offset from a line by picking a point at a distance away from the line.

Offset at Point Snap is used in these controls:

  • Offset

To use an Offset at Point Snap:

  1. While in an offset control, right-click in a graphic view, and select Offset at Point Snap from the context menu. The Offset at Point command pane displays.
  2. Pick a point in the view, or type a point ID or coordinate in the Point box using one of the standard formats. The command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Point to Point Snap (offset)

Use this command to compute the offset between one point and another point.

Point to Point Snap can be used in these controls:

  • Offset

To use a Point to Point Snap:

  1. While in an offset control, right-click in a graphic view, and select Point to Point Snap from the context menu. The Point to Point Snap command pane displays.
  2. Pick a point in the view, or type a coordinate or Point ID in the From point box.
  3. Pick a point, or type a coordinate in the To point 2 box. The offset distance is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Radius of Arc Snap (offset)

Use this command to calculate an offset based on the radius of an arc.

Radius of Arc Snap can be used in these controls:

  • Distance
  • Offset

To use a Radius of Arc Snap:

  1. While in a control, right-click in a graphic view, and select Radius of Arc Snap from the context menu. The Radius of Arc Snap command pane displays.
  2. Pick an arc in the view. The arc's radius is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Enter a Station

Use the Station control to specify a station on a selected alignment. The station is calculated from the specified point to a perpendicular point on the alignment. "Station" appears on the status bar when the control is active.

Station control is used in these commands:

  • Offset Line Snap
  • Offset Segment Snap

Station control gives you access to this command on the context menu:

  • Station at Point Snap
  • Station From Line Snap

To specify a station:

  • Pick a point along an alignment in a graphic view.

    Note: When the station control is active the cursor will "rubber-band" from a horizontal alignment (HAL).

  • Type a value in the Station box, using any of the standard entry formats. Check and set the entry format in the Project Settings by selecting Project > Project Settings > Units > Station.

    If you have defined an alignment and station equations, you can enter the station and segment. If there is more than one roadway that uses the alignment, only the first one found is used. An alignment with two station equations has three segments: one before the first equation, one between the two equations and one after the second equation. To define the station and segment enter "(station):(segment)" e.g., 14000:3. If no segment is specified, the first segment containing the specified station will be used. You can also specify an absolute distance along an alignment, regardless of station equations or beginning station, by typing zero (0) for the segment number, e.g., 14000:0.

  • Right-click in a graphic view, select a snap command from the context menu, and specify the necessary parameters.

Related topics

COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Station at Point Snap

Use this command to calculate a station based on a point. You must pick the point in a profile view.

Station at Point Snap is used in these controls:

  • Station

To use a Station at Point Snap:

  1. While in a station control, right-click in a graphic view, and select Station at Point Snap from the context menu. The Station at Point Snap command pane displays.
  2. Pick a point in a profile view, or type a coordinate or point ID in the Point box. The coordinate or point ID is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Station from Line Snap

Use this command to calculate a station value from a point perpendicular to an alignment or line.

Station from Line Snap is used in these controls:

  • Station

To use a Station from Line Snap:

  1. While in a station control, right-click in a graphic view, and select Station from Line Snap from the context menu. The Station from Line Snap command pane displays.
  2. Pick a line in a graphic view.
  3. Pick a point along the line, or type a value in the Station box, to specify a station. The station is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Station at Crossing Line Snap

Use this command to calculate a station value along an alignment or line where another line planimetrically intersects it.

Station at Crossing Line Snap is used in these controls:

  • Station

To use a Station from Crossing Line Snap:

  1. While in a station control, right-click in a graphic view, and select Station at Crossing Line Snap from the context menu. The Station at Crossing Line Snap command pane displays.
  2. Pick a line that intersects with the originally selected alignment or line in a graphic view. The station at the intersection of is recorded, and the command pane returns to the previous command.

Related topics

Understanding COGO Controls

COGO Expressions, Units, and Entry Formats

Snaps Modes and Commands


Measure Values Between Points

Calculate and report values between points in your project.

  • In the plan view, the command measures bearing and distance.
  • In the profile view, it measures the delta station, slope, and slope distance.
  • In the cross-section and surface slicer views, it measures delta offset, slope, and slope distance.

To measure values between two points:

  1. Do one of the following:
    • Click the [image] icon on the toolbar.
    • Select Tools > Measure.

      The Measure command pane displays.

  2. Pick the first point in a graphic view or type a point ID or coordinate (in the format X,Y) in the From box.

    Note: You can also right-click in the view to access COGO controls and snaps when picking points.

  3. Pick another point or type a point ID or coordinate in the To box. The measured values appear in the Results group.
  4. To measure other values, continue picking From and To points.

    Note: You can change to a different graphic view between measurements.

  5. Click Close.

Related topics

Measure Options

Calculate the Inverse Between Points

Customize and Run a Report


Measure Options

Use these options to calculate and report the bearing, distance, slope, slope distance, delta offset, and delta station between any two points, depending on which graphic view you use. They are available in the Measure command pane.

Options

From/To

Pick points in graphic views, or type point IDs or coordinates (in the format X,Y) in the boxes, and click Measure or press [Enter].

Results

This shows the values between the selected points:

Slope - In the Cross-section View, the slope is relative to the alignment centerline.
In the Surface Slicer View, the slope is relative to the first point of the line.

Offset - In the Cross-section View, the offset is relative to the centerline.
In the Surface Slicer View, the offset is relative to the first point of the line.

Measure

When you type in To and From points, this acts as the [Enter] key, calculating the Results.

Related topics

Measure Values Between Points


Measure Angles

Measure the angle between three selected locations and/or named points (points with IDs).

To measure an angle:

  1. Select Survey > Measure Angle. The Measure Angle command pane displays.
  2. Verify the correct measurement type is selected in the Options box.
  3. Click in the Start point box and select the point or location in Plan view. The point or coordinate you selected is displayed in the Start point box and the cursor moves to the Pivot point box.
  4. Select the pivot point or location in Plan view. The point or coordinate you selected is displayed in the Pivot point box and the cursor moves to the End point box.
  5. Select the end point or location in Plan view. The point or coordinate you selected is displayed in the End point box and the measure angle is displayed in the Result box.

    You can continue to select different points or locations for the end point to display additional angles in the Result box.

    Note: As an alternative to selecting points and/or locations in the Plan View, you can type point IDs or coordinates directly in the point boxes.

    You can click the Reset icon located at the top of the pane to clear all measurements and results.

    You can click the Clear button located beneath the Result box to remove all angles displayed in the Result box.

Related topics

Measure Angle Options


Measure Angle Options

Use these options to measure the angle between three selected locations and/or named points (points with IDs). They are available in the Measure Angle command pane.

Options

Start point

Click in the box and then select the start point in Plan View, or type the point ID or coordinate in the box.

Pivot point

If you selected the start point by selecting it in Plan View, the cursor automatically moves to this box. If you typed the point ID or coordinate in the Start point box, click in this box.

Select the pivot point in Plan View, or type the point ID or coordinate in the box.

End point

If you selected the pivot point by selecting it in Plan View, the cursor automatically moves to this box. If you typed the point ID or coordinate in the Pivot point box, click in this box.

Select the end point in Plan View, or type the point ID or coordinate in the box.

The measured angle is displayed in the Result box.

You can continue to select different points or locations for the end point to display additional angles in the Result box.

Options

Select the appropriate measurement method.

Result

Displays the measured angle.

Related topics

Measure Angles


Reference: Regular Expressions

A regular expression is a formula composed of characters and operators that represent a specific pattern. This formula is used to locate text strings that match this pattern.

A simple example is searching your computer for a list of all the files that have the .txt extension. To do this, you use the substitution formula *.txt where * represents any alphanumeric characters A-Z or 0-9. Similarly, regular expressions allow you to create a formula that represents the text pattern to search for.

Regular expressions can be simple or very complex. For example, you can write expressions to search for a:

  • specific sequence of characters
  • specific format such as (999)999-9999 to find phone numbers
  • special characters such as spaces or tabs
  • repeated words (or any text string)
  • one text string always followed by another text string

By using operators in your expression, you can find text that matches a pattern or text that does NOT match the pattern.

Sample Regular Expressions

Regular expressions can be used in several commands. There are samples for these commands that you can copy-and-paste, and then edit as needed.

  • Samples Import Format Editor command
Samples for the Advanced Select command
To select objects with an alphanumeric property (such as name, point ID, or feature code) | Use this expression (not case-sensitive) | Examples
with a specific character in any position | a (where "a" is the character) (equivalent to *a* wildcard) | a will select apple, cat, and era (if in your data for each example)
with a specific character in the first position | ^a (where "a" is the character) (equivalent to a* wildcard) | ^1 will select 1, 15, and 129F
with a specific character in the second position in the name | ^.a (where "a" is the character) | ^.b will select aba, 1b2, and ab2
with a specific character in the third position in the name | ^..a (where "a" is the character) | ^..n will select control, and b2new (additional periods can be added to specify further positions in the string)
with a specific character in the last position | a$ (where "a" is the character) (equivalent to *a wildcard) | s$ will select control point 205 s and cas
starting and ending with specific characters | ^a.*b$ (where "a" and "b" are the characters") | ^p.*s$ will select pipes and points
with one specific name (or part of a name) or another | ab|cd (where "ab" and "cd" are the names") | bush|shrub will select all objects with bush, bushes or shrub (feature codes, for example) as all or part of the name
numerically or alphabetically ranging from one number or letter to another | ^[a-d] (where "a" and "d" are the characters or numerals") | ^[2-5] will select 2, 5, and all other objects with numbered properties between them
that include a decimal (point or comma) | \. or \, | \. will select 1.0 and 0.025
that start with one or another specific character | ^[ab] (where "a" and "b" are the characters or numerals") | ^[89] will select 8, 82, or 919
numerically or alphabetically ranging from one number or letter to more than one choice of number or letter repeated a specified number of times | [b-de]{x} (where "b", "d", "e" and "x" are the characters or numerals") | [1-56]{4} will select 1111, 4444, and 6666

More information

For more short examples, see:

http://www.regular-expressions.info/reference.html.

Syntax details are located at:

http://en.wikipedia.org/wiki/Regular_expression

For a quick tutorial on regular expressions, visit:

http://www.codeproject.com/dotnet/RegexTutorial.asp

Related topics

Definition Options

Description and Search Type Options

General Properties Options

Fields Options

Import Data in a Custom Format


Work with GNSS Data

In This Chapter

Occupation Spreadsheet

Vector Spreadsheet

Time-Based View

Planning Utility

Check GNSS Data

Check Sessions and Occupations

Process Baselines

Process Event Data

Use a Custom Antenna.ini File


Planning Utility

Use the Planning utility to plan and schedule a GPS project based on good and bad satellite coverage information.

To access the utility:

  • Select Tools > Planning.

Note: The Planning software has its own help system. Open the utility and select Help > Index from the Planning menu or press [F1] within the software.


Check GNSS Data

In This Section

Verify Static and Kinematic Data

Run a Point List Report

Run a Point Derivation Report

Calculate the Inverse Between Points

Inverse Options


Verify Static and Kinematic Data

After importing and checking-in your GNSS data, verify that it meets the quality acceptance criteria set in the Project Settings. Data not meeting the criteria is flagged in views, and listed in the Flags pane.

Identifying data in the Project Explorer

After data check-in, sessions are identified by specific icons.

Data Type | Icons
Static |
Kinematic |

To view point derivations:

  1. Select one or more points from the Flags pane, the Project Explorer, or a data view.
  2. Right-click and select Point Derivation Report from the context menu. The Point Derivations report displays detailed information about each point.

To remove a bad point from your project:

  1. Select one or more points from the Flags pane, the Project Explorer, or a data view.
  2. Right-click and select Delete from the context menu.

To view a summary of imported files:

  • Select Reports > Import Summary. The Import Summary report displays.

Related topics

Flags Pane

Project Explorer

Run a Point Derivation Report


Run a Point List Report

Generate a Point List to see a simple summary of the coordinates for each point in your project.

To run a Point List report:

  • Select Reports > Point List.

    The Point List displays in your default Web browser.

    Note: Only ten reports can appear on the Reports menu. To control which reports appear, select Reports > Report Options, and set the Show on reports menu property in the Settings group. If the property is set to Yes for more than ten reports, the first ten (in alphabetic order) will show on the menu. Any report that does not appear on the menu can always be run from the Report Options pane by selecting it and clicking the [image] icon at the top of the pane.

To modify the report:

  • Select Reports > Report Options. Select Point List in the command pane, and click OK.
  • In the Settings group at the bottom of the command pane, you can specify the type of coordinates (grid, local, or global), and the type of data to display. The data options include quality control information such as scale factors and convergence angle.

Tip: Click a point ID in the report to select the point in graphic views and the Project Explorer.

Related topics

Customize and Run a Report


Run a Point Derivation Report

Generate a Point Derivation Report to see details on the survey data used to calculate the final coordinates of points in your project.

To run a Point Derivation Report:

  • Select Reports > Point Derivation Report.
  • Select Reports > Report Options. Select Point Derivation Report in the command pane, and click OK.

    The Point Derivation Report displays in your default Web browser.

Tip: Click a point ID or coordinate in the report to select the point in graphic views and the Project Explorer.

Related topics

Customize and Run a Report


Calculate the Inverse Between Points

Calculate and report inverse values between any two points in your project, such as:

  • Grid distance
  • Change in elevation
  • Geodetic azimuth

To calculate the inverse between two points:

  1. Do one of the following:
    • Click the [image] icon on the toolbar.
    • Select Survey > Inverse.

      The Inverse command pane displays.

  2. Select Sequential to calculate values from point to point in series (as if drawing a multi-segment line), or Radial to calculate values from one point to multiple other points (as if drawing a fan).

    Note: You can switch between Sequential and Radial after picking any pair of points.

  3. Pick the first point in a graphic view, or type a point ID in the From box.

    Note: You can also right-click in the view to access COGO controls and snaps when picking points.

  4. Pick another point, or type a point ID in the To box. The point IDs appear in the Reported Points group, and the inverse values appear in the Details group.

    Note: If Free appears in the Reported Points list, no point with a point ID was within the pick aperture. To prevent picking where there are no points, click the i_show snap options icon on the Inverse command pane's toolbar. In the Snap Mode dialog, uncheck Free, and click OK.

  5. To calculate additional inverses, continue picking To points.
  6. To review the details for any inverse, click in the first column of the Reported Points list.
  7. To change inverse report options, click the [image] icon to display the Report Options command pane. When you are done, click OK to return to the Inverse command.
  8. To generate the Inverse Results report, click the [image] icon at the top of the Reported Points group. The Inverse Results report displays in your default web browser.

    Note: If no coordinate system is defined, the Select Coordinate System dialog displays. Define a coordinate system and run the report again.

  9. Click Close.

Related topics

Customize and Run a Report

Inverse Options

Measure Values Between Points


Inverse Options

Use these options to calculate and report the azimuth, distance, and other relationships between any two points. They are available in the Inverse command pane.

Options

i_show snap options

Click this on the Inverse command pane's toolbar to display the Snap Mode dialog, where you can enable and disable running snap modes.

Inverse

From/To

Pick points in graphic views, or type point IDs in the boxes and click Apply or press [Enter].

Note: If Free appears in the Reported Points list, no point with a point ID was within the pick aperture. To prevent picking where there are no points, click the i_show snap options icon on the Inverse command pane's toolbar. In the Snap Mode dialog, uncheck Free, and click OK.

Sequential – Data is collected in a line, and you want to verify distances around the traverse.

  • For example, you will need to click on:

    A to B, B to C, C to D, D to E, and E to A.

Radial – Data is collected in a ray, and you want to check distance from the base station.

  • For example, you will need to click on: A to B, A to C, A to D, and A to E.

Reported points

Click this to display the Inverse Results report in your default web browser.

Click this to display the Report Options command pan, in which you can specify heading, footer, and format settings for the Inverse Report.

From point ID/

To point ID

Click in the first column of any row to list details for the inverse of the points.

Details

This shows the azimuths, changes in elevation and height, and three distances of the selected inverse:

  • Grid
  • Ellipsoidal
  • Ground

Apply

This acts as the [Enter] key, when specifying points, moving the focus between From, To, and Reported Points.

Related topics

Calculate the Inverse Between Points


Check Sessions and Occupations

In This Section

Check Sessions

Time-Based View Options

Edit Sessions

Session Editor

Session Editor Options


Check Sessions

After you have imported GPS data, the Time-based View displays your data in a chronological format that makes it easy to visualize how session and occupation times relate to each other, helping you check for valid sessions. In addition, you can select individual sessions or occupations in the view and edit their properties or process baselines.

To check sessions in the time-based view:

  1. Select View > New Time-Based View. The Time-based View displays.
  2. Select an occupation in the chronological view.
  3. Right-click and zoom, or view occupation properties, as needed.
  4. Select a session in the Sessions list.
  5. Right-click and select an edit option, as necessary.

    Tip: You can also double-click an occupation or session/baseline to display and edit its attributes in the Properties pane.

Related topics

Session Editor

Time-Based View

Time-Based View Options


Time-Based View Options

Use these options to view, verify, and edit your session data. You can access them by right-clicking a session or occupation in the time-based view, and selecting from the context menu.

For instructions on navigating the Time-Based View using menu commands, toolbar buttons, and your mouse, see 2D View Navigation.

Options (for Sessions)
Delete | Select this to remove the pair of occupations from the Session list.
Session Editor | Select this to display the Session Editor, in which you can mark satellite data for the baseline processor to ignore, or disable all data from an individual satellite.
Process baselines | Select this to run the Process Baselines command to produce vectors from the raw session data. All selected sessions will be processed. Multiple sessions can be selected by pressing [Ctrl] when selecting.
Properties | Select this to display the Properties pane, enabling you to edit the occupation, antenna, and position properties common to both occupations in the session.
Options (for occupations)
Zoom occupation | Select this to scale the timeline to the extents of the selected occupation.
Zoom session | Select this to scale the timeline to the extents of the session (overlap of the occupations).
Zoom time extents | Select this to scale the timeline to the extents of all sessions in the project. Note: The current time format displays on the status bar. Click it to access the Units section of the Project Settings dialog, where you can change the time format.
Properties | Select this to open the Properties pane, enabling you to change the occupation, antenna, and position properties for the individual occupations.

Related topics

Check Sessions

Session Editor

Time-Based View


Edit Sessions

Visually analyze the quality of the raw satellite data in your sessions, and use the Session Editor to:

  • Cross-out small regions of GPS observations, such as areas containing large numbers of cycle slips. You can also finely adjust cross-out times.
  • Disable problematic data when performing trial-and-error tests to improve baseline solution quality. If you find no improvement in baseline processing results after disabling a satellite, re-enable it.

    Note: Satellites, GPS observations, and selected regions of GPS observations can be disabled and enabled, but some elements are protected and cannot be disabled directly. Items, such as ephemeris and station icons can only be disabled when their parent items are disabled.
    Note: Disabling a satellite also disables all GPS observations associated with the satellite. It is possible to disable individual GPS observations and selected regions of a GPS observation.

To edit sessions:

  1. Do one of the following:
    • Select a session in the plan view or Project Explorer, right-click and select Session Editor from the context menu.
    • Select View > New Time-Based View. In the time-based view, select a session in the Sessions list. Right-click and select Session Editor from the context menu.

    The Session Editor displays.

To cross-out sections of data:

  1. Scan the occupations for gaps, and identify any sections of satellite data that you want to cross-out.
  2. Window around each bad section of an occupation to cross out the data.
  3. To adjust your cross-out, click it. Use the [Shift] or [Ctrl] keys, to multi-select cross-outs. The Selected Time Slot boxes display the begin and end cross-out times.
  4. Edit the times in the Start time and End time boxes as needed. Click the Apply Time Edits button to apply the start and end times all at once.
  5. To clear or reset crossed-out sections, right-click a satellite in the Satellites list and select Remove All Time Slots from the context menu. Use the [Shift] or [Ctrl] keys, to multi-select cross-outs.

To disable a satellite:

Caution: Before disabling a satellite, ensure that the geometry of the satellite constellation will not be adversely affected by removing that satellite.

  1. Scan the occupations for gaps. Gaps in the L1 and L2 carriers could indicate satellite signal cycle slips, invalid range errors, and other signal loss problems.
  2. Identify any satellites that you want to entirely disable.
  3. Select a satellite in the Satellites list, right-click and select Disable Satellite in the context menu. You can also click on the satellite name on the right side. The line of data turns gray when disabled.
  4. Reprocess the baseline and compare the processing results with the results from an earlier processing session.
  5. After comparing the results of the two processing sessions, do one of the following:
    • If the baseline has improved, save the baseline solution to your project.
    • If there is no improvement in baseline quality, re-enable the satellite, and reprocess the baselines.
  6. Click OK.

Related topics

Check Sessions

Session Editor

Session Editor Options


Session Editor Options

Use these options to view and edit your data for an individual session. You can access them by right-clicking a satellite or occupation in the Session Editor, and selecting from the context menu.

Options
View session extents | Check this to scale the timeline to just the extent of the session (overlap of the occupations).

Right-click on a satellite in the Satellites list to access the context menu.

Options
Remove all time slots | Select this to clear all cross-outs from the satellite data.
Enable satellites | Select this to re-add both frequencies of the satellite data to the session so it is used in baseline processing.
Disable satellites | Select this to remove both frequencies of the satellite data from the session so it is not used in baseline processing.

Related topics

Edit Sessions


Process Baselines

In This Section

Workflow for Processing Baselines

Ensure High Accuracy with the Baseline Processor

Understanding Baseline Processing

Enable and Disable Baselines

Disable Dependent Baselines Before Network Adjustment

Trajectories and Vectors

Store Continuous Data as Individual Vectors

Trajectory Options

Apply a Baseline Processing Style

Change Baseline Processor Settings

Change the Baseline Processing Order

Process Baselines

Baseline Processing Options

Run a Baseline Processing Report

Run a GNSS Loop Closure Results Report

Run a Vector List Report

Understanding Baselines and Vectors (for TGO Users)


Workflow for Processing Baselines

  1. Import or download your raw GNSS survey data.
  2. Review and edit the data in the Raw Data Check-in dialog.
  3. Download additional reference station or precise ephemeris data from the Internet, as needed.
  4. Check your occupations in the Occupations Spreadsheet, and baselines in the plan view.
  5. Use the Time-based View to review how occupations and sessions relate to each other, and disable any baselines that should not be processed.
  6. Cross-out sections of poor data, or disable entire satellites in the Session Editor.
  7. Review and edit the baseline processing settings, and save a settings style in the Project Settings dialog.
  8. Process all or selected baselines in your project, changing the processing order, if needed.
  9. Review the processing details in the Baseline Processing dialog.
  10. Run summary and detailed Baseline Processing Reports for one or more sessions.
  11. Use vector statistics, tracking summaries, and residual plots in the processing reports to determine why certain baselines were flagged, or failed to process.
  12. Run a Point Derivation Report, Loop Closure Report, or Vector List Report, if you need more information.
  13. Revisit the Time-Based View, Session Editor, and Baseline Processing settings to disable bad data and adjust acceptance criteria.

    Note: If you disable a baseline that has been processed, the associated vector result will be cleared.

  14. Reprocess the baselines.
  15. Run the Loop Closure command and review the Loop Closure Results. Repeat steps 4-15 as necessary.
  16. Work through the network adjustment workflow.

Note: For guidelines on ensuring the highest accuracy when processing baselines for a static GNSS survey, see Ensure High Accuracy with the Baseline Processor.


Ensure High Accuracy with the Baseline Processor

If all of requirements listed in the table below are met while performing and processing a static GNSS survey, the baseline processor in Trimble Business Center Version 2.40 or higher can provide accuracy as high as:

  • 0.003 + 0.1 ppm (horizontal)
  • 0.005 + 0.4 ppm (vertical)

Property

Requirement for highest accuracy

In the field...

Occupation time

10 minutes + 2 minutes per kilometer

Measurement rate

10 seconds, or more frequent

Space vehicles (SVs)

5 minimum

Position dilution of precision (PDOP)

<2 for minimum PDOP

<15 for maximum PDOP

Geomagnetic K-index

3 maximum
(see http://www.swpc.noaa.gov/alerts/k-index.html)

Environment

Ensure the following:

  • Minimum number of cycle slips
  • Low RF interference
  • Low multipath environment
  • Minimum number of sky obstructions
  • Similar tropospheric conditions at both stations

Receivers/antennas

Ensure the following:

  • Dual-frequency receivers/antennas
  • Geodetic antennas
  • Latest firmware installed
  • Equipment in working condition per manufacturer recommendations
  • Precise height measurements with stable tripods or mounts

In the office...

(Select in Project Settings > Baseline Processing.)

Processing interval

Select "Use all data".

Ephemeris type

Select "Precise".

Antenna model

Select "US National Geodetic Survey Calibration" or the equipment manufacturer's antenna model.

Related Topics

Workflow for Processing Baselines

Process Baselines

Change Baseline Processor Settings


Understanding Baseline Processing

After you have imported and checked-in your GNSS data, you are ready to begin processing baselines to determine and use the highest quality coordinates for each point in your project. Prior to processing, you can specify the antenna model, and ephemeris type to use in the Project Settings. The baseline processor:

  • Looks for overlaps in occupation times. If an overlap is determined to be long enough, it processes the baseline and creates a vector. Overlaps are shown in the Sessions section of the Project Explorer.
  • Determines the processing order for generating the most accurate result. You can override the optimal order, if you choose.
  • Calculates the mean of the coordinates for each individual occupation. The longer the occupation, the more accurate the solution.
  • Processes both static and kinematic occupations, including "stop and go" sessions and continuous sessions.

    Note: Kinematic segments cannot be processed using other kinematic data.

Related Topics

Check-In Raw GNSS Data

Process Baselines

Workflow for Processing Baselines


GNSS Baseline Data Sources

The baseline processor uses measurements made by GNSS receivers to compute baselines. These measurements can be stored and referenced in a variety of file formats that are outlined in Import Data Formats and Export Data Formats, as well as formats from other manufacturer’s receivers (RINEX).

In addition to GNSS measurements, these sources also provide information that is used to determine how the GNSS measurements should be processed, such as when a receiver is stationary at a point, or when it is roving. This allows the baseline processor to categorize the GNSS measurements as shown below:

  • Static / FastStatic
  • Roving and continuous kinematic data
  • Stop and go kinematic data

Baseline Collection Methods

Total measurement time of the occupations

Static

A long, stationary occupation over a single point

FastStatic

Shorter, stationary occupations over multiple points with no data collected between them

Kinematic

Short, stop and go occupations with roving or continuous data between them

Trimble data collector files

These files typically contain information obtained during conventional surveys. The Trimble data collector files can be used to reference GNSS measurements used for post-processing when radio communication is not possible. In this case, the point information is stored in the data collector file and raw GNSS measurements are stored in a related .dat file for later processing. The GNSS measurements referenced by the data collector file are used by the baseline processor to compute baselines that could not be solved in real time.

Although the GNSS measurements are stored in separate .dat files, they can be loaded automatically by the import procedure because of the references in the data collector file itself. They do not have to be loaded as independent files.

Data collector files can include measurements collected during several survey sessions, each session potentially using different survey methods.

Trimble receivers

These files contain the measurements obtained by a Trimble receiver. These files are typically recorded to the receiver memory board, or to a memory card in a Trimble data collector. These files are downloaded from the survey device for processing. The measurements contained in these files are used by the processor to compute baselines using static, FastStatic and kinematic techniques.

Other receiver manufacturers

These files contain measurements obtained by a GNSS receiver. They are similar in content to .dat files, but are stored in the Receiver INdependent EXchange format (RINEX). The RINEX format is an ASCII representation of GNSS data collected by receivers. RINEX files include observation, navigation, and meteorological data.

RINEX files are typically obtained from base stations, such as from the IGS Tracking Network , the Continuously Operating Reference Stations (CORS) in the United States, or from other manufacturers’ software. The processor uses these files just as it does .dat files to obtain vector baseline solutions.

Related topics

GNSS Data Collection Methods


GNSS Data Collection Methods

Static/FastStatic GNSS data

The following distinctions exist between the data collected during a Static survey session and FastStatic survey session.

For Static sessions, the receiver is assumed to:

  • Remain stationary over a single point
  • Collect data for a longer period of time than for FastStatic (30 minutes to several hours)

For FastStatic sessions, the receiver is assumed to:

  • Collect data at several points during a session,
  • Remain stationary while collecting data at each point
  • Not collect data while the receiver is moving between points
  • Collect data for a shorter period of time than for a static session

The most important distinction between Static and FastStatic is the minimum time required for the receiver to record data (the occupation time).

Static occupation times can range from 30 minutes to several hours or more in length for applications requiring the highest levels of precision and repeatability.

In general, longer baselines require longer occupation times. As occupation times increase, so does the confidence in the computed result. The time required to remain on station depends on the satellite constellation. The occupation time decreases as the number of satellites in view increases. Occupation times also depend on the length of the baseline being observed. Longer baselines, in general, require longer occupation times, regardless of the satellite constellation.

Static and FastStatic survey methods offer the highest possible GNSS precisions. Best results are usually achieved when you plan in advance to use Static and FastStatic data collection sessions in conjunction with one another.

Kinematic vs. Static\FastStatic data

The distinction between a Kinematic survey session and Static or FastStatic sessions is the mobile or roving action of the receiver while data is collected; receivers generally do not remain stationary while collecting kinematic data.

Another important distinction between Kinematic and Static/FastStatic survey methods is the occupation time. In Kinematic surveying, the station occupation time is dramatically shortened (after initialization). It can vary from minutes down to seconds, depending on the application. This allows for a highly productive survey; many data points can be collected in a short period of time.

However, this increased productivity has a disadvantage: the attainable precisions are lower than with the Static/FastStatic methods and the shorter occupations are more susceptible to multipath because of the smaller amount of data. The precisions associated with Kinematic surveying limit its use to GNSS applications where high precision is not a requirement.

Kinematic surveying requires an initialization step to solve for the unknown integer ambiguity in the GNSS signal when lock on the satellite is acquired. This ambiguity must be solved for during processing to obtain the high precision results required for survey applications.

Once initialization occurs, you can use short occupations at survey points. During processing, the initialization is applied to subsequent solutions. Therefore, once initialization occurs you only need an occupation time with enough data to obtain the new position.

Roving and continuous kinematic data

Continuous kinematic surveying lets you perform these operations:

  • Map topographic features, such as profiles, cross sections, and contours
  • Map the paths of moving vehicles, such as airplanes or boats

Continuous kinematic surveying has the same restrictions as Stop & Go Kinematic surveying. In Continuous Kinematic surveys, however, the baseline processor can solve for the receiver’s position not only when it is stationary, but also for each GNSS observation made while the rover is moving. Topographic surveys, for example, can be performed by logging data continuously over a project area, provided proper attention is paid to antenna heights.

Note: The baseline processor automatically assigns point IDs to each of the continuous points.

Related topics

GNSS Baseline Data Sources


Baseline Initialization Methods

Initialization is the process in which a receiver initially acquires its location and stores almanac data.

Known Point Initialization

Known Point Initialization (KPI) is the fastest and most reliable of all the initialization types. Both the base and roving receivers are set up on known or previously surveyed points, and the rover stays stationary for at least 30 seconds on its point. The baseline processor uses the known coordinates as additional information during initialization.

Postprocessed On-the-Fly initialization

On-The-Fly (OTF) initialization requires maintaining a lock on five satellites. The base receiver is placed on a known point and collects GNSS measurements. The rover collects measurements for this same time period, but the rover is not required to remain stationary on any point for any specified length of time. The baseline processor can use this data for initialization, even if the rover was moving during the entire time the data was collected.

Static initialization

Static initialization requires the base receiver to occupy a known reference point while the rover occupies any other point. The rover stays stationary on its point for the amount of time required for a normal FastStatic occupation. The occupation time will vary according to the number of satellites available and the type of receivers used in the survey. Consider FastStatic occupation time recommendations and your own experience, based on satellite availability and local conditions.

Reoccupation initialization

Reoccupation initialization is similar to Known Point Initialization, except that the point occupied by the rover is not known ahead of time. Instead the rover occupies a point that was previously occupied in the same kinematic field session. An assumption is made that the baseline processor will be able to solve the baseline from the base to the rover for the previous occupation of that same point. If this assumption proves true, then that previous baseline solution can be used later for initialization. The rover should remain stationary over the previously occupied point for at least 30 seconds.

Known Distance Initialization (Initializer Bar)

Known Distance Initialization (KDI) is used during kinematic surveys and must be selected in the field software. Refer to your field software documentation for details.

Related topics

GNSS Data Collection Methods

GNSS Baseline Data Sources


Enable and Disable Baselines

Turn baselines off or on. Disabled baselines are not processed.

To disable baselines:

  • Select one or more baselines in the Project Explorer, right-click and select Disable.
  • Pick one or more baselines in a graphic view, right-click and select Disable.

    Note: If a baseline has been processed and subsequently disabled, the resulting vector is cleared.

To enable baselines:

  • Select one or more baselines in the Project Explorer, right-click and select Enable.
  • Pick one or more baselines in a graphic view, right-click and select Enable.

To select and disable baselines by duration:

  1. Deselect all objects by clicking a blank space in a graphic view.
  2. Select Select > Advanced Select. The Advanced Select dialog displays.
  3. In the Apply This Selection To group, specify whether to select from the currently selected objects or from all data, and whether to replace or add to the current selection.
  4. Select Baselines in the Data type list.
  5. Click Data with the following property and select Duration in the list.
  6. Type the shortest duration that you want to use for processing baselines in the This value box.

    Note: The duration must be in the time format used used by your computer's operating system, which is likely HH:MM:SS (Hours:Minutes:Seconds).

  7. Click Apply to preview the results, or OK to make the selection and close the Advanced Select dialog.
  8. Press [F11] to display the Properties pane. In the Status box, select Disabled.

Related topics

Compute Project Command


Disable Dependent Baselines Before Network Adjustment

Network adjustment results should be based on a set of independent vectors. The number of independent baselines is equal to n-1, where n is the number of receivers recording data simultaneously. Since the number of possible baselines is (n(n-1))/2, a surveyor must identify the dependant baselines and use one of the procedures below to disable them.

Disable dependent baselines before processing

  1. Download and import all receiver data.
  2. Open the time-based view and click on a single session. Then [Ctrl]-click to select all the baselines using that session.
  3. Open a plan view to view the highlighted baselines of session you are focusing on. You can identify the baselines to use in network adjustment.

    Tip: Use the View Filter Manager to create two user-defined filters, one to display enabled baselines only and another to display disabled baselines only.

  4. Use the context menu to disable dependent baselines.
  5. Run Process Baselines using the independent baselines (enabled).

Disable dependent vectors after processing

  1. Download and import all receiver data and, after appropriate quality assurance, process baselines.
  2. You can use the time-based view to identify baselines created during a single session, or the vector spreadsheet and the plan view to view vectors associated with a single session.
  3. Identify the vectors with worst processing statistics (in the vector spreadsheet) and change the status of the least desirable vectors to disabled. In a session with 3 receivers only one vector would be dependent.
  4. All independent vectors marked as 'enabled' or 'enabled as check' are used in loop closure report. All 'enabled' vectors are tentatively used in the network adjustment.

Tip: You can either disable a dependent vector (created for each processed baseline) or you can disable the associated baseline. If you disable the baseline, the vector is deleted from the project.
Note: As it works now, baselines are selected from the time-based view. In the first workflow, the use can change baseline status in the time-based view. In the second workflow, the sessions can be viewed using the time-based view and the dependent vectors would be selected either from the plan view or the vector spreadsheet.


Trajectories and Vectors

A trajectory is a set of vectors, processed from continuous data, combined and stored as a single object. Using trajectories, instead of individual vectors, lets you select data more quickly, and lets the software display data more efficiently. This is important if your data contains hundreds or thousands of vectors. In addition, if vectors are combined into a trajectory, they can be manipulated as a single object.

Trajectories are created from individual vectors by default. There are times, however, when you may want to store trajectories as individual vectors, such as when you need to delete certain vectors, but not the entire set. You can disable using trajectories in Project Settings.

Note: Although using trajectories is a project setting, it can be changed before processing any set of data. The same set of data, however, cannot be processed as both a trajectory and individual vectors.

Data stored as individual vectors | Data stored as a single trajectory

Trajectories in the Baseline Processing Report

If you process individual vectors, instead of a trajectory, only the total number of vectors are reported. The individual processed or unprocessed vectors that would have been in the trajectory are not reported. Events are reported, regardless of whether you are using trajectories or individual vectors.

Exporting Trajectories

When you export a trajectory, vector or event point position data (ASCII points) is included.

Related topics

Store Continuous Data as Individual Vectors


Store Continuous Data as Individual Vectors

Store individual vectors instead of combining them into a single trajectory when you need the ability to manipulate them separately.

To store trajectories as individual vectors:

  1. Do one of the following:
    • Click Settings in the GNSS Process Baselines dialog.
    • Select Project > Project Settings. The Project Settings dialog displays.
  2. Click Baseline Processing in the left pane.
  3. Click General, and set Store continuous as trajectory to No.
  4. Click OK.

Related topics

Trajectories and Vectors

Trajectory Options


Trajectory Options

Use these properties to control how trajectories display. They are available in the Properties pane when you select a trajectory.

Options
Trace | Select this to show the points connected to form a line. No vectors are shown.
Points | Select to show only points in the trajectory.
Vectors | Select to show all of the points and their vectors.

Related topics

Store Continuous Data as Individual Vectors

Trajectories and Vectors


Apply a Baseline Processing Style

Use baseline processor styles to save processing settings in templates. Then you can quickly apply these styles to projects as needed. Styles are specific to your user name, so you can tailor them to your needs without affecting other users. Although processor styles appear under Project Settings, they are truly application settings; they can applied to any open project.

To apply a baseline processing style:

  1. Do one of the following:
    • Select Project > Project Settings, and click Baseline Processing in the left pane.
    • Click Settings in the Process Baselines dialog.

    The Baseline Processing section of the Project Settings dialog displays.

  2. Select a style in the Baseline Processing Styles list, and click Load.
  3. Click OK in the confirmation message.
  4. To change the style, click an option:
    • To create a new style based on the loaded style, change the settings, click Baseline Processing again, click New, and type a name and description in the New Style dialog.
    • To copy a style, retain the settings of the loaded style, click New, and type a name in the New Style dialog.
    • To rename a style, retain the settings of the loaded style, click New, and type a different name for the style in the New Style dialog. Click OK. Then, select the original style and click Delete. Click Yes.
    • To edit a style, change the settings, and click Save You are prompted to confirm the save because the existing style will be overwritten and Undo is not available. Click Yes.
    • To remove a style from the list, click Delete. You are prompted to confirm the deletion because Undo is not available. Click Yes.
    • To change the current settings to those that were saved in the style, click Load. There is no “current style”. Loading a style simply changes the current state of the project settings in the dialog.
  5. Click OK. The settings in the loaded style are applied to the project.

Related topics

Baseline Processor Settings

Change Baseline Processor Settings


Change Baseline Processor Settings

Use baseline processing settings to control which baselines are processed, how processing is handled, which vectors are accepted, and how they are stored.

To change baseline processor settings:

  1. Do one of the following:
    • Select Project > Project Settings.
    • Select Survey > Process Baselines to display the Process Baselines dialog, and then click Settings.

    The Project Settings dialog displays.

  2. Select the Baseline Processing folder in the left pane.
  3. Click each section and set the options as needed.
  4. Click OK.

Related topics

Apply a Baseline Processing Style

Baseline Processor Settings


Change the Baseline Processing Order

Change the processing order of baselines if you want to override the order determined by the application.

Warning: This software performs careful analysis of coordinate qualities to determine the optimal processing order. Changing the processing order is not recommended.
Note: The order in which you import data can affect the computation results.

To set the baseline processing order:

  1. If baseline processing has begun automatically, click Stop in the Process Baselines dialog.
  2. Click Order.
  3. Select a row by clicking in the far left column.
  4. Click the Top, Up, Down, or Bottom navigation buttons to reposition the selected row in the processing order. Baselines are processed from the top of the list to the bottom.
  5. Click OK to save the new order, or Cancel to restore the optimal order. The Process Baselines dialog redisplays.

Related topic

Process Baselines


Process Baselines

Process baselines to determine and promote the highest quality coordinates for each point in your project. Vectors are created from baselines using these points. You can process all of your project's baselines at once or select a subset to process.

Depending on your software license, you can process L1 data, or multi-frequency data.

To process baselines:

  1. Pick the baselines that you want to process in a graphic view or in the Project Explorer. To select unprocessed sessions, select Select > Select Unprocessed Sessions. To process all of the baselines in your project, do not select anything. Selected baselines are highlighted in graphic views and the Project Explorer.
  2. Do one of the following:
    • Click [image] on the toolbar.
    • Select Survey > Process Baselines.

    The Process Baselines dialog displays, and processing begins. During processing, data for each baseline appears in the dialog.

    Note: The columns in the table can be sorted in ascending or descending order by clicking the column heading. You can also rearrange the table by clicking and dragging the column headings to new locations. When processing completes, the Save button appears.

  3. To halt processing any time, click Stop. To resume, click Process. You can also set baseline processing not to automatically start in Project Settings.
  4. To view the optimal processing order, click Order. To change the order, see Change the Baseline Processing Order.
  5. Click Report to view the Baseline Processing Report. If the processing results are unsatisfactory, edit the sessions and reprocess the baselines.
  6. Click Save to compute the project and display the processed vectors. The points update with the new coordinate values. When you are done processing baselines, you are ready to proceed to loop closure and network adjustment.

To view processed vectors:

In graphic views, unprocessed baselines are blue-green, and processed baselines/vectors are blue. Vectors appear in the Project Explorer underneath their associated sessions. You can also select Baselines or Processed Vectors in the View Filter to see your results more clearly.

For a detailed list of all the processed and saved vectors, use the Vector Spreadsheet. This is helpful if you need to process vectors in groups instead of all at once. To view a list of all the processed vectors in the project, you can also run a Vector List report.

To clear previously saved processing results:

  • Select Survey > Clear Processing Results. The saved results for the last group of vectors processed are deleted, and the vectors are removed from graphic views and the Project Explorer.

Related topics

Baseline Processing Settings

Clear Processing Results

Vector Spreadsheet

Run a Loop Closure Report

Understanding Network Adjustment


Baseline Processing Options

Use these options to review baselines after processing, or to access the processing order, settings, or report. They are available in the Baseline Processing dialog, which you can sort by any column.

Options

Save

After processing, uncheck the results that you do not want to save.

If a single vector is checked, the detailed report displays when you click Report.

Observation

This displays the IDs of the "from" and "to" points in the baseline.

Solution type

Fixed - This denotes that the processor was able to resolve the integer ambiguity with enough confidence to select one set of integers over another.

Float - This denotes that the processor was unable to resolve the integer ambiguity with enough confidence to select one set of integers over another.

X/X - The numbers (Xs) denote the epochs processed/total epochs for the selected trajectories (roving segments).

Horizontal precision (95%)

Shows the horizontal precision of the observation.

Vertical
precision (95%)

Shows the vertical precision of the observation.

This denotes that the precision fell outside of the Flag acceptance criteria, as set in the Quality section of baseline processing settings.

This denotes that the precision fell outside of the Fail acceptance criteria.

RMS

This shows the quality of the solution as a root mean square, based solely on the measurement noise of the satellite ranging observations, independent of satellite geometry.

Length

This displays the distance between antenna phase centers for the processed vector.

Process/Stop/
Save

Click Process to initiate or resume baseline processing.

Click Stop to halt processing.

Click Save to close the dialog, compute the project, and display the processed vectors. The points update with the new coordinate values.

Cancel

Click this to close the dialog and clear the results.

Order

Click this to display the Processing Order dialog, where you can see the optimal processing order and change it if needed.

Report

Click this to display the Baseline Processing Report, which shows the processing results.

If a single vector is selected, the detailed report displays when you click Report.

Settings

Click this to display the Project Settings dialog, where you can change baseline processing settings.

Related topics

Process Baselines


Run a Baseline Processing Report

After you have processed baselines in your project, generate a Baseline Processing Report to view a complete summary of the process and detailed information about each processed baseline. Use these reports to determine which baselines need to be disabled or investigated further, and which settings may need to be adjusted before reprocessing.

The Baseline Processing Report is available in two versions: HTML and RDLC. The contents of both versions of the report are the same. The HTML version displays in your default Web browser. The RDLC version displays on the Report View tab. The RDLC version allows you to easily navigate the report, change the viewing magnification, search for text, and export to a spreadsheet or PDF document.

To customize the report:

  1. Select Reports > Report Options.
  2. In the Reports list, select either Baseline Processing Report (HTML) or Baseline Processing Report (RDLC).
  3. In the Settings section, select properties as necessary.
  4. When you are done, click the Apply or OK button.

To generate and save the report:

  1. To generate the report, do one of the following:
    • To view the RDLC version of the report, select Reports > Baseline Processing Report (RDLC).
    • To view the HTML version of the report, select Reports > Report Options and double-click Baseline Processing Report (HTML) in the Reports list.
    • If you have just processed baselines in your project and the Process Baselines dialog is still open, you can view the Baseline Processing Report for any of the observations listed. Select the row in the Processing Results list, and click the Report button.
  2. To save the report, do one of the following:
    • To save the RDLC version of the report, click the Save icon [image] in the RDLC toolbar, and select to save as either an Excel spreadsheet file or an Acrobat PDF file.
    • To save the HTML version of the report, use the browser's File > Save As feature.

      Note: This is the only way to revisit to a report without regenerating it.

Related topics

Baseline Processing Settings

Customize and Run a Report

Process Baselines


Run a GNSS Loop Closure Results Report

After all the baselines in your project have been processed and saved, run GNSS Loop Closure to generate a GNSS Loop Closure Results report to identify any bad vectors. To ensure that the loop closure results are useful, structure your network so that the baselines create small closed figures. If all the baselines in a loop are from the same session, station setup errors that are common to all the baselines in that session cannot be detected.

The settings used for computing loop closure are set in Report Options.

To run a Loop Closure Results report:

  1. Do one of the following:
    • Select Survey > GNSS Loop Closure.
    • Click [image] on the Survey toolbar.

    The GNSS Loop Closure Results report displays in your default Web browser.

    Caution: Be sure no objects are selected before running loop closure; otherwise, you may get erroneous results.
    Note: Only ten reports can appear on the Reports menu. To control which reports appear, select Reports > Report Options, and set the Show on reports menu property in the Settings group. If the property is set to Yes for more than ten reports, the first ten (in alphabetic order) will show on the menu. Any report that does not appear on the menu can always be run from the Report Options pane by selecting it and clicking the [image] icon at the top of the pane.

  2. Review the failed loop results to determine if there are any bad vectors. Bad lines can be disabled to ensure the quality of your project. If possible, replace a disabled line with a redundant line.
  3. To disable a bad vector:
    • In the vector spreadsheet, hover over the status column for the vector you are going to disable. On the drop-down menu, select Disabled. You can also disable a vector using the Properties pane. The status updates immediately.
    • To disable several vectors at once, multi-select them, and use the Disable Vectors command.
  4. If necessary, disable vectors using different solutions until you are satisfied with the loop closure results. At this point, you are ready to move on to network adjustment.

To set the loop closure computation parameters:

  1. Select Reports > Report Options.
  2. Select GNSS Loop Closure Results in the Reports list.
  3. Expand the Report Setting section in the Settings group.
  4. Edit the report settings as needed.

    Note: When you set the number of legs to use in each loop, if you select a number greater that 3, all loops with 3 or more legs (up to the number specified) are used in the loop closure computation.

GNSS Loop Closure Results Report

Summary

On the left are links that will take you directly to specific sections in the report.

This shows the number of loops, loops that passed, failed, and the pass/fail criteria.

Worst - Click this to select the worst loop in the project (of all those that failed).

Note: The number of legs to use per loop and the pass/fail criteria are set in Report Settings in the Report Options command pane.

Failed Loops

This provides details for each loop that failed the criteria.

Note: Click a vector name or point ID in any of the report sections to select it in the Project Explorer and graphic views.

Observations in Failed Loops

This lists the observations in failed loops and the number of occurrences in each loop.

Occupations in Failed Loops

This shows details about occupations in failed loops and the number of occurrences (the number of lines with bad occupations). This information can assist you in determining if you have a problem with an occupation, perhaps due to an incorrect antenna height.

Click a link in the Point column to select the point and all of the lines in failed loops derived from this point's occupation.

Click a link in the Observations column to select vector that was in a failed loop from this point's occupation.

Related topics

Adjust a Network

Customize and Run a Report


Run a Vector List Report

Generate a Vector List to review the solution types and precisions for all the vectors created from processed baselines in your project. You can customize the report layout as desired, selecting what information to show. You can also select a trajectory and run the report to review the included vectors.

To run a Vector List:

  • Select Reports > Vector List.
  • Select Reports > Report Options. Select Vector List in the command pane, and click OK.

    The Vector List displays in your default Web browser.

Tip: Click a vector name or point ID in the report to select it in the application.

To customize the Vector List:

  • In the Report Options command pane, select Vector List. In the Settings group, expand the Column selection section, and select Show or Hide for each type of data to control which columns show in the report.

Related topics

Customize and Run a Report


Understanding Baselines and Vectors (for TGO Users)

For those familiar with Trimble® Geomatics Office™ (TGO), it may be useful to understand the terminology used in this software. Unlike TGO, this software defines baselines as separate objects from vectors. Prior to processing baselines are created based on synchronous observations at two locations. After these baselines are processed, vectors are created. Here are some of the differences between baselines and vectors:

  • Baselines appear as green lines; vectors appear as blue lines.
  • Disabled baselines are not processed.
  • Vectors are created from baselines that have been processed.
  • When you clear processing results, the vectors are removed from the project.
  • If a baseline has been processed and is subsequently disabled, it will have its vector result removed from the project.
  • Disabled vectors are not used during network adjustment.


Process Event Data

When performing a kinematic or static GNSS survey, the user can use a receiver’s external trigger channel to record the time of one or more events during the survey. These are referred to as "event markers". Each event marker represents the precise time for which the user wants to determine a location (for example, when an aerial photograph is taken). Because event markers do not typically coincide with receiver measurement times, the position for the event marker must be calculated by interpolation during baseline processing in the software.

When a data file containing event data is imported into the software and baselines are processed, the software uses the event data to calculate positions for the event markers, which are displayed as diamond symbols in a trajectory in the Plan View. Following is an example of Plan View showing event markers in "Trace" display mode.

cg_event marker 01

Note: If you import event data from a static GNSS survey, you must force the data to be processed as continuous data using the Force Continuous command.

Before processing event markers, be sure to set baseline processing settings appropriately for the the type of event marker interpolation you want performed.

For instruction on exporting event data, see Export Event Data.

Related topics

Baseline Processing Settings

Export Event Data


Use a Custom Antenna.ini File

GNSS antenna configuration information is stored in the Antenna.ini file and is accessed by the software as necessary when working with GNSS data.

In addition to the standard Antenna.ini file, you can use your own customized Antenna.ini file. This might be useful if, for example, you need to support local, user-defined antenna phase center models for a specific antenna, or support separate phase center models for individual antennas of the same type.

When the same antenna is listed in both the standard Antenna.ini file and the custom Antenna.ini file, the configuration data contained in the custom Antenna.ini file is used by the software.

For additional help in creating a custom Antenna.ini file, contact Technical Support.

Note: To ensure you have the latest GNSS antenna configuration information, select Help > Check for Updates to see if there is a newer Trimble GPS Configuration Files Utility available for download.

Related topics

Trimble Configuration Utility


Work with Total Station Data

In This Chapter

Understanding Total Station Data

Workflow for Total Station Data

View Total Station Data in Project Explorer

Total Station Data Errors

View and Edit Mean Angle Residuals

Run a Mean Angle Report


Understanding Total Station Data

Survey data acquired in the field using a total station and contained in a data file can be imported into the software and integrated, as necessary, with other data collected as part of a survey project (for example, GNSS or leveling data).

Total station data is displayed in the following areas of the software:

  • Project Explorer

    Imported data is displayed in expandable nodes displayed beneath the Import Files node. Data used to define points is displayed in expandable nodes displayed beneath the Points node. You can expand and collapse nodes as necessary to view information. For more information, see View Total Station Data in Project Explorer.

  • Properties pane

    Click any node in the Project Explorer to display its properties in the Properties pane. You can edit certain properties in the pane.

  • Mean Angle Residuals dialog

    Right-click any mean angle node in the Project Explorer and select Mean Angle Residuals to view residuals for the mean angle and, if you want, disable any outlying observations. For more information, see View and Edit Mean Angle Residuals.

  • Mean Angle Report

    Select Reports > Mean Angle Report to view details of how each mean angle was computed. For more information, see Run a Mean Angle Report.

  • Graphical and spreadsheet views

    View point information in any of the available graphic or spreadsheet views.

The type of total station data displayed in the software depends on the station setup type and measurement types used for the survey.

Related topics

Total Station Setup Types

Total Station Measurement Types

Workflow for Total Station Data

View Total Station Data in Project Explorer

View and Edit Mean Angle Residuals

Run a Mean Angle Report


Total Station Setup Types

The software supports any of the following types of station setups in the imported total station data file. The different station setups support specific geometrics of known points for orientation.

Station setup type

Description

single backsight

The coordinate for the occupied point must be keyed in, previously measured, or filled in at a later time.

The coordinate for the backsight or the azimuth to the backsight must be keyed in or previously measured.

All horizontal angles are measured relative to the backsight.

station setup plus (multiple backsight)

The coordinate for the occupied point must be keyed in, previously measured, or filled in at a later time.

The coordinates for the backsights or the azimuths to the backsights must be keyed in or previously measured.

All horizontal angles are measured relative to the first backsight.

This setup has redundant information so it is easy to detect errors in the backsight coordinates, azimuths, or instrument setup.

standard resection

This setup type requires at least two backsight points.

The coordinates for the backsights or the azimuths to the backsights must be keyed in or previously measured.

All angles are measured relative to the first backsight.

This setup can have redundant information so it is easy to detect errors in the backsight coordinates, azimuths, or instrument setup.

Helmert resection

This setup type is a variation of a standard resection setup type. Instead of using least squares to find the best fit of known points and observed data, a Helmert coordinate transformation is used.

refline

This setup type requires two points on a line, or one point and the azimuth of the line.

The coordinate for the first point on the line must be keyed in, previously measured, or filled in at a later time.

The azimuth to the second point or the coordinate for the second point must be keyed in or previously measured.

Related topics

Understanding Total Station Data

Total Station Measurement Types

Workflow for Total Station Data

View Total Station Data in Project Explorer

View and Edit Mean Angle Residuals

Run a Mean Angle Report


Total Station Measurement Types

The software supports any of the following types of measurements in the imported total station data file.

Measurement type | Description
distance offset | The surveyor measures to a convenient point near the object and enters Left/Right, Up/Down and In/Out position offsets so the object position can be calculated from the measured point. You can edit the three offset values and direction after importing the data.
horizontal angle offset | The surveyor measures to the side of the object, then he turns a horizontal angle to the center. The offset is a combination of the slope readings taken to a prism and the horizontal angle after aiming the instrument to the center of the measured object. Because these are measured values, you cannot edit them after importing the data.
vertical angle offset | The surveyor measures to a point above or below the object, then he turns a vertical angle to the center. The offset is a combination of the slope readings taken to a prism and the vertical angle after aiming the instrument to the center of the measured object. Because these are measured values, you cannot edit them after importing the data.
angle offset | The surveyor measures to a point to the side of the object and above/below the object, then he turns a horizontal and vertical angle to the center. The offset is a combination of the slope readings taken to a prism and the angles after aiming the instrument to the center of the measured object. Because these are measured values, you cannot edit them after importing the data.
circular object | The surveyor measures to a point directly in front of a circular object, then he turns an angle to either edge. The center and radius are calculated from these two measurements. Because these are measured values, you cannot edit them after importing the data.
dual prism offset | The surveyor measures to prism A and then to prism B. The position of the rod point is calculated from these measurements and from the B-C distance (the distance from the rod point to the nearest prism) the surveyor keys in. You can edit the B-C distance and prism constants after importing the data.

Related topics

Understanding Total Station Data

Total Station Setup Types

Workflow for Total Station Data

View Total Station Data in Project Explorer

View and Edit Mean Angle Residuals

Run a Mean Angle Report


Workflow for Total Station Data

Use the following steps as a guideline for working with total station data you have imported into a project:

  1. Import the total station data file into your project.

    The data is displayed as nodes located beneath the Imported Files node and the Points node in the Project Explorer.

  2. Click Reports > Import Report to view information about the import and any related messages. The Import Summary report displays in a browser window.
  3. Run a Survey Report to view complete information about imported total station data contained in a .job or .jxl file. For instructions, see Run a Job File Report. Be sure to select the Survey Report style sheet for the report.
  4. In Project Explorer, click the new imported data file node, which is located beneath the Imported Files node, and verify job information in the Properties pane. (See View Total Station Data in Project Explorer.)
  5. If necessary, fill in any coordinates from standard references.
  6. Review the chronology and correctness of the imported data in the Project Explorer.

    Expand the nodes under the Imported Files node and review in chronological order (top to bottom) to ensure data was gathered correctly and good survey practices were followed.

  7. As necessary, view information in the Project Explorer and in the Properties pane to verify information is correct.

    In the Properties pane, you can edit data entered manually in the field. But, you cannot edit measurements made by the device. If you find an error that cannot be corrected because the Properties pane field is read-only, the field crew must re-survey that portion of the project. You can delete the old station nodes that contain errors and import the file that contains the re-surveyed stations. If necessary, you can delete any redundant information.

    Tip: If a coordinate or azimuth appears to be missing, look for it earlier in the file. It could have been keyed in as part of an earlier setup or it may have been determined from a resection. Coordinates determined as part of a traverse appear later in the file because they can only be determined after the traverse is complete.
    Tip: To determine the angle between two observations, expand the nodes under the station from which the first observation is made. Click on that observation to view the horizontal angle to the first backsight. Then, click on the station setup node to view the orientation angle of the first backsight. Add these two numbers to determine the orientation angle of the first observation. Repeat this procedure for the second observation and subtract the two orientation numbers.

  8. In Project Explorer, right-click any mean angle node and select Mean Angle Residuals from the context menu to display the Mean Angle Residuals dialog.

    Use this dialog to view and edit mean angle residuals.

  9. Select Reports > Mean Angle Report to view details of how each mean angle was computed.
  10. Select Reports > Point Derivation Report to see how multiple observed measurements to the same point are being used by the software to compute the resultant coordinate, and how the measurements compare to each other.

    Tip: When viewing the Point Derivation Report, you are especially looking for unacceptably high residuals.

After total station data is imported into your project, you can view it in the graphical and spreadsheet views.

Related topics

Understanding Total Station Data

View Total Station Data in Project Explorer

View and Edit Mean Angle Residuals

Run a Mean Angle Report


View Total Station Data in Project Explorer

Total station data is displayed as individual nodes under two top-level nodes in Project Explorer:

  • Imported Files node

    This top-level node includes one or more data file nodes, each specifying a file containing GNSS, total station, and/or level field data that has been imported into the project. Individual total station nodes display beneath the file node(s) for imported total station data. Total station nodes are typically listed in the same chronological sequence as data was gathered in the field. For more information, see Total Station Nodes Sequence in Project Explorer.

  • Points node

    This top-level node includes a node for each point in the project. Individual total station nodes are displayed as appropriate beneath the points to which they pertain.

You can double-click any node to display its properties in the Properties pane. You can right-click any node to display a context menu that includes other options, depending on the node type.

For a description of how total station nodes are displayed in the Project Explorer, see the following topics:

  • View Imported Total Station Data in Project Explorer
  • View Total Station Data Associated with a Point in Project Explorer

Related topics

Understanding Total Station Data

Workflow for Total Station Data

Total Station Nodes Sequence in Project Explorer

Total Station Data Errors

View and Edit Mean Angle Residuals

Run a Mean Angle Report


View Imported Total Station Data in Project Explorer

Each imported total station data file displays as an expandable node located beneath the Imported Files node in Project Explorer (select View > Project Explorer).

The types of nodes displayed beneath the data file node depend on the station setup type and measurement types contained in the file.

The sequence of nodes (top to bottom) displayed beneath the imported data file node reflects the chronological order in which data was gathered in the field. For more information, see Total Station Nodes Sequence in Project Explorer.

The following table shows the possible node types and their relative position beneath the Imported Files node in Project Explorer.

Note: The following table is not intended to represent a single data file.

Node type example

Description

Imported Files

This is the Imported Files node.

Test.jxl

This is the imported data file node.

The icon represents the source of the data. It is followed by the name of the file.

100 (S1)

This is a station node.

The icon represents the survey instrument type. It is followed by the point ID and an "S" number in parenthesis that uniquely identifies the station.

Used last station setup

This is a note node.

The icon is followed by the first few words of the note.

Single Backsight (99)

This is the station setup node.

The icon is followed by the setup type (in this example, "single backsight") and the associated backsight point ID(s) in parenthesis.

Nodes displayed beneath this one are typically coordinate and azimuth nodes, which show data that was keyed in during station setup.

100

This is a coordinate node.

The icon is followed by a coordinate point ID.

This node is typically displayed beneath a station setup node.

This is a coordinate node from a benchmark. The icon is followed by a coordinate point ID.

Note: To preserve the integrity of raw field data, you cannot edit coordinate properties for an imported coordinate displayed beneath the Imported Files node. However, you can edit coordinates displayed beneath the Points node.

100-99 (A1)

This is an azimuth node.

The icon is followed by the occupation point ID, a dash, and the the observed point ID. This is followed by an "A" number in parenthesis that uniquely identifies the azimuth.

This node is typically displayed beneath a station setup node.

Backbearing 99 (R1)

This is a backbearing node.

The icon and name are followed by the point ID of the first backsight point. This is followed by an "R" number in parenthesis that uniquely identifies the backbearing.

Nodes displayed beneath this one are typically related observation nodes.

100-200 (T41)

100-200 (T42)

These are face 1 and face 2 total station observation nodes.

The icon is followed by the occupation point ID, a dash, and the the observed point ID. This is followed by a "T" number in parenthesis that uniquely identifies the observation.

100-99 (T52)

i_ts observation face 2 100-99 (T53)

These are face 1 and face 2 backsight observation nodes.

The icon is followed by the occupation point ID, a dash, and the the observed point ID. This is followed by a "T" number in parenthesis that uniquely identifies the observation.

201-202 (T54)

This is a dual prism observation node.

The icon is followed by the occupation point ID, a dash, and the observed point ID. This is followed by a "T" number in parenthesis that uniquely identifies the observation.

220-221 (T22)

110-111 (T5)

198-199 (T28)

These are distance, angle, and circle offset nodes.

The icon is followed by the occupation point ID, a dash, and the observed point ID. This is followed by a "T" number in parenthesis that uniquely identifies the observation.

99-100-200 (M3)

This is a mean angle node. It represents the combining and averaging of redundant observations to the same point.

The icon is followed by the backsight point ID, a dash, the occupation point ID, another dash, and the observed point ID. This is followed by an "M" number in parenthesis that uniquely identifies the mean angle.

If the text is displayed in red, the mean angle includes one or more outlier observations (that is, the observations exceed tolerances specified in the Computations > Mean Angles tab in the Project Settings dialog). To disable outlier observations, right-click the node and select Mean Angle Residuals.

For more information on viewing and working with mean angles, see View and Edit Mean Angle Residuals and Run a Mean Angle Report.

Rounds

This is a rounds node. The icon is followed by the word "Rounds".

Displayed beneath it are two or more sets of observations, which are represented by set nodes.

Set 1

This is a set node. It is nested under a rounds node.

The icon is followed by the word "Set" and a number that identifies the set.

Displayed beneath it are nodes representing observations made during the set.

Related topics

Understanding Total Station Data

Workflow for Total Station Data

View Total Station Data in Project Explorer

View Total Station Data Associated with a Point in Project Explorer

Total Station Nodes Sequence in Project Explorer

View and Edit Mean Angle Residuals

Run a Mean Angle Report


View Total Station Data Associated with a Point in Project Explorer

Individual point nodes are displayed beneath the Points node in Project Explorer.

Beneath each point node, all total station, GNSS, and/or level data used to define the point are displayed as individual nodes. For total station data, this includes observation, mean angle, coordinate, and azimuth nodes.

Note: Station, station setup, backbearing, round, and set nodes, which are displayed beneath the Imported Files node, are not displayed under the Points node in Project Explorer.

The following table shows the possible node types and their relative nested position beneath the Points node in Project Explorer.

Node type example

Description

Points

This is the points node.

100

This is an individual point node. The icon is followed by the point ID.

Observations to and from the point are listed as observation nodes beneath it. See the Point Derivation Report (Reports > Point Derivation Report) to see how observations were used to establish the point.

If a point ID is displayed in red, there is a computational error associated with the point. For instructions on viewing computational error messages, see Select from the Flags Pane. For a description of total station errors that can cause a red point ID, see Total Station Data Errors.

Grid (Single Backsight.jxl)

This is a coordinate node.

The icon is followed by the coordinate type and the source of the coordinate in parenthesis.

100-99 (A1)

This is an azimuth node.

The icon is followed by the occupation point ID, a dash, and the observed point ID. This is followed by an "A" number in parenthesis that uniquely identifies the azimuth.

99-100-200 (M3)

This is a mean angle node. It represents the combining and averaging of redundant observations to the same point.

The icon is followed by the backsight point ID, a dash, the occupation point ID, another dash, and the observed point ID. This is followed by an "M" number in parenthesis that uniquely identifies the mean angle.

If the text is displayed in red, the mean angle includes one or more outlier observations (that is, the observations exceed tolerances specified in the Computations > Mean Angles tab in the Project Settings dialog). To disable outlier observations, right-click the node and select Mean Angle Residuals.

For more information on viewing and working with mean angles, see View and Edit Mean Angle Residuals and Run a Mean Angle Report.

100-200 (T41)

This is a face 1 observation node.

The icon is followed by the occupation point ID, a dash, and the observed point ID. This is followed by a "T" number in parenthesis that uniquely identifies the observation.

100-99 (T52)

This is a face 1 backsight observation node.

The icon is followed by the occupation point ID, a dash, and the observed point ID. This is followed by a "T" number in parenthesis that uniquely identifies the observation.

201-202 (T54)

This is a dual prism observation node.

The icon is followed by the occupation point ID, a dash, and the observed point ID. This is followed by a "T" number in parenthesis that uniquely identifies the observation.

220-221 (T22)

110-111 (T5)

198-199 (T28)

These are distance, angle, and circle offset nodes.

The icon is followed by the occupation point ID, a dash, and the the observed point ID. This is followed by a "T" number in parenthesis that uniquely identifies the observation.

Related topics

Understanding Total Station Data

Workflow for Total Station Data

View Total Station Data in Project Explorer

View Imported Total Station Data in Project Explorer

Total Station Data Errors

View and Edit Mean Angle Residuals

Run a Mean Angle Report


Total Station Nodes Sequence in Project Explorer

The sequence of nodes (top to bottom) nested beneath the imported data file node in the Project Explorer reflects the chronological order in which data was gathered. For example, the station setup node is above observations nodes because this is the sequence of events in the field.

Mean angle nodes are beneath rounds and backbearing nodes because observations must occur before calculations.

Even a backbearing node follows this rule, although it may appear not to. Consider a station setup plus in which observations to the backsight points are made to establish the orientation. It may seem as though the observations are collected first and then a backbearing is determined from them. But, what actually happens is very much like a surveyor setting the horizontal plate of a theodolite before making observations. This fixes or establishes the horizontal circle reading until the next time he changes it. Each plate change coincides with a backbearing node.

Performing a new setup is also like changing the plate because the instrument may not be put back exactly the same as a previous setup. Survey Controller will reset the horizontal circle reading to a user value under certain circumstances. This, of course, means a new backbearing node.

In a single backsight setup, this occurs whenever a face 1 observation to the backsight is made. In other setup types, different rules apply.

Related topics

Understanding Total Station Data

Workflow for Total Station Data

View Total Station Data in Project Explorer

View Imported Total Station Data in Project Explorer


Total Station Data Errors

If a point ID is displayed in red in the Project Explorer, there is a computational error associated with the point. For instructions on viewing computational error messages, see Select from the Flags Pane.

The following total station-related computational errors can occur:

Error message | Description
Setup failed to compute | An undefined problem caused all setup computations to fail. No further information is possible.
Using check observation to backsight as fallback | This error occurs when there is only one check observation available to the backsight and it is being used to define the backsight. (Typically, the software does not use check observations for any real computations.)
Azimuth to backsight missing or not computable | This error occurs when the backsight azimuth is not present or some coordinates defining the azimuth are disabled.
Some backsight observations are missing or disabled | This error occurs when some or all backsight observations are either disabled or not present.
Resection computation not possible | This error occurs when numerical problems occurred in the resection mathematics.

Related topics

Understanding Total Station Data

Workflow for Total Station Data

View Total Station Data in Project Explorer

View and Edit Mean Angle Residuals

Run a Mean Angle Report


View and Edit Mean Angle Residuals

A mean angle represents the combining and averaging of redundant observations to the same point. You can view residuals for each observation used to calculate a mean angle using the Mean Angle Residuals dialog. If a residual for an observation exceeds tolerances specified in the Computations > Mean Angles tab in the Project Settings dialog, the observation includes a red flag. The observation is deemed an "outlier" and you should consider disabling it, along with the other observations in the set, so it is not used to compute the mean angle.

Note: For mean angle residuals, all angles are normalized to the range of 0 to 360 degrees expressed in project units. All distances are displayed in project units.
Note: If you delete a mean angle from your project (that is, right-click the mean angle node in the Project Explorer and click Delete), all observations associated with the mean angle are also deleted.

To view and edit residuals for a mean angle:

  1. To display the Mean Angle Residuals dialog, do either of the following:
    • Right-click the mean angle node icon [image] in Project Explorer and select Mean Angle Residuals from the context menu.
    • Select the mean angle in Plan View, then right-click and select Mean Angle Residuals from the context menu.

    If a mean angle includes an outlier observation (that is, the observation exceeds tolerances specified in the Computations > Mean Angles tab in the Project Settings dialog), the node name is displayed in red in the Project Explorer. In addition, the mean angle includes a red error flag in the Plan View.

  2. In the Mean Angle Residuals dialog, review the read-only data displayed in the various boxes in the top half of the dialog.
  3. In the table, review the observations used to compute the mean angle and their residual values.

    If a residual for an observation exceeds tolerances specified in the Computations > Mean Angles tab in the Project Settings dialog, the observation includes a red flag.

  4. If necessary, uncheck the box in the Enabled column for any observation that you do not want used in the computation of the mean angle.

    Typically, you would uncheck (disable) any outlying observations, which include red flags. When you uncheck an observation, you are prompted to disable all observations in the set. To avoid errors, it is recommended that you disable all observations in the set so they are not used to calculate the mean angle(s).

    Note: One set of observations may be used to calculate more than one mean angle. If you disable all of the observations in the set for one mean angle, you are disabling the entire set for any other mean angles it was used to calculate.

    As you enable or disable observations, the means and residuals are re-calculated so you can immediately see the effects of the change. However, these changes are temporary and do not apply to the project until you click Apply or OK.

  5. Optionally, click Report to view the Mean Angle Report.
  6. When you are done, click Apply or OK.

Note: To better estimate standard errors, the software removes collimation errors from the point pairs prior to calculating residuals for mean angles.

Related topics

Understanding Total Station Data

Workflow for Total Station Data

View Total Station Data in Project Explorer

Run a Mean Angle Report


Run a Mean Angle Report

Run a Mean Angle Report to view details of how each mean angle was computed.

To run a Mean Angle Report:

  • Select Reports > Mean Angle Report.
  • Right-click a mean angle node icon [image] in Project Explorer and select Mean Angle Report from the context menu.
  • Click the Report button in the Mean Angle Residuals dialog.

The Mean Angle Report displays in your default Web browser.

Note: Only ten reports can appear on the Reports menu. To control which reports appear, select Reports > Report Options, and set the Show on reports menu property in the Settings group. If the property is set to Yes for more than ten reports, the first ten (in alphabetic order) will show on the menu. Any report that does not appear on the menu can always be run from the Report Options pane by selecting it and clicking the [image] icon at the top of the pane.

The Mean Angle Report includes a separate table for each mean angle in the project. At the top of each table, the point ID, station ID, and backsight ID are displayed. Beneath that, the table includes a row of information for each enabled observation used to compute the mean angle. Information includes observed readings and residual values for the horizontal angle, vertical angle, and slope distance. The last row in the table displays the computed horizontal angle, vertical angle, and slope distance for the mean angle point.

Note: In the Mean Angle Report, all angles are normalized to the range of 0 to 360 degrees expressed in project units. All distances are displayed in project units.
Note: To better estimate standard errors, the software removes collimation errors from the point pairs prior to calculating residuals for mean angles.
Tip: Click any point in the report to select it in the Project Explorer and graphical and spreadsheet views, and display its properties in the Properties pane.

Related topics

Understanding Total Station Data

Workflow for Total Station Data

View Total Station Data in Project Explorer

View and Edit Mean Angle Residuals


Work with Level Data

In This Chapter

Understanding Level Data

Workflow for Level Data

Import DiNi Digital Level Files (.dat)

View and Edit Level Data

View Level Data in Project Explorer

Level Data Errors

Adjust Level Runs

Merge Level Runs

Note on Level Runs Without Benchmarks


Understanding Level Data

Level data acquired in the field using a Trimble DiNi level and contained in a data file can be imported into the software and integrated, as necessary, with other data collected as part of a survey project (for example, GNSS or total station data). During and after import, you can edit the level data as necessary.

Note: The software supports all leveling methods available with the Trimble DiNi Digital Level (0.3 mm per km version and 0.7 mm per km version).

The following diagram shows four segments in a typical level run.

Key to diagram:

  • identifies a control point (point of interest).
  • 1 [image] identifies a benchmark control point.
  • 2 [image] identifies a control point used for a foresight for the preceding segment and a backsight for the following segment.
  • 3 [image] identifies an intermediate control point.
  • 4 identifies a turning point that is used as a foresight for the preceding segment and a backsight for the following segment.
  • 5 [image] identifies a control point that is used as a foresight for the preceding segment. This could also be a benchmark.

Level data is displayed in the following areas of the software:

  • Project Explorer

    Imported data is displayed in expandable nodes nested beneath the Import Files node. Point data is displayed in expandable nodes located beneath the Points node. You can expand and collapse nodes as necessary to view information. (See View Level Data in Project Explorer.)

  • Properties pane

    Click any node in the Project Explorer to display its properties in the Properties pane. You can edit certain properties in the pane.

  • Level Editor dialog

    Right-click the level data file node in the Project Explorer pane and select Level Editor from the context menu to view and edit level data in the Level Editor dialog.

  • Graphical and spreadsheet views

    Points computed from level data are displayed in graphic (if they include x and y coordinates) and spreadsheet views.

Related topics

Workflow for Total Station Data

View and Edit Level Data

View Level Data in Project Explorer

Adjust Level Runs


Workflow for Level Data

Use the following steps as a guideline for working with level data:

  1. Import the level data file into your project.
  2. Review the imported level data in the Level Editor dialog, which displays automatically immediately following import, and make changes as necessary. For example, you can determine which points you want to create for the project, and enable or disable observations.

    Tip: You can also display the Level Editor dialog any time after import by right-clicking the level data file node in the Project Explorer pane and selecting Level Editor from the context menu.

  3. Review the Import Summary report to identify any errors, warnings, or messages associated with the import that require corrective action.
  4. Review the chronology and correctness of the imported data in the Project Explorer.

    Expand the nodes under the Imported Files node and review in chronological order (top to bottom) to ensure data was gathered correctly and good survey practices were followed. (See View Level Data in Project Explorer.)

    If necessary, edit leveling data properties in the Properties pane.

    If you find an error that cannot be corrected because the Properties pane field is read-only, the field crew must re-survey that portion of the project. You can delete the old station nodes that contain errors and import the file that contains the re-surveyed stations. If necessary, you can delete any redundant information.

After level data is imported into your project, you can view the points computed from it in the graphic (if the points include x and y coordinates) and spreadsheet views.

Related topics

Understanding Level Data

View and Edit Level Data

View Level Data in Project Explorer

Adjust Level Runs


View and Edit Level Data

The Level Editor dialog is displayed automatically immediately after you import level data. You can also display it any time after import by right-clicking the level data file in the Project Explorer pane and selecting Level Editor from the context menu. The Level Editor dialog enables you to do the following:

  • View all level readings from the field, and select any reading to be "enabled" (used for computation of level adjustment) or "disabled" (not used for computation of level adjustment).
  • Select which points to import.
  • Select to use raw or adjusted elevations in the project.
  • View the sums of backsight distances and foresight distances.
  • View the total misclosure and individual residuals for benchmarks and coordinates.
  • View the elevation type for each point (benchmark, computed, or coordinate), including the start and end points, and change the elevation type as necessary.
  • Manually enter benchmark heights and qualities.
  • Assign an elevation coordinate already in the project that specifies height and quality that cannot be changed.
  • Adjust level runs to spread any misclosure proportionately throughout all the measurements
  • Merge level runs.
  • Specify whether or not to allow a network adjustment to the level data after import (that is, specify whether level data is imported as observations or coordinates).

Before you get started:

Import level data into the project as described in Import DiNi Digital Level Files (.dat).

To get started:

  1. When you import a level data file, the Level Editor dialog automatically displays. Otherwise, you can display it at any time by doing either of the following:
    • Right-click the imported level data file in the Project Explorer and select Level Editor from the context menu.
    • Click Survey > Level Editor and select the imported level data file in the Select Leveling Files dialog.

    The Level Editor dialog displays a tab for each level run in the data file, allowing you to view and/or edit each run individually.

  2. If more than one Run tab is displayed, select the tab whose run you want to view or edit.

    At the top of the tab, you can view the sum of backsight distances and foresight distances and the total misclosure to identify issues that might require corrective action.

To select options:

  1. At the top of the tab, select one of the following options:
    • Select Use Adjusted Elevations to use elevations in the project that have been adjusted for misclosure. When you select this option, the Correction column is displayed in the table instead of the Misclosure column. The Correction column shows the correction used for the computation of the elevation for each point based on the misclosure value associated with that point.
    • Select Use Raw Elevations to use elevations that have not been adjusted. When you select this option, the Misclosure column is displayed in the table instead of the Correction column. The Misclosure column shows the misclosure value for each benchmark or coordinate in the run.
  2. If necessary, change the name of the run in the Run Name box.
  3. In the Columns box in the lower left section of the dialog, select the columns you want to display in the table.
  4. In the Creation Options box in the lower section of the dialog, select one of the following options:
    • Allow Network Adjustment - Select this option if you want all elevations of interest imported as delta elevations and, therefore, adjusted as part of a network adjustment.
    • Prevent Further Adjustment - Select this option if you want all elevations of interest imported as control coordinates and, therefore, not adjusted as part of a network adjustment.
  5. In the Descriptions box in the lower section of the dialog, select one of the following options:
    • Create Feature Codes - Select this option if the Description field in the level data file contains feature codes. The feature codes are displayed in the software for the selected observation. You can edit feature codes directly in the Description column.
    • Create Field Notes - Select this option if the Description field in the level data file contains field notes. The field notes are represented by nodes beneath the observations in the Project Explorer and can be viewed in the Properties pane. You can edit field notes directly in the Description column.
    • Ignored - Select this option if you do not want to import data contained in the Description field in the level data file.
  6. In the Standard Error box in the lower section of the dialog, edit the standard error values displayed if necessary. The default values displayed come from either the Default Standard Errors > Leveling section in the Project Settings dialog or the imported data file, depending on your selection in the Default Standard Errors section in the Project Settings dialog.

    Note: If, in the Project Settings dialog, you selected to use standard error values from the imported data file but the file does not contain standard error values, the standard error values entered in the Project Settings dialog are used.

    • Per km - This is the standard error on 1 km of double levelling. This value is typically published by the instrument manufacturer.
    • Per turn - This is the standard error for each station setup or turning point. This value is typically used when horizontal distances are not known.

    If values are displayed in both fields, the standard error value used is the square root of the sum of each of the two values squared.

To work with data in the table:

Each station point in the run is displayed in a table, along with the following information about the point (assuming all Columns boxes are checked in the lower left are of the dialog):

  • The point ID
  • Backsight, foresight, and/or intermediate rod readings associated with the point
  • The change in elevation for the point based on the rod reading
  • The raw elevation of the point based on the rod reading
  • If the Use Adjusted Elevation box is checked, the correction required for the computation of the elevation for the point based on the associated misclosure value
  • If the Use Raw Elevations box is checked, the misclosure value for each benchmark or coordinate in the run
  • The adjusted elevation
  • The type of elevation used for the point: benchmark, coordinate, or computed
  • The distance from the instrument to the level rod for each reading
  • If applicable, a description entered for a reading associated with the point
  1. Ensure the boxes in the Create column are checked appropriately.
    • Points you want imported into the project (for example, control points) should be checked.
    • Points you do not want imported into the project (for example, turning points) should not be checked.

    See the following diagram for an example of control points (1, 2, 3, and 5) and a turning point (4).

  2. If necessary, edit any point IDs in the Point ID column.

    If the [image] icon displays following a point ID, the point ID is common to multiple runs. This can occur when the surveyor intentionally references the same point in multiple runs, in which case, no correction is required. It can also occur unintentionally when point IDs are automatically assigned in the level device for each run. In this case, you might need to rename one or more of the duplicate point IDs with unique point IDs, as necessary.

  3. Ensure the enable/disable boxes in the BS (backsight), IS (intermediate), and FS (foresight) columns are checked appropriately.
    • Readings you want included in the computation of a level adjustment should be checked (enabled).
    • Readings you do not want included in the computation of a level adjustment should not be checked (disabled).

      Note: Readings that were aborted in the field are imported as disabled (not checked).
      Note: For each point, there must always be at least one backsight reading and one foresight or intermediate reading. Therefore, you can disable a reading for a point only if the point includes additional readings of the same observation type. For example, if a point includes two backsight readings, you can disable one of them, but not both.

  4. If necessary, in the Elevation Type column change the type of elevation used for any point:
    • Benchmark – Select this option to specify that the elevation for the point be a manually entered benchmark elevation. Any point in the run can be designated as a benchmark.
    • Coordinate – Select this option to specify that the elevation for the point be a coordinate already assigned to the point in the project. A coordinate can be assigned to a point only if there is a corresponding point already in the project with a coordinate elevation.
    • Computed – Select this option to specify that the elevation for the point be computed based on rod readings, benchmark and coordinate elevations entered for the run, and any adjustments performed on the run.
  5. If necessary, for any points assigned a Benchmark elevation type, do the following:
    1. Enter or change the value in the Elevation Type column.
    2. Click the Quality icon and select the appropriate quality option.
  6. If necessary, enter or change any descriptions in the Description column.

To adjust one or more of the level runs contained in the import file:

When a level run is adjusted, any misclosures are distributed proportionately throughout all the measurements in the run.

Note: When multiple intermediate (IS) observations exist for the same point ID in a level run, the software includes the intermediate readings in the level adjustment (the IS boxes will be checked in the Level Editor dialog), just as it is done during a network adjustment. If you do not want these intermediate readings to be included in the level adjustment, either uncheck the IS boxes or rename the associated point IDs so they are not the same.

  1. Click Adjust Runs. The Adjust Runs dialog displays.
  2. In the Adjust Runs dialog, select the runs you want to adjust.

    These runs will all be adjusted simultaneously as one network. When runs have points in common, the recommended procedure is to adjust them together.

  3. Click OK.

To merge level runs contained in the import file:

You can merge two level runs into one run if the last point ID in the first run selected for the merge matches the first point ID in the second run selected for the merge. For example, if the first run selected ends on point "1", the second run selected must start on point "1". This is helpful if two or more level runs were accidentally specified in the field for what should have been a single run (for example, one of the runs does not include a benchmark point). If necessary, you can merge another existing run with the newly created merged run using the same guidelines, and repeat as necessary.

  1. Click Merge Runs. The Merge Runs dialog displays.
  2. In the New Run Name box, enter the name for the new run.

    You can enter the name of one of the runs you are merging, or you can enter a new name.

  3. In the Start With list, select the run whose observations you want to use for the first part of the new run.
  4. In the Add This list, select the run whose observations you want to use for the second part of the new run.
  5. Click OK. The Merge Runs dialog closes and the newly created run tab replaces the two merged run tabs in the Level Editor dialog.

    If necessary, you can now merge another existing run with the newly created merged run using the same guidelines and instructions.

To complete viewing and editing:

  1. Repeat the preceding procedures as appropriate for each run you want to view and/or edit.
  2. When you are done working in the Level Editor dialog, click OK.

    If the Level Editor dialog was displayed as part of a data file import, the import process completes and an Import Summary report displays, showing details of the import. Be sure to review any messages, warnings, or errors contained in the report to determine if any corrective action is required.

Related topics

Understanding Level Data

Workflow for Level Data

View Level Data in Project Explorer


View Level Data in Project Explorer

Level data is displayed as individual nodes under two top-level nodes in Project Explorer:

  • Imported Files node

    This top-level node includes one or more data file nodes, each specifying a file containing GNSS, total station, and/or level field data that has been imported into the project. Individual level nodes display beneath the file node(s) for imported level data. Level nodes are typically listed in the same chronological sequence as data was gathered in the field.

  • Points node

    This top-level node includes a node for each point in the project. Individual level nodes are displayed as appropriate beneath the points to which they pertain.

You can double-click any node to display its properties in the Properties pane. You can right-click any node to display a context menu that includes other options, depending on the node type.

For a description of how leveling nodes are displayed in the Project Explorer, see one of the following topics:

  • View Imported Level Data in Project Explorer
  • View Level Data Associated with a Point in Project Explorer

Related topics

Understanding Level Data

Workflow for Level Data

View and Edit Level Data


View Imported Level Data in Project Explorer

Each imported level data file displays as an expandable node located beneath the Imported Files node in Project Explorer (select View > Project Explorer). The way level data is displayed beneath the level data file node depends on whether the Allow Network Adjustment or Prevent Further Adjustment option was selected in the Level Editor dialog (see View and Edit Level Data).

For the following examples, assume the file being imported is named "test.dat" and contains one level run. The run began on BM1 and ended on BM2. In addition to the benchmarks, the surveyor specified three control points: 1, 2, and 100. The survey went in the direction of 1 toward 2 with 100 as an IS point between 1 and 2.

Example 1: Allow Network Adjustment option selected in Level Editor dialog

This option should have been selected if you want all elevations of interest to be left as delta elevation observations and, therefore, adjusted as part of a network adjustment. The data would display in Project Explorer as follows:

Node type example

Description

Imported Files

This is the Imported Files node.

Test.dat

This is the imported leveling data file.

The icon is followed by the name of the file.

BM1

This is a coordinate node from a benchmark.

The icon is followed by a coordinate point ID.

Note: To preserve the integrity of raw field data, you cannot edit coordinate properties for an imported coordinate.

BM2

This is a coordinate node from a benchmark.

BM1-BM2 (H1)

This is a run node.

The icon is followed by the run's first coordinate point ID, a dash, and the last coordinate point ID. This is followed by an "H" number in parenthesis that identifies the run.

Observation nodes are nested beneath it in chronological order. The data file can include multiple run nodes.

BM1-1 (E1)

This is a delta elevation observation node, which represents the change of elevation between two control points.

The icon is followed by the backsight point ID, a dash, and the foresight or intermediate point ID. This is followed by an "E" number in parenthesis that identifies the observation.

1-100 (E2)

This is a delta elevation observation node.

1-2 (E3)

This is a delta elevation observation node.

2-BM2 (E4)

This is a delta elevation observation node.

Example 2: Prevent Further Adjustment option selected in Level Editor dialog

This option should have been selected if you want all elevations of interest to be converted from delta elevation observations into coordinates and, therefore, not adjusted as part of a network adjustment. The data would display in Project Explorer as follows:

Node type example

Description

Imported Files

This is the Imported Files node.

Test.dat

This is the imported leveling data file.

The icon is followed by the name of the file.

BM1

This is a coordinate node from a benchmark.

The icon is followed by a coordinate point ID.

Note: To preserve the integrity of raw field data, you cannot edit coordinate properties for an imported coordinate.

BM2

This is a coordinate node from a benchmark.

BM1-BM2 (H1)

This is a run node.

The icon is followed by the run's first coordinate point ID, a dash, and the last coordinate point ID. This is followed by an "H" number in parenthesis that identifies the run.

Observation nodes are nested beneath it in chronological order. The data file can include multiple run nodes.

1

This is a coordinate node from an adjustment.

The icon is followed by the point ID.

100

This is a coordinate node from an adjustment.

2

This is a coordinate node from an adjustment.

Related topics

Understanding Level Data

Workflow for Level Data

View and Edit Level Data

View Level Data in Project Explorer

View Level Data Associated with Point in Project Explorer


View Level Data Associated with a Point in Project Explorer

The way imported level data is displayed beneath points in the Points node depends on whether the Allow Network Adjustment or Prevent Further Adjustment option was selected in the Level Editor dialog (see View and Edit Level Data).

Example 1: Allow Network Adjustment option selected in Level Editor dialog

This option should have been selected if you want all elevations of interest to be left as delta elevation observations and, therefore, adjusted as part of a network adjustment. The data would display in Project Explorer as follows:

Node type example

Description

Points

This is the Points node.

All point nodes are located beneath it.

1

This is an individual point node.

The icon is followed by the point ID.

Observation nodes associated with the point are nested beneath it.

If a point ID is displayed in red, there is a computational error associated with the point. For instructions on viewing computational error messages, see Select from the Flags Pane. For a description of level errors that can cause a red point ID, see Level Data Errors.

BM1-1 (E1)

This is a delta elevation observation node, which represents the change of elevation between two control points associated with point 1.

The icon is followed by the backsight point ID, a dash, and the foresight or intermediate point ID. This is followed by an "E" number in parenthesis that identifies the observation.

1-100 (E2)

This is a delta elevation observation node.

1-2 (E3)

This is a delta elevation observation node.

Example 2: Prevent Further Adjustment option selected in Level Editor dialog

This option should have been selected if you want all elevations of interest to be converted from delta elevation observations into coordinates and, therefore, not adjusted as part of a network adjustment. The data would display in Project Explorer as follows:

Node type example

Description

Points

This is the Points node.

All point nodes are nested beneath it.

1

This is an individual point node.

The icon is followed by the point ID. Observation nodes associated with the point are nested beneath it.

If a point ID is displayed in red, there is a computational error associated with the point. For instructions on viewing computational error messages, see Select from the Flags Pane. For a description of level errors that can cause a red point ID, see Level Errors.

1

This is a coordinate node from an adjustment.

The icon is followed by the point ID.

Related topics

Understanding Level Data

Workflow for Level Data

View and Edit Level Data

View Level Data in Project Explorer

View Imported Level Data in Project Explorer


Level Data Errors

If a point ID is displayed in red in the Project Explorer, there is a computational error associated with the point. For instructions on viewing computational error messages, see Select from the Flags Pane.

The following level-related computational errors can occur:

Error message | Description
Misclosure out of tolerance | This error occurs when there is enough redundancy in the leveling run to determine that the elevations computed in the run are out of tolerance. The usual reason for this is a misclosure that exceeds a limit.
Some delta elevation observations are missing or disabled | This error occurs when the elevation for a point cannot be determined because there is no path back to a benchmark. The usual reason is that an observation has been disabled or deleted.

Related topics

Understanding Level Data

Workflow for Level Data

View and Edit Level Data

View Level Data in Project Explorer


Adjust Level Runs

A level run can be adjusted during or after import to spread any misclosure proportionately throughout all the measurements in the run. You use the Level Editor dialog to adjust level runs.

Note: When multiple intermediate (IS) observations exist for the same point name in a level run, the software will include the intermediate readings in the level adjustment (the IS boxes will be checked in the Level Editor dialog). If you do not want these intermediate readings to be included in the level adjustment, either uncheck the IS boxes or rename the associated point IDs so they are not the same.

To adjust level runs:

  1. When you import a level data file, the Level Editor dialog automatically displays. Otherwise, you can display it at any time by doing either of the following:
    • Right-click the imported level data file in the Project Explorer and select Level Editor from the context menu.
    • Click Survey > Level Editor and select the imported level data file in the Select Leveling Files dialog.

    The Level Editor dialog displays a tab for each run in the data file, allowing you to view and/or edit each run individually.

  2. Click Adjust Runs. The Adjust Runs dialog displays.
  3. In the Adjust Runs dialog, select the runs you want to adjust.

    These runs will all be adjusted simultaneously as one network. When runs have points in common, the recommended procedure is to adjust them together.

  4. Click OK.

    Note: Performing an adjustment replaces any previously adjusted elevations, such as those from the instrument.

    You can view the adjusted results in the Level Editor dialog by selecting the Use Adjusted Elevations option in the upper left area of the tab.

  5. When you are done working in the Level Editor dialog, click OK.

For additional instructions on using the Level Editor dialog, see View and Edit Level Data.

Related topics

Understanding Level Data

Workflow for Level Data

View and Edit Level Data

View Level Data in Project Explorer


Merge Level Runs

You can merge two level runs into one run if the last point ID in the first run selected for the merge matches the first point ID in the second run selected for the merge. For example, if the first run selected ends on point "1", the second run selected must start on point "1". This is helpful if two or more level runs were accidentally specified in the field for what should have been a single run (for example, one of the runs does not include a benchmark point). If necessary, you can merge another existing run with the newly created merged run using the same guidelines, and repeat as necessary.

Note: If a level data file you are importing includes a run that does not include a benchmark, see this note.

To merge level runs contained in the import file:

  1. When you import a level data file, the Level Editor dialog automatically displays. Otherwise, you can display it at any time by doing either of the following:
    • Right-click the imported level data file in the Project Explorer and select Level Editor from the context menu.
    • Click Survey > Level Editor and select the imported level data file in the Select Leveling Files dialog.

    The Level Editor dialog displays a tab for each run in the data file, allowing you to view and/or edit each run individually.

  2. Click Merge Runs. The Merge Runs dialog displays.
  3. In the New Run Name box, enter the name for the new run.

    You can enter the name of one of the runs you are merging, or you can enter a new name.

  4. In the Start With list, select the run whose observations you want to use for the first part of the new run.
  5. In the Add This list, select the run whose observations you want to use for the second part of the new run.
  6. Click OK. The Merge Runs dialog closes and the newly created run tab replaces the two merged run tabs in the Level Editor dialog.

    If necessary, you can now merge another existing run with the newly created merged run using the same procedure.

  7. When you are done working in the Level Editor dialog, click OK.

    For additional instructions on using the Level Editor dialog, see View and Edit Level Data.

Related topics

Understanding Level Data

Workflow for Level Data

View and Edit Level Data

View Level Data in Project Explorer


Note on Level Runs Without Benchmarks

If a level data file you are importing includes a level run that does not include a benchmark, the software will attempt to use a computed value for the first point in that run. It does this by locating the most recent point ID in a preceding run that matches the first point ID in the run that is missing a benchmark. If it finds a matching point ID, it copies the elevation from that point to the first point ID in the run that is missing a benchmark as a computed elevation.

For example, if the first point ID in the run that is missing a benchmark is 100, and the most recent previous instance of a point ID of 100 is found at the end of the preceding run, the elevation for point 100 in the preceding run is copied to the elevation for point 100 in the run that is missing a benchmark as a "Computed" value. In this case, you may not need to merge the runs.

Related topics

Understanding Level Data

Workflow for Level Data

View and Edit Level Data

View Level Data in Project Explorer


Adjust Networks

In This Chapter

Understanding Network Adjustment

Workflow for Adjusting a Network

Enable and Disable Vectors

Apply a Network Adjustment Style

Change Network Adjustment Settings

Adjust a Network

Network Adjustment Options

Run a Network Adjustment Report


Understanding Network Adjustment

Use network adjustment to perform a least squares adjustment of your network of processed vectors. The purpose of the adjustment is to:

  • Estimate and remove random errors
  • Provide a single solution when there is redundant data
  • Minimize corrections made to the observations
  • Detect blunders and large errors
  • Generate information for analysis, including estimates of precision

After a least squares adjustment is successfully performed, you can determine that:

  • There are no blunders and systematic errors in the observations and control points.
  • Any remaining errors are small, random, and properly distributed.

A least squares adjustment ensures good positional closures and estimates of repeatability; thus, it ensures the reliability of your current and future measurements.

To complete a successful adjustment, a least squares network must meet these criteria:

  • The network must close geometrically and mathematically.
  • The sum of the weighted squares of the residuals must be minimized.

The network adjustment process

All adjustment iterations are performed automatically when the process begins. Coordinates are shifted based on a fixed point, within tolerance levels that are set to limit the shift and end iterations. Once the residuals of the observations pass the criteria to end iterations, the adjustment stops (converges), and these functions are performed:

  • The adjusted values for each point in the network are saved to the project as the current coordinate values, with qualities of Adjusted or Fixed in network adjustment.
  • An additional coordinate is created for each adjusted point. The adjusted coordinate is promoted as the final value for the point.
  • The adjusted values for each point appear in the Properties pane. You can analyze the results in the Network Adjustment Report.

Related topics

Adjust a Network

Workflow for Adjusting a Network


Workflow for Adjusting a Network

  1. Work through the baseline processing workflow.
  2. Review and edit the Network Adjustment settings, and save a settings style in the Project Settings dialog.
  3. Open the network adjustment command.
  4. Fix control quality coordinates.
  5. Add additional control coordinates to your project if needed.
  6. Adjust the network.
  7. Review the adjustment results and error ellipses in the plan view to determine horizontal and vertical residuals.
  8. Revisit the Network Adjustment settings to edit setup errors and other parameters, as needed.
  9. Apply scalars to variance groups for the next adjustment.
  10. Readjust the network.
  11. Run the Network Adjustment Report to review the final results.


Enable and Disable Vectors

Turn vectors off or on. Disabled vectors are not used during network adjustment.

To disable vectors:

  • Select vectors in the Project Explorer, right-click and select Disable.
  • Pick vectors in a graphic view, right-click and select Disable.

To enable vectors:

  • Select vectors in the Project Explorer, right-click and select Enable.
  • Pick vectors in a graphic view, right-click and select Enable.

To select and disable vectors by duration:

  1. Deselect all objects by clicking a blank space in a graphic view.
  2. Select Select > Advanced Select. The Advanced Select dialog displays.
  3. In the Apply This Selection To group, specify whether to select from the currently selected objects or from all data, and whether to replace or add to the current selection.
  4. Select Vectors in the Data type list.
  5. Click Data with the following property and select Duration in the list.
  6. Type the shortest duration that you want to use for processing vectors in the This value box.

    Note: The duration must be in the time format used used by your computer's operating system, which is likely HH:MM:SS (Hours:Minutes:Seconds).

  7. Click Apply to preview the results, or OK to make the selection and close the Advanced Select dialog.
  • Press [F11] to display the Properties pane. In the Status box, select Disabled.

Related topics

Compute Project Command


Apply a Network Adjustment Style

Use adjustment styles to save network adjustment settings in templates. Then you can quickly apply these styles to projects as needed. Styles are specific to your user name, so you can tailor them to your needs without affecting other users. Although styles appear under Project Settings, they are truly application settings; they can be applied to any open project.

To apply a network adjustment style:

  1. Do one of the following:
    • Select Project > Project Settings, and click Network Adjustment in the left pane.
    • Click the [image] icon on the Network Adjustment command pane's toolbar.

    The Network Adjustment section of the Project Settings dialog displays.

  2. Select a style in the Network Adjustment Processing Styles list, and click Load.

    Note: If you load a network adjustment style that was created with an earlier version of the software, it may contain default GNSS error settings, which cannot be loaded with the other network adjustment settings. You can view and edit default GNSS error settings in the Default Standard Errors section of the Project Settings dialog.

  3. Click OK in the confirmation message.
  4. To change the style, click an option:
    • To create a new style based on the loaded style, change the settings, click Network Adjustment again, click New, and type a name and description in the New Style dialog.
    • To copy a style, retain the settings of the loaded style, click New, and type a name in the New Style dialog.
    • To rename a style, retain the settings of the loaded style, click New, and type a different name for the style in the New Style dialog. Click OK. Then, select the original style and click Delete. Click Yes.
    • To edit a style, change the settings, and click Save You are prompted to confirm the save because the existing style will be overwritten and Undo is not available. Click Yes.
    • To remove a style from the list, click Delete. You are prompted to confirm the deletion because Undo is not available. Click Yes.
    • To change the current settings to those that were saved in the style, click Load. There is no “current style”. Loading a style simply changes the current state of the project settings in the dialog.
  5. Click OK. The settings in the loaded style are applied to the project.

Related topics

Change Network Adjustment Settings

Network Adjustment Settings


Change Network Adjustment Settings

Use network adjustment settings to control how networks of processed baselines are adjusted.

To change network adjustment settings:

  1. Do one of the following:
    • Select Project > Project Settings.
    • Click the [image] icon on the Network Adjustment command pane's toolbar.

    The Project Settings dialog displays.

  2. Click Network Adjustment in the left pane.
  3. Set network adjustment settings as needed.
  4. Click OK.

Related topics

Apply a Network Adjustment Style

Network Adjustment Settings


Adjust a Network

Adjust your networks after you have processed the baselines and reviewed the GNSS Loop Closure Results report to ensure the quality of your project. You can adjust one network at a time. You need to fix at least one point horizontally and one point vertically to do a least squares adjustment. They do not have to be the same point, and the horizontal fix can be either latitude and longitude, or northing and easting. If you have control quality elevation and height for the same point, you can fix only one or the other (or neither). You cannot fix elevations for GNSS points unless you have a coordinate system with a geoid defined. With no geoid model, you can only fix a height. You can add new control coordinates and disable observations with the Adjust Network command open.

Note: If you adjust a network and then make a change that requires that your project be recomputed, the Compute Project Needed indicator displays in the status bar and a message displays asking whether you want to keep or clear the network adjustment. This allows you to make the best decision based on your workflow. However, be aware that if you choose to keep the network adjustment after you have made changes, the adjustment results may no longer be applicable to your project. You should consider performing a new network adjustment after you have completed your changes.

To adjust a network:

  1. Do one of the following:
    • Select Survey > Adjust Network.
    • Click [image] on the survey toolbar.

    The Adjust Network dialog displays.

    Note: Adjust Network computes final points using only vectors in an "enabled" state.

  2. Click the Fixed Points tab to see the control quality coordinates in your network.
  3. To fix a horizontal or vertical coordinate in the network, check its 2D, h (ellipsoid height), or e (elevation) boxes. Coordinate fixes that are not possible are unavailable. To add another coordinate to the network, use the Add Coordinate command.

    Note: The Fixed Points list is populated in real-time; you can leave the command pane open, and it will update as you add control coordinates to your project.

  4. Click Adjust. The network is adjusted using the fixed coordinates. The status of the adjustment displays above the Adjust button, and the Results tab appears. Error ellipses (if any) appear in graphic views, showing the magnitude and direction of point errors.

    Note: If you have unresolved computation errors, revisit the Baseline Processing Report or Flags pane, and resolve or disable problematic baselines before adjusting the network.

  5. Click the Results tab to view the status of the adjustment.
  6. Pick points and vectors in a graphic view or the Project Explorer to review their errors and residuals in the Results tab. You can select a subset of the results in the drop-down list below the results summary.
  7. For details, click the [image] icon on the command pane's toolbar to display the Network Adjustment Results report in your default Web browser.
  8. To set the error estimate scalars for the next adjustment based on the reference factor from the previous adjustment, click the Weighting tab. Scalar boxes are available for what is enabled in your project.
  9. Type a value to multiply by in each of the Scalar boxes, as needed. The goal is to get the Reference Factor to 1.00.
  10. Click the [image] icon. In each variance group, the reference factor from the last network adjustment is multiplied by the scalar; the new value appears in the Scalar box.
  11. Click Adjust again. Repeat the steps above until the adjustment results are satisfactory.
  12. Click OK to save the network adjustment results to your project. To exit the command without performing an adjustment or without saving the adjustment results, click Cancel. After network adjustment completes, points that were adjusted are marked Adjusted in the Project Explorer, and are marked with an [image] icon in the plan view and Properties pane.
  13. Click OK to save the adjustment.

    Caution: If you exit the command without clicking OK, the adjustment results are not saved.

To clear a network adjustment:

Select Survey > Clear Adjustment Results. All of the adjusted coordinate records are removed.

Related topics

Network Adjustment Options

Understanding Network Adjustment


Network Adjustment Options

Use these options to fix control points, apply error estimate scalars, and adjust a network of vectors. They are available on the three tabs of the Adjust Network command pane.

Options

Click this to display the Network Adjustment Report in your default web browser.

Click this to open the Project Settings dialog, where you can change the network adjustment settings.

Click this to clear the adjustment transformation parameters, all coordinate fixes, and any adjustment flags. This also resets all weighting scalars to 1.00, removes the error ellipses from graphic views, and recomputes the project.

Click this while in the Fixed Coordinates or Constrained Coordinates tab to check all of the possible combinations of 2D, h, and e check boxes.

Click this while in the Fixed Coordinates or Constrained Coordinates tab to uncheck all of the 2D, h, and e check boxes.

Click this to toggle the first tab in the pane between Fixed Coordinates and Constrained Coordinates.

The Fixed Coordinates tab allows you to "fix" control coordinates by applying a horizontal or vertical standard error value of 0.000001 m for each check box you check.

The Constrained Coordinates tab allows you to specify individual horizontal and vertical standard error values (assigned weighting) for control coordinates based on information contained in the associated data sheet. (This is useful if you are working with control points of differing survey precisions.) Each of the control coordinate entries on the tab are expandable, allowing you to enter the values. Note that the associated check boxes for values you enter must be selected for the values to be used in the adjustment.

By default, the standard error value is 0.000001 m (displayed as 0.000 m). The larger the value you enter, the more freedom the adjustment will have to move the adjusted position away from the control coordinate and the larger the error ellipses will be for fixed and propagated points.

When you specify standard error values for a control coordinate and adjust the network, a new "office entered" control coordinate is created and displayed for the associated point in the Project Explorer. Note that if you edit an imported coordinate under the same point, it will be turned into an office-entered coordinate, which will replace the office entered coordinate that contains the standard error values you entered.

In the Project Settings dialog, you can specify whether horizontal standard errors are displayed as a single value or as North and East components (when available). In the Project Settings dialog, select Units > Coordinates and make changes in the Expand horizontal standard errors field.

Click this while in the Weighting tab to reset all scalars to 1.00.

Fixed coordinates tab

Point ID

This shows the names of the control points that can be fixed.

Note: This list is populated in real-time; you can leave the command open, and it will update as you add control coordinates.

Type

This shows whether the coordinate is based on grid, local, or global coordinates.

Global and local coordinates cannot be fixed for the same point at the same time.

2D

Check this to fix coordinates by northing and easting, or latitude and longitude.

h

Check this to fix the coordinate by its ellipsoid height.

e

Check this to fix the coordinate by its elevation.

Weighting tab

Reference factor from last adjustment

This displays the variance used in the last network adjustment.

1.00 appears in boxes for which there are no prior adjustment factors.

A priori factor for the next adjustment

Type a value by which to scale the next adjustment, as compared to the last adjustment.

The goal is to get the Reference Factor to 1.00.

Click the [image] icon to multiply the reference factor from the last adjustment by the scalar you entered. The new value appears in the scalar box.

Geoid separations

Azimuths

RTK vectors

Imported postprocessed vectors

Postprocessed vectors

These variance groups are available based on what is enabled in your project. For any that are available, type a scalar for the next adjustment, as needed.

Results tab

Reference factor

This shows the standard error of unit weight. Ideally, this will be 1.00 when you apply weight variances using scalars.

Chi square test (95%)

This displays whether the adjustment has passed or failed the overall statistical test of the network adjustment. It is a test of the sum of the weight squares of the residuals, the number of degrees of freedom and a critical probability of 95 percent or greater.

The purpose of this test is to reject or to accept the hypothesis that the predicted errors have been accurately estimated.

Degrees of freedom

This shows the remaining degrees of freedom, which are a measure of the redundancy in a network.

(sub-selection filter)

Select a subset of the results to shorten the list.

(Point and vector list)

This displays statistics and the status of the adjusted coordinates, including any warnings and errors. Outlying observations (based on the Tau criterion) are flagged. Investigate and resolve these issues.

Select objects in the Project Explorer or in a graphic view to add them to the list.

These error ellipse images indicate the relative magnitude and direction of the adjustment's horizontal and vertical residuals.

Investigate and resolve the points with the largest ellipses first.

Adjust

Click this to start the network adjustment process using the fixed coordinates. The status of the adjustment displays, and error ellipses (if any) appear in graphic views, showing the magnitude and direction of point errors. The larger the error, the larger the ellipse.

Related topics

Adjust a Network


Run a Network Adjustment Report

After you adjust a network, generate a Adjust Network Report to review successful adjustment statistics, such as the adjusted grid and geodetic coordinates, adjusted observations, and covariance terms, You can also use the report to review error ellipse and residual details to determine which vectors need to be disabled, how control points should be fixed, and which settings may need to be changed before re-adjusting the network.

To run a Network Adjustment Report:

  • Click the [image] icon on the Network Adjustment command pane toolbar.
  • Select Reports > Network Adjustment Report.
  • Select Reports > Report Options. Select Network Adjustment Report in the command pane, and click OK.

    The Network Adjustment Report displays in your default Web browser. Click any link in the left pane to view a specific section.

Report Components

Adjustment settings

This shows the set-up error values and covariance display formats as set in Project Settings.

Adjustment statistics

This summarizes the number of iterations it took to adjust the network, and why the adjustment passed or failed.

Reference factor indicates how much adjustment was necessary, whether the random errors in the observations are acceptable, and if they match the estimated standard errors for those observations.

The reference factor should be about equal to 1.0. This value lets you know how well the adjustment a priori (pre-adjustment) errors are matching the a posteriori (post-adjustment) errors.

Adjusted grid coordinates

This section shows the adjusted northing, easting, elevation, and computed standard errors for each grid point used.

The Fixed column indicates which point coordinates were fixed (constrained) during network adjustment.

Adjusted geodetic coordinates

This shows the adjusted latitude, longitude, and height values.

The Fixed column indicates which point coordinates were fixed (constrained) during network adjustment.

Error ellipse components

This section shows the magnitude and direction of the point errors.

Adjusted GPS observations

This displays the adjusted observation components, including the standard error, residual (how much of an adjustment had to be made) and standardized residual.

The observations are sorted to display the worst standardized residual at the top.

Note: Observations with a standardized residual that fails the Tau criteria display in red. These observations are outliers. Examine these to justify keeping them in the network.

Covariance terms

This shows the relative error in any pair of points in the project. The a-posteriori error and the horizontal (2D) and 3D precision are shown for each observation. The precision can be shown as a ratio or as ppm, depending on your project settings.

Related topics

Adjust a Network

Customize and Run a Report

Network Adjustment Settings


Work with Point Data

In This Chapter

Understanding Point Types

Understanding Points and Coordinates

How Coordinate Quality for a Point is Displayed

Add and Edit Points and Coordinates

Calculate the Inverse Between Points

Inverse Options

Measure Values Between Points

Measure Options

Points Spreadsheet


Understanding Point Types

The software supports two basic types of points:

  • Normal points are created when you import into your project any type of point data other than coordinate point data contained in a text file (for example, .csv) with "Unknown" or "Mapping" quality. You can also create normal points manually using the Point > Create Point command.

    A normal point includes one or more coordinate and/or observation nodes nested beneath it in Project Explorer that are used to compute the coordinate for the point. You can edit values for coordinate nodes, or change the coordinate quality level, in the Properties pane. These changes are reflected in the non-editable coordinates displayed for the point in the Properties pane.

  • Lightweight points are created only when you import a text file (for example, .csv) containing coordinate point data with "Unknown" or "Mapping" quality (for example, topographic points).

    A lightweight point does not include coordinate nodes nested beneath it in Project Explorer. A non-editable coordinate is displayed for the point in the Properties pane.

    Note the following concerning lightweight points:

    • You can add an editable coordinate to a lightweight point by right-clicking the point in Project Explorer and selecting Add Coordinate. This changes the lightweight point to a normal point.
    • If you import a text file with "Unknown" or "Mapping" coordinate quality into a project that already contains point data, duplicate points will be created for points in the text file (lightweight points) and points already in the project (normal points) that have the same ID (that is, points will not merge as expected). To avoid this problem, import the text file first to create the lightweight points in the project, then import the other point data. The lightweight points from the text file will merge with the normal points from the other point data to create normal non-duplicated points.

Related topics

Create and Edit Points and Coordinates

How Coordinate Quality for a Point is Displayed


Understanding Points and Coordinates

Use these definitions to understand the differences between the various types of points and point properties in your project.

Point

A point is a named object that represents a location with either local or global latitude and longitude coordinates, and possibly a height or elevation. Points are usually measured in the field and then brought into a project by importing them in a GPS, GNSS, or points file (.dat, .T01, .pts or .csv), but they can also be created in this software. When you create a point in this software, it contains a single coordinate that is identified as "Office entered".

A point can contain multiple coordinate objects, each with a different location and quality. See Coordinate below.

You cannot edit a point directly, you must edit one or more of its coordinate objects. If it does not have a coordinate object, you must add one. CAD points can, however, be edited directly.

The term “point” may also be used generically to mean a coordinate (essentially a location in 3D space). When you are asked to specify a “point” in this software, it often means that you can specify a coordinate or a named point as described above.

CAD point / Lightweight point

A CAD (or lightweight) point is a simple, unnamed object that represents a location with grid (X,Y) coordinates and possibly height or elevation (Z) value. Because CAD points do not include global and local latitude and longitude coordinates like regular points, they are non-transformable; if you change your coordinate system, grid points do not move.

Unlike points, CAD points can be edited directly in the Properties pane.

CAD points are brought into a project by importing them in a CAD file (.dxf, .dwg, .dgn, or .svl); they cannot be created in this program.

Point ID

A point ID is the identifier of a named, field-observed or office-entered point object (see Point above).

Coordinate

A coordinate is a pair of X and Y or northing and easting values (in 2D), or a set of X, Y, and Z or northing, easting, and elevation values (in 3D) that defines a location in 3D space. If only two coordinates are given, the Z value or elevation may be 0 (relative to the current coordinate system) or may be undefined.

When a coordinate is required in this software, you may be prompted to specify a “location” or a “point”.

Related topics

Understanding Point Types


How Coordinate Quality for a Point is Displayed

The quality of the coordinates used to determine the location of a point determine the quality of the point itself. Coordinate quality for a point is displayed in the point's Properties pane using the following symbols:

  • "Control" quality indicates a coordinate value that is based on a National Geodetic Survey (NGS) surveyed coordinate. This is the highest quality for a coordinate.
  • "Survey" quality indicates a coordinate value is based on surveyed data of the highest quality.
  • i_point quality mapping "Mapping" quality indicates a coordinate value is based on surveyed data of low to average quality.
  • i_point quality unknown "Unknown" quality indicates a coordinate value is based on surveyed data of the lowest or unverified quality. This is the lowest quality for a coordinate.

The symbol used to display a point in the Plan View provides some indication of the point's quality.

Point symbol | Point quality
 | This symbol represents a point for which one or more coordinates has been assigned a horizontal and vertical Control quality.
 | This symbol represents a point for which one or more coordinates has been assigned a horizontal Control quality but not a vertical Control quality.
 | This symbol represents a point for which one or more coordinates has been assigned a vertical Control quality but not a horizontal Control quality.
 | This symbol represents a point for which each coordinate is office entered and has been assigned a horizontal and vertical quality less than Control.
 | This symbol represents a point for which no coordinates exist, or each coordinate is field-entered and has been assigned a horizontal and vertical quality less than Control. The black dot used for this symbol is reduced in size when the point has been included in a network adjustment.
 | This symbol represents an event marker.

Related topics

Plan View

Understanding Point Types


Add and Edit Points and Coordinates

In This Section

Create and Edit a Point

Point Options

Add a Coordinate to a Point

Coordinate Options

Point Coordinate Options

Rename Points

Run a Renamed Point List

Edit the Point ID for a Station Setup and/or Backsight

Merge Duplicate Points on Import

File Types Supported by Merge Options in Project Settings

Merge Duplicate Points

Merge Points

View and Edit Point Feature Properties


Create and Edit a Point

Create a point in your project when you need to include one for control or stakeout that was not observed in the field or otherwise recorded and imported in a points file. When you create a point, in addition to the new point object, a coordinate object named 'Office entered' is created and appears in the Project Explorer. Each point can only have one office entered coordinate. CAD points (or "lightweight" points) cannot be created; they can only be imported.

To create a point:

  1. Do one of the following:
    • Select Point > Create Point.
    • Click the [image] icon.

    The Create Point command pane displays.

  2. Type a name for the point in the Point ID box. Point IDs are not case sensitive.
  3. Select a layer on which to create the point in the Layer list, or select <<New layer>> to create a new layer for the point.
  4. Type a code in the Feature Code box, if you need to use the point in feature code processing.
  5. Select the type of point you want to create in the Coordinate type list (see Point Options for details).
  6. Pick a location in the Plan View, or type a coordinate in the Northing and Easting (or Latitude and Longitude) boxes, or right-click for coordinate geometry (COGO) options.

    Tip: Once you have specified northing and easting values, you can click in the Easting box and pick a new point in the graphic view to change the easting value, while retaining the northing.

  7. Click the [image] icon and select a planar quality for the coordinate. Qualities are used to determine the best point to use when multiple observations have been made at the same location.
  8. Pick an object in a view to use its elevation at the location you pick, or type a value in the Elevation box, or right-click for options.

    Note: Elevation is measured from sea level.

  9. Click the [image] icon and select an elevation quality.
  10. If needed, pick an object in a view, or type a value in the Height box, or right-click for options. Grid, local, and global coordinates appear at the bottom of the pane so you can check your new point's location in the other types.

    Note: Height is measured from the geoid.

  11. Click the [image] icon and select a height quality.
  12. Select the appropriate point status from the Status list. The status determines whether and how the point is used during the computation process.
  13. Click OK, or click Apply to continue creating additional points. The point and an office-entered coordinate appear in the Project Explorer, as shown.

Note: Only office-entered coordinates can be edited. If you try to edit imported coordinates, an office-entered coordinate object with the new location is created.

To edit a point or a CAD point:

To edit a surveyed or office-entered point, you must add or edit a coordinate object associated with the point. CAD points, however, can be edited directly in the Properties pane.

  • To edit a point that has a coordinate object, click [image] next to the point in the Project Explorer. Then, right-click the coordinate record that you want to edit, and select Properties from the context menu. In the Properties pane, edit the coordinate values as needed. If you prefer, you can add an additional coordinate record to the point using the steps below.
  • To edit a point that has no coordinate objects, see Add a Coordinate to a Point.
  • To edit a CAD point, select it in the Project Explorer or a graphic view, right-click and select Properties from the context menu. In the Properties pane, edit the coordinate values as needed.

Related topics

Add a Coordinate to a Point

Understanding COGO Controls

Point Options

Understanding Points and Coordinates


Point Options

Use these options to define a new point. They are available in the Add Point command pane when you are adding a new point to a project.

Options
Point ID | Type a unique identifier (point ID) for the point.
Layer | Select a layer on which to create the point, or select <<New layer>> to create a new layer for the point.
Feature code | Type a code to use in feature code processing.
Coordinate type | Grid - Select this to enter northing, easting, elevation, and height values. Local - Select this to enter latitude, longitude, height, and elevation values. Global - Select this to enter global longitude, height, and elevation values.
Planar quality | Click this and select a quality for the horizontal coordinate. Control - Select this for National Geodetic Survey (NGS) surveyed coordinates of the highest quality. Survey - Select this for surveyed coordinates of the second highest quality. i_point quality mapping Mapping - Select this for coordinates of the low to average quality. i_point quality unknown Unknown - Select this for coordinates of the lowest or unverified quality.
Ellipsoidal quality | Click this and select a quality for the vertical coordinate. See the quality descriptions above.
Status | Enabled - Select this to include the point in project calculations. Disabled - Select this to exclude the point in project calculations. Enabled as Check - Select this to exclude the point in project calculations, but to include it in sideshot calculations.

Related topics

Create a Point

Add a Coordinate to a Point


Add a Coordinate to a Point

Add a coordinate to a point when you need to include a position for control or stakeout that was not observed in the field or otherwise recorded and imported in a points file. When you add a coordinate to a point, a coordinate object named 'Office entered' is created under the point object.

Note: Only add a coordinate when you are sure that you want to use this coordinate instead of an observed coordinate. During the computation of the project, added coordinates are used in preference to observations of the same quality. This ensures that a designed point is used in preference to a staked point.

To add a coordinate to a point:

  1. Do one of the following:
    • Pick the point in a graphic view or select it in the Project Explorer, right-click and select Add Coordinate from the context menu.
    • When a point is selected, and the Properties pane is open, click the [image] icon on the pane's toolbar.

    The Add Coordinate command pane displays.

  2. Select the type of coordinate you want to add in the Coordinate Type list (see Coordinate Options for details).

    Note: You can only enter one grid, local, and global coordinate for each point. If you already have each type, the [image] icon is unavailable.

  3. Pick a location in the plan view, or type a coordinate in the Northing and Easting (or Latitude and Longitude) boxes, or right-click for coordinate geometry (COGO) options.

    Tip: Once you have specified northing and easting values, you can click in the Easting box and pick a new point in the graphics window to change the easting value, while retaining the northing.

  4. Click the [image] icon and select a planar quality for the coordinate. Qualities are used to determine the best coordinate to use when multiple coordinates exist for the same point.
  5. Pick an object in a view to use its elevation at the location you pick, or type a coordinate in the Elevation box, or right-click for options. Grid, local, and global coordinates appear at the bottom of the pane so you can cross check your new coordinate's location.
  6. Click the [image] icon and select an elevation quality.
  7. Select the appropriate coordinate status from the drop-down Status list. The status determines whether and how the coordinate is used during the computation process.
  8. Click OK. When you open the point in the Project Explorer, it displays the original observation data and the office-entered coordinate, as shown.
  9. If the [image] icon appears on the status bar, click it to recompute and update the coordinates in the project.

Note: You can only edit point coordinates that you added in this software, not those which were observed and imported. If you try to edit an imported point, a coordinate object named 'office-entered' is created.
Note: You can edit the coordinates for imported CAD points in the Properties pane, but CAD points are not used in computations.

Related topics

Create a Point

Compute Project Command

Coordinate Options

Project Explorer

Properties Pane


Coordinate Options

Use these options to define a coordinate that you are adding to a point. They are available in the Add Coordinate command pane.

Options
Coordinate type | Grid - Select this to enter northing, easting, elevation, and height values. Local - Select this to enter latitude, longitude, height, and elevation values. Global - Select this to enter global longitude, height, and elevation values.
(Planar quality) | Click this and select a quality for the horizontal coordinate. Control - Select this for National Geodetic Survey (NGS) surveyed coordinates of the highest quality. Survey - Select this for surveyed coordinates of the second highest quality. i_point quality mapping Mapping - Select this for coordinates of the low to average quality. i_point quality unknown Unknown - Select this for coordinates of the lowest or unverified quality.
(Ellipsoidal quality) | Click this and select a quality for the vertical coordinate. See the quality descriptions above.
Status | Enabled - Select this to include the coordinate in project calculations. Disabled - Select this to exclude the coordinate in project calculations. Enabled as Check - Select this to exclude the coordinate in project calculations, but to include it in sideshot calculations.

Related topics

Add a Coordinate to a Point


Point Coordinate Options

Use these options to edit coordinates for a point when the point is a member of a surface. The surface that references the edited member updates accordingly. These options are found in the Properties pane for a point coordinate.

Member type | Properties that affect surfaces
Coordinate | Northing - Edit this to move a surface vertex north or south. Easting - Edit this to move a surface vertex east or west. Elevation - Edit to move a surface vertex up or down, relative to sea-level. Latitude - Edit this to move a surface vertex north or south. Longitude - Edit this to move a surface vertex east or west. Height - Edit this to move a surface vertex up or down.
Session | Height (point) - Edit this to move a surface vertex up or down.

Related topics

Edit a Surface by Changing a Point Coordinate

Edit a Surface by Adding and Removing Members


Rename Points

Rename points to ensure all the points in your project are unique. For example, if two rovers are set to automatic point numbering and contain identical points, use the Rename Points command to renumber one set of points. Points to be renamed can be selected before the command starts or within the command.

You can rename your points:

  • Sequentially from a specific value
  • By adding a prefix
  • By adding a suffix
  • By adding a constant

To rename points:

  1. Select Point > Rename Points. The Rename Points dialog displays.
  2. In the Method group, select a renaming option (see descriptions below).
  3. If you do not want to generate a report, uncheck Report.
  4. Select the points to rename.
  5. To preview the results, click Preview to see the results of the settings before the command is run. Additional preview options are selectable using the [image] icon.
  6. Click OK to rename the points. To automatically generate and display a report, check Report. When renaming completes, the Renamed Point list displays.

Options

Rename from

Select this if you want to rename points using a specific starting number. Type the starting number in the box.

To use this method, the point ID you enter must end in a number. For example, if you type GPS100 and select three points, they will be renamed GPS100, GPS101, and GPS102.

Add prefix

Select this if you want to insert a constant character(s) at the beginning of the point ID for the points you select.

Add suffix

Select this if you want to insert a constant character(s) at the end of the point ID for the points you select.

Add constant

Select this if you want to enter a value to increase each point ID by. For example, if you type 2, point ID GPS101 becomes GPS103.

Report

Check this to generate the Renamed Point List report when you finish the command.

Related topics

Run a Renamed Point List

Merge Duplicate Points

Merge Points

Select Duplicate Points

Select from 2D Views


Run a Renamed Point List

Generate a Renamed Point List to see a simple summary of the original and new names of points that you have renamed in your project.

  1. Select Reports > Report Options. The Report Options command pane displays.
  2. Select Renamed Point List in the Reports list.
  3. Edit options in the Settings group as needed.
  4. Click the [image] icon on the pane's toolbar. The Renamed Point List displays in your default web browser.

Related topics

Customize and Run a Report


Edit the Point ID for a Station Setup and/or Backsight

When checking data in your project, you might find that the point ID for a station setup and/or backsight has been incorrectly labeled in the field. For example, the Plan view looks incorrect or a red flag indicates a point out of tolerance.

To change the point ID for a station setup and/or backsight:

  1. To change the point ID for a station setup:
    1. In the Imported Files node in the Project Explorer, click to display properties in the Properties pane for the station setup whose point ID you want to change.
    2. In the Point ID box in the Properties pane, type the correct ID for the station setup.

      If the corrected ID is for a station you set up on previously or to a control point, no new point is created in the Points node (the station point is shared). Otherwise, a duplicate point is created in the Points node (local points are not shared). In this case, merge them as described in Merge Points.

  2. To change the point ID for a backsight:
    1. In the Imported Files node in the Project Explorer, click to display properties for the observation to the backsight whose point ID you want to change.
    2. In the Point ID box in the Properties pane, type the correct ID for the backsight observation. The software updates the backsight with the new point ID.

      If the corrected observation is to a station you set up on previously or to a control point, no new point is created in the Points node (the station point is shared). Otherwise, a duplicate point is created in the Points node (local points are not shared). In this case, merge them as described in Merge Points.

  3. Verify your corrections.


File Types Supported by Merge Options in Project Settings

The following file types are supported by the three "merge-by-tolerance" options in the Computations > Point Tolerances > Merge on Import section of the Project Settings dialog.

File Type | Sample File Extensions
ASCII | .csv, .asc, .txt
Data Collector | .dc
DiNi Digital Level | .dat
GNSS Job | .job
GNSS Receiver | .dat, .t01, .t02
JobXML | .jxl
NGS Data Sheet | .htm, .ds
NGS OPUS | .xml
RINEX/Raw Data | .yyo, .obs (yy = 2-digit year; for example, .09o is an observation file for the year 2009)

Other file types ignore any by-tolerance options for merging duplicate points and instead merge duplicate points only in cases where at least one of the two points is occupied by a total station or a base station (referred to as a "station point").

Related topics

Merge Duplicate Points on Import


Merge Duplicate Points

If your project includes multiple points with the same point ID from different observations, you can merge them into a single point.

To merge duplicate points:

  1. Do one of the following to select the duplicate points you want to merge:
    • Select Select > Select Duplicate Points, uncheck the Within the following distance checkbox (or select an appropriate distance tolerance), and select the Where Point IDs Are: Identical option.
    • Manually select the duplicate points you want to merge.
  2. Select Point > Merge Duplicate Points. A list of the points to merge displays in the Merge Duplicate Points pane.
  3. Click OK.

    Once the points have been merged, the point ID’s of the vectors or total station observations to the point are changed to reflect the new point ID.

  4. Press F4 to recompute the project to calculate the mean of the observations to determine new coordinate values for the merged points.

Caution: Two points with the same ID but significantly different data may be the result of an error. Merging them may produce unexpected results.

Related topics

Merge Points

Rename Points

Select Duplicate Point IDs

Select from the 2D Views


Merge Points

Use this command to create a single point from two or more points that share the same location data.

To merge points (one set of points):

  1. Select the points you want to merge together. Use the Select Duplicate Points command or select from the plan view or a spreadsheet view.
  2. Select Point > Merge Points. If you have not selected points to merge yet, do it now. The points IDs and distance from the first listed point are displayed in the Selected point area.
  3. Click on the points to merge. A green check displays.
  4. (optional) Enter a point ID for the merged point. The default is the first listed point.
  5. Click OK.

To merge points (multiple sets of points):

  1. Select the points that may be merged together. Use the Select Duplicate Points command to select all points that are within a defined distance from one another.
  2. Select Point > Merge Points. The points IDs and distance from the first listed point are displayed in the Selected point area. If you have not selected points to merge yet, do it now. The points IDs and distance from the first listed point are displayed in the Selected point area.
  3. Click on the points to merge. A green check displays.
  4. (optional) Enter a point ID for the merged point. The default is the first listed point.
  5. Click Apply. The checked points are merged together and removed from the list.
  6. Repeat steps 1-5 until all points are merged. Click OK when you want to exit the command.
  7. Click [image] if it appears on the status bar to recompute the project.

Related topics

Select Duplicate Points

Merge Duplicate Points

Rename Points

Select from the 2D Views


View and Edit Point Feature Properties

To view the properties for a point, select the point in a graphic or spreadsheet view, right-click, and select Properties.

If a point feature code has been assigned to the point and feature codes have not yet been processed in the project, the code is displayed in the Feature code field in the Properties pane for the point. You can click the [image] icon in the Feature code field to display the Feature Code Editor dialog, which allows you to view and edit the feature code and any assigned attributes, including photos and other media files. For more information on working with feature codes, see Enter and Edit Feature Code Strings.

If a point feature code has been assigned to the point and feature codes have been processed in the project, a symbol representing the feature (if one has been specified) is displayed with the point in the graphic views. In addition, Feature property fields are displayed in the Properties pane for the point showing the name of the feature and any attributes assigned to it. You can change the feature and assigned attribute values if necessary. The Feature code field is still displayed, but it is read-only until you select to clear the feature code processing results as described in Remove Feature Code Processing Results.

If more than one feature code is assigned to a point, after processing, only the point feature represented by the first code entered (that is, the first code displayed in the Feature code field) is displayed in the Properties pane for the point. This is referred to as the "primary feature" for the point. Processing causes each additional feature code to create a point feature that does not display with the associated point's properties, but instead displays in its own Properties pane when its symbol is selected in a graphic view. This is referred to as a "secondary feature" for the point. If the position for the point changes, the position for the secondary feature changes with it.

If a primary or secondary point feature includes a photo or other media file attribute, a Media Folder icon i_media folder in graphic view is displayed along with the feature symbol in the graphic views. You can view and change media file attributes assigned to the point feature by opening the Properties pane for the point to which a primary feature is assigned, or the Properties pane for a secondary feature.

Note: In addition to accessing media file attributes from the Properties pane for a point feature, you can open the media folder attached to the point to access all media files assigned to it, whether they were assigned as feature attributes or assigned some other way. For instructions, see Open Media Files.

Related topics

Understanding Feature Data

Workflow for Feature Data

View and Edit Linestring Feature Properties


Work with Line Data

In This Chapter

Understanding Lines, Linestrings, and Alignments

Create or Digitize a Polyline

Create and Edit a Linestring

Create and Edit a Simple Breakline

Breakline Options

Create a Surface Boundary

Boundary Options

Break a Line

Join Lines

Delete a Line Segment

Set a Line Elevation

Offset a Line

Trim and Extend Lines

Find the Outline of a Region

Drape a Line on a Surface

Manage Line Styles


Understanding Lines, Linestrings, and Alignments

Linear data in your project can be a CAD line, linestring, or alignment, depending on whether you import, create, or edit it. Use these definitions to understand the basic differences between the types of lines. For additional information on each, continue reading.

Line

In general, a line is an object consisting of two or more points and the connections (straight or curved) drawn between each consecutive point.

Note: The term "line" (as in the Line menu) is used generically throughout the software and documentation to denote any linear data, including CAD lines, linestrings, alignments, breaklines, and boundaries.

CAD line

CAD lines encompass most linear data that is imported from CAD files (.dxf, .dwg, .dgn, or .svl), including polylines, multi-lines, circles, arcs, ellipses, and splines.

When you edit any of these CAD line types, they are converted into linestrings.

Linestring

A linestring is a highly-versatile, often multi-segmented line defined by points and the connections between the points. Linestrings are used to represent linear/curvilinear objects, can be named, and can be either 2D or 3D.

When you edit a CAD line, it is converted into a linestring.

In addition, when you process a line feature, it is converted to a linestring. For more information, see View and Edit a Linestring's Feature Properties.

Alignment

An alignment is a line used to denote the path of a roadway, railway, pipe, or other utility or right-of way. Alignments can support spiral and arc segments and parabolic or circular vertical curves. Alignment properties include stationing and optionally, station equations.

Alignments include a horizontal component and may include one or more vertical components:

Horizontal Alignment (HAL) - A line used to denote the path of a roadway or similar alignment on a horizontal plane (as seen in Plan View / from above).

Vertical Alignment (VAL) - A line used to denote the path of a roadway or similar alignment (as seen in Profile View / from the side).

Breakline

A breakline is a linestring used in a surface to indicate where a change in topography occurs. Breaklines are used to create or edit surfaces so that the surfaces accurately reflect existing or design topography.

Boundary

A boundary is a closed polyline. Boundaries are sometimes used to 'clip' a surface, forming subset of the original surface.

Lines

When you import lines in CAD files, the software creates numerous types of line objects, which are each designed to closely match the identity, character, and properties of the source data.

A few common examples include objects identified in the software as:

  • CAD Line
  • CAD Arc
  • CAD Polyline
  • CAD 3D Polyline

The goal is to reflect the source line’s character as closely as possible, as opposed to “translating” that data into a dissimilar data structure. As a result, these imported lines also retain the various limitations that tend to be inherent in the source CAD data. This reduces the value of the imported data in many cases and for many uses. The software currently supports many different types of lines derived from imported data.

Although you can import CAD lines, when you create similar lines within the software they are linestrings, which are much more versatile and editable. When you edit any line imported from CAD data, this software will automatically convert it into a linestring.

Linestrings

Linestrings are generic line objects that are composed of:

  • Consecutive 3D segments (see notes below)
  • Vertical control points (see notes below)

These entities (segments and points) are defined by:

  • Location - Where this entity begins or its position in 3D space, defined by parameters and possibly other entities
  • Type - How this entity connects to next entity in series both horizontally and vertically

The advantages of linestrings:

  • They provide a single way to create and edit a simple, yet versatile, line object capable of representing numerous common and generic site features.
  • They minimize the number of line objects with which you must be familiar.
  • They overcome the most common faults inherent in imported CAD line data.
  • All lines, other than alignments, can be edited as linestrings.
    • Imported CAD lines are converted into linestrings when they are edited.
  • Linestrings support important additional object properties than can be assigned to imported lines.
  • Linestrings support much more sophisticated geometric construction features than many imported lines can represent.
  • Linestrings enable key field data preparation operations.
  • Linestrings use the concept of 'distance along', which is analogous to stationing for alignments.

Notes on a linestring's 3D segments:

  • Segments can be either 2D or 3D; they are not constrained to a horizontal plane.
  • Each segment is defined by:
    • A connection type (straight line segment, arc, 3-point arc, or deflection from last segment)
    • An end point (the first segment in the linestring is defined by a start point as well)
  • Segment end points can be defined by:
    • A fixed 2D or 3D coordinate (the Coordinate option in the Edit Linestring dialog's Type list)
    • A dependent relationship with a named 2D or 3D point object (the Point ID option in the Edit Linestring dialog's Type list)
  • For fixed coordinate end points of segments:
    • You can establish a VPI on the line by specifying the elevation of that end point. That VPI will remain coincidental with that end point as the end point's location is subsequently edited. However, in that case as well, a VPI otherwise (even coincidentally) established at the same distance along value will override that elevation assignment.
  • For segment end points dependent on named point objects:
    • If the point is 2D, you can establish a VPI on the line at that location by setting the elevation of that point (if otherwise practical), in which case the VPI is established at the related segment end point as opposed to being established at a fixed distance along the line. You cannot otherwise associate an elevation with that segment end point (as you can when defining the end point's coordinate as an integral part of the linestring's definition). However, you can independently establish a VPI at that distance along the line at which that end point currently occurs, which will remain at that distance along measurement as the line's geometry is edited.
    • If a 3D point, then the elevation of that point establishes a vertical point of intersection (VPI) on the line at the location of that end point (unless overridden by a VPI defined in the Vertical tab

Notes on Vertical Points of Intersection (VPIs)

  • The vertical component (elevation) of a linestring can be established in one of three ways:
    • By assigning elevations to the fixed start and end points of a linestring's segments (discussed above). A VPI established in this manner cannot have a vertical curve. A VPI of this nature remains located at that particular horizontal segment end point, even if the horizontal alignment geometry is edited, thereby potentially placing that end point at a different distance along the linestring's length. The resulting VPI can be overridden by a VPI that might be assigned, as a part of the linestring definition, at the same distance along measurement at which the internally defined end point currently lies.
    • By assigning elevations to dependent points that a linestring's segments use as start and end points. The elevation of the line at each point is defined by the point object's elevations. A VPI established in this manner cannot have a vertical curve. Vertical control points that you add at the same distance along the linestring override VPIs established using either of the two ways described above.
    • By adding vertical control points (discussed below) along the linestring.

Vertical control points:

  • Each vertical control point is defined by:
    • A curve type (parabolic or no curve)
    • A distance along the linestring
    • An elevation
  • A VPI established in this manner has no influence on the line's horizontal alignment.

Vertical control points that you add at the same distance along the linestring override VPIs established by fixed coordinates or named points. However, such a VPI will remain at that distance along the entire line as its horizontal geometry is edited, rather than remaining at that particular segment end point.

Alignments

An alignment defines a linear feature, such as a road centerline. Alignments consist of horizontal geometry (as seen in the plan view) and optional vertical geometry (as seen in the profile view). Alignments have associated stationing, and can also include station equations, if appropriate.

You can import alignments from LandXML or GENIO string files, or create them by specifying their horizontal and vertical components, or by converting them from vertices, lines, and polylines in your project.

You can create horizontal alignments using lines/tangents, arcs, and clothoid spirals. You can create vertical alignments with lines (constant slope), arcs, and parabolas. Each vertical alignment is associated with a horizontal alignment, and there can be multiple vertical alignments for each horizontal alignment. The values you can enter depend on the alignment settings for the project.

Usually, the goal in creating an alignment is to create a digital file of the design that you can upload to a field device, e.g. for staking.

Alignments and linestrings compliment each other to provide two unique ways to represent linear forms in your project. Each has properties appropriate to its intended use.

Alignment stationing is typically specified and established by the design engineer; within this software, stationing values should only be imported or transcribed from plans.

Alignment to Linestring Comparison
Alignments | Linestrings
Alignments support stationing and station equations that are established in the original design. | Linestrings address the accumulative distance along the line.
Alignments support spiral horizontal curve segments. | Linestrings are limited to circular arcs.
Alignments support symmetrical and asymmetrical parabolic vertical curves. | A linestring’s parabolic vertical curve must be symmetrical.
Alignments can serve as the basis for profile and cross-section views. | Linestrings cannot currently serve in that manner.
The effect of an alignment is always rendered sharply. | Linestrings have a surface sharpness property (soft or sharp).

Related topics

Understanding Alignments

Understanding Breaklines


Create or Digitize a Polyline

Create a multi-segment line at a constant elevation by either picking each segment's start and end points or by streaming points (picking the polyline's start point, adding points as you hold down the button and move the cursor, and releasing the button at the end point). Polylines can only be created in the Plan View. To create or digitize a linestring that has multiple elevations, see Create and Edit a Linestring or Digitize a Linestring.

The streaming method is optimized for digitizer input; you can enter an elevation for each polyline from the digitizer puck without returning to the on-screen command pane. After you set up your digitizer, this enables you to quickly and simply digitize multiple polylines using the Workflow for digitizing multiple polylines at the end of this topic.

To create or digitize a polyline:

  1. Do one of the following:
    • Click the [image] icon (if on the toolbar).
    • Select Takeoff > Create Polyline.
    • Select Line > Create Polyline.

    The Create Polyline command pane displays.

  2. In the Name box, type an identifier for the polyline as you want it to appear in the Selection Explorer and graphic views. You can also use the name to select the polyline in the Advanced Select command.
  3. Select the layer on which you want the polyline to reside in the Layer list, or select <<New layer>> to create a new layer for the polyline.
  4. Specify the elevation to be applied to the entire polyline in the Elevation box.
  5. To have the first and last point in the polyline automatically connected by a segment when you finish, check the Close by connecting ends if ends are close box.

    Note: The tolerance for connecting ends is 2 mm or 1/10th of an inch on the digitizer pad, depending on your project units. If you want to create an open polyline, simply keep the end point further from the start point than this distance. After creating a polyline, you can always change the Closed property in the Properties pane.

  6. In the Method to Add Points group, choose whether you want to:
    • Specify individual points - This enables you to pick the start and end point for each segment in the polyline. If this option is selected, the Specify Individual Points group is available.

      Note: Generally, this method is best when you are creating a simpler polyline or using the mouse.

    • Stream points - This enables you to pick the first point of the polyline, hold down the button to add points while moving along a path, and release the button when you reach the end point. Points are created at regular intervals along the polyline, based on the tolerance set in Filter Settings (below). If this option is selected, the Stream Points group is available.

      Note: Generally, this method is best when you are digitizing a polyline using a puck.
      Note: You can also pick individual points in the streaming mode if you need to create a polyline that includes both long, straight segments and curves.

  7. If you opted to specify individual points:
    1. Click in the Next point box, and pick successive points in the Plan View with the mouse or on a paper plan with the digitizer puck to create the polyline. Alternately, you can type a coordinate in the box, click Add Point, and repeat to create a polyline based on tabular data.
  8. If you opted to stream points:
    1. Select a Filter type from the list:
    • Circle - In the Radius box, specify the minimum radial distance from the last point that the next point can be added.
    • Tube - In the Length and Width boxes, specify the minimum rectangular distance from the last point that the next point can be added. Polylines are drawn in 2D, so this is not a 3D filter.

      Tip: Start with a filter radius/length of 3 feet/1 meter. Then adjust the tolerance up or down depending on your needs.
      Note: If you start a new polyline, the same filter settings are used until you change them.

    1. Click in the Next points box.
    2. Pick the first point of the polyline in the Plan View with the mouse or on a paper plan with the digitizer puck, hold down the mouse or digitizer button, and move along the path. At the end of the polyline, release the button. Points are created at a regular interval, based on the tolerance set in Filter Settings.

      Note: While in the Next points box, you can press [Backspace] to undo the last segment that was created.

  9. Press [Enter] or click New to start a new polyline. The focus returns to the Next Points box.

    Note: To change the elevation for the new polyline, type it in the Elevation box, or in streaming mode, enter it directly on the puck's keypad or the keyboard while in the Next points box.

  10. Click Close when you are done.

Workflow for digitizing multiple polylines:

  1. Specify the common name and layer properties for the polylines you want to digitize.
  2. Specify the first polyline's constant elevation.
  3. Choose the streaming method and specify the filter settings to use.
  4. Stream the points for the first polyline using the digitizer puck, and press [Enter].
  5. While in the Next points box, type an elevation for the next polyline on the puck's keypad, stream points for that polyline, and press [Enter].
  6. Repeat step 5 to digitize additional polylines.

Related topics

Create and Edit a Linestring

Digitize a Linestring

Digitize a Pad Line

Digitize Contour Lines

Digitize Data

Create and Edit a Breakline

Understanding Lines, Linestrings, and Alignments


Create and Edit a Linestring

In This Section

Create a Linestring

Edit a Linestring's Horizontal Segments

Horizontal Linestring Segment Options

Edit a Linestring's Vertical Control Points

Vertical Linestring Options

View and Edit Linestring Feature Properties


Create a Linestring

Create linestrings (versatile single or multi-segmented linear or curvilinear objects) to represent 2D or 3D linear objects. 3D lines can be defined and queried entirely from within the Plan View, and they provide a unique and versatile way of establishing the line's elevation or its vertical alignment. You can create linestrings in this software, or you can convert imported lines, such as CAD polylines into linestrings as you edit them. In creating a linestring, you specify the location of each point along the line, and how the segments between them are formed.

Note: When you process a line feature, it is automatically converted to a linestring with feature properties. For more information, see View and Edit a Linestring's Feature Properties.

To create a linestring:

  1. Do one of the following:
    • Select Line > Create Linestring.
    • Click the [image] icon.

    The Create Linestring command pane displays.

  2. In the Name box, type an identifier for the linestring as you want it to appear in the Selection Explorer and graphic views. You can also use the name to select the linestring in the Advanced Select command.
  3. Select the layer on which you want the linestring to reside in the Layer list, or select <<New layer>> to create a new layer for the linestring.
  4. Click OK. The Edit Linestring command pane displays. Continue to create the linestring using either of the options below.

To enter the first point by specifying a coordinate:

This option starts the linestring with the coordinate of any location (point) you pick, so that the linestring's geometry remains fixed at that point until you edit its coordinate.

  1. In the Start Point group's Type list, select Coordinate.
  2. Click in the Coordinate box, and pick a location in a graphic view, type a coordinate, or right-click for COGO coordinate options.
  3. Enter the elevation for the starting point in the Elevation box, or right-click for COGO elevation options.
  4. Click Save or press [Enter]. The first point of the linestring is saved and you are prompted to add the second point, designating how the segment between them is formed.
  5. Add the second point and the segment between them using the operations in Edit a Linestring's Horizontal Segments.

To enter the first point by specifying a point ID:

This option starts the linestring with a named point (point with a point ID) so that the linestring's geometry always reflects the location of the point. If you edit the point, the linestring updates in response.

  1. In the Start Point group's Type list, select Point ID.
  2. Click in the Point ID box, and pick a named point in a graphic view or type a point ID. The elevation of the point you specified is automatically used.
  3. Click Save or press [Enter]. The first point of the linestring is saved and you are prompted to add the second point, designating how the segment between them is formed.
  4. Add the second point and the segment between them using the operations in Edit a Linestring's Horizontal Components.

Related topics

Edit a Linestring's Horizontal Segments

Understanding Lines, Linestrings, and Alignments


Edit a Linestring's Horizontal Segments

The linestring editing command provides one familiar tool with which you can edit a large array of imported CAD lines of many types, such as polylines, arcs, and splines, automatically converting them in the process to linestrings, and enriching them as needed with geometric attributes not otherwise supported by the source objects.

Edit linestrings by redefining their points and the connections (segments) between the points, as well as by adding, inserting, and deleting segments.

To define vertical points of intersection (independent of the segment end points) at specific distances along the linestring, add vertical control points using the operations in Edit a Linestring's Vertical Control Points.

The current segment, end point, and direction of the linestring are indicated during editing. An X indicates the linestring's start point.

To access these options:

If you have just created a linestring, skip to one of the operations below. Otherwise, select a line or linestring and do one of the following:

  • Select Line > Edit Linestring.
  • Click the [image] icon on the toolbar, or on the Properties pane toolbar when a linestring is selected.
  • Right-click, and select Edit from the context menu.

    The Edit Linestring command pane displays. Click the Horizontal tab.

To view and select each horizontal segment in sequence:

  • Click the back and forward arrows on either side of the Current segment list, or move your cursor along the linestring in a graphic view and click to select the segment.

To add a straight segment:

  1. In the Segment group's Type box, select Straight.
  2. Follow the steps in To specify a segment's end (or start) point below.
  3. Click Save or press [Enter]. The segment is saved and you are prompted to specify the end point for the next segment.

To add a curved segment:

  1. In the Segment group's Type list, select one of the following options:
    • Smooth Curve - Select this option to create a smooth, spline-curved segment that extends from the previous segment's endpoint (or the line's start point), through an intermediate point on the curve, to a specified segment endpoint.
    • Best Fit Arc - Select this option to create a curved segment that extends from the previous segment's endpoint (or the line's start point), through or near one or more intermediate points, to a specified segment endpoint based on a best fit radius point.
    • Arc - Select this option to create a curved segment that extends from the previous segment's end point (or the line's start point) to the new segment's endpoint based on the radius, direction, and size you specify.
    • Tangent Arc - Select this option to create a curved segment that extends from the previous segment's endpoint to the new segment's endpoint based on one of the following:
    • The tangent of the segment that precedes the new segment (Begin tangent)
    • The tangent of the segment that follows the new segment (End tangent)
    • Both the tangent of the segment that precedes the new segment and the tangent of the segment that follows the new segment (Tangent tangent)
  2. Follow the steps in To specify a segment's end (or start) point to specify the end point of the curved segment.

To add a straight segment at a deflection angle from the preceding segment:

  1. In the Segment group's Type list, select Deflection.
  2. For the Direction, select the perpendicular left (-90 °), perpendicular right (90 °), straight ahead (0 °) deflection angle option, or select Specified angle to enter a specific deflection angle.

    Note: Positive deflection angles are measured clockwise from the direction of the previous segment.

  3. Pick a point in the graphic view to specify the length, or type a value in the Length box.
  4. Type an elevation for the end point in the Elevation box, and click Save or press [Enter].

To specify a segment's end (or start) point:

  1. In the End Point (or Start Point) group's Type list, select Coordinate or Point ID.
  2. Depending on the type you selected, click in either the Coordinate box or the Point ID box.
  3. For a coordinate, pick a location in a graphic view, type a coordinate, or right-click for COGO coordinate options. Then enter the elevation for the starting point in the Elevation box, or right-click for COGO elevation options.
  4. For a point ID, pick a named point (point with an ID) in a graphic view or type a point ID. The elevation of the point you specified (if defined) is automatically used to establish a vertical point of intersection on the line at that point.
  5. Click Save.

Note: If a linestring includes vertical control points (VPIs), and you edit the linestring's horizontal segments, the VPIs may or may not retain their original stations on the linestring. For details, see the Scenarios section at the bottom of this topc.

To edit a segment:

  1. Select the segment by picking it in the plan view, selecting it in the Current segment list, or clicking [image] and selecting it in the Browse Horizontal Segments list.
  2. Modify any of the options for the segment, and click Save.

To remove a segment:

  1. Select the segment by picking it in the plan view, selecting it in the Current segment list, or clicking [image] and selecting it in the Browse Horizontal Segments list.
  2. Click the [image] icon. The segment and its end point are removed, and the adjoining segments' end points are joined.

    Note: To delete a segment without joining the adjoining segments, use the Delete Line Segment command.

To insert a segment before the current segment:

  1. Select the segment before which you want to insert a new segment by picking it in the plan view, selecting it in the Current segment list, or clicking [image] and selecting it in the Browse Horizontal Segments list.
  2. Click the [image] icon.
  3. Follow the steps in To specify a segment's end (or start) point above to specify the new segment's end point, which becomes the new location of the start point for the segment you selected. The new segment is inserted before the selected segment.

To insert a new first segment:

  1. Select the linestrings 'start' coordinate or point by picking it in the plan view or selecting it in the Current segment list.
  2. Click the [image] icon.
  3. Follow the steps in To specify a segment's end (or start) point above to specify the start point for the new, first segment in the linestring.

To add a segment onto the end:

  1. Select the last segment by picking it in the plan view or selecting it in the Current segment list.
  2. Click the [image] icon.
  3. Follow the steps in one of the To add a * segment operations above.

To view and select a segment in a list:

  1. Click the [image] icon. The Browse Horizontal Segments dialog displays.
  2. Select the segment you need, and click OK.

To reverse the segment order/switch the linestring's start and end points:

  • Click the [image] icon on the pane's toolbar. You can confirm the order by moving your cursor along the linestring in the graphic view. The direction of the linestring is shown in the plan view an arrow on the selected segment.

Scenarios:

Click here for descriptions of what happens to vertical points of intersection (VPIs) when you add, move, or change horizontal segments.

Related topics

Create a Linestring

Edit a Linestring's Vertical Control Points

Horizontal Linestring Segment Options


Horizontal Linestring Segment Options

Use these options to create and edit horizontal linestring segments. They are available on the Horizontal tab of the Edit Linestring command pane. Linestring properties can be edited in the Properties pane.

Options

Click this to display the properties of the selected linestring in the Properties pane.

Click this to start the Create Linestring command.

Click this to reverse the order of the linestring's segments and the start and end points.

Click this to start the Set Line Elevation command.

Click this to start the Break Line command.

Click this to start the Join Lines command.

Horizontal tab

Current segment

This shows the number, segment type, and end point type of the currently selected horizontal segment of the linestring. Click the back or forward arrow on either side of the listed segment (or scroll the mouse wheel) to select the previous or next segment.

A segment is defined by the location of its end point, the elevation of the point (if defined), and the type of connection to the previous segment's end point (or the linestring's starting point).

Click this to display the Browse Horizontal Segments dialog, a list in which you can view and select from all of the horizontal alignment segments in the linestring.

Click this to insert a new segment before the selected segment or start point.

Click this to add a new segment onto the end of the linestring.

Click this to remove the selected segment.

The segment and its end point are removed, and the adjoining segments' end points are joined.

Start point

This group appears only when you are specifying the beginning location of a linestring. Use the Straight Segment Options below.

Segment type

Select the type of segment you want to create:

Straight - Select this option to create a straight segment that extends from the previous segment's end point (or the line's start point) to the new segment's endpoint.

Smooth Curve - Select this option to create a smooth, spline-curved segment that extends from the previous segment's endpoint (or the line's start point), through an intermediate point on the curve, to a specified segment endpoint.

Best Fit Arc - Select this option to create a curved segment that extends from the previous segment's endpoint (or the line's start point), through or near one or more intermediate points, to a specified segment endpoint based on a best fit radius point.

Tangent Arc - Select this option to create a curved segment that extends from the previous segment's endpoint to the new segment's endpoint based on one of the following:

  • The tangent of the segment that precedes the new segment (Begin tangent)
  • The tangent of the segment that follows the new segment (End tangent)
  • Both the tangent of the segment that precedes the new segment and the tangent of the segment that follows the new segment (Tangent tangent)

Arc - Select this option to create a curved segment that extends from the previous segment's end point (or the line's start point) to the new segment's endpoint based on the radius, direction, and size you specify.

Deflection - Select this option to create a straight segment that extends from the previous segment's end point (or the line's start point) to the new segment's endpoint based on the deflection angle and length you specify.

Straight segment/End point options

End point type

Coordinate - Select this to end the segment by specifying a fixed coordinate location.

Point ID - Select this to end the segment by specifying a named point using a point ID. The linestring segment will be dynamically attached to that point object.

Coordinate

Pick a point in a graphic view, type a coordinate, or right-click for more options

Elevation

Optionally, type an elevation for the end point of the segment. If you do, it establishes a vertical point of intersection on the line at the segment's end point.

Point ID

Pick a named point in a graphic view or type a point ID.

Arc segment options

Radius

Type a value for the radius of the arc.

Left/right

Select whether the arc should curve right or left, in relation to the direction of the previous segment.

Large/Small

Select whether to use the larger arc (> 180 °) or smaller arc (< 180 °) that is created between the points.

3 Point arc segment options

Coordinate

Select this to use any coordinate as the intermediate point ('point on curve') of the arc.

Point on curve

Pick a point in a graphic view, type a coordinate, or right-click for more options to specify a point trough which the arc must pass.

Elevation

Optionally, type an elevation for the point on curve of the arc. If you do, it establishes a vertical point of intersection on the line at the segment's end point.

Point ID

Select this to use a named point as the intermediate point. Then, pick a named point in a graphic view or type a point ID in the box.

Deflection segment options

Direction

Select the perpendicular left (-90 °), perpendicular right (90 °), straight ahead (0 °) deflection angle option, or select Specified angle to enter a specific deflection angle.

Note: Positive deflection angles are measured clockwise from the direction of the previous segment.

Length

Type a value in the box or pick a point in the graphic view to specify the length of the segment.

Elevation

Optionally, type an elevation for the end point of the segment. If you do, it establishes a vertical point of intersection on the line at the segment's end point.

Save

Click this to save the current segment.

You are prompted to specify the end point for the next segment.

Related topics

Edit a Linestring's Horizontal Segments

Edit a Linestring's Vertical Control Points

Vertical Linestring Options


Edit a Linestring's Vertical Control Points

If you need to define vertical points of intersection (VPIs) on a linestring that are located other than at the horizontal segment end points or the line's start point, add vertical control points along the linestring. A vertical control point is defined by its distance along the linestring, the elevation of the vertical point of intersection, and an indication as to whether a symmetrical parabolic vertical curve is involved at that VPI and if so, its length. Vertical points of intersection defined in this manner have no effect on the linestring's horizontal alignment.

Note: If a horizontal segment's end point and a vertical control point coincide, the elevation of the vertical control point overrides the elevation that may be assigned to the end point or to the point object to which it may be attached.

To access these options:

Select a line or linestring and do one of the following:

  • Select Line > Edit Linestring.
  • Click the [image] icon on the toolbar, or on the Properties pane toolbar when a linestring is selected.
  • Right-click, and select Edit from the context menu.

    The Edit Linestring command pane displays. Click the Vertical tab.

To add a vertical control point with no vertical curve:

  1. Click the [image] icon.
  2. In the Curve group's Type box, select No curve.
  3. Type a distance from the linestring's start point in the Distance along box, or pick a point along the linestring in the graphic view.
  4. Type an elevation for the vertical control point in the Elevation box.
  5. Click Save or press [Enter]. The vertical control point is added with simple, straight transitions from and to the point using the straight segments created by the point.

To add a vertical control point with a parabolic curve:

  1. Click the [image] icon.
  2. In the Curve group's Type box, select Parabolic.
  3. In the Length box, type a length for the parabolic vertical curve to be applied at the vertical control point.
  4. Type a distance from the start point in the Distance along box, or pick a point along the linestring in the graphics view.
  5. Type an elevation for the vertical control point in the Elevation box, and click Save or press [Enter]. The vertical control point is added with a parabolic curve.

To view and select a vertical control point in a list:

  1. Click the [image] icon. The Browse Vertical Information dialog displays.
  2. Select the point you need, and click OK.

To step through each vertical control point in sequence:

  • Click the back and forward arrows on either side of the Current vertical control point list.

To edit a vertical control point:

  1. Select the point by selecting it in the Current VPI list or clicking [image] and selecting it in the Browse Vertical Information list.
  2. Modify any of the points options, and click Save.

To delete a vertical control point:

  1. Select the point by selecting it in the Current VPI list or clicking [image] and selecting it in the Browse Vertical Information list.
  2. Click the [image] icon. The point is removed, eliminating the affect of the vertical control point on the linestring's vertical alignment.

Scenarios:

Click here for descriptions of what happens to vertical points of intersection (VPIs) when you add, move, or change horizontal segments.

Related topics

Edit a Linestring's Horizontal Segments

Vertical Linestring Control Point Options


Scenarios on Moving VPIs

Scenarios:

Editing a linestring that has vertical points of intersection (VPIs) can occasionally affect the stations of those VPIs in unexpected ways. In general, if the 2D (x,y) coordinate of a VPI on the linestring is still on the linestring after the edit, the VPI is updated with the new station value, if any. In two instances, the VPIs are not updated with new station values:

  • The linestring is edited outside of the Edit Linestring command; e.g. if a named point that the linestring references is moved, the VPIs are not adjusted.
  • The edit changes the order of the VPIs on the linestring; the VPIs are not adjusted. See the fourth scenario below.

Here is a linestring with horizontal segments denoted by lettered end points and VPIs denoted by numbers.

  • If you have horizontal segments with VPIs on them, and you move the end point labeled C:
    • VPI 1 is adjusted (the station is actually unchanged)
    • VPIs 2 and 3 are not adjusted (the stations remain the same)
    • VPI 4 is adjusted (the station is changed)

  • If you have horizontal segments with VPIs on them, and you delete the B to C segment:
    • VPI 1 is adjusted (the station is actually unchanged)
    • VPIs 2 and 3 are not adjusted (the stations remain the same)
    • VPI 4 is adjusted (the station is changed)

  • If you have horizontal segments with VPIs on them, and you add the F to A segment:
    • VPIs 1, 2, 3, and 4 are adjusted (their stations are changed)

  • If you have two horizontal segments with VPIs on them...

...and you move the A end point to a location that would change the order of the VPIs:

  • VPIs 1 and 2 are not adjusted (the stations remain the same)


Vertical Linestring Options

Use these options to create and edit vertical control points along a linestring. They are available on the Vertical tab of the Edit Linestring command pane. Linestring properties can be edited in the Properties pane.

Vertical Tab Options

Current VPI

This shows the distance along the linestring and curve type of the currently selected vertical control point on the linestring. Click the back or forward arrow on either side of the listed point to select the previous or next point.

A vertical control point is defined by its distance along the linestring, the elevation of the point, and how the linestring's geometry vertically transitions at the point.

Note: The locations of vertical control points are independent of the locations and elevations of horizontal segment end points; when you move horizontal segments, vertical control points remain at the distance along the line at which they were defined. If a horizontal segment's end point and a vertical control point coincide, the elevation of the vertical control point overrides the elevation of the end point.

Click this to display the Browse Vertical Information dialog, a list in which you can view and select from all of the vertical control points in the linestring.

Click this to add a new a vertical control point.

Click this to remove the selected vertical control point.

Curve type

Select an option for how the linestring's geometry vertically transitions at the vertical control point.

No curve - Select this to simply transition at the vertical control point using the two straight segments created by the point.

Parabolic - Select this to transition more smoothly by rounding off the two straight segments created by the point using a parabolic curve.

No curve type

Distance along

Type a distance from the linestring's start point, or pick a point along the linestring in the graphic view.

Elevation

Type an elevation for the vertical control point.

Parabolic curve type

Length

Type a length for the parabolic curve that transitions the two straight segments into the vertical control point.

The parabolic curve is tangent to both incoming and outgoing segments.

Save

Click this to save the current vertical control point.

You are prompted to specify the location of the next vertical control point.

Related topics

Edit a Linestring's Horizontal Segments

Edit a Linestring's Vertical Components

Horizontal Linestring Options


View and Edit Linestring Feature Properties

To view the properties for a linestring, select the linestring in a graphic view, right-click, and select Properties.

If the linestring was derived from an imported line feature during feature code processing, Feature property fields are displayed in the Properties pane, including the name of the feature and any attributes assigned to it.

If the linestring was not derived from an imported line feature (for example, it was created in Trimble Business Center), Feature property fields are displayed in the Properties pane only if you have imported feature definitions into your project as described in Import Feature Definition (.fxl) Files. When the Feature property fields are displayed, you can assign a feature to the linestring and specify attribute values as necessary.

When a feature is assigned to a linestring, most of the other properties in the Properties pane inherit the values that are defined for the feature (for example, the line style). You can make changes to these properties as necessary. You can also add or change any value displayed in the Feature property fields, including the feature name and feature attribute values. However, if the linestring was derived from an imported line feature and you reprocess feature codes in your project after making changes in the Properties pane, your changes will be lost.

If a feature linestring includes a photo or other media file attribute, a Media Folder icon i_media folder in graphic view is displayed along with the linestring in the graphic views. You can view and change media file attributes assigned to the feature linestring by opening the Properties pane for the linestring.

Note: In addition to accessing media file attributes from the Properties pane for a feature linestring, you can open the media folder attached to the linestring to access all media files assigned to it, whether they were assigned as feature attributes or assigned some other way. For instructions, see Open Media Files.

If a linestring is derived from an imported line feature and any of the nodes used to define the line feature contains a different attribute value (for example, a fence height changes from one node to the next), the number of linestrings created depends on whether you select Yes or No for the Create new linestring when attribute changes option in Project > Project Settings > Feature Code Processing.

  • If you select Yes, a new linestring is created for each segment where a node's attribute value differs from the preceding node in the line feature. Each new linestring displays the feature attribute value assigned to it in the Properties pane.
  • If you select No, a single linestring is created for all of the nodes that were used to define the line feature, even if one or more of them have different attribute values. For any differing attribute values, the linestring displays *Varies* in the Properties pane.

Related topics

Create a Linestring

Understanding Feature Data

Workflow for Feature Data

View and Edit Point Feature Properties


Create and Edit a Simple Breakline

Simple breaklines are simplified linestrings that help to define the shape of a surface as do other 3D line types that act as breaklines, by controlling how triangles in the surface mesh are formed. Triangles forming a surface never cross a breakline. Use breaklines of any type to more accurately reflect where surface topography changes.

Often, you will create a breakline by adding linestring segments between points where surface triangles converge (at vertices), but you can also add simple breakline segments freely between any two locations on or near the surface. The addition, deletion, or any edit to a 3D line serving as a surface breakline will cause the entire surface to be reformed. Unlike more complex linestrings, simple breaklines do not use vertical control points; you can enter elevations for each new vertex or derive elevations from existing vertices.

To create a simple breakline:

  1. Do one of the following:
    • Select Surface > Create Breakline.
    • Click the [image] icon on the toolbar.

    The Create Breakline command pane displays.

  2. In the Name box, type an identifier for the linestring as you want it to appear in the Selection Explorer and in graphic views when you select from multiple objects. You can also use the name to select the linestring in the Advanced Select command.
  3. Select a layer on which to create the linestring in the Layer list, or select <<New layer>> to create a new layer for the linestring.
  4. Select an option for how smoothly the surface is rendered at this particular linestring in the Surface sharpness list.
  5. Select the surface to which the linestring will be assigned as a member in the Add to surface list.
  6. Click OK. The Edit Linestring command pane displays with reduced options appropriate for creating a simple breakline.
  7. In the Start Point group's Type list, select Coordinate to start the linestring at any location, or select Point ID to attach the linestring to a named point.
  8. Click in either the Coordinate box or Point ID box (depending on what you chose for the starting point type), and use one of these ways to specify each point along the linestring:
    • In a graphic view, pick a vertex on the surface, or pick a named point (which may be a member of the surface and therefore one of its vertices)
    • Pick any location on or near the surface in the graphic view, and then type an elevation in the Elevation box. Then, click Save or press [Enter].
    • Type a coordinate, press [Tab], and type an elevation in the Elevation box. Click Save or press [Enter].

    The first point of the simple breakline is saved and you are prompted to add the second point and specify how the segment between them is formed.

    Note: To use the elevation from a point you pick anywhere on a surface, right-click and select From Surface Snap from the context menu. You are prompted to pick the point in the From Surface Snap command pane. Then, click Save or press [Enter].
    Note: To avoid picking points off of the surface (with no elevation), uncheck the Free snap in the Snap Mode dialog when you create a simple breakline or linestring. If you are prompted for an elevation, you may have missed the vertex point you were trying to pick.
    Note: You can also draw a 'freehand' breakline without using any existing data. In fact, you do not even need to have a surface to create a breakline.

  9. Keep adding segments to the linestring using one of the methods in step 8.
  10. Click Close. The simple breakline appears on the surface in graphic views, but does not appear in the Project Explorer.

    Note: Once created, linestrings can be graphically selected and added to other surfaces.
    Tip: To view changes to your surface more clearly as you work, open a 3D view and move it to a new tab group next to your plan view so you can see both views concurrently.

To edit a simple breakline:

  • Use the operations in Edit a Linestring's Horizontal Segments.

Related topics

Edit a Linestring's Horizontal Segments

Create a Linestring

Understanding Breaklines

Understanding Lines, Linestrings, and Alignments


Breakline Options

Use these options and those listed in Horizontal Linestring Options to create a breakline. They are available in the Create Breakline and Edit Linestring command panes. After creating a breakline, these properties and others can be edited in the Properties pane.

Options

Name

Type an identifier for the breakline.

This name will appear in the Selection Explorer and in graphic views when you select from multiple objects. In addition, you can use the name to select the breakline using the Advanced Select command.

Layer

Select the layer on which you want the breakline to reside, or select <<New layer>> to create a new layer for the breakline.

Segregating data onto logical layers makes it easier to filter your graphic views and select related data.

Surface sharpness

Select an option for how smoothly surface colors graduate at breaklines.

Soft - Select this to have shading gradually change at the breakline, giving the visual appearance of a soft edge.

Sharp - Select this to have shading abruptly change at the breakline, giving the visual appearance of a sharp edge.

Add to surface

Select the surface that you want the breakline to modify.

Related topics

Create and Edit a Breakline

Edit a Surface by Creating a Breakline


Create a Surface Boundary

Create a 2D boundary to delineate a portion of a surface. This is useful if you do not want to send an entire surface to field software; it enables you to include a smaller surface model with your design data. The boundary clips the surface to include only the triangles encompassed or crossed by the boundary. Boundaries can be polygonal or defined by specifying an offset from an alignment.

Note: Boundaries cannot be used to create or modify a surface.
Note: In many commands you can also pick a 2D polyline to use as a boundary; it does not need to be a boundary object created by this command.

To create a boundary by drawing a polygon:

  1. Do one of the following:
    • Select Line > Create Boundary.
    • Click the [image] icon on the toolbar.

    The Create Boundary command pane displays.

  2. Type an identifier for the boundary in the Name box.
  3. Select the layer on which you want to boundary to reside in the Layer box.

    Note: If the layer does not exist in your project yet, you can create it by selecting <New> in the box.

  4. Select Polygon in the Creation Method group to define the boundary by drawing a polyline around an area.
  5. Click in the Point box and pick a starting point for the polygonal boundary in the plan view, or type a coordinate or point ID in the box and click Apply.
  6. Pick another point, or type a coordinate or point ID in the Additional Point box to draw the first line of the boundary. A "rubber-band" line appears, showing you how the boundary will be closed when you click Close.
  7. Continue specifying points until you have completed the boundary.
  8. To begin another boundary, click in the Name box, and repeat steps 2 - 7.
  9. Click Close. The boundary appears in the view and the Project Explorer.

To create a boundary offset from an alignment:

  1. Follow steps 1 - 3 above.
  2. Select Alignment corridor in the Creation Method group to define the boundary by specifying an offset around a selected alignment.
  3. Select an alignment to create a corridor around in the Alignment box.
  4. Click in the Left offset box and pick a point in the view, or type a distance in the box to specify the left boundary of the corridor parallel to the alignment.

    Note: Since the alignment itself denotes a zero offset, typically the left offset value will be a negative number, unless you want to create a corridor on only one side of the alignment, such as for a sidewalk.

  5. Pick a point in the view, or type a distance in the Right offset box to specify the right boundary of the corridor parallel to the alignment.
  6. To create the boundary only between specific stations along the alignment, check the Limit by station box.
  7. Click in the Begin station box and pick a point along the alignment, or type a value in the box.
  8. Pick a point along the alignment, or type a value in the End station box.
  9. Click OK. The boundary appears in the view and the Project Explorer.

Related topics

Boundary Options

Add and Remove Surface Boundaries

Add and Edit a Design Model


Boundary Options

Use these options to specify a subset of a surface by creating a boundary. They are available in the Create Boundary command pane. Additional settings for a boundary are available in the Properties pane.

Options

Name

Type a unique name for the boundary.

Layer

Select the layer on which you want to boundary to reside.

You can also select <New> to create a new layer for the boundary.

Creation method

Polygon - Select this to define the boundary by drawing a polyline around an area.

Alignment corridor - Select this to define the boundary by specifying an offset from a selected alignment.

Polygon options

Point

Pick a point in the view, or type a coordinate or point ID in the box to draw the first line of the boundary.

Additional point

Pick a point in the view, or type a coordinate or point ID in the box to draw additional lines along the boundary.

Open polygons will be closed when you click in the Name box to begin a new boundary, or when you close the command.

Alignment corridor options

Alignment

Select the alignment around which to create the boundary corridor.

Left offset /
Right offset

Pick points in the view, or type distances in the boxes to specify the left and right boundaries of the corridor parallel to the alignment.

Note: Since the alignment itself denotes a zero offset, typically the left offset value will be a negative number, unless you want to create a corridor on only one side of the alignment, such as for a sidewalk.

Limit by station

Check this box to create the boundary only between specific stations along the alignment.

Begin station /
End station

Pick points along the alignment, or type values in the boxes to specify the first and last stations in the corridor.

Related topics

Create a Boundary


Break a Line

Break a line to split it into two separate linestrings at the point you specify. The linestrings remain coincidental at the break point, but must be edited separately thereafter.

Note: This command and others used on lines, such as Join, Edit, and Delete Line Segment, convert the lines into linestrings. Linestrings are generic lines which offer more editable properties than the original lines. For more information on linestrings, see Understanding Linestrings.

To break a line:

  1. Do one of the following:
    • Select Line > Break Line.
    • Click the [image] icon on the toolbar.

    The Break Line command pane displays.

  2. Pick a line in the Plan View. The line is converted into a linestring which is recorded in the Line box, and a "rubber-band" line appears between your cursor and the linestring.
  3. Using the rubber-band line, pick a location along the linestring at which to break it, or distance from the beginning point of the line in the Location box and click Break. The linestring is broken at the point you specified.
  4. To break another line, click in the Line box, or click Close to end the command.

Related topics

Join Lines

Create a Linestring

Edit a Linestring's Horizontal Segments


Join Lines

Join two or more contiguous lines into individual linestrings using manual and automated methods. When lines are joined, they are converted into linestrings, thereby increasing their versatility. The resulting linestring's direction and properties are determined by the first (base) line that you choose.

There are two ways lines join:

  • By making their end points coincident if they are within 0.0001 m of each other
  • By drawing a straight segment between the nearest end points if they are further than 0.0001 m apart

Note: End points with different elevations cannot be joined.
Note: This command works on 2D data in the plan view; end points with an elevation of 0 (zero) are converted to 2D end points.

To join two lines manually:

  1. Do one of the following:
    • Select Line > Join Lines.
    • Click the [image] icon on the toolbar.

    The Join Lines command pane displays.

  2. Select the Two lines option.
  3. Pick a line in a graphic view. The line's name is recorded in the Base line box.
  4. Pick the line you want to join to the base line. The line's name is recorded in the Line to join box. The lines are joined and converted into a single linestring.
  5. To join additional pairs of lines, continue to pick lines to connect to the current base line.
  6. Continue to join additional lines, or click Close.

To join one line to many consecutive lines:

  1. After step 1 above, select the One line to selection option.
  2. Pick a line in a graphic view. The line's name is recorded in the Base line box.
  3. Pick a set of lines to join to the base line, or click Options and choose a selection option. The number of lines selected is recorded in the Lines to join box.
  4. Press [Enter] or click Join. The command searches from the base line to each consecutive line, joining them until it reaches a break in the lines or a branch to multiple lines where it stops. The number of lines that were successfully joined to the base line is reported at the bottom of the pane.

    Note: Lines that are not within the 0.0001 m tolerance of each other cannot be joined using this method.

To join all consecutive lines:

  1. After step 1 in the first procedure, select the All selected lines option.
  2. Pick a set of lines to join in a graphic view, or click Options and choose a selection option. The number of lines selected is recorded in the Lines to join box.
  3. Press [Enter] or click Join. The command searches from each selected line to each consecutive line, joining them until it reaches a break in the lines or a branch to multiple lines where it stops. The number of lines that were successfully joined to the base line is reported at the bottom of the pane.

    Note: Lines that are not within the 0.0001 m tolerance of each other cannot be joined using this method.

Related topics

Break a Line


Delete a Line Segment

Delete a segment from a multi-segmented line or linestring to form one or two linestrings, depending on whether you delete an interior or an end segment. If a line consists of only one segment, the entire line will be deleted.

Note: This command can be especially helpful in fixing crossing breaklines in a surface.

To delete a segment:

  1. Do one of the following:
    • Select Line > Delete Line Segment.
    • Click the [image] icon on the toolbar.

    The Delete Line Segment command pane displays.

  2. Pick a line or linestring in a graphic view. The name is recorded in the Line box, and a "rubber-band" line appears between your cursor and the line.
  3. Using the rubber-band line, move along the line and pick the segment you want to delete. The segment disappears.
  4. Continue picking linestrings and then segments to delete, or click Close.

Related topics

Create a Linestring

Edit a Linestring's Horizontal Segments


Set a Line Elevation

Apply a single, constant elevation to a 2D line to make it a 3D linestring. You can also specify a vertical offset from the elevation that you enter and a surface to which the linestring will be added.

Note: You cannot set a line elevation on a line that already has elevations. To modify the existing elevations, add vertical control points using the Edit Linestring command.
Tip: The Set Line Elevation command is especially efficient when you have annotations that contain elevations next to your lines. You can simply pick each object and annotation consecutively.
Tip: If you need to apply the same elevation to multiple consecutive linestrings, you may want to join them into a single linestring first using the Join command.

To set a constant elevation on a linestring:

  1. Do one of the following:
    • Select Line > Set Line Elevation.
    • Click the [image] icon on the toolbar.

    The Set Line Elevation command pane displays.

  2. To apply a standard vertical offset to each elevation you enter, type a value in the Vertical offset box.

    Note: This can be especially helpful when elevation values are specified by clicking on a text object, and when the resulting value is to be above or below the elevation reflected on that text. This commonly occurs in setting building pad elevations where the finished floor elevation is labeled, and the top of pad is to be beneath that by a specified slab thickness.

  3. To make each line you pick a member of a specific surface, select the surface in the Add to Surface list. Otherwise, leave the surface set to <None>.
  4. Pick a line that you want to elevate in a graphic view.
  5. Pick another elevated object, such as an elevation annotation or contour line, to apply its elevation. Alternately, you can type a value in the Elevation box and click Apply. Any CAD line or polyline that you elevate is converted into a linestring. The elevation is applied to the entire linestring after adding the specified vertical offset.
  6. Repeat steps 4 and 5 to add elevations to additional objects as needed.
  7. Click Close.

Related topics

Join Lines

Edit a Linestring's Horizontal Segments


Offset a Line

Create a new linestring offset at a specified distance from an existing line. The line from which you are offsetting can be either 2D (such as a boundary or an alignment without a vertical alignment (VAL) or 3D (such as a 3d linestring or an alignment with a VAL). In addition, the offset can be horizontal, vertical, or both. Line segments offset from an arc segments, are chorded.

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.

To create a line offset from an existing line:

  1. Do one of the following:
    • Click the [image] icon (if on the toolbar).
    • Select Line > Offset Line.

    The Offset Line command pane displays.

  2. Click in the Line to offset from box, and pick a line in a graphic view or the Selection Explorer. Alternately, you can click Options and choose a selection method from the context menu.
  3. By default, the Name box is filled with the name of the selected line. To change it, type a new name.
  4. Select a layer on which to place the contour in the Layer list. By default, the new offset line inherits the original line's layer.
  5. In the Offset distance box, specify the distance from the original line that you want to create the offset line.
  6. Click on a side of the selected line in the view or select a side on which to create the offset line in the Side to offset list.

    Note: The side is based on the direction of the line, which can be also determined using the Explore Object command.

  7. If needed, specify a vertical distance to offset the line from the original line in the Vertical offset box. Otherwise, the segments of offset line will have the same elevations as the corresponding segments of the selected line.
  8. Click Apply to create the offset line. The offset line is created next to the originally selected line, and selected as the line to offset from.

    Tip: To create a series of lines offset at the same interval, simply click Apply repeatedly after specifying the offset distances and side.

Related topics

Copy Objects

Understanding Lines, Linestrings, and Alignments


Trim and Extend Lines

Use the Trim/Extend Lines command to:

  • Lengthen (1 below) or shorten (2) selected lines to their planimetric intersection with a specified bounding line (in yellow).
  • Shorten or lengthen selected lines by a specified distance (3).

Trimming and extending lines to their intended intersections can help you clean up error-prone data, resulting in better surface formation and more accurate volume calculations. Lines can also be trimmed/extended even when they do not intersect the bounding line; they can be trimmed/extended to the intersection point with a projection of the bounding line.

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.
  • Bounding (target) line and lines to planimetrically (in the Plan View) trim or extend to it

To access the command:

  • Select Line > Trim/Extend Lines (if on the main menu).
  • Click the i_trim extend line icon (if on a toolbar).

To trim or extend one or more lines to a bounding line (one at a time):

  1. Select One line to bounding line in the Method group.
  2. Select a trim/extend option:
    • Trim - Select this to always shorten the line (on the end that you pick) back to the bounding line.
    • Extend - Select this to always lengthen the line (on the end that you pick) forward to the bounding line. If the line cannot be extended to the bounding line, it is extended to a projection of the bounding line.

      Note: The bounding line does not change; it is only projected to compute the intersection with the line being extended.
      Note: If the projected end of the bounding line is an arc segment, a continuation of the arc (not a line tangent from the end of the arc) is projected .

    • Trim/extend shortest distance - Select this to automatically trim or extend the line you pick based on which option is shorter.
  3. For the Bounding line, pick the line that you want the trimmed or extended lines to end at in the Plan View.
  4. Pick the first line on or near the end that you want to trim or extend.
  5. To trim or extend another line to the same bounding line, press [Tab] to move back to the Line to trim or extend box again. Otherwise, pick a new bounding line.
  6. Pick the next line to trim or extend. Each line is trimmed or extended to the bounding line.
  7. Repeat steps 5 and 6 for each line that you want to modify.

To trim or extend multiple lines to a bounding line (all at once):

  1. Select Multiple lines to bounding line in the Method group.
  2. Select a trim/extend option:
    • Trim - Select this to shorten all of the selected lines back to the bounding line.
    • Extend - Select this to lengthen all of the selected lines forward to the bounding line. If any line cannot be extended to the bounding line, it is extended to its projection, if possible.

      Note: If the end of the bounding line is an arc, there may be selected lines that cannot be extended to its circular projection.

    • Trim/extend shortest distance - Select this to automatically trim and/or extend all of the selected lines. In considering the possible trimming or extension of both ends of a selected line, the single action that results in the shortest trim/extend distance performed. I.e. the software determines whether trimming or extending either end of the line produces the shortest trim or extension distance. The four potential solutions are analyzed, and the one with the shortest change in distance is used.
  3. Pick the Bounding line in the Plan View.
  4. Pick all of the lines that you want to trim/extend, or click Options and choose a selection method in the context menu.
  5. Click Apply. The lines are trimmed/extended regardless of their distance to the bounding line.

To trim one or more lines by a specific distance (one at a time):

  1. Select One line by distance in the Method group.
  2. Select a trim/extend option:
    • Trim - Select this to always shorten the line (on the end that you pick) back by the specified distance.
    • Extend - Select this to always lengthen the line (on the end that you pick) forward by the specified distance.
  3. Enter the length to trim or extend the line in the Horizontal distance box.
  4. Tab to the Line to trim or extend box, and pick the first line in the Plan View.
  5. Pick the next line to trim or extend.
  6. Repeat step 5 for each line that you want to modify.

Options:

  • Bounding line - Pick a CAD line, polyline, linestring, or alignment as the limiting line to which the other selected lines will be trimmed or extended.
  • Line to trim or extend - Pick a CAD line, polyline, or linestring to shorten or lengthen in the Plan View or 3D View. For the one line to bounding line, where you pick on the line determines which end is trimmed or extended.
  • Horizontal distance - In this distance control, specify the length that each line is to be trimmed or extended.

Scenarios:

  • If the line that you are trimming or extending is dependent on (attached to) a point on the affected end, the line will be disconnected from that point and the point will remain in its original location when the line is trimmed/extended. The dependency between the line and the point is removed.
  • If both ends of a line that you want to trim cross the bounding line, you need to break the line where it intersects the bounding line if you want to trim the interior portion between the bounding line.
  • If a planimetric intersection between a line and a bounding line cannot be calculated, the line is trimmed or extended to a projection of the bounding line. If the bounding line segment nearest the intersection is an arc, the arc is projected.

  • Generally*, if the bounding line and lines to trim intersect (or would intersect upon being extended) in 2D (1), but do not intersect in 3D (2), the elevation of the trimmed/extended line's end point is interpolated; the resulting end point is at the elevation that the line was previously at that position. The slope of the trimmed/extended line remains unchanged. When extending a line, the resulting elevation of the new end point is extrapolated, based on the prior slope of the end segment.
    * If a line being trimmed has multiple vertical alignment segments (such as 3D polyline or a linestring with multiple VPIs), entire end segments may be trimmed away.
Intersection in the Plan View | Same intersection in the 3D View

Related topics

Move Objects

Track a Region Outline


Find the Outline of a Region

Use the Track Region Outline command to create a 2D or 3D linestring representing the 2D outline of a region from a set of separate (potentially unconnected) lines. The region is derived from portions of the bounding lines that planimetrically intersect (in Plan View) to form an enclosing region surrounding an interior 'seed' point. The region’s area is expanded outward from the interior point in all directions until a selected line is encountered.

Tracking a region outline enables you to create boundaries from lines that may or may not intersect in 3D for commands, such as Define Area of Interest and Topsoil Stripping/Replacement, that require closed linework. Multiple outlines can be created sequentially, one at a time, without closing the command.

The image above shows the region outline created in the Plan View when all of the lines are selected and the interior point is placed at the + sign. The resulting linestring, which is closed in 2D, is formed from:

  • the rectangular boundary of null elevation
  • the two crossing polylines with elevations of 3 and 5
  • the linestring with elevations of 1, 7, 5, and 0

The image above shows the same region outline from an isometric angle in the 3D View. Generally, the 3D shape of the linestring is irrelevant to the commands in which it is used. For example, if used to define an area of interest, only the 2D region outline matters. The resulting linestring may or may not be closed in 3D. In this instance, it is not.

Warning: Since the resulting linestrings are created for use as 2D outlines, their geometry is not appropriate for use as members of a surface.

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.
  • Lines that intersect planimetrically (in the Plan View) to form a closed region; these can include CAD lines, polylines, linestrings, breaklines, boundaries, and alignments.

To access the command:

  • Select Line > Track Region Outline (if on the main menu).
  • Click i_track region outline the icon (if on a toolbar).

Options:

  • Name - A name is optional, but recommended to help you find the linestring that created when you want to select it in other commands.
  • Lines - Select one or more lines (as defined in the Prerequisites) in the Plan View or 3D View, the Project Explorer, or Selection Explorer, or click Options and choose a selection method from the context menu.
  • Track interior regions - Check this box to create outlines from islands/holes defined by selected lines within the region formed by the outer selected lines. Only the first interior region encountered forms an outline linestring; islands/holes nested within interior regions are ignored. Below are examples of interior regions.

or

  • Interior point - Using this coordinate control, specify a point in the Plan View that is bounded by the selected lines.

    Note: Each time you pick a point with lines selected, a linestring is created on the outline. If you pick multiple points with the same lines selected, identical linestrings are created.

  • Results - The Region area is the total area bounded by the outer 2D outline. The Island area is the total area encompassed by all of the interior regions. The Net area is the total of the Region area minus the Island area.

Scenarios:

  • If you need to make the resulting linestring 2D, select it and use the No Elevation option in the Change Elevation command.

Dependencies:

  • The resulting linestring is independent of the lines from which it is created; if any of them are deleted or modified, the region outline does not change unless you recreate it.

Related topics

Add and Remove Surface Boundaries


Drape a Line on a Surface

Use the Drape Line on Surface command to vertically project a 2D or 3D line onto a surface to create new 3D line geometry lying on the surface. The new line geometry is dependent both on the surface's topography and the shape of the originating line.

cg_drape line on surface

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.
  • Surface
  • Line that is planimetrically coincident with the surface (in the Plan View)

To access the command:

  • Select Surface > Drape Line on Surface (if on the main menu).
  • Click the [image] icon (if on a toolbar).

Options:

  • Surface sharpness - Select an option for how smoothly surface colors graduate at the draped line.

    Note: This draped line setting has no effect on the surface on which the line is draped. The draped line lies across the triangles of the surface on which it is dependent; it does not influence the surface like a breakline. The Surface sharpness setting has an affect only when the draped line is added as a member of a different surface (other than the one on which it is dependent). The texture boundary part of the setting can, however, be used in constraining textures to areas of either surface.

Soft | Select this to have shading gradually change at the draped line, giving the visual appearance of a soft edge.
Sharp | Select this to have shading abruptly change at the draped line, giving the visual appearance of a sharp edge.
Sharp and texture boundary | Select this to use the draped line as a boundary for surface textures.
  • Reference line - Pick the line that you want to project vertically (either up or down) onto the surface.

Scenarios:

  • If the line and surface are not coincident in vertical space, you can run the command, but the draped line will not appear on the surface. Only the portions of the reference line that can be projected vertically onto the surface will contribute to the formation of the draped line.

Dependencies:

  • The projected line is dependent on both the shape of the reference line and the topography of the surface; if either changes, the draped line geometry changes accordingly. Since geometry of a draped line remains dependent on the surface on which it is draped, it cannot be used as a member of that surface. A draped line can, however, be used as a member of a different surface, thereby forming a daylight line along which the two surfaces intersect.

Related topics

Add a Texture to a Surface Area


Work with Surface Data

In This Chapter

Create a Surface

Edit a Surface

Show Surface Elevations and Map Depths

Add Surface Materials and Images


Create a Surface

In This Section

Understanding Generalized Surfaces

Workflow for Creating and Editing Surfaces

Workflow for Using Imported Surfaces

Check Imported Surfaces

Create a Surface

Surface Options

Create and Edit Stored Cross-Sections

Create and View a Surface Profile

Create and View a Surface Cross-Section

3D Drive View

View a Slice of a Surface

Create and Edit a Planar Surface

Merge Two Surfaces to Create a Surface

Run a Surface Report


Understanding Generalized Surfaces

A surface is a 3D digital representation of topography, formed by a mesh of contiguous triangles, which is known as a triangulated irregular network (TIN). The triangles are connected at their vertices, which are defined by points with horizontal positions (X and Y values) and elevations (Z values). You can either import surfaces, or create them using existing data in your project.

Use surfaces to:

  • Visualize and analyze the topography at different construction phases (based on classifications):
  • Compare one phase to another to generate volume reports for cut and fill earthwork operations.
  • Represent stockpiles and depressions
  • Create contour maps from topographic surveys.
  • Upload a surface to a field device to check grades, or for accurate staking of an alignment or daylight boundary.

Specialized types of surfaces:

  • PCS Uncompacted surface
  • Takeoff surfaces (layer, subgrade, depth, and topsoil)

While they share some properties with generalized surfaces, each of these types is created and edited in a unique way, and each has properties specific to its purpose.

Related topics

Create a Surface

Workflow for Using Imported Surfaces

Workflow for Created Surfaces


Workflow for Creating and Editing Surfaces

This workflow guides you though importing or creating all of the data you need for a generalized surface (Triangular Irregular Network (TIN)) for volume calculations or sending to field crews staking/checking or machine control. Once you create the surface, the workflow guides you though editing and validating the surface. Then, you can run reports, and add textures and images to the surface to enhance visualization and printed output.

To get guidance through this workflow in the software, select Help > Workflow Guides.

Note: Your tasks may vary from these typical steps, so feel free to use a different order or skip steps.

Here is the general workflow:

Steps

Help by Command

Notes

1.

Setup your program and project.

Program and Project Setup Workflow
  • Import CAD data, if applicable.

2.

Create additional objects to use in forming the surface.

Create Point

Create Polyline

Create Linestring

Create Alignment

Objects that can be used to create surfaces include:

  • Points (of various types)
  • Lines (of various types)
  • Alignments

3.

Clean up, organize, transform, and elevate your data, if needed.

Data Preparation Workflow

4.

Create the surface.

Create Surface

5.

Create additional, surface-based objects to use in checking the surface:

  • Add topographic contour lines at intervals or an elevation.
  • Create a cut/fill grid of elevations relative to an absolute elevation or another surface.
  • If one of the surface members is an alignment, create a surface profile or cross-section for graphic viewing.

i_create contour at elevation

i_create surface profile

Create Contours

Create Contour at Elevation

Create Surface Cut/Fill Grid

Create Surface Profile

Create Surface Cross-section

6.

Check the surface to make sure it accurately reflects the job site or design's topography.

  • Orbit and view the surface in the 3D View.
  • Use the Coordinates scroll to check elevations at specific locations.
  • Slice across the surface to see a cross-section in any direction.
  • If one of the surface members is an alignment, 'drive' down the alignment, or review a cross-section along or across the alignment.
  • Check flagged data to see if anything needs to be fixed.

i_surface slicer view

New 3D View

Coordinates Scroll

Surface Slicer View

New 3D Drive View

Alignment Cross-section View

Profile View

Flags Pane

The surface model has been formed, however you want to ensure that it has formed correctly.

7.

Edit the surface:

  • Add or remove members that form the surface.
  • Add/remove surface boundaries
  • Add breaklines to the surface.
  • Remove excess triangles at the surface's edge.
  • Add a breakline to the edge of the surface.
  • Drape a line on the surface.
  • Edit surface properties, such as the maximum triangle length and angle.
  • Link a surface to a related alignment and densify it.

i_trim surface edge

Add/Remove Surface Members

Add/Remove Surface Boundaries

Create Breakline

Trim Surface Edge

Create Surface Edge Breakline

Drape Line on Surface

Properties

You may need to edit a surface that you created or imported if it is defective or has been extended with newly-measured or imported data. Primarily, you do this by adding data to the existing surface.

8.

If applicable, merge two surfaces to create a new one.

Merge Surfaces

9.

Run a report on the surface.

Surface Information Report

The report shows surface measurements and limits, as well as the number of triangles, vertices, and other items that affect the surface.

10.

Compute earthwork volumes by comparing the surface to an absolute elevation or another surface.

Earthwork Report

11.

Prepare the surface for visualization and printing:

  • Add textures to surface areas.
  • Drape an image on the surface.

Add Surface Texture

Add/Remove Surface Members

You drape an image on a surface by adding it to the surface as a member.

Related Topics

Prepare Layered Data for a Surface

Add and Edit Elevations on a 2D Line

Create a Surface

Create a Sloping or Level Plane Surface

Create Surface Contours


Workflow for Using Imported Surfaces

You may receive surface data from colleagues, clients, or field crews in a variety of file formats, including .pro, .svd, .svl, .tsd, .ttm, and .xml). You can also create surfaces from point data when you import using the Import Format Editor. The general workflow for using imported surfaces is:

  1. Import the file containing the surface. The surface is created as a single object, and appears in the Project Explorer.
  2. Check the surface for quality to make sure it accurately reflects the project topography.
    • View the surface in plan view with contours.
    • Orbit and view the surface in 3D view.
    • Use the coordinate scroll to check the elevation at specific locations.
  3. Edit surface properties, such as the classification, color, and other display characteristics.
  4. Compute volumes by comparing the surface to another surface.
  5. Upload the surface to a field device for staking, or export it to another application.

Related Topics

Import GCS Machine Job Site Design Surface Files

Import GCS Machine Job Site Design Linework Files

Import LandXML Files

Import Planar Surface Files

Import Terrain Model Files

Import Terramodel Project Files

Run an Import Report

Check Imported Surfaces


Check Imported Surfaces

You can import surfaces existing in Trimble DTMs (.ttm), LandXML files (.xml), SiteVision design files (.svd), Terramodel project files (.pro), or ASCII point files. Once you do, check the surface for quality and accuracy.

i_surface with invalid elevation

Example of a surface with a point at an invalid elevation.

To check an imported surface:

  1. Add contours to visualize the topography of the surface.
  2. Spot check elevations. Pick a point in a graphic view to find the elevation of the surface at that location. The coordinate scroll also shows the elevation of the current cursor location.
  3. In the 3D View, orbit around the surface and zoom in to see it everything looks valid. If it helps, change the vertical exaggeration.
  4. Pick the surface and view its properties in the Properties pane.

    Note: To see the slope direction of each triangle in a surface, set Slope arrows to Show in the properties for a surface. To specify the length of the slope arrows, select Project > Project Settings. Then click Computations and Surface in the left pane. Change the value in the Slope arrow length box.

Related Topics

Import LandXML Files

Import TTM Files

Import GCS Machine Job Site Design Surface Files

Import Terramodel Project Files

Create Surface Contours at Intervals

Edit a Surface by Changing Its Properties

3D View Navigation


Create a Surface

Certain types of objects in your data can be used to define a surface, including:

  • Points (surveyed, CAD, and lightweight)
  • Lines (CAD lines, polylines, linestrings, breaklines)
  • Alignments
  • Sessions and vectors (this is unusual)

When you create a surface, you select a set of these objects. These selected objects are called "members" of the surface. Members do not become part of the surface, they simply define it. The surface is created as a separate object. To change a surface, you add, remove, or edit the positions of members in the set. As a result, the surface object updates to reflect the changes.

Note: Before creating a surface, set the default Maximum Edge Length and the Maximum Edge Angle of surfaces in Project Settings. Select Project > Project Settings. Then click Computational Settings and Surface in the Project Settings dialog. Setting these can reduce the amount of trimming needed on the surface edge.
Tip: You can import points as a surface in the Import Format Editor.

To create a surface:

  1. Do one of the following:
    • Select Surface > Create Surface.
    • Click the [image] icon on the toolbar.

    The Create Surface command pane displays.

  2. Type a name in the Name box.
  3. Select a type in the Surface Classification list. This classification will be used to compare the surface to another surface with a different classification to calculate volumes for the Earthwork Report.
  4. In a graphic view or the Project Explorer, pick objects to include as members of the surface, or click Options and select an option in the list.

    Note: If you have organized your project into layers, select ByLayer.

  5. Click OK. The surface appears in the graphic views and the Project Explorer.

    Note: To see the slope direction of each triangle in a surface, set Slope arrows to Show in the properties for a surface. To specify the length of the slope arrows, select Project > Project Settings. Then click Computations and Surface in the left pane. Change the value in the Slope arrow length box.
    Tip: To view surfaces more clearly, use a 3D view, and set your view filter to Surfaces.

  6. Check the surface for quality to make sure it accurately reflects the project topography.
    • Add contours and check the surface in the Plan View and 3D View.
    • Use the Coordinate scroll to check the elevation at specific locations.

Related topics

Surface Options

Workflow for Creating Surfaces

Understanding Surface Densification

Densify a Surface


Surface Options

Use these classifications to identify the state or phase of a surface in the construction process. They are available in the Create Surface command for generalized surfaces and the Properties pane for all types of surfaces.

Options

Surface Classification

Unclassified - Select this when none of the classifications apply, or when you do not need to compare the surface to another classification of surface.

Original - Select this when the surface represents the current state of the site's topography, i.e. the existing ground terrain.

Original earthen - Select this when the surface represents the top of existing, earthen materials (beneath existing pavements, building foundations, etc., which may be slated for demolition), but before any topsoil stripping occurs.

Original earthen stripped - Select this when the surface represents the top of existing, earthen materials after topsoil stripping and beneath existing pavements, building foundations, etc., which may be slated for demolition.

Finished earthen stripped - Select this when the surface represents the uppermost surface of earthen materials other than proposed in-ground improvements (area-based site improvements with material layers), excluding topsoil replacement volumes, i.e. before topsoil replacement.

Finished earthen - Select when the surface represents the uppermost surface of earthen materials other than proposed, in-ground improvements, but including the volume of replaced topsoil, i.e. after topsoil replacement. This is usually the finished product for dirt-moving contractors.

Design - Select this when the surface represents the proposed surface of a project, typically running across the top of pavement, building pads, concrete sidewalks etc.

In most cases, this is the surface defined by the contours and spot elevations on plans from the engineer.

As-built - Select this when the surface represents the completed project.

Often this state is used to verify to an owner or regulatory agency that the site construction conforms to the plans.

Stockpile - Select this when the surface represents a storage area for earthwork material.

Depression - Select this when the surface represents a hole where material has been removed.

Difference model - Select this when the surface represents the comparative difference in volume between two surfaces.

Related topics

Create a Surface


Create and Edit Stored Cross-Sections

In This Section

Create Stored Cross-sections Along an Alignment

Digitize a Cross-section Along an Alignment

Copy a Stored Cross-Section

Edit a Stored Cross-Section

Stored Cross-Section View


Create Stored Cross-sections Along an Alignment

Use the Create Stored Cross-section command to create a stored cross-section at a specific station along an alignment.

Stored cross-section with named nodes in the Cross-section View | Current stored cross-section indicator on an alignment in the Plan View

Typically, you will create cross-sections by entering tabular station, elevation, and offset data for the purpose of creating a simple road surface for calculating takeoff earthwork volumes.

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.
  • Horizontal alignment (HAL) along which to create the cross-section
  • Cross-section data, such as a station, elevation, and offset table

To access the command:

  • Select Surface > Create Stored Cross-section (if on the main menu).
  • Click the [image] icon (if on a toolbar).

To create a cross-section:

  1. If applicable, import any cross-section data that you already have for the alignment, such as in a .reb file, before you start the command.
  2. Select the alignment along which to create additional cross-sections in the Alignment list.
  3. Specify the station at which to create the cross-section in the Station box.
  4. Select the layer on which you want the cross-section to reside in the Layer list, or select <New> to create a new layer.
  5. Click OK. The Stored Cross-section Editor displays.
  6. In the first row, click in the Offset box and specify a distance from the alignment (usually a road centerline) at which to place the first node of the cross-section.
  7. In the Elevation box, specify the elevation of the first node.
  8. Optionally, name the first node, such as EOP for edge of pavement, in the Name box.
  9. Repeat steps 6 - 8 until the cross-section at the specified station is complete.

    Note: For any cross-section, you can enter information for nodes in any order; Nodes are sorted from left to right based on the offset.
    Note: By default, the vertical exaggeration of the Stored Cross-section Editor view is set to 5. To change this, click the [image] icon to access the Cross-section View Project Settings.

  10. If needed, add the cross-section to a surface using the Add/Remove Surface Members command.
  11. To create another cross-section, click Create Cross-section. Then return to the command pane and repeat the preceding steps.
  12. To move between cross-sections in the Stored Cross-section Editor, click Previous and Next.
  13. To hide or show segments between nodes, click the [image] icon. In Project Settings's Cross-section Editor Grid Options , set Visibility column to Hide or Show. When set to Show, the Visibility column appears in the editor.

Options:

  • Alignment - Select the alignment for which you have cross-section data to enter.
  • Station - Specify the station for each set of cross-section values, as indicated in your cross-section data.
  • Offset - For the current station, specify the distance from the alignment for each node on the cross-section. Use negative numbers for nodes to the left of the alignment (typically a road centerline).
  • Elevation - Specify the elevation of each node.
  • Name - Specify the name or abbreviation of the node. Nodes with identical names are linked from cross-section to cross-section along the alignment.

Scenarios:

  • If the HAL has vertical alignment (VAL) data as well, a dot in the Stored Cross-section Editor's graphic indicates its position.
  • When you create a second cross-section (or more) cross-section along the same alignment, connections are drawn between the nodes on the original cross-section and any corresponding nodes on the new cross-section. You can control the visibility of these connecting lines in the Properties pane for the original cross-section.

Related topics

Import Portable Document Files (.pdf)

Digitize a Cross-section

Edit Stored Cross-Sections


Digitize a Cross-section Along an Alignment

Use the Digitize Cross-section command to quickly 'digitize' (trace) cross-sections in paperspace based on an imported portable document file (PDF) or image files. Then you can bring the cross-sections into your project.

Typically, you will digitize cross-sections for the purpose of creating a simple road surface for calculating earthwork volumes to bid on a job.

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.
  • Horizontal alignment (HAL) along which to create the cross-sections
  • PDF file or image files with cross-section diagrams that include offset, elevation, and station labels

To access the command:

  • Select Surface > Digitize Cross-section (if on the main menu).
  • Click the [image] icon (if on a toolbar).

To digitize a cross-section:

  1. In the Digitize Cross-section dialog, click Import PDF or Import Images, depending on the type of cross-section data you have.
  2. If you are importing a PDF, specify the individual pages that you need separated by a comma (2,5,8,9) and/or a range of pages separated by a hyphen (5-9).
  3. Select the first page or image that you want to trace and, if necessary, click either the [image] or [image] icon to change the page or image's orientation.

    Note: You can also press [Control] and select multiple pages to rotate at once.
    Tip: It is often beneficial to start with the cross-section at the lowest station so you can automatically increment the station value as you work from station to station along the alignment (described in step 16).

  4. Click Digitize Cross-section.
  5. In the Frame Cross-section Grid dialog, use the zoom and rotate tools to fine tune the orientation of the cross-section, if needed. See the Tips section below.
  6. Pick top left and bottom right points to draw a frame that encompasses all of the offset and elevation data for the specific cross-section you want to digitize first. You can fine-tune the extents of the frame in a few steps.

  7. Click Digitize Cross-section.

    Often, cross-sections representing both the existing and design surfaces will appear in the same image. Digitize each of them before moving on to the next station by assigning each to its own layer.

  8. Click either Existing, Finish, or New Layer to specify the layer on which to place the framed cross-section within the digitizer.

    You will map this digitizer layer to a layer in the program in a later step. You can also click New Layer to specify a different digitizer layer (this does not create a layer in the program). Delete any excess layers that you will not use by clicking [image] on their tabs.

  9. Zoom in to the top left corner of the frame and hover over the corner until the hand cursor appears.
  10. Drag each of the corners until the frame is aligned with elevation and offset lines shown in the background image.
  11. Type the values for the elevations at the top and bottom of the frame in the Top and Bottom boxes (respectively) at the left side of the screen.

  12. Type the values for the offsets at the right and left of the frame in the Right and Left boxes, making sure to use a negative number for the left value if that offset is left of the centerline.
  13. Check the centerline of the frame. If you have the frame properly positioned and referenced in the Elevation and Offset group, the dotted centerline of the frame will be aligned with the zero-offset line/centerline of the cross-section in the background image.
  14. Type the station value shown for the framed cross-section in the Station box.
  15. If the subsequent cross-sections that you want to digitize will be at regular increments from the first cross-section, enter that value in the Station increment box. When you digitize the next cross-section, the station will automatically update by this increment.
  16. Click Publish Settings to map the layers in the digitizer to layers in the program.
  17. Start tracing the cross-section for the first layer you specified by picking one end in the view and then picking the other end.
  18. Pick additional transition points along the cross-section until your tracing and the background match to your satisfaction. See the Tips section below.

    Note: Digitized points can be outside of the frame.

  19. To add labels (such as EOP for edge of pavement) to the nodes along your tracing, right-click any node along your traced line and select a code from the context menu, or select Manage Label Types to create or edit labels.

    Note: You can add a label to a node when you create it or anytime afterwards.

  20. Fine tune your traced cross-section by clicking and dragging nodes you added to better positions and by adding additional nodes.
  21. If applicable, click the tab for the other layer shown in the cross-section and follow steps 17 - 20 to digitize it as well.
  22. When you are satisfied with the traced cross-sections, click Finish Cross-section.

    Note: The Digitize Cross-section dialog is modeless, so you can switch back and forth between it and the program. This enables you to check the digitized cross-sections in your project at any time.

  23. Return to the Digitize Cross-section dialog, and repeat the preceding steps to trace additional cross-sections.

    Tip: As you digitize cross-sections at multiple stations, check the extents of the frames periodically to confirm their accuracy.
    Note: If you find that the elevation or offset of the frames that you are creating are changing by a regular increment, you can right-click on the frame label and select a new incremental elevation or offset from the context menu.

  24. When you are done, delete any sheets you are done with and click the [image] icon to close the dialog. Your work is saved and displayed on each PDF sheet or image, so you can easily see where you last stopped working.
  25. To view and edit the stored cross-section that you digitized, right-click it in the Plan View and select Edit from the context menu.

Tips on navigating and tracing in the digitizer:

  • Click to add new points.
  • Click and drag to stream new points; this is not as accurate as adding one point at a time.
  • Roll the mouse wheel to zoom in and out.
  • Press [Control] and click to copy the frame from the previous cross section.
  • Press [Control] and click nodes to erase them, or click and drag existing nodes to new locations.
  • Press [Backspace] or [Delete] to erase points/the last segment in the line (in reverse order of creation).
  • Resize or reposition the frame by dragging the handles on the corners of the frame.
  • Use [Ctrl] + [Z] and [Ctrl] + [Y] to undo and redo point add and remove operations.
  • Click and drag using the middle mouse button to scroll the image.
  • Right-click to add points with labels (or to manage available labels).
  • Press [Spacebar] to move to the next step or cross-section (from any screen).
  • If two cross-sections are almost identical, press [Shift] and click to copy and then paste a cross-section.

Scenarios:

  • If your PDF or image data includes a cross-section split into two images with a match line to show where they connect, create frames around each section as usual. When the program recognizes that the right edge of one frame and the left edge of the other frame each occupy the same offset and elevation for the same station, a dialog will appear and offer choices about how to merge the two to create one cross-section in your project. If you have digitized the cross-section in each frame and have overlapping nodes and segments, the most recent data will over-write the earlier data.

Related topics

Create Stored Cross-sections Along an Alignment

Copy a Stored Cross-Section

Edit Stored Cross-Sections


Copy a Stored Cross-Section

Use the Copy Cross-Section command to duplicate an existing stored cross-section from one station to another station on the same alignment. Copying cross-sections can save you a lot of time manually entering cross-sections at multiple stations when they have identical or similar offset and elevation values.

Stored cross-section copied from one station to another

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.
  • Horizontal alignment (HAL) along which to create the copied cross-section
  • Stored cross-section associated with the alignment above

To access the command:

  • Select Surface > Copy Stored Cross-section (if on the main menu).
  • Click the [image] icon (if on a toolbar).
  • Select an existing cross-section in a graphic view (Plan View or a Cross-section Editor view), right click on cross-section to bring up the context menu, then select Copy Stored Cross-Section.

Options:

  • Alignment - Displays the alignment that the cross-section being copied is associated with.
  • Cross-section to copy - Pick the cross-section that you want to duplicate in a graphic view.
  • To station - Specify the station at which you want to create the copy of the cross-section.
  • To layer - If you want the copied cross-section to reside on a layer other than the original cross-section's layer, specify the new layer in this list.

These options and additional settings for a stored cross-section are also available in the Properties pane.

Scenarios:

  • When you copy a second cross-section (or more) cross-section along the same alignment, connections are drawn between the nodes on the original cross-section and corresponding nodes on the new cross-section. You can control the visibility of these connecting lines in the Properties pane for the original cross-section.

Related topics

Create Stored Cross-sections Along an Alignment

Digitize a Cross-section

Edit Stored Cross-Sections


Edit a Stored Cross-Section

Once you have created, digitized, or copied stored cross-sections, you can always edit their nodes in the Stored Cross-section Editor view.

Prerequisites:

  • Stored cross-section

To edit a stored cross-section:

  1. Select the cross-section in a graphic view.
  2. Do one of the following:
    • Right-click and select Edit.
    • Select Edit > Edit (if on the main menu).
  3. Make changes to the values in the editor's Offset, Elevation, and Name boxes as needed. The changes are reflected in the view as you make edits.

    Note: To quickly and easily find the row that you need to edit, click on a node in the Stored Cross-section Editor view. The row for that node will highlight in the table.
    Note: You can edit nodes by typing in values or by picking locations in the editor's graphic view.
    Note: To hide or show segments between nodes, click the [image] icon. In Project Settings's Cross-section Editor Grid Options , set Visibility column to Hide or Show. When set to Show, the Visibility column appears in the editor.
    add reference to Visibility column. Offset and Elevation values for nodes can be edited in two ways

Related topics

Create a Stored Cross-section Along an Alignment

Digitize a Cross-section

Copy a Stored Cross-Section


Stored Cross-Section View

Use the graphic view within the Stored Cross-section Editor to check and edit the geometry of a stored cross-section at a specific station along an alignment. The view is a cross-section view that changes depending on where you are along the alignment. When the alignment that the view is based on is modified, the view updates accordingly.

Red tic marks denote nodes where the cross-section segments connect or end.

Related topics

Create a Cross-section Along an Alignment

Digitize a Stored Cross-section

Copy a Stored Cross-Section

Edit Stored Cross-Sections

2D View Navigation


Create and View a Surface Profile

Create a surface profile to review the elevation of a surface along a vertical alignment. To do this, you must have a surface and an alignment that coincide. If you simply want to see a surface profile without relation to an alignment, use the Surface Slicer View.

To create a surface profile:

  1. Do one of the following:
    • Click the i_create surface profile icon on the toolbar.
    • Select Surface > Create Surface Profile.

    The Create Profile of Surface command pane displays.

  2. Select a surface in the Surface list.
  3. Select an alignment in the Alignment list.
  4. Click OK. Follow the steps below to open the profile view.

To view a surface profile:

  1. In the Project Explorer, select the alignment that coincides with the surface specified above.
  2. Right-click and select New Profile View from the context menu. The profile view of the surface along the alignment displays.

Related topics

Profile View

Create an Alignment

Create a Surface

View a Slice of a Surface


Create and View a Surface Cross-Section

Create a surface cross-section to check geometry along a single, specific alignment anywhere it coincides with a single, specific surface. To do this, the surface and alignment must be coincident. The view changes depending on where you are along the alignment. When the alignment or surface that the view is based on is modified or deleted, the view updates accordingly. Multiple cross-section views can be open concurrently.

To create a surface cross-section:

  1. Do one of the following:
    • Click the [image] icon on the toolbar.
    • Select Surface > Create Surface Cross-Section.

    The Create Surface Cross-Section command pane displays.

  2. Select a surface in the Surface list.
  3. Select the coincident alignment in the Alignment list.
  4. Click OK.

To view a surface cross-section along an alignment:

  1. In the Project Explorer, select the alignment that coincides with the surface specified above.
  2. Right-click and select New Cross-Section View from the context menu. A cross-section view displays.
  3. To add additional surfaces to the view, click Surfaces, and check boxes for the surfaces to include in the view in the Select Surfaces dialog. Click OK when you are done.
  4. Click and drag the slider at the bottom of the view to see the cross-sections along the alignment.

    or

    Type a station value in the box to the left of the slider to see the cross-section at a specific station. After you click in the station box, you can also move the cursor into the plan view and click anywhere along the alignment to specify the station.

    Note: The cross-section view maintains the same scale as you move the station slider. Red tick marks denote where the cross-section crosses points or breaklines. Bold vertical lines denote station equations. At certain view magnifications, slope values appear above segments. To hide cross-section slope values, right-click the cross-section, and select Properties from the context menu. In the Properties pane, select Hide in the Label slope list.
    Note: Two settings control how surface cross-sections are generated and displayed in this software. These settings are not available in Trimble Grade Control Systems (GCS). Therefore, when a road surface is exported to GCS, the cross-sections in the field software may be different than those in this office software. For a detailed explanation of the difference and its ramifications on grading a road, please visit the Business Center - HCE Support web page at: http://www.trimble.com/tbc-hce_ts.asp?Nav=Collection-51339

Related topics

Create an Alignment

Create a Surface

Profile View

View a Slice of a Surface


View a Slice of a Surface

Use the surface slicer view to check any surface cross-section by slicing vertically through the surface. You need to have the plan view and the surface slicer view open concurrently. Multiple surface slicer views can be open at a time, and you can view multiple surfaces in the view concurrently.

Note: If you use a command while viewing a surface slice, the focus will be in the Command pane. To return focus to the surface slicer view, click in the view's From or To box.

To view a surface slice:

  1. Do one of the following:
    • Select Surface > Surface Slicer View.
    • Click the i_surface slicer view icon on the toolbar.

    The surface slicer view displays.

  2. Click in the From box and pick a starting point for the slice in the plan view, or type a coordinate (in the format X,Y) or point ID in the box.
  3. Pick an ending point for the slice, or type a coordinate or point ID in the To box.

    Tip: After picking the From point, you can also move the cursor across the surface to view the cross-section slice dynamically, without picking a To point. The surface slicer view automatically scales to fill the view as you move the cursor.
    Note: Red tic marks denote where the slice crosses points or breaklines. At certain view magnifications, slope values appear above segments. To hide cross-section slope values, right-click the cross-section, and select Properties from the context menu. In the Properties pane, select Hide in the Label slope list.
    Note: You can also right-click in the view to access COGO controls and snaps when picking points.

  4. To add additional surfaces to the view, click Surfaces. The Select Surfaces dialog displays.
  5. Check boxes for the surfaces to include in the surface slicer view, and click OK.

Related topics

Create and View a Cross-Section


Create and Edit a Planar Surface

Use the Create Planar Surface command to create these types of simple, sloping or level planar surfaces:

Design type | Description
Constant elevation (level surface design) | Single plane with a constant elevation and no slope. Defines a level surface at the specified elevation.
Point and direction (sloping surface design) | Two intersecting planes with constant cross slopes projecting outward from either side of a line that is formed from a specified point, elevation, and direction. Outward projecting planes are then defined on both sides of this line by their respective cross slopes. Note that the two cross slopes can be designated so as to create a single plane.
Two point (sloping surface design) | Two intersecting planes with constant cross slopes projecting outward from either side of a line that is formed between two specified points (shown below). Outward projecting planes are then defined on both sides of this line by their respective cross slopes. Once again, the two cross slopes can be designated so as to create a single plane.

Note: The Constant elevation surface design type is always a level plane at a specified elevation, and it is the simplest way to define such a plane. Therefore, the other two design types will normally be employed only when designing a sloping plane, or two sloping planes that intersect along a central line. In concept, these planes extend outward infinitely. However, in practice, they are implemented within large but finite outer edges.

Once created, planar surfaces appear in graphic views and in the Project Explorer. Planar surface properties are displayed in the Properties pane, where they can be edited.

Planar surfaces can be exported to GCS machines as design files (.tsd) for grade control; they are used to provide guidance similar to that provided by a dual slope laser level (sloping surface) or a level laser (level surface). This guidance is useful when cutting building pads, sports fields, or parking lots. On GCS machines, the planar surfaces are referred to as either Sloping surface or Level surface, depending on their type.

Prerequisites:

  • None

To access the command:

  • Select Surface > Create Planar Surface (if on the main menu).
  • Click the [image] icon (if on a toolbar).

Options

Description

Use this to include details about the purpose of the surface. The description appears in the Properties pane when you select the surface.

Boundary

Select a closed line (boundary, polyline, or linestring) as the extents of the planar surface. This is particularly helpful for the Constant elevation surface, which is infinite.

Elevation/slope type

Select one of the types described below. The type determines the options displayed in the pane.

Elevation/slope type

Constant elevation

(Level, planar surface design) Select this when you need a flat plane. Although it is a infinite surface, surface edge lines are drawn for this type at dimensions of 14.5 million m².

Elevation - Specify the absolute, constant elevation of the plane.

Point and direction

(Typically, a sloping surface design) Select this to create a plane or two intersecting planes on either side of a dividing line, with a constant slope along that line, formed in a specified direction, as well as optionally specified cross slopes projecting laterally from both sides of the line. By default, this surface type is created 2000 m².

Origin Point

Point - Pick a location in the Plan View or enter the coordinate of the origin point, as defined in your project settings (e.g., easting, northing).

Elevation - Enter the elevation of the surface's origin point.

Defining Line

Direction - Pick a location in the Plan View, or enter the direction of the defining line, as defined in your project settings (e.g., dddmmss).

Grade - Enter the grade of the defining line in percent slope (measured from the horizontal, positive up, and negative down).

Cross Slope

Left -

Enter the cross slope to the left of the defining line (looking away from the origin) in percentage.

Right -

Enter the cross slope to the right of the defining line in percentage.

Note: By specifying the same slope magnitude, but opposite slope directions on both sides, the resulting surface will represent a single plane, sloping at the specified grade of the defining line.

Two point

(Typically, a sloping surface design) Select this to create a plane or two intersecting planes on either side of a dividing line, as formed between two coordinate values, as well as optionally specified cross slopes projecting laterally from both sides of that line. By default, this surface type is created 2000 m².

Origin Point

Point - Pick a location in the Plan View, or enter the coordinate of the origin point (as defined in your project settings).

Elevation

-

Enter the elevation of the surface's origin point.

Second Point

Point

-

Pick a location in the Plan View, or enter the coordinate of the second point, as defined in your project settings (e.g., easting, northing).

Elevation

-

Enter the elevation of the surface's second point.

Cross Slope

Left - Enter the cross slope to the left of the defining line (looking away from the origin) in percentage.

Right

-

Enter the cross slope to the right of the defining line in percentage.

Note: By specifying the same slope magnitude, but opposite slope directions on both sides, the resulting surface will represent a single plane, sloping at the specified grade of the defining line.

To Edit a Planar Surface:

Note: Unlike generalized surfaces, you cannot edit anything but the properties of planar surfaces created using this command.

  1. Select the planar surface in a graphic view or the Project Explorer, right-click and select Properties from the context menu.
  2. In the Properties pane, click in an available box, and make changes as necessary.

    Note: Changes are saved and the surface is updated when you move out of the edited property.

  3. Click Close.

Dependencies:

  • None

Related topics

Create a Surface

Import Planar Surface Files

Export Planar Surface Files

Workflow for Using Imported Surfaces

Check Imported Surfaces

Manage Job Site Designs and Design Data


Merge Two Surfaces to Create a Surface

Use the Merge Surfaces command to merge any two independent surfaces, regardless of their classifications, to create a new surface. For example, merge a corridor design surface with an existing ground surface to represent a roadway in its surrounding terrain. The merged surface is created from both surfaces. Wherever the surfaces coincide, the data from the second surface specified replaces the data from the first surface. The merged surface can be clipped by specifying a boundary.

Prerequisites:

  • License for the Surface Tools module
  • Two surfaces that are either partially coincident or lie near each other on a job site

To access the command:

  • Select Surface > Merge Surfaces (if on the main menu).
  • Click the [image] icon (if on a toolbar).

Options:

  • Surface 1 - Select the surface whose portions will be replaced where they coincide with Surface 2.
  • Surface 2 - Select the surface whose portions will replace the Surface 1 where the two surfaces coincide.
    For example, if you are merging an existing ground surface with a corridor design surface, select the existing ground as Surface 1 and the corridor design as Surface 2.
  • Clipping boundary - Select any closed line that coincides planimetrically with the portion of the merged surface that you want to clip.

Scenarios:

  • If the name given to the new surface name is same as the name of an existing surface, that existing surface is replaced by the new, merged surface.
  • If the extents of Surface 2 encompass the extents of Surface 1, the merged surface will be identical to Surface 2.

Dependencies:

  • None; once the merged surface is created, it is independent of both of the surfaces from which it was formed.

Related topics

Run a Surface Report


Run a Surface Report

Run a surface report to see surface measurements and limits, as well as the number of triangles, vertices, and other items in a surface in your project.

To generate a surface report:

  1. Do one of the following:
    • Select Reports > Surface Information Report.
    • Click the [image] icon.

    The Surface Information Report command pane displays.

  2. Select the surface you want to generate a report for in the Surface list.
  3. Click OK. The report displays in your default Web browser.

Related topics

Customize and Run a Report


Edit a Surface

In This Section

Edit a Surface by Adding and Removing Members

Edit a Surface by Changing a Point Coordinate

Edit a Surface by Trimming Edge Triangles

Edit a Surface by Changing Its Properties

Understanding Breaklines

Create and Edit a Simple Breakline

Edit a Surface by Creating a Breakline

Create a Breakline on a Surface Edge

Breakline Options

Create a Surface Boundary

Add and Remove Surface Boundaries

Boundary Options

Understanding Surface Densification

Densify a Surface

Drape a Line on a Surface

Shrink 3D Faces

Surface Properties


Edit a Surface by Adding and Removing Members

Members are objects that are not part of a surface; they are simply used to define the surface. Edit a surface by adding to, and removing from, the set of members. As a result, the surface updates to reflect the changes.

You may want to prepare your data by organizing members by layer before using this command.

Warning: If you add objects on or beyond the outer edge of a surface, the surface is recalculated and all prior edge trimming is lost. Similarly, if you remove objects from a surface edge, all prior trimming is lost.

To add and remove surface members:

  1. Do one of the following:
    • Select Surface > Add/Remove Surface Members.
    • Click the [image] icon on the toolbar.
    • Select a surface in the Project Explorer, right-click, and select Add/Remove Surface Members.

    The Add/Remove Surface Members command pane displays.

  2. Select a surface to edit in the Surface list, unless you have already selected one.
  3. In a graphic view, pick objects to add to the set of surface members, or click Options and choose a selection method in the context menu. You can also select objects in the Project Explorer.

    Tip: Sometimes it is difficult to pick surface members without picking the surface itself. Here are some ways to make it easier:
    Use the View Filter to control the visibility and selectability of surfaces and their members. To view surfaces more clearly, use a 3D view, and set your view filter to Surfaces. If more than one object is in the pick aperture when you pick, a list of the possible selections appears. Refine your pick by selecting from the list. Use windowing and crossing selection methods to pick only what you need.

  4. Click Add to update the surface based on the selected objects. The surface changes in the 3D view.
  5. In a graphic view, pick surface members to remove, or click Options and choose a selection method in the context menu.
  6. Click Remove to update the surface based on the selected objects.
  7. Click Close.

Note: For details on adding a georeferrenced image as a surface member, see Drape an Image on a Surface.

Related topics

Edit a Surface by Creating a Breakline

Edit a Surface by Changing a Point Coordinate

Edit a Surface by Changing Its Properties

Edit a Surface by Trimming Edge Triangles


Edit a Surface by Changing a Point Coordinate

Make your surface more accurate by editing inaccurate coordinate heights in the Properties pane.

To edit surface member properties:

  1. Do one of the following:
    • Pick the point(s) in a graphic view, or select it in the Project Explorer.
  2. Click the [image] icon next to the point in the Project Explorer to expand it, and select the coordinate.
  3. Double-click the coordinate, or right-click it and select Properties from the context menu. The Properties pane displays.
  4. Edit any of the values in the Coordinates group as needed.
  5. Click Close. The surface updates accordingly.

Related topics

Edit a Surface by Adding and Removing Members

Point Coordinate Options


Edit a Surface by Trimming Edge Triangles

Clean-up the edges of surfaces in your project so that you can accurately calculate volumes when comparing surfaces.

Note: Before trimming the triangles at a surface's edge, adjust the Maximum edge length and the Maximum edge angle of the surface in the Properties pane. Setting these can reduce the amount of trimming needed on the surface edge. In general, trim the edge triangles of a surface after you have made all other surface edits.
Warning: If the program is forced to recompute the edge of a surface, then all edge trimming edits will be lost.
Things that would cause this are:
- Changing the Maximum edge length of the surface in the Properties pane.
- Changing the Maximum edge angle of the surface in the Properties pane.
- Adding a new surface member outside of the edge of the surface.
- Removing surface members that lie on the edge of the surface.

To trim a triangle:

  1. Do one of the following:
    • Click the i_trim surface edge icon on the toolbar.
    • Select Surface > Trim Surface Edge.
    • Right-click the surface in a graphic view, or the Project Explorer and select Trim Surface Edge from the context menu.

    The Trim Surface Edge command pane displays.

  2. Select a surface to trim in the Surface to Trim list.
  3. In a graphic view, pick a point to start the trim line or right click for options, or type a coordinate in the Outside location box.
  4. In the view, pick a point to end the trim line or right click for options, or type a coordinate in the Inside location box.
  5. Click Apply to keep trimming, or Close. Any triangle edges occurring outside of the outermost breakline are trimmed, removing the related triangle from the surface.

    Tip: Trimming stops when a breakline on the surface is encountered. To trim deeper into the surface, remove the breakline using the Edit Surface command. Conversely, you can add breaklines to a surface to prevent trimming an edge beyond a certain point.
    Note: Trimming maintains a valid surface based on the members used to form the surface. Because any point on the surface will always be connected to a triangle, the order in which you trim edge triangles can result in different formations. If you find that you cannot trim a certain triangle, you may need to remove the member on which it is based.
    Warning: If you add objects on or beyond the outer edge of a surface, the surface is recalculated and all prior edge trimming is lost. Similarly, if you remove objects from a surface edge, all prior trimming is lost.

Related topics

Edit a Surface by Adding and Removing Members

Edit a Surface by Creating a Breakline

Edit a Surface by Changing Its Properties

Edit a Surface by Changing a Point Coordinate

Surface Properties


Edit a Surface by Changing Its Properties

Edit a surface object by controlling its triangle distance and angle values, as well as display properties in the Properties pane.

To edit surface properties:

  1. Do one of the following:
    • Pick the surface in a graphics view, right-click, and select Properties from the context menu.
    • Double-click the surface in the Project Explorer, or right-click it and select Properties from the context menu.

    The Properties pane displays.

  2. Click in an available property box, and make changes as necessary.
  3. Click Close.

Related topics

Edit a Surface by Adding and Removing Members

Edit a Surface by Creating a Breakline

Edit a Surface by Changing Its Properties

Edit a Surface by Changing a Point Coordinate

Edit a Surface by Trimming Edge Triangles

Surface Properties


Understanding Breaklines

Breaklines are lines that help to define the shape of surfaces by controlling how triangles in the surface mesh are formed; triangles forming a surface never cross a breakline. Use breaklines to make surfaces more accurate. For example, if a square area on your surface is formed by two triangles using the wrong opposing points, you can switch the direction of the diagonal to reform the two triangles. This might be done to get drainage to work as the site designer intended, or simply to ‘smooth’ the surface.

The simplest way to create a breakline is to add it between points where surface triangles converge (vertices). You can also create breaklines by picking locations on the surface that are not vertices. The surface triangles are redrawn, creating vertices at the points you picked.

You might add a breakline to a surface to represent:

  • A stream bed
  • A curb line
  • A linear feature that was not recorded in the field

Here is an example of how adding a breakline (in yellow) can change a surface:

cg_surface after breakline

In addition to the breaklines that you actively create, other breaklines are automatically created in surfaces when you import or select linear objects to create a surface. Any linear object, such as a polyline or an alignment, that you use in the creation of a surface will be represented as a breakline in the surface. If you modify the linear object, the breakline will update in response.

Note: When you use an alignment in the creation of a surface, you can constrain the resulting breaklines horizontal and vertical distance from the alignment by setting tolerances in the Project Settings. Select Project > Project Settings. Then click Computational Settings and Surface in the left pane.

Related topics

Edit a Surface by Creating a Breakline


Edit a Surface by Creating a Breakline

3D lines of several types can be designated as members of a surface. They serve to influence the shape of that surface by acting in the classic manner as breaklines. These lines can exhibit complex curvilinear geometry and still serve a breaklines, by employing the breakline approximation parameters as defined in the computational settings for a surface in the Project Settings dialog.

One of the types of lines that can serve as a member of a surface, thereby acting as a breakline, is the linestring. Like alignments, linestrings can exhibit rather complex curvilinear geometries. But they can also exist as simple strings of straight line segments, connecting 3D coordinate locations, as in the case of the more classic breaklines associated with typical TIN models. A linestring of that nature is referred to here as a simple breakline; a specific command has been devised to allow you to create a linestring of that nature and assign it as a member of a surface at the same time, while defining its surface sharpness. In using the Create Simple Breakline command, you will in fact be creating a linestring object, though through a simpler user interface and one that supports the line's association with a surface as a part of its creation.

The easiest way to create a simple breakline is to add segments between surface vertices (the points where surface triangles converge), but you can also add linestring segments freely between any two locations on or near the surface. Any geometric edit to a breakline of any kind will cause the entire surface to be reformed.

To create a simple breakline:

  1. Do one of the following:
    • Select Surface > Create Breakline.
    • Click the [image] icon on the toolbar.

    The Create Breakline command pane displays.

  2. In the Name box, type an identifier for the linestring as you want it to appear in the Selection Explorer and in graphic views when you select from multiple objects. You can also use the name to select the linestring in the Advanced Select command.
  3. Select a layer on which to create the linestring in the Layer list, or select <<New layer>> to create a new layer for the linestring.
  4. Select an option for how smoothly the surface is rendered at the linestring in the Surface sharpness list.
  5. Select the surface to which the linestring will be assigned as a member in the Add to surface list.
  6. Click OK. The Edit Linestring command pane displays with reduced options appropriate for creating a simple breakline
  7. In the Start Point group's Type list, select Coordinate to start the breakline using any location, or select Point ID to start the breakline using a named point.
  8. Click in either the Coordinate box or Point ID box (depending on what you chose for the starting point type), and use one of these ways to specify each point along the breakline:
    • In a graphic view, pick a vertex on the surface, or pick a named point (may also be a vertex)
    • Pick any location on or near the surface in the graphic view, and then type an elevation in the Elevation box. Then, click Save or press [Enter].
    • Type a coordinate, press [Tab], and type an elevation in the Elevation box or right-click for COGO elevation options. Click Save or press [Enter].

    The first point of the linestring is saved and you are prompted to add the second point and specify how the segment between them is formed.

    Note: To use the elevation from a point you pick anywhere on a surface, right-click and select From Surface Snap from the context menu. You are prompted to pick the point in the From Surface Snap command pane. Then, click Save or press [Enter].
    Note: To avoid picking points off of the surface (with no elevation), uncheck the Free snap in the Snap Mode dialog when you create a breakline. If you are prompted for an elevation, you may have missed the vertex point you were trying to pick.
    Note: You can also draw a 'freehand' breakline without using any existing data using method below. In fact, you do not even need to have a surface to create a breakline.

  9. Keep adding segments to the breakline using one of the methods in step 8.
  10. Click Close. The breakline appears on the surface in graphic views, but does not appear in the Project Explorer.

    Note: Once created, breaklines can be graphically selected and added to other surfaces.
    Note: To see the properties of a breakline (in the Properties pane) you have actively created, select the breakline in a graphic view.
    Tip: To view changes to your surface more clearly as you work, open a 3D view and move it to a new tab group next to your plan view so you can see both views concurrently.

To edit a simple breakline:

  • Use the operations in Edit a Horizontal Linestring.

Related topics

Edit a Surface by Adding and Removing Members

Edit a Surface by Changing Its Properties

Edit a Surface by Changing a Point Coordinate

Edit a Surface by Trimming Edge Triangles


Create a Breakline on a Surface Edge

Create a breakline on the outer edge of a surface when you want to prevent trimming or recalculated triangles on the current surface's edge. The edge breakline is added to the set of members that define the surface, and can subsequently be edited as a linestring. A surface edge breakline reflects a surface limit that you want to preserve. If you add surface members outside of a surface edge breakline, the breakline does not update to include the change, but you can create a new surface edge breakline to encompass the new data if needed.

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.

To create a surface edge breakline:

  1. Do one of the following:
    • Select Surface > Create Surface Edge Breakline.
    • Click the [image] icon (if on the toolbar).

    The Create Surface Edge Breakline command pane displays.

  2. In the Name box, type an identifier for the breakline as you want it to appear in the Selection Explorer and in graphic views (when you select from multiple objects). You can also use the name to select the breakline in the Advanced Select command.
  3. Select the layer on which you want the breakline to reside in the Layer list, or select <<New layer>> to create a new layer for it.
  4. Select the surface to which the breakline will be added in the Add to surface list.
  5. Click OK. The breakline is created and added as a member of the surface.

To edit a surface edge breakline:

  • Use the operations in Edit a Linestring's Horizontal Segments.

Related topics

Understanding Breaklines

Create and Edit a Simple Breakline

Add and Remove Surface Boundaries

Create a Linestring


Add and Remove Surface Boundaries

Define the extents of a surface by adding or removing one or more 'boundaries' (defined by boundaries, or closed lines and alignments). You can also create holes and islands within or outside of a surface by adding additional boundaries. Each successive boundary within a previously added boundary is alternately treated as either a hole or an island; i.e. a boundary within a hole creates an island.

Boundaries added to a surface limit the surface visually in graphic views and for computations (such as in volume calculations, but they do not trim (delete) surface data; the original surface data (and its defining members) remain intact; portions are simply excluded from the surface's current manifestation. Added boundaries are not automatically added as surface members, but surface members can be added as boundaries.

You might also want to add boundaries if the surface covers areas that it should not, such as around the edges or in environmentally-protected regions or avoidance zones (inside which you do not want machines to grade or excavate or crews to stake or venture into for safety reasons).

Objects used to limit a surface can be either 2D (such as boundaries and alignments without VALs) or 3D (such as 3d linestrings or alignments with VALs). In both cases, a vertical projection from the limiting object onto the surface is used as the boundary.

1. Here is a surface and four objects that could be added as boundaries: - a 2D job site perimeter boundary - a 2D main building pad boundary - a 2D small building pad boundary - a stockpile (outside of the job site) bounded by a closed, 3D linestring | cg_surface boundary 7 2. The perimeter boundary has been added to limit the surface to just the job site; this excludes the area in which the stockpile is located, even though the points that define the stockpile are still members of the original surface.
3. The building pad boundaries have been added, thereby creating holes in the surface because they lie within the limits of the perimeter boundary. This was done to exclude those areas from volume calculations. | 4. Finally, the linestring used as the stockpile boundary has been added to include the stockpile's volume in calculations. Since the stockpile boundary lies outside of the job site perimeter boundary, a surface island is created.

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.

To add and remove surface boundaries:

  1. Do one of the following:
    • Select Surface > Add/Remove Surface Boundaries.
    • Click the [image] icon on the toolbar.

    The Add/Remove Surface Boundaries command pane displays.

  2. Select the surface to limit in the Surface list.
  3. In a graphic view, pick a boundary or lines that form a closed boundary, or click Options and choose a selection method in the context menu.
  4. Click Add to limit or extend the surface based on the selected boundary. The surface changes in graphic views.

    Note: This command will not extend a surface beyond its original limits, even if part of an added boundary lies outside of those limits.

  5. In a graphic view, pick any boundaries or closed lines that you want to remove, or click Options.
  6. Click Remove to update the surface.
  7. Click OK.
  8. To see which boundaries are influencing a surface, click Select at any time.

Related topics

Create a Surface

Create a Boundary

Create a Linestring

Join Lines

Create a Breakline on a Surface Edge


Understanding Surface Densification

When you densify a surface, a finer mesh of triangles is created in areas where changes in the surface's shape were previously represented by the Remove diagonal and Adjust for arc/chord properties. Densification better represents the discrepancies between arcs in the alignment and chords created in the surface to represent the arcs, and also models torsional changes in a surface when triangles are twisted. These images show an example of surface densification (as seen in the Plan View).

Surface before densification

Surface after densification

The differences between a surface before and after densification will also be apparent in surface contours, the Surface Slicer View, and earthwork reports.

Note: Some types of surfaces cannot be densified. These include:
- surfaces created from imported surface data, such as that contained in a .ttm file, that are comprised of internal data
- dependent surfaces, such as uncompacted PCS surfaces, which rely on two existing surfaces. In this case, you can densify, in effect, the dependent surface by densifying the two surfaces on which it depends.
Note: To densify a surface, it must be linked to an alignment because cross-sections used in the densification are calculated at stations along the alignment; if the Horizontal alignment property is set to None, the Density group is disabled.
Note: Surface densification is intended for (and works best on) road / corridor surfaces which have breaklines running along the associated alignment and do not contain intersections.

Densifying Surfaces for Field Data

The intent in densifying a surface is to create a surface object for export to field software that accurately reflects the surface you see in this office software. When you prepare data to export to the field, you should densify the surfaces and road surfaces to assure that they achieve suitable and similar accuracy and precision in both SCS and GCS. To understand the risks in sending undensified surfaces to field software, see Surface Cross-sections Issue in Field Data.

Related topics

Densify a Surface


Densify a Surface

Densify a surface to create a finer mesh of triangles in areas where changes in the surface's shape were previously represented by the Remove diagonal and Adjust for arc/chord properties. The intent in densifying a surface is to create a surface object for export to field controllers and machines that accurately reflects the surface you see in this office software. When you prepare data to export to the field, you should densify the surfaces and road surfaces to assure that they achieve suitable and similar accuracy and precision in both SCS900 and GCS900.

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.

To densify a surface:

  1. Do one of the following:
    • Double-click the surface in the Project Explorer.
    • Right-click the surface in a view or spreadsheet, and select Properties.

    The Properties pane displays the surface's properties.

  2. In the Surface group, ensure that an alignment that coincides with the surface is selected in the Horizontal alignment box.
  3. In the Density group, review and set the other settings as needed before you set Densify surface to Yes.

    Note: If the Horizontal alignment property is set to None, the Density group is disabled.
    Note: if you do not specify a Begin station and End station, the entire surface will be densified.

  4. Set Densify surface to Yes.
  5. Click Close.

Tip: For an uncompacted PCS surface to be densified, the underlying surface and the design surface must be individually densified before the uncompacted PCS surface is created. The uncompacted surface is then densified by default since it is dependent data.

Related topics

Understanding Surface Densification

Surface Cross-sections in Grade Control Systems


Shrink 3D Faces

If you use a mesh of 3D faces to create a surface, any vertices that exist at the same horizontal location, but which have different elevations, will create vertical 3D faces in the resulting surface. You will know that you need to 'shrink 3D faces' when you see flags at surface vertices and messages in the Flags pane stating that "The vertex has been ignored. It is directly above another vertex."

To fix this, 'shrink the 3D faces' to form closed, triangular breaklines slightly inset (.5 mm) from each selected face. These breaklines can then be used to create a surface that closely approximates the original mesh of 3D faces.

This can be helpful in forming a valid surface from data incorporating vertical faces or when coincidental 3D face vertices that have differing elevations at the same location.

Note: This command is primarily used to fix data from applications that allow points with different elevations at the same horizontal location.

Initially, the surface is formed using vertical 3D faces with coincidental vertices, resulting in two elevations at these vertices. This data is not valid for forming a surface.

The non-vertical 3D faces are shrunk to create triangular breaklines (shown in black) with offset vertices which can be used to form the surface.

Using the new breaklines, the surface is properly formed with a single elevation at each vertex.

To 'shrink 3D faces' for a surface:

Follow these steps immediately after you receive one or more flagged messages that a vertex is directly above another vertex in a surface. If you cannot undo the surface creation because you have performed other commands in the interim, you will need to delete the surface and start with step 2 below.

  1. Select Edit > Undo Create Surface. The surface disappears.
  2. If the command pane is not already displayed, select View > Command Pane, or press F12. The Command Pane displays.
  3. Click Shrink 3D Faces in the All Commands list, or type shrink3dfaces on the Command line at the top of the pane and press [Enter]. The Shrink 3D Faces command pane displays.
  4. In the Plan View, pick the 3D faces that you want to use to form a surface
  5. Select the layer on which you want the new breaklines to reside in the Layer for breaklines box.

    Note: You will select the data on this layer to use when you create the surface. If necessary, create a new layer by selecting <<New layer>>.

  6. Click OK. The breaklines are created within each selected triangular, 3D face.

To create a surface from the newly created breaklines:

  1. Select the View > View Filter Manager. The View Filter Manager displays.
  2. If necessary, click the [image] icon to collapse each group except Layers.
  3. Uncheck the box for each group to hide the data.
  4. In the Layers group, right-click the name of layer you created the 3D face breaklines on, and select View Only This from the context menu. All of the other layers in the group are unchecked so that only the breaklines are visible.
  5. Select all of the breaklines in the graphic view, and select Surface > Create Surface.
  6. Follow the instructions for creating a surface.

Related topics

Edit a Surface by Trimming Edge Triangles

Edit a Surface by Adding and Removing Members


Surface Properties

Use these options to change a surface's edge prior to trimming. They are available in the Properties pane when a surface is selected. In addition, you can set display properties for how a surface appears in graphic views.

Options

Max Edge Distance

Type a value for the maximum length that one side of a triangle can be if it lies on the edge of the surface.

Basically, this value defines how the longest distance that points can be connected on a surface edge.

Max Internal Angle

Type a value for the maximum angle that a surface triangle can use.

Practically, this value limits the amount of long, but very narrow triangles that can form on the edge of a surface.

Related topics

Edit a Surface by Changing Its Properties

Edit a Surface by Trimming Edge Triangles


Show Surface Elevations and Map Depths

In This Section

Create a Surface Elevation Grid

Create Surface Contours at Intervals

Create a Surface Contour at an Elevation

Contour Options

Add a Legend to a Surface or Map

Edit Color Mapping for a Surface or Difference Model

Create a Cut/Fill Map

Cut/Fill Map Options

Understanding Earthwork Volume Calculations

Run an Earthwork Report

Earthwork Report Options


Create a Surface Elevation Grid

Use the Create Surface Elevation Grid command to create a grid that labels the elevations of a surface.

Use surface elevation grids in conjunction with contour lines to make changes in terrain more evident.

Prerequisites:

  • Surface

To access the command:

  • Select Surface > Create Surface Elevation Grid (if on the main menu).
  • Click the [image] icon on the toolbar (if on a toolbar).

To create an elevation grid:

  1. Select the surface on which the grid will be based in the Surface list.
  2. Select the layer on which you want the grid to reside in the Layer box, or select <<New layer>> to create a new layer for the grid.
  3. Select a style that controls the text font, font style, justification, and size for the grid annotations in the Text style box, or select <<New style>> to define a new text style.
  4. In the Grid spacing box, type a value for the uniform interval at which the grid lines or tick marks for the measurements will be spaced.
  5. Select an option for how the location of each measurement will be denoted in the Grid style box.
  6. Select the number of decimals to use in the measurement in the Decimal precision list.
  7. Click OK. The elevation grid is created and appears in graphic views and the Project Explorer. Additional properties, such as the grid's insertion point, and rotation, and colors can be set in the Properties pane.

Options:

These options and additional settings for a surface elevation grid are also available in the Properties pane.

Surface | For an elevation grid, select the surface for which you want to see elevations.
Layer | Select the layer on which you want the grid to reside.
Text style | Select a style that controls the text font, font style, justification, and size for the grid annotations.
Grid spacing | Type a value for the uniform interval at which the grid lines or tick marks for the measurements will be spaced.
Grid style | Select an option for how the location of each measurement will be denoted:
 | Ticks | Lines
Decimal precision | Select the number of decimals to use in the measurement.

Dependencies:

  • The elevation grid is a dependent object; it will dynamically update in response to edits made to the related surface.

Related topics

Create a Cut/Fill Map

Create Surface Contours at Intervals


Create Surface Contours at Intervals

Add contour lines to a surface at regular elevation intervals to help visualize the topography. Contours are lines that show the topography of a surface at a constant elevation. Contour objects are separate from the surface objects to which they are attached, but they are nested under surfaces in the Project Explorer. You can associate multiple contour objects with a single surface object. When a surface is changed, the contours on the surface update to reflect any changes in elevation.

To create contours at intervals:

  1. Pick the surface you want to add contours to in the graphics view, or select it in the Project Explorer.
  2. Do one of the following:
    • Click the [image] icon on the toolbar.
    • Select Surface > Create Contours.
    • Select a surface in the project explorer, right-click, and select Create Contours from the context menu.

    The Create Contours command pane displays.

  3. Confirm the surface to which you want to add contours in the Surface box.
  4. Type a name for the contour object in the Name box.
  5. Type a value for the vertical distance between contours in the Contour interval box. The Estimated contours value updates in the Surface Information group below.
  6. Type a value for the spacing of index contours in the Index frequency box. Index contours are the major contours, while the other contours are the minor contours.
  7. Select a layer on which to place the contour object in the Layer box.
  8. Select a display color for the contours in the Contour color box.
  9. Select a display color for the index contours in the Index color box.
  10. Click OK. The contours appear on the surface in graphic views, and under the surface in the Project Explorer.

To edit contours:

  1. Do one of the following:
    • Double-click the contour object in the Project Explorer, or right-click it and select Properties from the context menu.
    • Pick a contour line in a graphic view, right-click, and select Properties from the context menu.

    The Properties pane displays.

  2. Edit any available properties as needed.
  3. Click Close.

Related topics

Create a Surface Contour at an Elevation

Surface Contour Options


Create a Surface Contour at an Elevation

Add a single contour to mark a specific elevation and help visualize its topography. For example, you might want to create a contour line to indicate a flood plain or a cut/fill line.

cg_contour at an elevation

To create a contour at an elevation:

  1. Do one of the following:
    • Click the i_create contour at elevation icon on the toolbar.
    • Select Surface > Create Contour at Elevation.
    • Pick a surface in a graphic view, or select it in the Project Explorer, right-click and select Create Contour at Elevation from the context menu.

    The Create Contours at Elevation command pane displays.

  2. If necessary, select the surface to which you want to add a contour in the Surface box.
  3. Type a name for the contour in the Name box.
  4. In the view, pick a point, or right-click for options, or type an elevation in the Elevation box. The elevation should be between the Minimum elevation and Maximum elevation displayed in the Surface Information group.
  5. Select a layer on which to place the contour in the Layer box.
  6. Select a display color for the contour in the Contour color box.
  7. Click OK. The contour appears on the surface in the graphics view, and under the surface in the Project Explorer.

Related topics

Create Surface Contours at Intervals

Surface Contour Options


Contour Options

Use these options to define contour lines and their spacing. They are available in the Create Contours and Create Contour at Elevation command panes.

Options
Surface | Select the surface to which you want to add the contours.
Name | Type an identifier for the contour object. Duplicate names are allowed.
Elevation | Type a value, or pick a point in a graphic view, to specify the elevation.
Contour interval | Type a value, or pick two points in a graphic view, for the distance between each contour line. Distance is measured vertically in project units. This setting affects the Estimated contours in the read-only Surface Information group.
Index contour frequency | Type a value for the frequency of major to minor contour lines. Entering 5 means that every fifth line will be an index contour line.
Layer | Select the layer on which the contour object will be placed, or select <New layer> to open the New Layer dialog, in which you can create another layer.
Contour color | Select a color for the minor contour lines, or select to have contours derive their colors by layer.
Index contour color | Select a color for the major contour lines, or select to have contours derive their colors by layer.
Maximum elevation | This displays the elevation at the highest point on the selected surface.
Minimum elevation | This displays the elevation at the lowest point on the selected surface.
Estimated number of contours | This displays the number of contour lines that will appear on the surface.

Related topics

Create a Surface Contour at an Elevation

Create Surface Contours at Intervals


Add a Legend to a Surface or Map

Use the Add Surface Legend command to add a color key to any surface or map, such as a cut/fill map.

Legends help you understand:

  • what elevation each color on a shaded surface denotes
  • what depths the colors on a cut/fill map denote

Note: it is important to understand that Legends only appear when a surface's Shading property is set to Elevation in the Properties pane.

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.

To access the command:

  • Select Drafting > Add Surface/Map Legend (if on the main menu).
  • Click the [image] icon (if on a toolbar).

Options:

  • Title - Type a single line of text for the legend's titlebar or click [image] to open the Edit Text dialog where you can add multiple rows of text. Type any number of characters for the first line. Press [Shift] + [Enter] to move to the next line of text (pressing [Enter] accepts the text and closes the dialog).

    Note: The width of the legend is determined by the length of the title and the size of the text specified in the selected text style at the current plot scale. To make it narrower, break the title into multiple lines of text (see Title above) or change the height of the text style. After the legend has been created changing the plot scale does not affect the size of the legend or text, in ground units. To change the plot scale, select Project > Project Settings. The click View and Plan View in the dialog's left pane.

  • Surface or cut/fill map - Select the object with which you want to associate the legend.
  • Location point - Pick a point in the Plan View for the lower, left corner (insertion point) of the legend's border. Once the legend is created, it can also be repositioned using the Move command.

    Note: The size of the legend is controlled by the program's plot scale. To change the plot scale, select Project > Project Settings. Then click View and Plan View in the dialog's left pane. Similarly, the precision settings used for elevations are derived from your Project Settings. Click Units and then Coordinate in the dialog's left pane.

To display a legend with a surface or map:

  1. Right-click the surface and select Properties from the context menu.
  2. In the Display in Plan View section, set Shading to Elevation.

    Note: You can add a legend to a surface without elevation shading, but the legend will not appear in the view until you show elevation shading.

Related topics

Edit Color Mapping for a Surface or Difference Model


Edit Color Mapping for a Surface or Difference Model

Use the Edit Color Mapping command to control the shading on a surface or cut/fill map.

Sample color bands for a shaded surface | Sample color bands for a cut/fill map

For surfaces, map colors to specific elevations. For cut/fill maps, associate colors with an at grade tolerance and cut and fill depths. Color mapping affects what appears in legends added to surfaces and maps.

Prerequisites:

  • Surface or cut/fill map
  • See Licensed Features to determine if your license supports this feature.

To access the command:

  • Pick a surface or cut/fill map in the Project Explorer, Selection Explorer, or a graphic view and:
    • Right-click and select Edit Color Mapping from the context menu.
    • Select Surface > Edit Color Mapping.

To edit color mapping:

  1. To open a color mapping previously saved as an external .xml file, click Load. Otherwise, edit the current mapping for the selected surface or map.
  2. Hover your cursor over the Preview Bar's color bands to activate the pop-up editing box. For a surface, each line in the Preview Bar indicates the elevation at which there is a color transition. For a cut/fill map, each line indicates the depths defined for at grade, cut, or fill.
  3. Move the cursor up and down over each line in the Preview Bar and review the elevations/depths and colors in the editing box. The color shown in the editing box indicates the color of the band above the line.
  4. Add, remove, and evenly distribute color bands in the spectrum as needed:
    • To add new lines into the Preview Bar, click Insert and specify an elevation for the new line.

      Tip: You can also simply click a position on the Preview Bar to insert a new line.

    • To remove an existing line, click Delete in the editing box when hovering over a line.
    • To evenly distribute the lines, click Spacing Evenly.

      Set the elevation of the lowest line (bottom of the first color band) in the Origin box.

      Specify how many color bands you want in the Count box, or specify the elevation range of each band in the Distance box.

    • To reset the color bands so you can start over, click Default.
  5. Edit the color bands by selecting new colors and changing the elevations for the existing lines. Press [Tab] to enter changes.
  6. To save the current color mapping as an external file that you can load and use for other surfaces or maps, click Save.
  7. Click OK.

Options:

  • Preview Bar
    • Actual elevations/depths - Select this to distribute the elevation lines to their actual positions on the spectrum based on their elevations.
    • Evenly-spaced - Select this to visually distribute the lines so you can better access them. This does not affect the elevations of the lines like the Even Spacing button does.
  • Colors
    • Smooth transition - Check this box to switch from a banded spectrum to a gradient spectrum for shaded surfaces.
    • Use Default - Click this to reset the original spectrum so you can start over.
  • Elevations
    • Insert - Click this to add a new elevation or depth band.
    • Space evenly - Click this to evenly distribute the elevation lines at specified increments.
    • Delete - Click this in the editing box to remove the elevation line you are currently hovering over.
  • File
    • Save - Click this to store the current color mapping as an external file (.xml) that you can load to use for other surfaces.
    • Load - Click this to open an existing mapping file that you previously saved.

Related topics

Add a Legend to a Surface or Map


Create a Cut/Fill Map

Use the Create Cut/Fill Map command to create a map that indicates areas on a surface to cut and fill (based on a specified tolerance) to achieve a design. The cut and fill areas can be indicated by shading and/or a grid of values labeling the elevation differences between two surfaces, such as an original and a design surface. On the grid, measurements are color-coded to indicate where earth needs to be cut or filled. The map will dynamically update in response to edits to the surfaces on which it is based.

After you have created a cut/fill map, you can Analyze Mass Haul Requirements for the cut and fill zones.

A cut/fill map is not a surface, but rather a difference model (isochore). Difference models are created by both this command and the Earthwork Report command.

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.
  • Two surfaces (usually an original and a design surface)

To access the command:

  • Select Surface > Create Cut/Fill Map (if on the main menu).
  • Click the i_create surface cut fill map icon (if on a toolbar).

To create a cut/fill map or grid:

  1. In the Name box, type a unique identifier for the map as you want it to appear in the in the Selection Explorer and Properties pane.
  2. Select a surface in the Initial surface list. You can select a surface with any classification, but the initial surface should reflect the state of topography before the surface you select as the final surface.
  3. Select a surface in the Final box. Again, you can select a surface with any classification, but the final surface should reflect the state of topography after the surface you selected as the initial surface.
  4. For Map Features, check one or both boxes:
    • Shade map - Select this to display cut and fill areas in graduated colors based on the current color mapping. If you choose to uncheck Label grid (below), skip to step 10.
    • Label grid - Select this to display a grid of values showing cut and fill depths and specific locations on the difference model. Then specify the options in steps 5 through 9 below.
  5. Select the layer on which you want the grid to reside in the Layer box, or select <<New layer>> to create a new layer for the grid.
  6. Select a style that controls the text font, font style, justification, and size for the grid annotations in the Text style box, or select <<New style>> to define a new text style.
  7. In the Grid spacing box, type a value for the uniform interval at which the grid lines or tick marks for the measurements will be spaced.
  8. Select an option for how the location of each measurement will be denoted in the Grid style box.
  9. Select the number of decimals to use in the grid's measurements in the Decimal precision list.
  10. Click OK. The cut/fill grid is created and appears in graphic views and the Project Explorer. Additional properties, such as the grid's insertion point and rotation, and cut, fill, and zero colors, can be set in the Properties pane.

Options:

  • See Cut/Fill Map Options.

Dependencies:

  • The map is a dependent object; it will dynamically update in response to edits made to the related surface.

Related topics

Analyze Mass Haul Requirements

Create Surface Contours at Intervals


Cut/Fill Map Options

Use these options to create cut/fill maps for surfaces. They are available in the Create Cut/Fill Map command pane. These properties and others can be edited in the Properties pane.

Options
Name | Type a unique identifier for the map as you want it to appear in the in the Selection Explorer and Properties pane.
Initial surface | Select the surface that reflects the state of topography before the surface you select as the final surface below.
Final surface | Select the surface that reflects the state of topography after the surface you select as the initial surface above.
Shade map | Check this box to display cut and fill areas in graduated colors based on the current color mapping.
Label grid | Check this box to display a grid of values showing cut and fill depths and specific locations on the difference model. If you do not check this box, none of the options below apply.
Layer | Select the layer on which you want the grid to reside.
Text style | Select a style that controls the text font, font style, justification, and size for the grid annotations.
Grid spacing | Type a value for the uniform interval at which the grid lines or tick marks for the measurements will be spaced.
Grid style | Select an option for how the location of each measurement will be denoted.
 | Ticks | Lines
Decimal precision | Select the number of decimals to use in the measurement.

Related topics

Create a Cut/Fill Map


Understanding Earthwork Volume Calculations

In the Earthwork Report, surface to surface (and surface to elevation) volumes are calculated by computing the isochore between the surfaces (or between the elevation and surface) using the prismoidal method. First, each point is projected onto the other surface. Then, the corresponding elevation is interpolated, and the elevation difference is stored with the generated isochore point. The breaklines of both surfaces are used to generate isochore breaklines in a similar manner. Additional points are inserted into the isochore breaklines where they cross the surface triangles.

A Triangulated Irregular Network (TIN) is generated to represent the surface created by the isochore points and breaklines. The isochore represents the thickness, or difference in elevation, between the two surfaces. The software generates the surface triangles for the isochore by linking the isochore points, while honoring all breaklines and points common to both surfaces.

The triangulated isochore is used to determine the volumes by breaking the data for each triangle into the appropriate number of truncated vertical prisms. If the three points of a triangle all have positive or all have negative elevations (all fill or all cut) then a single triangular prism is present, as shown in case 1.

Case 1: All Excavation

If the isochore triangle has both positive and negative elevations (cut and fill), then the triangle is broken into additional triangular prisms such that each prism represents only cut or fill, as shown in case 2.

Case 2: Partial Excavation and Partial Fill

The volume of each prism is equal to the average height (i.e. isochore elevation) times the planimetric area. The total fill volume for the isochore is the sum of all positive prismoidal volumes. The total cut volume is the sum of all negative prismoidal volumes.

This method is considered more accurate than cross-section average end area or grid methods. The differences obtained between methods depend on the size of the grid or interval of cross-sections and the irregularity of the surfaces. Smooth surfaces may show differences of less than 1%. Some test cases have shown differences of as much as 10% when the cross-section interval is 15 meters (49.21 feet) and the terrain is rough. Mathematically, as the size of the grid or cross-section interval decreases to a very small value, the volumes of these methods agree with volumes computed from the isochore triangles.

Note: The accuracy of volume calculations is dependent on the accuracy of the data that is used and the surface that is created. If breaklines are not properly used to form a valid surface, good point data can produce bad volumes. If an insufficient number of points are used to describe a surface, then irregularities from the recorded data to the actual ground will produce volumes differing from field conditions.
Note: Duplicate points are re-layered to layer '0' during the linking process. Duplicate points are often created when computing the isochore surface, especially if a boundary line is used. In order to conserve memory, these points should be erased as required.

Related topics

Define Materials for Earthwork Reports

Run an Earthwork Report


Run an Earthwork Report

Use the Earthwork Report to calculate volumes based on a single surface, or the comparison of two surfaces. The report allows you to separate earthen material volumes by a depth increment or an elevation interval, but it does not account for subsurface strata, as reported in the Takeoff Report.

To generate a volume report:

  1. Do one of the following:
    • Click the [image] icon on the toolbar.
    • Select Reports > Earthwork Report.

    The Earthwork Report command pane displays.

Note: This report creates difference models (isochores), not surfaces. The isochore that is created by the report will be overwritten when the report is rerun unless the original isochore is renamed first.
Note: Only ten reports can appear on the Reports menu. To control which reports appear, select Reports > Report Options, and set the Show on reports menu property in the Settings group. If the property is set to Yes for more than ten reports, the first ten (in alphabetic order) will show on the menu. Any report that does not appear on the menu can always be run from the Report Options pane by selecting it and clicking the [image] icon at the top of the pane.

  1. Select the option for the type of surface report you want to generate in the Report type group. Options in the steps below will vary based on the report type you select.
  2. Select the surface you want to report on, or the first surface to compare, in the Surface list. The classification for the surface displays below the box.
  3. Select the second surface to compare in the Final list, if applicable.
  4. Pick a point in a graphic view, right-click for options, or type a value in the Elevation box, if applicable.
  5. Pick lines or a boundary to define the perimeter in the Boundary box, or click Options for more selection methods.
  6. To account for materials in the calculations, check Use in calculation in the Materials group.

    Note: Before using this option, you need to have defined surface materials in the Material and Site Improvement Manager.

  7. Select the material at the site in the Native list.
  8. Select the material that will be brought to the site in the Borrow list.
  9. Select an option in the Volume Breakdown group.
  10. Click OK. The report displays in your default Internet browser.

Related topics

Define Materials for Earthwork Reports

Earthwork Report Options

Run a Takeoff Report

Understanding Earthwork Volume Calculations


Earthwork Report Options

Use these options to configure what your earthwork report shows. They are available on the Earthwork Report command pane. The [image] icon on the command pane's toolbar gives you quick access to the Define Materials dialog, where you can define materials to use in earthwork report calculations.

Options

Report Type

Stockpile/Depression - Select to generate a comparison of the volume formed by comparing one surface to a temporary surface formed by the edge points of the surface

A Stockpile/Depression Report uses only one material in the report.

Surface to Surface - Select to generate a comparison between two surfaces

Surface to Elevation - Select to generate a comparison of the volume formed by comparing one surface to a flat plane defined by the user giving its elevation

Note: You can set the name for the difference between surfaces in the Computational Settings > Surface section of the Project Settings dialog.

Select surface

Surface/initial

Select the surface on which you want to report. If you are comparing a surface to another surface or elevation, select the surface from the earlier phase of construction.

Final

If you are comparing a surface to another surface, select the surface from the later phase of construction.

Elevation

Pick a point in a graphic view, or type a value for the elevation to be compared to the specified surface.

Boundary

Select the perimeter of the volume you want to use in computations.

Materials

Use in calculation

Check this to open the Native and Borrow boxes, if you are using materials in calculations.

Native

Select the material being excavated from the site, and often being reused as fill material on the site.

Borrow

Select the material that is being brought in from off-site to be used as fill material on the site. Borrow material can be the same as native material.

Volume breakdown

Volume totals only - Select this to report only the total difference between volumes.

By depth increment - Select this to report the volumes in increments. Pick two points in a graphic view, or type a value to specify the depth of the increment.

By elevation interval - Select this to report volume differences between specific elevations. Pick two points in a graphic view, or type a value to specify the distance between elevations.

Index elevation - Pick a point in a graphic view, or type a value to specify the elevation.

Related topics

Calculate Volumes Using the Earthwork Report

Define Materials for Earthwork Reports


Add Surface Materials and Images

In This Section

Manage Materials and Site Improvements

Use an Image as a Texture

Add a Texture to a Surface Area

Drape an Image on a Surface


Manage Materials and Site Improvements

The Material and Site Improvement Manager enables you to create and manage libraries of materials and site improvements for takeoff operations and calculations.

The manager comes with a sample library of materials and site improvements with predefined attributes. This library provides a good starting point for understanding the types of materials and site improvements you can use to build surfaces for takeoff.

Understanding Materials and Site Improvements

  • Material - a naturally-occurring or manufactured substance from which a site improvement can be made at a construction job site. Examples include soil, rock, limestone, cement concrete, asphaltic concrete, asphalt/bitumen, wood, PVC, and ductile iron.
  • Site improvement - an object that a construction contractor builds out of a material at a job site. Examples include curbs, sidewalks, pipes, curb inlets, roadway bases, and surface courses.

Define your materials and site improvements carefully. The properties that you set for them in the manager will enable you to calculate these values in the Takeoff Report and Earthwork Report:

  • Existing versus proposed surface volumes, including:
    • Excavation volumes: bank cut and fill, cut swell and fill shrink, and adjusted cut and fill
    • Excavation areas: Cut, fill, and total areas
    • Removal quantities: Area and volume
    • Replacement quantities: Area and fill
  • Site improvement quantities, including:
    • Areas, lengths, and counts per area of interest

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.

To access the manager:

  • Select Takeoff > Material and Site Improvement Manager or Surface > Material and Site Improvement Manager.
  • Click the [image] icon (if on the toolbar).

Related topics

Workflow for Managing Materials and Site Improvements


Use an Image as a Texture

Use the Material and Site Improvement Manager to specify image files as material textures so they can be used in the Add Surface Texture command to make visualization of your 3D model more realistic. Select an image file to use as a texture swatch and associate it with the material. Then specify a size to apply to the swatch when it is tiled. If the surface is larger than the image tile, the texture is repeated until it reaches the edge of the surface or a texture boundary.

If the surface is a corridor, the texture is not aligned along easting and northing coordinates, as it is on a generalized surface. Instead, station and offset values from the corridor's alignment are used; the texture is aligned along the roadway, making it more realistic.

Prerequisites:

  • A material for which you want to specify a texture
  • An image of a texture (.gif, .jpg, .png, or .tif); ideally the image is one that has been edited so that the edges match when the image is tiled

To specify a material texture:

  1. Do one of the following:
    • Select Takeoff > Material and Site Improvement Manager (if on the main menu).
    • Click the [image] icon (if on a toolbar).
  2. In the explorer pane, select the material for which you want to specify a texture.
  3. Next to the Texture box, click the [image] button and navigate to the texture image file that you want to use for the material.
  4. If necessary, edit the image size:
    • Horizontal size - Specify the width of the texture tile in the current project units. If the texture is applied to a corridor surface, the height of the tile runs parallel to the alignment of the corridor.
    • Vertical size - Specify the height of the texture tile in the current project units. If the texture is applied to a corridor surface, the width of the tile runs perpendicular to the alignment of the corridor.

    (1) Horizontal size and
    (2) vertical size tiled on a generalized surface.

    (1) Horizontal size and
    (2) vertical size tiled on a corridor surface.
  5. If you have edited a material in the External Library that you want to make available in your project, select Edit > Copy from External Library to make it available in the Project Library.
  6. Select another material to add a texture image to, or click Close.
  7. To apply the material to a surface, see Add a Texture to a Surface Area.

Scenarios:

  • When you specify a texture image for a material in the External Library, the path to the image appears in the Texture box. If you add a texture image to a material in the Project Library, only the file name appears in the box. A copy of the file is saved at:

    C:\Documents and Settings\(user name)\My Documents\(product name)\(project name)\

  • When a surface has a material color, texture image, and draped image applied to it, the material overrides the color and the draped image overrides the material.

Related topics

Add a Texture to a Surface Area


Add a Texture to a Surface Area

After you specify image files (or colors) to use as material textures, use the Add Surface Texture command to apply them to surface areas to make your 3D model more realistic. When you fill one or more areas of a surface with textures, it can help you visualize different surface materials in graphic views and printed output. For example, in a golf course design, you might want to fill fairways with a grass material texture and traps with a sand material texture. When you add a texture to a surface area, it spreads until it encounters a drapeline set as a 'texture boundary'. Textures can also be added to islands within holes in a surface.

Tip: Breaklines in corridor surfaces are automatically set as texture boundaries, so that you can easily add textures to medians, travel lanes, shoulders, and ditches.

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.
  • Materials for which you have specified texture images (or colors)
  • Surface areas bounded by drapelines

To add a surface texture:

  1. Ensure that the area you want to fill with a texture is a closed area bounded by a connected series of breaklines or linestrings.
  2. In the Properties pane for each of the bounding lines, set the Surface sharpness property to Sharp and texture boundary.

    Note: If you want a texture to spread to the outer edge of a surface, you do not need to apply the texture boundary property to the edge.

  3. In the Properties pane for the surface, ensure that the Shading property is set to By material for each graphic view in which you want to see the texture. If you have no texture image specified, the material color displays on the surface. If you have no material applied, the default surface color displays.
  4. Do one of the following:
    • Select Surface > Add Surface Texture.
    • Click the [image] icon (if on the toolbar).
  5. Select the surface that you want to add the texture to in the Surface list.
  6. In the Name box, type a unique identifier for the texture's location point as you want it to appear in the in the Selection Explorer and Properties pane. You can also use the name to select the texture in the Advanced Select command.
  7. Select the layer on which you want the texture to reside in the Layer list, or select <<New layer>> to create a new layer for it. The color of the layer does not affect the texture color.
  8. Select the material whose texture image (or color) you want to apply to the surface in the Material list, or select <<New material>> to open the Material and Site Improvement Manager where you can create a new material or edit an existing.

    Note: If you set the texture (or leave it set) to None, you are effectively applying a transparent texture/creating a hole in the surface. If the surface has no texture boundaries, it will become entirely invisible.

  9. Click in the Texture location box, and pick a point in the Plan View within the area that you want the texture to fill. A surface texture indicator (+ sign) appears at the location.
  10. Click Close.
  11. If you added the texture to a takeoff surface, or if the Rebuild property for the surface is set to By user, click the [image] icon on the toolbar to rebuild the surface.

    Tip: For any surface area, you can quickly switch between any of the materials used on the surface by selecting the texture location point and changing its material in the Properties pane.

Options:

  • Name - A name for the texture location ('seed point') is optional, but recommended to help you find the texture in other commands.
  • Texture location - In this coordinate control, specify the point from which the texture (or color) will spread until it reaches a texture boundary.

Scenarios:

  • If your surface does not have any lines identified as 'texture boundaries', the texture or color will spread to the edges of the surface.

Related topics

Create and Edit a Linestring

Create and Edit a Breakline


Drape an Image on a Surface

Use the following procedure to overlay one or more georeferenced images onto a surface to visualize how a job site's features relate to its topography. Draping an image on a surface enables you to correlate image details with surface elevations. To do this, simply add a georeferenced image to a surface as a member.

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.
  • Surface
  • Georeferenced image that corresponds to the surface

To drape an image on a surface:

  1. Either import a georeferenced image or georeference an imported image that corresponds to the surface in your project.
  2. Select the image in the Project Explorer or pick it in the Plan View.

    Note: To make images selectable in the Plan View, you may need to change their Selectable property in the Advanced View Filter Settings for the view.

  3. Add the image as a surface member using the steps in Edit a Surface by Adding and Removing Members.
  4. In the Properties pane for the surface, set the Shading property to By surface color for each graphic view in which you want to see the image.
  5. Click Close when you are done.

Scenarios:

  • If the image is not coincident with the surface, it will still appear in the Plan View when you add it as a surface member, but will not be visible in the 3D View until you make the surface and image coincident.
Partially coincident surface and image in the Plan View. | Partially coincident surface and image in the 3D View.
  • When a surface has a material color, texture image, and draped image applied to it, the material overrides the color and the draped image overrides the material.
  • If you have multiple images draped on a surface, you can control their display order by moving images forward or backward.

Related topics

Georeference an Image

Use an Image as a Texture


Work with Corridors

In This Chapter

Understanding Corridors

Workflow for Creating Corridors

Create and Edit an Alignment

Create, Edit, and Delete Template Node Names

Create, Edit, and Delete Material Layers

Create Corridors

Edit and Delete Corridors

Add and Remove Corridor Reference Lines

Create Corridor Templates

Edit and Delete Corridor Templates

Understanding Corridor Template Instructions

Corridor Template Node Types

Create Corridor Template Instructions

Mirror Corridor Template Instructions

Edit and Delete Corridor Template Instructions

Run a Corridor Definition Report


Understanding Corridors

A "corridor" is a 3D model of a linear structure, such as a road or waterway. The corridor is based on a horizontal and (optionally) vertical alignment and includes templates that define cross-sections throughout the length of the corridor.

To create a corridor, you must first create or select an alignment on which to base it. The alignment you select provides the centerline and stationing for the corridor. You can also add a surface to the corridor to represent the actual terrain on which the corridor will be built, and other reference lines, such as linestrings, breaklines, and CAD lines.

After creating a corridor, you can insert one or more templates that define what the corridor looks like cross-sectionally from the point the template is inserted until the next template is reached, or the end of the corridor. The software then connects the templates with linestrings that transition the corridor as necessary from one template to the next (as shown below) to create a 3D model.

Key:
1 - Template insertion
2 - Horizontal and vertical alignment
3 - Line strings

You create a corridor template by defining the instructions used to build the cross section. In a very simple example, you might have a 2-lane road that is 10m wide and slopes from the centerline to each edge at -2% (for drainage). In this case, two instructions are required: one to define the location of the right edge of the pavement (represented by node #2), and one to define the left edge of the pavement (represented by node #3). For these two instructions, the offset and slope are relative to the centerline (represented by node 1).

cg_corridor template simple 01

Of course, you can design much more sophisticated templates that include many types of offsets and slopes that are relative to the centerline node, reference line nodes, and/or nodes resulting from other instructions. You can also associate template instructions with different material layers of the corridor (for example, "Finished" and "Subgrade") so that you can view export the various corridor material layers as surfaces.

Related topics

Workflow for Creating Corridors

Create Corridors

Create Corridor Templates

Edit and Delete Corridor Templates

Understanding Corridor Template Instructions

Create Corridor Template Instructions

Edit and Delete Corridor Template Instructions


Workflow for Creating Corridors

Typically, you create a corridor based on design information contained in any of the following formats:

  • Detailed plots of the horizontal and vertical alignment, typical cross-sections, and callouts describing specific details of the road
  • An AutoCAD file with digital representations of the plan
  • A corridor in a GENIO file or LandXML file

To get guidance through this workflow in the software, select Help > Workflow Guides. The general workflow for creating a corridor is as follows:

  1. Create or import the horizontal and, optionally, vertical alignment on which the corridor will be based. If you need to create alignments in the software, see Create an Alignment for instructions.
  2. Optionally, create a superelevation alignment for the corridor as explained in Create and Edit Superelevations. "Superelevation" is the banking of a road along a horizontal curve so motorists can safely and comfortably maneuver the curve at reasonable speeds.
  3. Optionally, create or import other types of lines that can be referenced in the corridor, such as linestrings, breaklines, and CAD lines. If you need to create reference lines in the software, see Create and Edit a Linestring or Create and Edit a Simple Breakline for instructions.
  4. Optionally, create or import a surface that models existing terrain on the corridor site. If you need to create a surface, see Create a Surface for instructions.
  5. Create a list of names to be used to identify nodes in corridor cross-section templates (for example, "EP" for "edge of pavement"). See Create, Edit, and Delete Template Node Names for additional instructions.
  6. Create a list of names of the material layers that will be defined in the corridor. For example, in addition to the default "Finish" layer, you might specify layers for "Base course," "Stabilized subgrade,"and "Subgrade." See Create, Edit, and Delete Corridor Material Layers for additional instructions
  7. Create a corridor for which you specify the following:
    • Horizontal and, optionally, vertical alignments on which to base the corridor
    • The corridor material layer that will be displayed in the Plan View and 3D View, and will be used to create a corridor surface if you export the corridor
    • Lines and surfaces to be referenced in the corridor

    See Create Corridors for additional instructions.

  8. Insert one or more cross-section templates as necessary into the corridor. Each template determines the cross-section shape of the corridor from the point the template is inserted until the next template is reached, or the end of the corridor. For additional instructions, see Create Corridor Templates
  9. For each template, add one or more instructions used to specify offsets, slopes, and other properties that define the cross-section of the corridor at that location. For additional instructions, see Understanding Corridor Template Instructions and Create Corridor Template Instructions.
  10. Run a Corridor Definition Report to see the properties of a corridor, including horizontal/vertical geometry, template,and superelevation (if applicable) information.
  11. Verify the corridor in Plan View or 3D View and export the corridor as a surface.

Miscellaneous Notes

  • Before exporting corridor data, it is recommended that you set the maximum sampling distance for your corridor to less than 5m. Setting the maximum distance to less than 5m ensures higher accuracy in your export file. To set the maximum sampling distance, select Project > Project Settings> Computations > Corridor.
  • After creating a corridor, you may notice that surface triangles are connecting across cross-sections of the corridor, resulting in an imprecise surface (first figure below). To correct this problem, you can specify that the corridor is an alignment-based surface, which means that it is based on stations and offsets rather than northing/easting coordinates. This will minimize the chance that surface triangles connect across cross-sections of the corridor, resulting in a more precise surface (second figure below).

    To specify that the corridor is an alignment-based surface, view the properties of the corridor in the Properties pane, and select Yes for the Alignment based surface option. Because this option can cause slower performance, you should consider keeping it turned off while creating corridors and templates. Then, if necessary, turn it on when reviewing or exporting the corridor.

Related topics

Understanding Corridors

Create Corridors

Create Corridor Templates

Edit and Delete Corridor Templates

Understanding Corridor Template Instructions

Create Corridor Template Instructions

Edit and Delete Corridor Template Instructions


Create and Edit an Alignment

In This Section

Understanding Alignments

Workflow for Using Imported Alignments

Workflow for Creating Alignments

Create an Alignment

Edit a Horizontal Alignment

Horizontal Alignment Options

Use Valid Segment Order

Edit a Vertical Alignment

Vertical Alignment Options

Edit an Alignment's Station Equations

Alignment Station Equation Options

Edit an Alignment's Properties

Alignment Properties

Create an Alignment from a GENIO String

Run an Alignment Geometry Report

Alignment Editor

Understanding Superelevations

Create and Edit Superelevations


Understanding Alignments

An alignment defines a linear feature, such as a road centerline. Alignments consist of horizontal geometry (a path in a horizontal plane) and optional vertical geometry (a path in a vertical plane). Alignments can also include station equations.

You can import existing alignments from LandXML or GENIO string files, or you can create them either by specifying their horizontal and vertical components or by converting them from vertices, lines, and polylines in your project.

You can create horizontal alignments using lines/tangents, arcs, and clothoid spirals. You can create vertical alignments with lines (constant slope), arcs, and parabolas. Each vertical alignment is associated with a horizontal alignment, and there can be multiple vertical alignments for each horizontal alignment. The values you can enter depend on the alignment settings for the project.

You can also specify station equation values for the alignment, and you can create a superelevation. The superelevation can be applied to a corridor template to ensure a highway is banked appropriately through a curve (to ensure safety).

Often, the goal in creating an alignment is to create a digital file of the design that you can upload to a field device for staking.

Related topics

Create an Alignment

Workflow for Creating Alignments

Workflow for Using Imported Alignments


Workflow for Using Imported Alignments

Save the effort of manually creating alignments by importing alignments created in other design applications. Alignments can be imported in GENIO or LandXML file formats.

The general workflow for using imported alignments is:

  1. Import the file containing the alignment. The alignment appears as a single object in the Project Explorer.
  2. Check the alignment to make sure it accurately reflects the design, and make edits as necessary.
    • Open the Alignment Editor and verify that coordinates, bearings, lengths, stations, and other values match the original paper or digital plan.
    • Open a new horizontal tab group and arrange your views to that you can see the Alignment Editor and the appropriate graphic view (either plan or profile) concurrently.
    • Edit horizontal, vertical, and station values as needed.
    • Open the Properties pane, and edit the alignment's properties, such as the name, appearance, and layer, as needed.

Related Topics

Create an Alignment

Import LandXML Files (.xml)

Import GENIO Files


Workflow for Creating Alignments

Create alignments by manually entering values from digital or paper plans. Here is the general workflow:

  1. Use the Create Alignment command to create a new, blank alignment, and open it in the Alignment Editor.
  2. Open a new horizontal tab group and arrange your views so that you can see the alignment spreadsheet and the appropriate graphic view (either Plan View or Profile View) concurrently.
  3. Enter horizontal alignment values from the paper or digital plans, or using the imported data as a reference. If necessary, enter vertical and station values as well.
  4. Open the Properties pane, and edit the alignment's appearance properties, as needed.
  5. Export the alignment to another application or upload it to a field device. You can export alignments as .dxf/.dwg, GENIO, or LandXML files.

    Note: You can export an alignment to Trimble® Site Controller Software (SCS) as a .dxf/.dwg site or design map (loses stationing and spirals), or you can export it to Terramodel as a 3D LandXML file, which you can then upload to SCS software.
    Note: If you export an alignment as a .dwg and then import it into another application as a .dxf/.dwg, any vertical alignments in the file may not appear.

Related Topics

Create an Alignment

Create an Alignment from a GENIO String


Create an Alignment

Build horizontal alignments (HALs) for roadways by entering values from engineering designs to define horizontal segments or curves at Points of Intersection (PIs). If needed, you can then define station equations and create vertical alignments (VALs) using Vertical Points of Intersection (PVIs). For each HAL, you can create one or more VALs.

To create an alignment:

  1. Do one of the following:
    • Select Corridor > Create Alignment.
    • Click the [image] icon on the toolbar.

    The Create Alignment command pane displays.

  2. In the Name box, type an identifier for the new alignment as you want it to appear in the Project Explorer and Selection Explorer.
  3. In the Layer list, select the layer on which you want the alignment to reside, or select New layer to create a layer.
  4. Based on the data in your engineering design, select a method by which you want to define the horizontal alignment.
    • Define individual segments - Select this to build an alignment from data with values for consecutive line, arc, and spiral segments.
    • Inscribe curves at PIs - Select this to build an alignment from data with values for curves at consecutive Points of Intersection (PIs).

      Note: You can also create an entire HAL or HAL segments based on a polyline or linestring. See To base HAL segments on an existing line in the Edit a Horizontal Alignment.

  5. Click OK. The Alignment Editor displays.

    Note: You can also create an alignment by clicking Create Alignment at the top of the Alignment Editor.

  6. Follow the steps below.

To enter a horizontal alignment's starting point:

  1. Double-click in the Station box of the POB (Point Of Beginning) row and (using the values in your engineering design) type the starting station value.
  2. Press [TAB] or [Enter] to advance to the next cell.
  3. Type values for the alignment's starting coordinate in the Easting and Northing cells.

    Note: You can also specify alignment values by picking points in graphic views, but it is more likely that you will enter them by transcribing from engineering plans or reports using the keyboard.
    Note: When entering values, you can always right-click in the Plan View for COGO and snap options.
    Note: You can right-click in the active cell to access Undo, Cut, Copy, Paste, and Delete commands, or right-click at the beginning of a row to access Insert Row, Delete Row, Copy, Alignment Project Settings, and Float View commands.
    Note: If your engineering design shows values in a format different that the Alignment Editor is using, click the [image] icon to access the Project Settings dialog where you can change the display formats and entry methods.

  4. Press [Tab] or [Enter] to proceed to the next row. Then, follow the steps in To add a segment or a curve at a PI in Edit a Horizontal Alignment.

To enter a vertical alignment's starting point:

  1. Click the Vertical tab.
  2. Click Create Vertical Alignment to make the cells available.
  3. Double-click in the Station box of the POB (Point Of Beginning) row and type the starting station value.
  4. Press [TAB] or [Enter] to advance to the next cell.
  5. Type the first point's elevation in the Elevation cell.
  6. Press [Tab] or [Enter] to proceed to the next row. Then, follow the steps To add a curve at a PVI in Edit a Vertical Alignment.

Related topics

Edit a Horizontal Alignment

Edit an Vertical Alignment

Edit an Alignment's Station Equations

Understanding Alignments

Edit an Alignment's Properties


Edit a Horizontal Alignment

Edit a horizontal alignment (HAL) by adding, removing, inserting, and modifying either horizontal segments or curves at Points of Intersection (PIs), depending on how the alignment was initially defined.

Note: You can only edit one alignment at a time. If you have multiple alignments selected, only the active alignment (indicated in bold in the Project Explorer) appears in the Alignment Editor.

To access the options below:

  1. If you have just created an alignment, skip to a procedure that you want to perform below. Otherwise, select an alignment and do one of the following:
    • Select Corridor > Alignment Editor.
    • Click the [image] icon on the toolbar.
    • Pick an alignment in a graphic view, right-click and select Edit from the context menu.
    • Select an alignment in the Project Explorer, right-click and select Edit from the context menu.

    The Alignment Editor displays.

  2. At the top of the Alignment Editor, there is a list of alignments in your project. Click the [image] icon and the arrow to open the list. Select the alignment you want to edit and click the [image] icon to lock the list again. This will prevent you from editing the wrong alignment.
  3. Click OK.

To change settings for entering alignment values:

  1. Click the [image] icon at the top of the Alignment Editor. The Project Settings for alignments display.
  2. Change any setting formats to match the formats used in the engineering design.
  3. Click Units and then Station in the left pane. Change the station format to match your data.
  4. Click OK.

To add a segment or a curve at a PI:

  1. Select a segment or curve at PI type in the Type cell of the last row in the editor (denoted by the *). The type that you select determines which values you can enter in the row's other cells. For descriptions of the options, see Horizontal Alignment Options.
  2. Press [TAB] or [Enter] to advance to the next cell.
  3. Enter values in each of the cells (based on the type of segment you chose) as specified in the engineering design.

    Note: When entering values, you can always right-click in the Plan View for COGO and snap options.
    Note: If your engineering design shows values in a format different that the Alignment Editor is using, click the [image] icon to access the Project Settings dialog where you can change the display formats and entry methods.

  4. Repeat the previous steps until you have created segments or curves at PIs for the entire HAL.

    Note: Visually check the alignment in the Plan View as you enter values.

To edit an existing segment or curve at a PI:

  • To change a segment's type, click in its Type cell and select a new type from the list. Confirm that the values in the other cell for the segment are still correct.
  • To change a value, click its cell and specify a new value. The alignment updates in the Plan View as you make changes.
  • To Undo, Cut, Copy, Paste, and Delete values, click in the cell, then right-click and select an option from the context menu.
  • To access Insert Row, Delete Row, Copy, Alignment Project Settings, and Float View commands, click at the beginning of a row, then right-click and select an option from the context menu.
  • To run the Alignment Geometry Report, right-click anywhere in the editor and select Report from the context menu.

To create a vertical alignment:

  • See To enter a vertical alignment's starting point in Create an Alignment.

To enter station equation values:

  • See Edit an Alignment's Station Equations.

To base HAL segments on an existing line:

  1. Select the line that you want to create the HAL from (or append to your current HAL segments) in a graphic view.
  2. Right-click and select Append selected object in the context menu. The segments from the line are added as new rows in the Alignment Editor.

Related topics

Horizontal Alignment Options

Edit a Vertical Alignment

Edit an Alignment's Station Equations


Horizontal Alignment Options

Use the first set of these options to define each horizontal segment in a horizontal alignment (HAL). Use the second set of options to define each curve at a Point of Intersection (PI) in a HAL. They are available on the Horizontal tab of the Alignment Editor.

Note: The input modes are defined in Project Settings, which can be accessed by clicking the [image] icon in the editor.
Note: Depending on the input mode that is set, some of the values below may not be required.

Segment-based alignment options

Type

POB (Point of Beginning) - Denotes the starting point for the alignment.

Define the station, and northing and easting coordinates of the POB.

Line - Select this to enter a straight segment.

Define the azimuth or bearing, and length of the line.

Note: Segment transitions default to tangent.

Arc - Select this to enter a curved segment with a constant radius.

Define the azimuth or bearing, radius, direction of the curve, and length/delta/station (depending on the input mode defined in Project Settings).

Spiral In - Select this to enter a transitional spiral segment (clothoid spiral) with a decreasing radius. Generally, use this to connect a line with an arc.

Define the azimuth or bearing, radius, direction of the curve, and length/station/A parameter.

Spiral Out - Select this to enter a transitional spiral segment (clothoid spiral) with an increasing radius. Generally, use this to connect an arc with a line.

Define the azimuth or bearing, radius, direction of the curve, and length/station or A parameter.

Combining Spiral - Select this to spiral between two arcs with different radii.

Define the azimuth or bearing, side from the POB, radius 1, radius 2, and length/station/A parameter.

Azimuth

(North or South)

or

Bearing

Specify a bearing or an azimuth value at the beginning of the segment, or accept the default of Tangent, which is the bearing from the previous segment.

For lines, this is the bearing of the entire segment. For arcs and spirals, it is the tangent bearing into the segment.

Radius

Specify the distance between the arc and its center point.

Left / Right

Select the direction an arc should curve (left or right) in the direction from the POB.

Length

Specify the length of the segment.

For arcs, and spirals, this is the actual length, not a chord length.

Delta

Specify the central angle of the arc.

A Param

Specify the standard factor used as a roadway design criteria in establishing the required length of the spiral.

The A parameter reflects the rate of change of the radius, in relation to the distance along the spiral.

Station

Specify the station value at the end of the POB segment.

For other segment types, this either displays the computed station or requires a station to be entered, depending on the input mode.

Northing

Specify the northing coordinate of the POB. For other segment types, this displays the computed northing coordinate of the segment's end point.

Note: The order of the Northing and Easting columns can be set in Project Settings by clicking the [image] icon.

Easting

Specify the easting coordinate of the POB. For other segment types, this displays the computed easting coordinate of the segment's end point.

PI-based alignment options

Type

No curve - Select this to create a straight segment at the PI. Typically, this is used for transitions with a small delta.

Define the northing and easting coordinates of the PI.

Arc - Select this to inscribe an arc with a constant radius from the Point of Curvature (PC) to the Point of Tangency (PT).

Define the radius of the arc, and the northing and easting coordinates of the PI.

Spiral - Select this to inscribe a curve that spirals in from the PC for a defined distance, then arcs, and then spirals out for a defined distance to the PT.

Define the radius, spiral in distance, spiral out distance, and the northing and easting coordinates of the PI.

Radius

Specify the distance between the arc and its center point.

Spiral In

For the start of spiral curves, specify the length of the transitional arc (clothoid spiral) with a decreasing radius.

Spiral Out

For the end of spiral curves, specify the length of the transitional arc (clothoid spiral) with an increasing radius.

Station

Specify the station value of the POB.

Northing

Specify the northing coordinate of the POB or PI.

Easting

Specify the easting coordinate of the POB or PI.

Related topics

Create an Alignment

Edit a Horizontal Alignment

Vertical Alignment Options

Alignment Station Equation Options


Use Valid Segment Order

When you are adding, inserting, deleting, or editing horizontal alignment segments, there are valid and invalid ways in which segment types can be connected. For instance, a combining spiral must be preceded and followed by an arc; it cannot connect to any other segment type. Some typical, and valid, sequences of segment types include:

  • Residential streets: Line > Arc > Line >
  • High speed-streets and ramps: Line > Spiral in > Arc > Spiral out > Line
  • Unusual high-speed ramps: Line > Spiral in > Arc > Combining spiral > Arc > Spiral out > Line
Valid Segment Connections
From | To | POB | Line | Arc | Spiral in | Spiral out | Combining spiral
POB |  | — | OK | OK | OK | OK | —
Line |  | — | OK | OK | OK | OK | —
Arc |  | — | OK | OK | OK | OK | OK
Spiral in |  | — | OK | OK | — | OK | —
Spiral out |  | — | OK | OK | OK | — | —
Combining spiral |  | — | — | OK | — | — | —

Note: Tangency is assumed when a line transitions into an arc or a spiral.

Related topics

Alignment Editor

Create an Alignment

Edit an Alignment

Horizontal Alignment Options


Edit a Vertical Alignment

Edit a vertical alignment (VAL) by adding, removing, inserting, and modifying curves at Points of Vertical Intersection (PVIs). You can create one or more VALs for each horizontal alignment (HAL) in your project.

Note: You can only edit one alignment at a time. If you have multiple alignments selected, only the active alignment (indicated in bold in the Project Explorer) appears in the Alignment Editor.

To access these options:

  1. If you have just created an alignment, skip to one of the operations below. Otherwise, select an alignment and do one of the following:
    • Select Corridor > Alignment Editor.
    • Click the [image] icon on the toolbar.
    • Pick an alignment in a graphic view, right-click and select Edit from the context menu.
    • Select an alignment in the Project Explorer, right-click and select Edit from the context menu.

    The Alignment Editor displays.

  2. Click the Vertical tab.

To add a vertical curve at a PVI:

  1. Select a curve type in the PI Type list. The type you select determines which values you can enter in the other cells of the row. For descriptions of the options, see Vertical Alignment Options.
  2. Press [Tab] or [Enter] to advance to the next cell.
  3. Enter values in each of the available cells (based on the type of curve you chose) as specified in the engineering design.

    Note: When entering values, you can always right-click in the Profile View for COGO and snap options.
    Note: If your engineering design shows values in a format different that the Alignment Editor is using, click the [image] icon to access the Project Settings dialog where you can change the display formats and entry methods.

  4. Repeat the previous steps until you have created PVIs for the entire VAL.

    Note: Visually check the vertical alignment in the Profile View as you enter values.

To edit an existing curve at a PVI:

  • To change a PVI type, click a cell in the PI Type column and select a new type from the list.
  • To change a value, click in a cell and specify a new value. The alignment updates in the Profile View as you make changes.
  • To Undo, Cut, Copy, Paste, and Delete values, click in the cell, then right-click and select an option from the context menu.
  • To access Insert Row, Delete Row, Copy, Alignment Project Settings, and Float View commands, click at the beginning of a row, then right-click and select an option from the context menu.

Related topics

Vertical Alignment Options

Alignment Profile View

Create a Profile of a Surface

Create an Alignment

Edit a Horizontal Alignment


Vertical Alignment Options

Use these options to define each curve at a Point of Vertical Alignment (PVI) in a vertical alignment (VAL). They are available on the Vertical tab of the Alignment Editor.

Note: The input modes are defined in Project Settings, which can be accessed by clicking the [image] icon in the editor.

Options

PI Type

POB (Point of Beginning) - Denotes the starting point for the alignment.

Define the station and elevation.

Grade Break - Select this for PVIs that do not have a curve. Typically, this is used for small changes in grade, or for the end of the vertical alignment.

Define the station and elevation.

Symmetrical vertical curve - Select this to create a vertical curve when the curves on either side of the point of intersection (PI) are of equal length.

Define the station, elevation, and curve length/K factor.

Asymmetrical vertical curve - Select this to create a vertical curve when the curves on either side of the point of intersection (PI) are of unequal length.

Define the station, elevation, and approach and departure curve lengths.

Vertical Arc - Select this to enter a vertical curve with a constant radius.

Define the station, elevation, and radius/length.

Station

Type a station value, or pick it in the profile view.

Elevation

Type an elevation value for the station, or pick it in the profile view.

Curve Length

Type a length for the vertical curve, or pick two points in the profile view to use the distance between them as the length.

Radius

Type a radius value for the arc.

K Factor

This displays the calculated ratio of change on the vertical curve.

Approach Curve Length

For asymmetric curves, type a value for the curve before the PVI. (from PVC to PVI)

Departure Curve Length

For asymmetric curves, type a value for the curve after the PVI. (from PVI to PVT)

Note: You can use the same station value for two consecutive PVIs (not just 0+00). This allows a vertical rise or fall in the alignment.

For example, if you need to model channel (drainage) flow-lines where you have a vertical drop, you can add the same station at different elevations.

Station Elevation

2+25.00 125.00

2+25.00 120.00

This will draw the profile to elevation 125 when coming from the station back, and elevation 120 when going towards the station ahead. The order of the entries in the editor determines the order in which they are used.

Related topics

Edit a Vertical Alignment

Create an Alignment

Alignment Profile View

Create a Profile of a Surface

Alignment Station Equation Options

Horizontal Alignment Options


Edit an Alignment's Station Equations

As you enter horizontal alignment (HAL) values, you can also add and edit station equations.

Note: Depending on how your data is arranged, you may need to enter station equations as you create the HAL.

To access these options:

  1. If you have just created an alignment, skip to one of the procedures below. Otherwise, select an alignment and do one of the following:
    • Select Corridor > Alignment Editor.
    • Click the [image] icon on the toolbar.
    • Pick an alignment in a graphic view, right-click and select Edit from the context menu.
    • Select an alignment in the Project Explorer, right-click and select Edit from the context menu.

    The Alignment Editor displays.

  2. Click the Station Eqn tab.

To add a station equation:

  1. Click the Station Equation tab.
  2. Click in the Back cell and type the station equation VALUE in the current station format.
  3. Press [Tab] or [Enter] to proceed to the next cell.
  4. Type the station equation value in the Ahead cell.
  5. Press [Tab] or [Enter] to proceed to the next cell and display the station zone information.

    Note: If the station format in your engineering design or report differs from the one used in the Alignment Editor, click the [image] icon. In the Project Settings dialog, click Units and then Station in the left pane. Change the station format to match your data, and click OK.

To edit an existing station equation:

  • To change a value, click in a cell and specify a new value.
  • To Undo, Cut, Copy, Paste, and Delete values, click in the cell, then right-click and select an option from the context menu.
  • To access Insert Row, Delete Row, Copy, Alignment Project Settings, and Float View commands, click at the beginning of a row, then right-click and select an option from the context menu.

Related topics

Alignment Station Equation Options

Edit a Horizontal Alignment


Alignment Station Equation Options

Use these options to define an alignment's station equation values. They are available on the Station Eqn tab of the Alignment Editor.

Note: The input modes are defined in Project Settings, which can be accessed by clicking the [image] icon in the editor.

Options
Station Equations
Back | Type a station back/downstation value.
Ahead | Type a station ahead/upstation value.
Station Zones (computed)
Zone | Denotes the section from one station to the next. The zone number also appears after the colon in the Start Station and End Station values.
Start Station | Shows the station at which the zone begins. The first station segment's value is derived from the Horizontal tab's POB station.
End Station | Shows the station at which the zone ends.
Progression | Indicates whether the station value increases or decreases after the station equation.

Related topics

Edit an Alignment's Station Equations

Create an Alignment

Horizontal Alignment Options

Vertical Alignment Options


Edit an Alignment's Properties

Change alignment names, display properties, and layers in the Properties pane.

To edit an alignment's properties:

  1. Do one of the following:
    • Pick the alignment in a graphic view, right-click, and select Properties from the context menu.
    • Double-click the alignment in the Project Explorer, or right-click it and select Properties from the context menu.

    The Properties pane displays.

  2. Click in an available box, and make changes as necessary.

    Note: If the scale of your alignment is small in a graphic view, some line styles display as solid lines to improve performance.

  3. Click Close. The alignment updates based on the changes.

Related topics

Alignment Editor

Edit an Alignment


Alignment Properties

Use these options to change alignment names, display properties, and layers. They are available in the Properties pane when an alignment is selected.

Options
Linestyle | Select an appearance for the line in graphic views. Note: If the scale of your line is small in a graphic view, some linestyles display as solid lines to improve performance.
Color | Select a display color for graphic views.
Visible | True - Select this to display the alignment in graphic views. False - Select this to hide the alignment in graphic views.
Layer | Select the layer on which you want the alignment to reside.
Reference Location Northing | Displays the north coordinate used in the alignment's POB.
Reference Location Easting | Displays the east coordinate used in the alignment's POB.
Reference Station | Display the station used in the alignment's POB.

Related topics

Edit an Alignment's Properties


Create an Alignment from a GENIO String

GENIO strings are sets of 3D points connected to form linear features, such as street centerlines or curb lines. There are three types of GENIO strings that can be imported. Each type can be used in a different way.

GENIO String Types
3D | Import these, and use them with other data to form a surface. They do not import as alignments, and cannot be converted into alignments.
6D | Import these, and convert them into alignments using the steps below.
12D | Import these. They are automatically converted into alignments that appear in graphic views and the Project Explorer.

To create an alignment from a 6D string:

  1. Import a GENIO 6D string.
  2. In a graphic view, pick the string.
  3. Select Corridor > Create Alignment From a GENIO 6D String.

    The alignment is created. It appears in graphic views (coincident with the original string) and in the Project Explorer.

    Note: After you convert a GENIO 6D string into an alignment, check the results thoroughly.

Related topics

Create an Alignment

Import GENIO Files


Run an Alignment Geometry Report

Generate an Alignment Geometry Report to see a simple summary or detailed listing of the geometry of an alignment in your project. You can choose to report on just the horizontal component or both the horizontal and vertical components of alignments. If you have specified station equations, they will be reported as well.

To run an Alignment Geometry Report:

  1. Select Reports > Alignment Geometry Report. The Alignment Geometry Report command pane displays.
  2. Select an alignment in the Alignment list.
  3. Click OK. The Alignment Geometry Report displays in your default Web browser.

To customize the report:

  1. Do one of the following:
    • Click the [image] icon on the Alignment Geometry Report command pane's toolbar.
    • Select Reports > Report Options.

    The Report Options command pane displays.

  2. Select Alignment Geometry Report in the list.
  3. Expand sections and specify output settings in the Settings group as needed.
  4. Click Apply if you want to customize additional reports, or OK to close the command pane.

    Tip: You can also change the abbreviations used for horizontal and vertical alignment classifications in the Alignment Geometry Report. Select Project > Project Settings, and click Abbreviations in the left pane. Edit any of the abbreviations in the right column and click OK. Rerun the report to see your changes.

Related topics

Create an Alignment

Customize and Run a Report


Understanding Superelevations

"Superelevation" is the banking of a road along a horizontal curve so motorists can safely and comfortably maneuver the curve at reasonable speeds. As speeds increase and horizontal curves become tighter, a steeper superelevation rate is required.

A superelevated section of a road includes two transition sections on approach, and the same two transition sections in reverse order on departure:

  • On approach:
    • Tangent runout - The length of the road needed to transition from the normal crown (1) section to the point at which the outside lane has zero (flat) cross slope (2 below).
    • Superelevation runoff - The length of the road needed to transition from a zero (flat) cross slope for the outside lane (2 below), to the crown being removed (3), and, finally, to full superelevation (4 below).
  • On departure:
    • Superelevation runoff - The length of the road needed to transition from full superelevation (4 below), to the crown being re-added (3),and, finally, to a zero (flat) cross slope for the outside lane (2).
    • Tangent runout - The length of the road needed to transition from the point at which the outside lane has zero (flat) cross slope (2 below) to the normal crown (1) section.

    cg_corridor super 2

When you superelevate a curve, you specify the cross slope for the normal crown and the maximum slope in the curve. You then specify the length of the runoff and runout sections in the approach to, and departure from, the curve. You also specify the amount of runoff you want to occur in the curve itself. For example, you might specify that 30% of the approach runoff section occurs in the curve, while 70% occurs prior to the curve in the tangent.

If necessary, you can provide rollover parameters to a superelevated curve to ensure that slope differences between segments (for example, a driving lane and a shoulder) are kept to a minimum for safety and comfort.

The following figure shows the components of a typical superelevation transition. The top half of the figure shows the segments in the curve. The bottom half of the figure shows the superelevation profile diagram. This diagram illustrates how the slope changes for the inside (bottom line; negative slope) and outside (top line; positive slope) edges of the road through each station in the curve.

cg_corridor super 01

Key:

1. Begin transition from normal crown | 7. Outside lane full superelevation
2. Adverse crown removed | 8. Normal crown section
3. Begin full superelevation | 9. Tangent runout
4. End full superelevation | 10. Superelevation runoff
5. Adverse crown re-added | 11. Inside lane full superelevation
6. End transition and return to normal crown |

Once a superelevation is created for a horizontal alignment, you can apply it to a corridor template as part of the definition of the corridor.

Related topics

Create and Edit Superelevations

Understanding Corridors

Create Corridor Template Instructions

Create Superelevation Instructions


Create and Edit Superelevations

See Understanding Superelevations for a description of a superelevation and its various transition sections.

Note: Before you create a new superelevation, make sure the alignment on which it is based is accurate and complete. If you change the alignment after creating the superelevation, you will have to recreate or modify the superelevation based on those changes.

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.

To create or edit a superelevation:

  1. Do one of the following to display the alignment for which you want to create or edit a superelevation:
    • In the Project Explorer, right-click the alignment and select Alignment Editor.
    • Select the alignment in the Plan View, right click, and select Alignment Editor in the context menu.
  2. Select the Superelevation tab on the left side of the Alignment Editor.
  3. In the drop-down list in the upper left-hand corner of the Superelevation tab, select the segment you want to superelevate or whose superelevation parameters you want to edit.

    Curves are identified in the list by their station number and radius. If a maximum superelevation has been defined for the curve, that is displayed as well.

  4. To view complete properties for the superelevation, click the Advanced check box. To view minimal properties, do not check the Advanced check box.
    • If you do not click the Advanced check box, you can specify minimal properties for the superelevated segment. This is useful if you are entering superelevation properties from a plan. Complete the fields as described in Basic Superelevation Options.
    • If you click the Advanced check box, you can specify complete runoff and runout properties for the approach to, and departure from, the superelevated segment. This is useful if you are designing the superelevation. Complete the fields as described in Advanced Superelevation Options.

    You can switch between viewing advanced and basic properties by checking or unchecking the Advanced check box. If you enter advanced properties, basic properties are automatically populated based on the values you enter. If you enter basic properties, advanced properties are automatically populated based on the values you enter.

    Click the Superelevation Diagram button located in the upper right-hand corner of the tab to view a diagram of the superelevation as you define parameters for it. For more information, see Superelevation Diagram.

    If necessary, you can click the Clear button to clear values from all of the fields except the Normal cross slope field.

  5. Repeat this procedure as necessary to specify parameters for additional superelevated curves in the alignment.

    You can now apply the superelevation to the corridor as a corridor template instruction. For more information, see Create Corridor Template Instructions.

Related topics

Understanding Superelevations

Basic Superelevation Options

Advanced Superelevation Options

Superelevation Diagram

Understanding Corridors

Create Corridor Template Instructions


Basic Superelevation Options

The following options display on the Superelevation tab in the Alignment Editor when you do not click the Advanced checkbox. You use them to specify parameters for one or more superelevated curves in an alignment. See Create and Edit Superelevations for more information.

Note: In addition to typing values into the fields on the Superelevation tab, you can click in the Plan View to select values.

Note: Click the Superelevation Diagram button located in the upper right-hand corner of the tab to view a diagram of the superelevation as you define parameters for it. For more information, see Superelevation Diagram.

Normal cross slope

Enter the normal cross slope of the road when not in superelevation.

The normal cross slope you specify here is referenced by all of the superelevated curves in the alignment. Any changes you make to this field affect all of the superelevated curves. If you delete the normal cross slope, the superelevation is removed from the alignment.

Note: This normal cross slope value you enter is used in the Superelevation Diagram view. It does not replace the slope value specified in the corridor template instructions.

Maximum superelevation

Enter the maximum rate of superelevation for the curve in terms of percent slope.

Vertical curve length

Enter the length of the parabolic vertical curve that will be applied at each break point in the superelevated curve to smooth the transition. The software also draws these vertical curves in the superelevation diagram at the break points.

Begin superelevation transition

Enter the station at which superelevation transition begins.

Begin maximum superelevation

Enter the station at which maximum superelevation begins.

End maximum superelevation

Enter the station at which maximum superelevation ends .

End superelevation transition

Enter the station at which superelevation transition ends.

Related topics

Understanding Superelevations

Create and Edit Superelevations

Superelevation Diagram

Superelevation Options


Advanced Superelevation Options

The following options display on the Superelevation tab in the Alignment Editor when you click the Advanced checkbox. You use them to specify parameters for one or more superelevated curves in an alignment. See Create and Edit Superelevations for more information.

Note: In addition to typing values into the fields on the Superelevation tab, you can click in the Plan View to select values.

Note: Click the Superelevation Diagram button located in the upper right-hand corner of the tab to view a diagram of the superelevation as you define parameters for it. For more information, see Superelevation Diagram.

Normal cross slope

Enter the normal cross slope of the road when not in superelevation.

The normal cross slope you specify here is referenced by all of the superelevated curves in the alignment. Any changes you make to this field affect all of the superelevated curves. If you delete the normal cross slope, the superelevation is removed from the alignment.

Note: This normal cross slope value you enter is used in the Superelevation Diagram view. It does not replace the slope value specified in the corridor template instructions.

General

Maximum superelevation

Enter the maximum rate of superelevation for the curve in terms of percent slope.

When you select a different field after entering a maximum superelevation value:

  • The start station for the curve is automatically entered in the three Approach Station fields.
  • The end station for the curve is automatically entered in the three Departure Station fields.

This provides a "baseline" superelevation with no transitions as shown in this superelevation diagram:

cg_corridor super diagram no transition

You can now enter different values in the Approach and Departure fields to define superelevation runoffs and tangent runouts for the curve.

Vertical curve length

Enter the length of the parabolic vertical curve that will be applied at each break point in the superelevated curve to smooth the transition. The software also draws these vertical curves in the superelevation diagram at the break points.

Join to previous

Compound maximum

Enter the maximum distance that a compound superelevated curve can be separated from the previous compound superelevated curve and still be considered joined.

If the distance between two compound superelevated curves is equal to or less than this value, the two curves are joined so that appropriate superelevation is maintained throughout the two curves, providing a smooth transition.

Unjoined superelevated curves as shown in the superelevation diagram:

cg_corridor super diagram unjoined

Joined superelevated curves:

cg_corridor super diagram joined

Reverse maximum

Enter the maximum distance that a reverse superelevated curve can be separated from the previous reverse superelevated curve and still be considered joined.

If the distance between two reverse superelevated curves is equal to or less than this value, the two curves are joined so that appropriate superelevation is maintained throughout the two curves, providing a smooth transition.

Approach

Following is an example of the transition from normal crown, to runout, to runoff on approach to a fully superelevated curve:

cg_corridor super diagram approach transition

Runoff % in curve

Do one of the following:

  • In the Runoff % in curve field, enter the percentage of the approaching superelevation runoff length that lies within the curve. The station is automatically calculated based on this percentage and the specified runoff length.
  • In the Runoff % in curve: Station field, enter the station at which the superelevation runoff ends and full superelevation begins. The runoff percentage is automatically calculated based on this station and the specified runoff length.

Runoff length

Do one of the following:

  • In the Runoff length field, enter the runoff transition length on the approach to the curve. The station is automatically calculated based on this length.
  • In the Runoff length: Station field, enter the beginning station of the approach runoff transition. The runoff length is automatically calculated based on this station.

Runout length

Do one of the following:

  • In the Runout length field, enter the tangent runout length approaching the curve. The station is automatically calculated based on this runout length.

Note: The Runout length field is disabled if the Use runoff rate for runout checkbox is checked.

  • In the Runout length: Station field, enter the beginning station of the tangent runout on the approach to the curve. The runout length is automatically calculated based on this station and the station specified for the approach runoff.

Use runoff rate for runout

Do one of the following:

  • Check to specify that the same transition rate that is used for the superelevation runoff also be used for the tangent runout. The software computes the tangent runout length using the transition rate based on the length specified in the approach Runoff length field.
  • Uncheck to specify that the software calculate the tangent runout transition rates from the length specified in the approach Runout length fields.

Note: When the check box is checked, you can enter a station in the approach Runoff % in curve: Station and Runout length: Station fields. The software calculates values for the approach Runoff % in curve, Runout length, and Runoff length: Station fields. Use this feature if the project's superelevation plans give you the stations where the normal crown begins and ends, but do not give an intermediate station location where an adverse crown condition occurs (the outside lane has zero, or flat, cross slope).

Departure

Following is an example of the transition from runoff, to runout, to normal crown on departure from a fully superelevated curve:

cg_corridor super diagram depart transition

Runoff % in curve

Do one of the following:

  • In the Runoff % in curve field, enter the percentage of the departing superelevation runoff length that lies within the curve. The station is automatically calculated based on this percentage and the specified departure runoff length.
  • In the Runoff % in curve: Station field, enter the station at which the full superelevation ends and the superelevation runoff begins. The runoff percentage is is automatically calculated based on this station and the specified departure runoff length.

Runoff length

Do one of the following:

  • In the Runoff length field, enter the runoff transition length on the departure from the curve. The station is automatically calculated based on this length.
  • In the Runoff length: Station field, enter the ending station of the departure runoff transition. The runoff length is automatically calculated based on this station.

Runout length

Do one of the following:

  • In the Runout length field, enter the tangent runout length departing the curve. The station is automatically calculated based on this runout length.

Note: The Runout length field is disabled if the Use runoff rate for runout checkbox is checked.

  • In the Runout length: Station field, enter the ending station of the runout length departing the curve. The departure runout length is automatically calculated based on this station and the station specified for the departure runoff.

Use runoff rate for runout

Do one of the following:

  • Check to specify that the same transition rate that is used for the superelevation runoff also be used for the tangent runout. The software computes the tangent runout length using the transition rate based on the length specified in the departure Runoff length field.
  • Uncheck to specify that the software compute the tangent runout length using the transition rate that it calculates from the length specified in the departure Runoff length fields.

Note: When checked, you can enter a station in the departure Runoff % in curve: Station and Runout length: Station fields. The software will calculate values for the departure Runoff % in curve, Runout length, and Runoff length: Station fields. Use this feature if the project's superelevation plans give you the stations where the normal crown begins and ends, but do not give an intermediate station location where an adverse crown condition occurs (the outside lane has zero, or flat, cross slope).

Related topics

Understanding Superelevations

Create and Edit Superelevations

Superelevation Diagram

Basic Superelevation Options


Create, Edit, and Delete Template Node Names

Use the Manage Template Node Names pane to create names used to identify nodes in corridor cross-section templates (for example, "EP" for "edge of pavement" or "BC" for "back of curb").

Note: You can also enter new template node names when you are creating instructions for templates.

To create, edit, or delete a template node name:

  1. Select Corridor > Manage Template Node Names, or click the Manage Template Node Names icon [image] on the toolbar. The Manage Template Node Names pane displays.
  2. To create a new template node name, click the New button and enter the new name in the list.
  3. To edit an existing template node name, select the name in the list and type your changes.
  4. To delete an existing template node name, select the name and click the Delete button.
  5. When you are done, click the Close button.

Related topics

Understanding Corridors

Workflow for Creating Corridors

Create Corridors

Create Corridor Templates

Create, Edit, and Delete Corridor Material Layers


Create, Edit, and Delete Material Layers

Use the Manage Material Layers pane to specify the available material layers in your project by adding them to the Material layers list. Each material layer can represent a different surface within a corridor. For example, in addition to the default "Finish" layer, you might specify layers for "Base course," "Stabilized subgrade," and "Subgrade."

Each time you create a corridor template instruction, you can select one or more material layers from the Layers list on which the line segment created by that instruction appears.

When creating or editing a corridor, you can specify its "current material layer" by selecting it from the Layers list. This is the layer that will display in the Plan View and 3D View. If you export the corridor, this is the layer used to create the exported corridor surface. The line segments appearing on the current material layer are used to build the corridor surface.

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.

To create, edit, or delete a material layer:

  1. Select Corridor > Manage Material Layers, or click the Manage Material Layers icon i_corridor level manager on the toolbar. The Manage Material Layers pane displays.
  2. To create a new material layer:
    1. Click the New button.
    2. In the new Name field, enter the new layer name.
  3. To edit an existing material layer, select the name in the list and type your changes. Or, use the up and down arrow buttons to move the layer to a new position in the list.
  4. To delete an existing material layer:
    1. In the Material layers list, select the layer you want to delete.
    2. Click the Delete button.
  5. When you are done, click the Close button.

Related topics

Understanding Corridors

Workflow for Creating Corridors

Create Corridors

Create Corridor Templates


Create Corridors

A corridor is a 3D model of a linear structure, such as a road or waterway. The corridor is based on a horizontal and (optionally) vertical alignment and includes templates that define cross-sections throughout its length.

To create a corridor:

  1. Select Corridor > Create Corridor, or click the Create Corridor icon [image] on the toolbar. The Create Corridor command pane displays.
  2. In the Name field, enter a name for the new corridor.
  3. In the Horizontal alignment drop-down list, select the horizontal alignment on which you want to base the new corridor.

    If necessary, select <New...> to create a new alignment. The Create Alignment pane displays. For additional instructions, see Create an Alignment.

    The horizontal alignment you choose defines the centerline and stationing for the corridor.

  4. In the Vertical alignment drop-down list, select the vertical alignment on which you want to base the new corridor. Selecting a vertical alignment is optional.
  5. In the Current material layer list, select the material layer you want to be displayed in the Plan View and 3D View. This is also the layer that will be used to create a corridor surface if you export the corridor. Optionally, select <New...> to display the Manage Material Layers pane to create a new layer. For more information, see Create, Edit, and Delete Material Layers.
  6. Click the +/- button located in the Reference lines section to display the Edit Reference Lines pane, which you use to add reference lines to the corridor. Each reference line you add becomes a node to which you can reference instructions in one or more cross-section templates used to define the corridor.

    For instructions on adding reference lines using the Edit Reference Lines pane, see step 2 in Add and Remove Corridor Reference Lines.

    Note: A reference line can be any linear entity in your project.

  7. In the Reference surfaces list, select the surface(s) you want to reference in the corridor. reference surfaces define existing terrain where the corridor will be located.
  8. When you are done, click the OK button.

    The newly created corridor displays in the Plan View and 3D View and is represented by an object in the Project Explorer.

    You are now ready to create and insert cross-section templates into the new corridor. For instructions, see Create Corridor Templates.

Related topics

Understanding Corridors

Workflow for Creating Corridors

Edit and Delete Corridors

Add and Remove Corridor Reference Lines

Create Corridor Templates

Edit and Delete Corridor Templates

Understanding Corridor Template Instructions

Create Corridor Template Instructions

Edit and Delete Corridor Template Instructions

Densify a Surface


Edit and Delete Corridors

There are two command panes you can use to edit corridor properties:

  • Edit Corridor pane - Use this command pane to edit the corridor name, horizontal and vertical alignment, current material layer, reference lines, and/or reference surface(s).
  • Properties pane - Use this command pane to edit the corridor name, horizontal and vertical alignments, current material layer, surface properties, show/hide-in-views settings, and densification properties.

To edit a corridor using the Edit Corridor pane:

  1. Display the Edit Corridor command pane using one of the following methods:
    • Select Corridor > Edit Corridor.
    • Click the Edit Corridor [image] icon on the toolbar.
    • Right-click the corridor in the Project Explorer and select Edit in the context menu.
    • Select the corridor in Plan View or 3D View, then right-click and select Edit in the context menu.
  2. If necessary, select the corridor you want to edit in the Corridors drop-down list.
  3. Make changes as necessary. For additional instructions, see Create Corridors.
  4. When you are done making changes to the selected corridor, click the Apply button to save your changes.

    If necessary, you can now select a different corridor to edit in the Corridors drop-down list.

  5. When you are done editing corridors, click the Close button.

To edit a corridor using the Properties pane:

  1. Do one of the following:
    • Right-click the corridor in the Project Explorer and select Properties in the context menu.
    • Select the corridor in Plan View or 3D View, then right-click and select Properties in the context menu.
  2. In the Properties pane, make changes as necessary. For additional instructions, see Create Corridors.
  3. When you are done making changes to the selected corridor, click the Close button to close the Properties pane.

To delete a corridor:

Do one of the following:

  • Right-click the corridor in the Project Explorer and select Delete in the context menu.
  • Select the corridor in the Plan View or 3D View, then right-click and select Delete in the context menu.

Related topics

Understanding Corridors

Workflow for Creating Corridors

Create Corridors

Create Corridor Templates

Edit and Delete Corridor Templates

Understanding Corridor Template Instructions

Create Corridor Template Instructions

Edit and Delete Corridor Template Instructions


Add and Remove Corridor Reference Lines

When you are creating or editing a corridor, you can add or remove reference lines used in the corridor. Each of the reference lines in the corridor automatically creates a reference node in one or more cross-section templates used to define the corridor. You can base the location of a new node on a reference line node so that as the reference line offset or slope changes from one station to the next along the corridor, the offset or slope for the instruction node changes accordingly.

Note: A reference line can be any linear entity in your project.

To add reference lines to a corridor:

  1. In the Create Corridor pane or Edit Corridor pane, click the +/- button located in the Reference lines section. The Edit Reference Lines pane displays.

    For instructions on creating or editing a corridor, see Create Corridors or Edit and Delete Corridors.

  2. Click in the Selected lines to add or remove field. Then, in the Plan View, select the lines you want to add as reference lines to the corridor. Click the Options button for additional selection options. Select View > Selection Explorer to see additional information about your selections (see Selection Explorer Options for additional instructions).
  3. Click the Add button. Information about the selected lines is displayed.
  4. When you are done selecting reference lines to add to the corridor, click Close. The number of selected reference lines is displayed in the Create Corridor pane or Edit Corridor pane.

To remove reference lines from a corridor:

  1. In the Create Corridor pane or Edit Corridor pane, click the +/- button located beneath the Reference lines list. The Edit Reference Lines pane displays.
  2. Click in the Selected lines to add or remove field. Then, in the Plan View, select the lines you want to remove from the corridor. Click the Options button for additional selection options. Select View > Selection Explorer to see additional information about your selections (see Selection Explorer Options for additional instructions).
  3. Click the Remove button. Information about the selected lines is displayed.
  4. When you are done selecting reference lines to remove from the corridor, click Close. The number of remaining reference lines is displayed in the Create Corridor pane or Edit Corridor pane.

Related topics

Understanding Corridors

Workflow for Creating Corridors

Create Corridors

Edit and Delete Corridors


Create Corridor Templates

After you have created a corridor as described in Create Corridors, you can create and insert one or more cross-section templates into it. These templates include instructions that define the cross-sections required to build the corridor (for example, the various offsets and slopes for a road).

Each cross-section template you insert defines the corridor from the station where it is inserted until the station where the next template is inserted, or the end of the corridor.

To create and insert a corridor template:

  1. Display the Insert Corridor Template command pane using one of the following methods, as appropriate:
    • Select Corridor > Insert Corridor Template.
    • Click the Insert Corridor Template icon i_corridor template insert on the toolbar.
    • In Project Explorer, right-click the corridor into which you want to insert a template and select Insert Corridor Template in the context menu.
    • In Plan View or 3D View, left-click to select the corridor into which you want to insert a template, then right-click and select Insert Corridor Template in the context menu.
  2. If necessary, in the Corridor drop-down list select the corridor into which you want to insert the template.
  3. In the Begin station field, specify the station ID where you want the template to be inserted by doing one of the following:
    • Type in the station ID.
    • Click in the field and then select the station in the Plan View. Optionally, right-click in the view and select one of the additional options for selecting the station.
  4. In the Options drop-down list, select the appropriate option for the template:
    • New definition - Select this option to insert a new template for which you will specify instructions. Optionally, enter a name for the new template in the Template name field. If you do not enter a template name, the template is referred to in the software by its beginning station ID.
    • Copy definition - Select this option to insert a copy of an existing template. Optionally, enter a name for the new template in the Template name field. If you do not enter a template name, the template is referred to in the software by its beginning station ID. Next, select the template you want to copy in the Copy from template list.

      If necessary, you can edit the instructions for the new template without affecting the template from which it was copied.

    • Reference definition - Select this option to insert a new instance of an existing template. Select the template you want to reference in the Reference template list.

      Any changes that are made to the original version of this template, or to any of its referenced instances, are made to the template for all instances.

  5. In the Template name field, type a name for the new template.
  6. Click the Insert button. The new template is inserted into the corridor at the specified station, and it displays as a new object beneath the corridor in the Project Explorer.

    The Edit Corridor Template command pane displays, allowing you to create instructions for the new template. For additional information, see Create Corridor Template Instructions.

    The new corridor template defaults to layer 0 in your project. It also defaults to using the sampling distance specified in the Project Settings. To change these options, right-click the new template in the Project Explorer and select Properties. Then make your changes in the Properties pane.

Related topics

Understanding Corridors

Workflow for Creating Corridors

Create Corridors

Edit and Delete Corridor Templates

Understanding Corridor Template Instructions

Create Corridor Template Instructions

Edit and Delete Corridor Template Instructions


Edit and Delete Corridor Templates

You can edit the properties for a corridor template, or you can delete the template from the corridor.

Note: To edit or delete instructions contained in a corridor template, see Edit and Delete Corridor Template Instructions.

To edit basic properties for a corridor template:

  1. Do one of the following to display the Properties pane for the corridor template you want to edit:
    • Right-click the template in the Project Explorer and select Properties in the context menu.
    • Select the template in Plan View or 3D View, then right click and select Properties in the context menu.
  2. Change template properties as necessary. For more information, see Create Corridor Templates.

    In the Layer drop-down list, you can select the layer to which you want to associate the template. For more information on layers, see Understanding Layers and View Filters.

    In the Use sampling distance from drop-down list, you can select the appropriate option for the template.

    • Project Settings - Select this option to use the default maximum sampling distance, which is specified in the Project Settings dialog. This distance, which is displayed in the Maximum sampling distance field, is the maximum distance between samplings (automatically generated templates) along an alignment in the corridor. To change the default maximum sampling distance for your project, select Project > Project Settings. In the Project Settings dialog, select Computations > Corridor.
    • This template - Select this option to specify a maximum sampling distance other than the distance specified in the Project Settings dialog. After selecting this option, enter an appropriate distance in the Maximum sampling distance field.
  3. When you are done, click Close.

To delete a template from a corridor:

Do one of the following:

  • Right-click the template in the Project Explorer and select Delete in the context menu.
  • Select the template in the Plan View, then right-click and select Delete in the context menu.

Related topics

Understanding Corridors

Workflow for Creating Corridors

Create Corridors

Create Corridor Templates

Understanding Corridor Template Instructions

Create Corridor Template Instructions

Edit and Delete Corridor Template Instructions


Understanding Corridor Template Instructions

After you have created and inserted a cross-section template into a corridor as described in Create Corridor Templates, you can define instructions that specify what that the template looks like (for example, the various offsets and slopes for a road).

Corridor templates are made up of nodes and instructions. Nodes are used to define the various offsets and slopes in the templates. For example, a simple road corridor might contain three nodes: a centerline based on the alignment (1), a right edge of pavement (2), and a left edge of pavement (3).

cg_corridor template simple 01

The software automatically creates nodes based on the alignment and reference lines in your corridor. For example, node 1 in the figure above was automatically created as the centerline for the corridor based on the corridor's alignment. Using instructions, you can create additional nodes as necessary to define offsets and slopes for other corridor features. For example, node 2 in the figure above was manually created to represent the right edge of the pavement with an offset of 5m and a slope of -2% relative to the centerline. To create a node manually, you define the instructions that specify the node's offset and slope relative to other nodes in the template. For more information, see Corridor Template Node Types.

When you create nodes, you typically associate them with one or more material layers in the corridor (for example the "Finished" layer). If the node is associated with a layer that is designated as the "current material layer" for the corridor, the line segment created by the node displays in the Plan View and 3D View. In addition, the line segment is used to build the corridor surface for exporting.

For instructions on creating and inserting instructions into a corridor template, see Create Corridor Template Instructions.

Related topics

Understanding Corridors

Workflow for Creating Corridors

Create Corridor Templates

Corridor Template Node Types

Create Corridor Template Instructions

Edit and Delete Corridor Template Instructions


Corridor Template Node Types

Corridor templates include three types of nodes. Some are automatically created; others you must create manually. Each node in the template, whether it is automatically or manually created, is numbered in the sequence it was added.

  • Alignment node - This node is automatically created based on the horizontal alignment used for the corridor. The reference alignment node is typically represented by a unique node number and the name of the horizontal alignment (for example,1[CL] in the figure below). You cannot edit the alignment node.
  • Reference line nodes - These nodes are automatically created based on the reference lines attached to the corridor (one reference line node for each reference line) at the station where the template is inserted. You can base the location of an instruction node (see below) on a reference line node so that as the reference line offset or slope changes from one station to the next along the corridor, the offset or slope for the instruction node changes accordingly. A reference line node is represented by a unique node number and the name of the line (for example, 2[line2] in the figure below). You cannot edit a reference line node.
  • Instruction node - These are nodes you create for the corridor template that represent cross-section offsets and slopes in the corridor model at the station(s) where the template is applicable. The instruction node includes instructions that specify the node's offset and slope in relation to other nodes in the template (for example, the alignment node), the name to be used to identify the node type (for example, "EP" for "edge of pavement"), and so on. You can create and edit instructional nodes using the Edit Corridor Template command pane. An instruction node is represented by a unique node number and the corridor code assigned to the node (for example, 4[EP] in the figure below).

cg_corridor template 01

Note: To view and edit options controlling the look of the template on the template view tab, select Project>Project Settings > View > Corridor Template View.

For additional instructions, see Create Corridor Template Instructions.

Related topics

Understanding Corridors

Workflow for Creating Corridors

Create Corridor Templates

Understanding Corridor Template Instructions

Create Corridor Template Instructions

Edit and Delete Corridor Template Instructions


Create Corridor Template Instructions

For an overview of corridor template instructions, see Understanding Corridor Template Instructions.

To create a corridor template instruction:

When you click the Insert button in the Insert Corridor Template command pane to create and insert a new template into a corridor, the Edit Corridor Template command pane automatically displays, allowing you to create instructions for the new template.

To add instructions to an existing corridor template, do one of the following to display the Edit Corridor Template command pane:

  • Right-click the template in the Project Explorer and select Edit.
  • Select the template in Plan View or 3D View, then right click and select Edit in the context menu.

The Edit Corridor Template command pane includes the following sections:

  • The right section of the pane display properties for the instruction.
  • The tabbed template view allows you to see the template in a cross-sectional view as you build or edit it.
  • The Instructions section allows you view all instructions that have been added to the template, and select any of them to view or edit details.

Note: To view and edit options controlling the look of the template view, select Project > Project Settings > View > Corridor Template View.

You can view what the template looks like at each position along the corridor by using the slide control located beneath the Instructions section. When you reach a point in the corridor where the template changes, instructions for the new template are displayed in the Edit Corridor Template command pane.

In addition, you can view instructions for the previous or next template by using the forward and back arrow buttons located beneath the Instructions section.

Depending on the type of instruction you want to create, click one of the following links for additional step-by-step instructions:

  • Offset/Slope instruction - This instruction type defines a node based on the offset and slope relative to one or more other nodes in the template.
  • Offset/Elevation instruction - This instruction type defines a node based on the offset and elevation change relative to one or more other nodes in the template.
  • Slope/Slope instruction - This instruction defines a node based on the intersection of slopes from two other nodes in the template.
  • Side Slope instruction - This instruction type defines a side slope node based on a cut slope (and, optionally, ditch width) and/or a fill slope.
  • Connect Nodes instruction - This instruction type connects two nodes with a line segment.
  • Superelevation instruction - This instruction type applies a predefined superelevation to selected nodes in the template.

Miscellaneous Notes

  • If a corridor includes a template that defines a near vertical or vertical (large or infinite slope) wall, be sure to use an Offset/Elevation instruction in the preceding template. This will ensure that the transition of the nodes connected between templates is based on elevation, not slope. If you use Offset/Slope instructions in the preceding template, you may encounter unexpected results.
  • If you use Trimble Survey Controller or Trimble Access to create a road with multiple templates, it is recommended that you include the same number of nodes on each side of the center line in each template. This ensures correct template transitioning when the data is imported into the software. Any "extra" nodes you need to create (to ensure the same number of nodes are included in each template) can have 0 (zero) offset distances from the nodes to which you want to transition. If this is not done, you will need to create the extra nodes in the software with 0 (zero) offset distances from the nodes to which you want to transition.

Related topics

Understanding Corridors

Workflow for Creating Corridors

Create Corridor Templates

Understanding Corridor Template Instructions

Corridor Template Node Types

Edit and Delete Corridor Template Instructions


Create Offset/Slope Instructions

The Offset/Slope instruction type defines a node based on the offset and slope relative to one or more other nodes in the template. For example, you might create an "edge of pavement" Offset/Slope node that has an offset of 5m at a slope of -2% relative to the alignment node.

Note: Because of the interdependent nature of template nodes, the instructions used to create the nodes must be in the correct sequence in the Instructions list. For example, you must add a node to the template before you can add another node that references that node for its location. The software builds the template step-by-step based on the sequence of the instructions.

To create a new Offset/Slope template instruction:

  1. Display the Edit Corridor Template command pane for the template for which you want to create a new Offset/Slope instruction as described in Create Corridor Template Instructions.
  2. If instructions are displayed in the Instructions list, do the following. Otherwise, proceed to step 3.
    1. In the Instructions list, select the instruction after or before which you want to insert the new instruction.
    2. Click the Add Instruction button located at the top of the Edit Corridor Template command pane.
  3. In the Instruction Type drop-down list, select Offset/Slope.
  4. In the Offset/slope from drop-down list, select the node on which the offset and slope for the new node will be based. Or, select the node in the template view.

    If you select <Previous Node>, the node created by the preceding instruction in the Instructions list is referenced. If there are no preceding instructions in the list, the node automatically created for the horizontal alignment is referenced.

  5. Click the Offset button and select the appropriate offset type for the new node:
    • Offset [image] - Enter the offset distance between the Offset/slope from node and the new node. Include a minus sign to indicate an offset to the left of the Offset/slope from node. Or, click in the Plan View or template view to select the offset distance.
    • Node to node i_corridor node to node - Select the node combination in the drop-down lists that provides the distance you want to use for the offset between the Offset/slope from node and the new node. Or, select the nodes in the template view.

      The order of the nodes you select determines whether the offset is negative (extending to the left of the reference node) or positive (extending to the right of the reference node). If the first node you select is located to the left of the second node you select, the offset for the new node will be positive. If the first node you select is located to the right of the second node you select, the offset for the new node will be negative.

    • Table [image] - Click the More button [image] to display the Edit Table dialog. Then specify the offset between the Offset/slope from node and the new node at each station in the corridor from the current template to the next template (or the end of the corridor).

      You can type the station in the Station field, or you can select it in the Plan View.

      In the Offset field, click the button to select between entering an offset distance or referencing a 2D line for the offset. If you select to enter an offset distance, you can either type in the distance or select it in the Plan View or template view. If you select to reference a 2D line, you can select the line in the Plan View or select the node representing the line in the template view.

    • 2D line i_corridor 2D line - Click in the field next to the Offset button. Then, select the line in the Plan View on which you want to base the offset, or select the node representing the line in the template view. The new node will use the same offset from the Offset/slope from node as does the 2D line.
  6. Click the Slope button and select the appropriate slope type for the new node:
    • Slope percent i_corridor slope percent - Enter the percentage of slope from the Offset/slope from node to the new node. Include a minus sign to indicate a negative slope. Or, select the slope in the Plan View (select two points) or template view.
    • Slope ratio i_corridor slope ratio - Enter the ratio of the slope from the Offset/slope from node to the new node. Or, select the slope ratio in the Plan View (select two points) or template view.
    • Node to node i_corridor node to node - Select the node combination in the drop-down lists that provides the slope you want to use to specify the slope from the Offset/slope from node to the new node. Or, select the nodes in the template view.

      The order of the nodes you select determines whether the slope is negative (sloping down from the reference node) or positive (sloping up from the reference node). If the first node you select is higher than the second node you select, the slope for the new node will be negative. If the first node you select is lower than the second node you select, the slope for the new node will be positive.

    • Table [image] - Click the More button [image] to display the Edit Table dialog. Then specify the slope between the Offset/slope from node and the new node at each station in the corridor from the current template to the next template (or the end of the corridor).

      You can type the station in the Station field, or you can select it in the Plan View. You can type the slope value in the Slope field (include a minus sign to indicate a negative slope), or you can select the slope in the Plan View (select two points) or template view.

  7. In the Name drop-down list, select the name you want to use for the new node. Or, type in a new template node name. Selecting or entering a template node name is optional. For additional information, see Create, Edit, and Delete Template Node Names.
  8. In the Material layers list, check the material layer(s) on which you want the line segment created by the instruction to appear. Selecting a layer is optional. However, if you do not select a layer, no line segment is created. Corridor line segments are displayed in the Plan View and 3D View. If you export the corridor, they are used to create the exported corridor surface. For additional information on material layers, see Create, Edit, and Delete Material Layers.
  9. If you want to specify rollover parameters for the new node, do the following:

    Note: Rollover parameters can be applied to a superelevated curve to ensure that slope differences between segments (for example, a driving lane and a shoulder) are kept to a minimum for safety and comfort at design speed.

    1. Check the Define rollover parameters check box. The Maximum delta field and Minimum delta field display.
    2. In the Maximum delta field, enter a positive number (from 0 through 20) for the maximum slope percent the segment created by the new node can vary from the segment created by the Offset/slope from node. This is typically applicable to the outside lane and shoulder of a superelevated segment.

      The value entered in the Maximum delta field must be the same or greater than the number entered in the Minimum delta field.

      For an example of how this parameter works, see Rollover Parameter Examples.

    3. In the Minimum delta field, enter a number (from -20 through 20) for the minimum slope percent the segment created by the new node can vary from the segment created by the Offset/slope from node. This is typically applicable to the inside lane and shoulder of a superelevated segment.

      A positive number specifies that the slope for the new node will be downward from the slope for the previous node (typical for drainage). A negative number specifies that the slope for the new node will be upward from the slope for the previous node (not typical).

      The value entered in the Minimum delta field must be the same or less than the number entered in the Maximum delta field.

      For an example of how this parameter works, see Rollover Parameter Examples.

  10. Do one of the following:
    • Click the Add After button to insert the new instruction after the selected instruction in the Instructions list.
    • Click the Add Before button to insert the new instruction before the selected instruction in the Instructions list.

      Note: If there are no instructions in the Instructions list, click either button to insert the new instruction as the first instruction in the list.

The new instruction is inserted into the Instruction list. The new node and line segment (if created) are displayed in the template view. The fields are cleared and you can repeat this procedure to create and add more instructions to the template.

Note: Once you have created corridor template instructions for one side of a corridor centerline, you can use the Mirror Instructions command button (located at the top of the Edit Corridor Template pane) to copy them to the other side of the centerline with reversed offsets. This can save you time and help you avoid errors when creating a corridor template. See Mirror Corridor Template Instructions for more information.

Related topics

Understanding Corridors

Workflow for Creating Corridors

Create Corridor Templates

Understanding Corridor Template Instructions

Corridor Template Node Types

Create Corridor Template Instructions

Edit and Delete Corridor Template Instructions


Create Offset/Elevation Instructions

The Offset/Elevation instruction type defines a node based on the offset and elevation change relative to another node in the template. For example, you might create an "edge of pavement" Offset/Elevation node that has an offset of 5m at an elevation change of -40 cm relative to the alignment node.

Note: Because of the interdependent nature of template nodes, the instructions used to create the nodes must be in the correct sequence in the Instructions list. For example, you must add a node to the template before you can add another node that references that node for its location. The software builds the template step-by-step based on the sequence of the instructions.

To create a new Offset/Elevation template instruction:

  1. Display the Edit Corridor Template command pane for the template for which you want to create a new Offset/Elevation instruction as described in Create Corridor Template Instructions.
  2. If instructions are displayed in the Instructions section located beneath the template view, do the following. Otherwise, proceed to step 3.
    1. In the Instructions list, select the instruction after or before which you want to insert the new instruction.
    2. Click the Add Instruction button located at the top of the Edit Corridor Template command pane.
  3. In the Instruction Type drop-down list, select Offset/Elevation.
  4. In the Offset/elevation from drop-down list, select the node on which the offset and elevation for the new node will be based. Or, select the node in the template view.

    If you select <Previous Node>, the node created by the preceding instruction in the Instructions list is referenced. If there are no preceding instructions in the list, the node automatically created for the horizontal alignment is referenced.

  5. Click the Offset button and select the appropriate offset type for the new node:
    • Offset [image] - Enter the offset distance between the Offset/elevation from node and the new node. Include a minus sign to indicate an offset to the left of the Offset/elevation from node. Or, click in the Plan View or template view to select the offset distance.
    • Node to node i_corridor node to node - Select the node combination in the drop-down lists that provides the distance you want to use for the offset between the Offset/elevation from node and the new node. Or, select the nodes in the template view.

      The order of the nodes you select determines whether the offset is negative (extending to the left of the reference node) or positive (extending to the right of the reference node). If the first node you select is located to the left of the second node you select, the offset for the new node will be positive. If the first node you select is located to the right of the second node you select, the offset for the new node will be negative.

    • Table [image] - Click the More button [image] to display the Edit Table dialog. Then specify the offset between the Offset/elevation node and the new node at each station in the corridor from the current template to the next template (or the end of the corridor).

      You can type the station in the Station field, or you can select it in the Plan View.

      In the Offset field, click the button to select between entering an offset distance or referencing a 2D line for the offset. If you select to enter an offset distance, you can either type in the distance or select it in the Plan View or template view. If you select to reference a 2D line, you can select the line in the Plan View or select the node representing the line in the template view.

    • 2D line i_corridor 2D line - Click in the field next to the Offset button. Then, select the line in the Plan View on which you want to base the offset, or select the node representing the line in the template view. The new node will use the same offset from the Offset/elevation from node as does the 2D line.
  6. Click the Elevation button and select the appropriate elevation type for the new node:
    • Delta elevation [image] - Enter the difference between the Offset/elevation from node and the new node. Or, select the distance whose value you want to use for the delta elevation in the Plan View or template view.
    • Elevation [image] - Enter the actual elevation of the new node, select a point in the Plan View whose elevation you want to use, or select an elevation in the template view.
    • Node to node i_corridor node to node - Select the node combination in the drop-down lists that provides the delta elevation you want to use to specify the elevation from the Offset/elevation from node to the new node. Or, select the nodes in the template view.

      The order of the nodes you select determines whether the slope is negative (sloping down from the reference node) or positive (sloping up from the reference node). If the first node you select is higher than the second node you select, the slope for the new node will be negative. If the first node you select is lower than the second node you select, the slope for the new node will be positive.

    • Delta elevation table i_corridor delta table - Click the More [image] button to display the Edit Table dialog. Then specify the difference between the Offset/elevation from node and the new node at each station in the corridor from the current template to the next template (or the end of the corridor).

      You can type the station in the Station field, or you can select it in the Plan View. You can type the delta value in the Delta Elevation field, or select the distance whose value you want to use for the delta elevation in the Plan View or template view.

    • Elevation table [image] - Click the More [image] button to display the Edit Table dialog. Then specify the actual elevation for the new node at each station in the corridor from the current template to the next template (or the end of the corridor).

      You can type the station in the Station field, or you can select it in the Plan View. You can type the elevation in the Elevation field, select a point in the Plan View whose elevation you want to use, or select an elevation in the template view.

  7. In the Name drop-down list, select the name you want to use for the new node. Or, type in a new template node name. Selecting or entering a template node name is optional. For additional information, see Create, Edit, and Delete Template Node Names.
  8. In the Material layers list, check the material layer(s) on which you want the line segment created by the instruction to appear. Selecting a layer is optional. However, if you do not select a layer, no line segment is created. (Corridor line segments are displayed in the Plan View and 3D View. If you export the corridor, they are used to create the exported corridor surface.) For additional information on material layers, see Create, Edit, and Delete Material Layers.
  9. If you want to specify rollover parameters for the new node, do the following:

    Note: Rollover parameters can be applied to a superelevated curve to ensure that slope differences between segments (for example, a driving lane and a shoulder) are kept to a minimum for safety and comfort at design speed.

    1. Check the Define rollover parameters check box. The Maximum delta field and Minimum delta field display.
    2. In the Maximum delta field, enter a positive number (from 0 through 20) for the maximum slope percent the segment created by the new node can vary from the segment created by the Offset/elevation from node. This is typically applicable to the outside lane and shoulder of a superelevated segment.

      The value entered in the Maximum delta field must be the same or greater than the number entered in the Minimum delta field.

      For an example of how this parameter works, see Rollover Parameter Examples.

    3. In the Minimum delta field, enter a number (from -20 through 20) for the minimum slope percent the segment created by the new node can vary from the segment created by the Offset/elevation from node. This is typically applicable to the inside lane and shoulder of a superelevated segment.

      A positive number specifies that the slope for the new node will be downward from the slope for the previous node (typical for drainage). A negative number specifies that the slope for the new node will be upward from the slope for the previous node (not typical).

      The value entered in the Minimum delta field must be the same or less than the number entered in the Maximum delta field.

      For an example of how this parameter works, see Rollover Parameter Examples.

  10. Do one of the following:
    • Click the Add After button to insert the new instruction after the selected instruction in the Instructions list.
    • Click the Add Before button to insert the new instruction before the selected instruction in the Instructions list.

      Note: If there are no instructions in the Instructions list, click either button to insert the new instruction as the first instruction in the list.

The new instruction is inserted into the Instruction list. The new node and line segment (if created) are displayed in the template view. The fields are cleared and you can repeat this procedure to create and add more instructions to the template.

Note: Once you have created corridor template instructions for one side of a corridor centerline, you can use the Mirror Instructions command button (located at the top of the Edit Corridor Template pane) to copy them to the other side of the centerline with reversed offsets. This can save you time and help you avoid errors when creating a corridor template. See Mirror Corridor Template Instructions for more information.

Related topics

Understanding Corridors

Workflow for Creating Corridors

Create Corridor Templates

Understanding Corridor Template Instructions

Corridor Template Node Types

Create Corridor Template Instructions

Edit and Delete Corridor Template Instructions


Rollover Parameter Examples

Rollover parameters can be applied to a road to ensure that slope differences between segments (for example, a driving lane and a shoulder in a superelevated curve ) are kept to a minimum for safety and comfort at design speed.

You can apply rollover parameters to an Offset/Slope or Offset/Elevation corridor template instruction, as described in Create Offset/Slope Instructions and Create Offset/Elevation Instructions . Following are examples of how the parameters work.

Maximum delta example

In this example, the segment for the Offset/slope from node (representing the edge of the pavement for the outside lane of the curve) starts with a normal crown slope of -2% and transitions to a maximum superelevation slope of +5%. The segment for the new slope (representing the shoulder of the outside lane of the curve), has a specified slope of -3%. If you enter a value of 3% in Maximum delta field, at the point that the segment for the Offset/slope from node reaches a slope of 0% (flat) as it transitions through the superelevated curve, the slope for the segment for the new node will start to be adjusted by the amount necessary to ensure the slope difference between the two segments does not exceed 3%. When the segment for the Offset/slope from node reaches full superelevation at +5% slope, the segment for the new node will be adjusted to +2% slope (the difference is the maximum allowed 3%).

Prior to superelevation:

Full superelevation without rollover parameters:

Full superelevation with rollover parameters (Maximum delta = 3%):

Minimum delta example

In this example, the segment for the Offset/slope from node (representing the edge of the pavement for the inside lane of the curve) starts with a slope of -2% and transitions to a maximum superelevation slope of -5%. The segment for the new slope (representing the shoulder of the inside land of the curve), has a specified slope of -3%. If you enter a value of 1% in the Minimum delta field, at the point that the segment for the Offset/slope from node reaches a slope of -3% as it transitions through the superelevated curve, the slope for the segment for the new node will be adjusted from -3% to -4% to ensure the difference between the two slopes is not less than 1%. When the segment for the Offset/slope from node reaches full superelevation at -5% slope, the segment for the new node will be adjusted to -6% slope (the difference is the minimum allowed 1%).

Prior to superelevation:

Full superelevation without rollover parameters:

Full superelevation with rollover parameters (Minimum delta = 1%):

Related topics

Understanding Superelevations

Create and Edit Superelevations

Understanding Corridors

Create Corridor Template Instructions

Create Offset/Slope Instructions

Create Offset/Elevation Instructions


Create Slope/Slope Instructions

The Slope/Slope instruction type defines a node based on the intersection of slopes from two other nodes in the template.

Note: Because of the interdependent nature of template nodes, the instructions used to create the nodes must be in the correct sequence in the Instructions list. For example, you must add a node to the template before you can add another node that references that node for its location. The software builds the template step-by-step based on the sequence of the instructions.

To create a new Slope/Slope template instruction:

  1. Display the Edit Corridor Template command pane for the template for which you want to create a new Offset/Slope instruction as described in Create Corridor Template Instructions.
  2. If instructions are displayed in the Instructions list, do the following. Otherwise, proceed to step 3.
    1. In the Instructions list, select the instruction after or before which you want to insert the new instruction.
    2. Click the Add Instruction button located at the top of the Edit Corridor Template command pane.
  3. In the Instruction Type drop-down list, select Slope/Slope.
  4. In the First slope node drop-down list, select the node for which you want to define the first slope for the slope intersection. Or, select the node in the template view.

    The line segment for the new node will connect to this node.

  5. In the First slope field, enter the percentage of slope you want to use for the First slope node.

    A negative number indicates the slope will be downward from the node to an increasing offset from the centerline, and upward from the node to a decreasing offset.

    A positive number indicates the slope will be upward from the node to an increasing offset from the centerline, and downward from the node to a decreasing offset.

  6. In the Second slope node drop-down list, select the node for which you want to define the second slope for the slope intersection. Or, select the node in the template view.
  7. In the Second slope field, enter the percentage of slope you want to use for the Second slope node.

    The the new node will be created at the intersection of the two slopes

    A line segment will be created to connect the new node with the node selected in the First slope node drop-down list. If you need to create a line segment to connect the new node with the node selected in the Second slope node drop-down list, use a Connect Nodes instruction.

  8. In the Name drop-down list, select the name you want to use for the new node. Or, type in a new template node name. Selecting or entering a template node name is optional. For additional information, see Create, Edit, and Delete Template Node Names.
  9. In the Material layers list, check the material layer(s) on which you want the line segment created by the instruction to appear.

    Selecting a layer is optional. However, if you do not select a layer, no line segment is created. Corridor line segments are displayed in the Plan View and 3D View. If you export the corridor, they are used to create the exported corridor surface. For additional information on material layers, see Create, Edit, and Delete Material Layers.

  10. Do one of the following:
    • Click the Add After button to insert the new instruction after the selected instruction in the Instructions list.
    • Click the Add Before button to insert the new instruction before the selected instruction in the Instructions list.

      Note: If there are no instructions in the Instructions list, click either button to insert the new instruction as the first instruction in the list.

The new instruction is inserted into the Instruction list. The new line segment (if created) is displayed in the template view. The fields are cleared and you can repeat this procedure to create and add more instructions to the template.

Note: Once you have created corridor template instructions for one side of a corridor centerline, you can use the Mirror Instructions command button (located at the top of the Edit Corridor Template pane) to copy them to the other side of the centerline with reversed offsets. This can save you time and help you avoid errors when creating a corridor template. See Mirror Corridor Template Instructions for more information.

Related topics

Understanding Corridors

Workflow for Creating Corridors

Create Corridor Templates

Understanding Corridor Template Instructions

Corridor Template Node Types

Create Corridor Template Instructions

Edit and Delete Corridor Template Instructions


Create Side Slope Instructions

The Side Slope Node instruction type defines a side slope node based on either or both of the following:

  • Cut slope and, optionally, a ditch width
  • Fill slope

The side slope node specifies the cut or fill slope intercept with a target surface. For example, the instruction might specify that a node be created that is located at a slope of 2% from the edge of a roadway drainage ditch at the intercept point with the surface, indicating where the surface needs to be cut.

Note: Because of the interdependent nature of template nodes, the instructions used to create the nodes must be in the correct sequence in the Instructions list. For example, you must add a node to the template before you can add another node that references that node for its location. The software builds the template step-by-step based on the sequence of the instructions.

To create a new Side Slope template instruction:

  1. Display the Edit Corridor Template command pane for the template for which you want to create a new Side Slope instruction as described in Create Corridor Template Instructions.
  2. If instructions are displayed in the Instructions section located beneath the template view, do the following. Otherwise, proceed to step 3.
    1. In the Instructions list, select the instruction after or before which you want to insert the new instruction.
    2. Click the Add Instruction button located at the top of the Edit Corridor Template command pane.
  3. In the Instruction Type drop-down list, select Side Slope.
  4. In the Side slope from drop-down list, select the node on which the slope (or ditch width; see step 7) for the new node will be based.

    If you select <Previous Node>, the node created by the preceding instruction in the Instructions list is referenced. If there are no preceding instructions in the list, the node automatically created for the horizontal alignment is referenced.

  5. Select a target surface by doing one of the following:
    • Select the surface in the Target surface drop-down list.
    • Click in the Target surface field and select the target surface in the template view or Plan View.
  6. If you want to specify a cut slope based on your surface, click the Cut slope button and select the appropriate cut slope type:
    • Slope percent i_corridor slope percent - Enter the percentage of slope from the Side slope from node (or the outer edge of a ditch if one is specified; see step 7) to the new node. Include a minus sign to indicate a negative slope. Or, select the slope in the Plan View (select two points) or template view.
    • Slope ratio i_corridor slope ratio - Enter the ratio of the slope from the Side slope from node (or the outer edge of a ditch if one is specified; see step 7) to the new node. Or, select the slope ratio in the Plan View (select two points) or template view.
    • Node to node i_corridor node to node - Select the node combination in the drop-down lists that provides the slope you want to use to specify the slope from the Side slope from node (or the outer edge of a ditch if one is specified; see step 7) to the new node. Or, select the nodes in the template view.
    • Table [image] - Click the More button [image] to display the Edit Table dialog. Then specify the slope between the Side slope from node (or the outer edge of a ditch if one is specified; see step 7) and the new node at each station in the corridor from the current template to the next template (or the end of the corridor).

      You can type the station in the Station field, or you can select it in the Plan View. You can type the slope value in the Slope field (include a minus sign to indicate a negative slope), or you can select the slope in the Plan View (select two points) or template view.

  7. If you want to include a drainage ditch in your side slope, in the Cut ditch width field enter the width for the ditch. The cut slope will be calculated based on the outer edge of the ditch. This field is available only if you enter a Cut slope value.
  8. If you want to specify a fill slope based on your surface, click the Fill slope button and select the appropriate fill slope type. See step 6 for options.
  9. In the Name drop-down list, select the name you want to use for the new node. Or, type in a new template node name. Selecting or entering a template node name is optional. For additional information, see Create, Edit, and Delete Template Node Names.
  10. In the Material layers list, check the material layer(s) on which you want the line segment(s) created by the instruction to appear. Selecting a layer is optional. However, if you do not select a layer, no line segment is created. (Corridor line segments are displayed in the Plan View and 3D View. If you export the corridor, they are used to create the exported corridor surface.) For additional information on material layers, see Create, Edit, and Delete Material Layers.
  11. Do one of the following:
    • Click the Add After button to insert the new instruction after the selected instruction in the Instructions list.
    • Click the Add Before button to insert the new instruction before the selected instruction in the Instructions list.

      Note: If there are no instructions in the Instructions list, click either button to insert the new instruction as the first instruction in the list.

The new instruction is inserted into the Instruction list. The new node and line segment are displayed in the template view. The fields are cleared and you can repeat this procedure to create and add more instructions to the template.

Note: Once you have created corridor template instructions for one side of a corridor centerline, you can use the Mirror Instructions command button (located at the top of the Edit Corridor Template pane) to copy them to the other side of the centerline with reversed offsets. This can save you time and help you avoid errors when creating a corridor template. See Mirror Corridor Template Instructions for more information.

Related topics

Understanding Corridors

Workflow for Creating Corridors

Create Corridor Templates

Understanding Corridor Template Instructions

Corridor Template Node Types

Create Corridor Template Instructions

Edit and Delete Corridor Template Instructions


Create Connect Nodes Instructions

The Connect Nodes instruction defines a line segment between two nodes in a template.

To create a new Connect Nodes template instruction:

  1. Display the Edit Corridor Template command pane for the template for which you want to create a new Connect Nodes instruction as described in Create Corridor Template Instructions.
  2. If instructions are displayed in the Instructions list, do the following. Otherwise, proceed to step 3.
    1. In the Instructions list, select the instruction after or before which you want to insert the new instruction.
    2. Click the Add Instruction button located at the top of the Edit Corridor Template command pane.
  3. In the Instruction Type drop-down list, select Connect Nodes.
  4. In the From node drop-down list, select the node at which you want the new line segment to start. Or, select the node in the template view.
  5. In the To node drop-down list, select the node at which you want the new line segment to end. Or, select the node in the template view.
  6. In the Material layers list, check the material layer(s) on which you want the line segment created by the instruction to appear. Selecting a layer is optional. However, if you do not select a layer, no line segment is created. Corridor line segments are displayed in the Plan View and 3D View. If you export the corridor, they are used to create the exported corridor surface. For additional information on material layers, see Create, Edit, and Delete Material Layers.
  7. Do one of the following:
    • Click the Add After button to insert the new instruction after the selected instruction in the Instructions list.
    • Click the Add Before button to insert the new instruction before the selected instruction in the Instructions list.

      Note: If there are no instructions in the Instructions list, click either button to insert the new instruction as the first instruction in the list.

The new instruction is inserted into the Instruction list. The new line segment (if created) is displayed in the template view. The fields are cleared and you can repeat this procedure to create and add more instructions to the template.

Note: Once you have created corridor template instructions for one side of a corridor centerline, you can use the Mirror Instructions command button (located at the top of the Edit Corridor Template pane) to copy them to the other side of the centerline with reversed offsets. This can save you time and help you avoid errors when creating a corridor template. See Mirror Corridor Template Instructions for more information.

Related topics

Understanding Corridors

Workflow for Creating Corridors

Create Corridor Templates

Understanding Corridor Template Instructions

Corridor Template Node Types

Create Corridor Template Instructions

Edit and Delete Corridor Template Instructions


Create Superelevation Instructions

The Superelevation instruction type applies a predefined superelevation to selected nodes in a corridor template. "Superelevation" is the banking of a road along a horizontal curve so motorists can safely and comfortably maneuver the curve at reasonable speeds. For more information, see Understanding Superelevations.

Before you can create a Superelevation instruction, you must create a superelevation for the associated horizontal alignment. For instructions, see Create and Edit Superelevations.

To create a new Superelevation template instruction:

  1. Display the Edit Corridor Template command pane for the template for which you want to create a new Superelevation instruction as described in Create Corridor Template Instructions.
  2. If instructions are displayed in the Instructions list, do the following. Otherwise, proceed to step 3.
    1. In the Instructions list, select the instruction after or before which you want to insert the new instruction.
    2. Click the Add Instruction button located at the top of the Edit Corridor Template command pane.
  3. In the Instruction Type drop-down list, select Superelevation.
  4. In the Crown node drop-down list, select the node that represents the crown for the pavement and from which you want superelevated slopes to be calculated. Or, select the crown node in the template view.

    This would typically be the centerline node for an undivided highway. However, if you are working with a divided highway as shown in the following example, calculating superelevated slopes from the centerline node will provided unexpected results. Instead, you should calculate slopes from the crown node for each direction of the highway. For example, if you are applying superelevation to nodes 2, 3, and 4 in the following corridor template, you would select node 2 to be the crown node.

  5. In the Pivot node drop-down list, select the node about which you want the superelevation to pivot. Or, select the node in the template view.

    This would typically be the centerline node or one of the edge-of-pavement nodes. You can also select <Inside Node> or <Outside Node> if the superelevation is being applied to a reverse curve. This would cause the superelevation to pivot around the inner- or outer-most node in the Superelevation nodes list.

  6. Do one or both of the following to select the nodes to which the superelevation will be applied:
    • Select a node in the Select node drop-down list and click the Add button to add your selection to the Selected nodes list. Repeat as necessary to add more nodes to the list.
    • Click in the Select node drop-down list to highlight it. Then, in the template view, select the node you want to add to the Selected nodes list. Repeat as necessary to add more nodes to the list.

      Note: The node you selected in the Pivot node drop-down list is automatically added to the Selected nodes list.

      Note: To avoid unexpected results, you should insert a superelevation instruction in the Instructions list immediately following the nodes selected to be superelevated.

  7. Do one of the following:
    • Click the Add After button to insert the new instruction after the selected instruction in the Instructions list.
    • Click the Add Before button to insert the new instruction before the selected instruction in the Instructions list.

      Note: If there are no instructions in the Instructions list, click either button to insert the new instruction as the first instruction in the list.

The new instruction is inserted into the Instruction list. Any changes to the template are displayed in the template view. The fields are cleared and you can repeat this procedure to create and add more instructions to the template.

Related topics

Understanding Corridors

Understanding Superelevations

Workflow for Creating Corridors

Create Corridor Templates

Understanding Corridor Template Instructions

Corridor Template Node Types

Create Corridor Template Instructions

Edit and Delete Corridor Template Instructions

Create and Edit Superelevations


Mirror Corridor Template Instructions

Once you have created corridor template instructions for one side of a corridor centerline, you can click the Mirror Instructions button [image] (located at the top of the Edit Corridor Template pane) to copy them to the other side of the centerline with reversed offsets. This can save you time and help you avoid errors when creating a corridor template.

Say, for example, you've create two instructions for the right side of the centerline. The first instruction creates a node that is offset 4m to the right of the centerline with a slope of -2%. The second instruction creates a node that is offset 2m to the right of the first node with a slope of -3%.

If you click the Mirror Instructions button, two instructions will be added to the left side of the centerline. The first instruction creates a node that is offset 4m to the left of the centerline with a slope of -2%. The second instruction creates a node that is offset 2m to the left of the first node with a slope of -3%. This left side of the centerline now mirrors the right side.

The Mirror Instructions command will not work if either of the following conditions exists:

  • You have created nodes on both sides of the centerline.
  • The template includes a node based on a reference line.

If a Superelevation instruction is included in your template, it is ignored when you click the Mirror Instructions button.

Related topics

Create Corridor Template Instructions

Edit and Delete Corridor Template Instructions


Edit and Delete Corridor Template Instructions

Note: Because of the interdependent nature of template nodes, the instructions used to create the nodes must be in the correct sequence in the Instruction list. For example, you must add a node to the template before you can add another node that references that node for its location. The software builds the template step-by-step based on the sequence of the instructions.

To edit an existing template instruction:

  1. Do one of the following to display the Edit Corridor Template command pane for the template containing the instructions you want to edit:
    • Right-click the template in the Project Explorer and select Edit in the context menu.
    • Select the template in Plan View or 3D View, then right click and select Edit in the context menu.
  2. In the Instructions list, select the instruction you want to edit. Properties for the selected instruction display.

    Note: if you have just added a new instruction to the template and you now want to edit an existing instruction, you can double-click the existing instruction to display its properties in edit mode.

  3. Make changes to the instruction properties as necessary. See the appropriate "create instruction" topic for more information:
    • Create Offset/Slope Instructions
    • Create Offset/Elevation Instructions
    • Create Slope/Slope Instructions
    • Create Side/Slope Instructions
    • Create Connect Nodes Instructions
    • Create Superelevation Instructions
  4. Optionally, click and drag the instruction to a new location in the Instruction list.

    Note: Because of the interdependent nature of template nodes, you may not be able to move some instructions in your list.

  5. When you are done, click the Save button.

To delete an existing template instruction:

  1. Do one of the following to display the Edit Corridor Template command pane for the template containing the instructions you want to delete:
    • Right-click the template in the Project Explorer and select Edit in the context menu.
    • Select the template in Plan View or 3D View, then right click and select Edit in the context menu.
  2. In the Instructions list, right-click the instruction you want to delete and select Delete.
  3. When you are done, click the Save button.

Note: When you delete an instruction that creates a node on which one or more subsequent nodes are dependent (for example, a subsequent node is offset from the node you want to delete), the dependent instructions remain in the list. However, they are renumbered and are displayed with a strikethrough. This allows you to edit the dependent instructions or add new nodes to the template that will make the dependent instructions valid.

Related topics

Understanding Corridors

Workflow for Creating Corridors

Create Corridor Templates

Understanding Corridor Template Instructions

Corridor Template Node Types

Create Corridor Template Instructions


Run a Corridor Definition Report

Run a Corridor Definition Report to see the properties of a corridor, including horizontal/vertical geometry, template, and superelevation (if applicable) information.

To run a Corridor Definition Report:

  1. Do one of the following:
    • Select Reports > Corridor Definition Report and click OK.
    • Click the Corridor Definition Report icon [image] on the toolbar.

    The Corridor Definition Report command pane displays.

    Note: Only ten reports can appear on the Reports menu. To control which reports appear, select Reports > Report Options, and set the Show on reports menu property in the Settings group. If the property is set to Yes for more than ten reports, the first ten (in alphabetic order) will show on the menu. Any report that does not appear on the menu can always be run from the Report Options pane by selecting it and clicking the [image] icon at the top of the pane.

  1. Select the corridor for which you want to run a report.
  2. Click OK.

    The report displays on a new tab.

Related topics

Customize and Run a Report

Create Corridors


Work with Feature Data

In This Chapter

Understanding Feature Data

Workflow for Processing Feature Codes

Import Feature Definition (.fxl) Files

Feature Code Processing Settings

Enter, Edit, and Delete Feature Code Strings

Process Feature Codes

Remove Feature Processing Results

Rules for Importing Multiple Observations with Different Feature Codes

Rules for Multiple Feature Codes Assigned to a Point

Rules for Merging Feature Attributes

View and Edit Point Feature Properties

View and Edit Linestring Feature Properties

Export Geodatabase Files (.xml)

Export ESRI Shapefiles (.shp/.shx/.dbf/.prj)

Export CAD Files (.dxf/.dwg)

Feature Definition Manager


Understanding Feature Data

Features represent real-world objects such as trees, fences, pipelines, signs, and utility poles. When a surveyor observes a feature in the field, he can make a record of it that includes the type of feature (for example, a tree), along with its location and any associated attributes (for example, the height of the tree and a photo). He does this by selecting from a library of predefined feature codes imported from a Feature Definition (.fxl) file, and supplying attribute values as required. The feature codes, along with any associated photos and attribute values, can then be imported into a project in Trimble Business Center and processed using the same feature definitions.

Note: For more information on feature codes strings, see Enter, Edit, and Delete Feature Code Strings.

Trimble Business Center supports the following basic feature types:

  • A point feature is used to identify a single feature, such as tree or utility pole. Each point feature is assigned to a point, which specifies its location. After a point feature code is processed in Trimble Business Center, the resulting feature is typically represented by a specific symbol displayed on top of the point in the various graphic views. If the feature includes a photo or other media file attribute, a Media Folder icon i_media folder in graphic view is also displayed. You can view and edit attribute values and media files assigned to the point feature by opening the Properties pane for the point to which it is assigned. If you delete a point to which a feature is assigned, the feature is deleted as well (that is, its symbol no longer displays in the Plan View).

    For more information on point features, see View and Edit Point Feature Properties.

    Note: Typically, a single feature is assigned to a point. However, it is possible to assign multiple features to a point either in the field or in the office. For more information, seeRules for Importing Multiple Observations with Different Feature Codes and Rules for Multiple Feature Codes Assigned to a Point.

  • A line feature is made up of two or more points that define a line, such as a fence or curb. When a line feature is processed in Trimble Business Center, it is converted to a feature linestring that can be easily edited using the Edit Linestring command. If offset lines are specified for the line feature, additional linestrings are created. The line style used for the linestring is determined by the feature definition used to define the line feature. If the line feature includes a photo or other media file attribute, a Media Folder icon i_media folder in graphic view is displayed with the resulting linestring. You can view and edit attribute values and media files assigned to the line feature by opening the Properties pane for the linestring. For more information, see View and Edit Linestring Feature Properties.

    Before processing line features, you can specify whether (1) a new linestring is created for each segment where a node's attribute value differs from the preceding node or (2) a single linestring is created for all of the nodes that were used to define the line feature, even if one or more of them had different attribute values. See Feature Processing Settings for instructions.

    For more information on line features, see View and Edit a Linestring's Feature Properties.

Note: In addition to accessing media file attributes from the Properties pane for a point feature or feature linestring, you can open the media folder attached to the point or linestring to access all media files assigned to it, whether they were assigned as feature attributes or assigned some other way. For instructions, see Open Media Files.

After feature codes are processed in the project, the feature data can be exported to CAD systems the and geographic information systems (GIS).

Feature code types and attributes are defined and managed in the Feature Definition Manager application (select Tools > Feature Definition Manager), which allows you to create and edit a Feature Definition (.fxl) file that can be loaded on a field device (see Feature Definition Manager). This same Feature Definition (.fxl) file is then used by the software for feature processing after the feature codes have been imported (see Feature Code Processing Settings and Import Feature Definition (.fxl) Files).

Related topics

Workflow for Feature Data

Import Feature Definition (.fxl) Files

Feature Code Processing Settings

Enter, Edit, and Delete Feature Code Strings

Rules for Importing Multiple Observations with Different Feature Codes

Rules for Multiple Feature Codes Assigned to a Point

Rules for Merging Feature Attributes

Process Feature Codes

Remove Feature Code Processing Results

View and Edit Point Feature Properties

View and Edit Linestring Feature Properties

Feature Definition Manager


Workflow for Processing Feature Codes

To process feature codes in your project, follow these steps:

  1. Import feature definitions into your project's Feature Definition Library as described in Import Feature Definition (.fxl) Files. These feature definitions will be used to process the feature codes.
  2. Import the files containing points and feature data (including feature codes, attribute values, and media files) into your project.
  3. If necessary, make changes to any feature codes prior to processing as described in Enter, Edit, and Delete Feature Code Strings.
  4. Process the feature codes as described in Process Feature Codes.
  5. View point feature symbols and feature linestrings in any of the graphic views and Properties pane as described in View and Edit Point Feature Properties and View and Edit Linestring Feature Properties.

    If necessary, use the View Filter Manager to hide other data in the graphic view to better see the feature symbols.

  6. Optionally, export the processed feature data for use in a CAD package (see Export CAD Files (.dwg/.dxf)) or geographic information system (GIS) (see Export Geodatabase Files (.xml) and Export Shape Files).

Related topics

Understanding Feature Data

Import Feature Definition (.fxl) Files

Feature Code Processing Settings

Enter, Edit, and Delete Feature Code Strings

Process Feature Codes

Remove Feature Code Processing Results

View and Edit Point Feature Properties

View and Edit Linestring Feature Properties

Feature Definition Manager


Enter, Edit, and Delete Feature Code Strings

A feature code string is a sequence of alphanumeric characters that specify the feature type and, optionally, other useful information about a feature. Surveyors assign feature codes to points in the field by selecting from a library of predefined codes imported from a Feature Definition (.fxl) file. The codes can then be imported into Trimble Business Center and processed using feature definitions imported from the same Feature Definition (.fxl) file.

If feature codes have not yet been processed in a project, each code is displayed in the Feature code field in the Properties pane for the point to which it is assigned. You can click the [image] icon in the Feature code field to display the Feature Code Editor dialog, which allows you to view and edit the feature code and any assigned attributes, including photos and other types of media files.

Note: If a feature code is entered for which there is no corresponding code in the project's Feature Definition Library, the feature code string will display in the Feature code field, but it will be ignored during feature code processing. Feature codes that could not be processed are reported in the Feature Code Processing Report.

To enter or edit a feature code string:

Note: You cannot enter and edit feature code strings if the feature codes have already been processed in your project; the Feature code field is read-only. You must first clear the feature code processing results by selecting the Remove Processing button in the Process Feature Codes pane.

  1. If you have not done so already, import the appropriate feature definitions into the Feature Definition Library in your project as described in Import Feature Definition (.fxl) Files.

    To ensure feature codes are processed correctly, you should import feature definitions from the same Feature Definition (.fxl) file that was used in the field to record the data.

  2. Right-click the point with which you want to work, and select Properties.

    The Properties pane displays. If a feature code string has been assigned to the point you selected, it is displayed in the Feature Code field. Feature codes are also visible and editable in the Point Spreadsheet and are visible in the Occupation Spreadsheet.

    If you select multiple points before selecting Properties, the value in the Feature Code field may be *Varies*, indicating that different codes are assigned to the selected points. Any changes you make to the code affect all of the selected points.

  3. Click the [image] icon in the Feature code field to display the Feature Code Editor dialog.

    Optionally, you can directly edit the feature code string in the Feature code field without opening the Feature Code Editor dialog. However, to avoid errors it is recommended that you use the Feature Code Editor dialog.

    The list in the right side of the Feature Code Editor dialog includes all of the feature codes that were imported into the project's Feature Definition Library. Note that you can sort the list based on any of the column headings. In addition, you can select one of the built-in Category filters (click [image]) to show only the codes in a specific category.

    When you select a code in the list and click the Add Code button, the code is added to the Feature code field. Any attributes assigned to the feature code are displayed beneath the Feature code field.

  4. To delete a feature code string assigned to the selected point, delete it from the Feature code field.

    If necessary, be sure to also delete any characters appended to the code, such as descriptions, line instance identifiers, and line control codes (see below).

  5. To assign or edit a feature code string for the selected point, do the following:
    1. In the Codes list, select a feature code (for example, "fence") and click Add Code.

      The feature code is displayed in the Feature code field. If there are other codes already in the field, the new code is added to the right of the other code(s).

      Note: If more than one feature code is assigned to a point, after processing, only the point feature represented by the first code displayed in the Feature code field is displayed in the Properties pane for the point. This is referred to as the "primary feature" for the point. Processing causes each additional feature code to create a point feature that does not display with the associated point's properties, but instead displays in its own Properties pane when its symbol is selected in a graphic view. This is referred to as a "secondary feature" for the point. For more information, see View and Edit Point Feature Properties.

    2. If the feature code represents a line feature, optionally type an alphanumeric instance identifier for the line feature immediately before or after the code (no spaces) in the Feature code field (for example, "fence1").

      An alphanumeric instance identifier can be assigned to each point that makes up a single line (for example, "fence1" might define one fence; "fence2" might define a different fence).

    3. If a line feature requires a control code (for example, "start"), select it in the Codes list and click Add Code. The control code is displayed in the Feature code field adjacent to the line feature code
    4. If necessary, enter a brief description of the feature in the Feature code field at the end of the string (for example, "barbwire").

      When you change focus from the Feature code field, the feature code string is reformatted as follows:

      -The feature code is underlined.

      - The instance for a line feature, if entered, appears in regular text with no space between it and the feature code.

      - The control code for a line feature, if entered, appears in regular text with a space before it.

      - The description, if entered, appears in italics with a space before it.

      For example, if the feature code is for the line feature "fence", the instance is "1", the control code is "start", and the description is "barbwire", the string would appear as:
      fence1 start barbwire

    5. If the feature code supports attribute values, ensure the code is selected in the Details drop-down list, then enter or edit attribute values in the Attribute list.

      If the attribute includes a value that specifies a file path (for example, a photo attribute specifies a path to the photo file), you can click [image] at the top of the Feature Code Editor dialog to view the file. You can specify a different file, but if it is not located in the project folder, you must include the entire file path. Typically, when a photo is imported as a feature attribute, it is located in the project folder.

      If you replace a feature code in the Feature Code Editor dialog, attributes associated with the original feature code and the new feature code are merged per specific rules. For more information, see Rules for Merging Feature Attributes.

  6. To add more feature codes to the point, repeats step 5 as necessary.
  7. Click OK.

    You are now ready to process (or reprocess) the feature codes in your project as described in Process Feature Codes.

Related topics

Understanding Feature Data

Workflow for Feature Data

Rules for Merging Feature Attributes


Process Feature Codes

You must process the feature codes in your project to display feature data correctly in the software and to export the data to CAD systems and geographic information system (GIS). To process the feature codes, you will use the feature definitions contained in your project's Feature Definition Library (see Import Feature Definition (.fxl) Files). Typically, these definitions are imported from the same Feature Definition (.fxl) file that was used to enter feature codes in the field

Note: If a feature code is entered for which there is no corresponding code in the project's Feature Definition Library, the feature code string will display in the Feature code field, but it will be ignored during feature code processing. Feature codes that could not be processed are reported in the Feature Code Processing Report.

To process feature codes:

  1. If you have not done so already, import the appropriate feature definitions into the Feature Definition Library in your project as described in Import Feature Definition (.fxl) Files.

    To ensure feature codes are processed correctly, you should import feature definitions from the same Feature Definition (.fxl) file that was used in the field to record the data.

  2. Do one of the following:
    • Select Survey > Feature Coding > Process Feature Codes.
    • Click the [image] icon on the toolbar.

    The Process Feature Codes pane displays listing the point sources from which you can select to process feature codes. A point source is either an imported file or a "Keyed in Block" (points manually added to the project). If you select multiple sources, they are each processed separately.

    Note: You must use the same Feature Definition Library to process all feature codes in your project, regardless of the point source. If you have already imported feature definitions into your project and you select to import feature definitions from a different Feature Definition (.fxl) file, the new feature definitions will replace the feature definitions currently stored in your project's Feature Definition Library.

  3. In the Select point source(s) to process list, check the field for each source containing points whose feature codes you want to process.
  4. Optionally, click the [image] icon to display the Report Options pane. This allows you to select report options for the Feature Code Processing Report before generating the report.
  5. In the Process Feature Codes pane, click the Process Source(s) button to process feature codes from the selected source(s).

    If you have previously processed the features codes in the project, reprocessing will delete the previous results and replace them with new results. If you edited a linestring that was derived from imported line feature codes, reprocessing will cause the linestring to be recreated based on the line feature codes, resulting in your edits being lost.

  6. After processing, optionally review the Feature Code Processing Report, which provides a summary of the process.

    The report displays on the Feature Code Processing Report tab. Use the tool bar located above the report to navigate, print, or save the report.

    After processing, all feature line strings are displayed as editable linestrings. (To edit a linestring, select Line > Edit Linestring.) A Feature properties section is displayed for each point and linestring showing the processed feature name and attribute values. Feature symbols are displayed in the Plan View and 3D View. If necessary, use the View Filter Manager to hide other data in the graphic views to better see the feature symbols.

    Note: Once a point or line feature code has been processed, you cannot edit the code. The Feature code field in the Properties pane is read-only, as is the Feature Code Editor dialog. You must first clear the feature code processing results by selecting the Remove Processing button in the Process Feature Codes pane.

Related topics

Understanding Feature Data

Workflow for Feature Data

Feature Code Processing Settings

Process Feature Codes

Remove Feature Code Processing Results


Remove Feature Processing Results

Once a point or line feature code has been processed, you cannot edit the code. The Feature code field in the Properties pane is read-only, as is the Feature Code Editor dialog. You must first clear the feature code processing results as described here.

Note: When you process feature codes, any previous processing results are automatically replaced by the new results.

To remove feature code processing results:

  1. Do one of the following:
    • Select Survey > Feature Coding > Process Feature Codes.
    • Click the [image] icon on the toolbar.

    The Process Feature Codes pane displays listing the point sources from which you can select to remove processing results. A point source is either an imported file or a "Keyed in Block" (points manually added to the project).

  2. In the Select point source(s) to process list, check the box for each source containing feature codes for which you want to remove processing results.
  3. In the Process Feature Codes pane, click the Remove Processing button to remove processing results from the selected source(s).

    The Feature code field in the Properties pane is now editable, as is the Feature Code Editor dialog. In addition, feature linestrings resulting from feature code processing are removed.

Related topics

Understanding Feature Data

Workflow for Feature Data

Process Feature Codes


Rules for Importing Multiple Observations with Different Feature Codes

If multiple observations are used to compute a point and at least two of the observations have different feature code strings assigned to them, the longest (most comprehensive) feature code string is assigned to the point in Trimble Business Center. For example, if one observation of the point is assigned the feature code "cp" ("concrete pad") and another observation is assigned the feature code "cmp" ("communication pedestal"), the feature code "cmp" is assigned to the point since, of the two, it is the longer code string. In this case, a yellow warning symbol is displayed in the Feature Code field in the point's Properties pane and the Points Spreadsheet to alert you that additional codes were assigned to observations for the point but were not assigned to the point in Trimble Business Center.

In another example, one observation of the point is assigned the feature code "cmp" ("communication pedestal") and another observation is assigned two feature codes: "cmp" ("communication pedestal") and "cp" ("concrete pad"). In this case, the feature codes "cmp" and "cp" are assigned to the point, since together they represent the longer code string ("cmp cp").

In the final example, one observation of the point is assigned the feature code "cmp" ("communication pedestal") and another observation is assigned the feature code "cmp concrete" ("communication pedestal" with the added description: "concrete"). In this case, the feature code string "cmp concrete" is assigned to the point, since the code along with the descriptor represents the longer code string.

Related topics

Understanding Feature Data

Workflow for Feature Data

Rules for Multiple Feature Codes Assigned to a Point

Rules for Merging Feature Attributes


Rules for Multiple Feature Codes Assigned to a Point

If more than one feature code is assigned to a point, after processing, only the point feature represented by the first code displayed in the Feature Code field in the Properties pane for the point is displayed in the Feature section of the Properties pane. This is referred to as the "primary feature" for the point.

Processing causes each additional feature code to create a point feature that does not display with the associated point's properties, but instead displays in its own Properties pane when its symbol is selected in a graphic view. This is referred to as a "secondary feature" for the point. If the position for the point changes, the position for the secondary feature changes with it. If the point is deleted, the secondary feature (along with the primary feature) is deleted as well.

Related topics

Understanding Feature Data

Workflow for Feature Data

Rules for Importing Multiple Observations with Different Feature Codes

Rules for Merging Feature Attributes


Rules for Merging Feature Attributes

If you delete a feature code for a point and replace it with a new feature code in the Feature Code Editor, the attributes for the original code are displayed along with the attributes for the new code.

If the original feature code and the new feature code share a common attribute, the attribute is listed only once in the attributes list for the new code, and it is populated with the value that was entered for the original code. However, this value is editable, along with any attributes that are unique to the new code.

If the original feature code includes an attribute that is not shared with the new feature code, it is included in the attributes list for the new code, but it is not editable and it is not used for feature code processing. It is listed as "unknown" in the "Problematic Attribute" section of the Feature Code Processing Report. Optionally, you can delete this attribute from the list.

As an example, say the feature code "em" ("electric meter") was originally assigned to a point. This code includes two attributes: "height" and "type." You then replace "em" with the feature code "pp" ("power pole"). This new code also includes two attributes: "height" and "diameter."

Feature code: | Attributes:
"em" | "height" "type"
"pp" | "height" "diameter"

In this case, three attributes would be included in the attributes list for "pp":

  • The "height" attribute is common to both feature codes, so it is displayed once in the attributes list. It includes the value originally entered for the feature code "em." However, you can change this value.
  • The "diameter" attribute is unique to the new "pp" feature code, so it is displayed in the attributes list with no value. You can enter a value.
  • The "type" attribute is unique to the original "em" feature code, so it is displayed in the attributes list with the value originally entered. However, this attribute is not editable and is not used for feature code processing.
Feature code: | Attributes:
"pp" | "height" (original value, editable) "diameter" (new value) "type" (original value, non-editable)

In the case of multiple feature codes being assigned to a point, the order of the codes before and after editing determine where the attributes in the original feature codes and new feature codes are merged. For example:

  • If "em pp" ("electric meter" and "power pole") is changed to "et pp" ("electric transformer pad" and "power pole"), the attributes for "em" and "et" are merged as described above. The attributes for "pp" are unaffected.
  • If "em pp" ("electric meter" and "power pole") is changed to "etb" ("electric transformer box"), the attributes for "em" and "etb" are merged as described above. The attributes for "pp" are not kept.
  • If "em pp et" ("electric meter," "power pole," and "electric transformer pad") is changed to "etb elc" ("electric transformer box" and "electric conduit"), the attributes for "em" and "etb" are merged as described above. The attributes for "pp" and "elc" are merged as well. The attributes for "et" are not kept.
Feature codes: | Attributes:
"em pp" is changed to "et pp" | "em" and "et" attributes are merged "pp" attributes are unaffected
"em pp" is changed to "etb" | "em" and "etb" attributes are merged "pp" attributes are not kept
"em pp et" is changed to "etb elc" | "em" and "etb" attributes are merged "pp" and "elc" attributes are merged "et" attributes are not kept

Licensed Features

Related topics

Understanding Feature Data

Workflow for Feature Data

Enter, Edit, and Delete Feature Code Strings

Rules for Importing Multiple Observations with Different Feature Codes

Rules for Multiple Feature Codes Assigned to a Point


Export Geodatabase Files (.xml)

Export data contained in your project to a geodatabase XML file from which the data can be imported into an Environmental Systems Research Institute, Inc. (ESRI) geographic information system (GIS).

Click the GIS tab in the Export command pane to access the Geodatabase XML exporter.

When exporting feature definitions to a geodatabase XML file, note the following:

  • Geodatabase files do not support feature definition codes. Definition names are used for the definition codes.
  • Geodatabase files do not support spaces in feature definition names. Instead of spaces, underscores are included in the definition names and codes.
  • Geodatabase files do not support default attribute values or lines and symbols.

Notes:
- The geodatabase XML format represents ESRI's most current open mechanism for information interchange between geodatabases and other external systems and is a replacement for the earlier shapefile (.shp) spatial data format.
- If your project includes feature data that you want to include in the geodatabase file, you must first process the features codes.

Related topics

Export Data

Export Data in a Custom Format

Workflow for Feature Data


Export ESRI Shapefiles (.shp/.shx/.dbf/.prj)

Export ESRI (Environmental Systems Research Institute) shapefiles containing point, line, and feature data using the WGS-84 standard. The resulting shapefiles can be imported into geographic information systems (GIS) software (for example, ESRI ArcMap).

To perform the export, Trimble Business Center creates four files each for point data, line data, and each feature type defined in the project. After export, these file are stored together in a shapefile folder.

  • Shape format file (.shp) - This file includes the feature geometry.
  • Shape index format file (.shx) - This file provides a positional index of the feature geometry.
  • Attribute format file (.dbf) - This file contains columnar attributes for each shape.
  • Projection format file (.prj) - This file describes the coordinate system and projection data.

For example, if your project includes 5 points, 2 lines, and 4 different types of features, 24 shapefiles will be created: 4 files for the points, 4 files for the lines, and 16 files for the 4 feature types (4 files for each type).

To export ESRI shapefiles:

Note: For general instructions on exporting data files, see Export Data.

  1. Do one of the following:
    • Select File > Export.
    • Click the [image] icon on the toolbar.

    The Export command pane displays.

  2. Select the GIS tab. Then select Shapefile exporter in the list.
  3. Click in the Data field. Then select the points you want to export in a graphic or spreadsheet view.

    By default the shapefile folder name is the name of the project and is displayed in the File Name field. The default location for the new folder is in the project folder.

  4. Optionally, in the File Name field enter a different folder name and/or file path.
  5. Click Export.

    A new folder containing the exported shapefiles is created in the selected location.

Related topics

Export Data

Workflow for Feature Data


Export CAD Files (.dxf/.dwg)

Select and export some or all of the data in your project to a CAD file. This can be used as a background map in field devices.

Note: You can also upload .bmp, .gif, .jpg, .png, and .tif formats to use as background maps in TDS Survey Pro, Trimble Survey Manager, and Spectra Precision® Field Surveyor.

Click the CAD tab in the Export command pane to access the .dxf and .dwg exporters. You can set the file version and an explode option in the Settings group.

Exported CAD files can be used in:

  • Spectra Precision® Field Surveyor
  • Trimble® Survey ControllerTM
  • Trimble® Digital FieldbookTM (v2,v3, and v5)
  • TDS Survey ProTM (as base maps)
  • Trimble® Survey ManagerTM

Note: By default, a point ID exports as an attribute of the point.
Note: The .dwg format does not support all alignment information, such as stationing. If you export an alignment as a .dwg and then import it into another application as a .dxf/.dwg, vertical alignments in the file may not appear either.

Exporting avoidance zones for SCS

Use .dxf export to send avoidance zones to the data synchronization area for use on controllers running site controller software (SCS). Closed CAD lines, linestrings, boundaries, and alignments export as 2D lines; all elevations and vertical alignments are ignored. Arcs export intact, but spirals used in alignments are "linearized"; they are replaced by chords.

Related topics

Export Data

Export Data in a Custom Format


Feature Definition Manager

The Feature Definition Manager is a standalone utility that allows you to create and manage a library of feature definitions that can be saved in a Feature Definition (.fxl) file. The Feature Definition (.fxl) file can be loaded onto a field device so a surveyor can select from the library to assign a feature code and attributes to a point in the field. The same Feature Definition (.fxl) file can then be imported into Trimble Business Center so the the imported feature codes can be correctly processed.

Your installation of Trimble Business Center includes a default Feature Definition (.fxl) file (GlobalFeatures.fxl) that provides a good starting point for feature coding. You can modify this file as necessary using the Feature Definition Manager. Or, you can create your own Feature Definition (.fxl) file or use a Feature Definition (.fxl) file from some other source.

For more information about the Feature Definition Manager, open it and select Help > Contents, or press F1.

To open the Feature Definition Manager:

  • Select Tools > Feature Definition Manager.

Related topics

Understanding Feature Data

Workflow for Feature Data


Work with Images

In This Chapter

Image View (Registered Images)

Process Images

View Survey Data in Google Earth

Work with Media Files

Georeference an Image

Georeferenced Image View

Move Images Forward and Backward

Use an Image as a Texture

Add a Texture to a Surface Area

Drape an Image on a Surface

Make a Surface Area Transparent

Capture an Image from the Plan View

Capture 3D Project Data

Publish Project Data to TCC

Note on Publishing Project Files to TCC


Process Images

The Process Images command allows you to do the following:

  • Improve the visual quality of Trimble VX-generated images, which typically are used in photo panoramas, by balancing the exposure and/or blending the edges of the images.
  • Create panoramas from Trimble VX-generated images for viewing in Internet-based 2D maps and 3D Earth browsers (for example, Google Earth).

Note: Only images created with a Trimble VX Spatial Station can be processed in Trimble Business Center.

When you select to balance the exposure and/or blend the edges of a photo image, a new processed version of the original (unprocessed) image file is created and stored in the same project subfolder as the original file. The newly processed image is displayed on the Image View tab when you choose to view it, and it is included in a panorama, if you select to create one. If you remove processing results, the processed version of the image file is deleted. The original image file is never modified in any way.

Note: The processed image file name is appended to include an identifier indicating what sort of processing was performed on the image. For example, if the original file is named IMG00001.jpg and only exposure balancing was performed , the newly processed file name is IMG00001.ba.jpg. If only edge blending was performed, the newly processed file name is IMG00001.bl.jpg. If both exposure balancing and edge blending were performed, the newly processed file name is IMG00001.babl.jpg.

When you select to create a panorama, a KMZ (.kmz) file is created with the same name as its associated station. It is stored in a project subfolder named GE_Panoramas. After creating a KMZ file, you can do any of the following:

  • View the panorama in a viewer such as Google Earth by double-clicking the KMZ file in the GE_Panoramas folder, or by selecting View > Google Earth and selecting the appropriate station(s). See View Survey Data in Google Earth for more information.
  • Export the KMZ file by using the Kml/Kmz exporter and selecting the appropriate station(s), or by selecting View > Google Earth. See Export Data or View Survey Data in Google Earth for instructions.
  • Upload the KMZ file to the Connected Community (TCC) using the Publish to TCC command.

Prerequisites

  • To process images, you must have an appropriate license. See Licensed Features to determine if your license supports this feature.
  • The images you want to process must have been taken with a Trimble VX Spatial Station.

To process images generated with a Trimble VX Spatial Station:

  1. Select Image > Process Images.

    The Process Images command pane displays showing the stations that include images that can be processed. To the immediate right of each station name is a field showing the number of images taken from that station.

    You can click the Image View button i_image view button for any station to view its original images (if you have not processed them) or processed images (if you have processed them) on the Image View tab.

  2. For each set of images you want to process, select one or more of the process option check boxes:
    • Balance exposure [image] - Select this option to balance the exposure among the photo images taken from the station to make them look as similar as possible when displayed in a panorama. Some images may be darkened while others are lightened to achieved a more uniform look.
    • Blend edges [image] - Select this option to blend the edges of adjoining photo images in the panorama so that the edges of the images are less noticeable.
    • Create panorama [image] - Select this option to create a panorama KMZ (.kmz) file from all of the images taken from the station.

    Note that you can click any of the process icon buttons to select or de-select all of the check boxes for that process.

    Because processing time can be lengthy, be sure to select options only for the stations whose images you want to process. You might start by processing the images using only the Balance exposure option. This will often provide adequate quality improvement. If you need to enhance the images further so that their edges are less noticeable when displayed in a panorama, you can reprocess using the Blend edges option as well.

  3. Click the Apply button.

    A progress bar is displayed for each station whose images are being processed. If you want to stop processing for a specific station, click the Stop button i_stop image processing located to the right of the progress bar. To stop all processing, click the Stop button located at the bottom of the pane.

    When processing is complete, each check box that represents a completed process is highlighted green (the check mark remains in the box).

    To view processed images on the Image View tab, click the Image View button i_image view button located to the left of the Station field.

    To undo processing for a set of images, de-select the check box (remove the check mark) for the process(es) you want to undo, and click the Apply button.

    To perform additional processing on a set of images that has already been partially processed (for example, the exposure was balanced but the edges were not blended and a KMZ was not created), select the check box for the process you want to perform and click the Apply button. The new processing is performed, in addition to the processing already performed.

Related topics

Publish Project Data to TCC

View Survey Data in Google Earth

Export Data


Work with Media Files

When one or more media files are assigned to a point, linestring, or other object in your project (either in the field or in the office), a media folder is automatically created and attached to the object to contain the files. The media folder is created with the same name as the object to which it is attached. Once a media folder is created and attached to an object, you canview any of the media files contained in the folder, add more files to the folder, and remove files from the folder as necessary.

Note: A media file can be in any format. To view the media file, you must have an appropriate external viewer for the file's format.

A media folder is represented by a Media Folder icon that can display in several locations in the interface:

  • In the Plan View and 3D View, the Media Folder icon i_media folder in graphic view displays next to the object to which it is attached.
  • In the Project Explorer, the Media Folder icon [image] displays as a child node beneath the parent object node to which it is attached (for example, a point node [image]). In addition, it displays as a child node beneath the parent Media Files node i_media files node.

In the Project Explorer you can expand any Media Folder node [image] to see the media file nodes i_media file icon contained in the folder (that is, assigned to the parent object).

cg_media folder screen shot

To learn more about working with media files, see any of the following topics:

  • Open Media Files
  • Assign Media Files to Objects
  • Remove Media Files from Objects
  • Delete Media Files from the Project
  • Open, View, and Edit Media Folders


Open Media Files

When a media file is assigned to an object in Trimble Business Center, it is added to a media folder that is attached to the object. Following are some different ways to open and view media files.

Note: A media file can be in any format. To view the media file, you must have an appropriate external viewer for the file's format.

To open a media file:

In Plan View or 3D View:

  • Select the Media Folder icon i_media folder in graphic view displayed next to the object whose media file you want to open. Then right-click and select the media file you want to open.

In Project Explorer:

  • In the Points list or Media Files list, right-click the media file (represented by a Media File icon i_media file icon) and select to open the file.
  • In the Points list or Media Files list, right-click the media folder (represented by a Media Folder icon [image]) containing the media file and select the file.

In the media folder Properties pane or the media file Properties pane:

  • Locate the file in the File Information section. Then click the Open button i_open media file located to the right of the File path field.

Related topics

Work with Media Files

Assign Media Files to Objects

Remove Media Files from Objects

Delete Media Files from the Project

Open, View, and Edit Media Folders


Assign Media Files to Objects

There are various methods for assigning media files to objects. This topic describes two:

  • Select the object, and then select the media file to assign.
  • Select the media file, and then select the objects to which you want to assign it.

Feel free to experiment to see if other methods might better fit your workflow.

Prerequisites:

  • Assigning media files ot objects requires an appropriate Trimble Business Center license. See Licensed Features to determine if your license supports this feature.

To assign a media file by selecting the object first:

  1. In the Project Explorer, Plan View, or 3D View, select the object to which you want to assign one or more media files. Then right-click and select Assign Media Files.

    Optionally, you can select multiple objects to which you want to assign the same media file(s).

  2. In the Assign Media Files dialog, do either of the following:
    • To assign one or more files that are already referenced in the project, make your selection in the list. Click to expand any existing media folder to see the media files contained in it. Optionally, select a media folder to assign its entire contents to the selected object. When you are done making your selection, click OK.
    • To assign one or more files that are not already referenced in the project, click the Browse button to navigate to the file(s) you want to assign. Select the file(s) and click the Open button.

      Note: If you select to assign a media file that is not already referenced in the project and you have created a project folder, the newly assigned file is copied into the project folder.

    If there is a media folder already attached to the selected object, the files are added to the folder. If no media folder is attached to the selected object, one is created to hold the newly assigned files. The newly created folder is named the same as the object to which it is attached. Optionally, you can change the folder name as described in Open, View, and Edit Media Folders.

To assign a media file by selecting the file first:

  1. In the Project Explorer, right-click the media file you want to assign to an object and select Assign Media File.
  2. In the Assign Media File dialog, select the object(s) to which you want to assign the media file and click OK.

    If there is a media folder already attached to the selected object, the files are added to the folder. If no media folder is attached to the selected object, one is created to hold the newly assigned files. The newly created folder is named the same as the object to which it is attached. Optionally, you can change the folder name as described in Open, View, and Edit Media Folders.

Related topics

Work with Media Files

Open Media Files

Remove Media Files from Objects

Delete Media Files from the Project

Open, View, and Edit Media Folders


Remove Media Files from Objects

There are various methods for removing media files from objects. This topic describes two:

  • Select the object, and then select the media files to remove.
  • Select the media file, and then select the objects from which you want to remove it.

Feel free to experiment to see if other methods might better fit your workflow.

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.

To remove a media file by selecting the object first:

  1. In the Project Explorer, Plan View, or 3D View, select the object from which you want to remove one or more media files. Then right-click and select Remove Media Files.

    Optionally, you can select multiple objects from which you want to remove the same media file(s).

  2. In the Remove Media Files dialog, select the file(s) you want to remove from the selected object and click OK.

    The media file is no longer assigned to the object.

    If the removed media file was the only file assigned to the object, the media folder for the object is deleted.

    If the removed media file is not assigned to any other objects in the project, it is displayed beneath the Media Files node i_media files node in the Project Explorer, unassociated with any media folder.

To remove a media file by selecting the media file first:

  1. In the Project Explorer, right-click the media file you want to remove from an object and select Remove Media File.

    If the media file is assigned to multiple objects, the Remove Media File dialog is displayed.

  2. If the Remove Media File dialog displays, select the object(s) from which you want to remove the selected media file and click OK.

    The media file is no longer assigned to the selected object(s).

    If the removed media file was the only file assigned to an object, the media folder for the object is deleted.

    If the removed media file is not assigned to any other objects in the project, it is displayed beneath the Media Files node i_media files node in the Project Explorer as an "orphan," unassociated with any media folder.

Related topics

Work with Media Files

Open Media Files

Assign Media Files to Objects

Delete Media Files from the Project

Open, View, and Edit Media Folders


Delete Media Files from the Project

When you delete a media file from your project, it is removed from all objects to which it was assigned and no longer displays beneath the Media Files node i_media files node in the Project Explorer. If the deleted media file was the only file assigned to an object, the media folder for that object is deleted.

To delete media objects from the project:

  1. Expand the Media Files node i_media files node in the Project Explorer and browse to the media file you want to delete.

    As an alternative, if the media file is assigned to a point, you can expand the point node [image] and media folder node [image] in Project Explorer to locate the file.

  2. Right click the file and select Delete.

    Note: Although the file is removed from your project, it is not actually deleted from the folder in which it is stored.

Related topics

Work with Media Files

Open Media Files

Assign Media Files to Objects

Remove Media Files from Objects

Open, View, and Edit Media Folders


Open, View, and Edit Media Folders

When one or more media files are assigned to a point, linestring, or other object in the field, during import a media folder is automatically created and attached to the object to contain the files. In addition, the files are copied to the project folder. After import, you can create additional media folders by assigning media files to objects to which no media files are currently assign. Once a media folder is created, you can open it to view its contents and make edits as necessary.

Prerequisites:

  • Editing of media folders requires an appropriate Trimble Business Center license. See Licensed Features to determine if your license supports this feature.

To open, view, and edit a media folder:

  1. Do one of the following:
    • Select the Media Folder icon i_media folder in graphic view in the the Plan View or 3D View.
    • Select the Media Folder icon [image] displayed beneath the Points or Media Files node in the Project Explorer.
  2. Right-click, and select Properties.

    The Properties pane for the media folder displays showing:

    • The name of the media folder
    • The media folder's parent object (the object to which it is attached)
    • A File Information section for each file referenced in the media folder

    Each File Information section includes the name of the assigned media file, its file path, its size, and other information about the file.

  3. To view a file contained in the media folder, locate the file in the appropriate File Information section. Then click the Open button i_open media file located to the right of the File path field.

    The file opens in an external viewer based on your operating system settings.

    Note: A media file can be in any format. To view the media file, you must have an appropriate external viewer for the file's format.

  4. To change the name of the Media Folder, enter a new name in the Name field.

    When a media folder is created, by default the folder is named the same as the object to which it is attached.

  5. To change the position of the Media Folder icon in relation to its parent object in the Plan View and 3D View, select a new position in the Display position drop-down list.
  6. To add a media file to the media folder (that is, assign it to the parent object), do the following:
    1. Click the Assign Media Files i_add image file to folder button located at the top of the Properties pane.
    2. In the Assign Media Files dialog, do either of the following:

      - To assign one or more files that are already referenced in the project, make your selection in the list. Click to expand any existing media folder to see the media files contained in it. Optionally, select a media folder to assign its entire contents to the selected object. When you are done making your selection, click OK.

      - To assign one or more files that are not already referenced in the project, click the Browse button to navigate to the file(s) you want to add. Select the file(s) and click the Open button.

    A new File Information section is displayed in the Properties pane containing a link to, and information about, the newly assigned media file.

  7. To remove a media file from the media folder, do the following:
    1. Click the Remove Media Files i_remove image file from folder button located at the top of the Properties pane.
    2. In the Remove Media Files dialog, select the file(s) you want to remove and click OK.

    The File Information section for the removed file no longer displays in the Properties pane.

Related topics

Work with Media Files

Open Media Files

Assign, Remove, and Delete Media Files


Georeference an Image

Use the Georeference Image command to geodetically position raster images in the Plan View by correlating specific pixels with known coordinates. This enables you to use imported, ungeoreferenced images, such as aerial photographs and scanned job site designs, as positionally accurate backgrounds for your data. You can also use this command to edit the position of an image that is already georeferenced.

By correlating two or more pixels with coordinates, you can change the planimetric orientation and scale of an image when you compute the transformation. The computations use the least squares method; the error is spread across all pixel / coordinate pairs so that the error is minimized (rubber-sheeting is not used). Once you have georeferenced an image, the pixel / coordinate pairs used for the computations are saved so you can modify the georeference at any time.

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.
  • Imported, ungeoreferenced image (.gif, .jpg, .png, or .tif)
  • Two or more known coordinates for features that can be correlated with specific pixels in the image

To access the command:

  • Select Image > Georeference Image (if on the menu).
  • Click the [image] icon (if on a toolbar).

To geodetically position an image:

  1. Import the image by dragging it from a folder location into the Plan View.
  2. In the Plan View, zoom or pan to the general area in which you want the image to be located.
  3. Right-click the image in the Project Explorer and select Georeference Image from the context menu. The Georeference Image command pane displays.
  4. Click Add.
  5. Pick a specific pixel that you want to correlate with a coordinate or control point in your project. The label A is added to the image in the view. The top, left corner of the image is pixel 0,0 (vertical, horizontal).
  6. In the Point box corresponding to the A pixel, specify a coordinate. A line in the view indicates the direction and distance of the change / correlation that repositions the image.
  7. Repeat steps 3 - 5 to create a B point. Two points position and rotate the image, if applicable.
  8. Click Compute and review the mean square error (MSE) reported in the Results pane. With just two points the error will be zero. With more than two points, the higher the error, and the further each pixel is from its corresponding coordinate.
  9. If necessary, add and compute up to ten additional pixel / coordinate pairs.
  10. Click Close when you are done.

Scenarios:

  • If you need to edit the position of a georeferenced image, you can simply delete or change the pixel or coordinate of any pair.

Related topics

Import Georeferenced Images

Georeferenced Image View

Move Images Forward and Backward


Make a Surface Area Transparent

Use the following procedure to make a corridor surface with a material texture (1) visible where it is embedded in a generalized surface draped with an aerial image (2).

As an example, here is how the surface and corridor relate as wireframes in the 3D View:

As you can see, the draped image on the surface overrides the material textures applied to the corridor, hiding them. To make the portion of the draped image that obscures the corridor transparent, you simply need to add a material with the texture set to None to that area.

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.
  • Topographic surface with a draped image
  • Corridor surface with material textures that corresponds to the topographic surface

To make a surface area transparent:

  1. Start with both the surface and corridor visible in the 3D View.

  2. Select the breakline that is automatically created at the edge of the corridor surface when it is created (shown in white above). This breakline acts as a daylight boundary where the corridor intersects with the surface.
  3. Right-click and select Properties.
  4. In the Properties pane, set the Surface sharpness property to Sharp and texture boundary to make the breakline a drapeline as well.
  5. Select Surface > Add Surface Texture.
  6. In the Add to surface list, select the name of the topographic surface with the draped image.
  7. In the optional Name box, you might want to call the texture "Transparent" to help you identify it later.
  8. In the Layer list, select the layer that your other textures use.
  9. Leave Material set to <None>. This property is what makes the material transparent.
  10. Click in the Texture location box and pick a point (in the Plan View) anywhere inside of the drapeline. The portion of the surface image above the corridor should now be transparent, letting the corridor's material textures show.

  11. Click Close. Now you have an enhanced visualization in the 3D View.

Related topics

Use an Image as a Texture

Drape an Image on a Surface

Add a Texture to a Surface Area


Capture an Image from the Plan View

Use the Capture Image command to save the contents of the active Plan View as both a georeferenced image (.jpg, .png, .tif, or .gif) and a placemark KML file (.kml) that can be viewed in Google™ Earth. You can capture all of the content displayed in the Plan View, or you can use a plotbox to select the content you want to capture.

Note: A georeferenced image file is actually made up of two files: the image file itself and the world file accompanying it that contains the georeference data.

Following is an example of a surface captured from the Plan View and displayed in Google Earth.

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.
  • Data in the Plan View (the coordinate system must be correct to georeference the image properly)
  • TCC account (if you want to view the data in Visual Organizer)
  • Google Earth application installed (if you want to view the KML file in Google Earth)

To capture an image from the Plan View:

  1. Do one of the following:
    • Select Image > Capture Image.
    • Click the [image] icon (if on the toolbar).

    The Capture Image command pane displays.

    By default, the file name for the new capture is "Snapshot" followed by a sequential number. The same name is used for the image file, its related georeference world file, and the Google Earth KML file. The default location for the files is a subfolder named "Snapshots" located in your project folder.

  2. Optionally, in the File name field, change the name of the image file. Or, click the Browse button [image] located to the right of the field to change the name of the image file, the folder in which it will be stored, and/or its file format extension.

    Note: The PNG (.png), TIFF (.tif), and GIF (.gif) formats can all produce a transparent KML image when viewed in Google Earth. The JPEG (.jpg) format creates an opaque (non-transparent) KML image when viewed in Google Earth. Note that white objects (for example, lines, points, point names, and features) can be more difficult to view in a transparent image.

  3. Optionally, in the Resolution drop-down list, select a different resolution at which the image will be captured.

    If you are capturing the contents of the entire Plan View, the resulting image's resolution is the size of the Plan View (excluding the frame) multiplied by the DPI value you select in the Resolution drop-down list. If you are capturing the contents of a plotbox, the resulting image's resolution is the size of the plotbox multiplied by the DPI value you select in the Resolution drop-down list. If you reduce the size of the Plan View or plotbox prior to capturing the image, the file will be smaller in size and lower in resolution. Conversely, if you increase the size of the Plan View or plotbox, the resulting image will be larger in size and higher in resolution. Consider how, and on what device, the resulting image will be displayed when choosing a capture area and resolution.

  4. Optionally, to capture the contents of a plotbox rather than the entire Plan View, do the following:
    1. Click the Create Plotbox button [image] located at the top of the Capture Image pane to display the Create Plotbox pane.
    2. Create the plotbox as described in Create a Plotbox and Print its Contents. Then close the Create Plotbox pane.
    3. In the Capture Image pane, select the plotbox you want to use in the Select plotbox (optional) drop-down list.
  5. Click the Apply button.

    The newly captured image file name is added to the Image list. You can do any of the following in the list

    • Hover your cursor over the file name to display the full path to the file’s location.
    • Click the file name to view the image in an external viewer.
    • Right-click the file name and select Delete to delete the image file and its related world file and KML file from the project.
    • Double-click the row header button [image] for any file in the list to open the folder in which the image file, world file, and KML file are stored.

    If applicable, you can upload KML files to the Connected Community (TCC) using the Publish to TCC command. Then you can display the data using Visual Organizer in TCC. For instructions on viewing KML files in Google Earth, see View Survey Data in Google Earth.

    Note that each captured georeferenced image file and its associated world file are automatically added to the related files list, which is the list of files that will be uploaded to a field device when you export data to the device. To view the Related Files list for the project, click the Related Files icon [image] in the toolbar located at the top of the Capture Image pane.

Related topics

Connected Community

External Service Options

Capture 3D Project Data

Open a Remote File

Save a File Remotely

Publish Project Data to TCC

Import and Export Data Using Trimble Access Drive

View Survey Data in Google Earth


Capture 3D Project Data

Use the Capture 3D command to save 3D model views from the Plan View and 3D View that can then be uploaded to the Connected Community (TCC) using the Publish to TCC command. This 3D data can then be viewed and manipulated in TCC using Visual Organizer in much the same manner as in the 3D view. Capture 3D enables your colleagues with TCC access to explore details of your project from anywhere using an Internet browser.

Prerequisites:

  • See Licensed Features to determine if your license supports this feature.
  • 2D or 3D data
  • TCC account (if you want to make the data accessible in that context)

To access the command:

  • Select Image > Capture 3D (if on the main menu).
  • Click the [image] icon (if on a toolbar).

Options:

Save as type

HSF (.hsf) - Use this recommended default to save in the Tech Soft 3D Hoops® Stream File format, an open, streaming format for exchanging 3D visualization data between different engineering programs. For more information, see www.openhsf.org. The image file and placemark file are saved at:

C:\Documents and Settings\<user name>\My Documents\Trimble Business Center\<current project name>\Snapshots3D\.

HMF (.hmf) - Select this if you are a software developer who needs to save in the Hoops Meta File format.

Scenarios:

  • If your project contains only 2D or zero-elevation data, the capture simply generates a planar model that can be viewed interactively in 3D.

Related topics

Connected Community

External Service Options

Capture an Image from the Plan View

Open a Remote File

Save a File Remotely

Publish Project Data to TCC

Import and Export Data Using Trimble Access Drive


Manage Field Data for a Job Site

In This Chapter

Manage Field Data for a Job Site

Workflow for Managing Data for SCS

Workflow for Managing Data for GCS

Understanding SPS, SCS, and GCS

Understanding Job Sites, Field Data, and Synchronization

Specify the Data Synchronization Area for Field Data

SCS, GCS, PCS Functional Compatibility Chart

Office Synchronizer

SCS Data Manager

Field Data Icons in the Project Explorer

Manage a Job Site and Site Data

Manage Job Site Designs and Design Data

Manage Work Orders and Results

Manage Controllers

Controller Manager Options

Create and Edit GCS and PCS Machines

Compress and E-mail Field Data

File Compression and E-mail Options

Copy Field Data to a Data Card

Publish Field Data to Business Data Center


Manage Field Data for a Job Site

This software is designed as an office software component of Trimble's Site Positioning and Grade Control Systems. Within this software, you can prepare field data for use by construction crews on a job site. This data might include site data, design data, and work orders to be used on SCS site controllers and site and design data to be used on GCS machines. Using site controllers, you can then measure material volumes, monitor grades and laid material thickness, and perform other site-related tasks, such as point, line, roadway, and surface stakeout. With machines, you can perform scraping, grading, excavation, and compaction activities with accurate guidance, and blade and bucket positioning. For more information, see Understanding SPS, SCS and GCS.

Office Synchronizer is a related utility that manages the exchange of field data between your computer and controllers. This exchange process is known as 'synchronization'. Data, work orders, and the results of field measurements that need to be synchronized are stored in a file structure on your hard drive, the location of which is defined in the Synchronizer root folder box in the Options dialog. For more information, see Understanding Job Sites, Field Data, and Synchronization. Following is the general workflow for preparing data for SPS and GCS in this software.

Related topics

Workflow for Managing Data for SCS

Workflow for Managing Data for GCS

Manage a Job Site and Job Site Data

Manage Job Site Designs and Job Site Design Data

Manage Work Orders and Results

Copy Field Data to a USB Flash Drive


Workflow for Managing Data for SCS

The goal in this workflow to prepare job site data for field crews using site controllers that are running Trimble® Site Controller Software (SCS). This workflow guide walks you through adding imported data to a job site and a job site design and then assigning the site and design to specific SCS site controllers so that when the crews synchronize their controllers, the correct data goes to the designated controllers. Then you can import, review, and run reports on work order results as they return from the field.

To get guidance through this workflow in the software, select Help > Workflow Guides.

Note: Your tasks may vary from these typical steps, so feel free to use a different order or skip steps.

Steps

Help by Command

1.

Setup your program and project.

Program and Project Setup Workflow

2.

Specify the data synchronization area in application options.

Options

3.

Prepare your imported job site data, if needed.

Data Prep Workflow

4.

Edit the SCS site controllers that you want to assign to the job site.

Controller Manager

6.

Create a job site:

(or attach to an external job site)

  • Review settings for the job site.
  • Add job site data.
  • As a part of adding site map and design map data, clip it using a boundary, if necessary.

Job Site Manager

Create Boundary

7.

Create a job site design and add job site design data (or add an external job site design).

Create Job Site Design

Add External Job Site Design

8.

Create a work order outlining tasks for your field crews, and assign it to a controller.

Create Work Order

9.

Graphically review the site and design data associated with the work order.

Work Order Viewer

10.

Compress and e-mail the work order and data to colleagues or field crews.

Compress/E-mail Field Data

11.

Once the work order has been completed and returned from the field, import it and any results into your project.

Import Work Order Results

12.

Run reports on work orders:

  • Run a Work Order Report
  • Run a Work Order Summary

Work Order Report

Work Orders Summary

13.

Copy, update, and reuse any work order.

Copy Work Order

Work Order Editor

14.

Archive your project to store all of its related files together or share them with colleagues.

Archive Project

15.

Upload project data to the Connected Community.

Publish to TCC

Related topics

Understanding SPS, SCS, and GCS

Manage Field Data for a Job Site


Workflow for Managing Data for GCS

Use this workflow to prepare job site data for machines that are part of a Grade Control System (GCS), such as Trimble® GCS or Caterpillar® AccuGrade™. This workflow guide walks you through adding imported data to a job site and a job site design and then assigning the site and design to specific data cards so that when the crews write data for a machine, the correct data goes to the designated machine.

To get guidance through this workflow in the software, select Help > Workflow Guides.

Note: Your tasks may vary from these typical steps, so feel free to use a different order or skip steps.

Steps

Help by Command

1.

Setup your program and project.

Program and Project Setup Workflow

2.

Specify the data synchronization area in application options.

Options

3.

Prepare your imported job site data.

Data Prep Workflow

4.

Create a sloping or level planar surface.

Create Planar Surface

5.

Add or edit data cards representing GCS machines to the list of controllers that you can assign to the job site.

Controller Manager

6.

Create a job site:

(or attach to an external job site)

  • Review settings for the job site.
  • Add job site data.
  • As a part of adding site map and design map data, clip it using a boundary, if necessary.

Job Site Manager

Create Boundary

7.

Create a job site design and add job site design data (or add an external job site design).

Create Job Site Design

Add External Job Site Design

8.

Compress and e-mail the work order and data to colleagues or field crews.

Compress/E-mail Field Data

9.

Manually copy field data to a data card/USB flash drive for a GCS machine, if applicable

Copy Field Data to Data Card

Copy Field Data to USB Flash Drive

10.

If needed, manually export a site map, avoidance zone, or job site design to a GCS machine.

Export

11.

Archive your project to store all of its related files together or share them with colleagues.

Archive

12.

Upload project data to the Connected Community.

Publish to TCC

Related topics

Understanding SPS, SCS, and GCS

Manage Field Data for a Job Site


Understanding SPS, SCS, and GCS

Trimble® Site Positioning Systems (SPS)

Site positioning systems are comprehensive construction positioning solutions comprised of a combination of:

  • positioning hardware (GPS base, rover, and radios or total station)
  • SCS site controllers (typically hand-held or tablet computers)
  • Site Controller Software (SCS)

    Note: This includes Trimble SCS900 and SCS900 Tablet Edition.

In general, SPS provides surveyors and non-surveyors with the ability to perform construction measurement and stakeout tasks associated with job site preparation, heavy/highway construction, mining, and landfill operations, etc. The overall system, comprised of the above components, allows contractors to track, report, validate, and control site measurement and positioning workflows from receipt of initial designs to project completion.

Using SPS, contractors employ GPS antennas, GPS receivers, total stations, and hand held site controllers developed specifically for heavy/highway construction applications for measurement and stakeout activities on the job site.

Trimble Site Controller Software (SCS)

SCS is software that runs on a site controller, which is typically a hand held device. Contractors can use software, such as SCS900, to complete a full range of construction tasks, including:

  • Performing initial site measurement and verification of original ground levels
  • Measuring site features
  • Checking finished grade and laid material thickness
  • Collecting topographic site data and computing material stockpile volumes
  • Staking out points, lines, alignments, planes, surfaces, complex roadways, side slopes, and catch points
  • Performing as-built site measurements

SCS helps contractors efficiently control and quantify site operations so they do not need to rely on a contract surveyor for their site measurement and stakeout requirements.

Trimble Grade Control Systems (GCS)

Grade control systems are comprehensive construction solutions comprised of a combination of:

  • GCS machines (heavy equipment, such as bulldozers and graders)
  • Grade Control System (GCS)

Note: This includes Trimble GCS900 and SiteVision, and AccuGrade™ by Caterpillar®.

Grade control systems are solutions for improving the earthworks construction process, from estimating to completion using an array of positioning technologies from laser or sonic-based systems through full 3D solutions. GCS gives site foremen, supervisors, grade checkers, and site engineers the tools they need to help run grade control systems on site, reducing downtime, and resolving issues as they arise, without office assistance.

GCS900 puts design surfaces, grades and alignments inside the cab. The system uses GPS, GPS and laser, or construction total station technology to accurately position the blade or bucket in real time, reducing material overages and improving productivity and profitability for earthworks contractors.

GCS900 can be used on excavators, dozers, motor graders, compactors and scrapers. With its CAN-based design, the GCS900 can be easily moved from machine to machine, as needed.


Understanding Job Sites, Field Data, and Synchronization

Before preparing data for Trimble® Site Positioning Systems (SPS) within this software, it will be helpful to familiarize yourself with the concepts below. For additional information, see Understanding SPS, SCS, and GCS.

Projects

Work in Trimble Business Center is structured in projects, which are analogous to 'construction projects' in the real world, i.e. the work performed in fulfilling a construction contract. The data associated with a project is stored within a project file (*.vce).

Field Data

Field data encompasses the job site data, design data, and work orders that you prepare to use on the controllers at your job site, as well as the measured results sent from the field back to this software.

Job Sites and Job Site Data

A job site is an object in your project that contains site settings and site-specific data, such as a site calibration, the related control points, and a site map. A project's job site represents the physical location at which the improvements associated with a construction project will be made. In creating a site, you designate which portions of the digital model in your project need to be made available to field crews as field data in the site map, and therefore sent to the controllers that you expect to be employed on that site. The site map can be used by crews in the field to identify specific areas where construction work is to be done at the site, and other areas to be avoided.

Note: It is important to give each site a unique name. See the Project and job site naming section in Edit a Job Site's Name and Settings.

Each project can contain only one site. A site can reside in your project without being assigned to any controllers. If you choose to assign a site to one or more controllers, you must designate the path to the data synchronization area in advance. When you assign a site to one or more controllers, its settings and field data are automatically copied to appropriate locations within the folder structure of the data synchronization area (the folder structure located beneath the synchronizer root folder), in the forms in which they will be used on the designated controllers in the field.

Each instance of the site, as it resides on every controller's representation within the data synchronization area, is associated with the project file within which it is defined.

External Job Sites

External job sites are those that exist in the data synchronization area, but not in your current project. For example, they may have been created there using SCS900 and SCS Data Manager, prior to you deployment of this software as the office component in your process. You can add an external site to your project to make its site data and related designs and design data available within the project. Then you can edit the site's settings or data.

When you add an external site to your project, its related designs are created as objects within the project and appear in the Project Explorer. If you add an external site that resides on multiple controllers to your project, all of the designs for the site on the various controllers appear in the Project Explorer.

Designs

A design is an object in your project that contains design data, such as a surface model, stakeout points, and a design map representing features of the design. In creating a design, you designate which portions of the data in your project need to be available to field crews in regard to the subject matter of that design, and therefore sent to designated controllers. Design data is used by crews at the job site to stakeout or check designed features, alignments, and surfaces or by machine operators in guiding earth moving operations.

After creating a site or adding an external site, one or more designs can be created in or added to the site. These designs reside in association with the single site that resides in the project. Designs can be assigned to any of the controllers to which the site has been previously assigned (that is to SCS site controllers, and/or to machines).

External Designs

External designs are those that exist in the data synchronization area, but not your current project. You can add external designs to make their design data part of your project. Then you can edit the design data.

Work Orders

A work order contains instructions for a field crew about the tasks they need to perform at a job site, as well as tolerances and other site controller settings associated with those tasks. Currently, work orders can only be assigned to SCS site controllers, not to GCS machines. A work order that requires design data in order to be carried out will contain a reference to the applicable design. Work orders are used to direct and track the progress of construction improvements at the site.

Multiple work orders can be created in association with a site. Even though they appear in the Project Explorer, work orders, unlike a site and designs, are not actually objects within your project. They simply reside in the data synchronization area and on the controller to which they are assigned. A work order can be created without being assigned to a particular construction crew's controller. It can later be assigned to one and only one controller. Each of those work orders appears in the Project Explorer beneath the Job site group.

Controllers

Controllers can include hand-held field devices (known as site controllers) that run Site Controller Software (SCS) and data cards assigned to equipment (known as machines) that run Grade Control Systems (GCS) software. SCS can also be operated on a tablet or notebook computer in the field.

Site controllers are commonly used by construction supervisors, foremen, etc., who may operate them from within a truck cab, as they drive the job site. Job site data, job site design data, and work orders are transferred back and forth between office computers and site controllers. After using a site controller to collect data in the field, the measurements are transferred from the site controller to an office computer.

Machines are used by heavy equipment operators to excavate, scrape, grade, and compact earth at a job site. Designs, containing surface models and guidance alignments are transferred between the office and machines on removable, compact flash data cards, or via the optional wireless two-way data option associated with the SiteVision Office software.

Data Synchronization Area (Synchronizer Root Folder)

Synchronization is the process of making files on a controller match the files in the data synchronization area (the folder structure located beneath the synchronizer root folder) used by Trimble Business Center, and SCS Data Manager. To be in a state of synchronization, a file with the same creation/modification date must appear on both the controller and in the data synchronization area. Files are synchronized so that office staff using this software and field crews using SCS and GCS are using the same (or most current) data.

The data synchronization area is a folder structure (installed by the Office Synchronizer program on the office computer's hard drive) that contains job site settings and data, design data, and work orders in a file structure that SCS and GCS can use. Office Synchronizer uses the data synchronization area to exchange files between the office software and the controller software so that they are synchronized.

Note: Synchronization with a controller is an activity that must be initiated by the user.

The default path for the data synchronization area depends on your operating system:

  • In Windows® XP or earlier: C:\Documents and Settings\<user name>\My Documents\Trimble Sync
  • In Windows VistaTM: C:\Trimble Synchronizer Data

You may, however, have placed your data synchronization area in a different location or named it differently. To see where it is currently located, select Tools > Options. In the Options dialog, click File Locations in the left pane.

Note: For simplicity, the synchronizer root folder's file structure is referred to as the 'data synchronization area' throughout this documentation.
Note: The data synchronization area is meant for data exchange only, as a temporary repository for data that is in transit between the office and the field. You should not directly modify its structure or contents, but manage all your construction project files in a separate location.

Conflicts and Conflict Resolution

A conflict is triggered by a difference between the job site data or design data in your project and data for the same site or design in the data synchronization area. In addition, a conflict can arise from a difference between data for the same site or design on multiple controllers, or the introduction of new data on a controller.

A conflict is indicated by an active Resolve button with an [image] icon in the command pane. The icon is a reminder that you need to resolve the inconsistency by choosing which data to use in both your project and on all controllers on which that data resides. Depending on your choice, either your project data or the data in the data synchronization area is updated, thereby resynchronizing them.


SCS, GCS, PCS Functional Compatibility Chart

Use this chart to confirm the compatibility between different site controller and machine types and the field data commands that support them.

Job site

SCS

GCS/SiteVision/AccuGrade/Cat Grade Control

PCS/AccuGrade for Paving

Site settings

This software supports a number of units of measure that are not supported by SCS.

na

na

Site calibration

One calibration is supported per job site.

One calibration is supported per design. File overwrite protection is not supported.

Conflicts to resolve show in the Model group for each design, but can be resolved at one time using the Resolve button for the Site Calibration group in the Job Site Manager.

na

Control points

This supports file overwrite protection.

na

na

Site map

Avoidance zones

na

Feature codes

na

na

Controllers

Job site design

SCS

GCS/SiteVision/AccuGrade/Cat Grade Control

PCS/AccuGrade for Paving

Model

None [image] - This type cannot be selected if the design is assigned to GCS machines.

Alignment [image] - This type cannot be selected if the design is assigned to GCS machines.

Surface

Road surface [image] - If the design is assigned to GCS machines, only one alignment can be selected.

3D linework - na

None - na

Alignment - na

Surface

Road surface [image] - Only one alignment can be selected.

3D linework [image] - This type cannot be selected if the design is assigned to SCS site controllers.

None [image] - This type cannot be selected if the design is assigned to GCS machines.

Alignment [image] - This type cannot be selected if the design is assigned to GCS machines.

Surface

Road surface [image] - If the design is assigned to GCS machines, only one alignment can be selected.

3D linework [image] - This type cannot be selected if the design is assigned to SCS site controllers.

Stakeout points

na

na

Design map

Controllers

External job site designs

The data on SCS site controllers can be imported.

It can only be reassigned to another SCS site controller, if it is already assigned to a controller of the same or compatible type.

It can only be reassigned to another GCS machine, if it is already assigned to a machine of the same or compatible type, e.g. GCS900 version 11 and AccuGrade version 11 are compatible types.

If the external design is only assigned to data cards for GCS/AccuGrade machines, none of the data on the machines can be imported.

It can only be reassigned to another PCS machine, if it is already assigned to a machine of the same or compatible type

If the external design is only assigned to data cards for PCS/AccuGrade machines, none of the data on the machines can be imported.

Work order

SCS

GCS/SiteVision/AccuGrade/Cat Grade Control

PCS/AccuGrade for Paving

na

na

Controller Manager

SCS

GCS/SiteVision/AccuGrade/Cat Grade Control

PCS/AccuGrade for Paving

Create controllers/machines

na

Site controllers can only be added when they are synchronized using Office Synchronizer.

Extended coordinate system and embedded geoid support are available with specified GPS firmware versions.

Extended coordinate system and embedded geoid support are not available.

Edit controllers/machines

na

The name cannot be edited.

The name cannot be edited.

Machine site map exporter

SCS

GCS/SiteVision/AccuGrade/Cat Grade Control

PCS/AccuGrade for Paving

Data

na

File name

na

Controller type

na

Controller version

na

GCS900 and AccuGrade: all versions from 5.5 to 11.21 are supported.

SiteVision: only version 5.5 is supported.

Cat Grade Control: all versions are supported.

PCS versions 1.0, 1.1, and 2.0 are supported.

Machine avoidance zone exporter

SCS

GCS/SiteVision/AccuGrade/Cat Grade Control

PCS/AccuGrade for Paving

Data

na

GCS900 and AccuGrade versions 11 and 11.1 do not support avoidance zones with arcs. If you pick lines with arcs, the arcs will be linearized.

GCS900 and AccuGrade versions 11 and 11.1 do not support avoidance zones whose area is less than 0.001 square meters. If you select a closed line that encompass less than this area, it is ignored in the export.

Cat Grade Control: all versions are supported.

na

Controller type

na

na

Controller version

na

GCS900 and AccuGrade: all versions from 5.5 to 12.0 are supported.

SiteVision: only version 5.5 is supported.

Cat Grade Control: all versions are supported.

na

Machine job site design exporter

SCS

GCS/SiteVision/AccuGrade/Cat Grade Control

PCS/AccuGrade for Paving

Model type

na

None - na

Alignment - na

Surface

Road surface [image] - Only one alignment can be selected.

3D linework [image] - This type cannot be selected if the design is assigned to SCS site controllers.

None - na

Alignment - na

Surface

Road surface [image] - If the design is assigned to GCS machines, only one alignment can be selected.

3D linework [image] - This type cannot be selected if the design is assigned to SCS site controllers.

Surface clipping boundary

na

Design map

na

Controller type

na

Controller version

na

GCS900 and AccuGrade: all versions from 5.5 to 12.0 are supported.

SiteVision: only version 5.5 is supported.

Cat Grade Control: all versions are supported.

PCS versions 1.0, 1.1, and 2.0 are supported.

Copy data to card/USB flash drive

SCS

GCS/SiteVision/AccuGrade/Cat Grade Control

PCS/AccuGrade for Paving

na

Supported only from version 12.0.

Supported only from version 2.0.

Compress and e-mail field data

SCS

GCS/SiteVision/AccuGrade/Cat Grade Control

PCS/AccuGrade for Paving

If you select a data card for a GCS machine, you cannot select files individually, but you can select entire sets of files for job sites or designs. The recipient of the e-mail can extract the compressed file directly into the root folder of a compact flash data card.

The Only show files modified since last synchronization box is disabled because GCS machines are not supported by Office Synchronizer.

If you select a data card for a PCS machine, you cannot select files individually, but you can select entire sets of files for job sites or designs. The recipient of the e-mail can extract the compressed file directly into the root folder of a compact flash data card.

The Only show files modified since last synchronization box is disabled because PCS machines are not supported by Office Synchronizer.


Office Synchronizer

Office Synchronizer is a separate program that transfers data files between your computer and your field device, and verifies that the data in both locations is the same, or synchronized.

To open Office Synchronizer:

Do one of the following:

  • Select Field Data > Office Synchronizer.
  • Click the [image] icon (if on the toolbar).

Related topics

Understanding Sites, Field Data, and Synchronization


SCS Data Manager

The SCS Data Manager is a separate program that lets you create sites, organize job site data and job site design data, write work orders, and assign the data and work orders to controllers in preparation for Trimble® Site Controller Software (SCS). SCS Data Manager preceded this software as a simple, non-graphical data management tool. Though this software is meant to improve on and replace SCS Data Manager, that program has been retained for those who may prefer some aspect of its capabilities. It can, in fact, be launched from within this software and be used in conjunction with it if desired.

SCS enables you to measure material volumes, monitor grades and laid material thickness, and perform other site-related tasks, such as roadway point, line, and surface stakeout.

Note: Most of the SCS Data Manager's functions have been embedded in the Job Site Manager in this software.

To open the SCS Data Manager:

Do one of the following:

  • Select Field Data > SCS Data Manager.
  • Click the [image] icon (if on the toolbar).

Related topics

Manage a Job Site and Job Site Data

Workflow for Creating a Job Site

Workflow for Using an External Job Site


Field Data Icons in the Project Explorer

Icons in the Project Explorer show the type and hierarchy of each object in your project's data. Many of the icons also indicate the state of the object. Unsynchronized objects are those in conflict with data in the data synchronization area. They are denoted by the [image] icon.

Icons in the Project Explorer
 | A project
 | A surveyed point
 | A coordinate of a point
 | A surface
 | A surface contour
 | An alignment
 | A synchronized job site
 | An unsynchronized job site
 | A job site with an unsynchronized design
 | A job site design
 | An unsynchronized job site design
 | An external design
 | An unsynchronized external design
 | An unstarted work order
 | An in-progress work order
 | A work order with completed field operations
 | A completed work order
 | An archived work order
i_work order complete with results | A work order (any state) with imported results
 | A boundary

Related topics

Project Explorer

Resolve a Conflict in Site Settings

Resolve a Conflict in Site Calibrations

Resolve a Conflict in Control Points

Resolve a Conflict in Site Maps

Resolve a Conflict in Avoidance Zones

Resolve a Conflict in Design Models

Resolve a Conflict in Stakeout Points

Resolve a Conflict in Design Maps


Manage a Job Site and Site Data

Use the Job Site Manager to create a job site to be used by a Trimble® Site Positioning System (SPS) or Grade Control System (GCS). Then, prepare job site data, and assign the data to the specific controllers to be used on the site. Use the Job Site Design Manager to prepare job site designs, and use the Work Order Editor to create work orders.

For additional information, see Understanding Job Sites, Field Data, and Synchronization.

Related topics

Workflow for Creating a Job Site

Workflow for Using an External Job Site

Create a Job Site

Manage Job Designs and Design Data

Manage Work Orders and Results


Workflow for Creating a Job Site

Use this workflow to prepare job site data for field crews. Then, assign the site and its data to specific controllers so that when the crews synchronize their controllers or write data cards for a machine, the correct data goes to the designated controllers.

To get guidance through this workflow in the software, select Help > Workflow Guides.

Note: Your tasks may vary from these typical steps, so feel free to use a different order or skip steps.

Here is the general workflow:

  1. Open or create a project within which to manage the data associated with a construction project and its job site.
  2. Assign the site to specific controllers. The types of objects that you add to your site data depend on whether you are assigning the data to site controllers or machines.
  3. Import or digitize any CAD, point, alignment, surface, or survey data that you want field crews to access at the site.
  4. Prepare your job site data by organizing it by layer and deleting unneeded objects and layers.
  5. Create a job site in the Job Site Manager, and assign it to one or more controllers.
    The site, which will contain site-level data associated with the use of a Trimble® Site Positioning System or Grade Control System, is created in your project. As you assign the site to specific controllers, external folders for those controllers and their data are created within the data synchronization area, ready to be placed on the controllers the next time they are synchronized.

    Note: Each project can contain only one job site.

  6. Review settings, such as the units and coordinate system, for the site.
  7. Select and add control points in your project data to the control point file included in the site data. Control points are used by crews in the field to establish the positional accuracy of a site survey.
  8. Select and add objects in your data to the site map. Site maps typically contain landmarks, site features and boundaries that can be referenced by crews in the field to determine their location on the site.
  9. Select and add avoidance zones to the site data. Avoidance zones are used by machines in the field to keep them from entering restricted areas on the job site.
  10. Close the Job Site Manager. The site, site data, and settings are written to the data synchronization area so they can be transferred to assigned controllers when those devices are synchronized.

Note: To synchronize a controller using the Office Synchronizer utility, see Office Synchronizer and Prepare to Connect a Field Device.

Related topics

Create a Job Site

Workflow for Using an External Job Site


Workflow for Using an External Job Site

If you or a colleague have already created an external job site using SCS Data Manager or some other means, you can import and edit that site's data within your project without affecting the data in the data synchronization area (assuming that you do not disable file overwrite protections; for more information, see Prevent Overwriting Job Site Data).

The chart below outlines the status of file overwrite protection and conflict resolutions for various paths through adding an external job site and external job site data:

Job site

Job site designs

1a. Create a job site >

  • File protection is off by default
  • You can resolve site conflicts via the data sync area by:

    - writing project's site files to controllers

    - reading in* controller site files and then writing project's site files back out to all controllers

2a. Create a design >

  • File protection is not available by default
  • You can resolve design conflicts via the data sync area by:

    - writing project's design files to controllers

    - reading in controller's design files and then writing project's design files back out to all controllers

3. Add an external design
(only if you delete a design previously created for the site in this project)

  • File protection is off by default
  • You can resolve design conflicts via the data sync area by:

    - reading in controller's design files and then writing project's design files back out to all controllers using stored file timestamps

1b. Add an external job site** >

  • File protection is on by default
  • You can resolve site conflicts via the data sync area by:

    - reading in controller's site files and then writing project's design files back out to all controllers using stored file timestamps

2b. Create a design**

  • File protection is not available by default
  • You can resolve design conflicts via the data sync area by:

    - writing project's design files to controllers

    - reading in controller's design files and then writing project's design files back out to all controllers

2c. Add an external design**

  • File protection is on by default
  • You can import data from design files if there are no design conflicts between controllers

* "Reading in" means importing the data without creating an imported file node in the Project Explorer or adding the files to the Imported Files folder for the project. The only way to 'undo' data from ‘reading in’' is to resolve conflicts.

** If you save, close and reopen a project at stages 1b, 2b, or 2c, file protection settings are inherited from those stages, respectively.

Related topics

Add or Import External Job Site Data

Add or Import External Job Site Design Data


Create a Job Site

If your project does not already contain a job site, create one so you can assign job site data to one or more controllers for use in the field. When you create a job site, it is stored in the current project, and appears in the Project Explorer, indicated by the [image] icon. A job site is essentially a container in which you can designate portions of project data related to the job site to be available to field crews employing a Trimble® Site Positioning or Grade Control System.

Note: Each project can contain only one job site.

To create a job site:

  1. Do one of the following:
    • Select Field Data > Job Site Manager.
    • Click the [image] icon (if on the toolbar).

    The Job Site Manager displays.

  2. Select Create new site, and type a unique name in the New site name box (For details, see the Project and site naming section in Edit a Job Site's Name and Settings).
  3. Check the box for each SCS site controller and GCS machine that you want to assign the job site to in the Controllers group.

    Note: You can create a job site without assigning any controllers, but the job site and job site data cannot be saved to, or used on, controllers until you do so. The job site and job site data are saved in your project until controllers are assigned in the future.

  4. Click OK. The second Job Site Manager command pane displays, and the job site appears in the Project Explorer. Start at step 3 in Edit a Site's Name and Settings.

    Note: Settings for new job sites are inherited from Project Settings. If these settings are not recognized by the assigned controllers, the Unsupported Project Settings dialog displays. You must resolve unsupported job site settings before creating a job site.

To delete a job site:

  1. Select the job site in the Project Explorer.
  2. Do one of the following:
    • Click the [image] icon (if on the toolbar).
    • Press [Ctrl] + [D].

    The job site is removed from the project and disappears from the Project Explorer.

    Note: If you delete a job site in this software, it is removed from the project, but not from the data synchronization area. If you delete a job site from the data synchronization area using SCS Data Manager or Windows® Explorer, it remains in the project, but assignments to any controllers are lost.

Related topics

Add an External Job Site

Edit a Job Site's Name and Settings

Job Site Options

Workflow for Creating a Job Site


Add or Import External Job Site Data

Add external job sites to make their job site data and associated designs and design data part of your project. Adding an external job site makes it (and its designs and work orders) appear in the Project Explorer. Then, you can edit and report on the data without affecting the files in the data synchronization area (assuming that you do not disable file overwrite protections. For more information, see Workflow for Using an Existing Site and Prevent Overwriting Job Site Data.

Note: Each project can only contain one job site.
Note: An external site can be added to a project regardless of the types of controllers to which it is assigned. However, if the external site is only assigned to data cards for GCS/AccuGrade machines, none of the data on the controllers can be imported. If it is assigned to SCS site controllers, the data on those controllers can be imported.

To add an external job site:

  1. Do one of the following:
    • Select Field Data > Job Site Manager.
    • Click the [image] icon (if on the toolbar).

    The Job Site Manager displays.

  2. Select Add external site, and select a site in the External site list.

    Note: The External site list shows all of the sites found in the data synchronization area on your hard drive.

  3. Click OK. The second Job Site Manager command pane displays, and the job site appears in the Project Explorer. See Edit a Job Site's Name and Settings.

    Note: When you import external job site data, if you have conflicts between your project's site data and the site data on controllers, red dots will still appear on the resolve buttons in the Job Site Manager. You will be unable to resolve the conflicts with these settings enabled, but you will not be prevented from making changes to the data because it will not be exported to the data synchronization area and assigned controllers.

Related topics

Create a Job Site

Edit a Job Site's Name and Settings

Job Site Options

Workflow for Creating a Job Site


Prevent Overwriting Job Site Data

In certain situations, you may want to prevent yourself or others from overwriting the job site data in a data synchronization area (and ultimately on assigned controllers) with the job site data in your project. Accidentally overwriting files in your data synchronization area usually occurs when you add an external job site or external design to your project. The settings described below can prevent this from happening.

Three project settings are available to protect the data in your data synchronization area:

  • Protect site calibration files
  • Protect for control points files
  • Protect other site files and external designs (site files include site units, site map objects, avoidance zones, and feature code files)

When file overwrite protection is enabled, any data that is imported or 'read in' from an external job site or design is not written back out to the data synchronization area. If you assign your job site to additional controllers, however, your project's site and design data can still be exported (or copied from another controller) to them. By default, file overwrite protection is enabled when you add an external job site or job site design to your project. For more information, see Workflow for Using an Existing Site.

Note: The site calibration setting refers to calibration at the job site level. Site calibration for GCS controllers, however, is per design, so it is not affected and behaves normally. When a site calibration is sent to a GCS controller, a configuration file (.cfg) is also written to the design folder for the machine. This configuration file cannot be re-imported, so it cannot be used to resolve a conflict.

To access file overwrite protection settings:

  1. Select Project > Project Settings.
  2. In the Project Settings dialog, click Computational Settings and then Field Data in the left pane.
  3. Click in each of the File Overwrite Protection settings for the data you need to protect, and select Yes. When you or other users try to save site data to a controller that already has those types of files, you will be prevented from doing so.

    Note: When you import external job site or job site design data, if you have conflicts between your project's site data and the site data on controllers, red dots will still appear on the resolve buttons in the Job Site Manager and Job Site Design Manager. You will be unable to resolve the conflicts with these settings enabled, but you will not be prevented from making changes to the data because it will not be exported to the data synchronization area and assigned controllers.

Related topics

Add or Import External Job Site Data

Add or Import External Job Site Design Data

Computational Settings


Job Site Options

Use these options to edit a job site's name and settings, and to add and edit site data, such as a calibration file, control points, and a site map. In addition, you can change the controllers to which the site is assigned. The options are available in the Job Site Manager command pane.

Options

Click this to open the Controller Manager.

Click this to launch the SCS Data Manager.

Site settings

Rename - Click this to display the Rename Job Site dialog, where you can change the site name.

Note: Before you rename a site, read the Project and site naming section in Edit a Job Site's Name and Settings.

Units - Click this to display the Job Site Units dialog where you can review project and controller-based settings for the site. To change any of the settings, click Project Settings.

Resolve - If there are settings conflicts, click this to display the conflict resolution dialog. The [image] icon indicates that there is a conflict.

Site calibration

This shows the date and time that the site calibration in your project (either an imported site calibration file (.dc) or a site calibration that was performed in the software) was sent to the data synchronization area by assigning the current site to at least one controller.

Resolve - If there are conflicts, click this to display the conflict resolution dialog.

Note: If you have file overwrite protection enabled for site calibrations, you will not be able to resolve a site calibration conflict.

Control points

Select - Click this to select/highlight the control points currently included in the site data.

- Click this to display the Add/Remove Control Points dialog, in which you can change the control points included in the site data.

Resolve - If there is a conflict with the control points, click this to display the conflict resolution dialog.

Note: If you have file overwrite protection enabled for control points, you will not be able to resolve a control point conflict.

Site map

Select - Click this to select/highlight the map objects currently included in the site data.

- Click this to display the Add/Remove Site Map Objects dialog, in which you can change the site map objects included in the site data.

For details on the objects you can include, see Export GCS Machine Site Map Files.

Resolve - If there is a conflict with the site map, click this to display the conflict resolution dialog.

Avoidance zones

Select - Click this to select/highlight the avoidance zones currently included in the site data.

- Click this to display the Add/Remove Avoidance Zones dialog, in which you can change the avoidance zones included in the site data.

For details on the objects you can include, see Export GCS Machine Avoidance Zone Files, or for details on sending avoidance zones to SCS site controllers, see Export CAD Files (.dwg/.dxf).

Resolve - If there is a conflict with the avoidance zones, click this to display the conflict resolution dialog.

Feature codes

If you have specified a feature definition file (.fxl) in Project Settings, this shows the date and time that the file was sent to the data synchronization area.

To add or change the feature definition file, see Feature Code Processing Settings.

Note: If a feature definition file is included in your site data, those feature codes will be used instead of any in a feature code list (.lst) associated with the controller to which the site is assigned.

Resolve - If there is a conflict with the feature definition files, click this to display the conflict resolution dialog.

Controllers

Reassign - Click this to display the Reassign Job Site dialog, in which you can change the controllers to which the site is assigned.

Related topics

Edit a Job Site's Name and Settings

Edit Job Site Data

Reassign a Job Site to Controllers

Workflow for Creating a Job Site

Workflow for Using an External Job Site

Icons in the Project Explorer


Edit a Job Site's Name and Settings

Review and change a job site's name and units in preparation for use on site controllers in the field. These are the common settings found in Trimble's Site Controller Software (SCS) and this software's projects: Distance units, angular units, station format, and coordinate order.

Project and job site naming

You should give each of your project files a unique name so they uniquely pertain to a particular construction project and reliably avoid confusion with other projects. In addition, you must name each job site uniquely because controllers identify the project and its site by the site name alone; the project name is not available on the controller. If two construction projects contain sites of the same name, and if those sites are each assigned to a number of controllers, there is no way for the user of the site controller in the field to determine which project the site data pertains to, other than through his familiarity with the data. In general, the name of a project and its site should be the same. If that is not feasible, try to derive a site name shortened from the project name. Shortening the site name may be warranted in light of the small screen size available on some site controllers.

To edit a job site's name and settings:

  1. If you have just created or added a job site, the Job Site Manager command pane is displayed. Otherwise, do one of the following:
    • Select Field Data > Job Site Manager.
    • Click the [image] icon (if on the toolbar).

    The Job Site Manager command pane displays.

  2. To change the site name, click Rename in the Site Settings group. The Rename Job Site dialog displays.
  3. Type a unique name in the New site name box, and click OK.
  4. Click Units to review the settings for the site. The Site Units dialog displays.

    Note: This software supports a number of units of measure that are not supported by SCS. When using this software with SCS900, the units must be compatible. GCS machines are not dependant on job site settings.
    Note: Changing a site's name or settings can cause it to become out of sync with the data synchronization area. A desynchronized site is indicated by an [image] icon in the Project Explorer. To resolve conflicts after you edit a site, click each Resolve button that is available.

  5. To change the site calibration, control points, or site map objects included in your site data, see Edit Job Site Data.
  6. To change any of the controllers the site is assigned to, click Reassign in the Controllers group.
  7. Click Close. The site name and settings are saved to the data synchronization area.

Related topics

Reassign a Job Site to Controllers

Job Site Options

Resolve a Conflict in Job Site Settings

Resolve a Conflict in Site Calibrations

Resolve a Conflict in Control Points

Resolve a Conflict in Site Maps


Edit Job Site Data

Review and edit your job site data so it can be used on controllers at the site. Prior to editing the site data, make sure that you have imported any point and CAD data that you want to make available to construction crews on site so you can add additional points and objects to the site data as needed. If you want to include a site calibration in your site data, perform the calibration in your project or import a .dc calibration file.

Note: As you specify control points, site map objects, and avoidance zones for the job site, selection sets are created for each. These sets can be used in view filters to control what you see in graphic views.

To edit job site data:

  1. If you have just created or added a job site, the Job Site Manager command pane is displayed. Otherwise, do one of the following:
    • Right-click the site in the Project Explorer, and select Job Site Manager.
    • Select Field Data > Job Site Manager.
    • Click the [image] icon (if on the toolbar).

    The Job Site Manager command pane displays.

  2. If you have imported or performed a site calibration in your project, it is automatically added to the site data when you assign the site to controllers, as indicated by the Last update file date in the Site Calibration group (see Include a Site Calibration).
  3. To highlight the control points that are included in the site data in graphic views, click Select in the Control Points group.
  4. To change the control points that are included in the site data, click [image] (see Add or Remove Control Points). The Add/Remove Control Points dialog displays.
  5. To highlight the site map objects that are included in the site data, click Select in the Site Map group.
  6. To change the site map objects that are included in the site data, click [image] (see Add or Remove Site Map Objects). The Add/Remove Site Map Objects dialog displays.
  7. To highlight the avoidances that are included in the site data, click Select in the Avoidance Zones group.
  8. To change the avoidance zones that are included in the site data, click [image] (see Add or Remove Avoidance Zones). The Add/Remove Control Points dialog displays.
  9. If you have specified a feature definition file (.fxl) in Project Settings, it is automatically added to the site data, as indicated by the Last update file date in the Feature Codes group.

    To add or change the feature definition file, see Feature Code Processing Settings.

    Note: Changing a site's data can cause it to become unsynchronized with the data synchronization area, creating conflicts. A desynchronized site is indicated by the [image] icon in the Project Explorer. To resolve conflicts after you edit a site, click each Resolve button that is available.

  10. Click Close. The site data is saved to the data synchronization area.

Related topics

Job Site Options

Resolve a Conflict in Job Site Settings

Resolve a Conflict in Site Calibrations

Resolve a Conflict in Control Points

Resolve a Conflict in Site Maps

Resolve a Conflict in Feature Definition Files

Resolve a Conflict in Avoidance Zones


Include a Site Calibration

To include a site calibration in your job site data, simply perform a site calibration in your project or import a .dc calibration file. Either method automatically adds a .dc file to your site data in the data synchronization area when you assign the job site to controllers. The presence of a site calibration is indicated by the date in the Job Site Manager's Site Calibration group. If you add a site that you created and calibrated in SCS to your project, that calibration will also be reflected in the Site Calibration group.

Even if you do not perform or import a site calibration, the coordinate system and any datum, geoid, projection, and shift grid information that you specify in the Coordinate System Settings section of the Project Settings are automatically saved in the data synchronization area so they will be available when you open your site in SCS. If you calibrate your site or make other coordinate system changes in SCS, you will be prompted to resolve the site calibration conflict once you synchronize and reopen the site in this software.

Note: If you have file overwrite protection enabled for site calibrations, you will not be able to resolve a site calibration conflict.

Related topics

Edit Job Site Data

Prevent Overwriting Site Calibrations


Add or Remove Control Points

Add control points to your job site data to make them available on designated site controllers. Control points are used on site controllers by crews in the field to establish the positional accuracy of a site survey.

Note: You cannot add or remove control points if there is a conflict in site units. See Resolve a Conflict in Job Site Settings.

To add/remove site control points:

If you have just created or added a site, the Job Site Manager command pane is displayed. Otherwise, do one of the following:

  • Select Field Data > Job Site Manager.
  • Click the [image] icon (if on the toolbar).

The Job Site Manager command pane displays.

  1. Click [image] in the Control Points group. The Add/Remove Control Points command pane displays.
  2. To add additional control points to the file, pick them in a graphic view, or click Options for selection options.
  3. Click Add. The selected control points are added to the control point file.
  4. To remove excess control points, pick them or click Options.
  5. Click Remove. The points are removed from the site data.
  6. To highlight the control points that are now included in the site data in graphic views, click Select in the Control Points group.
  7. Click OK. The control points are saved as a .csv file in the data synchronization area.

    Note: If you are also using Omnistar© control points, they will reside with the site data in a file called reference.csv in the data synchronization area. This will not cause a conflict with your control points file.

  8. To visually confirm which control points are included in the site data, click Select in the Control Points group.

Related topics

Edit a Job Site's Name and Settings

Prevent Overwriting Control Points

Resolve a Conflict in Control Points


Add or Remove Avoidance Zones

Add avoidance zones to your job site data to make them available on designated data cards for machines (equipped with a grade control system) or controllers (running site controller software). Avoidance zones are used in the field to keep people and heavy equipment from entering restricted areas on the job site.

Note: Other Trimble® programs support multiple, user-named sets of avoidance zones. This software supports a single unnamed set of avoidance zones.

To add/remove avoidance zones:

If you have just created or added a job site, the Job Site Manager command pane is displayed. Otherwise, do one of the following:

  • Select Field Data > Job Site Manager.
  • Click the [image] icon (if on the toolbar).

The Job Site Manager command pane displays.

  1. To highlight any avoidance zones that are currently included in the job site data, click Select in the Avoidance Zones group.
  1. To change the avoidance zones that are included in the site data, click [image]. The Add/Remove Avoidance Zones dialog displays.
  2. To add additional zones, pick lines in the Plan View, or click Options for selection options.

    Note: Only closed polylines (CAD lines, linestrings, and boundaries) and closed alignments can be selected as avoidance zones. They are exported as 2D lines; all elevations and vertical alignments are ignored. All arcs and spirals are "linearized"; they are replaced by chords.
    Tip: To use an open line as an avoidance zone, close it first using the Edit Linestring or Join Lines command.

  3. Click Add. The selected lines are added to the site data.
  4. To remove unneeded zones, pick them or click Options.
  5. Click Remove. The lines are removed from the site data.
  6. Click OK. The avoidance zones are saved as an avoid.svl file in the data synchronization area.
  7. To visually confirm which avoidance zones are included in the site data, click Select in the Avoidance Zones group.

Related topics

Resolve a Conflict in Avoidance Zones


Add or Remove Site Map Objects

Add a site map to your job site data to make it available on designated controllers. Site maps typically contain landmarks, site features and boundaries that can be referenced by machines and used on site controllers by crews in the field to determine their location on the site.

Note: You cannot add or remove site map objects if there is a conflict in site units. See Resolve a Conflict in Job Site Settings.

To add/remove site map objects:

If you have just created or added a job site, the Job Site Manager command pane is displayed. Otherwise, do one of the following:

  • Select Field Data > Job Site Manager.
  • Click the [image] icon (if on the toolbar).

The Job Site Manager command pane displays.

  1. Click [image] in the Site Map group. The Add/Remove Site Map Objects dialog displays.
  2. To add additional objects to the map, pick them in a graphic view or the Project Explorer, or click Options for selection options.

    Note: Site map data can include points and CAD points, 2D or 3D CAD lines, linestrings, and boundaries, alignments, and CAD text. CAD blocks must be exploded before their data can be included. For details on how data exported for machines is handled, see Export GCS Machine Site Map Files.

  3. Click Add. The selected objects are added to the site map.
  4. To remove excess objects, pick them or click Options.
  5. Click Remove. The objects are removed from the map.
  6. Click OK. The site map is saved as a .dxf file for site controllers and as a .svl file for machines in the data synchronization area.
  7. To visually confirm which objects are included in the site map, click Select in the Site Map group.

Related topics

Edit a Job Site's Name and Settings

Resolve a Conflict in Site Maps

Export GCS Machine Site Map Files (.svl)


Reassign a Job Site to Controllers

Assign your job site to specific SCS site controllers or GCS machines so they can be accessed by the designated crews in the field.

To change a job site's assigned controllers:

  1. Do one of the following:
    • Select Field Data > Job Site Manager.
    • Click the [image] icon (if on the toolbar).

    The Job Site Manager command pane displays.

  2. Click Reassign in the Controllers group. The Reassign Job Site dialog displays.
  3. Check boxes for any controllers to which you want to assign the site. To remove the site from any controllers, uncheck the box.

    Warning: If you unassign a site from a controller, all data and work orders associated with the site are removed from the controller as well.

  4. Click OK.

Related topics

Edit a Job Site's Name and Settings

Job Site Options


Resolve a Conflict in Job Site Settings

Change unsupported project settings so that they can be recognized by assigned controllers. Unsupported settings are those that are valid in this software, but not in Site Controller Software (SCS). For example, the angular unit "Mils" is unsupported in SCS900, so it must be changed to a value that can be recognized.

Resolve conflicts between site-related settings in your project, and those on assigned controllers by changing and resynchronizing the settings. Conflicting settings are those that are valid in, but inconsistent between, this software and SCS. A conflict is indicated by the active Resolve button with the [image] icon in the Job Site Manager.

Causes of a site settings conflict include differences in distance or angular units, station format, or coordinate order.

Note: If there is a conflict in site units, you cannot edit or resolve conflicts in control points or site maps.
Note: The Undo and Redo commands do not affect any of the functions that synchronize files. Undo and Redo affect only edits made to database objects within your project; this does not include files in the data synchronization area (which SCS and GCS use). If you try to undo a conflict resolution, the Resolve button remains disabled because the conflict is still resolved.

To resolve unsupported project settings:

  1. If applicable, click Resolve in the Job Site Manager. The Unsupported Project Settings dialog displays.
  2. Review the settings that are unsupported, and click Project Settings. The Project Settings dialog displays.
  3. Change the unsupported settings to values that are supported, and click OK. If you selected a supported setting that is in conflict with the settings on the assigned controllers, the Resolve Site Units Conflict dialog displays (see the next section). Otherwise, the conflict is resolved.

To resolve a conflict in site settings:

  1. Click Resolve in the Job Site Manager. The Resolve Site Units Conflict dialog displays.
  2. Review the settings that are in conflict.
  3. To use the units from your Project Settings, click OK. The site settings are updated in the data synchronization area, and the conflict is resolved. Otherwise, to use the settings on your controllers, click Project Settings. The Project Settings dialog displays.

    Warning: Resolving a conflict by selecting the project-based units overwrites the units on the assigned controllers when they are synchronized.

  4. Edit the settings in your project that that are in conflict with those on the controllers so they match, and click OK. The conflict is resolved.

Related topics

Create a Job Site

Add an External Job Site

Edit a Job Site's Name and Settings

Icons in the Project Explorer


Resolve a Conflict in Site Calibrations

Resolve inconsistencies between a site calibration you have included in your job site data and calibrations for the same site on assigned controllers by choosing which calibration to use for all. A conflict is indicated by the active Resolve button with the [image] icon in the SCS Site Manager command pane.

Causes of a site calibration conflict include differences in site calibration names or dates. In addition, any differences between the coordinate system, datum, geoid, projection, or shift grid you specified in your project and those on assigned controllers will need to be resolved.

Note: If you have file overwrite protection enabled for site calibrations, you will not be able to resolve a site calibration conflict.
Note: The Undo and Redo commands do not affect any of the functions that synchronize files. Undo and Redo affect only edits made to database objects within your project; this does not include files in the data synchronization area (which SCS and GCS use). If you try to undo a conflict resolution, the Resolve button remains disabled because the conflict is still resolved.

To resolve a site calibration conflict:

  1. Click Resolve in the Job Site Manager.
  2. Click Yes if asked if you want to resolve conflicts. The Resolve Site Calibration Conflict dialog displays, showing any calibration in your project and all .dc calibration files for the site on the assigned controllers.
  3. Select either a project-based or controller-based calibration (or coordinate system file) in the list.

    Warning: Resolving a conflict by selecting the project-based calibration overwrites the calibration on assigned controllers when they are synchronized.

  4. Click OK. The conflict is resolved.

    Note: If you have a job site design assigned to a machine, when you click OK, the design's model will indicate that it has a conflict. There is one exception to this case: The design did not already have a conflict, the site calibration conflict was not caused by other changes in the project, and you did not import a new site calibration as part of resolving the conflict.

Related topics

Edit a Job Site's Name and Settings

Prevent Overwriting Site Calibrations

Job Site Options

Icons in the Project Explorer


Resolve a Conflict in Control Points

Resolve inconsistencies between control points you have included in your job site data and control points for the same site on assigned site controllers by choosing which points to use for all. A conflict is indicated by the active Resolve button with the [image] icon in the Job Site Manager command pane.

Causes of a control point conflict include differences in coordinates, feature codes, point file names or dates, or the points they contain.

Note: If you have file overwrite protection enabled for control points, you will not be able to resolve a site calibration conflict.
Note: You cannot resolve a conflict in control points if there is a conflict in site units.
Note: Certain characters are invalid in control point IDs:
/ \ : * ? < > | ; , ~ ‘ ` “ $ [ ] { } ^ ( )
Note: The Undo and Redo commands do not affect any of the functions that synchronize files. Undo and Redo affect only edits made to database objects within your project; this does not include files in the data synchronization area (which SCS and GCS use). If you try to undo a conflict resolution, the Resolve button remains disabled because the conflict is still resolved.

To resolve a multiple control point file conflict:

  1. Click Resolve in the Job Site Manager.
  2. Click Yes if asked if you want to resolve conflicts. The Resolve Control Points File Conflict dialog displays, showing the files that exist on a single controller.
  3. Select a control point file in the list, and click OK. All other control point files are removed, and the conflict is resolved.
  4. If there are multiple control point files on another controller, repeat the process and click OK. If you selected a control point file that is in conflict with others on assigned controllers, the Resolve Control Points Conflict dialog displays (see the next section). Otherwise, the conflict is resolved.

To resolve a control point conflict:

  1. Click Resolve in the Job Site Manager.
  2. Click Yes if asked if you want to resolve conflicts. The Resolve Control Points Conflict dialog displays, showing the control points in your project and on assigned controllers that are in conflict.
  3. Check one box for the control point you want to retain in each set of conflicting points.
  4. Click OK. The conflict is resolved.

Warning: Resolving a conflict by selecting the project-based control points overwrites the control points on assigned controllers when they are synchronized.

Related topics

Add or Remove Control Points

Prevent Overwriting Control Points

Edit a Job Site's Name and Settings

Job Site Options

Icons in the Project Explorer


Resolve a Conflict in Site Maps

Resolve inconsistencies between a site map you have included in your site data and site maps for the same job site on assigned controllers by choosing which file to use for all. A conflict is indicated by the active Resolve button with the [image] icon in the Job Site Manager command pane.

Causes of a site map conflict include differences in site map file names, dates, or the objects they contain.

Note: You cannot resolve a conflict in site maps if there is a conflict in site units.
Note: The Undo and Redo commands do not affect any of the functions that synchronize files. Undo and Redo affect only edits made to database objects within your project; this does not include files in the data synchronization area (which SCS uses). If you try to undo a conflict resolution, the Resolve button remains disabled because the conflict is still resolved.

To resolve a site map conflict:

  1. Click Resolve in the Job Site Manager.
  2. Click Yes if asked if you want to resolve conflicts by using the project-based map. Otherwise, click No. The Resolve Site Map Conflict dialog displays, showing site maps in your project and on assigned controllers that are in conflict.
  3. Select a site map file in the list, and click OK. The conflict is resolved.

    Warning: Resolving a conflict by selecting the project-based site map overwrites the site map on assigned controllers when they are synchronized.

Related topics

Add or Remove Site Map Objects

Edit an Job Site's Name and Settings

Job Site Options

Icons in the Project Explorer


Resolve a Conflict in Avoidance Zones

Resolve inconsistencies between an avoidance zone you have included in your site data and avoidance zones for the same job site on assigned controllers by sending your project's avoidance zones to the controllers. Avoidance zone conflicts can only be resolved in this way; avoidance zone files cannot be imported from controllers into your project.

A conflict is indicated by the active Resolve button with the [image] icon in the Job Site Manager command pane. Causes of avoidance zone conflicts include differences in avoidance zone file names, dates, or the objects they contain.

Note: The Undo and Redo commands do not affect any of the functions that synchronize files. Undo and redo affect only edits made to database objects within your project; this does not include files in the data synchronization area. If you try to undo a conflict resolution, the Resolve button remains disabled because the conflict is still resolved.

To resolve an avoidance zone conflict:

  1. Click Resolve in the Job Site Manager. The Resolve Avoidance Zone Conflict dialog displays, showing avoidance zone files in your project and on assigned controllers that are in conflict.
  2. Select your site data's set of avoidance zones in the list (Controller = <Project>), and click OK. The conflict is resolved.

    Warning: Resolving a conflict by selecting the project-based avoidance zones overwrites the avoidance zone files on assigned controllers when they are synchronized.

Related topics

Add or Remove Site Map Objects

Edit an Job Site's Name and Settings

Job Site Options

Icons in the Project Explorer


Resolve a Conflict in Feature Definition Files

Resolve inconsistencies between a feature definition file associated with your project and those on assigned SCS site controllers by overwriting the file on the controllers with the project's file. A conflict is indicated by the active Resolve button with the [image] icon in the Job Site Manager.

Causes of a feature definition file conflict include differences in file names or dates.

Note: The Undo and Redo commands do not affect any of the functions that synchronize files. Undo and Redo affect only edits made to database objects within your project; this does not include files in the data synchronization area (which SCS and GCS use). If you try to undo a conflict resolution, the Resolve button remains disabled because the conflict is still resolved.

To resolve a conflict in feature definition files:

  1. Click Resolve in the Job Site Manager. The Resolve Feature Codes Conflict dialog displays.
  2. Review the files that are in conflict.
  3. To use the file specified for your project, click OK. The files on the controllers are updated in the data synchronization area, and the conflict is resolved.

    Warning: Resolving a conflict by selecting the project-based file overwrites the feature definition files on the assigned controllers when they are synchronized.

To add or change the feature definition file:

See the help topic on Feature Code Processing Settings.

Related topics

Create a Job Site

Edit Site Data

Icons in the Project Explorer


Manage Job Site Designs and Design Data

After creating or adding a job site to your project, use the Job Site Design Manager to create job site designs, add design data, and assign the design data to specific controllers. Then, if you have field crews using a Trimble® Site Positioning System, use the Work Order Editor to create work instructions for them.

For additional information, see Understanding Job Sites, Field Data, and Synchronization.

Related topics

Create a Job Site Design

Export GCS Machine Job Site Design Files (.svd)

Manage a Job Site and Site Data

Manage Work Orders and Results


Create a Job Site Design

Create job site designs and add design data, such as a surface model, stakeout points, and design map objects, so that they can be sent to specific controllers to be used on the job site. Multiple designs can be associated with a site.

Designs that you add or create become objects within your project. A design is essentially a container in which you can designate portions of the project data as design data for use on the job site, making it available to field crews using site positioning or grade control systems. In addition, you can upload job site design files, such as surface and linework to VisionLink, via the Connected Community (TCC).

To create a job site design:

  1. Do one of the following:
    • Select Field Data > Create Job Site Design.
    • Click the [image] icon (if on the toolbar).

    The Create Job Site Design command pane displays.

  2. Type a unique name in the Design name box.
  3. Check the box for each controller you want to assign the design to in the Controllers group.

    Note: You can create a design without assigning it to any controllers, but the design will not be saved to, or used on, controllers until you do so. The design and design data are saved in your project until the design is assigned to specific controllers.

  1. Check the Publish to Business Data Center checkbox if you want to upload the job site design files into your data synchronization area, for publishing to VisionLink. See the Publish Field Data To Business Data Center help topic.

    Note: Both the machine design files and the VisionLink files can be synchronized, when you run the Office Synchronizer.

  1. Click OK. The second Job Site Design Manager command pane displays, and the design appears in the Project Explorer. See Edit Job Site Design Data.

To delete a job site design:

  1. Select the design in the Project Explorer.
  2. Do one of the following:
    • Right-click and select Delete from the context menu.
    • Press [Ctrl] + [D].

    If the design is assigned to controllers, it becomes an external job site design, is moved into External Designs in the Project Explorer, and remains in your data synchronization area.

    If the design is not assigned to any controllers, it is removed from your project and the data synchronization area, and disappears from the Project Explorer.

    Note: If you delete a design using SCS Data Manager or Windows® Explorer, it remains in your project, but assignments to any controllers are lost.

To delete an external job site design:

  1. Right-click an external design in the Project Explorer, and select Reassign External Job Site Design from the context menu. The Reassign External Job Site Design dialog displays.
  2. Uncheck the box for each controller.
  3. Click OK. A confirmation message displays.
  4. Click Yes. The design is removed from the Project Explorer and the data synchronization area.

Related topics

Job Site Design Options

Edit Job Site Design Data

Add an External Design

Publish Field Data To Business Data Center

Export GCS Machine Job Site Design Files (.svd)


Add or Import External Job Site Design Data

Add external job site designs to your job site to make them part of your project. Then, you can edit and report on the data without affecting the files in the data synchronization area (assuming that you do not disable file overwrite protections. External designs are those that exist in the data synchronization area, but not your current project. For more information, see Workflow for Using an Existing Site and Prevent Overwriting Job Site Data.

Note: An external job site design can be added to a project regardless of the types of controllers to which it is assigned. However, if the external design is only assigned to data cards for GCS/AccuGrade machines, none of the data on the controllers can be imported. If it is assigned to SCS site controllers, the data on those controllers can be imported.
Note: An external design can be reassigned to other controllers with these restrictions: It can only be reassigned to another SCS site controller, if it is already assigned to one of that type. This logic applies to data cards for GCS/AccuGrade machines as well. To be assigned to another controller of this type, the external design must already be assigned to one.

To add an external job site design:

  1. Do one of the following:
    • Right-click an external design in the Project Explorer, and select Add Job Site External Design from the context menu. The design is added to your site and project, and moves from External Designs to Designs in the Project Explorer (step 2 is not needed).

    or

    • Select Field Data > Add External Job Site Design.
    • Click the [image] icon (if on the toolbar).

    The Add External Job Site Design dialog displays.

  2. Select an external design in the list and click OK. The design is added to your site and project, and moves from External Designs to Designs in the Project Explorer.

    Note: When you import external job site design data, if you have conflicts between your project's data and the data on controllers, red dots will still appear on the resolve buttons in the Job Site Design Manager. You will be unable to resolve the conflicts with these settings enabled, but you will not be prevented from making changes to the data because it will not be exported to the data synchronization area and assigned controllers.

To delete an external job site design:

  1. Right-click an external design in the Project Explorer, and select Reassign External Job Site Design from the context menu. The Reassign External Job Site Design dialog displays.
  2. Uncheck the box for each controller.
  3. Click OK. A confirmation message displays.
  4. Click Yes. The design is removed from the Project Explorer and the data synchronization area.

Related topics

Create a Job Site Design

Icons in the Project Explorer


Edit Job Site Design Data

Review and edit your job site design data so it can be used on controllers at the job site. Prior to editing the data, make sure that you have imported any point and CAD data that you want to make available to construction crews on site. Then you can add additional points and objects to the site data as needed. If you want to use a road or surface model in your design, import any surface and alignment data that you need. In addition, you can upload job site design files, such as surface and linework to VisionLink, via the Connected Community (TCC).

Note: As you specify control points, site maps, and avoidance zones for the job site, selection sets are created for each. These sets can be used in view filters to control what you see in graphic views.

To edit job site design data:

  1. If you have just created a design, the Job Site Design Manager command pane is displayed. Otherwise, do one of the following:
    • Right-click a design in the Project Explorer, and select Job Site Design Manager from the context menu.
    • Select Field Data > Job Site Design Manager.
    • Click the [image] icon (if on the toolbar).

    The Select Design dialog displays. Select the design you want to edit, and click OK. The Job Site Design Manager command pane displays.

  2. To add a surface, alignment, or 3D linework to your design, click Edit in the Model group The Edit Job Site Design Model dialog displays (see Add and Edit a Job Site Design Model).
  3. To highlight the stakeout points that are included in the design data in graphic views, click Select in the Stakeout Points group.
  4. To change the stakeout points included in the design data, click [image]. The Add/Remove Stakeout Points dialog displays (see Add or Remove Stakeout Points).
  5. To highlight the design map objects that are included in the design data, click Select in the Design Map group.
  6. To change the design map objects included in the design data, click [image]. The Add/Remove Design Map Objects dialog displays (see Add or Remove Design Map Objects).

    Note: Changing a design's data can cause it to become unsynchronized with the data synchronization area, creating conflicts. An unsynchronized design is indicated by the I_scs internal design dirty icon in the Project Explorer. To resolve conflicts after you edit a design, click each Resolve button that is available.

  1. To upload the job site design files into your data synchronization area, for publishing to VisionLink, check the Publish to Business Data Center checkbox. See the Publish Field Data To Business Data Center help topic.

    Note: Both the machine design files and the VisionLink files can be synchronized, when you run the Office Synchronizer.

  1. Click Close. The design data is saved to the data synchronization area.

Related topics

Job Site Design Options

Export GCS Machine Job Site Design Files (.svd)

Publish Field Data To Business Data Center

Resolve a Conflict in a Job Site Design Model

Resolve a Conflict in Stakeout Points

Resolve a Conflict in Design Maps


Job Site Design Options

Use these options to:

  • Add and edit job site design data, such as a model, stakeout points, and a design map.
  • In addition, you can change the site controllers to which the design is assigned. They are available in the Job Site Design Manager.
  • Upload job site design files, such as surface and linework to VisionLink, via the Connected Community (TCC), using the Publish Field Data To Business Data Center command.

Options

Click this to open the Controller Manager.

Click this to launch the SCS Data Manager.

Name

Design name - This shows the name of the current design.

Model

Type - This shows whether the design model is a surface, road surface, alignment, or 3D linework.

Last update - This displays the date the model was added or last modified.

Edit - Click this to display the Edit Job Site Design Model dialog, where you can add a model to the design, or edit an existing model.

Resolve - If there is a conflict with the model, click this to display the conflict resolution dialog. The [image] icon indicates that there is a conflict.

Stakeout points

Select - Click this to highlight the stakeout points currently included in the design data.

- Click this to display the Add/Remove Stakeout Points dialog, in which you can change the stakeout points included in the design data.

Resolve - If there is a conflict with the stakeout points, click this to display the conflict resolution dialog.

Design map

Select - Click this to highlight the map objects currently included in the design data.

- Click this to display the Add/Remove Design Map Objects dialog, in which you can change the map objects included in the design data.

For details on the objects you can include, see Export GCS Machine Job Site Design Files.

Resolve - If there is a conflict with the design map, click this to display the conflict resolution dialog.

Controllers

Reassign - Click this to display the Reassign Design dialog, in which you can change the controllers to which the design is assigned.

Publish To

Publish to Business Data Center - Check this box to upload design surface and linework files to VisionLink via TCC.

For details on sending data to organization filespace, see the Publish Field Data To Business Data Center help topic.

Related topics

Edit Job Site Design Data

Export GCS Machine Job Site Design Files (.svd)

Icons in the Project Explorer


Add and Edit a Job Site Design Model

Add a model to your job site design to make it available on assigned controllers. Models, which can be defined by a surface, an alignment, a surface and an alignment, or simply 3D linework, are used by crews in the field to perform grading, checks, and other operations, and by machines to perform excavation and grading operations.

To add or edit a job site design model:

  1. If you have just created a job site design, the Job Site Design Manager command pane is displayed. Otherwise, do one of the following:
    • Select Field Data > Job Site Design Manager.
    • Click the [image] icon (if on the toolbar).

    The Select Job Site Design dialog displays.

  2. Select the design you want to edit, and click OK. If no designs exist, you will need to Create a Job Site Design. The Job Site Design Manager command pane displays.
  3. Click Edit in the Model group. The Edit Job Site Design Model command pane displays.
  4. Select a model type, depending on what kind of data you have. The pane updates, indicating the types of data you need for the model.
  5. If you are creating a surface or road surface model, select the surface you want to use for the model in the Surface list.
  6. If you only want to use a portion of the surface, select the boundary you want to use to clip it in the Surface clipping boundary list.
  7. If you are creating a road surface or alignment model, check the boxes for one or more alignments in the Alignments box. For descriptions of the valid types of data, see Design Model Options.

    Note: If you do not. have the surface, boundary, or alignment in your project yet, you can create them by selecting New.

  8. If you are creating a 3D linework model, pick the 3D lines in a graphic view or the Project Explorer, or click Options for selection options.

    Note: For details on how data exported for machines is handled, see Export GCS Machine Job Site Design Files.

  9. Click Add. The selected objects are added to the model.
  10. To remove excess objects, pick them or click Options.
  11. Click Remove. The objects are removed from the model.
  12. Click OK. The model is added to your design.
    If you created a surface model, it is saved as a .ttm file for site controllers or an .svd file for machines in the data synchronization area.
    If you created a road surface or alignment model, it is saved as a .pro file.
    If you created a 3D linework model, it is saved as a .dxf file for controllers or an .svl file for machines.

Related topics

Design Model Options

Resolve a Conflict in an Model

Create a Surface

Create a Boundary

Create an Alignment


Design Model Options

Use these options to add and edit job site design model data. They are available in the Job Site Design Manager.

Options
None | This type is selected by default. Note: This type cannot be selected if the design is assigned to GCS machines.
Surface | Select this to specify only a surface and an optional clipping boundary for the model. Note: If the surface used in your design model is clipped by a boundary, all breaklines in the surface will appear as unnamed features when the surface is viewed in SCS. If the surface in your design model does not contain a boundary, the breakline names will appear in SCS.
Alignment | Select this to specify one or more alignments for the model. Note: This type cannot be selected if the design is assigned to machines. The GCS exporter does not support alignments. Note: The alignment model can be made from 3D alignments defined by a HAL and a VAL, and 2D alignments defined by a HAL alone (if either no VAL exists or more than one VAL exists). This will enable field crews to stake the alignments, or others generated on-the-fly in relation to them, based on a combination of horizontal offset, vertical offset, and cross-slope in SCS.
Road surface | Select this to specify a surface, optional boundary, and one or more alignments for the model. Note: For a road surface model, the alignment and surface you select must be coincident. Note: If the design is assigned to GCS machines, only one alignment can be selected. Note: Two settings control how surface cross-sections are generated and displayed in this software. These settings are not available in GCS900. Therefore, when a road surface is exported to GCS900, the cross-sections in the field software may be different than those in this office software. For a detailed explanation of the difference and its ramifications on grading a road, please visit the Business Center - HCE Support web page at: http://www.trimble.com/tbc-hce_ts.asp?Nav=Collection-51339
3D linework | Select this to pick 3D lines for the model. For details on the objects you can include, see Export GCS Machine Job Site Design Files. Note: This type cannot be selected if the design is assigned to SCS site controllers. For machines, 3D linework is typically used for digging trenches with an excavator or guiding a grader in grading a road using a simple cross-slope.

Related topics

Add or Edit a Job Site Design Model


Add or Remove Stakeout Points

Add stakeout points to your job site design to make them available on designated site controllers. Stakeout points are used on site controllers by crews using Site Controller Software (SCS) in the field to stakeout features at the job site. Both surveyed points and CAD points can be selected as stakeout points, but you must convert the CAD points to survey points before they can be included.

To add/remove stakeout points:

  1. Do one of the following:
    • Select Field Data > Job Site Design Manager.
    • Click the [image] icon (if on the toolbar).

    The Select Design dialog displays.

  1. Select the design you want to edit, and click OK. The Job Site Design Manager command pane displays.
  2. Click [image] in the Stakeout Points group. The Add/Remove Stakeout Points command pane displays.
  3. To add additional points to the file, pick them in a graphic view, or click Options for selection options.
  4. Click Add. If any CAD points are selected, the Convert CAD Points dialog displays (see Convert CAD Points). Otherwise, the selected points are added to the stakeout point file.
  5. To remove excess stakeout points, pick them or click Options.
  6. Click Remove. The points are removed from the file.
  7. Click OK. The stakeout points are saved as a .csv file in the data synchronization area.
  8. To visually confirm which stakeout points are included in the design data, click Select in the Job Site Design Manager.

Related topics

Resolve a Conflict in Stakeout Points

Convert CAD Points to Survey Points


Convert CAD Points to Points

When you select points to add to your job site design data as stakeout points, any CAD points you have selected must be converted to points to be included.

To convert CAD points to points:

  1. Uncheck the Delete CAD points when done box if you want to retain both the CAD and points at the same location after the conversion. Otherwise, only the new points will remain.

    Note: Checking this box is recommended to prevent creating duplicate points at the same location by selecting the CAD points again in the future.

  2. Select a quality for the new points in the Point quality list (see Point Options for descriptions of the qualities).
  3. Type a feature code for the points if they will be used in feature code processing.
  4. Type a name to use as the base name and starting point for all of the new point IDs.

    Note: By default, the name of your design is used as the starting point ID. The new point IDs will be numbered and increment upwards. If the starting point ID includes a number, the new points will increment upwards from that number.
    For example, if the name of your site is "Landfill", and you are converting five CAD points, the new survey points will be named Landfill1, Landfill2...Landfill5. If you change the starting point ID to "Converted point 210", the five new survey points will be Converted point 211, Converted point 212...Converted point 215. If any of the incremented names already exists, they will be skipped, and the naming will start again at the next available increment.
    Note: Certain characters are invalid in point IDs: / \ : * ? < > | ; , ~ ' ` " $ [ ] { } ^ ( )
    When points are imported, these characters are replaced by an underscore in the point ID. It you type one of these characters in a point ID, it will not be accepted, and the program will beep.

  5. Click Yes to convert the points, or click No to ignore the selected CAD points and only add the selected survey points as stakeout points. The CAD points are converted to points and added to your stakeout points. Unlike CAD points, the new points can now also appear in the Point Spreadsheet.

Related topics

Add or Remove Control Points

Add or Remove Stakeout Points


Add or Remove Design Map Objects

Add a design map to your job site design to make it available on designated controllers. Design map objects are selectable on site controllers in the field. They are used by crews to stake out features, alignments, and surfaces at the job site.

To add/remove design map objects:

  1. Do one of the following:
    • Select Field Data > Job Site Design Manager.
    • Click the [image] icon (if on the toolbar).

    The Select Design dialog displays.

  1. Select the design you want to edit, and click OK. The Job Site Design Manager command pane displays.
  2. Click [image] in the Design Map group. The Add/Remove Design Map Objects dialog displays.
  3. To add additional objects to the map, pick them in a graphic view or the Project Explorer, or click Options for selection options.

    Note: Design maps can include points and CAD points, 2D or 3D CAD lines, linestrings, boundaries, and, alignments, and CAD text. CAD blocks must be exploded before their data can be included. For details on how data exported for machines is handled, see Export GCS Machine Job Site Design Files.

  4. Click Add. The selected objects are added to the design map.
  5. To remove excess objects, pick them or click Options.
  6. Click Remove. The objects are removed from the design map.
  7. Click OK. The design map is saved as a .dxf file in the data synchronization area.
  8. To visually confirm which objects are included in the design map, click Select in the Job Site Design Manager.

Related topics

Resolve a Conflict in Design Maps

Export GCS Machine Job Site Design Files (.svd)


Resolve a Conflict in Design Models

Resolve inconsistencies between a model in your job site design and models for the same design on assigned controllers by choosing which model to use for all. A conflict is indicated by the active Resolve button with the [image] icon in the Job Site Design Manager command pane. Causes of a model conflict include differences in model names, dates, or data.

Note: If the Edit button in the Model group has an [image] icon on it as well, the conflict should be resolved by changing the model type in the Edit Job Site Design Model dialog. To reach the dialog, click No when you are asked if you want to resolve the conflict. Then change the model type to be compatible with the types of controllers to which the design is assigned. This may resolve all of the design model conflicts.
Note: Configuration (.cfg) files do not appear in the conflict resolution dialog, even if the only conflict is between them.
Note: The Undo and Redo commands do not affect any of the functions that synchronize files. Undo and Redo affect only edits made to database objects within your project; this does not include files in the data synchronization area (which SCS and GCS use). If you try to undo a conflict resolution, the Resolve button remains disabled because the conflict is still resolved.

To resolve a model conflict:

  1. Click Resolve in the Job Site Design Manager.
  2. Click Yes if asked if you want to resolve conflicts by using the project-based model. Otherwise, click No to display the Resolve Model Conflict dialog, showing the model in your project and all .ttm files on the controllers to which the design is assigned.
  3. Select either the project-based or a controller-based model in the list.

    Warning: Resolving a conflict by selecting the project-based model overwrites the model on assigned controllers when they are synchronized.

  4. Click OK. The conflict is resolved, and the model is updated in your project or the data synchronization area, depending on your choice.

Related topics

Job Site Design Options

Icons in the Project Explorer


Resolve a Conflict in Stakeout Points

Resolve inconsistencies between stakeout points you have included in your job site design and stakeout points for the same design on assigned controllers by choosing which points to use on all. A conflict is indicated by the active Resolve button with the [image] icon in the Job Site Design Manager command pane.

Causes of a stakeout point conflict include differences in coordinates, feature codes, point file names or dates, or the points they contain.

Note: Certain characters are invalid in stakeout point IDs:
/ \ : * ? < > | ; , ~ ‘ ` “ $ [ ] { } ^ ( )
Note: The Undo and Redo commands do not affect any of the functions that synchronize files. Undo and Redo affect only edits made to database objects within your project; this does not include files in the data synchronization area (which SCS and GCS use). If you try to undo a conflict resolution, the Resolve button remains disabled because the conflict is still resolved.

To resolve a multiple stakeout point file conflict:

  1. Click Resolve in the Job Design Manager.
  2. Click Yes if asked if you want to resolve conflicts. The Resolve Stakeout Points File Conflict dialog displays, showing the files that exist on a single controller.
  3. Select a stakeout point file in the list, and click OK. All other stakeout point files are removed, and the conflict is resolved.
  4. If there are multiple stakeout point files on another controller, repeat the process and click OK. If you selected a stakeout point file that is in conflict with others on assigned controllers, the Resolve Stakeout Points Conflict dialog displays (see the next section). Otherwise, the conflict is resolved.

To resolve a stakeout point conflict:

  1. Click Resolve in the Job Site Design Manager.
  2. Click Yes if asked if you want to resolve conflicts. The Resolve Stakeout Points Conflict dialog displays, showing the stakeout points in your project and on assigned controllers that are in conflict.
  3. For each point in the list, click the [image] icon to expand the set.
  4. Check one box for the stakeout point you want to retain in each set of conflicting points.
  5. Click OK. The conflict is resolved, and the stakeout points are updated in the data synchronization area.

Warning: Resolving a conflict by selecting the project-based stakeout points overwrites the stakeout points on assigned controllers when they are synchronized.

Related topics

Job Site Design Options

Icons in the Project Explorer


Resolve a Conflict in Design Maps

Resolve inconsistencies between a design map you have included in your job site design and design maps for the same design on assigned controllers by choosing which map to use on all. A conflict is indicated by the active Resolve button with the [image] icon in the Job Site Design Manager command pane.

Causes of a design map conflict include differences in design map names, dates, or the objects they contain.

Note: Note: Configuration (.cfg) files do not appear in this dialog, even if the only conflict is between them.
Note: The Undo and Redo commands do not affect any of the functions that synchronize files. Undo and Redo affect only edits made to database objects within your project; this does not include files in the data synchronization area (which SCS and GCS use). If you try to undo a conflict resolution, the Resolve button remains disabled because the conflict is still resolved.

To resolve a design map conflict:

  1. Click Resolve in the Job Site Design Manager.
  2. Click Yes if asked if you want to resolve conflicts by using the project-based map. Otherwise, click No. The Resolve Design Map Conflict dialog displays, showing Design maps in your project and on assigned controllers that are in conflict.
  3. Select a design map file in the list, and click OK. The conflict is resolved, and the design map file is updated in the data synchronization area.

    Warning: Resolving a conflict by selecting the project-based design map overwrites the design map on assigned controllers when they are synchronized.

Related topics

Job Site Design Options

Icons in the Project Explorer


Reassign a Job Site Design to Controllers

Assign your job site designs to specific controllers so they can be accessed by the designated crews in the field. External designs are those that exist in the data synchronization area, but not your current project.

Note: You cannot reassign a design if it has conflicts, or if the job site that the design is associated with has conflicts. Resolve the conflicts first.

To reassign a job site design:

  1. Do one of the following:
    • Right-click a design in the Project Explorer, and select Job Site Design Manager from the context menu.
    • Select Field Data > Job Site Design Manager.
    • Click the [image] icon on the toolbar.

    The Select Design dialog displays.

  2. Select the design you want to edit, and click OK. The Job Site Design Manager command pane displays.
  3. Click Reassign in the Controllers group. The Reassign Design dialog displays.
  4. Check boxes for any controllers on which you want on access the design. To remove the design from any controller, uncheck the box.
  5. Click OK.

To reassign an external job site design:

Note: You cannot reassign an external job site design to a controller unless there is already a controller of the same or compatible type assigned to that external job site design, e.g. GCS900 version 11 and AccuGrade version 11 are compatible types.

  1. Do one of the following:
    • Right-click an external design in the Project Explorer, and select Reassign External Design from the context menu.
    • Select Field Data > Reassign External Design.
    • Click the [image] icon on the toolbar.
  2. Select the design in the Select External Design dialog, and click OK. The Reassign External Design dialog displays.
  3. Check the box for the controllers on which you want to access the design. To remove the design from any controllers, uncheck the box.
  4. Click OK.

Related topics

Job Site Design Options


Manage Work Orders and Results

After creating a job site and one or more job site designs, use the Work Order Editor to create work orders to send to your field crews, instructing them what tasks are to be performed at the site, as well as specifying the design, tolerances, and other settings to use.

For additional information, see Understanding Job Sites, Field Data, and Synchronization.

Related topics

Workflow for Managing Work Orders

Create a Work Order

Manage a Job Site and Site Data

Manage Job Site Designs and Design Data


Workflow for Managing Work Orders

Prepare instructions for your field crews by creating work orders in which you outline the required task, tolerances, and other settings to be use. Here is the general workflow:

  1. After you have added a job site and job site designs to your project, create a work order and assign it to a controller.
  2. Select a related design, if appropriate.
  3. Specify the primary task to be completed, and the tolerances and settings to use.
  4. Graphically review the site and design data associated with the work order.
  5. Save the work order. The work order is written to the data synchronization area so it can be transferred to the designated controller when it is synchronized.
  6. If needed, compress and e-mail the work order to colleagues or field crews.
  7. Once the task outlined in the work order has been completed and returned from the field, import it and any results into your project.
  8. Review the completed work order and field measurement data.
  9. Run work order reports.
  10. Copy, update and reuse the work order, or archive it in case you need to retrieve it in the future.

Types of work order tasks:

  • General - Use this type to instruct a field crew to perform a miscellaneous task, as specified in the Instructions box.
  • Check surface grade - Use this type to instruct a field crew to measure a surface while work is in progress, so that the measured surface can be compared to a specified design surface. This will help determine how much fill or cut remains to be done at each measurement point. The resulting report also shows whether the measured surface elevation is within tolerance, and therefore whether the design intent has been achieved. The Check surface grade task monitors and documents progress towards, and final achievement of, design specifications. Data required for this task includes a design containing the design surface data and surface grade tolerances, if applicable.
  • Check material thickness - Use this type to instruct a field crew to measure the upper surface of a particular material, such as a roadway base. The upper surface can then be compared to the previously measured upper surface of the underlying material to compute the material thickness. Data required for this task includes a design containing the previously measured underlying surface, the specified material thickness, and the allowable tolerances, if applicable.
  • Check grade & material thickness - Use this type to instruct a field crew to measure the surface of a material in order to compare the achieved surface shape to the design surface and, at the same time, to calculate a material thickness. To calculate a material thickness, Site Controller Software (SCS) compares the measured surface to the previously measured upper surface of the underlying material. Data required for this task includes a design containing the design surface data, a design containing the previously measured underlying surface, the specified material thickness, and the surface grade and material thickness tolerances, if applicable.
  • Measure surface & site features - Use this type to instruct a field crew to perform either a Topo surface or a Measure site features operation. Select this task if you want the crew to measure random points, breaklines, and surface boundaries to represent a surface. Also select this task if you want a crew to measure existing point-based, line-based, or enclosed boundary site features. The information collected for a Topo surface and site features task is typically used to map and model existing site features or topography.
  • Stakeout points & alignments - Use this type to instruct a field crew to perform field staking of the individual points contained in a specified design, or to perform field staking of the points along, or horizontally and/or vertically offset from, a selected alignment. The alignment is contained in the design map that is included in a specified job site design.
  • Stakeout sideslopes - Use this type to instruct a field crew to stakeout sideslope information.
  • Stakeout surface - Use this type to instruct a field crew to perform field staking of a surface that is contained in a specified design.
  • Stakeout roadway - Use this type to instruct a field crew to perform field staking of a roadway alignment that is contained in a specified design.
  • Multiple tasks - Use this type to instruct a field crew to perform combinations of the above tasks within a single work order, as specified in the Instructions box.

    Note: This task makes all of the possible work order options available.

Related topics

Create a Work Order


Create a Work Order

Create work orders to send to your field crews, instructing them what tasks are to be performed at a job site, as well as specifying the design, tolerances, and other settings to use. Multiple work orders can be created for a site.

To create a work order:

  1. Do one of the following:
    • Select Field Data > Create Work Order.
    • Click the [image] icon (if on the toolbar).

    The Create Work Order command pane displays.

  2. Type a unique name in the Work order name box.

    Note: Different work orders assigned to different controllers can have the same name

  3. Select a single controller on which to access the work order in the Controllers list.

    Note: Each work order can only be assigned to one controller. This is an SCS900 requirement.

  4. Click OK. The Work Order Editor displays. See Edit a Work Order.

To delete a work order:

  1. Right-click the work order in the Project Explorer, and select Delete Work Order from the context menu. A confirmation message appears.
  2. Click OK. The work order is removed from the Project Explorer and the data synchronization area.

Related topics

Edit a Work Order

Work Order Options


Edit a Work Order

To edit a work order:

  1. If you have just created a work order, the Work Order Editor is already displayed. Otherwise, do one of the following:
    • Right-click a work order in the Project Explorer, and select Work Order Editor from the context menu.
    • Select Field Data > Work Order Editor.
    • Click the [image] icon (if on the toolbar).

    The Work Order Editor dialog displays.

  2. Select a work order in the tree and click OK. The Work Order Editor displays.
  3. Select the type of task the field crew needs to perform in the Work order task list. The options in the dialog change based on the type of task you select. For descriptions of work order tasks, see Workflow for Managing Work Orders.

    Note: If you change the work order task to one that does not use the values you have set, when you save and reopen the work order, those original values will not reappear if you change the task back to one that does use them.

  4. Select the job site design with data related to the work order in the Design list, and specify the design surface offset, if applicable.

    Note: If your work order is assigned to a different controller than the design, you cannot select the design until any conflicts have been resolved.

  5. Set the current status, priority, and date that the work must be completed in the Work order status group.
  6. Describe the tasks that need to be performed in the Instructions box.
  7. Enter data and select settings in the other groups as needed. (See Work Order Options).
  8. To see the site and design data that is associated with the work order, click View. The Work Order Viewer displays. When you're done reviewing the data, click Close.
  9. Click OK.

Related topics

Work Order Options

View a Work Order's Data Graphically


Work Order Options

Use these options to create a work order, instructing field crews what tasks to perform at a job site, as well as specifying the job site design, tolerances, and other settings to use. They are available in the Work Order Editor.

Options with an * in the dialog are optional for one of these reasons:

  • There is a default setting in the Site Controller Software (SCS). Specify a setting to override the default, and the field engineer will not be prompted to choose one.
  • The selected task is Multiple tasks, so all options are displayed, but may not be needed for the actual task. If you do not specify a required setting, the field engineer will be prompted to do so.

Tip: To set tolerances, continuous measurement settings, and the coverage map grid size to a suggested default value, click in the option's box, and click Set to default.

Options

Work order

Name

This displays the name of the selected work order.

Job site name

This shows the name of the site with which the work order is associated.

Controller name

This shows the controller to which the work order is assigned.

Work order task

See the Types of work order tasks section in Workflow for Managing Work Orders.

Note: The option Multiple Tasks shows all of the possible work order settings.
Warning: If you change the work order task to one that does not use the values you have set, when you save and reopen the work order, those original values will not reappear if you change the task back to one that does use them.

Job Site Designs

Design

Design - Select the design that supplies the required data for this work order.

Note: Only designs assigned to site controllers appear.

Surface offset

Enter the offsets that can be applied to a surface in the design, in order to create a different surface. If the field crew, in order to create a different surface, must measure a surface that is offset from the surface specified in the design (above), enter the offset measurement.

Once you have entered the surface offset, indicate whether the offset is applied by raising or lowering the surface by the specified amount:

Above - Select this if the offset surface should be above the surface specified in the design.

Below - Select this if the offset surface should be below that surface.

Offset type

Vertical - Select this if the surface is to be vertically offset from the design surface (1 in the graphic below).

Perpendicular - Select this if the surface is to be offset perpendicular to the design surface (2 in the graphic below).

Underlying surface design

For a material thickness check, select the design that contains the underlying surface. The underlying surface is the upper surface of the material on which the material of interest has been placed. In most cases, this will be a previously measured surface.

To compute the material thickness at each measured point, the site controller software compares the surface measured by the field crew against the underlying surface.

Note: Only designs assigned to site controllers appear.

Work order status

Status

Select the status that reflects the work order's current state of completion.

Priority

Select the priority that reflects the relative importance of the work order.

Due date

Click the arrow to display the calendar. Select the work order completion date.

You can also enter the date in any valid alphanumeric format. The date will automatically be converted to the date format set in your Windows® operating system.

Instructions

Enter any instructions you have for the field crew.

Surface grade tolerances

Set these tolerances to check a surface grade against a design surface if the selected task requires or allows measurements to be taken. An example of this is grade checking.

Above design by

Enter an amount (tolerance) that the finished surface can be above the elevation that is established by the design.

Note: The default setting in most boxes is "?", indicating that no tolerance has been specified. If you enter a tolerance outside the allowable range, you will need to correct the value.

Below design by

Enter an amount (tolerance) that the finished surface can be below the elevation that is established by the design.

Material thickness and allowable tolerances

Set these tolerances if the selected task requires or allows measurements to be made in order to check the thickness of a material.

Thicker by

Enter an amount (tolerance) that the measured thickness of a material can exceed the design thickness.

Design thickness

Enter the intended thickness of a material lying beneath the surface that is to be measured.

Thinner by

Enter an amount (tolerance) that the measured thickness of a material can be less than the design thickness.

Measured

Vertically - When material has been placed on a previously measured surface, select this to compute the material thickness as the difference in elevation between the measured surface and the new surface.

Perpendicular - When material has been placed on a previously measured surface, select this to compute the material thickness using a perpendicular projection from the measured surface to the new surface.

Reference line offset from source line

Horizontal offset

Select Left or Right for the direction of the offset from the source line.
Then enter a horizontal distance in the box.

Vertical offset

Select Above or Below for the direction of the vertical offset from the source line.
Then enter a vertical distance in the box.

Coverage map

Grid size

Enter the size of the grid cell for the coverage map that is to be displayed on the controller. Enter the size in the units used at the site. For example, if a project is in meters, a value of "10" equates to a cell that is 10 meters square.

Continuous measurement settings

Set these values if the selected task requires or allows continuous measurements to be taken, either from a vehicle or when walking. These settings determine how often measurements are taken when the site controller software is used in Continuous measurement mode.

Distance interval

Enter a horizontal distance, in the units used at the site where the work order will be completed. Every time the receiver (or survey rod) detects that this change in distance has taken place, a point is recorded.

Elevation change

Enter an elevation change, in the units used at the site where the work order will be completed. Every time the receiver (or survey rod) detects that this change in elevation has taken place, a point is recorded.

Related topics

Create a Work Order

Edit a Work Order


View a Work Order's Data Graphically

Use the Work Order Viewer to verify that the correct site and design data has been provided with the work order; it displays the same graphical view of the data that site controller software (SCS) will display in the field.

To view a work order's data graphically:

  1. If you have just created a work order, the Work Order Editor is already displayed. Otherwise, do one of the following:
    • Select a work order in the Project Explorer, right-click and select Work Order Editor from the context menu.
    • Select Field Data > Work Order Editor.
    • Click the [image] icon (if on the toolbar).
  2. The Work Order Editor dialog displays. Select a work order in the tree and click OK. The Work Order Editor displays.
  3. Click View. The Work Order Viewer displays.
  4. Review the site and design data in the Map view to confirm that it is complete and appropriate for the work order.

    Note: Although the Work Order Viewer can display Arc, Best fit arc, and Tangent arc segments in a linestring, it cannot display Smooth curve segments. Each spline is displayed as a straight segment in the viewer.
    Warning: Due to the limitation noted above, the data you export to SCS900 will differ from your project data if it contains Smooth curve segments.

  5. Check boxes to show and hide different types of data in the Display options group, and use the zoom buttons to scale the view. For coverage map options, see Work Order Viewer Options.
  6. To control the visibility of layers both in the Work Order Viewer and in the site map in SCS, click Layer Filter. In the Design Map Layer Filter dialog, check boxes for the layers you want to show, and uncheck boxes for the layers to hide. Click OK to return to the Work Order Viewer.
  7. Click Close to return to the Work Order Editor.

Related topics

Work Order Viewer Options


Work Order Viewer Options

Use these options to graphically check the job site and job site design data associated with your work order. They are available in the Work Order Viewer.

Options

Map view

This shows the job site and job site design data that is associated with the work order you are viewing.

Zoom buttons

Click these to scale the view.

Display options

Check and uncheck the boxes to show and hide different types of data.

If needed, click Select All or Unselect All to quickly change the layers that are displayed.

Coverage map

See Using coverage maps at the bottom of this topic.

Grade cut/fill - Select this to show the coverage map resulting from a Check Surface Grade operation. The color codes show whether the measured elevation indicates the need for additional cut, additional fill, or if the grade is within tolerance. The shade of the red and blue colors provides an indication of the magnitude of additional cut or fill needed:

  • Reds indicate the need for additional cut to achieve the design elevation
  • Blues indicate the need for additional fill to achieve the design elevation
  • Green indicates that the measured elevation is within tolerance of the design elevation

Elevation - Select this to show the coverage map resulting from a Measure Surface operation. The color codes indicate the relative magnitude of the measured elevation as follows:

  • Darker blue suggests higher elevations, based on the elevation range formed by the lowest and highest measured elevation, with the darkest blue representing the highest measured elevation
  • Lighter blue suggests lower elevations, based on the elevation range formed by the lowest and highest measured elevation. Within the lightest blue representing the lowest measured elevation

Thickness cut/fill - Select this to show the coverage map resulting from a Check Material Thickness operation. The color codes show whether the measured elevation indicates the need for additional cut, additional fill, or if the material thickness is within tolerance of the design thickness. The shade of the red and blue colors provides an indication of the magnitude of additional cut or fill needed:

  • Reds indicate the need for additional cut to achieve the design thickness
  • Blues indicate the need for additional fill to achieve the design thickness
  • Green indicates that the measured elevation demonstrates that the computed material thickness is within tolerance of the design thickness

Layer filter

Click this to display the Layer Filter dialog, and check boxes to control the visibility of design map layers both in the Work Order Viewer and in the design map in SCS.

These layer settings are stored with the work order.

Zooming and panning options

Once you have selected the display options, you can zoom and pan. The scale bar in the map view updates when you zoom.

To zoom in or out:

  • Click Zoom In or Zoom Out. Then, you can also roll the mouse wheel up and down to zoom.

To zoom to a window:

  • Click-and-drag to zoom to a window.

To zoom to the extents of the data:

  • Click Zoom Extents.

To pan:

  • Click-and-drag using the mouse wheel.

Using coverage maps:

Coverage maps show how much of a job site's area has been covered in performing specific surface measurements, as well as the status of certain earthmoving operations based on those measurements. The maps show the area divided into grid squares. The size of the squares is set in the Coverage map grid size box in the Work Order Editor. For more detailed coverage maps, set the size of the grid squares small enough that only one or two measurements occupy each square. The coverage map settings let you display coverage for measurements made in performing surface measurements (topo surveys), surface grade checks, and material thickness checks.

For any of the settings, if multiple measurements exist in one square, the worst-case measurement (not the average of the measurements) is used. This helps you locate bad measurements that might need to be deleted. As you zoom out, and the scale of your view gets smaller, each coverage map square might actually represent multiple squares. In this case, the same worst-case measurement rule applies. If there are squares that have no measurements within them, the squares turn grey, indicating that the area still needs to be measured. To determine the area that may need to be measured, zoom in to the grey squares to identify the squares without measurements.

Related topics

Edit a Work Order

View a Work Order's Data Graphically


Reassign or Copy a Work Order

Save work by copying work orders that you want to reuse, or changing the controller to which a work order was assigned. Each work order can only be assigned to one controller at a time.

To copy a work order:

  1. Do one of the following:
    • Right-click a work order in the Project Explorer, and select Copy Work Order from the context menu.
    • Select Field Data > Copy Work Order.
    • Click the [image] icon (if on the toolbar).

    The Copy Work Order dialog displays.

  2. Select the original work order in the Work order tree.
  3. Type a name for the new work order in the New name box.
  4. Select a controller on which to access the new work order in the New Controller list.

    Note: You can only assign copied work orders to controllers to which the job site is assigned.

  5. Click OK. The copy of the work order appears in the Project Explorer.

    Note: When you copy a work order, the new work order's state is set to Not started and no work order results are copied.

To reassign a work order to a different controller:

  1. Do one of the following:
    • Right-click a work order in the Project Explorer, and select Reassign Work Order from the context menu.
    • Select Field Data > Reassign Work Order.
    • Click the [image] icon on the toolbar.

    The Reassign Work Order dialog displays.

  2. Select the work order in the Work order tree.
  3. Select a different controller on which to access the work order in the New Controller list.
  4. Click OK.


Import Work Order Results

When crews return from the field and synchronize their controllers, new data from the field is transferred to the data synchronization area, making it available to your project. In addition, any job site, job site design, or work order updates that you have prepared and assigned to the controllers are automatically updated on the controllers. When results are available for your work orders, the work order icons in the Project Explorer are appended with an [image] icon like this i_work order complete with results, indicating that the results can be imported.

Data from these files is brought into your project when you import work order results:

  • <work order name>-Report (.txt) - This file is the work order operations log, the historical record of all field operations performed for the work order.
  • <work order name>-Record (.txt) - This file is the measurement record for the work order.
  • <work order name>-measure (.dxf) - This file is the CAD output containing graphical entities resulting from the field measurements. The field crew may not always create one of these.

To import work order results:

Select a work order that has an [image] icon in the Project Explorer, and do one of the following:

  • Right-click and select Import Work Order Results from the context menu.
  • Select Field Data > Import Work Order Results.
  • Click the [image] icon on the toolbar.

The results are imported into your project.

Related topics

Work Order Results Options

Run a Work Order Report or Summary


Run a Work Order Report or Summary

Run reports to check the status of all your work orders and individual work order results. The Work Order Summary lists basics on each of the work orders in your project, including the assigned controller, task, status, priority, and due date. The Work Order Report provides details on base, design, difference, and alignment data from the field, as well as tolerances in the original work order.

To run a summary of work orders:

  1. Do one of the following:
    • Select Field Data > Work Orders Summary.
    • Click the [image] icon (if on the toolbar).
    • Right-click Work Orders in the Project Explorer, and select Work Orders Summary from the context menu.

    The Work Orders Summary displays.

  2. Review the work orders in your project, clicking any column heading to sort the list based on that column.

    Note: "?" indicates that no value was specified.

  3. Click Close.

To filter the Work Orders Summary:

Click the [image] icon at the top of a column to select a filter from a list. The icon changes color when a filter is active. The options are:

  • All - “ This displays all items of the column's type and removes any other filter applied.
  • Blanks - “ This displays all rows with a blank in the column.
  • Custom - “ Use this to create a custom filter, (e.g. to show all work orders due within the next 3 days).
  • NonBlanks - “ This displays all rows that do not have a blank in the column.
  • <specific item> - This displays all rows with the specific name in the column. This filter choice allows you to display all rows pertaining to a specific work order, site, design, task, etc.

To run a report on a specific work order:

Select a work order that has an [image] icon in the Project Explorer, and do one of the following:

  • Right-click and select Work Order Report from the context menu.
  • Select Field Data > Work Order Report.
  • Click the [image] icon on the toolbar.

The Work Order Report displays in your spreadsheet application.

Note: If the spreadsheet does not display, the required template is missing or in the wrong location. The template is installed during the Site Controller Software (SCS) installation. If the report template cannot be found, you can set the path to it by selecting Tools > Options. Then click Field Data and File locations in the left pane.
Note: The Work Order Report does not show work order results.
Tip: In the report spreadsheet, click the Report tab to view the Report file. For more information about these files, see the documentation for SCS900.

Related topics

Import Work Order Results

Customize and Run a Report


Work Order Report Options

For the latest descriptions of options in the SCS Report Utility, see the Trimble SCS900 Site Controller System Office Guide (English only) located at:

C:\Program Files\Trimble\Business Center - Heavy Construction Edition\Support\iv\SCS900OfficeGuide.pdf.

Related topics

Run a Work Order Report or Summary


Manage Controllers

Controllers include both site controllers using Trimble Site Controller Software (SCS) and machines using a Trimble Grade Control System (GCS) or Paving Control System (PCS). Use the Controller Manager to:

  • Review lists of the SCS site controllers and data cards for GCS and PCS machines in your data synchronization area.
  • Add new GCS and PCS machines to the data synchronization area by entering a name, version, type, and configuration files. You can then edit these machines, as needed. See Create and Edit GCS and PCS Machines.
  • You can also assign your current site to a machine when you add it. Although a machine can only be assigned to one job site at a time, when you add machines to the data synchronization area, they are made available to sites in your other projects.
  • Filter the controller and machines list to show only those that are assigned to your current job site.

To manage your controllers:

  1. Do one of the following:
    • Select Field Data > Controller Manager.
    • Double-click a controller in the Project Explorer.
    • Click the [image] on the toolbar at the top of the Job Site Manager or Job Site Design Manager command pane.

    The Controller Manager displays.

  2. Review the site controllers and machines in the Controllers lists, optionally filtering the list by checking the Only show the current job site's controllers box.
  3. Add a new GCS or PCS machine by clicking Create to open the Create Controller dialog where you can specify the name, type, and software version of the new controller.

    Note: Check the Assign the current job site to this controller box if you need to assign your current project's job site to the new controller.
    Note: Only GCS machines can be created and deleted. Site controllers can only be added when they are synchronized using Office Synchronizer.

  4. Remove an unneeded machine record by selecting it in the list and clicking Delete. The related controller is removed from the data synchronization area.
  5. Modify an existing machine's settings by clicking Edit.
  6. Click Close. The GCS and PCS machines in your data synchronization area also appear in the Project Explorer.

Related topics

Reassign a Site to Controllers

Controller Manager Options

Create and Edit GCS and PCS Machines


Controller Manager Options

Use these options to review the records for controllers (SCS site controllers and data cards or USB flash drives for GCS, PCS, and Cat Grade Control machines) in your data synchronization area. You can:

  • Identify each of the available controllers by name and type.
  • Create a new machine controller record by specifying the name, type, and software version.
  • Assign the current project's job site to the new controller.
  • Filter the list of controllers to see only those that are assigned to your current project's job site.

These options are available in the Controller Manager or the Create Controller and Edit Controller dialogs.

Controller Manager Options

Controllers

Site Controllers - This lists the site controllers running SCS that have folders in your data synchronization area.

Machines - This lists the data cards/USB flash drive for machines running GCS, SiteVision, AccuGrade, PCS, and Cat Grade Control (GCG) that have folders in your data synchronization area.

Only show...

Check this to hide all of the controllers to which the current project's job site has not been assigned.

Create

Click this to open the Create Controller dialog where you can add a new machine by setting the options described in the next section.
Note: Only machine controllers can be added and deleted in this dialog. Site controllers are added when you synchronize them for the first time.

Delete

Select a controller from the Machines list, and click this to remove it from the list of available controllers.

Edit

Click this to open the Edit Controller dialog where you can modify existing machines by changing the options described in the section below.

Create/Edit Controller Options

Name

Type a unique identifier for the machine.

Type

Select the brand of the machine you are creating.

Software version

Select the version of the firmware used on the machine. For notes on functional differences between versions and machine types, see SCS, GCS, PCS Functional Compatibility Chart.

Settings

Note: These options are available for GCS machines only, from software versions 11.0 and higher, based on a combination of the software version and the GPS firmware version. See the compatibility chart for details. You can also hover over the [image] icon next to each setting to see the compatible GPS firmware versions.

Enable extended coordinate system support - Check this box to configure machines to support additional projections, extended coordinate range, South Azimuth coordinate systems with South and West positive coordinate directions, and additional coordinate systems, such as Icelandic.

Enable support for embedded geoid sub-grid - Check this box to support exporting a <1 KB sub-grid of a geoid embedded in the coordinate system (.cfg file) to machine controllers. This option is available if the extended coordinate system support (above) is enabled. Use it to embed a subset of a geoid for vertical adjustment (instead of the inclined plane approximation method) when the project coordinate system contains a geoid.

Note: If a geoid is present in the project and this option is not enabled, an inclined plane approximating the geoid is exported to GCS machines.

Configuration files

Check the boxes for each file that you want to export to the machine.

For information on the file types and how to populate the list, see Import GCS Measure-Up and Display Files and Import PCS Display Configuration Files.

Assign current job site...

Check this box to make the machine available in the Controllers list for the current job site and its job site designs.

Related topics

Manage Controllers

Create and Edit GCS and PCS Machines


Create and Edit GCS and PCS Machines

Add new GCS and PCS machines to your data synchronization area to make them available for your current job site and all other job sites in your data synchronization area. Although a machine can only be assigned to one job site at a time, when you add them to the data synchronization area, they are made available to sites in your other projects.

Note: Only GCS and PCS machines can be created and deleted. Site controllers using site controller software (SCS) can only be added when they are synchronized using Office Synchronizer.

To add a machine:

  1. Do one of the following:
    • Select Field Data > Controller Manager.
    • Double-click a controller in the Project Explorer.
    • Click the [image] on the toolbar at the top of the Job Site Manager or Job Site Design Manager command pane.

    The Controller Manager displays.

  2. Click Create. The Create Controller dialog displays.
  3. Type a unique identifier for the machine in the Name box.
  4. Select the version, type, coordinate system options, and configuration files for the machine. See Controller Manager Options for details.
  5. To access the new machine in your project, assign your current job site to it by checking the Assign current job site to this controller box.
  6. Click Close. The GCS and PCS machines in your data synchronization area also appear in the Project Explorer.

To edit a machine:

  1. Follow step 1 above.
  2. Click Edit. The Edit Controller dialog displays.
  3. Change any of the available options, excluding the machine name.
  4. Click Close.

To specify configuration files for machines:

  1. Import GCS machine and display files or PCS display files based on your machine type. They are copied into the GCS or PCS folder in your data synchronization area (the root of the data card folder for the machine control software), making them available in the Controller Manager.
  2. Open the Create Controller or Edit Controller dialog using the steps above.
  3. In the Configuration files group, check the box for each file you want to assign to the machine. The same configuration files can be used on multiple machines. The files are copied to the appropriate machine folder in the data synchronization area. When the machine's data card is synchronized, the .mch, .dsp, or .persist files are copied to the corresponding location on the card.

    Note: Although GCS and PCS display configuration files are used on different types of machines, the software does not restrict you from assigning them to an incompatible machine. Furthermore, there are no checks to ensure that the versions of the .mch, .dsp, and .persist files match the machine version.

Related topics

Manage Controllers

Controller Manager Options

Import GCS Machine and Display Files (.mch, .dsp)

Import PCS Display Configuration Files (.persist)


Compress and E-mail Field Data

Compress your job site data, job site design data, and work orders to archive or e-mail them to colleagues or field crews. Files are compressed in a .zip folder.

To compress and e-mail field data:

  1. Select a site, design, or work order in the Project Explorer, and do one of the following:
    • Right-click and select Compress/E-mail Field Data from the context menu.
    • Select Field Data > Compress/E-mail Field Data.
    • Click the [image] icon (if on the toolbar).

    The Compress /E-mail Field Data dialog displays.

  2. Select a controller in the Controller box. The files assigned to that controller for the selected site, design, or work order appear.

    Note: If you select a data card for a GCS machine, you cannot select files individually, but you can select entire sets of files for job sites or designs. The recipient of the e-mail can extract the compressed file directly into the root folder of a compact flash data card.

  3. Type a path and name for the output file in the Compressed File Name box. To browse for a file path, click [image].
  4. Check the box for each file to include in the compressed folder in the Files to compress list. If you check a parent file, all of its children files are also selected.
  5. To filter the list to include only files that have been created or changed since you last synchronized the selected controller, check the Only show files modified since last synchronization box.

    Note: This box is disabled if the selected controller is not supported by Office Synchronizer, e.g. GCS machines).

  6. To send the compressed folder to an e-mail address, check the E-mail file box.
  7. Type an e-mail address to send the file to in the E-mail address box, if applicable. This box may be pre-populated if the controller record specifies an e-mail address.
  8. Click OK. The selected files are saved in the compressed folder and emailed as specified.

Related topics

File Compression and E-mail Options


File Compression and E-mail Options

Use these options to compress and e-mail field data, such as a job site, job site design, and work order files, to colleagues or field crews. They are available in the Compress /E-mail Field Data dialog.

Options

Controller

Select the controller to which the files you want to compress are assigned.

Compressed file name

Type a path and name for the output file. To browse for a file path, click [image].

The default path saves to a temporary folder.

Files to compress

Check the box for each file to include in the compressed folder. Uncheck boxes for files you do not want to include.

For the assigned controller, all of the files beneath the selected site, design, or work order are listed. By default, all files are selected for inclusion in the .zip file.

Only show files modified since last synchronization

Check this to filter the list to include only files that have been created or changed since you last synchronized with the selected controller.

E-mail file

Check this to send the compressed folder to an email address.

Note: Some Trimble® controllers, such as the TSC2™, can have a dedicated e-mail account. When the controller connects to a network and accesses the e-mail server, the .zip file appears in the e-mail Inbox.

E-mail address

Type the e-mail address for the colleague or controller.

Note: This feature requires Microsoft® Outlook® to work. Other email programs may work, but are not guaranteed. Web-based email programs, such as Microsoft Hotmail, Yahoo®Mail or Google®Gmail™, will not work.
Tip: If your email program is not supported, you can still create the compressed file, open your email program, attach the file to a message, and send it.

Related topics

Compress and E-mail Field Data


Copy Field Data to a Data Card

Use the Copy Field Data To Data Card command to copy job site and job site design data from your project onto a data card so it can be used on a GCS machine in the field. The job site design can have multiple controllers assigned, but you can export the data for one machine only at a time.

Prerequisites:

This command only applies to machines with GCS/AccuGrade Machine Control software lower than version 12.0 and PCS900 version 2.0.

To access the command:

  • Select Field Data > Copy Field Data To Data Card (if on the menu).
  • Click on the [image] icon (if on the toolbar).
  • Right-click the job site in the Project Explorer and select Copy Field Data To Data Card from the context menu.

    The Copy Field Data To Data Card dialog displays.

To copy field data to a data card:

  1. Access the Copy Field Data To Data Card command.
  2. Select the GCS machine for which you want to copy data by checking the boxes in the Controllers list. The data needs to include at least one job site design to be copied to the data card.
  3. Type the path to a data card in the Data card folder box, or click the [image] icon to browse for a data card folder.

    Note: Data can only be copied to data cards for GCS machines, not to SCS site controllers.

  4. Click OK. Any existing folders on the data card are deleted, and the job site and design files are copied onto the card.

Related topics

Manage GCS and SCS Controllers

Copy Field Data To USB Flash Drive


Publish Field Data to Business Data Center

There are two ways to make job site design files from your project available to VisionLink via the Business Data Center on the Connected Community (TCC):

  • Use the Publish Field Data to Business Data Center command to upload the files.

    Warning: Doing this overwrites any files of the same name in Business Data Center with those created from your project.

  • Use the Synchronize with Business Data Center via Office Synchronizer check box in the Job Site Design Manager to synchronize the files.

    Note: When you run Office Synchronizer, both the machine design files and the VisionLink files will be synchronized at the same time.

Prerequisites:

  • TCC account
  • VisionLink access

To access the command:

  • Right-click a job site design in the Project Explorer and select Publish Field Data To Business Data Center from the context menu.

Note: To connect, you will have to login to TCC (if you have not logged-in previously).

To access the check box:

  • Select Field Data > Job Site Design Manager.
  • Click the [image] icon (if on the toolbar).

Scenarios:

  • If you do not have a project space on TCC you can create a new project space under your organization's filespace, VisionLink projects location on TCC, as determined by your login credentials.
  • If you have files of the same name and type in the selected folder already, you will receive a warning message, to confirm that you want to replace the existing file with the new one.

Related topics

Manage Controllers

Job Site Options


Use Drafting Tools

In This Chapter

Create and Edit Text

Create a Plotbox and Print its Contents

Fit a Plotbox to a Printable Area

Manage Line Styles

Manage Text Styles

Manage Symbols


Create and Edit Text

Use the Create Text command to add single line or multi-line textual annotations and labels to your data.

Labels and annotations help you identify the objects in your data. You can also edit imported text and text that you create.

Note: When you create text, it is created as a CAD multiline text object. When you import text, it comes in as either CAD text (single line) or CAD multiline text. You can only make single line text into multiline text by clicking [image] in the Edit Text command pane, not in the Properties pane.

Prerequisites:

  • None

To access the command:

  • Select Drafting > Create Text (if on the main menu).
  • Click the [image] icon (if on a toolbar).

To edit text:

  • Select the text and do one of the following:
    • Select Drafting > Edit Text.
    • Click the [image] icon on the toolbar.
    • Right-click and select Edit from the context menu.
    • Click the [image] button in Properties pane for a selected text object.

Options:

  • Text -
    • For a single line of text (up to 80 characters in the same row), type in the Text box.
    • For multi-line text, click [image] to open the Edit Text dialog. Type any number of characters for the first line. Press [Shift] + [Enter] to move to the next line (pressing [Enter] accepts the text and closes the dialog).
  • Text style - Select a style that controls the text font, font style, justification, and size of the text.
    Text formatting (font, justification, style, and size) is derived from the text style. To edit it, you must edit the text style.
  • Justification - Specify where the text is in relation to the insertion point, as well as whether multiple lines of text are left, right, or center-aligned.
    Although justification is initially defined by the text style (see above) you can override it for the text you are creating in this box.
  • Height - Specify the height of a capital letter from the baseline to the top line in ground units (see the diagram above). The text style allows you to specify the height of the text in either ground units or paper units based on the current plot scale. When text is created the size is always converted to ground units and saved as the height of the text.

    These options and additional settings for text are also available in the Properties pane.

Text Justifications
  1. Top left
  2. Top center
  3. Top right
  4. Middle left
  5. Middle center
  6. Middle right
  7. Middle mid

  1. Base left
  2. Base center
  3. Base right
  4. baseline
  5. Bottom left
  6. Bottom center
  7. Bottom right

Text Alignments

Base left justified

1. position 2. alignment point

Base align justified

Base right justified

Base fit justified
  • Rotation - Pick a rotation angle in the Plan View, or type an angle in the box. The rotation is clockwise around the text insertion point (as defined by the justification (see above)) and zero rotation is due east.
  • Leader type - Specify whether to include a leader line between the text and a point in a graphic view. You can choose a style with or without an arrowhead at the end of the line. Leader lines are used to connect annotations to particular points or objects when the text has been moved away from them to clarify the display. The orientation of a leader line will automatically update when you drag its associated text to a new position.

    Note: If you import and edit text that has a spline leader line, the spline displays as a straight leader line. Splines are not supported.

  • Text insertion point - Pick a point in a view or type a coordinate in the box for the origin of the text object. if you pick a 3D point, the elevation is also used. How the text is positioned in relation to the insertion point depends on the justification (see the diagram above).

Scenarios:

  • If your computer's font files do not contain the font specified for an imported CAD text object, the program's CAD text (failsafe) setting defines the font that is used. Specify the typeface to use for CAD text objects that reference a font that is either not included in the imported font's definition or unrecognized by your system by selecting Tools > Options > Startup and Display. Then specify the default CAD text (failsafe) under Fonts.

Dependencies:

  • The leader line is dependent on the text. If you move the text, the leader line adjusts; if you delete the text, the leader line disappears.

Related topics

Manage Text Styles


Create a Plotbox and Print its Contents

Use the Create Plot Box command to specify an area that you want to print or plot by creating a box (plotbox) around that portion of your data in the Plan View.

Plotboxes help you control the scale and contents of the data you want to appear in your output. Once you create a plotbox, it can be moved, rotated, scaled, and copied like other objects.

Note: This command presumes that you know the printable area that your plotter or printer will output, as well as the scale at which you want your data to appear.

Prerequisites:

  • None

To access the command:

  • Select Drafting > Create Plot Box (if on the main menu).
  • Click the [image] icon (if on a toolbar).

To create a plot box:

  1. In the Name box, type an identifier for the plotbox as you want it to appear in the Project Explorer, Selection Explorer, and graphic views. You can later use the name to select the box in the Advanced Select command.
  2. Select the layer on which you want the plotbox to reside.

    Tip: To make plotboxes easy to hide, place them all on a new layer and hide that layer in the View Filter Manager.

  3. To specify the paper space scale at which you want to print the drawing in the Plot scale box.
    By default, the plot scale is defined in Project > Project Settings > View > Plan View. Typically, this is 100 feet/inch or 1 m/mm. Whatever you set in this box will be multiplied by the width and height you specify below.
  4. Select the size that you want to plot in Standard paper sizes list, or select Custom to define a unique size. Your selection in this list determines the plotbox's height and width that appear below it. The plotbox width and height reflect the 'printable area' (the selected paper size minus a standard margin area that most printers cannot access).

    Note: The size that you specify for the plotbox is independent from the paper sizes that your printer or plotter can output. For instance, you could specify to create a Letter (8.5x11 in) plotbox (7.7x10.2 printable area default) to print on your 36" plotter. Specify the printer, orientation, and paper size you will use in Page Setup and Print, not in this command.

  5. If needed (or if you selected Custom), edit the width and height of the printable area. Remember that the plotbox is defined by the height and width in paper units multiplied by the Plot Scale you defined above.

    Note: You can specify the size of the plotbox graphically by clicking points in the Plan View that encompass the extents of the data you want to print.

  6. Specify a location for the lower left corner of the plotbox in the Location box.
  7. Specify a rotation angle for the plotbox in the Angle box. Positive rotation is clockwise and zero is due east.
  8. Click Add. The plotbox appears. An arrow on the plotbox helps you distinguish it from other shapes in your data.
  9. Repeat steps 1 - 8 to make additional plot boxes.
  10. To make adjustments to the plotbox, use the Properties pane. To change the position or angle of the plotbox, you can also use the Move/Rotate/Scale Objects command.

To print a plotbox:

  1. Right-click the plotbox that you want to plot in the Project Explorer or the Plan View and select Print Preview from the context menu.
  2. If everything looks good and you know that your printer is set up properly, you can click the [image] icon to print from there. Otherwise, click Close and select Print from the plotbox's context menu.
  3. Confirm your printer properties and click OK.

    Note: If you created a plotbox, but are having trouble getting the contents of the box to print or plot on the size of paper you specified for the plotbox, either adjust the plot scale in the Properties pane or use the Fit Plotbox to Printable Area command to adjust to size to the area that the printer can handle.
    Note: In the Properties pane, the Manual offset group enables you to position a smaller plotbox on a larger paper, e.g. if you want to print a standard page size on a plotter. Set Use manual offset to Yes. Then specify a horizontal and vertical distance from the lower left corner of the sheet you are printing on for the position of the lower left corner of the plotbox (see below).

8.5x11" printed on 36" paper with Manual offset off. The plotbox is centered on the sheet. | Manual offset is On, but no horizontal or vertical offset is specified. The lower left corner of the plotbox is placed at the lower left corner of the sheet (minus the margins). | Manual offset is On, with 10" horizontal and vertical offsets specified. The lower left corner of the plotbox is placed 10" up and over from the lower left corner of the sheet (minus the margins).

Options:

  • Plot scale - Specify the scale at which you want your data to print. This scale is used with the height and width you specify to determine the required ground units.
  • Standard paper sizes - Select the sheet to which your printer or plotter can print.
  • Plotbox width/height - These boxes show the size of plotbox you selected minus a standard margin (in case you decide to print on a sheet of paper the same size as the plotbox). You can edit these if you find that the printable area for your printer or plotter is smaller than the default set for the paper.
  • Location - Pick a point in the Plan View for the lower, left corner of the plotbox. Once the plot box is created, this origin is denoted by a small red square.
  • Angle - Specify how much to rotate the plotbox from parallel to the x axis. The rotation is clockwise.
  • These options and additional settings for the a plotbox are also available in the Properties pane.

Scenarios:

  • If you have no plotbox or more than one plotbox selected when you print, the entire current graphic view will print instead of the contents of any plotbox.
  • If the size or aspect ratio of the plot box does not match the paper you have selected in the Print dialog, the printed output will be cropped accordingly (unless you use the Fit Plotbox to Printable Area command).
  • If there is a conflict between the orientation in the Page Setup dialog and the Print dialog, the Print dialog's setting supersedes the Page Setup dialog's setting.

Related topics

Fit a Plotbox to a Printable Area


Fit a Plotbox to a Printable Area

If you created a plotbox, but are having trouble getting its contents to print or plot on the size of paper you specified, use the Fit Plotbox to Printable Area command to adjust to size of the plotbox to the printable area that the printer can handle.

To access the command:

  • Right-click the plotbox and select Fit to printable area command from the context menu.

Related topics

Create a Plotbox and Print its Contents


Run Reports

In This Chapter

Run an Alignment Geometry Report

Run a Baseline Processing Report

Run a Corridor Definition Report

Run an Earthwork Report

Run a GNSS Loop Closure Results Report

Run an Import Report

Run a Job File Report

Run a Material and Site Improvement Report

Run a Mean Angle Report

Run a Network Adjustment Report

Run a Point Derivation Report

Run a Point List Report

Run a Project Computation Report

Run a Renamed Point List

Run a Site Calibration Report

Run a Surface Report

Run a Vector List Report

Run a Work Order Report or Summary

Create and Customize a Report

Report View

Report Options


Run a Job File Report

Create custom reports (and file formats) by applying style sheets to .job or .jxl job files in the Job File Generator pane. This gives you the flexibility to generate a variety of reports types from a single project's content.

Note: Style sheets are applied to the imported job files only; changes made to projects within this software do not appear in the report. Style sheets are not translated.

To customize and run job file reports:

  1. Select Reports > Job Report Generator. The Job Report Generator pane displays.
  2. Do either of the following to select the job file for which you want to run a report:
    • If the file has been imported into the project, select it in the Job file list.
    • If the file has not been imported into the project, click the [image] icon. The Open dialog displays, allowing you to locate and select the file.
  3. Click the [image] icon located next to the Style sheet box. The Open dialog displays, allowing you to locate and select the style sheet file you want to use for the report.

    Some default style sheet files are installed with the software in C:\Program Files\(product_name)\(product_name)\Support\(language_name).

    If you do not find the style sheet file you want in this folder or in any other folder you might be using for style sheet files, click the Style sheet web site link to open a support page in your Web browser. You can download the style sheet file from this page to your local drive. Then, click the [image] icon located next to the Style sheet box to locate and select the newly downloaded style sheet file for use with the report. You can reuse any downloaded style sheet file as often as necessary.

  4. Confirm the name for the report in the Save as box. The report will be saved in the same folder as the selected job file.
  5. Edit survey report options in the Settings group as necessary.

    Note: Changes you make to the report settings are not saved in the style sheet file.

  6. If you do not need to view the output immediately, uncheck View Output File.
  7. Do one of the following:
    • Click Apply to run the job file report and keep the Job Report Generator pane open.
    • Click OK to run the job file report and close the Job Report Generator pane.

    If View Output File is checked, the job file report displays in your Web browser.

  8. Click File > Save As in the report if you want to keep it.

Related topics

Import Trimble GPS Files (.job)

Job Report Generator Options


Job Report Generator Options

The translated versions need to be updated. Use these options to customize job file (.job or .jxl) reports. They are available in the Job Report Generator command pane.

Options

General

Job file

Do either of the following to select the job file for which you want to run a report:

  • If the file has been imported into the project, select it in the Job File list.
  • If the file has not been imported into the project, click the [image] icon. The Open dialog displays, allowing you to locate and select the file.

Style sheet

Click the [image] icon located next to the Style sheet box to open the Open dialog, which allows you to locate and select the style sheet file you want to use for the report.

Some default style sheet files are installed with the software in C:\Program Files\(product_name)\(product_name)\Support\(language_name).

If you do not find the style sheet file you want in this folder or in any other folder you might be using for style sheet files, click the Style sheet web site link to open a support page in your Web browser. You can download the style sheet file from this page to your local drive. Then, click the [image] icon located next to the Style sheet box to locate and select the newly downloaded style sheet file for use with the report.

Save as

Confirm the name for the report in the Save as box. The report will be saved in the same folder as the selected job file.

Settings

(Report name)

Edit these settings to control how the output is formatted. Changes you make apply only to the current report, and do not affect the style sheet.

The settings will vary, based on which XSLT style is selected.

View output file

Leave this box checked to see the report in your default browser window.

Uncheck this box if you do not need to view the report output immediately.

Related topics

Run a Job File Report


Run a Material and Site Improvement Report

Generate a list of the properties of each of the materials and site improvements in a specified library. To set whether to report on the items contained in the Project Library or the External Library, modify the report first.

Prerequisites:

  • One or more materials or site improvements defined in either the Project Library or External Library in the Material and Site Improvement Manager

To run a Material and Site Improvement Report:

  1. To report on the current External Library, select it in the settings at the bottom of the Report Options using the next procedure. By default, the items in the Project Library are reported.
  2. Select Reports > Material and Site Improvement Report.

    The Material and Site Improvement Report displays in the Report View.

To modify the report:

  1. Do one of the following:
    • Select Reports > Report Options (if on the main menu).
    • Click the [image] icon (if on a toolbar).
  2. Select Material and Site Improvement Report in the Reports list.
  3. In the Settings group, specify report options.
    • Project - This default option reports on the collection of materials and site improvements stored and accessible in your current Project Library.
    • Attached library - Select this to report on a collection of materials and site improvements that is stored the External Library, which is in an .mxl file external to your project. You must open an external library within the Material and Site Improvement Manager to report on it.
  4. Click Apply, and then click the [image] icon on the pane's toolbar to run the report, or click OK to close the command.

Related topics

Manage Materials and Site Improvements

Customize and Run a Report


Create and Customize a Report

Create a report based on an existing report so that you can customize it to your company or client's needs. Use report options to customize the predefined reports. The settings you specify are saved so that output remains consistent each time you run a certain report. The Report Options command pane lists all the available reports. All reports are displayed in your default Web browser.

Note: If you create a new report, you will need a report definition file (.rdcl) editor to modify its layout. Several such editors are freely available on the Internet.

To create, edit, and delete a new report:

  1. Select Reports > Report Options. The Report Options command pane displays.
  2. Click the [image] icon on the pane's toolbar. The Create New Report dialog displays.
  3. Type a unique name in the Report name box.
  4. Enter additional information to help you identify the report in the Description box.
  5. In the Report source data list, select the predefined report on which you want to base your new report.

    Note: Only reports that display in the Report View, and for which there is an .rdlc file, are available in the list.

  6. Click the [image] button to browse to a Report layout file. The Open dialog displays, showing report definition files (.rdlc) that you can use for your report.

    Note: Several predefined .rdlc files (which control report formatting) are installed with the program at: C:\Program Files\Trimble\(product name)\Support\(language or IV folder)
    Note: It is recommended that you copy one of the predefined .rdlc files from the location listed above to a new location so you do not overwrite the original file.

  7. Select an .rdlc file that you created from the original (see the note above) and click Open.
  8. Click OK. Now the new report is available in the Reports list.
  9. To edit the report, click the [image] icon on the toolbar.
  10. To delete the report, click the [image] icon on the toolbar.

    Note: You can customize settings for the predefined reports that come with the program, but you can only modify the layout of and delete reports that you create.

To customize an predefined report:

You can customize the report layout as desired, selecting what to show in the header, footer, report settings and report sections.

  1. Follow step 1 above.
  1. Select the report in the Reports list.
  2. To view the settings for a report, click the [image] icons to expand sections in the Settings group. Click in boxes, and change options as needed.

    Tip: To access commonly-used reports from the Reports menu, set the Show on Reports menu option to Yes.

  3. Click OK.

To run a report:

  1. Do one of the following:
    • Select Reports > (report name). The report displays in your default Web browser.
    • Select Reports > Report Options if you want to review the report settings. The Report Options dialog displays.
  2. Select the report in the Reports list.
  3. Click the [image] icon on the command pane toolbar. The report displays in your default Web browser.
  4. Click OK to close the dialog.

    Note: Reports that you run are not saved automatically. To save a report, select File > Save as in your Web browser.

Related topics

Report Options

Run a Job File Report


Report Options

Use these common options to customize report output. They are available in the Report Options command pane. Specific reports have additional options as well. For a description of any setting, click the name of the setting. The description appears in the information box at the bottom of the command pane.

Settings

Column display /

Column selection

Select which data types to show in the report by setting individual columns to Show or Hide.

Concise / Explanatory

Select Explanatory to include text describing how report results were derived or calculated. Select Concise to hide explanatory text.

This is an option for the Takeoff Report.

Coordinate type

Select whether to show global, local, or grid coordinates in the report.

This is an option for the Point List.

Footer

Select whether to show the date, project name, and application name by selecting Show or Hide for each.

Format options

Select from summary or detailed formats.

Header

Select whether to show company, project, user, and coordinate system data by selecting Show or Hide for each.

Report sections /

Sections

Select which data types to show in the report by setting individual sections to Show or Hide.

Report setting

Set the number of legs in loops, as well as PPM and delta criteria for Loop Closure Results.

Residual plot

Separate systems - Select this to combine all satellite residual data into a single graph.

Individual satellites - Select this to plot separate graphs of each satellite's residuals.

This is an option for the detailed Baseline Processing Report.

Run-time display

Never - Select this to prevent the report from displaying when it is generated (for example, during import); display it only when selected from the menu or the Report Options command pane.

Show when warnings or errors are present - Select this to display the report when it is generated if errors or warnings occur (for example, during import).

Prompt - Select this to display a prompt when the report is generated to ask if you want it to display.

Prompt on warnings or errors - Select this to display a prompt if errors or warnings are present when the report is generated.

Always - Select this to always display the report when it is generated.

Save intermediate data

Select Yes if you need to write your own custom report, using a separate stylesheet for instance, do transformations, or debug a report. Intermediate (raw binary) data is saved in a separate .xml file in your project folder. Most users should leave this set to No.

Show on Reports menu

No - Select this to remove the report from the Reports menu

Yes - Select this to re-add the report to the menu.

Related topics

Create and Customize a Report

Run a Job File Report


Export Data

In This Chapter

Export Data

Export Points

Export Related Files

Import and Export Data Using Trimble Access Drive

Export Data in a Custom Format

Export and Upload Data Formats

Publish Project Data to TCC

Start Data Service Command


Export Data

Export data from your project in a variety of formats. See the individual file format topics for details.

To export data:

  1. Do one of the following:
    • Select File > Export.
    • Click the [image] icon on the toolbar.

    The Export command pane displays.

  2. Click an export type (Custom, Survey, GIS, CAD, or Construction) in the File Format group. A list of available exporters displays.
  3. Select an export format in the list. If one with the desired format is not listed, create a custom exporter.

    Caution: If you have a field device connected, only file types compatible with the device appear.

  4. If needed, use the View Filter command to filter the selectable data in the plan view.
  5. Select the data to export using one of the Selection Options.
  6. Select a folder in the File Name list, or click the [image] icon to browse for a folder.

    When you click the [image] icon, the Save As dialog displays with the export folder specified in Tools > Options > File Location selected. However, you can browse to and select a different folder.

  7. Type a new file name in the File Name box if you do not want to overwrite an existing file.
  8. If export settings appear in the Settings group, specify them as needed.
  9. Click OK to export the data.

Tip: You can select data before you begin the Export command.
Tip: To customize the format of the exported data, select File > Export Format Editor.

Related topics

Export Format Editor

Export Data Formats


Export Points

To export scan points, CAD points, or all points in your project, you must first create an appropriate custom exporter. Then you can use the exporter as often as necessary to export the point data.

To create a custom exporter:

If you have already created a custom exporter to export points, proceed to "To export points" below.

  1. Do one of the following:
    • Select File > Export Format Editor.
    • In the Export dialog, click the [image] icon.

    The Export Format Editor wizard opens and displays the Select Definition dialog.

  2. Click the New button.

    A new row is added to the definition table named "New Export."

  3. Type an appropriate definition name (for example, "Scan Points"). Then click the Next button.
  4. Make changes in the Description and Search Type dialog as necessary. In the Entity Type list, select one or more point types you want to export. Then click the Next button.
  5. Continue the wizard by making changes as necessary in the Select General Properties and Fields dialogs.
  6. When you are done, click the Finish button.

    You can now use the newly created custom exporter to export points.

To export points:

  1. If the Export command pane is not already displayed, do one of the following:
    • Select File > Export.
    • Click the [image] icon on the toolbar.

    The Export command pane displays.

  2. Click the Custom tab to display the available custom exporters.
  3. Select the custom exporter you want to use to export points.
  4. Click in the Data field, then select the points you want to export in a graphic or spreadsheet view.

    For additional selection options, see Selection Options. The number of selected points is displayed in the Data field.

  5. Click the Browse icon [image] located next to the File Name field. Then in the Save As dialog, browse to the appropriate folder, change the file name if necessary, and click Save.

    The name and path you selected are displayed in the File Name field.

  6. In the Export pane, click the Export button.

Related topics

Export Data


Export Related Files

You can specify which additional related files (for example, geoid files or datum grid files) to automatically export with a JOB file when you are exporting to a field device either directly (the device is connected) or indirectly (the files will be stored for upload at a later date).

To specify related files to export to a field device:

  1. Select View > Command Pane. The Command Pane displays.
  2. In the Command Pane, select Related Files. The Related Files command pane displays.

    If there are files that are required for the project (for example, a coordinate system file specified in the Project Settings dialog), they are displayed in the File Name list with a gray background.

  3. Click in the first empty File Name box, and then either type the path and name of the related file or click [image] to select the file.
  4. Click in the Application box and select the associated device application (or <All> or <None>) from the drop-down list.
  5. Repeat steps 3 and 4 for each additional related file and its associated device you want to specify.
  6. In the Upload with export list, select to upload all files, just the files required for the project, or no files.
  7. Select the Copy files to project folder box if you want to copy the files specified in the list to the project folder at the time of export.

    The file referenced in the list is not changed. If the file already exists in the project folder, it is overwritten so that the project folder contains the same version that was uploaded to the device.

  8. If there is a currently active device, it is displayed in the Active Device box. Click the Upload Files Now button to upload the selected related files to the device.
  9. When you are done, click OK.

    The related files you specified will be automatically uploaded with the JOB file when you perform an upload to a device.

Related topics

Export Data

Export Data in a Custom Format


Export Data in a Custom Format

Use the Export Format Editor to create and edit custom format definitions that can be used to export project data in a text file.

To export project data using a custom format definition, click the Custom tab in the Export command pane and select the appropriate definition.

Related topics

Export Data

Create or Edit a Custom Export Format Definition


Create or Edit a Custom Export Format Definition

Use the Export Format Editor to create and edit custom format definitions you can use to export project data in text files. A format definition defines the record type and the fields to be included in each export record when the definition is selected in the Export pane.

To create or edit a custom export format definition:

  1. If you want to test an export format definition while you are editing or creating it, select a sample of the type of project data that would typically be exported with the definition (for example, points) before you open the Export Format Editor dialog as described in the next step.

    You will test the definition using this data later in this procedure.

  2. Do one of the following:
    • Select File > Export Format Editor.
    • In the Export dialog, click the [image] icon.

    The Export Format Editor dialog displays. This dialog is a wizard that allows you to create or edit an export format definition.

  3. On the Export Format Definitions page, do one of the following:
    • To create a new format definition, click the New button to add a new row to the table. In the Definition Name field, enter a name for the definition. Then click the Next button.
    • To create a new format definition based on an existing definition, select the existing definition in the table and click the Copy button to add a new row to the table. In the Definition Name field, enter a name for the definition. Then click the Next button.
    • To edit an existing format definition, select it in the table. Then click the Next button.
    • To rename an existing format definition, select it in the table and click the Rename button. In the Definition Name field, enter a new name for the definition.
    • To delete an existing format definition, select the definition in the table and click the Delete button.

    Use the Enabled check box to specify whether a format definition should be displayed in the Export command pane.

    When you click the Next button, the Export Record page displays.

  4. Optionally, enter a description for the format definition.
  5. Select the Include header check box if you want to include field names as the first record in the exported file.
  6. Select the appropriate export record type:
    • Delimited creates records whose fields are each separated by a character (for example a comma, tab, new line, and so on).
    • Fixed width creates records whose fields are each based on a specified width (number of characters). When you add fields to the definition as described later in this procedure, a default width is specified for each field; but, you can specify a different width if necessary.
    • Text delimited creates records whose fields each start and end with specified text strings. When you add fields to the definition as described later in this procedure, you must specify the start and end text for each field.

    The record type you select determines the properties displayed in the lower half of the page.

  7. Enter properties for the selected record type as follows:

    Delimited record type only:

    • Delimiter - In the drop-down list, select the character to use to separate fields in the record. If you select <other>, you must type the character in the field.
    • Text qualifier - Select to insert single or double quotes around text values.

    All record types:

    • Default file extension - Enter the default extension for the export file.
    • Encoding - Select to use the UNICODE or ASCII character set for the export file.
    • Decimal separator - Select whether to use a point or a comma as a decimal separator.
  8. Click the Next button.

    The Export Fields page displays.

  9. In the Data type drop-down list, select the data type for which you want to export data (for example, select Point to export point data).

    Fields associated with the selected data type display in the Available fields list.

  10. In the Available fields list, double-click each field you want to add to the format definition. Or, right-click the field and select Add to Record. Optionally, right-click an expandable field group node and select Add All Fields in Group to add all of the fields in the group to the definition.

    Note the following:

    • The selected fields are added to the Export record tab set.
    • The sequence of the field tabs from left to right in the Export record tab set represents the sequence of the fields in the export record. To move a field to a different location in the export record, click and drag its tab title in the Export record tab set.
    • If a field tab includes property fields, be sure they are completed correctly.
    • To remove a field from the Export record tab set, right-click the tab and select Remove Field. Or, right-click the field in the Available fields list and select Remove from Record
  11. To preview the results of the export format definition, click the Test button.

    To preview results, you must have first selected appropriate project data as described in step 1.

    When appropriate project data has been selected, sample export records are displayed in the Export Preview frame. If you make additional changes to the format definition, they are immediately reflected in the Export Preview frame.

  12. When you are done adding fields, click the Finish button.

    You are done creating or editing an export format definition. Unless you unchecked the Enabled check box for the definition on the Custom Format Definition page of the wizard, the definition will display on the Custom tab in the Export command pane.

Related topics

Export Data in a Custom Format

Export Data


Export and Upload Data Formats

The Export command, Device pane, and data synchronization functions for sites, designs, and work orders enable you to send the following types of data out from your project. See file-specific topics for details.

Note: The file types listed by format below may only be supported in specific commands or field software.

By field software

Export

Upload

Spectra Precision® Field Surveyor
  • ASCII (.csv, .txt)
  • .asc (Nikon NEH, Nikon TS)
  • .dxf
  • .ggf
  • .bmp, .gif, .jpg, .tif, .png

TDS InterlockTM
  • .ilj

TDS Survey ProTM
  • ASCII (.csv, .txt)
  • .dxf
  • .job
  • .xml
  • ASCII (.txt)
  • .jpg, .tif
  • .dgf
  • .ggf
  • .xml

Trimble® AccessTM
  • ASCII (.pts)
  • .dc
  • .dxf
  • .job
    (see note on Survey Controller JOB files below)
  • .rxl
  • .ttm
  • .xml
  • .cdg
  • .csd
  • .ddf
  • .fal/.fcl
  • .ggf

Trimble® Digital FieldbookTM

(v2, v3, and v5)
  • ASCII (.pts)
  • .dc
  • .dxf
  • .job
  • .ttm
  • .xml
  • .cdg
  • .csd
  • .ddf
  • .fal/.fcl
  • .ggf

Trimble® Survey ControllerTM
  • ASCII (.pts)
  • .dc
  • .dxf
  • .job
    (see Survey Controller JOB file note below)
  • .rxl
  • .ttm
  • .xml
  • .cdg
  • .csd
  • .ddf
  • .fal/.fcl
  • .ggf

Trimble® Survey ManagerTM
  • ASCII (.csv, .txt)
  • .dxf
  • .bmp, .gif, .jpg, .tif, .png
  • .ggf

GNSS receivers/
Survey devices
  • ASCII (.pts)
  • .dc

By file format

Data type

Export/
Synchronize

Upload

.asc

ASCII, point,
Nikon NEH, Nikon TS,
TDEF files (see note on TDEF files below)

.bmp, .gif, .jpg,
.png, .tif

image/background map files

.cdg

.csd

.csv, .txt

ASCII text, point,
trajectory files

event data

NGS data sheets

.dc

Trimble data collector files

.ddf

Data dictionary files

.dgf

.dxf, .dwg

CAD files

.fal, .fcl, .fxl

Feature files

.ggf

Geoid files

.ilj

TDS Interlock files

.ini

Site settings,
antenna files

.job

TDS Survey Pro, Trimble Digital Fieldbook/

GNSS files

.jxl

JobXML files

.kml, .kmz

Earth browser (Keyhole Markup Language (KML)) files containing 3D geographic coordinates (and photos with.kmz)

.pro

Terramodel project files

.profile

Hydraulic excavator profile files

.pts

ASCII point files

.rxl

RoadXML files

.svd

Job site design files for GCS machines

.svl

Site map files for
GCS machines

.tsd

Planar surface files

.avoid.svl

Avoidance zone files for GCS machines

.ttm

Trimble surface files

.txt

SCS work order report and record files

.xml

LandXML files

Note: When data is exported to a TDEF file, information about mean angles is lost. This may lead to different computation results when using the exported data.
Note: Trimble Survey Controller JOB files support point names of 16 characters or less. Exported point names exceeding 16 characters are truncated in the file.

Related topics

Export Data

Export Data in a Custom Format

Prepare to Connect a Field Device


Export ASCII Files (.asc, .csv, .txt)

Export ASCII files (.asc, .csv, .txt) that can be used in a variety of other applications and field devices, including:

  • Spectra Precision® Field Surveyor
  • TDS Survey ProTM
  • Nikon NEH
  • Trimble® Survey ManagerTM
  • Trimble® Survey ControllerTM
  • Trimble® Digital FieldbookTM (v2,v3, and v5)

Click the Custom tab in the Export command pane to access the ASCII exporters. Click the Survey tab to export a trajectory as a .csv file. You can set various unit and format options for trajectory export in the Settings group.

Related topics

Export Data

Export Data in a Custom Format


Export Event Data (.csv)

Export event data contained in your project to a CSV file.

Click the Survey tab in the Export command pane to access the Trajectory (CSV) file exporter.

In the Settings section, select the appropriate Data type:

  • Select Measurement to export GNSS measurement location information.
  • Select Event Marker to export interpolated event marker location information.

Related topics

Export Data

Process Event Data


Export Excavator Profile (.profile) Files

Excavator profile files (.profile) contain 3D point data specifying target depths along a road alignment or other corridor. Using this data, a hydraulic excavator can set up (on a setup line) at intervals along the specified alignment and dig sample cross-sections at the target depths. Graders can then remove earth between these cuts (the 'profiles') to create the subgrade for the roadway.

  1. Setup line
  2. Line picked for the first cut depth
  3. Line picked for the second cut depth
  4. Line picked for the third cut depth (a 3D alignment can be picked)
  5. Begin station (on the setup line, perpendicular from the alignment)
  6. Alignment
  7. Station intervals for setups
  8. Delta offset (x) and delta elevation (y) from the setup line at each station interval are exported

To export an excavator profile file:

Note: For general instructions on exporting data files, see Export Data.

  1. Do one of the following:
    • Select File > Export.
    • Click the [image] icon (if on the toolbar).

    The Export command pane displays.

  2. Click the Construction tab. The available exporters appear.
  3. Select Excavator Profile exporter in the File Format list.
  4. In the Data group, select the reference alignment for the corridor to be excavated in the Alignment list (6 in the diagram above).
  5. Click in the Setup line box, and pick the 3D line that the excavator will set up along in the Plan View (1 in the diagram).

    Next, you will select the lines that specify the target depths to which the excavator will dig. Often, the setup line and lines indicating the target depths will be parallel.

  6. Click in the first box under Lines.
  7. In the Plan View, pick the first 3D line that you want the excavator to dig to at each station interval (2 in the diagram, the closest line to the setup line).
  8. In the next box, pick the next 3D lines in the view (3 and 4 in the diagram).
  9. Repeat step 7 until you have specified all of the lines that indicate the depth to which the excavator should dig.

    Note: The profile that appears on the excavator's system will be drawn connecting the lines in the order they were picked in this software. In the field, the excavator's operator can choose to bench on any of the lines and can flip the profile to dig it in the opposite direction.

  10. Click in the Begin station box and pick a point along the alignment, or type a value in the box, for the first station along the alignment at which you want the excavator to dig (5 in the diagram).
  11. For the final station, pick another point along the alignment, or type a value in the End station box.
  12. In the Station Interval box, type a value for the interval (horizontal distance along the alignment between setup locations) at which the excavation should be done (7 in the diagram).

    Note: If the total distance between the beginning station and end station is not divisible by the interval, the distance between the penultimate and final excavation points will be less than the interval. For example, if the beginning station is 0, the ending station is 70, and the interval is 20, excavation points are created at 0, 20, 40, 60, and 70, the final interval being 10 rather than 20.

  13. Type a path and file name for the exported file in the File Name box, or click the [image] icon to browse for a location and specify a file name.

    Note: To be used in GCS900, excavator profile files must be exported to a folder named ".profile". If a .profile folder does not exist, you cannot create it in Windows® Explorer; it must be created from the Windows command line. Click Start > Run. Type cmd and press [Enter]. At the DOS prompt, type mkdir .profile The folder is created at the root level and can then be moved to any location using Windows Explorer.
    Note: Excavator profile files can be exported to compact flash data cards used on excavators.
    Note: A file is created for each depth to be cut at each station interval. By default, the exported files are given the name of your project, plus the station value at each interval.

  14. If you want to export another file after this one, uncheck the Close command after export box.
  15. In the Settings group, set export properties, as needed.
  16. Click Export. 3D points are exported; they are calculated as a delta offset (x) and delta elevation (y) from the setup line at each station interval (z) (8 in the diagram).

Related topics

Export Data

Export Data in a Custom Format


Export GCS Machine Avoidance Zone Files (.avoid.svl)

Export avoidance zone files (avoid.svl) for GCS machines. Using this command, data for machines can be exported to compact flash data cards for use on the machine. Alternately, you can use the Compress/E-mail Field Data command to save and e-mail files to the job site as an attachment.

To export an avoidance zone file for a GCS machine:

Note: For general instructions on exporting data files, see Export Data.

  1. Select File > Export. The Export command pane displays.
  2. Click the Construction tab. The available exporters appear.
  3. Select Machine Avoidance Zone exporter in the File Formats list.
  4. Click in the Data box, and pick closed polylines or alignments that you want to include in the export from a graphic view, or click Options and choose a selection option in the list.
  5. Type a path and file name for the exported file in the File Name box, or click the [image] icon to browse for a location and specify a file name.

    Note: By default, the exported file is given the name of your project.

  6. If you want to export another file after this one, uncheck the Close command after export box.
  7. In the Settings group, set export properties.
  8. Click Export. The selected data is exported to the file you specified.

Exportable Data

Data in your project

How the data is handled when exported

Lines and Alignments

Closed CAD lines, linestrings, boundaries, and alignments export as 2D lines; all elevations and vertical alignments are ignored.

All arcs and spirals are "linearized"; they are replaced by chords.

Note: GCS900, SiteVision, and AccuGrade do not support avoidance zones with arcs. If you pick lines with arcs, the arcs will be linearized.
Note: GCS900, SiteVision and AccuGrade do not support avoidance zones whose area is less than 0.001 square meters. If you select a closed line that encompass less than this area, it is ignored in the export.

Non-exportable data
  • Points
  • CAD text
  • Coordinate system (exports with job site design data)
  • Surfaces
  • Shift grids
  • Geoid files
  • Projection grids
  • Datum grids

Related topics

Export GCS Machine Site Map Files (.svl)

Export GCS Machine Job Site Design Files (.svd)

Export Data


Export GCS Machine Job Site Design Files (.svd/.svl)

Export job site design files that contain surface data (.svd) and guidance alignments (.svl) to GCS machines. The coordinate system in your current project is also automatically exported into the same folder as a configuration (.cfg) file. If no site calibration (.dc) or coordinate system (.csd) has been specified, no configuration file is created. Using this command, data for machines can be exported to compact flash data cards for use on the machine. Alternately, you can use the Compress/E-mail Field Data command to save and e-mail files to the job site as an attachment.

To export a job site design file for a GCS machine:

Note: For general instructions on exporting data files, see Export Data.

  1. Select File > Export. The Export command pane displays.
  2. Click the Construction tab. The available exporters appear.
  3. Select Machine Job Site Design exporter in the File Format list.
  4. Select the kind of model you want to export in the Model type list. The pane updates, indicating the types of data you need (see export details in the table below).
    • Surface - Select this to export a surface, an optional clipping boundary, and design map objects.
    • Road surface - Select this to export a surface, boundary, alignment, and design map objects.
    • 3D linework - Select this to export 3D CAD lines and linestrings, and design map objects.

      Note: If the surface used in your design model contains a boundary, all breaklines in the surface will appear as unnamed features when the surface is viewed in GCS. If the surface in your design model does not contain a boundary, the breakline names will appear in GCS.

  5. To pick objects for 3D Linework and Design Map boxes, click in the Objects to add or remove box for each. Then, in a graphic view, pick the objects you want to include in the export, or click Options and choose a selection option in the list.
    • 3D Linework - Select 3D CAD lines and linestrings that you want to use for machine guidance.
    • Design Map - Select CAD points and surveyed points, alignments, CAD text, and CAD lines, linestrings, and boundaries.
  6. Click the Add or Remove button to add or remove the selected objects from your data to export.
  7. Type a path and file name for the exported file in the File Name box, or click the [image] icon to browse for a location and specify a file name.
  8. If you want to export another file after this one, uncheck the Close command after export box.
  9. In the Settings group, set export properties.
  10. Click Export. The selected data is exported to the file you specified.

Exportable Data

Data in your project

How the data is handled when exported

Surface model type

Surface

The selected surface exports as an .svd file, and is clipped by the boundary specified (below).

Note: You can also export a sloping or level surface (planar surfaces) as a .tsd file.

Surface clipping boundary

The boundary clips the surface to include only the triangles encompassed or crossed by the boundary.

Design map

The design map exports as an .svl file.

Points - Points (measured or office-entered) and CAD points (lightweight points) export as 2D points; all z/elevation values are ignored.

Lines and alignments - 2D and 3D CAD lines, linestrings, boundaries, and alignments are exported as 2D lines. All elevations and vertical alignments are ignored.

Arcs and spirals are "linearized", they are replaced by chords.

Surfaces - Surfaces are ignored.

CAD text - CAD text exports intact.

(other)

Coordinate system - The current coordinate system exports, but geoids are replaced by incline planes representing the trend of the local geoid.

Road surface model type

Surface

The surface exports as an .svd file. See Surface above.

Note: Two settings control how surface cross-sections are generated and displayed in this software. These settings are not available in GCS900. Therefore, when a road surface is exported to GCS900, the cross-sections in the field software may be different than those in this office software. For a detailed explanation of the difference and its ramifications on grading a road, please visit the Business Center - HCE Support web page at: http://www.trimble.com/bc-hce_ts.asp?Nav=Collection-51339

Surface clipping boundary

See Surface clipping boundary above.

Alignment

One horizontal alignment (with an optional vertical alignment) can be exported as an .svl file.

Arcs and spirals are "linearized", they are replaced by chords.

Design map

See Design map above.

3D Linework model type

3D linework

Points - Points and CAD points are ignored.

Lines - 3D CAD lines and linestrings are exported as 3D lines in an .svl file. Boundaries are ignored.

Arcs are "linearized"; they are replaced by chords.

Alignments - Alignments are ignored.

Surfaces - Surfaces are ignored.

All other objects types are ignored.

Design map

See Design map above.

Non-exportable data
  • Shift grids
  • Geoid files (see Coordinate systems above)
  • Projection grids
  • Datum grids

Related topics

Export GCS Machine Site Map Files (.svl)

Export GCS Machine Avoidance Zone Files (.avoid.svl)

Export Planar Surface Files

Export Data


Export GCS Machine Site Map Files (.svl)

Export site map files (.svl) that contain site map data and guidance alignments for GCS machines. Using this command, data for machines can be exported to compact flash data cards for use on the machine. Alternately, you can use the Compress/E-mail Field Data command to save and e-mail files to the job site as an attachment. The exported job site on the data card has a root folder with the site's name containing each file with the same root name and different extensions indicating the type of data they contain.

To export a site map file for a GCS machine:

Note: For general instructions on exporting data files, see Export Data.

  1. Select File > Export. The Export command pane displays.
  2. Click the Construction tab. The available exporters appear.
  3. Select Machine Site Map exporter in the File Format list.
  4. Click in the Data box, and pick the objects that you want to include in the export from a graphic view or the Project Explorer, or click Options and choose a selection option in the list.
  5. Type a path and file name for the exported file in the File Name box, or click the [image] icon to browse for a location and specify a file name.

    Note: By default, the exported file is given the name of your project.

  6. If you want to export another file after this one, uncheck the Close command after export box.
  7. In the Settings group, set export properties.
  8. Click Export. The selected data is exported to the file you specified.

Exportable Data

Data in your project

How the data is handled when exported

Points

Points (measured or office-entered) and CAD points (lightweight points) export as 2D points; all z/elevation values are ignored.

Lines

2D and 3D CAD lines, linestrings, and boundaries export as 2D lines; all elevations and vertical components are ignored.

Arcs are "linearized"; they are replaced by chords.

Alignments

Alignments export as 2D lines; all elevations and vertical alignments are ignored.

Arcs and spirals are "linearized"; they are replaced by chords.

CAD text

CAD text exports intact.

CAD blocks must be exploded before their data can be included.

Non-exportable data
  • Surfaces
  • Shift grids
  • Coordinate system (exports with job site design data)
  • Geoid files
  • Projection grids
  • Datum grids

Related topics

Export GCS Machine Avoidance Zone Files (.avoid.svl)

Export GCS Machine Job Site Design Files (.svd)

Export Data


Export GNSS Job Files (.job)

Export GNSS Job files suitable for use in a variety of field devices, including:

  • TDS Survey ProTM (Survey Pro Jobs)
  • Trimble® Survey ControllerTM (via Data Collector)
  • Trimble® Digital FieldbookTM (v2,v3, and v5; coordinate system and points only)

Click the Survey tab in the Export command pane to access the .job exporters.

Related topics

Export Data

Export Data in a Custom Format


Export JobXML Files (.jxl)

Settings
File version | Select which file version you want the exported file to be compatible with. Typically, you only have to specify this if you are exporting a file for someone running an older version of Survey Controller or other third-party software (unlikely).
Distance units | Select the distance units if you know the units being used on the device to which you are sending the file.
Output system | Grid - Select this if you are exporting to a system using northing, easting, and elevation Global - Select this if you are exporting to a system using latitude, longitude, and height.
Job Name | Type the name of the file as you want it to appear on the device to which you are exporting.

Related topics

Export Data


Export KML Earth Browser Files (.kml/.kmz)

Export 3D geographic coordinates, photos, and other geographic data contained in your project to a KML (Keyhole Markup Language) file that can be opened and viewed with Internet-based 2D maps and 3D Earth browsers (for example, Google Earth). Files with the .kmz extension are compressed (zipped) KML files.

To export a KML Earth Browser file:

  1. Do one of the following:
    • Select File > Export.
    • Click the Export icon [image].
  2. Select the GIS tab. Then select Kml/Kmz exporter in the list.
  3. Click in the Data field. Then select the coordinates you want to export in a graphic or spreadsheet view.
  4. Type a path and file name for the exported file in the File Name field, or click the Browse button to browse for a location and specify a file name.
  5. In the Output file type drop-down list in the Settings section, select the appropriate format type:
    • Output kml file creates a KML (.kml) file that contains 3D geographic coordinates only. It does not include photo images.
    • Output kmz file creates a ZIP file that contains a KML file and all referenced photographic image files. The images can be viewed by selecting the image icons in the browser used to open the KML file.
  6. In the offset fields, enter any offsets you want to apply. Typically, you will use this to adjust your exported data/image so that it fits a map background, such ass in Google Earth.
  7. In the Altitude mode drop-down list, select one of the following:
    • Clamp to Ground ensures all points are located at ground level.
    • Absolute ensures all points are displayed at their correct elevation based on the offset values you entered.
  8. Click the Export button.

Related topics

Export Data

Export Data in a Custom Format


Export LandXML Files (.xml)

Export alignments, cross-sections, and surfaces using the LandXML file format.

To export LandXML data:

  1. Select File > Export. The Export dialog displays.
  2. Click the Construction tab and then select LandXML exporter in the File Format group.
  3. Click in the Selected entities box.
  4. In a graphic view, pick the objects you want to include in the export, or click Options and choose a selection option in the list.
  5. If you want to clip a surface that you are exporting, select a boundary in the Surface clipping boundary list, or select <New> to create one.
  6. Type a path and file name for the exported file in the File Name box, or click the [image] icon to browse for a location and specify a file name.
  7. In the Settings group, set export properties.
  8. Click Export.

Related topics

LandXML Export Options

Results of Exporting LandXML Files


LandXML Export Options

Use these options to specify how to handle surfaces definitions and duplicate points when you export LandXML files. They are available in the LandXML Export command pane.

Options

Surface description

Optimize for data - Select this to let the program choose the best export method (of the two below).

If the surface you have selected for export contains any internal data (surface was imported in a TTM or LandXML file), it will export as triangles.

If the surface only references external data (surface was created entirely in this program), it will export as points and breaklines.

Note: If you are exporting a portion of a surface that is clipped by a boundary, all data in the clipped portion is made internal.

Points and breaklines - Select this to export the surface, as well as the points, breaklines, contours, and boundaries used to create the surface.

Triangles - Select this when you only want to export the triangles defining the surface. This option also handles holes and islands in the data.

Note: This setting has no effect if the file does not contain surfaces.

Duplicate point IDs

Always ask - Select to automatically check for points with the same Point ID. If any are found, you are prompted to import all duplicates, ignore all duplicates, or cancel the import.

Export all - Select to have all points export, including those with duplicate Point IDs.

Ignore all - Select to have only points without duplicate Point IDs export.

Note: This setting has no effect if the file does not contain points.

Related topics

Export LandXML Files (.xml)

Results of Exporting LandXML Files


Results of Exporting LandXML Files

When you export LandXML files, the points, alignments, and surfaces are handled in specific ways.

Exported

Results

Points

When points are exported:

  • The point name or number is used in the "name" field.
  • Any valid feature codes are used in the "desc" fields.
  • For invalid feature codes, “*” is used.
  • The “LandXML.desc” attribute of the first “LandXML feature” is used for the “desc” attribute, and the “LandXML.code” attribute of the first “LandXML feature is used for the “code” attribute if they exist. Otherwise no “desc” or “code” attributes are written.

Alignments

When alignments are exported:

  • The data defining the alignment is written as an alignment in the LandXML file.
  • Both horizontal and vertical components are retained. Multiple vertical alignments can be exported with each horizontal.

Surfaces

When surfaces are exported:

  • Either the source data or the definition is used, but not both.
  • Points influencing the surface are saved as points.
  • 3D polylines, breaklines, and sloping lines influencing the surface are saved as breakline or contour point lists, depending whether they are pure 3D or 2D+elevation.
  • Internal breaklines are retained.

Related topics

Export LandXML Files (.xml)

LandXML Export Options


Export Planar Surface Files (.tsd)

Export a sloping or level surface design by using the Machine Job Site Design exporter and selecting the Surface in the Model type list. If the design is a .tsd file, the output will also be a .tsd file.

Planar surfaces (which can be created using the Create Planar Surface command) are typically used for grade control; they are used to provide guidance similar to that provided by a dual slope laser level (sloping surface) or a level laser (level surface). This guidance is useful when cutting building pads, sports fields, or parking lots. On GCS machines, the planar surfaces are referred to as either Sloping surface or Level surface, depending on their type.

See Export GCS Machine Job Site Design Files for instructions on exporting surface type job site design files.

Related topics

Import Planar Surface Files


Export Road Files (.rxl or .dc) from Corridors

Export corridor data to a road file (.rxl or .dc format) that can contain the following data elements:

  • Horizontal alignment
  • Vertical alignment
  • Cross-section templates
  • Station equations

To export a road file from a corridor:

Note: For general instructions on exporting data files, see Export Data.

  1. Do one of the following:
    • Select File > Export.
    • Click the [image] icon on the toolbar.

    The Export command pane displays.

  1. Click the Survey tab. A list of available survey exporters displays.
  2. Select RXL road exporter from corridor or DC road exporter from corridor to display the exporter's associated export options.
  3. Complete the fields as shown in the following table.

Data

Road name

Enter the name of the road.

Corridor

Select the corridor to be used for the road file.

Begin/End station

Enter the station IDs that specify the horizontal starting and ending points for the road.

If the road includes a vertical alignment, the stations must be within the range where the horizontal and vertical alignments overlap.

Left/Right offset

Specify the left and right offset distances required to include all strings you want to use to define the road.

File name

File name

Select or enter a name for the Road file (.rxl or .dc), and select the location to which you want to store it.

Settings

Template generate method

Select one of the following options:

  • Sample interval - Select to generate cross-section templates based on cross-section samples taken at specified intervals along the horizontal alignment.
  • Control point - Select to generate cross-section templates based on cross-section samples taken at surface control points (vertices).

Sample interval

If you selected Sample interval for the Template generate method, enter the distance between each sample.

Tolerance to prevent redundant templates

Enter a value for the tolerance to be used to help determine which cross-section samples will be not be used to create cross-section templates.

If a sample falls within this tolerance based on samples preceding and following it, no cross-section template is created for that sample.

By preventing the creation of unnecessary redundant cross-section templates, the size of the Road file can be greatly reduced.

For more information, see Notes on Cross-Section Templates.

Adjust for arc/chord offset

Select whether to adjust for arc and/or chord offset, which shifts cross-section templates for curvature alignment.

Side slope element generate method

Select one of the following options:

  • None - Select if you do not want to define a side slope element.
  • Append - Select if you want to define a side slope element appended to the last strings.
  • Replace - Select to define the side slope element based on last strings already in the road surface.

Last string match pattern

Do one of the following to specify the last strings to be used to create the side slope element:

  • Enter a regular expression (match pattern) that identifies one or more last strings you want to specify for the side slope element. For more information about using regular expressions, see Reference: Regular Expressions.
  • Leave blank to enable the software to use all of the last strings included in the road surface to create the side slope element.

Side slope element code

Do one one of the following:

  • Enter a code for the side slope element.
  • Leave blank to enable the software to generate codes for the side slope elements based on the last strings it finds.

Cut slope (%)

Enter the cut slope grade for the side slope element.

Cut ditch width

Enter the cut ditch width for the side slope element.

Fill slope (%)

Enter the fill slope grade for the side slope element.

Horizontal alignment station interval

Enter the station interval for the horizontal alignment when drawn on the field device.

Related topics

Export Data

Notes on Cross-Section Templates

Understanding Corridors


Export Road Files (.rxl or .dc) from Surfaces

Export alignment and surface data to a road file (.rxl or .dc format) that can contain the following data elements:

  • Horizontal alignment
  • Vertical alignment
  • Cross-section templates
  • Station equations

To export a road file from a surface:

Note: For general instructions on exporting data files, see Export Data.

  1. Do one of the following:
    • Select File > Export.
    • Click the [image] icon on the toolbar.

    The Export command pane displays.

  1. Click the Survey tab. A list of available survey exporters displays.
  2. Select RXL road exporter from surface or DC road exporter from surface to display the exporter's associated export options.
  3. Complete the fields as shown in the following table.

Data

Road name

Enter the name of the road.

Surface

Optionally, select the surface to be used to define the road.

Although a surface is not required to create a Road file, it is required to create cross-section templates for the file.

Horizontal alignment

Select the horizontal alignment to be used to define the road.

If you selected a surface that includes a horizontal alignment, that alignment is selected by default.

Vertical alignment

Optionally, select the vertical alignment to be used to define the road.

If you selected a horizontal alignment that includes one or more associated vertical alignments, one of those vertical alignments is selected by default; any additional vertical alignments are available for selection in the drop-down list.

If you selected a surface and a horizontal alignment, you can select to generate a new vertical alignment by selecting Auto Generate in the drop-down list.

Although a vertical alignment is not required to create a Road file, it is required to create cross-section templates for the file.

Begin/End station

Enter the station IDs that specify the horizontal starting and ending points for the road.

If the road includes a vertical alignment, the stations must be within the range where the horizontal and vertical alignments overlap.

Left/Right offset

Specify the left and right offset distances required to include all strings you want to use to define the road.

File name

File name

Select or enter a name for the Road file (.rxl or .dc), and select the location to which you want to store it.

Settings

Template generate method

Select one of the following options:

  • Sample interval - Select to generate cross-section templates based on cross-section samples taken at specified intervals along the horizontal alignment.
  • Control point - Select to generate cross-section templates based on cross-section samples taken at surface control points (vertices).

Sample interval

If you selected Sample interval for the Template generate method, enter the distance between each sample.

Tolerance to prevent redundant templates

Enter a value for the tolerance to be used to help determine which cross-section samples will be not be used to create cross-section templates.

If a sample falls within this tolerance based on samples preceding and following it, no cross-section template is created for that sample.

By preventing the creation of unnecessary redundant cross-section templates, the size of the Road file can be greatly reduced.

For more information, see Notes on Cross-Section Templates.

Adjust for arc/chord offset

Select whether to adjust for arc and/or chord offset, which shifts cross-section templates for curvature alignment.

Side slope element generate method

Select one of the following options:

  • None - Select if you do not want to define a side slope element.
  • Append - Select if you want to define a side slope element appended to the last strings.
  • Replace - Select to define the side slope element based on last strings already in the road surface.

Last string match pattern

Do one of the following to specify the last strings to be used to create the side slope element:

  • Enter a regular expression (match pattern) that identifies one or more last strings you want to specify for the side slope element. For more information about using regular expressions, see Reference: Regular Expressions.
  • Leave blank to enable the software to use all of the last strings included in the road surface to create the side slope element.

Side slope element code

Do one one of the following:

  • Enter a code for the side slope element.
  • Leave blank to enable the software to generate codes for the side slope elements based on the last strings it finds.

Cut slope (%)

Enter the cut slope grade for the side slope element.

Cut ditch width

Enter the cut ditch width for the side slope element.

Fill slope (%)

Enter the fill slope grade for the side slope element.

Horizontal alignment station interval

Enter the station interval for the horizontal alignment when drawn on the field device.

Related topics

Export Data

Notes on Cross-Section Templates


Notes on Cross-Section Templates

This topic contains additional notes on creating cross-section templates to be included in a Road file.

Sample Elimination Process

When you select to export a Road file, the software slices the model at each specified interval in the horizontal alignment, or at each surface control point, depending on your selection in the Template generate method field. Each of these slices represents a cross-section sample that can be used to create a cross-section template to be included in the Road file. The software then uses a two-step process to determine which samples should be used to create cross-section templates and which should be eliminated. By preventing the creation of unnecessary redundant templates, the size of the export file can be greatly reduced.

  • Step 1 - The software identifies each sample that could be eliminated based on a comparison with the sample that immediately precedes and follows it. Three types of comparisons are made:
    • Number of points - If the number of points varies, the sample is not eliminated and a cross-section template is created.
    • Point names - If the point names vary, the sample is not eliminated and a cross-section template is created.
    • Point offset/elevation coordinates - Beginning with the first point in each sample, the software draws a line from the offset/elevation coordinate of the first point on the first sample to the first point on the third sample. It then checks whether the first point on the second sample is within the tolerance (specified in the Tolerance to prevent redundant templates field) of the line. This is repeated for all points on the samples. If any of the points on the second sample are not within the tolerance of the lines defined by the first and third samples, the sample is not eliminated and a cross-section template is created.

    If the number and names of points in a sample do not vary from the preceding and following samples, and the point offset/elevation coordinates for the sample are within the specified tolerance when compared to the preceding and following samples, the sample is considered for elimination. Whether it is actually eliminated or not depends on the outcome of step 2.

  • Step 2 - The second step is to identify bulges in a long series of samples marked for elimination in step 1. The software looks for a sequence of two or more samples marked for elimination in step 1 and processes them by expanding the number of samples checked for tolerance until the delta is outside of tolerance or the end of the sequence is reached.

The following table illustrate the the two steps used to eliminate unnecessary redundant samples, preventing the creation of cross-section templates from those samples.

Step | Pass | Begin sample | Samples checked | End sample | Passed | Sample status
1 | 1 | 1 | 2 | 3 | Yes | -
2 | 1 | 1 | 2, 3 | 4 | Yes | -
 | 2 | 1 | 2,, 3, 4 | 5 | Yes | -
 | 3 | 1 | 2, 3, 5 | 6 | No; out of tolerance | 1 - Keep 2 - Remove 3 - Remove 4 - Remove 5 - Keep

Note: To avoid possible errors, when line sampling is based on surface control points, additional samples are created before and after each control point based on the tolerance entered in the Tolerance to prevent redundant templates field.

500-Hundred Sample Threshold

If Sample interval was selected in the Template generate method field, a 500-hundred sample threshold is used to limit the number of sample slices that are held in memory. If 500 or less samples exist in the model, the sample elimination process takes place only once. Otherwise, the elimination process repeats each time the 500-sample threshold is reached. The net result is that a template is created at the beginning of each group of 500 samples. Note that this template might not have been created had the entire model been exported without the 500-hundred sample threshold.

Cross-section Template Naming Convention

Cross-section templates are named sequentially. The format is the selected format for stationing, using five decimal places regardless of the decimal selection in the Project Settings dialog. A template is located on either the left or right side of the center line. The letter “L” is appended to the end of the station identifier when it is on the left; the letter “R” is append when it is on the right. For example, a typical template name might be 1+000.00000L or 1+500.00000:1R.

Rules for Writing Template Elements

By default, template elements are written as cross slope and offset. If the cross slope is greater than 0.9 or the offset is very small, a delta elevation and offset element are written instead. If the difference between the vertical alignment elevation and the surface elevation is greater than the specified tolerance, a delta elevation and offset element are included at that station and all preceding stations in the processing segment, and in all following templates. The delta elevation is the difference between the vertical alignment elevation and the surface elevation. The offset is 0.

Related topics

Export Road Files (.rxl or .dc)


Export Trimble Data Collector Files (.dc)

Export points and coordinate system only data as .dc files. Click the Survey tab in the Export command pane to access the .dc exporter. You can set the file version, units, and output format in the Settings group.

Related topics

Export Data

Export Data in a Custom Format


Export Trimble JobXML Files (.jxl)

Exporting data in JobXML format allows you to share point data and coordinate system data with Trimble field software.

  1. Run Export command
  2. Click the Survey tab in the Export command pane and select Trimble Field Software exporter(jobXML) and verify settings below.
  3. Select data and click OK to export.

Note: Point data is exported into the JobXML Reductions section; the coordinate system data is exported into the Environmental section; the Fieldbook section is left empty.
Note: JobXML allows only one quality per point. If a point in this software has different qualities for planar and vertical components, the lowest quality is exported.

Exported Point Quality

JobXML does not have a single field to represent coordinate quality. This software uses a combination of the SurveyMethod and Classification record to represent coordinate quality as shown in the table below. This representation is valid only with JobXML version 5.0.

Coordinate Quality | JobXML SurveyMethod | JobXML Classification
Adjusted | KeyedIn | NetworkAdjusted
Control | KeyedIn | Control
Survey | KeyedIn | Normal
Mapping | Code | Normal
Unknown | Autonomous | <empty>

Related topics

Export Data

Export Data in a Custom Format


Export Trimble Surface Files (.ttm)

Export triangulated terrain models (.ttm) to use in:

  • Trimble® Survey ControllerTM
  • Trimble® Digital FieldbookTM (v2,v3, and v5)

Click the Construction tab in the Export command pane to access the .ttm exporter.

Related topics

Export Data

Export Data in a Custom Format


Troubleshoot Issues

In This Chapter

Troubleshoot View and Navigation Problems

Troubleshoot Selection Problems

Troubleshoot Project Setup Problems

Troubleshoot Geodetic Reference Data Problems

Troubleshoot Data Import Problems

Troubleshoot Data Transfer and Synchronization Problems

Troubleshoot Point Data Problems

Troubleshoot Line and Alignment Problems

Troubleshoot Surface Data Problems

Troubleshoot Field Data

Troubleshoot Menu and Toolbar Problems

Troubleshoot a Software Failure

Troubleshoot Dual Monitor Problems

Troubleshoot Language Problems

Known Issues


Troubleshoot View and Navigation Problems

Symptom

The graphic view redraws slowly when you make changes to view filters.

Possible Cause

Your project contains a large amount of data and your computer's graphics memory is running at capacity.

Solution

Try either of the following:

  • Select View > View Filter Manager. Then , click i_advanced view filter settings on the View Filter Manager toolbar to open the Advanced View Filter Settings dialog. When you make changes to view filters in this dialog, the graphic view does not automatically redraw. You can click Apply at any time to have the view redraw.
  • Select Project > Project Settings. In the left pane of the Project Settings dialog, click View > Display Options. In the View Filter section, select a default view filter other than All so that graphic views refresh more quickly.

Symptom

The points on a layer are not visible.

Possible Cause

In the View Filter Manager pane, Point in the Raw Data group is not checked and/or the appropriate layer in the Layers group is not checked.

Solution

Ensure Point in the Raw Data group is checked and the appropriate layer in the Layers group is checked.

Symptom

Toolbar tooltips are not displayed in the correct language.

Possible Cause

The program was installed in one language and then re-installed in a different language.

Solution

Reset the toolbars to the re-installed language by loading the default layout. Select Tools > Customize. In the Customize dialog, click Save/Load. In Default Layout, select Default Layout and click Load. Click OK in the New Layout dialog.

Symptom

The 3D view is replaced by a red X and a message stating that the system has run out of graphics memory.

There are two different possible causes and solutions for this symptom.

Possible Cause 1

If the screen saver displayed prior to the error occurring, Microsoft® DirectX, a utility used to display 3D views, was interrupted.

Solution 1

Try each of the following in the sequence shown until the problem is resolved:

  • Close and reopen the 3D view.
  • Close and reopen the program and the project.
  • Update to the latest version of DirectX.

Possible Cause 2

If the screen saver did not display prior to the error occurring, the system has run out of graphics memory.

Solution 2

Close any unneeded programs that are running on your computer, especially ones that display a lot of graphics. Next, close all 3D views, including those with a red X. Then, reopen the minimum number of 3D views you need.

As a long-term solution, you should consider upgrading your computer's graphics card.

Symptom

Your system suffers from generally poor graphics performance. For example, graphic views are pixelated or contain artifacts when you pan or rotate them; or, mouse movements are delayed or track intermittently.

Possible Cause

You are not using the optimal display settings for your graphics card and operating system, or your computer's graphics card is not sufficient for advanced display settings.

Solution

Try the following in the sequence shown until the problem is resolved:

  • Select Tools > Options. In the Options dialog, click Startup and Display in the left pane, and then click Advanced. Check the Override automatic detection box, and select the appropriate option for your operating system. Or, try each of the following graphics display packages in sequence, restarting the program between each:
    - DirectX
    - OpenGL
    - GDI
  • Right-click on your Windows desktop, and select Properties from the context menu. In the Display Properties dialog, click the Settings tab and select Medium (16 bit) in the Color quality list. Then, click the Advanced button in the same dialog. In the Plug and Play dialog, click the Troubleshoot tab, and set Hardware acceleration to Full.

Symptom

CAD lines are drawing slowly in graphic views.

Possible Cause

The imported CAD file has a large variety of lines that required additional time to draw accurately.

Solution

To speed up redrawing, you can force CAD lines to draw as solids in graphic views. Select Project > Project Settings. In the left pane of the Project Settings dialog, click View > Plan View. In the Plot scale box, change the value to 100,000.

Symptom

Label text in the Work Order Viewer coverage map is blurry.

Possible Cause

In Windows, the clear type method is used to smooth the edges of screen fonts. The standard method should be used instead.

Solution

Right-click on your Windows desktop and select Properties from the context menu. In the Display Properties dialog, click the Appearance tab and click Effects. In the Effects dialog, select Standard in the second drop-down list.

Symptom

Messages and tool tips associated with viewing some reports are not displayed in your language.

Possible Cause

The software uses Microsoft Report Viewer to display some reports (for example, the Feature Code Processing report). The viewer requires an appropriate Language Pack to display messages and tool tips in the correct language. A Language Pack for your language may not have been available at the time the software was shipped.

Solution

Visit www.Microsoft.com/downloads to see if an appropriate Language Pack is available for download.

Symptom

For Microsoft Vista users, some features are not available in 3D view.

Possible Cause

To correctly display information in 3D view when the software is running on the Microsoft Vista operating system, the software must temporarily simulate a Microsoft Windows XP environment. This means that while in 3D view, some Vista features may not be available. In addition, the cursor may be slow to respond while in 3D view.

Solution

All Vista features return when the 3D view is no longer selected.


Troubleshoot Selection Problems

Symptom

Some of the selection sets you created do not appear in the View Filter Manager's selection sets list.

Possible Cause

The missing selection sets do not contain any visible objects.

Solution

None. Selection sets can contain objects that have no visible display, such as coordinates. In the Selection Explorer, all selection sets are available. However, in the View Filter Manager only selection sets that contain at least one visible object are available.

Symptom

Some of the CAD lines you included in a selection set are no longer in the set.

Possible Cause

When you edit (for example, break or join) CAD lines, they are converted into linestrings. Since these linestrings are different objects from the originals, they are no longer included in the selection set that included the lines.

Solution

Re-add the linestrings to the selection set.


Troubleshoot Project Setup Problems

Symptom

You cannot reopen a VCE (.vce) project file.

Possible Cause

The project file is locked, possibly due to a crash or an improper program shutdown.

Improper shutdown can occur in the following situations:

  • A project is open and the power to the computer is interrupted.
  • A project is open and the process is ended from Windows® Task Manager.

Solution

Delete the (project name),lk lock file from the file project folder.

Note that all changes made to the project since the last save will be lost.


Troubleshoot Geodetic Reference Data Problems

Symptom

You cannot create or edit coordinate systems, or save sites.

Possible Cause

You may be logged on your operating system as a user who does not have Administrator permissions. By default, only users with Administrator permissions can edit the current.csd file, which is used to create and edit coordinate systems, and save sites

Solution

Do one of the following:

  • If possible, log in as a user with Administrator permissions.
  • Request that a user with Administrator permissions on your operating system change your user account permissions to Administrator.
  • Request that a user with Administrator permissions on your operating system grant you “write” permissions for the current.csd file. The location of the file depends on your operating system:
    - In Windows XP or earlier:
    C:\Documents and Settings\All Users\Application Data\Trimble\GeoData
    or
    C:\Program Files\Common Files\Trimble\GeoData.
    - In Windows Vista:
    C:\ProgramData\Trimble\GeoData
    or
    C:\Program Files\Common Files\Trimble\GeoData.

Note: If you do not see the Application Data folder in the path listed above, it may be hidden. To show hidden folders, in Windows Explorer, select Tools > Folder Options. Click the View tab and select Show hidden files and folders in Advanced Settings. Then click OK.


Troubleshoot Data Import Problems

Symptom

Duplicate points were created for points in an imported text file and points already in the project that have the same ID (that is, points were not merged as expected).

Possible Cause

If you import a text file with "Unknown" or “Mapping” coordinate quality into a project that already contains point data, duplicate points will be created for points in the text file (lightweight points) and points already in the project (normal points) that have the same ID.

Solution

Import the text file into the project first to create the lightweight points, then import the other point data. The lightweight points from the text file will merge with the normal points from the other point data to create normal non-duplicated points.

Symptom

Custom point data (.csv) imports to the wrong location.

Possible Cause 1

Project units may not be set correctly.

Solution 1

Select Project > Project Settings. In the Project Settings dialog, do the following:

  • Select Units > Coordinate and ensure the coordinate display order is correct.
  • Select Units > Distance and ensure the unit display is correct.

Possible Cause 2

The wrong custom import definition was selected; the northing and easting order are reversed.

Solution 2

Check the custom import definition you used to import the points. If you accidentally selected the definition with the northing and easting reversed, undo the import and re-import with the correct definition.

Symptom

A LandXML file will not import. The program's importer says it is a LandXML file, but when you try to import it, a message says the file is invalid.

Possible Cause

The file is valid XML, but not valid LandXML.

Solution

Open the file in your default Web browser. If it is corrupt, an error message displays. If no error message displays, it may be valid XML, but not valid LandXML. In this case, the file needs to be recreated in a valid LandXML format.

Symptom

When you import a Survey Controller job file with a known project height, and then import a Survey Pro job file into the same project using the "Convert to data collector definition" option in the Project Coordinate System dialog, the project height changes to 0.00 m.

Possible Cause

This is a known problem with the converter when mixing Survey Controller and Survey Pro jobs in the same project.

Solution

After import, select Project > Local Site Settings and enter the correct project height.

Symptom

After importing multiple GNSS data files, you are unable to force an occupation to be continuous.

Possible Cause

The software has designated the occupation as a base station instead of a rover.

Solution

To make the software designate the occupation as a rover, import it first, force it to be continuous, then import the other files.

Symptom

When you import a job from Survey Controller where a station elevation has been measured, the occupied station coordinate record is imported as "Disabled".

Possible Cause

This is a known problem.

Solution

Follow these steps to enable the occupied station coordinate and complete the station elevation workflow:

  1. In Project Explorer, expand the node for the point number of the occupied station where the station elevation was observed.
  2. Display the coordinate record for the point in the Properties pane.
  3. If the quality of the elevation is set to "Control" or "Survey", change it to "Mapping" or "Unknown".
  4. Change the status from "Disabled" to "Enabled".
  5. Re-compute the project.

The elevation of the occupied station and other points observed from that point will reflect the changes to the elevation.

Symptom

Some data that is stored as "Notes" contained in a Survey Pro/Field Surveyor 2.x Raw file are not imported

Possible Cause

This is a known problem.

Solution

  • Instrument type and accuracy: The instrument type will not be imported; this will need to be set manually. The instrument accuracy also will not be imported; it defaults to an accuracy of 1 second. This accuracy is used by the Network Adjustment command, so it should be set manually to the correct accuracy of the instrument used in the field.
  • Prism constant: The prism constant will not be imported. The imported measurement has already been adjusted to account for the prism constant that was set in the field software. If this was done correctly, no action needs to be taken. If there was a mistake in setting the prism constant in the field, the prism constant should be set in the software to the difference between the incorrect value and the correct value.


Troubleshoot Data Transfer and Synchronization Problems

Symptom

When you open the software as a user with a non-Administrator (limited/standard) login, a message displays prompting you for the ActiveSync setup files.

Possible Cause

The software is trying to connect to Microsoft ActiveSync and cannot do so because certain ActiveSync components were installed by a user with an Administrator login, to which the non-Administrator user does not have access.

Solution

Try any of the following:

  • If possible, log in as an Administrator user.
  • Request that a user with an Administrator login on your operating system change your user account permissions to Administrator.
  • Insert the software installation disk and update ActiveSync with the current non-Administrator login.
  • Download and install a version of ActiveSync other than 4.5 from www.Microsoft.com.


Troubleshoot Point Data Problems

Symptom

Duplicate points were created for points in an imported text file and points already in the project that have the same ID (that is, points were not merged as expected).

Possible Cause

If you import a text file with "Unknown" or “Mapping” coordinate quality into a project that already contains point data, duplicate points will be created for points in the text file (lightweight points) and points already in the project (normal points) that have the same ID.

Solution

Import the text file into the project first to create the lightweight points, then import the other point data. The lightweight points from the text file will merge with the normal points from the other point data to create normal non-duplicated points.

Symptom

Custom point data (.csv) imports to the wrong location.

Possible Cause 1

Project units may not be set correctly.

Solution 1

Select Project > Project Settings. In the Project Settings dialog, do the following:

  • Select Units > Coordinate and ensure the coordinate display order is correct.
  • Select Units > Distance and ensure the unit display is correct.

Possible Cause 2

The wrong custom import definition was selected; the northing and easting order are reversed.

Solution 2

Check the custom import definition you used to import the points. If you accidentally selected the definition with the northing and easting reversed, undo the import and re-import with the correct definition.

Symptom

When you import a job from Survey Controller where a station elevation has been measured, the occupied station coordinate record is imported as "Disabled".

Possible Cause

This is a known problem.

Solution

Follow these steps to enable the occupied station coordinate and complete the station elevation workflow:

  1. In Project Explorer, expand the node for the point number of the occupied station where the station elevation was observed.
  2. Display the coordinate record for the point in the Properties pane.
  3. If the quality of the elevation is set to "Control" or "Survey", change it to "Mapping" or "Unknown".
  4. Change the status from "Disabled" to "Enabled".
  5. Re-compute the project.

The elevation of the occupied station and other points observed from that point will reflect the changes to the elevation.


Troubleshoot Line and Alignment Problems

Symptom

You added an alignment to the set of members that affect a surface, but the surface did not change.

Possible Cause 1

The alignment does not have a vertical component (VAL) with non-zero elevations.

Solution 1

Add a vertical alignment with valid elevations in the Alignment Editor.

Symptom

You are creating a polyline, boundary, or linestring and it does not display in the graphic view as you create it.

Possible Cause 1

The layer that the line is assigned to is hidden in the view filter for that view.

Solution 1

  1. Click the tab of the view associated with the view filter you want to edit.
  2. Select the View > View Filter Manager.
  3. In the Layers group, check the box to show the layer on which the line resides. The change is saved to the current view filter for the current view.


Troubleshoot Surface Data Problems

Symptom

When you add a breakline to a surface, one or more warning flags display indicating there are crossing breaklines. Or, all of the triangle edges in your surface are made of breaklines.

Possible Cause

Your surface was imported as a .ttm file, which defines all of its triangles using breaklines.

Solution

Try saving your surface as something other than a .ttm file in your design program. Then reimport it into this program.

Symptom

When you delete a large imported surface, and then select Edit > Undo to revert the deletion, the surface does not reappear.

Possible Cause

Large imported surfaces contain too much internal data to be saved in the undo buffer.

Solution

Reimport the surface.

Symptom

There are vertical gaps in your surface.

Possible Cause

Your surface data contains points with different elevations at the same horizontal location. This can prevent vertical triangles from forming, causing holes in the resulting surface.

Solution

Use the Shrink 3D Faces command to shrink surface triangles (3D faces) slightly (.06 mm). This will eliminate overlapping vertices and reform the surface without gaps.

Symptom

Your surface appears as an object in the Project Explorer, but it is invisible in graphic views.

Possible Cause 1

Your surface is created from 2D data only; the data does not contain elevations.

Solution 1

Add elevations to the objects that are members of your surface.

Note: To add an elevation to an imported point, you may have to add a coordinate to the point.

Possible Cause 2

Your current view filter is excluding the surface.

Solution 2

Edit your current view filter to include the surface.

Symptom

When you add a point or line as a member of a surface, the surface does not change; the point or line does not appear to be a member of the set of objects on which the surface is based.

Possible Cause

The point or line is 2D (it has a null/undefined elevation). Objects must have valid elevations (zero is okay) to influence a surface.

Solution

Add an elevation to the point or line.


Troubleshoot Field Data

Symptom

The program appears to "freeze" (no activity) when you float a pane or try to open a dialog when using two monitors.

Possible Cause

The pane or dialog might appear out of either monitor’s visible range. It will be located off of the primary monitor in the space opposite the secondary monitor, causing the program to appear "frozen."

Solution

To reach the dialog or pane, right-click the application’s name on the Windows Taskbar and select Move. Then, press the appropriate arrow key to move the dialog into your primary monitor’s visible range.

Symptom

The program appears to "freeze" (no activity) when you try to email SCS files using the Compress/E-mail SCS Files command when using two monitors.

Possible Cause

Your email program may open a dialog confirming the operation out of either monitor’s visible range. The dialog will be located off of the primary monitor in the space opposite the secondary monitor, causing the program to appear "frozen."

Solution

To reach the dialog and confirm the email operation, right-click the email application’s name on the Windows Taskbar and select Move. Then, press the appropriate arrow key to move the dialog into your primary monitor’s visible range.

Symptom

The software cannot find the SCS900 Report Utility .xls file., resulting in the Work Order Report not being displayed. The error message states that it cannot find the file or the full file extension. If you browse to the file using the Options dialog, you can locate the file.

Possible Cause

Paths to Microsoft Excel files are limited to 219 characters. Therefore, if the path to the SCS report utility file (named "SCS900 Reporting Utility.xls" or "SCS Report Utility.xls") exceeds the character limit, the file will not open. In most cases, this will happen only if the .xls file has been placed in the My Documents directory.

Solution

Move Excel (.xls) files to locations with shorter paths (fewer subfolders) and/or rename files with shorter names.

Note: Unzipping a folder to a location within several folders could exceed maximum path character limits, preventing deeper files from being unzipped. There may be a warning that the files cannot be unzipped or the windows may simply close, making it look like they were all unzipped. It may be best to unzip files directly to the C drive with full administrative rights.

Symptom

When you attempt to open the SCS900 report utility, an error message displays stating that there is a data mismatch.

Note: If the Import Record.xls is opened directly in Excel, there is a no warning until you click Import Record.

Possible Cause 1

The -Report.txt and -Record.txt files are not both present or in the proper format.

Solution 1

Ensure that both the -Report.txt and -Record.txt files are present and in the proper format in the data synchronization area's Output folder.

Possible Cause 2

The language used in the software, SCS Report Utility, operating system, and Microsoft Office do not match.

Solution 2

Ensure the languages match. To set the language for Windows, go to the following locations:

  • Operating system - Select Start > Control Panel > Regional and Language Options.
  • Microsoft Office - Select Start > All Programs > Microsoft Office > Microsoft Office Tools > Microsoft Office Language Settings.

Possible Cause 3

The synchronizer root folder is not set to the correct folder in the Options dialog.

Solution 3

In the program, select Tools > Options. Click SCS and then File Locations in the left pane. Click the [image] icon and navigate to the folder in which SCS installed the SCS Report Utility.xls file.

Possible Cause 4

You do not have privileges to the folder.

Solution 4

If the security level is changed in Excel, a new Excel program needs to be started for the macro to work. To change the security level in Excel, select Tools > Options > Security > Macro Security. In the Security dialog, set the Security Level to Low (or add to the Trusted Publishers list). The macro can then be disabled when the Report Utility is opened.

Possible Cause 5

The Report Utility file is a different version from the one used on the site controller.

Solution 5

Find, or create, and use a Report Utility file of the same version as the one used on the site controller. The utility maker is on the SCS installation CD.


Troubleshoot Menu and Toolbar Problems

Symptom

Toolbar tooltips are not displayed in the correct language.

Possible Cause

The program was installed in one language and then re-installed in a different language.

Solution

Reset the toolbars to the re-installed language by loading the default layout. Select Tools > Customize. In the Customize dialog, click Save/Load. In Default Layout, select Default Layout and click Load. Click OK in the New Layout dialog.

Symptom

The program appears to "freeze" (no activity).

Possible Cause

Toolbars are corrupted.

Solution

Try removing the application data folder located at C:\Documents and Settings\(user name)\Application Data\Trimble\(product_name)\(version).

If this does not resolve the problem, contact Technical Support.

Note: If you do not see the Application Data folder in the path above, it may be hidden. To show hidden folders, in Windows Explorer, select Tools > Folder Options. Click the View tab and select Show hidden files and folders in Advanced Settings. Then click OK.

Symptom

When opening project files that were created in a different language, some text in the user interface (the units on the Status bar for instance) displays in a different language.

Possible Cause

The user interface text is being stored in the project file.

Solution

There is no solution at this time. Newly created projects will not have the problem, but it will remain in the original project file.

Symptom

Messages and tool tips associated with viewing some reports are not displayed in your language.

Possible Cause

The software uses Microsoft Report Viewer to display some reports (for example, the Feature Code Processing report). The viewer requires an appropriate Language Pack to display messages and tool tips in the correct language. A Language Pack for your language may not have been available at the time the software was shipped.

Solution

Visit www.Microsoft.com/downloads to see if an appropriate Language Pack is available for download.


Troubleshoot a Software Failure

Symptom

The program appears to "freeze" (no activity) when you float a pane or try to open a dialog when using two monitors.

Possible Cause

The pane or dialog might appear out of either monitor’s visible range. It will be located off of the primary monitor in the space opposite the secondary monitor, causing the program to appear "frozen."

Solution

To reach the dialog or pane, right-click the application’s name on the Windows Taskbar and select Move. Then, press the appropriate arrow key to move the dialog into your primary monitor’s visible range.

Symptom

The program appears to "freeze" (no activity) when you try to email SCS files using the Compress/E-mail SCS Files command when using two monitors.

Possible Cause

Your email program may open a dialog confirming the operation out of either monitor’s visible range. The dialog will be located off of the primary monitor in the space opposite the secondary monitor, causing the program to appear "frozen."

Solution

To reach the dialog and confirm the email operation, right-click the email application’s name on the Windows Taskbar and select Move. Then, press the appropriate arrow key to move the dialog into your primary monitor’s visible range.

Symptom

The program appears to "freeze" (no activity).

Possible Cause

Toolbars are corrupted.

Solution

Try removing the application data folder located at C:\Documents and Settings\(user name)\Application Data\Trimble\(product_name)\(version).

If this does not resolve the problem, contact Technical Support.

Note: If you do not see the Application Data folder in the path above, it may be hidden. To show hidden folders, in Windows Explorer, select Tools > Folder Options. Click the View tab and select Show hidden files and folders in Advanced Settings. Then click OK.

Symptom

The program does not respond in the expected way.

Possible Cause

The mouse may be set to a mode other than Select.

Solution

Check your mouse mode on the Mouse toolbar. If necessary, reset it to Select.

Symptom

The program appears to "freeze" (no activity) when the Properties pane is open and you select many objects.

Possible Cause

When you select many objects with the Properties pane open, the program looks for the properties common to all of the objects, slowing the program down and making it appear "frozen."

Solution

First, close the program. Then re-open it and open the project. If you have trouble reopening the project, check the directory where the (VCE) .vce file is stored. If there is a lock (*,lk) file with the same name as the project, delete it and reopen the project. Close the Properties pane before reselecting the objects.

Symptom

When you try to email SCS files, you receive a message that your email program is not supported.

Possible Cause 1

To email SCS files, you should be running Microsoft Outlook. Other resident email programs may work, but they are not guaranteed. Web-based email programs, such as Microsoft Hotmail, Yahoo®Mail, or Google®Gmail™, will not work.

Solution 1

If your email program is not supported, create the compressed file, save it, open your email program, attach the file to a message, and send it.

Possible Cause 2

If you are running Microsoft Outlook and you are still having a problem emailing SCS files, Outlook may be missing a component file.

Solution 2

Download the Collaboration Data Objects program (ExchangeCdo.exe) to fix the problem:
http://www.microsoft.com/downloads/details.aspx?FamilyId=2714320D-C997-4DE1-986F-24F081725D36&displaylang=en#QuickInfoContainer
For Microsoft Outlook 2003, run the CDO program from the system installation CD.

Symptom

You receive an error message stating that the software has run out of memory.

Possible Cause

The operating system has run out of memory (RAM) due to the high number of objects in your project.

Solution

Modify your boot.ini file to allow the program to access more memory. Contact Technical Support for assistance with this procedure.


Troubleshoot Dual Monitor Problems

Symptom

The program appears to "freeze" (no activity) when you float a pane or try to open a dialog when using two monitors.

Possible Cause

The pane or dialog might appear out of either monitor’s visible range. It will be located off of the primary monitor in the space opposite the secondary monitor, causing the program to appear "frozen."

Solution

To reach the dialog or pane, right-click the application’s name on the Windows Taskbar and select Move. Then, press the appropriate arrow key to move the dialog into your primary monitor’s visible range.

Symptom

The program appears to "freeze" (no activity) when you try to email SCS files using the Compress/E-mail SCS Files command when using two monitors.

Possible Cause

Your email program may open a dialog confirming the operation out of either monitor’s visible range. The dialog will be located off of the primary monitor in the space opposite the secondary monitor, causing the program to appear "frozen."

Solution

To reach the dialog and confirm the email operation, right-click the email application’s name on the Windows Taskbar and select Move. Then, press the appropriate arrow key to move the dialog into your primary monitor’s visible range.


Troubleshoot Language Problems

Symptom

Toolbar tooltips are not displayed in the correct language.

Possible Cause

The program was installed in one language and then re-installed in a different language.

Solution

Reset the toolbars to the re-installed language by loading the default layout. Select Tools > Customize. In the Customize dialog, click Save/Load. In Default Layout, select Default Layout and click Load. Click OK in the New Layout dialog.

Symptom

When opening project files that were created in a different language, some text in the user interface (the units on the Status bar for instance) displays in a different language.

Possible Cause

The user interface text is being stored in the project file.

Solution

There is no solution at this time. Newly created projects will not have the problem, but it will remain in the original project file.

Symptom

The software is installed in a Unicode language (for example, Japanese, Chinese, or Korean) and certain functionality (for example, baseline processing) is not available.

Possible Cause

This is a known issue with Unicode languages.

Solution

For Microsoft XP:

1. Select Regional and Language Options in the Control Panel.

2. On the Advanced tab, select the correct Unicode language in the drop-down list.

For Microsoft Vista:

1. Select Regional and Language Options in the Control Panel.

2. On the Administrator tab, click the Change System Locale button.

3. Select the correct Unicode language in the drop-down list.


Known Issues

  • Processing feature codes - If you processed a feature code file (.fxl) that included point and line features in BC-HCE v2.30, when you open that file in v2.40, the point and line features will appear, but the link to the original .fxl file will be gone.
  • Feature code files in field data - In addition to the note above, when you write a new .fxl file to field data for SCS or GCS, only the point features will appear on the controllers. To resolve feature code file conflicts in v2.30, you could export the .fxl file specified in your project settings to the assigned site controllers via the Job Site Manager. Options for resolving feature code conflicts in v2.40 include:
    • respecifing an .fxl file in project settings and exporting it to assigned site controllers via the Job Site Manager.
    • importing an .fxl file into your project from an assigned controller and exporting it back out to all assigned site controllers via the Job Site Manager.

      Note: if you updated from v2.30 to v2.40, you cannot export an .fxl from your project to assigned controllers until you use of the two options for resolving conflicts above.

  • Digitizing and Google™ Earth - If you are running Google Earth and this program concurrently, it is unlikely that you will be able to connect a digitizer via GTCO TabletWorks because Google Earth may have TabletWorks locked. To fix this, close Google Earth and try to connect to the digitizer again.
  • Densification and surface textures - When you enable surface densification, surface textures flow to triangles beyond the intended boundary.
  • Default printer - When this software's Print Preview dialog is open, the printer specified becomes the default printer for all applications system-wide. When the dialog is closed, the default printer returns to the one specified for the operating system.
  • Microsoft Report Viewer - This software uses Microsoft® Report Viewer to display some reports (for example, the Feature Code Processing report). The viewer requires an appropriate Language Pack to display messages and tooltips in the correct language. Language Packs were not available for all languages at the time the software was shipped. If messages and tooltips associated with the Microsoft Report Viewer are not displayed in your language, you can visit www.microsoft.com/downloads to see if an appropriate Language Pack is available for download.
  • Surface boundaries- If the surface used in your design model contains a boundary, all breaklines in the surface will appear as unnamed features when the surface is viewed in SCS. If the surface in your design model does not contain a boundary, the breakline names will be visible in SCS.
  • Surface trimming - When trimming a surface edge, the Undo command works, but the Redo command does not.
  • Avoidance zone export - If you do not have Trimble® SiteVision Office installed, the file extension avoid.svl is not recognized as an extension, but rather as part of the file name. Therefore, the extension is appended to the file name each time you export a file using the Machine Avoidance Zone exporter. This causes the file name to become <name>.avoid.svl.avoid.svl and next time <name>.avoid.svl.avoid.svl.avoid.svl. Whenever you export the same file name more than once, you will need to manually remove the extra instances of avoid.svl (beyond the original file extension).
  • Microsoft Outlook - If you are attempting to e-mail files, and you receive an error message that your version of Microsoft® Outlook 2007 is missing a component, download the Outlook CDO (Collaboration Data Objects) file to fix the problem:
    http://www.microsoft.com/downloads/details.aspx?FamilyId=2714320D-C997-4DE1-986F-24F081725D36&displaylang=en#QuickInfoContainer

    For Microsoft Outlook 2003, install the CDO file from the original program CD.


Surface Cross-section Issue in Field Data

Historically, terrain models have been defined using triangles for the surface. Roadway-based models include horizontal and vertical alignments for location and detailed cross-sections to define the triangles of the surface. If the cross-sections are used to create points at large intervals along the centerline, then where there is a curve in the horizontal or vertical alignments the triangles act as chords along the curves and will make an inaccurate surface model. This is typically resolved by creating points along cross-sections at a fine interval. Unfortunately, this greatly increased the amount of data and points created without necessarily adding increased accuracy.

The Remove diagonal and Adjust for arc/chord settings are used within this software to optionally adjust the interpolation for the arc to chord differences when displaying cross-sections along an alignment. These settings are also applied in SCS900 field software to produce the same answer and match the intended design seen in this office software. Unfortunately, GCS900 does not use the same model or method of applying the above properties, and will model the surface with the triangulated model it receives. In the past, this difference was minimized by creating smaller triangles (densification).

This office software now has the ability to densify the triangle mesh to within a user-specified tolerance. Sufficient triangles are created to more closely model the surface, but get created only when and where needed. This solution is efficient because it enables you to define the known cross-sections and the triangles are automatically created. If there is any change in the associated alignment, the revised surface is automatically updated. This densification process improves the accuracy and consistency of the surfaces as exported to SCS900 and GCS900 without bulking up the amount of data. Therefore, when you prepare data to export to the field, you should densify the surfaces and road surfaces to assure that they achieve suitable and similar accuracy and precision in both SCS900 and GCS900. For a more in depth explanation this limitation of cross-sectionally defined, TIN-based roadway models, and how to mitigate potential differences in road surface model interpretations between Trimble Business Center, GCS900, and SCS900, visit http://www.trimble.com/tbc-hce_ts.asp?Nav=Collection-51339 and read the article entitled "Differences in Road Surface Models between BC-HCE, GCS900, and SCS900".

Related topics

Understanding Surface Densification


Use Related Utilities

In This Chapter

Coordinate System Manager

Feature Definition Manager

Planning Utility

External Tools Manager

Office Synchronizer

SCS Data Manager

Trimble Configuration Utility

Trimble Data Transfer Utility

Connected Community

Trimble Access Services


External Tools Manager

Use the External Tools Manager to add menu items for external application and utilities that you might want to use within this software. For example, if you want to have quick access to the Microsoft® Windows® Calculator, you can add it as a menu item. To add external tools to the Tools menu, see Customize the Menu.


Trimble Configuration Utility

Use the Trimble Configuration Utility to update your computer with the latest files for:

  • GNSS antennas
  • GNSS receivers
  • GNSS antenna model files

After running the utility, your Trimble software will support the latest GNSS hardware.

Note: In addition to the standard downloadable Antenna.ini file, you can use your own customized Antenna.ini file. This might be useful if, for example, you need to support local, user-defined antenna phase center models for a specific antenna, or support separate phase center models for individual antennas of the same type. For more information, see Use a Custom Antenna.ini File.

To access the utility:

  • Select Tools > Configuration Web Page.


Trimble Data Transfer Utility

Use the Trimble Data Transfer Utility to transfer data from a range of devices to your computer. You can then import the data into Trimble Geomatics Office™, Trimble Total Control™, Terramodel®, Trimble Business Center, Business Center - HCE, GPS Pathfinder® Office, Trimble Link™, or the GPS Analyst™ extension for ESRI ArcGIS.

To access the utility:

  • Select Tools > Data Transfer Web Page.


Connected Community

The Connected Community (TCC) is a web-based set of networking tools that surveyors and construction contractors can use to connect with internal and external partners and clients. As part of the Trimble Connected Site™ portfolio of solutions, the TCC enables you to build information portals, share information, and collaborate with head office management, site office teams, field crews, subcontractors, suppliers, engineers, and clients on projects.

You can save projects from this software to the TCC using the Save File Remotely command. You can open project files and import data files saved to the TCC using the Open Remote File command. Before you use either of these commands, however, you must set up your user profile in the options for External Services.

To add TCC to your Tools menu:

  1. Select Tools > External Tools Manager. The External Tools dialog displays.
  2. Click Add. [New Tool] appears in the Menu Contents list.
  3. Type TCC in the Title box.
  4. Type www.myconnectedsite.com in the Command box.
  5. If needed, click Up or Down to change the position of the item in the menu.
  6. Click OK. TCC appears in the Tools menu.

Related topics

Customize the Menu


Trimble Access Services

Trimble Access Services is a web-based set of services that allow you to perform various online tasks, including the following:

  • Send files to the field via Trimble AccessSync.
  • Convert older Trimble Access and Trimble Survey Controller Job (.job) files.
  • View future GNSS satellite availability.

    Note: Contact your Trimble distributor to learn more about subscribing to Trimble Access Services, including the Trimble Connected Community.

To pre-configure Trimble Business Center with your External Services login credentials:

  • Select Tools > Options > External Services, complete the fields, and click OK.

To open Trimble Access Services:

  • Select TCC > Trimble Access Services.


Command Reference

3D View Settings Command

This command gives you access to various tools for changing the vertical scale and view angle in the 3D view.

To access the command:

  1. Make sure that you have a 3D view open, or select View > New 3D View.
  2. Click 3D View Settings in the command pane's All Commands list.

    The 3D View Settings command pane displays.

Related topics

3D View

3D View Navigation

About Trimble Business Center Command

The command shows you the version of Trimble Business Center you are running. If you are using a trial version of the software, the dialog shows the number of days until it will expire. This dialog also gives you access to the End User License Agreement (EULA), product registration, and licensing dialogs.

To access the command:

  • Select Help > About Trimble Business Center. The About Trimble Business Center dialog displays.

Related topics

Products Command

About Spectra Precision® Survey Office Command

The command shows you the version of Spectra Precision Survey Office you are running. If you are using a trial version of the software, the dialog shows the number of days until it will expire. This dialog also gives you access to the End User License Agreement (EULA), product registration, and licensing dialogs.

To access the command:

  • Select Help > About Spectra Precision Survey Office. The About Spectra Precision Survey Office dialog displays.

Related topics

Products Command

Add Coordinate Command

This command enables you to add an office-entered coordinate to a point.

To access the command:

  • Pick a point in a 2D view, right-click and select Add Coordinate from the context menu.
  • Double-click on a point in the Project Explorer. The properties of the point appear in the Properties pane. Click the [image] icon on the Properties pane toolbar.

    The Add Coordinate command pane displays.

Related topics

Add a Coordinate to a Point

Create a Point

Compute Project Command

Coordinate Options

Add External Job Site Design Command

This command lets you add an external job site design to your job site so you can edit its design data. External job site designs are those that exist in the data synchronization area, but not your current project.

To access the command:

  • Right-click an external design in the Project Explorer, and select Add External Job Site Design from the context menu. The design is added to your site and project, and moves from External Designs to Designs in the Project Explorer.

    or

  • Select Field Data > Add External Job Site Design.
  • Click the [image] icon (if on the toolbar).

    The Add External Job Site Design dialog displays.

Related topics

Icons in the Project Explorer

Add Surface Texture Command

Use this command to fill one or more areas of a surface with textures to help visualize different surface materials in graphic views and printed output.

To access the command:

  • Select Surface > Add Surface Texture.
  • Click the [image] icon (if on the toolbar).

Related topics

Add a Texture to a Surface Area

Add/Remove Surface Boundaries Command

This command enables you to define the extents of a surface by adding or removing one or more boundaries or closed lines as the limits of the surface. You can also create holes and islands within or outside of a surface by adding additional boundaries.

To access the command:

  • Select Surface > Add/Remove Surface Boundaries.
  • Click the [image] icon on the toolbar.

    The Add/Remove Surface Boundaries command pane displays.

Related topics

Add and Remove Surface Boundaries

Add/Remove Surface Members Command

This command enables you to change a surface by adding to, and removing from, the set of members that reflect the surface.

To access the command:

  • Select Surface > Add/Remove Surface Members.
  • Click the [image] icon on the toolbar.
  • Select a surface in the Project Explorer, right-click, and select Add/Remove Surface Members.

    The Add/Remove Surface Members command pane displays.

Related topics

Edit a Surface by Adding and Removing Members

Edit a Surface by Changing a Point Coordinate

Point Coordinate Options

Adjust Network Command

Use this command to adjust your network of processed baselines. Then you can review error ellipses and other results to improve the adjustment.

To access the command:

  • Select Survey > Adjust Network.
  • Click the [image] icon on the toolbar.

    The Network Adjustment dialog displays.

Related topics

Adjust a Network

Change Network Adjustment Settings

Understanding Network Adjustment

Network Adjustment Settings

Advanced Select Command

This command enables you to select objects by specifying a type of data (baseline, coordinate, point, etc.) and a specific property of that data. If needed, you can continue to build or modify your selection by specifying additional data types and their properties.

To access the command:

  • Select Select > Advanced Select. The Advanced Select dialog displays.

Related topics

Advanced Select

Selection Methods and Options

Alignment Editor Command

This command displays the Alignment Editor, where you can edit an alignment's segment type and values, and insert new segments into an alignment.

To access the command:

  • Click the [image] icon on the toolbar.
  • Select Corridor > Alignment Editor.
  • Pick an alignment in a graphic view, right-click and select Edit from the context menu.
  • Select an alignment in the Project Explorer, right-click and select Edit from the context menu.

    The Alignment Editor displays.

Related topics

Alignment Editor

Create an Alignment

Edit an Alignment

Archive Project Command

This command saves a project (.vce) file and its associated subfolder in a compressed (.zip) file of the same name.

Note: File archiving only works if you have Use project subfolders checked in the File Locations section of the Options dialog.

To access the command:

  1. Make sure the project you want to archive is closed.
  2. Select File > Archive Project. The Archive a Project dialog displays.

Related topics

Archive a Project

Save a Project

Baseline Processing Report Command

This command generates a summary or detailed report after you process baselines in your project.

To access the command:

  • To view the RDLC version of the report, select Reports > Baseline Processing Report (RDLC).
  • To view the HTML version of the report, select Reports > Report Options and double-click Baseline Processing Report (HTML) in the Reports list.
  • If you have just processed baselines in your project and the Process Baselines dialog is still open, you can view the Baseline Processing Report for any of the observations listed. Select the row in the Processing Results list, and click the Report button.

Related topics

Process Baselines

Run a Baseline Processing Report

Break Line Command

This command lets you break a line into two separate linestrings at the point you specify.

To access the command:

  • Select Line > Break Line.
  • Click the [image] icon on the toolbar.

    The Break Line command pane displays.

Related topics

Break a Line

Bring Forward Command

This command enables you to move an image forward one level relative to other images.

To access the command:

Right-click the image in the Project Explorer or on a view tab and select the Bring Forward option.

Related topics

Move Images Forward and Backward

Image View

Georeference Image View

Bring to Front Command

This command enables you to move an image to the front (level 1) relative to other images.

To access the command:

Right-click the image in the Project Explorer or on a view tab and select the Bring to Front option.

Related topics

Move Images Forward and Backward

Image View

Georeference Image View

Build Takeoff Surfaces Command

This command updates the surfaces that are automatically created by certain takeoff commands. Use it when you have made changes to layers, site improvements, drillholes, topsoil areas, or objects that affect layer, subgrade, depth, and topsoil surfaces.

To access the command:

  • Select Takeoff > Build Takeoff Surfaces.
  • Click the [image] icon (if on the toolbar).

    The surfaces are updated based on the changes you made.

Related topics

Build Takeoff Surfaces

Categorize Takeoff Layers Command

This command allows you to assign the layers that your data resides on to different categories to prepare for takeoff calculations. Assigning layers to two of the categories results in the formation of the Original and Design surfaces for takeoff.

To access the command:

  • Click the [image] icon (if on the toolbar).
  • Select Takeoff > Categorize Takeoff Layers.

    The Categorize Takeoff Layers command pane displays.

Related topics

Categorize Takeoff Layers

Center Command

This command enables you to position a selected point in the center of the Plan View.

To access the command:

  • Pick a point in the Project Explorer or the Plan View, right-click and select Center from the context menu.
  • Click the [image] icon (if on the toolbar).

Related topics

2D View Navigation

Select from the 2D Views

Change Coordinate System Command

This command opens the Change Coordinate System dialog which enables you to create a new coordinate system or select one of up to 10 stored coordinate systems.

To access the command:

  • Select Project > Change Coordinate System.
  • Select Project > Project Settings > Coordinate System, and click Change.

    The Select Coordinate System dialog displays.

Related topics

Change the Coordinate System

Coordinate System Manager

Define a New Coordinate System

Restore the Original Coordinate System File

Change Elevation Command

Use this command to elevate one or more 2D objects or change the elevation of one or more 3D objects. You can elevate objects to a single absolute elevation or specify a relative change of elevation in which each object retains any changes in its elevation.

To access the command:

  • Select Edit > Change Elevation.
  • Click the [image] icon (if on the toolbar).

    The Change Elevation command pane displays.

Related topics

Change the Elevation of Objects

Set a Line Elevation

Check for Updates Command

This command lets you check to see if there are any updated files available for Trimble Business Center. If there are updated files available, you can download and install them.

To access the command:

  • Select Help > Check for Updates.

Related topics

Check for Updates

Clear Adjustment Results Command

This command removes all adjusted coordinates from your project. The Network Adjustment Results from the last network adjustment are no longer available. In addition, the Clear Adjustment Results command:

  • Clears the adjustment transformation parameters from the project
  • Clears all coordinate fixes
  • Resets all weighting scalars to 1.00
  • Removes error ellipses from graphic views
  • Clears any adjustment flags
  • Recomputes the project

To access the command:

  • Select Survey > Clear Adjustment Results.
  • Click the [image] icon on the Network Adjustment command pane toolbar.

Related topics

Compute Project Command

Adjust Network Command

Run a Network Adjustment Report

Clear Processing Results Command

This command removes all processed vectors and trajectories from your project.

To access the command:

  • Select Survey > Clear Processing Results.

Related topics

Process Baselines

Clear Site Calibration Command

This command removes any site calibration you have performed, and recomputes the project.

To access the command:

  • Select Survey > Clear Site Calibration.
  • Click the i_clear site calibration icon on the toolbar.

Related topics

Calibrate a Site

Site Calibration Options

Close All Windows Command

This command closes the project data in all the windows currently open. If you have modified the project without saving it, the Save Changes dialog displays, enabling you to save your project before closing it.

To access the command:

  • Select Window > Close All Windows.

    If the Save Changes dialog displays:

    • Click Yes to save changes before closing, or click No to close the project without saving any changes.

Related topics

Archive a Project

Close Project Command

Save a Project

Save Project As Template Command

Close Project Command

This command closes your project. If you have modified the project without saving it, the Save Changes dialog displays, enabling you to save or discard changes before closing your project.

To access the command:

  • Select File > Close Project.
  • Click the [image] icon on the program's title bar.

    If the Save Changes dialog displays, click Yes to save changes before closing, or click No to close the project without saving any changes.

Related topics

Archive a Project

Close All Windows Command

Exit Command

Save a Project

Save Project As Template Command

Command Pane Command

This command displays the Command pane, enabling you to access commands via the All Commands List or the Recent Commands List. You can also enter commands in the command line.

To access the command:

  • Select View > Command Pane.
  • Press [F12].
  • Click the [image] icon on the toolbar of any command running in the command pane.

    The Command pane displays on the right side of the application window.

Related topics

Command Pane

Pane and Data View Positioning

Compress/E-mail Field Data Command

This command enables you to compress job site, design, and work order files to archive or to e-mail them to colleagues or field crews. Files are compressed in a .zip folder.

To access the command:

Select a job site, job site design, or work order in the Project Explorer, and do one of the following:

  • Right-click and select Compress/E-mail Field Data from the context menu.
  • Select Field Data > Compress/E-mail Field Data.
  • Click the [image] icon (if on the toolbar).

    The Compress /E-mail Field Data dialog displays

Related topics

Compress and E-mail Field Data

Compute Project Command

This command enables you to compute your project after you make changes to the data.

To access the command:

  • Select Project > Compute Project.
  • Click the [image] icon on the status bar. The icon appears if your project needs to be computed or recomputed.

Note: When you import data into a project, change project settings, or change the coordinate system, the project is automatically computed for you.

Related topics

Add Coordinate Command

Define a New Coordinate System

Flags Pane Command

Status Bar

Controller Manager Command

This command displays the Controller Manager, where you can review and manage the records for the controllers (machines and site controllers) in your data synchronization area.

To access the command:

  • Select Field Data > Controller Manager.
  • Click the [image] icon (if on the toolbar).
  • Click the icon at the top of the Job Site Manager command pane.

    The Controller Manager dialog displays.

Related topics

Manage GCS and SCS Controllers

Coordinate System Manager Command

This command opens the Coordinate System Manager, a standalone utility that gives you access to your coordinate system database (Current.csd). This software uses the Coordinate System Database to determine which coordinate systems, geoid models, and sites are available for selection in a project.

To access the command:

  • Select Tools > Coordinate System Manager.

    The Coordinate System Manager opens.

Related topics

Change the Coordinate System

Coordinate System Manager

Coordinate Systems

Define a New Coordinate System

Restore the Original Coordinate System File

Coordinates Scroll Command

This command opens the Coordinates scroll, which shows values, such as northing, easting, latitude, longitude, elevation, and offset, based on the position of the cursor in a graphic view. The values shown depend on what type of view the cursor is in.

To display the Coordinates scroll:

  • Check the box at the right end of the status bar.
  • Select View > Coordinates Scroll.

    The Coordinates scroll displays.

Related Topics

Coordinates Scroll Command

Copy Field Data to Data Card Command

Use this command to copy job site and job site design data from your project onto a data card so it can be used on a GCS machine in the field.

To access the command:

  • Select Field Data > Copy Field Data to Data Card.
  • Click the [image] icon (if on the toolbar).
  • Right-click a job site in the Project Explorer and select Copy Field Data to Data Card from the context menu.

    The Copy Field Data to Data Card dialog displays.

Related topics

Copy Field Data to a Data Card

Copy Objects Command

This command enables you to create duplicates of one or more objects in either 2D or 3D.

To access the command:

  • Click the [image] icon (if on the toolbar).
  • Select Edit > Copy Objects.

    The Copy Objects command pane displays.

Related topics

Move Objects

Copy Work Order Command

This command saves you work by letting you copy work orders that you want to reuse.

To access the command:

  • Right-click a work order in the Project Explorer and select Copy Work Order from the context menu.
  • Select Field Data > Copy Work Order.
  • Click the [image] icon (if on the toolbar).

    The Copy Work Order dialog displays.

Related topics

Reassign or Copy a Work Order

Create Alignment Command

This command enables you to build alignments by defining horizontal segments. You can also define station equations and vertical segments if needed.

To access the command:

  • Select Line > Create Alignment.
  • Click the [image] icon on the toolbar.
  • Select Line > Alignment Editor, and click Create Alignment.

    The Create Alignment command pane displays.

Related topics

Create an Alignment

Create an Alignment from a GENIO String

Workflow for Creating Alignments

Create Alignment from a GENIO 6D String Command

This command converts a GENIO 6D string into an alignment.

To access the command:

  1. Import a GENIO 6D string.
  2. In a graphic view, pick the string.
  3. Select Line > Create an Alignment from a 6D String.

    The alignment is created.

Related topics

Create an Alignment

Create an Alignment from a GENIO String

Import GENIO Files

Create Boundary Command

Use this command to create a 2D boundary around a certain portion of a surface. This is useful if you do not want to send an entire surface to site controller software; it enables you to associate a smaller surface model with an SCS design.

To access the command:

  • Select Line > Create Boundary.
  • Click the [image] icon on the toolbar.
  • Right-click on Boundaries in the Project Explorer and select Create Boundary from the context menu.

    The Create Boundary command pane displays.

Related topics

Create a Boundary

Create Breakline Command

This command enables you to create lines that define the shape of surfaces by controlling how triangles in the surface mesh are formed.

To access the command:

  • Select Surface > Create Breakline.
  • Click the [image] icon on the toolbar.

    The Create Breakline command pane displays.

Related topics

Edit a Surface by Creating a Breakline

Create Contour at Elevation Command

This command enables you to add a single contour line to mark a specific elevation on a surface and help visualize its topography.

To access the command:

  • Click the i_create contour at elevation icon on the toolbar.
  • Select Surface > Create Contour at Elevation.
  • Pick a surface in a graphic view, or select it in the Project Explorer, right-click and select Create Contour at Elevation from the context menu.

    The Create Contours at Elevation command pane displays.

Related topics

Create a Surface Contour at an Elevation

Create Surface Contours at Intervals

Contour Options

Create Contours Command

This command enables you to add contour lines to a surface at regular elevation intervals to help visualize the topography.

To access the command:

  • Click the [image] icon on the toolbar.
  • Select Surface > Create Contours.
  • Select a surface in the project explorer, right-click, and select Create Contours from the context menu.

    The Create Contours command pane displays.

Related topics

Create a Surface Contour at an Elevation

Create Surface Contours at Intervals

Contour Options

Create Corridor Command

Use this command to create a corridor, which is a 3D model of a linear structure, such as a road or waterway.

To access the command:

  • Select Corridor > Create Corridor.
  • Click the Create Corridor icon [image] on the toolbar.

    The Create Corridor command pane displays.

Related topics

Create Corridors

Edit and Delete Corridors

Create Drillhole Command

This command enables you to create drillholes to represent locations where you have core sample data defining the in situ strata of earthen materials on the job site. Strata from drillholes are used to create depth surfaces from which subgrade material volumes can be calculated.

  • Select Takeoff > Create Drillhole.
  • Click the [image] icon (if on the toolbar).

The Create Drillhole command pane displays.

Related topics

Create and Edit a Drillhole

Create Job Site Design Command

This command enables you to create a job site design within an existing job site, and add design data, such as a surface model, stakeout points, and design map objects to the design so it can be sent to designated controllers to be used on the job site.

To access the command:

  • Select Field Data > Create Job Site Design.
  • Click the [image] icon (if on the toolbar).
  • Right-click on Designs in the Project Explorer, and select Create Job Site Design from the context menu.

    The Create Job Site Design command pane displays.

Related topics

Manage Job Site Designs and Design Data

Create a Job Site Design

Create Linestring Command

This command enables you to create highly-versatile linear objects (linestrings) composed of one or more segments by defining points and the connections between the points. You can also specify vertical values/elevations at locations along the linestrings to make them 3D.

To access the command:

  • Select Line > Create Linestring.
  • Click the [image] icon on the toolbar.

    The Create Linestring command pane displays.

Related topics

Create a Linestring

Create Point Command

This command creates an office-entered point (and its associated coordinate).

To access the command:

  • Select Point > Create Point.

    The Create Point command pane displays.

Related topics

Create a Point

Point Options

Create Points from Spot Elevations Command

This command enables you to create 3D points from a variety of spot indicators types and their elevation text in preparation for using the Elevate Lines command.

To access the command:

  • Click the [image] icon (if on the toolbar).
  • Select Data Prep > Create Points from Spot Elevations.

    The Create Points from Spot Elevations command pane displays.

Related topics

Create Points from Spot Elevations

Create Polyline Command

This command enables you to create a multi-segment line at a constant elevation by either picking each segment's start and end points or by picking the line's start point, adding points as you hold down the button and move the cursor, and releasing the button at the end point.

To access the command:

  • Click the [image] icon (if on the toolbar).
  • Select Takeoff > Create Polyline.
  • Select Line > Create Polyline.

    The Create Polyline command pane displays.

Related topics

Create a Polyline

Create Surface Command

This command enables you to create a 3D representation of topography, formed by a mesh of contiguous triangles.

To access the command:

  • Select Surface > Create Surface.
  • Click the [image] icon on the toolbar.

    The Create Surface command pane displays.

Related topics

Create a Surface

Surface Options

Workflow for Creating Surfaces

Create Surface Cross-Section Command

This command enables you to create a cross-section of a surface that is coincident with an alignment so you can check the relationship between the two.

To access the command:

  • Select Surface > Create Surface Cross-Section.
  • Click the [image] icon on the toolbar.

    The Create Surface Cross-Section command pane displays.

Related topics

Create and View a Cross-Section

Cross-Section View

Create Surface Cut/Fill Grid Command

This command enables you to create a grid of values showing the elevation differences between two surfaces, as cut or fill depths. The measurements are color-coded to indicate where earth needs to be cut or filled. You can also create a grid of values labeling the elevations of a single surface.

To access the command:

  • Select Surface > Create Surface Cut/Fill Grid.
  • Click the [image] icon on the toolbar.

    The Create Surface Cut/Fill Grid command pane displays.

Related topics

Create a Surface Cut/Fill Grid

Create Surface Edge Breakline Command

This command enables you to create a breakline on the outer edge of a surface when you want to prevent trimming or recalculated triangles of the edge.

To access the command:

  • Select Surface > Create Surface Edge Breakline.
  • Click the [image] icon (if on the toolbar).

    The Create Surface Edge Breakline command pane displays.

Related topics

Create a Breakline at a Surface Edge

Edit a Surface by Creating a Breakline

Create Surface Profile Command

This command enables you to use a vertical alignment that is coincident with a surface to create a profile of the surface so you can compare them in a profile view.

To access the command:

  • Click the i_create surface profile icon on the toolbar.
  • Select Surface > Create Surface Profile.

    The Create Profile of Surface command pane displays.

Related topics

Create a Profile of a Surface

Alignment Profile View

Create Uncompacted PCS Surface Command

This command enables you to create a surface for a paving control system (PCS), such as PCS400, that represents the ideal surface shape to be formed by a paver screed in placing asphaltic concrete by accounting for the compaction that occurs as the asphalt is rolled.

To access the command:

  • Select Surface > Create Uncompacted PCS Surface.
  • Click the [image] icon (if on the toolbar).

    The Create Uncompacted PCS Surface command pane displays.

Related topics

Understanding Uncompacted PCS Surfaces

Create an Uncompacted PCS Surface

Create Work Order Command

This command enables you to write work orders to send to your field crews, instructing them what tasks are to be performed at a job site, as well as specifying the job site design, tolerances, and other settings to use.

To access the command:

  • Select Field Data > Create Work Order.
  • Click the [image] icon (if on the toolbar).
  • Right-click Work Orders in the Project Explorer, and select Create Work Order from the context menu.

    The Create Work Order command pane displays.

Related topics

Create a Work Order

Customize Command

This command enables you to customize the layout of this software to suit your needs. You can customize toolbars, commands, display options, add new command icons to toolbars, and save/load your layout options for future use.

To access the command:

  • Select Tools > Customize.

    The Customize dialog displays.

Related topics

Customize the Toolbar

Customize the Menu

Customize the Keyboard

Customize Tools

Get Familiar with the Interface

Datum Gridding Command

This command enables you to create a datum to upload to a field device. Do this if you have chosen a coordinate system for your project that uses a datum, and the datum hasn't been defined yet.

To access the command:

  • Select Project > Datum Gridding.
  • In the Device pane, with a device connected, click Tasks and select Upload datum grid (.dgf) file.

    The Datum Gridding command pane displays.

Related topics

Create a Datum Grid File

Define Areas of Interest Command

This command enables you to define areas of interest to calculate material volumes and site improvement quantities for regions of your job site.

To access the command:

  • Click the [image] icon (if on the toolbar).
  • Select Takeoff > Define Areas of Interest.

    The Define Areas of Interest command pane displays.

Related topics

Define Areas of Interest

Define Materials Command

This command enables you to define materials to use in earthworks volume calculations and reports.

To access the command:

  • Click the [image] icon on the toolbar.
  • Select Surface > Define Materials.

    The Define Materials dialog displays.

Related topics

Define Materials for Earthwork Reports

Materials Options

Define Strata Command

Use this command to define the earthen strata that exist on your job site. Then the depths and thicknesses for each stratum are definable when you create drillholes.

To access the command:

  • Select Takeoff > Define Strata.
  • Click the [image] icon (if on the toolbar).

    The Define Strata dialog displays.

Related topics

Define Strata

Delete Command

This command deletes objects from the project database. This removes the object from the data views and the Project Explorer.

To access the command:

  • Select Edit > Delete. The Delete command pane displays.

To select and then delete data:

  1. Select the objects to delete in a graphic or spreadsheet view, or in the Project Explorer.
  2. Do one of the following:
    • Select Edit > Delete.
    • Select Delete from the context menu (right-click to display).
    • Press [Ctrl] + [D].

    The selected data is removed from the database, and the current view is updated. The Delete command pane does not display.

Related topics

Delete an Object

Filter a View

Undo and Redo Commands

Selection Methods and Options

Delete Line Segment Command

This command lets you remove any segment from a multi-segmented line, or an entire line if it consists of only one segment.

To access the command:

  • Select Line > Delete Line Segment.
  • Click the [image] icon on the toolbar.

    The Delete Line Segment command pane displays.

To select and then delete a segment:

  • Select the segment in a graphic view, and then access the command using one of the options above.

    The selected segment is deleted. The Delete Line Segment command pane does not display.

Related topics

Delete a Line Segment

Create a Linestring

Edit a Linestring's Horizontal Segments

Delete Work Order Command

This command removes a work order from the Project Explorer and the controllers to which it was assigned in the data synchronization area.

To access the command:

  • Right-click a work order in the Project Explorer, and select Delete Work Order from the context menu. A confirmation message appears. Click OK.

    or

  • Click the [image] icon (if on the toolbar). The Delete Work Order dialog displays.

Related topics

Edit a Work Order

Work Order Options

Device Pane Command

This command displays the controller devices that are connected to your computer. You can also display the data synchronization area after a device has been synchronized.

To access the command:

  • Select View > Device Pane.
  • Press [F10].
  • Click the [image] icon on the toolbar.

    The Device pane displays.

Related topics

Device Pane

Pane and Data View Positioning

Prepare to Connect a Field Device

Digitize Contour Command

Digitize a series of multi-segment lines representing topographic contours at constant elevations by streaming points.

To access the command:

  • Select Takeoff > Digitize Contour.
  • Click the [image] icon (if on the toolbar).

    The Digitize Contours command pane displays.

Related topics

Digitize Contour Lines

Digitize Linestring Command

Digitize a multi-segment line with one or more elevations by streaming points.

To access the command:

  • Click the [image] icon (if on the toolbar).
  • Select Takeoff > Digitize Linestring.

    The Digitize Linestring command pane displays.

Related topics

Digitize a Linestring

Digitize Pad Command

Digitize a multi-segment line representing a building pad at a constant elevation by picking or streaming points.

To access the command:

  • Click the [image] icon (if on the toolbar).
  • Select Takeoff > Digitize Pad.

    The Digitize Pad command pane displays.

Related topics

Digitize a Pad Line

Digitizer Setup Command

This command allows you to connect to an installed digitizer and orient it to your project data by picking corresponding reference points in your project and on the digitizing pad.

To access the command:

  1. Connect the digitizer cables to your computer following the manufacturer's instructions.
  2. Download and install the required digitizer drivers from the manufacturer's web site.
  3. Do one of the following
    • Select Takeoff > Digitizer Setup.
    • Click the [image] icon (if on the toolbar).

    The Digitizer Setup command pane displays.

  4. Click Connect. The Digitizer Setup command pane refreshes.

Related topics

Set Up and Orient a Digitizer

Disable Commands

These commands turn baselines, sessions, trajectories, and vectors off so they do not participate in project calculations.

To access the command:

  • Select baselines, sessions, trajectories, or vectors in the Project Explorer, right-click and select Disable.
  • Pick baselines, sessions, trajectories, or vectors in a graphic view, right-click and select Disable.

Related topics

Compute Project Command

Enable Commands

Trajectories and Vectors

Earthwork Report Command

This command enables you to generate a volume report based on a single surface, or the comparison of two surfaces.

To access the command:

  • Click the [image] icon on the toolbar.
  • Select Reports > Earthwork Report.

    The Earthwork Report command pane displays.

Related topics

Run an Earthwork Report

Define Materials for Earthwork Reports

Earthwork Report Options

Edit Command

This command enables you to edit a variety of object types by launching the appropriate editor for the type of object you have selected.

To access the command:

  • Right-click an object, and select Edit from the context menu.
  • Select Edit > Edit.
  • Click the [image] icon on the toolbar, or on the Properties pane toolbar.

    Depending upon whether you have an object selected or not, either the Edit command pane displays (prompting you to select an object) or the editor appropriate to the selected object displays.

Related topics

Edit an Alignment

Edit a Linestring's Horizontal Segments

Edit a Surface by Adding and Removing Members

Edit Corridor Command

Use this command to edit properties for a corridor.

To access the command:

  • Select Corridor > Edit Corridor.
  • Click the Edit Corridor [image] icon on the toolbar.
  • Left-click to select the corridor in Plan View or 3D View, then right-click and select Edit Corridor in the context menu.
  • Right-click the corridor in Project Explorer and select Edit Corridor in the context menu.

    The Edit Corridor command pane displays.

Related topics

Edit and Delete Corridors

Edit Drill Hole Command

This command enables you to edit existing drillholes that you created using the Create Drillhole command.

  • Select Takeoff > Edit Drillhole.
  • Click the [image] icon (if on the toolbar).

The Edit Drillhole command pane displays.

Related topics

Create and Edit a Drill Hole

Edit Linestring Command

This command enables you to modify lines or linestrings by redefining their points and the connections between the points, changing vertical values/elevations along the linestrings, and by adding, inserting, and deleting segments.

To access the command:

  • Select Line > Edit Linestring.
  • Click the [image] icon on the toolbar, or on the Properties pane toolbar.
  • Right-click a line or linestring, and select Edit from the context menu.

    The Edit Linestring command pane displays.

Related topics

Create a Linestring

Elevate Contour Command

This command enables you to elevate a series of 2D lines representing surface contours by clicking one line at a time. The lines are elevated based on a specified starting elevation, increment direction, and contour interval.

To access the command:

  • Click the [image] icon (if on the toolbar).
  • Select Data Prep > Elevate Contours.

    The Elevate Contours command pane displays.

Related topics

Elevate Contours

Elevate Contours by Crossing Command

This command enables you to quickly elevate a series of 2D lines or linestrings representing surface contour lines by drawing a line across them which applies a specified starting elevation, increment direction, and contour interval.

To access the command:

  • Click the [image] icon (if on the toolbar).
  • Select Data Prep > Elevate Contours by Crossing.

    The Elevate Contours by Crossing command pane displays.

Related topics

Elevate Contours by Crossing

Elevate Contours by Label Command

This command enables you to automatically elevate selected lines using their nearest in-line elevation labels.

To access the command:

  • Click the [image] icon (if on the toolbar).
  • Select Data Prep > Elevate Contours by Label.

    The Elevate Contours by Label command pane displays.

Related topics

Elevate Contours by Label

Elevate Lines Command

This command allows you to elevate lines using a variety of objects that either intersect or lay nearby them. The elevations of text labels and their leader lines, points, and intersecting lines can be used to elevate lines.

To access the command:

  • Click the [image] icon (if on the toolbar).
  • Select Data Prep > Elevate Lines.

    The Elevate Lines command pane displays.

Related topics

Elevate Lines

Elevate Pads Command

This command enables you to add elevations to closed 2D or zero-elevation polylines the represent building pads using elevation labels that lie inside the pad lines. You can also create and elevate lines offset from the original pad lines.

To access the command:

  • Click the [image] icon (if on the toolbar).
  • Select Data Prep > Elevate Pads.

    The Elevate Pads command pane displays.

Related topics

Elevate Pads

Enable Commands

These commands turn baselines, sessions, trajectories, and vectors back on so they participate in project calculations.

To access the command:

  • Select baselines, sessions, trajectories, or vectors in the Project Explorer, right-click and select Enable.
  • Pick baselines, sessions, trajectories, or vectors in a graphic view, right-click and select Enable.

Related topics

Compute Project Command

Disable Commands

Trajectories and Vectors

Exit Command

This command closes and saves the current project, and then closes the application.

To access the command:

  • Select File > Exit.
  • Click the [image] icon on the application's titlebar.

Related topics

Close Project Command

Archive a Project

Close All Windows Command

Save a Project

Explode Blocks Command

This command lets you break apart group objects (blocks) that contain multiple objects so that you can move, modify, or delete them individually.

To access the command:

  • Select Edit > Explode Blocks.
  • Click the [image] icon on the toolbar.

    The Explode Blocks command pane displays.

Related topics

Explode a Block

Explore Object Command

This command lets you view values at specific locations on a line or alignment based on the position of the cursor along the object in a graphic view. The values can be displayed either dynamically at the cursor as you move it, or statically in the command pane when you click in the view. Values shown at the cursor include the elevation, and distance along a line or station on an alignment. Values shown in the command pane can additionally include the instantaneous slope, tangent bearing, segment type, and radius of the line or alignment at the specified location.

To access the command:

  • Select Tools > Explore Object.
  • Click the [image] icon on the toolbar.

    The Explore Object command pane displays.

Related Topics

Explore an Object

Coordinates Scroll Command

Export Command

This command opens the Export dialog, enabling you to export data in various formats.

To access the command:

  • Select File > Export.
  • Click the [image] icon on the toolbar.

    The Export command pane displays.

Related topics

Export Data

Export Data in a Custom Format

Export Format Editor Command

This command displays the Export Format Editor, where you can create a custom converter to export your custom file format. This exporter is used to create an ASCII data file during export.

To access the command:

  • Select File > Export Format Editor.
  • In the Export command pane, click the [image] icon.

    The Export Format Editor opens and displays the Select definition dialog.

Related topics

Export Data

Export Data in a Custom Format

External Tools Manager Command

Use this command to display the External Tools Manager, in which you can add or delete tools, and control the order in which they appear in the menu. For example, you can add access to other software, e.g. Office Synchronizer utility, to the Tools menu.

To access the command:

  • Select Tools > External Tools Manager.

    The External Tools Manager displays.

Related topics

Customize the Menu

External Tools Manager

Feature Definition Manager Command

The Feature Definition Manager is a standalone utility that manages feature and attribute (.fxl) files for feature data collection in the field and feature code processing in the software.

To access the command:

  • Select Tools > Feature Definition Manager.

    The Feature Definition Manager opens.

Related topics

Feature Definition Manager

Flags Pane Command

This command displays the Flags pane, showing import or computation errors. You can select individual or multiple objects from the Flags pane if the objects have been flagged with errors. If there are no objects in the Flags pane, no objects have been identified as having errors.

To access the command:

  • Select View > Flags Pane.
  • Click the [image] icon on the toolbar or the status bar if flags are present.

    The Flags pane displays.

Related topics

Compute Project Command

Pane and Data View Positioning

Select from the Flags Pane

Status Bar

Float and Unfloat View Commands

This command enables you to dock and undock views and various panes.

To access the command:

  • Select View > Float View or Unfloat View.
  • Right-click on a view or pane and select Float View or Unfloat View.

    The view or pane docks or undocks as needed.

Related topics

Pane and Data View Positioning

Force Continuous Command

This command forces a roving segment to be processed as continuous data. This is useful for adding continuous segments to your project that were not selected during import.

To access the command:

  1. In the Project Explorer, expand the imported file folder to display the data you wish to process as continuous.
  2. Double-click the segment to display its properties.
  3. Click the [image] icon in the Properties pane.
  4. Click Yes in the confirmation dialog. The selected occupation is converted to continuous data, as indicated in the Project Explorer.

Related topics

Check-in Raw GNSS Data

Force Static Command

This command forces an observation to be processed as a static data if you accidentally recorded it as kinematic data. It works for GNSS data files.

To access the command:

  1. When importing a GNSS data file, select the file in the Import command pane Files list.
  2. Select Yes in the Force Static box in the Settings group. The selected occupation is converted to static data, as indicated in the Project Explorer.

Related topics

GNSS Baseline Data Source s

GNSS Data Collection Methods

Geoid Sub-Gridding Command

This command lets you define a portion of a geoid to use before uploading to a field device. Use it if the geoid file you want to use for data collection is too large.

To access the command:

  • Select Project > Geoid Sub-Gridding.
  • In the Device pane, with a device connected, click Tasks and select Upload geoid (ggf) file.

    The Geoid Sub-Gridding command pane displays.

Related topics

Define a Geoid Subgrid

GNSS Loop Closure Command

This command analyzes the results of baseline processing, and displays the results in the GNSS Loop Closure Results report in your default Web browser.

To access the command:

Do one of the following:

  • Select Survey > GNSS Loop Closure.
  • Click [image] on the toolbar.

    The GNSS Loop Closure Results display.

Related topics

GNSS Loop Closure Results

Report Options

Google Earth Command

This command allows you to display your survey data superimposed on photographic satellite images of the location in Google™ Earth.

To access the command:

Do one of the following:

  • Select View > Google Earth.
  • Click the [image] icon on the toolbar.

The Google Earth command pane displays.

Related topics

View Survey Data in Google Earth

Help Command

This command helps you find the information and answers you need on the concepts, procedures, and options used in the software.

To access the command:

  • Press [F1] for help on the current dialog.
  • Select Help > Help from the main menu.
  • Right-click a command in the All Commands list and select Help from the context menu.

    The help dialog displays.

Related topics

Find Help Topics

Help Options

Import Command

This command opens the Import dialog, enabling you to import data from your office computer or network folder.

To access the command:

  • Select File > Import.
  • Click the [image] icon on the toolbar.

    The Import command pane displays.

Related topics

Import Data

Import Data in a Custom Format

Run an Import Summary Report

Import Format Editor Command

This command displays the Import Format Editor, which lets you create a custom converter for importing an ASCII file with a specifically defined format.

To access the command:

Do one of the following:

  • Select File > Import Format Editor.
  • In the Import command pane, click the [image] icon.

    The Import Format Editor opens and displays the Select definition dialog.

Related topics

Import Data

Import Data in a Custom Format

Import Work Order Results Command

This command enables you to bring in new data from the field after crews synchronize their controllers, thereby updating the data synchronization area and making field measurements and completed work orders available to your project.

To access the command:

  • Right-click a work order that has an [image] icon in the Project Explorer, and select Import Work Order Results from the context menu. The results are imported into your project.

    or

  • Select Field Data > Import Work Order Results.
  • Click the [image] icon (if on the toolbar).

    The Import Work Order Results dialog displays.

Related topics

Import Work Order Results

Insert Corridor Template Command

Use this command to create and insert a cross-section template into a corridor.

To access the command:

  • Select Corridor > Insert Corridor Template.
  • Click the Insert Corridor Template icon i_corridor template insert on the toolbar.
  • In Project Explorer, right-click the corridor into which you want to insert a template and select Insert Corridor Template in the context menu.
  • In Plan View or 3D View, left-click to select the corridor into which you want to insert a template, then right-click and select Insert Corridor Template in the context menu.

    The Insert Corridor Template command pane displays.

Related topics

Create Corridor Templates

Internet Download Command

This command enables you to manually or automatically search for, and download, survey data from Internet sites.

To access the command:

  • Select File > Internet Download.
  • Click [image] on the toolbar.

    The Internet Download command pane displays.

Related topics

Download Internet Data

Import Downloaded Data

Internet Download

Inverse Command

This command computes azimuths, distances, and other values between two points.

To access the command:

  • Select Survey > Inverse.
  • Click the [image] icon on the toolbar.

    The Inverse command pane displays.

Related topics

Calculate the Inverse Between Two Points

Invert Selection Command

This command deselects the currently selected objects, and selects the previously unselected objects.

To access the command:

  • Choose Select > Invert Selection (if on the main menu).
  • Click the [image] icon (if on the toolbar).

Related topics

Select from the 2D Views

Select from the 3D View

Select from Spreadsheet Views

Selection Methods and Options

Job Report Generator Command

This command enables you to create custom reports (and file formats) by applying style sheets to Survey Controller job files (.job/.jxl).

To access the command:

  • Select a .job or .jxl file from the Imported Files in the Project Explorer, right-click and select Job Report Generator.
  • Select Reports > Job Report Generator.

    The Job Report Generator displays.

Related topics

Import Trimble GPS Files (.job)

Job Report Generator Options

Run a Job File Report

Job Site Design Manager Command

This command displays the Job Site Design Manager, where you can review and edit your design data in preparation for use on controllers in the field.

To access the command:

  • Right-click a design in the Project Explorer, and select Job Site Design Manager from the context menu.
  • Select Field Data > Job Site Design Manager.
  • Click the [image] icon (if on the toolbar).

    The Select Job Site Design dialog displays. Select the design you want to edit, and click OK. The Job Site Design Manager command pane displays.

Related topics

Manage Job Site Designs and Design Data

Create a Job Site Design

Edit Job Site Design Data

Job Site Manager Command

This command displays the Job Site Manager, where you can prepare a job site and site data, and assign the site to designated controllers.

To access the command:

  • Select Field Data > Job Site Manager.
  • Click the [image] icon (if on the toolbar).
  • Click the [image] icon on the toolbar of the Properties pane when a site is selected.
  • Right-click a site in the Project Explorer and select Job Site Manager from the context menu.

    The Job Site Manager command pane displays.

Related topics

Create a Job Site

Manage a Job Site and Site Data

Workflow for Creating a Job Site

Workflow for Using an External Job Site

Join Lines Command

This command enables you to connect two or more contiguous lines into individual linestrings using manual and automatic methods.

To access the command:

  • Select Line > Join Lines.
  • Click the [image] icon on the toolbar.

    The Join Lines command pane displays.

Related topics

Join Lines

Layer Options Command

This command enables you to create and delete layers, purge empty layers, select the objects that reside on layers, and edit layer properties.

To access the command:

  • Select Project > Layer Options.
  • Click the [image] icon on the toolbar.

    The Layer Options command pane displays.

Related topics

Create and Edit a Layer

Isolate or Exclude a Layer

Left Mouse Modes

These toolbar icons let you control what the left-mouse button does in graphic views. The modes include select, rotate, pan, and zoom.

To access the modes:

  • Click the [image] icon on the toolbar, or press [F5] for select mode.
  • Click the [image] icon on the toolbar, or press [F6] for rotate mode.
  • Click the [image] icon on the toolbar, or press [F7] for pan mode.
  • Click the [image] icon on the toolbar, or press [F8] for zoom mode.

Related topics

2D View Navigation

3D View Navigation

3D View Settings

Mouse Modes

Level Editor Command

This command displays the Level Editor dialog, which enables you to view and/or edit imported level data.

To access the command:

  • Right-click the imported level data file in the Project Explorer and select Level Editor from the context menu.
  • Click Survey > Level Editor and select the imported level data file in the Select Leveling Files dialog.

    The Level Editor dialog displays.

Related topics

Understand Level Data

Workflow for Level Data

View and Edit Level Data

License Manager Command

This command displays the License Manager dialog,which allows you to do the following:

  • Select where your license is located.
  • View both licensed and unlicensed features, and the status of licensed features.
  • View your warranty expiration date.
  • Upgrade a license installed on your computer (not multi-user licenses).
  • Check out a multi-user license from the network (if applicable).

To access the command:

Do one of the following:

  • Select View > Command Pane. Then, in the All Commands list, select the License Manager command.
  • Select Help > About Trimble Business Center. In the About Trimble Business Center dialog, click the Licenses button.

For more information about using the License Manager dialog, see View and Manage Licensed Features.

Related topics

View and Manage Licensed Features

Line Style Manager Command

Use this command to manage which display styles are available for lines in your project and how specific lines appear in graphic views and in printed output.

To access the command:

  • Select Tools > Line Style Manager.
  • Click the [image] icon (if on the toolbar).
  • Select the line in a graphic view, right-click, and select Properties from the context menu. In the Properties pane, click in the Line style box and select Import Linestyles.

    The Line Style Manager displays.

Related topics

Manage Line Styles

Local Site Settings Command

This command enables you to enter local site settings to create a ground coordinate system to accommodate elevation differences between your site and the ellipsoid.

To access the command:

  • Select Project > Local Site Settings. The Local Site Settings command pane displays.

Related topics

Choose Local Site Settings

Local Site Setting Options

Manage Template Node Names Command

Use this command to create names that can be used to identify nodes in corridor cross-section templates (for example, "EP" for "edge of pavement" or "BC" for "back of curb").

To access the command:

Do either of the following:

  • Select Corridor > Manage Template Node Names.
  • Click the Manage Template Node Names icon [image] on the toolbar.

The Manage Template Node Names command pane displays.

Related topics

Create, Edit, and Delete Template Node Names

Mean Angle Residuals Command

This command displays the Mean Angle Residuals dialog, which enables you to view residuals for the selected mean angle and, if you want, disable any observations used in its calculation.

To access the command:

  • Right-click the mean angle node icon [image] in Project Explorer and select Mean Angle Residuals from the context menu.
  • Select the mean angle in Plan View, then right-click and select Mean Angle Residuals from the context menu.

    The Mean Angle Residuals dialog displays.

Related topics

Workflow for Total Station Data

View and Edit Mean Angle Residuals

Run a Mean Angle Report

Measure Angle Command

This command allows you to measure the angle between three selected locations and/or named points (points with IDs).

To access the command:

  1. Select View > Command Pane. The Command Pane displays.
  2. In the Command Pane, select Measure Angle. The Measure Angle command pane displays.

Related topics

Measure Angles

Measure Angle Options

Measure Command

This command lets you compute the bearing, distance, slope, slope distance, delta offset, and delta station between any two points, depending on which graphic view you use.

To access the command:

  • Select Tools > Measure.
  • Click the [image] icon on the toolbar.

    The Measure command pane displays.

Related topics

Measure Values Between Points

Calculate the Inverse Between Points

Merge Duplicate Points Command

This command merges points with the same point ID into a single point.

To access the command:

  • Select Point > Merge Duplicate Points.

    The Merge Duplicate Points command pane displays.

Related topics

Merge Duplicate Points

Merge Points

Select Duplicate Point IDs

Rename Points

Merge Points Command

This command creates a single point from two or more points that share the same location data.

To access the command:

  • Select Point > Merge Points.

    The Merge Points command pane displays.

Related topics

Merge Duplicate Points

Select Duplicate Point IDs

Rename Points

Move Objects Command

This command enables you to reposition one or more objects by moving them in either 2D or 3D.

To access the command:

  • Click the [image] icon (if on the toolbar).
  • Select Edit > Move.

    The Move command pane displays.

Related topics

Move Objects

Move, Rotate, and Scale Objects

Move, Rotate, and Scale Objects by Points

Move Rotate Scale Objects by Points Command

This command enables you to transform one or more objects by moving, rotating, and scaling them in one operation by matching the current locations of two points to two new locations.

To access the command:

  • Click the [image] icon (if on the toolbar).
  • Select Edit > Move Rotate Scale by Points.

    The Move Rotate Scale Objects by Points command pane displays.

Related topics

Move, Rotate, and Scale Objects

Move, Rotate, and Scale Objects by Points

Move Rotate Scale Objects Command

This command enables you to transform one or more objects by moving, rotating, and scaling them in one operation.

To access the command:

  • Click the [image] icon (if on the toolbar).
  • Select Edit > Move Rotate Scale.

    The Move Rotate Scale command pane displays.

Related topics

Move, Rotate, and Scale Objects

Move, Rotate, and Scale Objects by Points

Move to Next Tab Group Command

This command moves tabs from one group of tabs to the next group of tabs.

To access the command:

  • Select Window > Move to Next Tab Group.

Related topics

Data View Display Formats

Pane and Data View Positioning

Startup and Display Options

Tabbed View Arrangement

Move to Previous Tab Group Command

This command moves tabs from one group of tabs to a previous group of tabs.

To access the command:

  • Select Window > Move to Previous Tab Group.

Related topics

Data View Display Formats

Pane and Data View Positioning

Startup and Display Options

Tabbed View Arrangement

New 3D View Command

This command opens a graphic 3D view in which you can visualize your project data from standard isometric viewpoints, or by orbiting.

To access the command:

  • Click the [image] icon on the toolbar.
  • Select View > New 3D View.

    A 3D View opens.

Related topics

3D View

3D View Navigation

3D View Settings Command

New Cross-Section View Command

This command opens a graphic view in which you can see surface cross-sections along an alignment anywhere it coincides with the surface.

Note: Before you can use the cross-section view, you must create a surface cross-section by selecting Surface > Create Surface Cross-Section.

To access the command:

  • Right-click an alignment in the Project Explorer and select New Cross-section View from the context menu.
  • Select View > Alignment > New Cross-Section View.
  • Click the [image] icon on the toolbar.

    A cross-section view displays.

Related topics

Create and View a Cross-Section

2D View Navigation

Create an Alignment

New Default Project Command

This command starts a new project based on the default template.

To access the command:

  • Click the [image] icon on the toolbar. Any open project closes, and a new unnamed project opens.

Related topics

Choose Application Options

Choose Project Settings

Change the Default Template

Create a New Project

Startup and Display Options

New Horizontal Tab Group Command

This command displays all existing views in two or more windows, divided horizontally.

To access the command:

  • Select Window > New Horizontal Tab Group.

Related topics

Data View Display Formats

Pane and Data View Positioning

Startup and Display Options

Tabbed View Arrangement

New Occupation Spreadsheet Command

This command displays a new occupation spreadsheet.

To access the command:

  • Select View > New Occupation Spreadsheet.
  • Click the [image] icon on the toolbar.

    A new occupation spreadsheet displays.

Related topics

Occupation Spreadsheet

New Optical Spreadsheet Command

This command displays a new optical spreadsheet for the current project.

To access the command:

  • Select View > New Optical Spreadsheet.
  • Click the [image] icon on the toolbar.

A new optical spreadsheet displays.

Related topics

Optical Spreadsheet

Data View Display Formats

Pane and Data View Positioning

Select from Spreadsheet Views

Tabbed View Arrangement

New Plan View Command

This command displays a new plan view, as in a map view, of the current project.

To access the command:

  • Select View > New Plan View.
  • Click the [image] icon on the toolbar.

Related topics

Plan View

Data View Display Formats

Pane and Data View Positioning

Select from the 2D Views

Tabbed View Arrangement

New Points Spreadsheet Command

This command displays a new point spreadsheet for the current project.

To access the command:

  • Select View > New Point Spreadsheet.
  • Click the [image] icon on the toolbar.

    A new point spreadsheet displays.

Related topics

Point Spreadsheet View

Data View Display Formats

Pane and Data View Positioning

Select from Spreadsheet Views

Tabbed View Arrangement

New Profile View Command

This command opens a graphic vertical view in which you can see vertical alignments and surface profiles.

To access the command:

  • Click the [image] icon on the toolbar.
  • Select View > Alignment > New Profile View.

    A profile view opens.

Related topics

2D View Navigation

Profile View

Create an Alignment

New Project Command

This command starts a new project based either on the default template, or one that you select.

To start a project using the default template:

  • Click the [image] icon on the toolbar. Any open project closes, and a new unnamed project opens.

To start a project by selecting a template:

  • Select File > New Project.
  • Press [Ctrl] + N.

    The New Project dialog displays.

Related topics

Choose Application Options

Choose Project Settings

Change the Default Template

Create a New Project

Startup and Display Options

New Time-Based View Command

This command creates a chronological view of the GPS data (sessions and occupations) in the current project. The time-based view helps you quickly visualize how session and occupation times relate to each other, and check for valid sessions. In addition, you can select, verify, and edit the data shown in the view.

To access the command:

  • Select View > New Time-Based View.
  • Click [image] on the toolbar.

    A new time-based view displays.

Related topics

Time-Based View

Data View Display Formats

Pane and Data View Positioning

Tabbed View Arrangement

New Vector Spreadsheet Command

This command displays a new vector spreadsheet for the current project.

To access the command:

  • Select View > New Vector Spreadsheet.
  • Click the [image] icon on the toolbar.

    A new vector spreadsheet displays.

Related topics

Vector Spreadsheet View

Data View Display Formats

Pane and Data View Positioning

Select from Spreadsheet Views

Tabbed View Arrangement

New Vertical Tab Group Command

This command displays all existing views in two or more windows, divided vertically.

To access the command:

  • Select Window > New Vertical Tab Group.

Related topics

Data View Display Formats

Pane and Data View Positioning

Startup and Display Options

Tabbed View Arrangement

Office Synchronizer Command

This command opens Office Synchronizer, a separate program that transfers data files between your computer and your field device, and verifies that the data in both locations is the same, or synchronized.

To access the command:

  • Select Field Data > Office Synchronizer.
  • Click the [image] icon (if on the toolbar).

    Office Synchronizer opens.

Related topics

Office Synchronizer

Understanding Sites, Field Data, and Synchronization

Offset Line Command

Use this command to create a new linestring offset at a specified horizontal and vertical distance from an existing line.

To access the command:

Do one of the following:

  • Click the [image] icon (if on the toolbar).
  • Select Line > Offset Line.

    The Offset Line command pane displays.

Related topics

Create Offset Lines

Copy Objects

Open Project Command

This command opens an existing project.

To access the command:

  • Select File > Open Project.
  • Click the [image] icon on the toolbar.
  • Press [Ctrl] + O.

    The Open File dialog displays.

Related topics

Open an Existing Project

Create a New Project

Startup and Display Options

Open Remote File Command

This command enables you to open a project or import a file that is stored in a folder hosted by an external service, such as the Connected Community (TCC).

To access the command:

  • Select TCC > Open Remote File.
  • Click the [image] icon (if on the toolbar).

    The Open Remote File dialog displays, showing a list of remote folders, projects, and files.

Note: Some external services require that you set up a user profile before you can access them through this command. To set up your user profiles for external services, see External Service Options.

Related topics

Open a Remote File

Save a File Remotely

Options Command

This command displays the Options dialog, where you can set application-level startup, display, file location, and Internet download options.

To access the command:

  • Select Tools > Options. The Options dialog displays.

Related topics

Choose Application Options

File Location Options

Internet Download Options

Startup and Display Options

Page Setup Command

This command enables you to select paper size, orientation (landscape or portrait), margins, and the printer to use.

To access the command:

  • Select File > Page Setup. The Page Setup dialog displays.

Related topics

Print a View or Report

Print Command

Print Preview Command

Pan Command

This command enables you to reposition a 2D view with two mouse clicks.

To access the command:

  • Select View > Pan
  • Click the [image] icon on the toolbar.

Then, in the graphic area, click two points. The command will use the first point as the "from" point and the second point as the "to" point for the move.

Note: you can also pan using the center mouse wheel, using a click and drag motion.

Related topics

2D View Navigation

Center Command

Pan Precise Command

Pan Precise Command

This command enables you to reposition a 2D view by entering exact "to" and "from" coordinates.

To access the command:

  • Select View > Pan Precise

    The Pan Precise command pane displays.

Related topics

2D View Navigation

Center Command

Planning Command

This command displays the Planning utility, enabling you to plan and schedule a GPS project based on satellite coverage information.

To access the command:

  • Select Tools > Planning.

    The Planning utility opens.

Related Topics

Planning Utility

Print Command

This command prints the active view.

To access the command:

  • Select File > Print.
  • Click the [image] icon on the toolbar.
  • Press [Ctrl] + P.

    The Print dialog displays.

Related topics

Page Setup Command

Print a View or Report

Print Preview Command

Print Preview Command

This command enables you to view and finalize your print setup before printing.

To access the command:

  • Select File > Print Preview.
  • Click the [image] icon on the toolbar.

    The Print preview dialog opens.

Related topics

Print a View or Report

Page Setup Command

Process Baselines Command

This command calculates and uses the highest quality coordinates for each point in your project. Vectors are created from baselines using these points.

Process Baselines is only available if GNSS .dat files containing static or kinematic data have been imported into the project.

To access the command:

  • Click the [image] icon on the toolbar.
  • Select Survey > Baseline Processing.

    The Baseline Processing dialog displays.

Related topics

Baseline Processor Settings

Process Baselines

Process Feature Codes Command

This command displays the Process Feature Codes pane, which enables you to select one or more point sources, and process feature codes contained in those sources.

To access the command:

  • Select Survey > Feature Coding > Process Feature Codes.
  • Click the [image] icon on the toolbar.

    The Process Feature Codes pane displays.

Related topics

Understanding Features Data

Workflow for Features Data

Process Feature Codes

Products command

This command shows you the products or product modules that you currently have a license to use. They may demonstration copies or copies you own.

To access the command:

  1. Do one of the following:
    • In the command pane All Commands list, click Products.
    • Select Help > About Spectra Precision Survey Office. In the dialog, click Products.

    The All Products on Key dialog displays.

  2. Select a product brand in the Family list. The Products list updates, showing each of the modules in the product family, and whether you own them or are using a demo copy of each module.
  3. To order products that you want to demo or purchase, click Order Form. The Order Form dialog displays.
  4. Fill out the order form, print or e-mail it, and click Close.
  5. Click Close again.

Related topics

Spectra Precision Survey Office Modules

Project Cleanup Command

This command enables you to automatically clean up your project data by removing unneeded objects, converting CAD lines into linestrings, joining lines, setting elevations on objects, and more.

To access the command:

  • Click the [image] icon (if on the toolbar).
  • Select Data Prep > Project Cleanup.

    The Project Cleanup command pane displays.

Related topics

Clean Up Project Data

Project Explorer Command

This command displays the Project Explorer, enabling you to view and select project data from a tree structure.

To access the command:

  • Select View > Project Explorer.
  • Press [F9].
  • Click the [image] icon on the toolbar.

    The Project Explorer displays.

Related topics

Select from the Project Explorer

Pane and Data View Positioning

Project Explorer

Properties Pane

Project Settings Command

This command opens the Project Settings dialog, which enables you to set parameters for the current project.

To access the command:

  • Select Project > Project Settings.

    The Project Settings dialog appears.

Related topics

Choose Application Options

Choose Local Site Settings

Choose Project Settings

Create a Project Template

Properties Command

This command displays the Properties pane, enabling you to view and edit properties for the currently selected object(s).

To access the command:

  • Select Edit > Properties.
  • Press [F11].
  • Click the [image] icon on the toolbar.
  • Open the Project Explorer and double-click on an object.

    The Properties pane displays.

Related topics

Project Explorer

Properties Pane

Pane and Data View Positioning

Reassign External Job Site Design Command

This command lets you change the controllers to which an external job site design has been assigned. External designs are those that exist in the data synchronization area, but not your current project.

To access the command:

  • Right-click an external design in the Project Explorer, and select Reassign External Job Site Design from the context menu.
  • Select Field Data > Reassign External Job Site Design.
  • Click the [image] icon (if on the toolbar).

    Select the design in the Select External Design dialog, and click OK. The Reassign External Design dialog displays.

Related topics

Reassign a Job Site Design to Controllers

Reassign Work Order Command

This command lets you change the site controller to which a work order has been assigned.

To access the command:

  • Right-click a work order in the Project Explorer, and select Reassign Work Order from the context menu.
  • Select Field Data > Reassign Work Order.
  • Click the [image] icon (if on the toolbar).

    The Reassign Work Order dialog displays.

Related topics

Reassign or Copy a Work Order

Register Command

This command helps you register your software so you can receive product upgrades, support, and warranty-related services.

Note: The Product Registration dialog appears in English only. The steps in Register This Software guide you through the dialog in your installed language.

To access the command:

  1. Select Help > About (product name). The About (product name) dialog displays.
  2. Click Register. The Product Registration dialog displays.

Related topics

Register This Software

Related Files Command

This command allows you to specify which additional related files (for example, geoid files or datum grid files) to automatically export with a job file when you are exporting to a field device either directly (the device is connected) or indirectly (the files will be stored for upload at a later date).

To access the command:

  1. Select View > Command Pane. The Command Pane displays.
  2. In the Command Pane, select Related Files. The Related Files command pane displays.

Related topics

Export Related Files

Remote Support Command

This command lets you connect online with the Support team when you enter a session code that has been provided.

To access the command:

  • Select Help > Remote Support.
Rename Points Command

This command renames selected points sequentially from an entered value, by adding a prefix or suffix, or by adding a constant (if the original IDs are numeric).

To access the command:

  • Select Point > Rename Points menu option.

    The Rename Points command pane displays.

Related topics

Merge Duplicate Points

Merge Points

Rename Points

Select Duplicate Point IDs

Report Options Command

This command lists all the reports available for the project, enabling you to you view and change the settings of any report. The settings you specify are saved so that output remains consistent each time you run a specific report.

To access the command:

  • Select Reports > Report Options. The Report Options command pane displays.

Related topics

Customize a Report

Rotate Objects Command

This command enables you to reorient one or more objects by turning them to a new 2D angle around a rotation point.

To access the command:

  • Click the [image] icon (if on the toolbar).
  • Select Edit > Rotate.

    The Rotate command pane displays.

Related topics

Rotate Objects

Move, Rotate, and Scale Objects

Move, Rotate, and Scale Objects by Points

Save as Site Command

This command lets you name a calibrated site so it is available to use as a coordinate system.

To access the command:

  • Click Save As Site in the Site Calibration command pane.
  • Click the [image] icon (if on the toolbar).

    The Save as Site command pane displays.

Related topics

Calibrate a Site

Local Site Setting Options

Save File Remotely Command

This command allows you to save a project to a folder hosted by an external service, such the Connected Community (TCC).

To access the command:

  • Select TCC > Save File Remotely.
  • Click the [image] icon on the toolbar.

    The Save File Remotely dialog displays, showing a list of remote folders in which the project can be saved.

Related topics

Save a File Remotely

Open a Remote File

Save Project As Command

This command enables you to rename a project and/or save the project in a different folder.

To access the command:

  • Select File > Save Project As.

    The Save As dialog displays.

Related topics

Archive a Project

Create a Project Template

Save a Project

Close Project Command

Save Project As Template Command

This command enables you to save a project as a template.

To access the command:

  • Select File > Save Project As Template. The Save Project As Template dialog displays.

Related topics

Create a Project Template

Save a Project

Save Project As Command

Change Template Folder

Save Project Command

This command saves the current project.

To access the command:

  • Select File > Save Project.
  • Click the [image] icon on the toolbar.
  • Press [Ctrl] + S.

    If the project has not been named, the Save As dialog opens. The project is saved and remains open.

Related topics

Archive a Project

Create a Project Template

Save a Project

Save Project As Command

Close Project Command

Scale Objects Command

This command enables you to resize data, scale one or more objects to new proportional dimensions based on an origin point.

To access the command:

  • Click the [image] icon (if on the toolbar).
  • Select Edit > Scale Objects.

    The Scale Objects command pane displays.

Related topics

Scale Objects

SCS Data Manager Command

This command opens the SCS Data Manager, a separate program that lets you create job sites and prepare site and design data, write work orders, and assign controllers in preparation for Site Controller Software (SCS).

To access the command:

  • Select Field Data > SCS Data Manager.
  • Click the [image] icon (if on the toolbar).
  • Click the [image] icon on the toolbar of the SCS Site Manager command pane.
  • Click the [image] icon on the toolbar of the Properties pane when a site is selected.

    The SCS Data Manager opens.

Related topics

SCS Data Manager

Select All Command

This command selects all of the visible and selectable objects (as set in the current view filter) in the views and spreadsheets.

To access the command:

  • Select Select > Select All.
  • Press [Ctrl] + A.

Related topics

Select from the 2D Views

Select from the 3D View

Select from Spreadsheet Views

Selection Methods and Options

Select By Elevation Range Command

This command enables you to select data that lie entirely or partially within a certain elevation range.

To access the command:

  • Select Select by Elevation Range. The Select by Elevation Range dialog displays.

Related topics

Selection Methods and Options

Select By Layer Command

This command enables you to select objects that reside on a certain layer(s).

To access the command:

  • Select Select by Layer. The Select by Layer dialog displays.

Related topics

Create and Edit a Layer

Selection Methods and Options

Select Duplicate Points Command

This command lets you select points with duplicate IDs if you need to review or merge them into single points.

To access the command:

  • Select Select > Select Duplicate Points. The Select Duplicate Points command pane displays.

Related topics

Merge Duplicate Points

Merge Points

Rename Points

Select Duplicate Points

Select Observations Command

This command selects a set of survey observations based on criteria you select.

To access the command:

  • Select Select > Select Observations.
  • If the current focus is in a select box (in any command), right-click and select Select Observations from the drop-down list.
  • Click Options next to a select box in a command, and select Select Observations from the drop-down list.

    The Select Observations command pane displays.

Related topics

Select Observations

Select Points

Select Unprocessed Sessions

Selection Methods and Options

Select Points Command

This command selects a set of points based on criteria you select.

To access the command:

  • Select Select > Select Points.
  • Click Options next to a select box in a command, and select Select Points from the drop-down list.

    The Select Points command pane displays.

Related topics

Select Observations

Select Points

Select Unprocessed Sessions

Selection Methods and Options

Select Unprocessed Sessions Command

This command selects any unprocessed sessions in the current project.

To access the command:

  • Select Select > Select Unprocessed Sessions.

Related topics

Process Baselines

Select Observations

Select Points

Select Unprocessed Sessions

Selection Methods and Options

Selection Explorer Command

This command displays the Selection Explorer, where you can create, edit, save and reuse sets of objects for easier selection. These sets are called 'selection sets'. Using selection sets makes selecting groups of commonly-used objects faster and more consistent.

To access the command:

  • Select View > Selection Explorer.
  • Select Select > Selection Set > Selection Explorer.
  • Click the [image] icon on the toolbar.
  • Right-click in a graphic view and select Selection Explorer from the context menu.

    The Selection Explorer displays, listing the available selection sets at the top, and the currently selected objects below.

Related topics

Understanding Selection Sets

Create and Use Selection Sets

Selection Explorer Options

Send Backward Command

This command enables you to move an image backward one level relative to other images.

To access the command:

Right-click the image in the Project Explorer or on a view tab and select the Send Backward option.

Related topics

Move Images Forward and Backward

Image View

Georeference Image View

Send to Back Command

This command enables you to move an image to the back (level 5) relative to other images.

To access the command:

Right-click the image in the Project Explorer or on a view tab and select the Send to Back option.

Related topics

Move Images Forward and Backward

Image View

Georeference Image View

Session Editor Command

This command displays the Session Editor, in which you can visually analyze the quality of the raw satellite data in your sessions. Then you can cross-out bad sections of occupations, or disable the data from entire satellites.

To access the command:

  • Select a session in the Project Explorer, right-click and select Session Editor from the context menu.
  • Select View > New Time-Based View. In the time-based view, select a session in the Sessions list. Right-click and select Session Editor from the context menu.

    The Session Editor displays.

Related topics

Edit Sessions

Session Editor

Set Line Elevation Command

This command lets you apply a single, constant elevation to a 2D line to make it a 3D linestring. You can also specify a vertical offset from the elevation that you enter and a surface to which the linestring will be added.

To access the command:

  • Select Line > Set Line Elevation.
  • Click the [image] icon on the toolbar.

    The Set Line Elevation command pane displays.

Related topics

Set a Line Elevation

Shrink 3D Faces Command

This command creates a closed, triangular breakline slightly inset from each selected triangular 3D face. The purpose is to create triangles from which a surface can be formed when overlapping vertices in the 3D faces formerly prevented it.

Note: This command is primarily used to fix data from applications that allow points with different elevations at the same horizontal location.

To access the command:

  1. Select View > Command Pane, or press F12. The Command Pane displays.
  2. Click Shrink 3D Faces in the All Commands list, or type shrink3dfaces on the Command line at the top of the pane. The Shrink 3D Faces command pane displays.

Related topics

Shrink 3D Faces

Site Calibration Command

This command establishes a relationship between WGS-84 RTK data you collect and local control coordinates. It creates a set of local site settings.

To access the command:

  • Click the i_calculate site calibration icon on the toolbar.
  • Select Survey > Site Calibration.

    The Site Calibration command pane displays.

Related topics

Calibrate a Site

Choose Local Site Settings

Site Calibration Report Command

This command generates a detailed report after you calibrate a site in your project.

To access the command:

  • Click the [image] icon in the Site Calibration dialog.
  • Select Reports > Site Calibration Report.

    The Site Calibration Report displays in your default Web browser.

Related topics

Calibrate a Site

Customize and Run a Report

Snap Mode Command

This command lets you set enable and disable the individual running snap modes.

To access the command:

  • Click Snap on the status bar.
  • Select Project > Snap Mode.

    The Snap Mode dialog displays.

Related topics

Set Running Snap Modes

Snaps Modes and Commands

Use Snap Commands

Start Data Service Command

This command starts the Trimble Business Center Data Service, which enables third-party applications (for example, LinqPad) using Open Data Protocol (OData) to access project data based on customized queries. The Start Data Service dialog displays the address that must be entered in the third-party OData application to communicate with Trimble Business Center.

Note: For more information on OData and third-party applications capable of using the OData protocol, see http://www.odata.org/consumers.

To access the command:

  1. Select View > Command Pane, or press F12.
  2. In the Command Pane, select Start Data Service in the All Commands list.

    The Start Data Service dialog displays. You can now use your third-party OData application to communicate with Trimble Business Center and query data. Use the address displayed in the Start Data Service dialog.

  3. When you are done using the third-party OData application to communicate with Trimble Business Center, click the Stop button.
Start Page Command

This command displays the start page, a view listing features of the software and links to tours, tutorials, release notes, and other documentation to help you get started. The start page appears when you launch the software, and closes when you start or open a project.

To access the command:

  • Select Help > Start Page.

    The start page displays.

Note: To set what happens when you start the program, select Tools > Options. In the Options dialog, click Startup and Display in the left pane, and select an option in the Starting state list.

Related topics

Get Familiar with the Interface

Startup and Display Options

Superelevation Diagram Command

This command opens a tab displaying a superelevation diagram for the selected alignment.

To access the command:

  • In the Project Explorer or Plan View, select the alignment associated with the superelevation you want to view. Then, right click and select Superelevation Diagram in the context menu.
  • On the Superelevation tab in the Alignment Editor, click the Superelevation Diagram button.
  • Select Corridor > Superelevation Diagram.

Related topics

Create and Edit Superelevations

Superelevation Diagram

Understanding Corridors

Create Corridor Template Instructions

Surface Slicer View Command

This command opens a graphic view in which you can check cross-sections of any surface in your project by slicing vertically through the surface.

To access the command:

  • Select Surface > Surface Slicer View.
  • Click the i_surface slicer view icon on the toolbar.

    The surface slicer view displays.

Related topics

View a Slice of a Surface

Surface Slicer View

Symbol Manager Command

Use this command to manage which symbols are available for features in your project and how specific features in your data appear in graphic views and in printed output.

To access the command:

  • Select Tools > Symbol Manager.
  • Click the [image] icon (if on the toolbar).

To change a feature symbols:

  • Use the Feature Definition Manager.

Related topics

Manage Symbols

Takeoff Report Command

Use this command to generate a Takeoff Report which calculates earthwork material volumes by strata and subgrade surface and site improvement quantities by area of interest (AOI). You can opt to include analyses of mass earthwork and topsoil volumes, and quantities of existing site improvements to be demolished and new ones to be built.

To access the command:

  • Click the [image] icon on the toolbar.
  • Select Reports > Takeoff Report.

    The Takeoff Report command pane displays.

Related topics

Run a Takeoff Report

Run an Earthwork Report

Text Style Manager Command

Use this command to manage which display styles are available for text in your project and how specific labels in your data appear in graphic views and in printed output.

To access the command:

  • Select Tools > Text Style Manager.
  • Click the [image] icon (if on the toolbar).
  • Select a label or text object in a graphic view, right-click, and select Properties from the context menu. In the Properties pane, click in the Text style box and select New style.

    The Text Style Manager displays.

Related topics

Manage Text Styles

Toggle Gridlines Command

This command hides or displays gridlines in 2D views.

To hide or show gridlines:

  • Click the [image] icon on the toolbar.
  • Select View > Toggle Gridlines.

Related topics

Change the Gridline Display

Toggle Line Markers and Labels

View Settings

Toggle Line Marking Command

This command displays or hides markers and labels for horizontal and vertical values along linestrings in 2D views to make viewing, understanding, and editing them easier. The markers distinguish between horizontal segment end points, vertical control points and the overall line's end points. The labels indicate the elevation of vertical control points.

To show or hide line markers and labels:

  • Click the [image] icon on the toolbar.
  • Select View > Toggle Line Marking.

Related topics

Toggle Line Marking

Change the Gridline Display

View Settings

Topsoil Stripping/Replacement Command

This command enables you to define areas where topsoil should be stripped (removed) from your Original and or replaced in your Design surfaces for takeoff by selecting areas and specifying stripping or replacement depths.

To access the command:

  • Click the [image] icon (if on the toolbar).
  • Select Takeoff > Topsoil Stripping/Replacement.

    The Topsoil Stripping/Replacement command pane displays.

Related topics

Define Topsoil Stripping and Replacement

Tours and Tutorials Command

This command launches the Tours and Tutorials page from which you can open:

  • tours that provide an overview of the program's workflows and user interface
  • tutorials that provide step-by-step guidance through the workflows using sample data

To access the command:

  • Select Help > Tours and Tutorials.

    The Tours and Tutorials page opens as a tabbed view.

Related topics

Start Page

Trim Surface Edge Command

This command enables you to clean-up the edges of surfaces by removing excess triangles around the edge.

To access the command:

  • Click the i_trim surface edge icon on the toolbar.
  • Select Surface > Trim Surface Edge.
  • Right-click the surface in a graphic view, or the Project Explorer and select Trim Surface Edge from the context menu.

    The Trim Surface Edge command pane displays.

Related topics

Edit a Surface by Trimming Edge Triangles

Surface Properties

Undo and Redo Commands

These commands enable you to redo an action or undo an action. Any action that affects the project database can be redone or undone. Commands that do not affect the database, such as opening a file, can not be redone or undone.

To undo an action:

Use the Undo command to reverse actions, for example project computation.

  • Select Edit > Undo command.
  • Press [Ctrl] + Z.
  • Click the [image] icon on the toolbar.

Actions can be undone one at a time. The most-recently performed action is undone first. Once you close the project or the software, no actions can be undone.

To redo an action:

Use the Redo command to reverse the Undo command.

  • Select Edit > Redo command.
  • Press [Ctrl] + Z.
  • Click the [image] icon on the toolbar.

Once you close the project or the software, no actions can be redone.

Note: Zoom actions do not appear in the Undo / Redo list.

View Filter Manager Command

This command displays the View Filter Manager, where you can select data types and layers to specify what is visible in graphic views, helping you reduce and simplify what you see. As you make changes in the manager, the current view updates to reflect them. You can also create, copy, rename, and delete view filters in the manager.

To access the command:

  • Select View > View Filter Manager.
  • Click the [image] icon on the toolbar.

    The View Filter Manager displays.

Related topics

Create a View Filter

Edit a View Filter

Filter a View

View Filter Manager

Work Order Editor Command

This command displays the Work Order Editor, where you can edit an existing work order's task, instructions, settings, and tolerances.

To access the command:

  • Select a work order in the Project Explorer, right-click and select Work Order Editor from the context menu.
  • Select Field Data > Work Order Editor.
  • Click the [image] icon (if on the toolbar).

    The Work Order Editor dialog displays. Select a work order in the tree and click OK. The Work Order Editor displays.

Related topics

Edit a Work Order

Work Order Report Command

This command generates a Work Order Report for any work order with imported results. The report provides details on base, design, difference, and alignment data from the field, as well as tolerances in the original work order.

To run a report on a specific work order:

Select a work order that has an [image] icon in the Project Explorer, and do one of the following:

  • Right-click and select Work Order Report from the context menu.
  • Select Field Data > Work Order Report.
  • Click the [image] icon (if on the toolbar).

    The Work Order Report displays in your spreadsheet application.

    Note: If the report template cannot be found, you can set the path to the template by selecting Tools > Options. Then click Field Data and File locations in the left pane.. The report template, named SCS Report Utility.xls, is normally installed with the SCS900's Report Utility.

Related topics

Import Work Order Results

Run a Work Order Report or Summary

Customize and Run a Report

Work Orders Summary Command

This command generates a Work Order Summary, which lists basics on all of the work orders in your project, including the task, status, priority, and due date. The summary helps you track the progress of all the work orders assigned to the job site in your current project.

To access the command:

  • Select Field Data > Work Orders Summary.
  • Click the [image] icon (if on the toolbar).
  • Right-click Work Orders in the Project Explorer, and select Work Orders Summary from the context menu.

    The Work Orders Summary displays.

Related topics

Run a Work Order Report or Summary

Customize and Run a Report

Zoom Command

This command enables you to select an area in the plan view and quickly zoom in.

To access the command:

  • Select View > Zoom > Zoom.
  • Click the [image] icon on the toolbar.

    Click and drag a window around the area to zoom into.

Related topics

2D View Navigation

Zoom Precise Command

Zoom Extents Command

This command zooms the plan view to the maximum extent of the project.

To access the command:

  • Select View > Zoom > Zoom Extents.
  • Click the [image] icon on the toolbar.
  • Double-click the mouse wheel.

Related topics

2D View Navigation

3D View Navigation

Zoom In Command

This command zooms in, enabling you to see more detail.

To access the command:

  • Select View > Zoom > Zoom In.
  • Click the [image] icon on the toolbar.
  • Scroll the mouse wheel upward.

Related topics

2D View Navigation

3D View Navigation

Zoom Out Command

This command zooms out, enabling you to see a larger area.

To access the command:

  • Select View > Zoom > Zoom Out.
  • Click the [image] icon on the toolbar.
  • Scroll the mouse wheel downward.

Related topics

2D View Navigation

3D View Navigation

Zoom Precise Command

This command enables you to select an area in the plan view and enter precise coordinates to zoom to.

To access the command:

  • Select View > Zoom > Zoom Precise.

    The Zoom Precise command pane displays.

Related topics

2D View Navigation

Zoom Command

Start Data Service Command

This command starts the Trimble Business Center Data Service, which enables third-party applications (for example, LinqPad) using Open Data Protocol (OData) to access project data based on customized queries. The Start Data Service dialog displays the address that must be entered in the third-party OData application to communicate with Trimble Business Center.

Note: For more information on OData and third-party applications capable of using the OData protocol, see http://www.odata.org/consumers.

To access the command:

  1. Select View > Command Pane, or press F12.
  2. In the Command Pane, select Start Data Service in the All Commands list.

    The Start Data Service dialog displays. You can now use your third-party OData application to communicate with Trimble Business Center and query data. Use the address displayed in the Start Data Service dialog.

  3. When you are done using the third-party OData application to communicate with Trimble Business Center, click the Stop button.


Glossary

The scale of the elevation (Z) values of data points. Vertical scale is referred to as vertical exaggeration when it is set above 1.0 so you can better see vertical differences in your data. Vertical exaggeration is used in 3D views to help visualize changes in the topography of a surface.

1-sigma

A statistical measurement representing one standard error from the mean.

See also level of significance.

2D data

Objects that are defined by latitude and longitude (or X,Y) coordinates, but do not have a height or elevation (or Z) value.

3D data

Objects that are defined by latitude and longitude (or X,Y) coordinates and a height or elevation (or Z) value. Zero is a valid elevation.

3D face

A three- or four-sided, planar surface. 3D faces may be connected to other 3D faces along contiguous edges to form a 3D surface, or to form a mesh which can subsequently be used to create a 3D surface. If a four-sided 3D face is used in a surface, it is divided into two triangles.

3D line

A line that includes at least one defined elevation. Zero is a valid elevation. The other elevations along the line can be any combination of undefined, zero, or valid values and the line is still be considered to be 3D.

a posteriori errors

The a priori errors multiplied by the standard error of unit weight (reference factor) resulting from a network adjustment.

a priori errors

Estimated errors for observations before a network adjustment is performed.

absolute coordinates

Coordinates measured from the origin of the current coordinate system, and not relative to any other object.

accuracy

The closeness of a measurement to the actual (true) value of the quantity being measured.

adjusted values

The final coordinate values in the database resulting from a least squares network adjustment. They are used in computations to produce the final coordinates for the points.

adjustment

The process of determining and applying corrections to observations for the purpose of reducing errors and producing final coordinate values.

algebraic sign

The sign (+ or -) associated with a value, which designates it as a positive or negative number.

algorithm

A set of rules for solving a problem in a finite number of steps.

alignment

A line used to denote the path of a roadway.
See also Horizontal Alignment (HAL) and Vertical Alignment (VAL).

almanac

Data transmitted by a GNSS satellite to a GNSS receiver to facilitate rapid satellite vehicle (SV) acquisition by the receiver. The almanac data contains orbit information on all satellites, clock corrections, and atmospheric delay parameters. The receiver must acquire the almanac data before GNSS navigation can begin.

ambiguity

The unknown integer number of cycles of the reconstructed carrier phase contained in an unbroken set of measurements.

The receiver counts the radio waves (from the satellite as it passes over the antenna) to a high degree of accuracy. However, the receiver has no information on the distance, in wavelengths, to the satellite at the time it started counting. This unknown number of wavelengths between the satellite and the antenna is the ambiguity.

Also known as integer ambiguity or integer bias.

angle

The difference in degrees between two rays emanating from the same point.

angle offset

A total station measurement in which the surveyor measures to a point to the side of the object and above/below the object, then he turns a horizontal and vertical angle to the center. The offset is a combination of the slope readings taken to a prism and the angles after aiming the instrument to the center of the measured object. Because these are measured values, you cannot edit them after importing the data.

annotation

Text in a graphic view that labels or gives additional information about a graphically-represented object. Annotations are usually imported as CAD text or CAD multi-line text. Annotations (alternately called labels) are sometimes connected to the objects they refer to using leader lines.

antenna height

The height of a GNSS antenna phase center above the point being observed. The uncorrected antenna height is measured from the observed point to a designated point on the antenna, then corrected to the true vertical manually or automatically in the software.

antenna phase center (APC)

The electronic center of the antenna. The electronic center often does not correspond to the physical center of the antenna. The radio signal is measured at the APC.

antenna phase correction

A correction factor used for the variation in the antenna phase center location for a GNSS antenna resulting from the changing direction of the satellite signal.

The location of the phase center for a GNSS antenna is neither a physical nor a stable point. Instead, it varies with the changing direction of the signal from a satellite. Most of the phase center variation depends on satellite elevation. Correcting for this variation in the GNSS antenna phase center location allows a variety of antenna types to be used in a single survey. Antenna phase center corrections are not as critical when two antennas of the same type are used since common errors cancel out.

Anti-Spoofing (AS)

A feature that allows the U.S. Department of Defense to transmit an encrypted Y-code in place of P-code. Y-code is intended to be useful only to authorized (primarily military) users.

APC

See antenna phase center (APC).

approach curve

The entering curve (from PVC to PVI) in an alignment's asymmetrical vertical curve.

See also departure curve.

arc

A line consisting of a portion of a circle.

See also line.

area of interest

One or more regions of your job site for which you want to calculate material volumes and site improvement quantities for takeoff.

AS

See Anti-Spoofing (AS).

ASCII

American Standard Code for Information Interchange. An eight-bit code for character representation, (seven bits plus parity), used for serial communication. Generally the data in this format can be read.

aspect ratio

The ratio of the width to the height of a rectangular shape, such as an image or a screen.

asymmetrical vertical curve

An arc in a vertical alignment or profile in which the curves on either side of the point of intersection (PI) are of unequal length.

at grade

An indication in construction and earthmoving that soil is at its desired elevation/height and requires neither cut nor fill.

attribute

See property .

autonomous positioning

A mode of operation in which a GNSS receiver computes position fixes in real time from satellite data alone, without reference to data supplied by a base station. Autonomous positioning is the least precise positioning procedure a GNSS receiver can perform, yielding position fixes that are precise to ±10 to 20 meters. Also known as absolute positioning and point positioning.

avoidance zone

An area (delineated by a closed line) that a machine (equipped with a grade control system) or a controller (running site controller software) must be restricted from entering. A proximity warning appears on the machine or controller's display if it approaches an avoidance zone. Avoidance zones are used in the field to deter people and heavy equipment from entering restricted areas on a job site.

azimuth

(1) A surveying observation used to measure the angle formed by a horizontal baseline and true or geodetic north (or south). When applied to GNSS observations, it refers to a normal section azimuth.

(2) The horizontal angular measurement from a reference direction, usually the northern point of the horizon, eastward to the point where a vertical circle through an astronomical object (for example, a satellite) intersects the horizon.

Azimuth is often confused with bearing. Azimuth is measured clockwise from 0 to 360 degrees (0 to 400 gons) from true or geodetic north (or south). Bearing is the direction of a line stated specifically or generally and is referenced to a meridian or a baseline. When stated specifically, a bearing is an angle within a quadrant (for example, the NE quadrant, SW quadrant) and is never greater than 90 degrees.

azimuthal angle

The horizontal angular measurement between a fixed reference direction and a position contained within a circle in the horizontal plane.

azimuthal bearing

The horizontal angle of a point measured clockwise from the north.

backsight

In traversing, a sight on a previously established traverse or triangulation station that is not the closing sight on the traverse.

In leveling, a reading on a rod that is held on a point whose elevation has been previously determined and is not the closing sight of a level line.

bank cut and fill volumes

The cut and fill volumes computed from the difference between two surfaces. A bank cut volume represents a quantity of earthen material to be excavated from its in situ density state, as existing prior to construction. A bank fill volume represents a quantity of earthen material to be placed into earth fill and compacted to its specified final density. These volumes can also account for the shrinkage, hauling bulkage, and hauling compaction properties of the earthen materials involved, thereby enabling the computation of shrinkage amounts, loose haulage volumes, and stockpile sufficiency analysis.

base course

The layer of aggregate material commonly laid between the subbase and the asphalt finish grade in road paving.

base station

An antenna and receiver set up on a known location specifically to collect data for differentially correcting from another receiver. The base station collects data that can be used to improve the accuracy of GNSS positions collected at unknown locations by a roving GNSS receiver.

Also called a reference station.

baseline

As used in this software, a baseline is a session or portion of a session resulting from two occupations with sufficient data overlap that they can be processed to produce a vector.

See also session, static (surveying), stop-and-go.

baseline processor

A computer program that uses raw GNSS satellite phase observables to compute differences in position between two points (vectors).

baud

A unit of data transfer speed (from one binary digital device to another) used when describing serial communications. A baud unit is generally one bit per second.

bearing

The direction of a line stated specifically or generally and is referenced to a meridian or a baseline. When stated specifically, a bearing is an angle within a quadrant (for example, the NE quadrant, SW quadrant) and is never greater than 90 degrees.

Bearing is often confused with azimuth. Azimuth is measured clockwise from 0 to 360 degrees (0 to 400 gons) from true or geodetic north (or true south).

See also azimuth.

benchmark

In level surveying, a point for which the elevation is independently known. This is usually established by a governmental agency or some other reputable source so the elevation is trustworthy.

block

A collection of individual CAD objects (sometimes containing nested blocks) that are grouped together into a single larger object to make selecting and moving the related objects easier and more consistent. A block is an instance of a block definition. A nested block is a block that is contained within a larger block.

See also block definition and explode.

block definition

The hidden description of a block (group object) that defines the block's name, component objects (including nested blocks), and all insertion points in a model.

See also block and explode.

borrow

The act of importing soil or other earthen materials onto the job site for placement within earth fill. This term is also used to refer to the volume of earth fill to be satisfied by importing materials from off site, as contrasted with materials that can be obtained on the job site from locations at which excavation is required to achieve the design grade. Borrow material can be the same as native material.

See also waste.

boundary

A closed polyline that indicates the limits of a surface or a portion of a surface. A boundary clips a surface to include only the triangles encompassed or crossed by the boundary. Boundaries are sometimes used to 'clip' a surface, forming a subset of the original surface.

bounding line

Any closed line that encompasses all or a portion of other objects within your project data. A bounding line is similar to a boundary, but different in that it is not necessarily a specific type of object; it can be a polyline or linestring.

breakline

A line or polyline that indicates where a change in the topography of a surface occurs. Breaklines are used to create or edit surfaces so that the surfaces accurately reflect real-world or design topography.

bulkage

The increase in volume and decrease in density of soil (or another material) due to expansion. Bulkage is a common result when soil at its original insitu density is excavated from a job site and moved elsewhere during construction activities.

See also shrinkage and compaction.

C/A code

See Coarse Acquisition (C/A) code.

CAD point

A simple, unnamed object that represents a location with grid (X,Y) coordinates and possibly a height or elevation (Z) value. CAD points are brought into a project by importing them in a CAD file (.dxf, .dwg, .dgn, or .svl); they cannot be created in this program. Because CAD points do not include global and local latitude and longitude coordinates like regular points, they are non-transformable; if you change your coordinate system, grid points do not move.

See also coordinate, point, and point ID.

calibrated site

A site definition that uses an existing coordinate system definition plus correction transformation. This makes the best fit for GNSS data in a specific area (or site).

The extra correction transformations are required because a coordinate system is designed to apply over a very large area. It does not allow for variations in the local coordinates. You need to have new work fit with the existing control, so the extra correction transformations will correct for these local variations. Extra corrections are only valid over a limited area. This explains the “site” terminology.

calibration

See site calibration.

carrier phase

GNSS measurements made on the L1 or L2 carrier signal. May refer to the fractional part of the L1 or L2 carrier wavelength, expressed in units of meters, cycles, fraction of a wavelength or angle. (One cycle of L1 is equivalent to one wavelength, and similarly for L2.)

In carrier phase-based positioning, such as employed in GNSS surveying techniques, carrier phase may also refer to the accumulated or integrated measurement consisting of the fractional part plus the whole number of wavelengths (or cycles) since signal lock-on.

Cartesian coordinate system

(1) A Coordinate system that uses X, Y and Z values to locate points in 3D space along three perpendicular directions.

(2) A planar system that uses X and Y axes to locate points relative to the Origin (0,0) in 2D space.

Cartesian coordinates

A system of coordinates that defines the location of a point in space in terms of its perpendicular distance from each of a set of mutually perpendicular axes.

See also Earth-Centered-Earth-Fixed (ECEF) Cartesian coordinates.

centerline

A line representing the middle of a roadway or other path. Horizontal alignments (HALs) are often used to denote centerlines.

centroid

The center of mass of a 3D shape or model, such as an isochore.

chord

A straight line whose two end points lie on a curve. In this software, arcs are sometimes 'chorded' or 'linearized', using multiple, sequential chords to approximate the curve.

circular object

A total station measurement in which the the surveyor measures to a point directly in front of a circular object, then he turns an angle to either edge. The center and radius are calculated from these two measurements. There is nothing you can edit after importing the data.

clock offset

The constant difference in the time reading between two clocks. In GNSS, the clock offset usually refers to offset between SV clocks and the clock in the receiver.

closure

See loop closure.

clothoid spiral

A spiral whose curvature radius either increases or decreases linearly along its length. In alignments, clothoid spirals are used to gradually spiral into a circular curve (arc segment) from a straight segment and then back out of the curve to another straight or circular curve segment.

See also combining spiral.

Coarse Acquisition (C/A) code

A pseudo-random noise (PRN) code modulated onto an L1 GPS signal. The C/A Code consists of a sequence of 1023 bits (0 or 1) that repeats every millisecond. Each satellite broadcasts a unique 1023-bit sequence that allows a receiver to distinguish between various satellites. The C/A code helps the receiver compute the distance to the satellite.

COGO

See coordinate geometry (COGO).

coincident

Lying (at least partially) in the same physical space

combining spiral

A spiral used to join two circular curves (a spiral in and a spiral out) in an alignment. At times, high-speed transitions will use combining spirals in this sequence: line > spiral in > arc > combining spiral > arc > spiral out > line.

compacted in-place state

A state in which a material has been placed if in fill, and, in either cut or fill, compacted to achieve the specified design density. For most soils, this state results in an increase in density over the in situ state, with exceptions noted below. Therefore, the volume of the container needed to hold the same unit mass of that same soil at the same moisture content is reduced in comparison to its in situ state. The material is very commonly described as having "shrunk" as a result of the achievement of the increased density.

See also loose haulage state.

compaction

The process of using weight to compress soil (or another material) to reduce its volume and increase its density. Compaction is used in earthworks to create firm stable surfaces that can support construction activities.

See also shrinkage and bulkage.

compass triad

The indicator of the X, Y, and Z axes shown in the 3D View.

component

The method used to define a three-dimensional vector between two control points. The same vector can be defined by azimuth, delta height, and distance (in ellipsoid coordinates); by delta X, delta Y, and delta Z (in Earth Centered Cartesian coordinates); and by delta north, delta east, and delta up (in local plane coordinates).

concatenate

To serially link two entities together, as in a chain, to form a single entity.

confidence level

A statistical statement of precision for a measurement or calculation, expressed as a percentage or number of sigma.

See also level of significance.

conflict

A difference between the site or design data in your project and data for the same site or design in the data synchronization area. In addition, a conflict could arise from a difference between data for the same site or design on multiple controllers, or the introduction of new data on a controller.

Conflicts prompt you to resolve the inconsistency by choosing which data to use in both your project and on site controllers. Depending on your choice, either your project data or the data in the data synchronization area is updated, thereby resynchronizing them.

conflict resolution

The process of resolving inconsistencies between data in your project's job site data and data on controllers assigned to the same job site by choosing which data to use for both. Depending on your choice, either your project data or the data in the data synchronization area is updated, thereby resynchronizing them.

conic section

A 2D line formed at the intersection of a plane and a cone. A conic section is sometimes simply called a "conic".

Connected Community (TCC)

A web-based set of networking tools that surveyors and construction contractors can use to share data and collaborate with internal and external partners and clients.

constellation

(1) A specific set of satellites used in calculating positions. At least three satellites are needed for 2D fixes, four satellites for 3D fixes.

(2) The set of all satellites visible to a GNSS receiver at one time. The optimum constellation is the constellation with the lowest Precision Dilution of Precision (PDOP).

See also Position Dilution of Precision (PDOP).

constrained

To hold (fix) a quantity (observation or coordinate) as true in a network adjustment.

constraint

External limitations imposed upon the adjustable quantities (observations or coordinates) in a network adjustment.

context menu

A menu of options or commands that are specifically-related to an object or user interface element that appears when you right-click on the object or element.

continuous segment

A roving segment selected for processing. The portion of a kinematic raw data file that contains the information collected while the receiver is in motion. Continuous segment data is processed against the base station data to produce a trajectory.

Data that is collected as a continuous segment can be marked as a roving segment during data file import (Raw Data Check In).

See also roving segment, trajectory.

contour line

A line drawn on a map or a surface model that represents a constant elevation. Contour lines are generally drawn at intervals to show changes in topography.

control code

A code used to indicate attributes for a line feature (for example "Start" for the beginning of a fence line).

control point

Permanently marked locations that are used as reference points for survey or mapping work. The coordinates of a control point are determined with a high degree of accuracy using terrestrial and/or satellite surveying techniques. The coordinates may be expressed in terms of a satellite reference coordinate system (such as with respect to WGS84, or to ITRF), or a local geodetic datum.

Control points are established, marked, surveyed, and documented by a statutory authority for a city, state or country, or perhaps by a construction company within an engineering site. The known location of a control point can be used to set up a total station, for example, to locate points of detail by radiations. Another control point might be used to determine the orientation of the coordinate system by measuring some angles.

Control points are permanently marked using a metal bolt, plaque, or other type of permanent monument. Permanence is required so that the point is easily located using the provided documentation, and so that the point is stable and therefore the coordinates are reliable.

Control points are also called control stations.

controller

A generic term for either an SCS site controller or a data card for a GCS machine.

conventional observation

See terrestrial observation.

coordinate

A pair of X and Y or northing and easting values (in 2D), or a set of X, Y, and Z or northing, easting, and elevation values (in 3D) that defines a location in 3D space. If only two coordinates are given, the Z value or elevation may be 0 (relative to the current coordinate system) or may be undefined.

When a coordinate is required in this software, you may be prompted to specify a “location” or a “point”.

See also point and CAD point.

coordinate geometry (COGO)

Mathematic functions based on coordinates that help you calculate angles, bearings, coordinates, distances, elevations, and offsets in your data.

coordinate projection methods

A set of parameters used to project latitude and longitude values, on a specific global or local datum, to Cartesian coordinate values.

coordinate quality

The quality of a coordinate. Control quality data is fixed, mapping and survey quality data is weighted, and unknown quality data is not used during the computation of the project.

coordinate system

(1) An exact definition of a system of mathematics and geodetic constants that defines how a specific geographic location is converted to a set of two or three numbers, such as an x- and y-value. In the cartographic context, most coordinate systems are Cartesian.

(2) A set of transformations that allow GNSS positions (in the WGS-84 ellipsoid) to be transformed to projection coordinates with elevations above the geoid. Essentially, a coordinate system consists of a datum transformation, a geoid model, and a coordinate projection definition.

  • The datum transformation is one of those defined in the database and effectively includes the definition of the datum the coordinate projection is based on.
  • Typically an existing geoid model is assigned to the coordinate system, but it is also possible to specify a constant geoid separation instead of a geoid model or to specify that no geoid model should be used.
  • A large number of coordinate projection types (for example, Transverse Mercator, and Lambert One Parallel) are available for allocation to a coordinate system.
coplanar

Lying (at least partially) on the same physical plane

correlated

Two or more observations (or derived quantities) that have at least one common source of error.

corridor

A 3D model of a linear structure, such as a road or waterway. The model is based on a horizontal and (optionally) vertical alignment and includes templates that define cross-sections throughout the length of the corridor.

corridor template

A template inserted into a corridor that provides instructions used to define the cross-sections required to build the corridor (for example, the various offsets and slopes for a road). Each cross-section template defines the corridor from the station where it is inserted until the station where the next template is inserted, or the end of the corridor.

corridor template instruction

A parameter that specifies how a corridor template changes from node to node. For example, and instruction might specify that the node representing the right edge of the pavement be offset 5m with a slope of -2% relative to the centerline node.

covariance

A measure of the correlation of errors between two observations or derived quantities. Covariance is typically expressed in a variance-covariance matrix where the diagonal elements are the variances of the corresponding variables and the elements off the main diagonal are the covariances.

Also refers to an off-diagonal term (that is, not a variance) in a variance-covariance matrix.

See also variance-covariance matrix.

covariance display

As used by the this software, the covariance display settings control how the propagated (computed) a posteriori errors in azimuth, distance, and height between pairs of control points are displayed. These errors are calculated during a network adjustment.

The term "covariance" indicates that this computation involves the use of covariant terms in the variance-covariance matrix of adjusted control points.

covariance matrix

A matrix that defines the variance and covariance of an observation. The elements of the diagonal are the variance terms and all elements on either side of the diagonal are the covariance terms. Covariance matrix is a shortened form for variance-covariance matrix.

cross-section

A graphic view formed by slicing vertically through an object. Cross-sections are used to visualize and check the accuracy of the interiors of surfaces and alignments.

curve segment

A circular arc segment of a polyline defined by either three points or two points and a radius.

cut

An indication in construction and earthmoving that soil is to be removed to a certain depth.

See also fill.

cut/fill

Terms in heavy construction and earthmoving used to indicate whether soil is to be removed or added, respectively.

cut/fill line

A line in earthworks that indicates where a surface transitions from an area that needs to be cut to an 'at grade' area or an area that needs to be filled.

See also daylight boundary and cut/fill grid.

cut/fill map

A map with shading and/or a grid of measurements at an interval showing the elevation differences between two surfaces, such as an existing ground surface and a design surface. Cut/fill maps are color-coded to indicate where earth needs to be cut or filled.

See also cut/fill line and daylight boundary.

cycle slip

An unknown jump in the number of carrier cycles resulting from failure to maintain continuous lock on a satellite. A cycle slip requires the re-estimation of integer ambiguity terms during baseline processing.

See also carrier phase.

data card

A plug-in, removable, and transferrable memory card that holds all the job site and design files for a machine using a grade control system.

data logging

The process of recording satellite data in a file stored in the receiver, on a data collector, or on a survey data card.

data message

A message, included in the GNSS signal, which reports on the location and health of the satellites as well as any clock correction. It includes information about the health of other satellites as well as their approximate position.

See also NAVDATA, navigation message.

data preparation

The process of changing design data depicting the final grade into intermediate surfaces and objects required to construct the final design. Typical steps include:

  • Importing, digitizing, or creating necessary data
  • Organizing the data by layer
  • Remove unneeded data and layers from your project
  • Transforming the data by moving, rotation, scaling, copying, offestting, and elevation objects
  • Creating and editing surfaces based on the data
data synchronization area

A folder structure (installed by the Office Synchronizer program on the office computer's hard drive) that contains site settings and data, design data, and work orders in a file structure that the Trimble site controller software can use. Office Synchronizer uses the data synchronization area to exchange files between the office software and the site controller software so that they are synchronized. Technically, the data synchronization area is known as the 'synchronizer root folder'.

datum

See geodetic datum.

datum defect

Unknown discrepancies between two sets of coordinates that can only be rectified by the use of a datum transformation as part of a network adjustment.

datum transformation

The set of parameters used to transform the coordinates of a point defined in one datum to coordinates in a different datum.

Typically, you use datum transformations to convert data collected in terms of the WGS-84 datum using GNSS methods onto datums used for surveying and mapping purposes in individual regions and countries.

daylight boundary

A line in earthworks that indicates where a surface transitions from the existing ground on the perimeter to the area that needs to be cut and/or filled.

See also cut/fill line.

deflection angle

The angle at which a line or linear object deviates from its path to a new path.

deflection of the vertical

The angular difference between the upward direction of the plumb line (vertical) and the perpendicular (normal) to the ellipsoid.

degrees of freedom

A measure of the redundancy in a network. The degrees of freedom represent the difference between the number of known values in an adjustment (for example, vector components and known coordinates) minus the number of unknown values (for example, transformation parameters and unknown coordinates).

delta

A quantitative change in value.

delta elevation

The difference in elevation between two points.

delta height

The difference in height or change of height between two points.

delta offset

The horizontal distance between two points in a cross-section view, relative to the location a horizontal alignment.

delta station

The measured length between two points along a horizontal alignment, as displayed in its profile view.

delta X, delta Y, delta Z

Coordinate differences expressed in a Cartesian (usually ECEF) coordinate system.

DEM

See digital elevation model (DEM).

densification

The process of making a surface more densely triangulated (creating a finer mesh of triangles) so that it reflects actual or designed topography in a more detailed, less simplistic way.

departure curve

The exiting curve (from PVI to PVC) in an alignment's asymmetrical vertical curve.

See also approach curve.

dependent data

Associative or parametric data that is influenced by other data; it changes in response to changes made to the data upon which it is dependent. In this software, linestrings and surfaces are dependent. For example, if a surface's shape is based on the position of points that are members of the surface, when the positions of the points change, the surface changes in response, as do its related contours, surface profiles, etc.

design map

A file (generally .dxf) showing the location of selectable features and boundaries that is used on site controllers to stake out points, features, alignments, and surfaces in the field. This was formerly known as a "foreground map".

differential compaction

The compression required (through rolling and compaction) of the asphaltic concrete top surface after it is laid to achieve a finished compacted mat that matches the design surface. This is also known as "differential thickness reduction".

differential positioning

The precise measurement of the relative position of two receivers that are tracking the same satellites simultaneously.

digital elevation model (DEM)

A representation of the topography of the Earth or another surface in digital format (that is, by coordinates and numerical descriptions of altitude). DEMs are often used in geographic information systems. In contrast with topographical maps, the information is stored in a raster format. That is, the map will normally divide the area into rectangular pattern of pixels and store the elevation of each pixel. In that sense, digital elevation model (DEM) data are sampled arrays of surface elevations in raster form.

*.dem is a file format defined by the U. S. Geological Survey (USGS) for digital elevation data.

digital terrain model (DTM)

A mathematical model of the shape of a surface. The represented surface may be an existing terrain, proposed grade surfaces, or a combination of both. The DTM includes random points, breaklines, interior and exterior limits. A triangulated irregular network (TIN) is a type of DTM.

See also triangulated irregular network (TIN).

digitize

To convert analog data into a digital format by tracing it on paper plans using a digitizer. In this program, digitizing is used to bring geographic information, such as control points, topographic contour lines, roadway alignments, and building footprints, related to a job site into a project.

digitizer

An electronic pad and input device (puck or stylus) that you connect to your computer and use to digitize paper plans.

Dilution of Precision (DOP)

An indicator of the quality of a GNSS position. It takes account of each satellite's location relative to the other satellites in the constellation, and their geometry in relation to the GNSS receiver. A low DOP value indicates a higher probability of accuracy. Standard DOP indicators for GNSS applications are:

  • GDOP - Geometric (three position coordinates plus clock offset in the solution)
  • PDOP - Position (three coordinates)
  • HDOP - Horizontal (two horizontal coordinates)
  • VDOP - Vertical (height only)
  • TDOP - Time (clock offset only)
  • RDOP - Relative (normalized to 60 seconds)

See also Geometric Dilution of Precision (GDOP), Horizontal Dilution of Precision (HDOP), Position Dilution of Precision (PDOP), Relative Dilution of Precision (RDOP), Time Dilution of Precision (TDOP), Vertical Dilution of Precision (VDOP).

distance along

The length from a linestring's starting point to a specified point along the linestring. Distance along for linestrings is analogous to stationing for alignments.

distance offset

A total station measurement in which the surveyor measures to a convenient point near the object and enters left/right, up/down, and in/out position offsets so the object position can be calculated from the measured point. You can edit the three offset values and direction after importing the data.

dock

To lock into a fixed position. Panes can be docked to any side or edge of the application window.

DOP

See Dilution of Precision (DOP).

Doppler shift

The apparent change in frequency of a signal caused by the relative motion of satellites and the receiver.

downstation

See station back.

drapeline

A closed polyline on a surface that is used to separate different materials that have been applied to different parts of the surface.

drillhole

A hole drilled vertically into the surface and through the underlying strata on a job site to sample the in situ materials in preparation for earthworks.

dual prism offset

A total station measurement in which the surveyor measures to prism A and then to prism B. The position of the rod point is calculated from these measurements and from the B-C distance (the distance from the rod point to the nearest prism) the surveyor keys in.

You can edit the B-C distance and prism constants after importing the data.

dual-frequency

A type of receiver that uses both L1 and L2 signals from GNSS satellites. A dual-frequency receiver can compute more precise position fixes over longer distances and under more adverse conditions because it compensates for ionospheric delays.

dump

To dispose of unneeded material; also the place in which material is disposed.

duration

See occupation time.

Earth-Centered-Earth-Fixed (ECEF) Cartesian coordinates

Earth-Centered, Earth-Fixed coordinate system that is used to convert latitude, longitude and height values on a global datum to X,Y,Z Cartesian coordinates. The ECEF coordinate system is the basis for all GNSS coordinate computations.

earthen

Naturally occurring soil and rock materials that have shrinkage, haul bulkage, and haul compaction properties. Earthen materials, which are often in situ and native to a job site, factor highly in mass earthwork, mass haul, and topsoil stripping, handling, and replacement computations.

earthwork volume

Surface-to-surface (or surface-to-elevation) volume calculated by computing the difference model (isopach) between the surfaces (or between the elevation and surface) and then applying the prismoidal method to determine the volume.

earthworks

Heavy construction operations, such as excavating, moving, compacting, grading, and stabilizing earth, that aim to change shape of the earth's surface. Earthworks are done to prepare a job site for building construction.

easting

The grid coordinate of a point eastward (positive) or westward (negative) from a reference meridian. Left to right on a grid (x-axis).

See also northing.

ECEF

See Earth-Centered-Earth-Fixed (ECEF) Cartesian coordinates.

elevation

(1) Vertical distance (height) above or below mean sea level.

(2) Vertical distance above or below the geoid.

(3) Distance above or below a local vertical datum.

See also ellipsoid-height, geoid separation.

elevation angle

The angle of the satellite above the horizon, measured from 0 degrees to 90 degrees.

elevation grid

A grid of measurements at an interval showing the elevation differences between a surface and a specified elevation.

See also cut/fill grid.

elevation mask

An adjustable feature of GNSS receivers or baseline processors that specifies a satellite must be a certain number of degrees above the horizon before its signals are used for positioning. Satellites at low elevation angles (five degrees or less) have lower signal strengths and are more prone to loss of lock thus causing noisy solutions.

The elevation mask is usually set to 13 degrees by default to avoid interference problems caused by buildings and trees, and multipath errors.

elevation spot indicator

A mark, such as a dot, circle, plus sign, X, or arrowhead, that denotes where a surface elevation was measured. Each elevation spot indicator is accompanied by a text label of the elevation at that location.

ellipsoid

A mathematical model of the earth formed by rotating an ellipse around its minor axis, the polar axis. The major axis is the equatorial axis. An ellipsoid is completely defined by specifying the lengths of both axes, or by specifying the length of the semi-major axis and the flattening.

See also flattening, semi-major axis, semi-minor axis.

ellipsoid-distance

The length of the normal section between two points. Ellipsoid distance is not the same as the geodesic distance.

See also grid distance, ground distance.

ellipsoid-height

The distance, measured along the normal, from the surface of the ellipsoid to a point. Not the same as elevation above a physical, vertical datum.

See also elevation, geoid separation.

end point

The first or last vertex of a line or line segment.

ephemeris

A set of parameters used by a global navigation satellite receiver to predict the location of a satellite and its clock behavior. Each satellite contains and transmits ephemeris data about its own orbit and clock. Ephemeris data is more accurate than the almanac data but is applicable over a short time frame from four to six hours. Ephemeris data is transmitted by the satellite every 30 seconds.

The ephemeris may be broadcast (projected ahead into time) or precise (post-processed).

See also almanac.

epoch

The measurement interval of a GNSS receiver. The epoch varies according to the survey type: for real-time surveys data is collected at a rapid data rate (for example, one second). For static surveys data is typically collected at a slower rate (for example, every 5 seconds). For example, if a rover receiver measures data every 5 seconds and the base receiver measures data every 15 seconds, then the processor only uses every third measurement from the rover receiver.

error

The difference between the measured value of a quantity and its true value. Surveying errors are generally divided into three categories: blunders, systematic errors, and random errors. Least squares analysis is used to detect and eliminate blunders and systematic errors, and least squares adjustment is used to measure and properly distribute random error.

error ellipse

A statistical measure of the positional error at a given point computed from the propagation of all errors contributing to the position and expressed by its semi-major and semi-minor axis and the covariance. Two-dimensional errors are typically propagated at one-standard deviation (39.4% probability that the position lies on or within the ellipse) or 2.1447 times the standard deviation (95% confidence) level.

A coordinate error ellipse is a graphical representation of the magnitude and direction of the error of network-adjusted points.

existing, in-ground site improvements

Previously-constructed, non-earthen materials at a job site, such as pavements, bases, subgrades, and concrete slabs, that may require demolition, removal, milling, reprocessing, or treatments other than those associated with normal, mass earthwork operations.

explode

To break apart a block (group object composed of multiple individual CAD entities) into its component objects and/or nested blocks. Blocks are exploded to make it easier to delete, move, or modify the individual objects contained in them.

See also block and block definition.

external data

Objects that have been added to a surface as members, as opposed to being embedded in the surface on import. External data influences the surface's shape and can be edited or removed. If the surface references only external data (the surface was created entirely in the program), it will export as points and breaklines.

See also internal data.

failed loop

A loop that has failed during the loop closure process due to a bad vector.

false easting

A value added to a negative easting/X coordinate to make its value positive. False eastings make the latitudinal part of their coordinate systems positive, making them easier to work in.

false northing

A value added to a northing/Y coordinate to make all values positive within an area. False northings make the longitudinal part of their coordinate systems positive, making them easier to work in.

FastStatic

A static GNSS data collection technique that results in multiple occupations being stored in a single file. Typically the occupation times vary based on the number of satellites (SVs) in view.

For FastStatic sessions, the receiver is assumed to:

  • Move to several points and remain stationary while collecting data at each point, and
  • Not collect data while the receiver is moving from point to point, and
  • Collect data for a shorter period of time than for a static session.

See also static (surveying).

feature

An object, such as a tree, fence, utility pole, or building footprint, a surveyor might encounter and record as he collects data in the field. Features are used to describe and define the location of things in the physical world for surveying, mapping, and construction.

See also feature code.

Feature and Attribute Library (*.fxl) file

As used by this software, a text file that contains the definitions of feature codes, attributes, and control codes.

feature code

An alphanumeric string used to identify a feature.

feature code processing

A process in which feature codes assigned to individual points are converted into point or line features representing real-world objects, such as trees, fences, or building footprints.

feature definition

The definition of a feature found in the field (for example, a tree or utility pole) that includes, when applicable, a feature code, attributes, symbols, line styles, and images.

feature-coded field data

Data gathered in the field to which feature codes have been assigned.

field data

Job site data, design data, and work orders that you prepare to use on the controllers at your job site, as well as the measured results sent from the field back to this software.

fill

An indication in construction and earthmoving indicating that soil is to be added to a certain level.

See also cut.

final solution

The final solution provides the best estimate of the GNSS vector between two points.

When post-processing is used to generate GNSS vectors, particularly for static solutions, the baseline processor steps through different solutions using a variety of processing techniques and combinations of GNSS measurements. In general each subsequent solution is better than the previous one, with the final solution providing the best estimate.

finish grade

The final layer of asphalt or concrete material commonly laid on top of the base course in road paving.

fixed

See constrained.

fixed coordinates

Point coordinates that do not move when performing a network adjustment.

fixed solution

A solution obtained when the baseline processor is able to resolve the integer ambiguity search with enough confidence to select one set of integers over another. In a fixed solution, the integer ambiguities have been resolved and a survey is initialized. This is the most precise type of solution.

See also float solution, integer ambiguity.

flattening

(1) A mathematical expression of the relative lengths of the major and minor axes of an ellipsoid: f= (a - b)/a), where "a" is the length of the major axis and "b" is the length of the minor axis.

(2) A measure of the flattening of an ellipse. A circle has a flattening of 0. Flattening of the WGS-84 ellipsoid is approximately 1/298.257223563 = 0.00335281066474.

Flattening is usually displayed as its inverse value (for example, 298.257223563 instead of 0.00335281066474) for easier reading.

float solution

A solution obtained when the baseline processor is unable to resolve the integer ambiguity search with enough confidence to select one set of integers over another. In a float solution the integer ambiguities have not been resolved and the survey is not initialized.

See also fixed solution, integer ambiguity.

foresight

An observation of the distance and direction to the next instrument station.

In traversing, a point set ahead to be used for reference when resetting the transit or line, or when verifying the alignment.

In leveling, the reading on a rod that is held at a point whose elevation is to be determined.

free adjustment

A network adjustment computed without fixing any coordinates. Free adjustment uses inner constraints. They're used to analyze the internal consistency of the network being adjusted.

See also fully-constrained adjustment.

fully-constrained adjustment

A network adjustment in which all points in the network that are part of a larger control network are held fixed to their published coordinate values. A fully-constrained network adjustment is used to merge smaller with larger control networks and old to newer networks.

See also free adjustment.

GCS

See grade control system.

GDOP

See Geometric Dilution of Precision (GDOP).

geodatabase XML

An XML file that includes feature data contained in a project that can be exported from TBC and imported into an Environmental Systems Research Institute, Inc. (ESRI) geographic information system (GIS).

geodetic

Relating to the study of the earth's shape and determining positions of points on it.

geodetic azimuth

The angle between the geodetic meridian and the tangent to the geodesic line of the observer, measured in the plane perpendicular to the ellipsoid normal of the observer. The angle is measured clockwise from north.

geodetic datum

A mathematical model designed to best fit the geoid, defined by the relationship between an ellipsoid and a point on the topographic surface established as the origin of the datum.

World geodetic datums are defined by the size and shape of an ellipsoid and the location of the center of the ellipsoid with respect to the center of the earth. This relationship is generally defined by six quantities:

  • Geodetic latitude
  • Geodetic longitude
  • Height of the origin
  • The two components of the deflection of the vertical at the origin
  • The geodetic azimuth of a line from the origin to some other point

Specialized geodetic datums have been established for particular regions. For example, maps in Europe are often based on the European datum of 1950 (ED-50). Maps in the United States are often based on the North American Datum of 1927 or 1983 (NAD-27, NAD-83). All GPS coordinates are based on the WGS-84 datum surface.

geodetic reference data

Reference data that is the basis for geodetic positioning by GNSS and is used to transform measurements on a curved surface (the earth) to a flat surface (a map or plan).

geographic (geodetic) coordinates

A coordinate system using latitude, longitude and geodetic height.

See also Earth-Centered-Earth-Fixed (ECEF) Cartesian coordinates, ellipsoid.

geoid

The equipotential gravimetric surface (a surface of equal gravity potential) that closely approximates mean sea level. An equipotential surface is normal to the gravity vector at every point. The geoid surface is not a uniform mathematical shape, but is an irregular figure with an overall shape similar to an ellipsoid.

Generally, the elevations of points are measured with reference to the geoid. However, points fixed by GNSS methods have heights established in the WGS-84 datum (a mathematical figure). The relationship between the WGS-84 datum and the geoid must be determined by observation, as there is no single mathematical definition that can describe the relationship.

You must use conventional survey methods to observe the elevation above the geoid, then compare the results with the height above the WGS-84 ellipsoid at the same point. By gathering a large number of observations of the separation between the geoid and the WGS-84 datum (geoidal separation), grid files of the separation values can be established. These grid files allow the interpolation of the geoidal separation at intermediate positions. Files containing these grids of geoidal separations are referred to as geoid models. Given a WGS-84 position that falls within the extents of a geoid model, the model can return the interpolated geoidal separation at a specified position.

geoid model

A mathematical representation of the geoid for a specific area or for the whole earth. This software uses the geoid model and the latitude and longitude of the points to generate geoid separations for your points in the network.

See also geoid, geoid separation.

geoid separation

The distance of the geoid above or below the reference ellipsoid, measured from the ellipsoid to the geoid. Also called geoid height and geoidal undulation.

See also ellipsoid-height, elevation, geoid.

geomatics

The design, collection, storage, analysis, display, and retrieval of three-dimensional spatial information.

The collection of spatial information can be from a variety of sources, including GNSS and terrestrial methods. Geomatics integrates traditional surveying with new technology-driven approaches, making geomatics useful for a vast number of applications.

Geometric Dilution of Precision (GDOP)

The relationship between errors in user position and time, and errors in satellite range. Also, a measure of the quality of a geometric constellation for position and time solutions. GDOP2 = PDOP2 + TDOP2.

See also Dilution of Precision (DOP).

geometry

The shape, size, and arrangement of points, lines, and surfaces in 2D or 3D space.

georeference

The act of positioning an object at its true location (using two or more coordinates) in 2D or 3D space. Georeferencing is used, for example, to position an aerial photograph accurately in relation to other objects in a project so it can be used as a geographic reference or draped on a surface for enhanced visualization.

GLObal NAvigation Satellite System (GLONASS)

The Russian Global Navigation Satellite System (GNSS).

See also Global Navigation Satellite System (GNSS).

Global Navigation Satellite System (GNSS)

A global navigation satellite system is a network of satellites that transmit ranging signals used for positioning and navigation anywhere around the globe; on land, in the air or at sea. The US Global Positioning System (GPS), the Russian GLObal NAvigation Satellite System (GLONASS) and the upcoming European GALILEO system are examples of GNSS.

See also GLObal NAvigation Satellite System (GLONASS), Global Positioning System (GPS).

Global Positioning System (GPS)

A system involving the use of satellite technology to calculate an accurate three-dimensional position. A GPS system consists of a space segment (up to 24 NAVSTAR satellites in 6 different orbits), the control segment (5 monitor stations, 1 master control station and 3 upload stations), and the user segment (GPS receivers). NAVSTAR satellites carry extremely accurate atomic clocks and broadcast coherent simultaneous signals.

GLONASS

See GLObal NAvigation Satellite System (GLONASS).

GNSS

See Global Navigation Satellite System (GNSS).

GNSS observations

A GNSS vector with its associated errors. As a network adjustment progresses, the observations become adjusted GNSS observations.

GNSS raw data

The data collected by a GNSS receiver for the purpose of processing at a later time. It can be in the form of a *.dat file (a Trimble raw data file format), a *.T01 (a compressed Trimble raw data file format), or a RINEX file.

GNSS vector

A three-dimensional measurement between a pair of stations for which simultaneous GNSS data has been collected and processed. Represented as delta X, delta Y, and delta Z; or azimuth, distance, and delta height.

GPS

See Global Positioning System (GPS).

GPS time (GPST)

A measure of time used by the NAVSTAR GPS system. GPS time is based on UTC, but does not add periodic "leap seconds" to correct for changes in the earth's period of rotation. As of 1 January 2006, GPS time was 14 seconds ahead of UTC. The relationship between GPST and UTC is transmitted within the navigation message.

grade

A measure of the height of the ground, or the gradient of a slope of a roadway or other surface.
See also slope.

grade break

A change in the constant slope of a surface.

grade control system (GCS)

A solution for improving the earthworks construction process, from estimating to completion using an array of positioning technologies from laser or sonic-based systems through full 3D solutions. A GCS gives job site foremen, supervisors, grade checkers, and site engineers the tools to help run grade control systems on site, reducing downtime, and resolving issues as they arise, without office assistance.

grid

A map coordinate system that projects the surface of the earth onto a flat surface such as a "map," using square zones for position measurements. Common map grids include that defined by the UTM (Universal Transverse Mercator) projection.

In this software, grid coordinates are the Cartesian coordinates referenced to the map projection for the coordinate system for the project.

See also coordinate system, coordinate projection methods.

grid conversion

The conversion between geographic and map projection coordinates.

grid distance

The distance between the projected coordinates of two points in a mapping projection.

See also ellipsoid-distance, ground distance.

grid reference value

When checking in raw GNSS data in the software, the values used to orient the project on the display grid.

ground distance

The distance measured by conventional surveying instruments (horizontal distance with curvature applied) between two points on the ground.

See also ellipsoid-distance, grid distance.

ground units

The distance measurement units used in the project model, which can optionally be employed in specifying the height of a text object in those terms, as opposed to specifying a drawing scale dependent text height in sheet units.

HASP license key

HASP (Hardware Against Software Piracy) license keys for this software take the form of USB dongles that you plug into your computer to unlock licensed commands. USB dongles look similar to USB flash drives.

hatch

A pattern of lines or shapes that fills an area in a CAD drawing. Hatching can be used to help identify different types of materials in a drawing and distinguish them from each other.

haul bulkage

A measure of the increase in volume of an insitu portion of soil or rock, due to expansion and loosening occurring as a result of its excavation. Bulkage is a common result when soil is excavated from a site in its natural insitu state and placed into stockpile, or moved elsewhere during construction activities. Its measure provides a means of computing the volume of loose material to be hauled, and therefore the number of loads required at a particular load capacity.

The expected haul bulkage for a given soil can be expressed as a percentage of the initial soil volume. For example, a haul bulkage factor of 8% indicates that the soil will expand to occupy a volume 8% larger than it occupied prior to excavation. This value can also be expressed as a multiplication factor. For example, a soil with a haul bulkage of 8% will have a multiplication factor of 1.08.

See also shrinkage and haul compaction.

haul compaction

A measure of the decrease in volume of a portion of soil or rock, from its loose haulage or stockpiled state to its compacted in place state, as it is placed into earth fill at the specified density. Its measure provides a means of computing the volume of material to be hauled in its loose state in order to fulfill a given volumetric requirement for earth fill at a specified density, or the volume of stockpile material that will be needed to fulfill that requirement.

The expected amount of haul compaction for a given soil can be expressed as a percentage of the soil volume in its loose haulage state. For example, a haul compaction factor of 14.8% indicates that the soil will shrink to occupy a volume 14.8% smaller than it occupied within the loose haul state. This value can also be expressed as a multiplication factor. For example, a soil with a haul compaction of 14.8% will have a multiplication factor of 0.852.

See also shrinkage and haul bulkage.

haul road

A route used by vehicles to move materials from one location to another. For example, haul roads are used to move earthen materials from cut or borrow zones to fill or dump zones.

HDOP

See Horizontal Dilution of Precision (HDOP).

height measurement rod

A measuring tool supplied with an external GNSS antenna and used for measuring the height of the antenna above a point.

Helmert resection

Also known as "seven-parameter transformation." A method used to produce distortion-free transformations from one datum to another. A variation of a standard resection setup type.

HI

Height of instrument. Synonymous with antenna height for GPS.

horizontal adjustment

A calibration adjustment that reduces any residual error between the control coordinates and the grid coordinates calculated from the GNSS positions.

Horizontal Alignment (HAL)

A line used to denote the path of a roadway or similar alignment as seen in plan view (from above).
See also Vertical Alignment (VAL).

horizontal angle offset

A total station measurement in which the surveyor measures to the side of the object, then turns a horizontal angle to the center. The offset is a combination of the slope readings taken to a prism and the horizontal angle after aiming the instrument to the center of the measured object. Because these are measured values, you cannot edit them after importing the data.

horizontal control point

A point with horizontal coordinate accuracy only. The elevation or ellipsoid height is of a lower order of accuracy or is unknown.

Horizontal Dilution of Precision (HDOP)

A measure of the magnitude of DOP errors in latitude and longitude.

See also Dilution of Precision (DOP).

horizontal distance

The distance between two points, computed horizontally from the elevation of either point. The horizontal component of the slope distance.

horizontal fix

Horizontal location (either latitude and longitude, or northing and easting).

horizontal position

A point with horizontal coordinates only.

Imperial Foot

1 Imperial Foot = 1 International Foot = 0.3048 meters. The Imperial Foot unit and term are no longer used. Before 1959, the Imperial Foot = 0.304799472 meters.

See also International Foot.

in situ state

The natural state in which an earthen material lies undisturbed as it was prior to construction activities. The in situ state is used to define the volume of the container needed to hold a given unit mass of a material at a specified moisture content. This is also known as the "bank volume".

See also loose haulage state and compacted in-place state.

independent

Subnetworks, observations, and control points not connected by geometry or errors. This term is the opposite of correlated.

insertion point

The point on a object, such as a CAD block, that defines its singular location (coordinate) in 3D space.

See also origin.

instruction

See corridor template instruction.

integer ambiguity

The whole number of cycles in a carrier phase pseudo-range between the GPS satellite and the GPS receiver.

See also ambiguity.

integer search

GPS baseline processing, whether real-time or post-processed, requires fixed integer solutions for the best possible results. The software that processes the GPS measurements used to derive a baseline does an integer search to obtain a fixed integer solution. The search involves trying various combinations of integer values and selecting the best results.

intermediate point

In leveling, a point of interest that is just like a foresight point but will not be used as a backsight point later.

internal data

Data that is embedded in a surface when the surface is imported (typically as a TTM or LandXML file), as opposed to objects added as surface members in the program. Internal data cannot be edited in the program. When you export a surface containing internal data, the data will export as triangles.

See also external data.

International Foot

1 International Foot = 0.3048 meters. See also US Survey Foot.

interpolate

To calculate a value based on its position between two known values.

ionosphere

The band of charged particles 80 to 120 miles above the earth's surface. It affects the accuracy of GPS measurements if you measure long baselines using single-frequency receivers.

ionospheric delay

A wave propagating through the ionosphere experiences delay. The delay depends on electron content and affects carrier signals. Group delay depends on dispersion in the ionosphere as well, and affects signal modulation (codes). The phase and group delay are of the same magnitude but opposite sign. See also ionospheric modeling.

ionospheric modeling

The time delay caused by the ionosphere varies with respect to the frequency of the GNSS signals and affects each phase of a signal differently. When dual frequency receivers are used, the carrier phase observations for both frequencies can be used to model and eliminate most of the ionospheric effects. When dual frequency measurements are not available an ionospheric model broadcast by the GNSS satellites can be used to reduce ionospheric affects. The use of the broadcast model, however, is not as effective as the use of dual frequency measurements.

isochore

Data derived by subtracting the elevation of one surface from the corresponding elevation of another surface. Isochores are also known as "difference models".

isometric view

A 3D view angle in which the Z axis is vertical and each of the X, Y, and Z axes are 120° apart. An isometric view of a cube, for instance, shows three sides of the cube with their common corner in the center of the view.

See also orthographic view and perspective view.

iteration

A complete set of adjustment computations that includes the formation of the observation equations, normal equations, coordinate adjustments, and computation of residuals.

job site design

An object in your project that contains job site design data, such as a surface, alignment, or linework model, stakeout points, and a design map representing features of the design. Design data is used by crews in the field to stakeout or check designed features, alignments, and surfaces.

kinematic surveying

A method of GNSS surveying using short stop-and-go occupations while maintaining lock on at least four satellites. Can be done in real time or be post-processed to centimeter precisions.

The distinction between a Kinematic survey session and Static or FastStatic sessions is the mobile or roving action of the receiver while data is collected; receivers generally do not remain stationary while collecting kinematic data.

Another important distinction between Kinematic and Static/FastStatic survey methods is the occupation time. In Kinematic surveying, the station occupation time is dramatically shortened (after initialization). It can vary from minutes down to seconds, depending on the application. This allows for a highly productive survey; many data points can be collected in a short period of time.

See also FastStatic, Real-Time Kinematic (RTK), static (surveying), stop-and-go.

known point initialization

Known point is used in conjunction with kinematic initialization. If two known points are available, the baseline processor can calculate an inverse between the two points and derive an initialization vector. This initialization vector, with known baseline components, is used to help solve for the integer ambiguity. If the processor is able to successfully resolve this ambiguity, a fixed integer solution is possible, yielding the best solutions for kinematic surveys.

See also kinematic surveying.

L1

The primary L-band carrier used by GPS satellites to transmit satellite data. The L1 frequency is modulated by the C/A Code, the encrypted P-code (or Y-code), and a 50 bit per second navigation message.

See also Coarse Acquisition (CA) code, L-band, L2, navigation message, P-code, Y-code.

L2

The secondary L-band carrier used by GPS satellites to transmit satellite data. The frequency is modulated by P-code or Y-code and a 50 bit per second navigation message.

See also L-band, L1, navigation message, P-code, Y-code.

label

Text in a graphic view that identifies an object or a property of the object, such as its feature code. At times, annotation and label may be used synonymously.

layer

A way to separate different types of data, and group related types of data, in the same way that transparent overlays in drawings used to. For example, a layer might be used to group all gas, electric, and water objects on a layer named "Utilities".

L-band

The group of radio frequencies extending from 390 MHz to 1550 MHz. The GNSS satellites output signals using L1 and L2 carrier frequencies.

leader line

A line between label text and a graphical element in a drawing or model. Leader lines are used to connect annotations to particular points on graphic objects when the text has been moved away from them to clarify the display.

least squares

A mathematical method for the adjustment of observations, based on the theory of probability. In this adjustment method, the sum of the squares of all the weighted residuals is minimized.

legend

A key that lists what the different symbols, line types, and colors used on a map indicate.

level adjustment

The process of distributing the misclosure (level error) evenly over an entire level run. The adjustment can be proportional to the distance or proportional to the setups.

level control point

In level surveying. a backsight, foresight, or intermediate point for which the user needs the elevation.

level misclosure

The total accumulated error in a level run that begins and ends on a benchmark. It is the difference between the published elevation of the ending benchmark and the elevation calculated from the elevation changes in all of the segments. If the calculated elevation is less than the published elevation, the level misclosure is a negative number. This value would need to be added to the calculated elevation to correct the misclosure. If the calculated elevation is greater than the published elevation, the level misclosure is a positive number. This value would need to be subtracted from the calculated elevation to correct the misclosure.

level of significance

An expression of probability. A one-sigma (standard) error is said to have a level of significance of 68 percent. For one-dimensional errors, a 95 percent level of significance is expressed by 1.96 sigma, and a percent level of significance is expressed by 2.576 sigma.

See also 1-sigma.

level rod

A rod (pole) placed on a point whose gradations can be read by an instrument (or the instrument operator) to compute changes in elevation.

level run

In level surveying, one or more connected level segments. The surveyor decides when and where to begin and end a level run, and how many level segments it will contain. The collection of segments between the beginning and the end is a level run. (Good surveying practice dictates that there be some redundancy in the run so errors can be detected.)

level segment

One setup of the instrument plus a rod reading to the backsight plus all the rod-readings to the foresight and intermediate points. There must be a foresight rod reading; intermediate rod readings are optional. Level files from the DiNi may contain single segment runs without an ID that have a backsight reading and only intermediate readings. The importing process will assign a run ID and designate the first intermediate reading as a foresight reading.

level survey

The process of transferring elevations from one point to another by means of a level instrument and level rod.

lightweight point

A point created when you import a text file (for example, .csv) containing coordinate point data with "Unknown" or "Mapping" quality (for example, topographic points).

line

An object consisting of one or more points and the connections (straight or curved) drawn between each consecutive point. In this software, "line" generically refers to any linear object, including lines, polylines, 3D polylines, multi-lines, circles, arcs, breaklines, and linestrings. When you edit any of these lines, it is converted into a linestring. Lines do not include alignments.

See also linestring.

line segment

See segment.

line style

A graphical style, including properties such as solid, dotted, or dashed, the weight, and symbols or hash marks, applied to a line in a graphic view.

line style scale

The factor used to convert between sheet units and ground units (ground units x plot scale = sheet units).

linestring

A highly-versatile, often multi-segmented line defined by points and the connections between the points. Linestrings are used to represent linear/curvilinear objects, and can be either 2D or 3D. When you edit a line, such as a polyline, arc, or breakline, the line is converted into a linestring.

See also line.

local control coordinate

A local coordinate to which a survey is tied.

local control elevation

A local elevation to which a survey is tied.

local datum

A datum that is designed for accuracy and convenience in surveying in a particular locality. See also geodetic datum.

local ellipsoid

The ellipsoid specified by a coordinate system. The WGS-84 coordinates are first transformed onto this ellipsoid, then converted to grid coordinates.

See also ellipsoid, WGS-84.

local geodetic coordinates

The latitude, longitude, and height of a point. The coordinates are expressed in terms of the local ellipsoid.

See also local ellipsoid.

loop closure

A process for determining the amount of error in a set of observations within a network. A loop closure is calculated by selecting a point from which one or more observations were taken, adding one of those observations to the point's coordinates, and calculating coordinates of the second point based on that observation. This process is repeated one or more times around a loop, finally ending at the original starting point. If there were no errors in the observations, the final calculated coordinate would be exactly the same as the original starting coordinate.

By subtracting the calculated coordinate from the original coordinate a misclosure is determined. Dividing this error by the length of the line allows the error to be expressed in parts per million. This technique can also be used between two different points when both points are known with a high degree of accuracy. This is also known as a traverse closure.

loose haulage state

The state pertaining to the volume of that same unit mass of material, after it has been excavated and placed into some means of conveyance for hauling elsewhere. It is also used to approximate the volume of a stockpile.

See also in situ state and compacted in-place state.

machine

A piece of heavy equipment, such as a bulldozer, excavator, or grader, used on a job site. In this software, 'machine' refers to the equipment on which a data card will be used.

machine control

The practice of guiding heavy construction equipment, such as graders, dozers, and pavers, using positioning technology to determine and adjust the positions of blades, screeds, etc.

major axis

See ellipsoid.

major contour line

A contour line drawn in a different color or style between regular sets of minor contour lines to show larger incremental changes in topography.

mapping angle

The angle between grid north on a mapping projection and the meridian of longitude at a given point. Also know as convergence.

mapping projection

A rigorous mathematical expression of the curved surface of the ellipsoid on a rectangular coordinate grid.

See also projection.

mass earthwork

Earthmoving operations associated with the excavation of on-site, in situ, earthen materials, other than those materials forming existing, in-ground site improvements which may have previously been imported, mined or manufactured; also earthmoving operations associated with the hauling of excavated, in situ, earthen materials and their placement within compacted earth fill at another location on-site, and those associated with the placement and compaction of earthen materials borrowed from off-site sources in order to make up a deficit.

Mass earthwork does not include the placement of imported materials that have been mined or manufactured for special purposes, or the mechanical or chemical enhancement or stabilization of earthen materials acquired on-site.

mass haul

The analysis of where and how earthen materials on a job site are cut from certain zones and moved to fill other zones.

mat

A course of asphaltic concrete laid over an underlying surface by a paver screed.

material

Naturally-occurring and man-made substances, such as sand, soil, and asphalt, used in land development and construction.

mean angle

An angle that represents the combining and averaging of redundant observations to the same point.

mean sea level

The mean height of the surface of the ocean for all stages of the tide. Used as a reference for elevations.

mean square error (MSE)

The error that quantifies the difference between an estimate and the real value of the number being estimated. Mean square error (MSE) averages the square of the error. MSE is reported for a georeferenced image when more than two pixels in the image are correlated with a corresponding number of 2D coordinates.

measurement noise

The degradation of satellite measurement data due to atmospheric, environmental, and/or multipath conditions.

member

An object that is used to define a surface, and upon which the surface is dependent. Members can be added to, and removed from, a surface, but they simply influence the shape of the surface without becoming part of it.

merged point

A single point created from two or more points that share the same coordinates.

minimally constrained

A network adjustment that uses the minimum number of constraints required to define the coordinate system. Used to measure internal consistency in observations.

See also free adjustment, fully-constrained adjustment.

minor axis

See ellipsoid.

minor contour line

One of several contour lines that are drawn at regular intervals between major contour line to show incremental changes in topography.

model

A file (generally .dxf or .ttm) containing 3D surface or alignment data. Models are used to define topography and determine volumes.

model space

The 3D virtual space in which your project data (model) exists. Model space is a 1:1 scale representation of the real world. To prepare 2D representations of model space for printing or plotting, you work in paper space.

modeling

Expressing an observation and its related errors mathematically and geometrically on some defined coordinate system, such as an ellipsoid.

monument

(1) A structure that marks the location of a corner or point determined by surveying.

(2) Generally, any material, object, or collection of objects which indicate the location, on the ground, of a survey station or corner.

See also control point.

multi-line

A type of CAD line with multiple, parallel lines.

multi-line text

CAD annotation / label text that spans more than one row.

multipath

Interference (similar to ghosts on a television screen) that occurs when GPS signals arrive at an antenna after traveling different paths. The signal traveling the longer path yields a larger pseudorange estimate and increases the error. Multiple paths may arise from reflections from structures near the antenna.

multiple backsight

A total station setup in which:

  • The coordinate for the occupied point must be keyed in, previously measured, or filled in at a later time.
  • The coordinates for the backsights or the azimuths to the backsights must be keyed in or previously measured.
  • All horizontal angles are measured relative to the first backsight.

This setup has redundant information so it is easy to detect errors in the backsight coordinates, azimuths, or instrument setup.

Also known as "station setup plus".

multi-segment line

See polyline.

native

Originating in the place in which it currently resides. In earthworks, native material is that which originally resides in the existing ground (in situ). Native material is often excavated from a job site in areas of cut or topsoil stripping and then reused as fill or topsoil replacement material on the site. Native material can be the same as borrow material.

NAVDATA

The 1500-bit navigation message broadcast by each satellite. This message contains system time, clock correction parameters, ionospheric delay model parameters, and details of the satellite's ephemeris and health. The information is used to process GPS signals to obtain user position and velocity.

See also navigation message.

navigation message

Data that is modulated onto the signal from a navigation satellite. The navigation message contains ephemeris and clock data for that particular satellite, plus other data required by a receiver to compute position velocity and time and almanac data for all GPS satellites.

The navigation message is transmitted at 50 bits per second in 1500-bit frames, each requiring 30 seconds to transmit. A complete set of data to include all almanacs, timing information, ionospheric information and other data requires 12 1/2 minutes to transmit.

See also NAVDATA.

network

A set of baselines.

See also subnetwork.

network adjustment

Solution of simultaneous equations designed to achieve closure in a survey network by minimizing the sum of the weighted squares of the residuals of the observations.

node

A group, such as Points, Surfaces, or Imported Files in the Project Explorer.

See also template node.

node (cross-section)

Similar to a corridor template node and a point in a linestring, a node is a point at the end of a segment in a cross-section. Defined by an elevation and an offset from the cross-section's centerline, a node is often where two segments in a cross-section connect.

normal

In geodesy, the straight line perpendicular to the surface of the ellipsoid.

normal distribution curve

A graphical illustration of the theoretical distribution of random variables around an expected value according to probability theory. Used with histograms.

northing

A linear distance, in the coordinate system of a map grid, northwards from the east-west line through the origin.

See also easting.

object coordinate system (OCS)

A user-defined coordinate system with an origin and orientation for which the X, Y, and Z axes are relative to a specific 3D object, as opposed to being based on the absolute World Coordinate System,

See also user-coordinate system (UCS) and world coordinate system (WCS).

observation

A general term for survey measurements.

observation residual

The correction applied to an observation, as determined by the adjustment.

occupation

A record containing information describing the setup and collection of stationary data in the field. When an occupation overlaps another occupation or a continuous segment, the data can be combined to form a session.

In this software, the occupation data includes the following information:

  • Start time
  • End time
  • Point ID
  • Antenna information

See also observation, session.

occupation point

The point on which the instrument is set up.

occupation time

The amount of time required on a station, or point, to successfully process GNSS baselines. The amount of time will vary depending on the surveying technique, the type of GPS receiver used, and the precision required for the final results. Occupation times can vary from a couple of seconds (for kinematic surveys) to several hours (for control or deformation surveys that require the highest levels of precision and repeatability. Also known as duration.

See also duration, occupation.

offset

A measurement of the distance from an original object to a new object based on the original. Offsets sometimes used to denote where a designed surface or alignment should be in relation to an existing surface or alignment.

operator

A person who uses a site controller at a job site. Operators are identified in an operators list, which defines who can run a specific site controller and what feature set (permission level) they can use in site controller software.

See also operators list.

operators list

A file (.lst) listing the people (operators) who can use a specific site controller and what feature set (permission level) they can use in site controller software. Operators lists are used so names can be selected, instead of having to be entered manually, increasing efficiency and consistency in the field.

orbit information

A subset of the ephemeris data with reduced precision.

orbital error

The difference between the satellite position as calculated using its ephemerides and its "true" position in space.

orientation
  1. The direction a surface triangle's front is facing.
  2. The degree to which an entity or object is rotated in a clockwise direction a specified angular increment off the north, or 0° axis.
  3. The direction that a printed page's longer side is aligned. When the longer side is oriented vertically, it is referred to as 'portrait'; when oriented horizontally, it is known as 'landscape'.
origin

The intersection of axes in a coordinate system. In coordinate systems, the origin is the point at which the X, Y, and Z axes meet, denoting the 0, 0, 0 location.

Sometimes, the insertion point of an object is also referred to as its origin.

orthographic view

A view style in which parallel projected lines remain parallel as they recede in the view; there is no perspective based on a vanishing point. The Plan View and 3D View are orthographic views. The 3D Drive View and Image View are perspective views.

See also isometric view and perspective view.

orthometric height

The distance between a point and the surface of the geoid. It is usually called the elevation.

OTF search method

On-the-fly search method.

GPS baseline processing, whether real-time or post-processed, requires fixed integer solutions for the best possible results.

Historically, the search for a fixed integer solution was done using measurements collected while two or more receivers were stationary on their respective points. Modern receivers and software can use the measurements collected while the roving receiver is moving. Because the receiver is moving, the data is described as collected on-the-fly (OTF) and the integer search using this data is an OTF search.

See also integer search.

outlier

An observation that is identified by statistical analysis as having a residual too large for its estimated error. The term derives from the graphical position of an observation in a histogram.

over-determined

A network for which more measurements have been made than are necessary to compute the coordinates of the network.

See also redundancy.

overexcavate

To excavate below an intended finished or subgrade surface to accommodate layered replacement and compaction of the excavated material in controlled lifts as needed to achieve a specified material density

paper space

A 1:1 scale, 2D representation of model space that you generate for the purpose of printing or plotting.

paper units

See sheet units.

parameter

An independent variable in terms of which the coordinates of points on a line or surface are given.

See also unknowns.

parity

A form of error checking used in binary digital data storage and transfer. Options for parity checking include Even, Odd, or None.

paving control system (PCS)

A non-contact paving system, such as the Trimble® PCS400, that uses graphical control boxes and sensor technology to reference off a stringline or a surface to allow paver operators to view, understand, and control the settings and measurements of grade and slope for increased productivity in paving operations.

P-code

The "protected" or "precise" code used on L1 and L2 GPS bands. The U.S. DoD only makes this code available to authorized users. The P-code is bi-phase shift modulated on both the L1 and L2 carrier frequencies. P-code has a 10.23MHz bit rate and, as implemented in GPS, has a period of one week. Each satellite has a unique P-code that is used to distinguish a satellite from all other satellites.

The P-code is replaced by a Y-code when Anti-Spoofing is active.

See also Y-code.

PCS

See paving control system.

PDOP

See Position Dilution of Precision (PDOP).

PDOP cutoff

A receiver parameter specifying a maximum PDOP value for positioning. When the geometric orientation of the satellites yields a PDOP greater than the mask value, the receiver stops computing position fixes.

PDOP mask

The highest PDOP value at which a receiver will compute positions.

perspective view

A 3d view style representing human visual perception in which parallel projected lines would eventually converge as they recede in the view; there is perspective based on a vanishing point . The plan and 3D views are orthographic. The 3D Drive View and Image View are perspective views.The Plan View and 3D View are orthographic views.

See also orthographic view and isometric view.

phase center models

A model used to apply a correction to a GPS signal based on a specific antenna type. The correction is based on the elevation of the satellite above the horizon and models electrical variations in the antenna phase center location. These models are useful for eliminating errors introduced when identical antennas are not used at both the base and rover points.

See also antenna phase correction.

PI

See point of intersection.

pick aperture

The box appearing on certain cursors that indicates the area in which applicable objects can be picked.

pivot point

A position point that a view or object moves around. Also, the second or middle point of three points specified in order when drawing an angle. A pivot point is sometimes referred to as a "rotation point" or "around point".

placemark

A named location based on a coordinate. Placemarks are used to mark locations on maps so that you can find or navigate to them more easily.

planimetric

Defined by a flat, 2D surface, often meaning a level, zero-elevation ground plane.

plot scale

The factor used to convert from ground units to sheet units (ground units x plot scale = sheet units).

plotbox

A box that you create around that portion of your data in the Plan View to specify an area that you want to print or plot.

plumbing

The act of aligning the antenna or instrument along a vertical line (plumb line) perpendicular to the equipotential surface of earth's gravity field.

POB

See point of beginning.

point

A named object that represents a location with either local or global latitude and longitude coordinates, and possibly a height or elevation. Points may be brought into a project by importing them in a GPS, GNSS, or points file (.dat, .T01, .pts or .csv), but they can also be created in this software. A point can contain multiple coordinate objects, each with a different location and quality.

The term “point” may also be used generically to mean a coordinate. When you are asked to specify a “point” in this software, it often means that you can specify a coordinate or a named point as described above.

See also coordinate, point ID, and CAD point.

Point ID

The identifier of a named, field-observed or office-entered point object.

See also coordinate, point, and CAD point.

point of beginning (POB)

The first point of an alignment. Stationing ascends from the POB and often the POB is station 0+00.

point of intersection (PI)

The point at which the tangents of two adjacent segments of a line or alignment's horizontal alignment component intersect in the Plan View.

polygon

A closed, planar shape defined by three or more sides. Polygons are used to encompass areas, representing their boundaries.

See also 3D face.

polyline

A line composed of two or more contiguous segments, which can include arcs, lines, and splines. Polylines are used to represent linear data more efficiently than multiple, separate lines.

See also line.

Position Dilution of Precision (PDOP)

A unitless value that expresses the relationship between the error in user position and the error in satellite position. It indicates when the satellite geometry can provide the most accurate results. The best data collection time can be selected based on reports and graphs showing PDOP.

Geometrically, PDOP is proportional to 1 divided by the volume of the pyramid formed by lines running from the receiver to four satellites observed. It is the result of a calculation that takes into account each satellite’s location relative to the other satellites in the constellation. Good values are small, less than 3. Values greater than 7 are poor. Thus, small PDOP is associated with widely separated satellites. A low DOP indicates a higher probability of accuracy. A high DOP indicates a lower probability of accuracy. PDOP is related to horizontal and vertical DOP by PDOP2 = HDOP2 + VDOP2.

See also Dilution of Precision (DOP).

post-process

The processing satellite data on a computer after it has been collected.

PPM

Parts per million. A standardized representation of a scale error in distance measurements. A 1-PPM error would result in 1 millimeter of measurement error for every 1000 meters distance traveled.

precision

A measure of how closely random variables tend to cluster around a computed value. High precision implies small residuals. Usually expressed as one part in, or alternatively, as parts per million (PPM).

printable area

The portion of a sheet of paper on which a printer or plotter can apply ink. Most printers and plotters cannot print to the edge of their paper; certain margins at the top, bottom and sides of the sheet are inaccessible.

PRN

See pseudo-random noise code (PRN).

probability

A statistical percentage expressing what portion of a hypothetical number of observations will fall within the defined limits.

See also level of significance.

probable value

The adjusted value for observations and other quantities, assuming that the adjustment has been done correctly. The closest approximation to true value that is possible.

project

The way this software groups data. A project contains all of the raw observations, computed points, coordinate system definition, line work, text and CAD styles.

You can consider a project to be the workspace you are working in. New projects are always created from existing templates and inherit all the elements of the template. After initial creation of the project from the template, all new work is saved only in the new project.

project datum

The geodetic datum associated with a project. All local coordinates are displayed using the datum associated with the project.

projection

A mapping of a set of coordinates from a datum to a plane; or a set of mathematical rules for performing such a translation. Projections are used to create flat maps that represent the surface of the earth or parts of it.

See also coordinate system, coordinate projection methods, grid, mapping projection .

propagated error

Computed errors derived from estimated observational errors and expressed in terms of coordinate positions. Propagated coordinate errors may, in turn, be propagated into relative errors in azimuth, distance, and delta height between points.

property

A characteristic or attribute of a graphic object in a project, such as its display color or the layer on which it resides.

pseudo-random noise (PRN) code

A sequence of digital 1s and 0s that appear to be randomly distributed like noise, but that can be exactly reproduced. PRN codes have a low auto-correlation value for all delays or lags except when they are exactly coincident.

The C/A-Code and the P-Code are examples of PRN codes. Each NAVSTAR satellite can be identified by its unique C/A and P pseudo-random noise codes, so a satellite is sometimes identified according to its "PRN number."

pseudorange

A measure of the apparent propagation time from the satellite to the receiver antenna, expressed as a distance.

Pseudorange is obtained by multiplying the apparent signal-propagation time by the speed of light. Pseudorange differs from the actual range by the amount that the satellite and user clocks are offset, by propagation delays, and by other errors.

The apparent propagation time is determined from the time shift required to align (correlate) a replica of the GPS code generated in the receiver with the received GPS code. The time shift is the difference between the time of signal reception (measured in the receiver time frame) and the time of emission (measured in the satellite time frame).

See also clock offset.

PVI

See vertical point of intersection (VPI).

quality acceptance criteria

The limits of one or more software evaluation tests performed on raw GPS measurement data to determine if the data passes or fails a set of defined tolerance values. These tests either remove data from further processing or mark data requiring quality improvements.

radial distance

The distance in any direction from a center point.

raster

A gridded structure for displaying image data.

raw data

Unprocessed data collected in the field.

raw satellite data

Satellite (GNSS) data that has not been processed.

RDOP

See Relative Dilution of Precision (RDOP).

Real-Time Kinematic (RTK)

A method of GNSS surveying in real time, using short (stop-and-go) occupation, while maintaining lock on at least 4 satellites. This method requires a wireless data link between the base and rover receivers.

See also kinematic surveying, static (surveying), stop-and-go.

redundancy

The amount by which a control network is over-determined (has more observations than are needed to strictly compute its parts).

See also over-determined.

redundancy number

A measure of the degrees of freedom in a portion of (instead of the entire) a control network.

redundant observation

A repeated observation, or an observation that contributes to over-determining a network.

redundant vector

A vector observed to a point that has already been connected to the network by other observations. A redundant vector can be either an independent re-observation of a previous measurement, or an observation to a point from another base. The vector is redundant because it provides more information than is necessary to uniquely determine a point. Redundant observations are very useful, however, because they provide a check on the quality of previous measurements.

reference factor

See standard error of unit weight.

reference frame

The coordinate system of a datum.

reference station

See base station.

reference variance

The square of the reference factor.

See also reference factor.

refline

A total station setup in which:

  • Two points on a line, or one point and the azimuth of the line, are required.
  • The coordinate for the first point on the line must be keyed in, previously measured, or filled in at a later time.
  • The azimuth to the second point or the coordinate for the second point must be keyed in or previously measured.
relative coordinates

Coordinates measured from the origin of another object, and not the current, absolute coordinate system.

Relative Dilution of Precision (RDOP)

A unitless value for precision, normalized to 60 seconds.

See also Dilution of Precision (DOP).

relative errors

Errors and precisions expressed for and between pairs of network-adjusted control points.

residual

The correction, or adjustment, of an observation to achieve overall closure in a control network. Also, any difference between an observed quantity and a computed value for that quantity.

resolution (image)

For screens and raster graphics, the number of pixels displayed in each dimension or the pixels per inch (PPI). For printed images, the number of dots per inch (DPI).

RINEX

Receiver INdependent EXchange format. A set of standard definitions and formats to promote the free exchange of GPS data and facilitate the use of data from any GPS receiver with any software package. The format includes definitions for three fundamental GPS observables, time, phase, and range. A complete description of the RINEX format is found in the Commission VIII International Coordination of Space Techniques for Geodesy and Geodynamics “GPS BULLETIN,” May-June, 1989.

RMS

See Root Mean Square.

roadway

All of the road elements within the easement for a road, encompassing the roadbed, shoulder, slope, and ditch.

Root Mean Square

Used to express the accuracy of point measurement. It is the radius of the error circle within which approximately 70% of position fixes are found. It can be expressed in distance units or in wavelength cycles.

rotated meridian

A zone constant for the oblique Mercator mapping projection.

rotation

In transformations, an angle through which a coordinate axis is moved around the coordinate system origin.

rotation point

A fixed point in space around which a 3D graphic view can be orbited. The rotation point is used to specify a point around which an object or model can be examined from every angle.

rover

Any mobile GPS receiver and field computer that is collecting data in the field. The position of a roving receiver can be differentially corrected relative to a stationary base GPS receiver.

roving segment

The portion of a kinematic raw data file that contains the information collected while the receiver is in motion but is not intended to be used for producing a trajectory or vectors.

Data that is collected as a roving segment can be marked as a continuous segment during data file import (Raw Data Check In).

See also continuous segment.

RTK

See Real-Time Kinematic (RTK).

rubber-sheeting

A method of editing portions of a map or image to make them fit known coordinates, often resulting in warping of the image or map. Rubber-sheeting is sometimes used to make the edges of adjacent images or maps match each other.

S/A

See Selective Availability (S/A).

sampling

An instance of automatically-generated data that fills in between instances of user-defined data. Examples of samplings include vertices created along lines used as breaklines in a surface and templates created along an alignment in a corridor.

satellite geometry

The position and movement of GPS satellites during a GPS survey.

scale

A multiplier used on coordinate and other linear variables, such as for map projections and transformations.

SCS

See site controller software.

segment

An individual section of a multi-segmented line, such as a polyline or linestring, which is defined by two points or three points and curve properties.

selection set

A saved set of previously selected objects that can be quickly recalled and used. Selection sets make accessing and selecting groups of commonly-used data faster and more consistent.

Selective Availability (S/A)

Artificial degradation of the GPS satellite signal by the U.S. Department of Defense. Selective Availability has been turned off since 1st May 2000.

semi-major axis

One-half of the major axis.

semi-minor axis

One-half of the minor axis.

session

A period during which one or more GPS receivers log satellite data, including antenna information and start/stop times. There are two types of sessions: static and stop and go.

A static session consists of two independent, simultaneously collected occupations. The time duration where two occupations overlap defines a session. The session equals the baseline.

A Stop and Go session consists of data collected from a base station and a rover. The time duration where the data overlaps defines a session. The session consists of baselines (the time when the rover is stopped) and trajectories (the times when the rover is moving).

See also baseline, stop-and-go, static (surveying), trajectory.

setup errors

Errors in tribrach centering or height of instrument at a control point.

sheet units

The units used when the data in a project is plotted. Sheet units are calculated by multiplying the ground units by the plot scale (ground units measurement x plot scale = sheet units measurement). Sheet units are used to adjust text and other graphic so they plot more legibly. Sheet units are also known as 'paper units'.

shift grid

A transformation grid that is applied to a projection to correct the initial projection coordinates. Shift grids are generally used to correct local distortions in a regional survey framework that cannot be modeled by a simple transformation.

shrinkage

The decrease in volume of soil (or another material) due to contraction, settling, and compaction.

Also, a measure of the decrease in volume of earth material as it is excavated and extracted from its insitu state and then placed into compacted earth fill. This measure is used to compute the compacted in place volume of material meeting the applicable density specification, which can be satisfied through excavation of a specific volume of insitu earth material.

The expected amount of shrinkage for a given soil can be expressed as a percentage of the insitu soil volume (that of the material in its natural state prior to excavation). For example, a shrinkage factor of 9% indicates that the soil will shrink to occupy a volume 9% smaller than it occupied prior to its excavation. This value can also be expressed as a multiplication factor. For example, a soil exhibiting a shrinkage of 9% will have a multiplication factor of 0.91.

See also haul bulkage and haul compaction.

sideshot

An observed baseline with no redundancy.

sideslope

The sloped portion of a road between the roadbed and the ditch.

sigma

A mathematical symbol or term for standard error.

Signal-to-Noise Ratio (SNR)

(1) Arbitrary strength units used to determine the strength of a satellite signal. A higher SNR is better than a lower SNR.

(2) The power ratio between a signal (meaningful information) and the background noise.

single backsight

A total station setup in which:

  • The coordinate for the occupied point must be keyed in, previously measured, or filled in at a later time.
  • The coordinate for the backsight or the azimuth to the backsight must be keyed in or previously measured.
  • All horizontal angles are measured relative to the backsight.
single-frequency

A type of receiver that only uses the L1 GPS signal. There is no compensation for ionospheric effects.

site

An object in your project that contains site settings and site-specific data, such as a site calibration, the local control points, avoidance zones, and a site map. A job site represents the real-world property or physical area at which surveying, earthworks, and construction associated with a construction project are being done.

Job sites may also have one or more job site designs and reference one or more work orders that are needed to perform the work.

site calibration

A process of computing parameters which establishing the relationship between WGS-84 positions (latitude, longitude and ellipsoid height) determined by GPS observations and local known coordinates defined by a map projection and elevations above mean sea level. The parameters are used to generate local grid coordinates from WGS-84 (and vice-versa) real-time in the field when using RTK surveying methods.

site controller

A field device that runs Site Controller Software (SCS) within a Trimble Site Positioning System (SPS). Site controllers used by construction crews are typically hand held computers. The site controller software can also be operated on a tablet or notebook computer in the field. Those devices may commonly be used by construction supervisors, foremen, etc., who may operate them from within a truck cab, as they drive the site. Site data, design data, and work orders are transferred back and forth between office computers and site controllers. After using a controller to collect data in the field, the measurements are transferred from the controller to an office computer.

site controller software (SCS)

Site controller software (SCS) is software that runs on a site controller, which is typically a hand held device. Contractors can use SCS to complete a full range of construction tasks, including:

  • Performing initial job site measurement and verification of original ground levels
  • Measuring site features
  • Checking finished grade and laid material thickness
  • Collecting topographic site data and computing material stockpile volumes
  • Staking out points, lines, alignments, planes, surfaces, complex roadways, side slopes, and catch points
  • Performing as-built site measurements

SCS helps contractors efficiently control and quantify site operations so they do not need to rely on a contract surveyor for their site measurement and stakeout requirements.

site improvement

An object that a construction contractor builds out of a material at a job site. Examples include curbs, sidewalks, pipes, curb inlets, roadway bases, and surface courses.

site map

A file (generally .dxf) showing the location of features and boundaries that is used as a visual reference on controllers in the field. This was formerly known as a "background map".

skyplot

A polar plot that shows the paths of visible satellites for the time interval selected for the graph. The elevation of the satellite is represented in the radial dimension and the azimuth is shown in the angular dimension. The result depicts the satellite's path as it appears to an observer looking down from a place directly above the survey point.

slope

A measure of the gradient, or constant rate of elevation change, of a roadway or other surface.
See also grade.

slope distance

The distance in the plane parallel to the vertical difference (slope) between the points.

snap

A function or mode that constrains the specification of a position on screen to a calculated location or prescribed position on an object, such as the end or mid point of a line.

SNR

See Signal-to-Noise Ratio (SNR).

solution types

A description of both the data and techniques used to obtain baseline solutions from GPS measurements. Typical solution types include descriptions such as code, float, and fixed. These describe techniques used by the baseline processor to obtain a baseline solution (vector).

Solution types also may include descriptions such as L1, L2, or ionospheric free. These describe the way the GPS measurements are combined to achieve particular results.

spiral

A curve whose radius progressively increases or decreases.

spiral in/out

A curve whose radius increases or decreases at a constant rate. Such spirals are used to transition from lines to arcs (and vice versa) in roadway alignments.

spline

A curved line passing through two or more points that is controlled and smoothed by external vertices or control points. Splines are used in drawings to create shapes with smooth transitions.

stakeout

The act of putting a marker into the ground (or painting one on the ground) to denote the location of a coordinate or feature, or the extents of an area. Surveyors stakeout points to indicate where an alignment will run, where earth should be cut or filled, where infrastructure should be built, and where legal boundaries exist.

stakeout point

An X,Y coordinate that identifies a geographic location to be staked as a reference point for construction work.

standard error

A statistical estimate of error, according to which 68 percent of an infinite number of observations will theoretically have absolute errors less than or equal to this value.

standard error of unit weight

A measure of the magnitude of observational residuals in an adjusted network as compared to estimated preadjustment observational errors.

standard resection

A total station setup in which:

  • At least two backsight points are required.
  • The coordinates for the backsights or the azimuths to the backsights must be keyed in or previously measured.
  • All angles are measured relative to the first backsight.

This setup can have redundant information so it is easy to detect errors in the backsight coordinates, azimuths, or instrument setup.

State Plane Coordinates

Special definitions of Transverse Mercator and Lambert conformal mapping projections adopted by statute in the USA. There is one set of such zones for NAD-27, and another for NAD-83.

static (surveying)

A method of GNSS surveying using long occupations (hours in some cases) to collect raw data. The raw data is then post-processed to produce vectors with sub-centimeter precision.

For static sessions, the receiver is assumed to:

  • Remain stationary over a single point
  • Collect data for a longer period of time than for FastStatic.

Static occupation times can range from 30 minutes to several hours or more in length for applications requiring the highest levels of precision and repeatability.

See also FastStatic, kinematic surveying, stop-and-go.

static network

The geometry and order in which GPS baselines collected using static and fast static techniques are organized and processed. The baseline processor first examines the project for points with the highest quality coordinates, and then builds the processing network from those points. The result is a set of static baselines that are derived using accurate initial coordinates.

static session

A period during which one or more GNSS receivers log satellite data consisting of two independent, simultaneously collected occupations. The time duration where two occupations overlap defines the session. The session equals the baseline.

station

A measurement value indicating the length as measured along an alignment object's horizontal alignment, as measured from a real or theoretical stationing starting point (0+00.00). That starting point may or may not be located at the alignment's point of beginning (POB). Stations are generally placed continuously at regular intervals along an alignment. The distance between each station (usually 100 feet in the English system and 1 kilometer in the metric system) is called a "full station". A stake is normally set at each full station.

Within this program's Alignment Editor, an alignment's stationing must be established by designating the station value at its point of beginning (POB).

Stations at points between full stations indicate both their total distance from the above noted stationing starting point and their relative distance from the nearest preceding full station. For example, station 5 + 47.9 is a unique point 547.9 units from the 0+00.00 station point, and 47.9 units from the preceding full station.

See also stationing and station equation.

station ahead

A station with a higher station value (farther from the POB) than the current station. Station ahead is also known as upstation.

station back

A station with a lower station value (closer to the POB) than the current station. Station back is also known as downstation.

station equation

A numeric formula for the point on an alignment where the station value changes from one stationing scheme to another. A station equation may be used, for example, at the end of a horizontal curve to compensate for a design change in the radius of the curve, thereby adjusting the station values from the end of the curve onward to reflect their previously established values as occurring prior to the design change.

See also stationing and station.

station setup plus

A total station setup in which:

  • The coordinate for the occupied point must be keyed in, previously measured, or filled in at a later time.
  • The coordinates for the backsights or the azimuths to the backsights must be keyed in or previously measured.
  • All horizontal angles are measured relative to the first backsight.

This setup has redundant information so it is easy to detect errors in the backsight coordinates, azimuths, or instrument setup.

Also known as "multiple backsight".

station zone

The area between two stations in which an alignment's station values changes from one stationing scheme to another. A stationing zone is denoted by a start station and an end station.

See also station equation.

stationing

A numbering system (often in the format x + xx) that indicates a point's accumulative length along a horizontal alignment from a known reference station, as well as the point's distance from the nearest preceding full station.

See also station and station equation.

status

Every observation and set of coordinates for a point has a status field. The status can be Enabled, Enabled as Check, or Disabled.

  • When present, Enabled observations and coordinates are always used during project computations to determine the calculated positions for points.
  • Enabled as Check observations and coordinates are only used if there are no Enabled observations and coordinates.
  • Disabled observations and coordinates are never used during project computations.
stochastic model

A general reference to the techniques used to estimate errors in a network adjustment.

stockpile

A pile of material, such as topsoil, that is being stored for future earthworks, such as respreading.

stop-and-go

A GNSS relative positioning method in which the rover receiver remains stationary on each point for several seconds and maintains lock on satellites while moving between points.

See also kinematic surveying.

stored cross-section

A saved graphic view formed by slicing vertically through and perpendicular to a horizontal alignment at a specific station. Stored cross-sections are used to visualize and check the accuracy of road surface geometry at different stations along an alignment. Stored cross-sections not only display in cross-section views of an alignment, but also in the Plan View, where they can be selected so their properties can be queried.

See also cross-section.

strata

See stratum.

stratum

One of several levels of earthen, in situ material that lie beneath the upper-most, exposed material level in a surface. The plural of stratum is strata.

style sheet

A file or document that specifies or controls the layout and visual style of content in another file or document. Style sheets are used to separate style from content so that a consistent look can be applied to multiple documents.

subbase

The layer of aggregate material commonly laid between the subgrade and the base course in road paving.

subgrade

The soil or other material (usually earthen and native to the site) on which the subbase is commonly laid in road construction. Also, one of the levels of material defined for an area-based site improvement.

subnetwork

A set of baselines connected together by common control points, and independent of (separate from) any other baselines. As used by this software, a network may consist of one or more subnetworks, and any one subnetwork may consist of as few as one baseline and two control points.

superelevation

The banking of a road along a horizontal curve so motorists can safely and comfortably maneuver the curve at reasonable speeds. As speeds increase and horizontal curves become tighter, a steeper superelevation rate is required.

superelevation runoff

On approach to a superelevated curve, the length of the road needed to transition from a zero (flat) cross slope for the outside lane, to the crown being removed, and, finally, to full superelevation.

On departure from a superelevated curve, the length of the road needed to transition from full superelevation, to the crown being re-added,and, finally, to a zero (flat) cross slope for the outside lane.

surface

A model representing the existing ground, finished earthwork, proposed ground or other topography of terrain for a certain area. Surfaces are used to plan roadway alignments, calculate cut and fill volumes, and perform other construction operations.

surface (depth-based)

Any of the takeoff surfaces created by defining in situ, earthen material strata, and then drillholes with sample stratum depths. Each surface of this type represents a single, subsurface stratum of material, such as sand, clay, loam, shale, or limestone, at the job site.

surface (generalized)

Any surface created using the Create Surface command and not the commands for building specialized PCS surfaces or takeoff surfaces.

surface (layer-based)

Any of the following takeoff surfaces created by assigning layers to the Original or Design categories.

  • Original ground - This surface represents the original land, ground or improved surfaces as commonly measured by topographic survey operations and represented by layers containing existing contours, spot elevations, etc.
  • Original ground with subgrades demolished - This surface represents the uppermost surface of in situ, earthen materials after existing, in-ground site improvements have been removed, but before any topsoil stripping occurs.
  • Finished design with subgrades adjusted - This surface represents the uppermost surface of earthen materials after topsoil has been replaced, but prior to the proposed, in-ground site improvements being built.
  • Finished design - This surface represents the finished land, ground, or improved surface as built, represented by layers containing proposed contours, roadways, parking areas, building pads, etc.
surface (subgrade-based)

Either of the following takeoff surfaces created by assigning area-based site improvements with material layers to the Original and Design layer surfaces, thereby subtracting subgrades from the Original ground or Finished design layer-based surfaces:

  • Original (subgrade) - This surface represents the uppermost strata of the original surface minus the volume of existing, in-ground site improvements that are to be demolished.
  • Design (subgrade) - This surface represents the uppermost strata of the design surface minus the volume of in-ground site improvements that are to be constructed.
surface (topsoil-based)

Either of the following takeoff surfaces created by defining stripping and replacement topsoil areas:

  • Original ground with topsoil stripped (& subgrades demolished) - This surface represents the uppermost surface of existing, in situ earthen materials, excluding the topsoil that is to be stripped.
  • Finished design with topsoil absent (& subgrades adjusted) - This surface represents the uppermost surface of earthen materials other than proposed, in-ground improvements, as it is formed before and in preparation for topsoil replacement.
surface cross-section

A graphic view of a vertical slice through a surface perpendicular to an alignment. Surface cross-sections are used to visualize and check surface cross-section geometry along a single, specific alignment anywhere it coincides with a single, specific surface.

See also cross-section.

surface profile

A graphic view of a vertical slice through a surface where it coincides with a vertical alignment. Surface profiles are used to visualize and compare a surface and its coincident alignment's elevations.

surface slice

A cross-section view of a surface, independent of an alignment.

See also surface profile and cross-section.

surveying observations

Measurements made at or between control points using surveying equipment, including GPS receivers and conventional equipment.

SV

Satellite Vehicle (or Space Vehicle).

symmetrical vertical curve

A parabolic arc in a vertical alignment or profile in which the curves on either side of the point of intersection (PI) are of equal length.

synchronize

The process of making files on a site controller identical to files in the synchronizer root folder ('file synchronization area') used by Business Center - Heavy Construction Edition, and SCS Data Manager. To be in a state of synchronization, a file with the same modify date must appear on both the controller and in the synchronization area. Users synchronize files so that they are always using the most current/same data.

See also synchronizer root folder.

synchronizer root folder

A folder (installed by Office Synchronizer in the root directory of a computer's hard drive) that contains site data, design data, and work orders in a file structure that Trimble site controller software can use. The synchronizer root folder is used by Office Synchronizer to exchange files between office software and site controller software so they match/are 'synchronized'. In documentation, the synchronizer foot folder's file structure is simply referred to as the 'data synchronization area'.

systematic error

An error that occurs with the same sign, and often the same magnitude, in a number of related observations.

takeoff

The process of estimating the cost and needs of a construction job by calculating the volumes of various materials and the quantities of various items needed for the site.

takeoff surface

See surface (takeoff).

tangent

The angle at which a straight line segment intersects a curved segment (arc) without crossing through it. Tangency is used in the horizontal alignments of roadways to smoothly transition from curved portions to straight portions, and vice versa.

tangent runout

On approach to a superelevated curve, the length of the road needed to transition from the normal crown section to the point at which the outside lane has zero (flat) cross slope.

On departure from a superelevated curve, the length of the road needed to transition from the point at which the outside lane has zero (flat) cross slope to the normal crown section.

tau (value)

A value computed from an internal frequency distribution based upon the number of observations, degrees of freedom, and a given probability percentage (95%). This value is used to determine if an observation is not fitting with the others in the adjustment. If an observation's residual exceeds the tau, it can be considered an outlier.

tau criterion

Allen Pope's statistical technique for detecting observation outliers.

TCC

See Connected Community.

TDOP

See Time Dilution of Precision (TDOP).

template

A set of parameters that can be used to create projects from a uniform starting point. In some applications, a user can define templates for projects, calculations, and reports.

See also corridor template.

template node

The point in a corridor template at which a new instruction takes effect, changing the shape of the template. Nodes are used to define the various offsets and slopes in the templates. For example, a simple road corridor might contain three nodes: a centerline based on the alignment, a right edge of pavement, and a left edge of pavement.

terrain

The topography and features of a geographic area.

terrestrial observation

A field observation that is performed using a laser rangefinder or conventional instrument.

texture

The visual and tactile properties, such as smooth, gritty, glossy, bumpy, and grainy, of a material's surface. Images of the material textures can be applied to a surface to enhance visualization.

texture mapping

The process of applying an image (.gif, .jpg, .png, or .tif) of a material texture, to a 3D object or surface to add realism for visualization and output.

tile

A uniformly-shaped (usually square or rectangular) image of a material texture, or the act of applying such tiles to a surface to make visualization more realistic.

Time Dilution of Precision (TDOP)

A unitless value for precision using a clock offset only.

See also Dilution of Precision (DOP).

Time of Week (TOW)

Time of week in seconds, from midnight Saturday night/ Sunday morning GPS time.

time-based view

A chart view in software that displays GNSS data in a chronological format to make it easy to visualize how session and occupation times relate to each other, helping a user check for valid sessions.

tolerance

The amount that a value is allowed to deviate from its predefined/specified value and still be considered valid. Tolerances are defined for many types of data and project settings.

topographic

Relating to topography.

topography

The elevations and contours of a geographic surface.

topsoil

The uppermost layer of soil, which is usually richer in organic matter and therefore more suitable for planting vegetation than buried layers of material.

TOW

See Time of Week (TOW).

tracking summary

A section in the Baseline Processing Report in which a plot indicates the quality and continuity of the tracking of the L1 and L2 signals received from each satellite. For trajectories, multiple tracking summaries are shown. Gaps in the data indicate cycle slips (loss of lock).

trajectory

(1) A set of vectors in a processed baseline, combined and stored as a single object. Combining vectors into a trajectory instead of using individually processed vectors, lets you select baselines much more quickly, and keeps the program running efficiently. This is important if your data contains hundreds or thousands of vectors. In addition, if vectors are combined into a trajectory, they can be moved as a single object. There are times, however, when you may want to store trajectories as individual vectors, such as if you need to delete certain vectors, but not the entire set.

(2) The continuous data collection portion of a kinematic session. The collected data is processed to produce trajectory objects containing many vectors or a set of individual vectors, depending on project settings.

See also session, stop-and-go, vector.

transformation

The rotation, shift, and scaling of a network to move it from one coordinate system to another.

transformation group

A selected group of observations used to compute transformation parameters unique to that group of observations. Typically, the observations within the group are the same type with similar errors and measured using a common method.

transformation parameters

A set of parameters that transform one datum to another. The parameters are derived from a network adjustment, by performing a site calibration, or defined by the user. With GNSS, the parameters are typically generated to transform WGS-84 to the local datum.

See also datum transformation.

transition

A section of roadway where one alignment merges into another alignment, or the cross-section changes from one configuration to another.

transitional segment

A spiral segment (clothoid spiral) that transitions to an increasing or decreasing radius.

traverse adjustment

The process by which the linear misclosure in a closed traverse is adjusted (or distributed) throughout the traverse to provide balance. The software supports two methods of traverse adjustment as imported from Survey Controller:

  • Compass (Bowditch) Rule method – Adjusts departures and latitudes of traverse courses in proportion to their lengths.
  • Transit Rule method - Adjusts respective departures and latitudes in either equal proportions or proportional to the lengths of the lines.
triangulated irregular network (TIN)

A mathematical model of a surface defined by triangles where each vertex is a measured point. In this software, TINs and DTMs are known as 'surfaces'.

See also digital terrain model (DTM).

tribrach

A centering device used for mounting GPS antennas and other survey instruments on survey tripods.

tribrach centering errors

The errors associated with centering (plumbing) the tribrach over the observed point. These errors are estimated. The estimate is based on surveying the quality of surveying methods and should be conservative.

tropo model

Tropospheric model. GPS signals are delayed by the troposphere. The amount of the delay will vary with the temperature, humidity, pressure, height of the station above sea level, and the elevation of the GPS satellites above the horizon. Corrections to the code and phase measurements can be made using a tropo model to account for these delays.

tropospheric correction (tropo correction)

The correction applied to a satellite measurement to correct for tropospheric delay. This value is obtained from the modified Hopfield model.

See also tropo model.

turning point

In level surveying, a backsight or foresight point for which the user does not need the elevation. It is a temporary or intermediate point used only to help transfer elevation from one control point to another.

UCS

See user coordinate system (UCS).

uncompacted PCS surface

A surface that represents the ideal surface shape to be formed by a paver screed in placing asphaltic concrete by accounting for the compaction that occurs as the asphalt is rolled.

univarate

A mathematical function describing the behavior of one-dimensional random errors in angle, distance, difference in height, elevation, or ellipsoid height.

Universal Time Coordinate (UTC)

Local solar mean time at Greenwich Meridian. A uniform atomic time system maintained by the U.S. Naval Observatory and kept very close to UT2 by offsets. GPS time is directly relatable to UTC: UTC – GPS = seconds (the constant changes: it was 5 seconds in 1988, 8 seconds in 1993, and is 13 seconds in 2002).

Some commonly used versions of UTC are:

  • UT0: Universal Time as deduced directly from observations of stars and the fixed numerical relationship between Universal and Sidereal Time, 3 minutes 56.555 seconds.
  • UT1: UT0 corrected for polar motion.
  • UT2: UT1 corrected for seasonal variations in the earth's rotation rate.

See also GPS time.

unknowns

The computed adjustments to coordinates and transformation parameters. Also used to compute observation residuals.

See also parameter.

upstation

See station ahead.

URA

See User Range Accuracy (URA).

US National Geodetic Survey

The United States government agency that maintains the national geodetic datum and all geodetic survey control networks within the US and its territories.

US Survey Foot

1 meter = 3.280833333 US Survey Feet (1 US Survey Foot = 1200/3937 meters)

The official unit of linear measure for NAD-27.

See also International Foot.

USB flash drive

A portable, rewritable memory device with a USB (Universal Serial Bus) interface that can be plugged into USB ports on computers and other devices. USB flash drives can be used to transfer job site and design files to GCS machines.

USB flash drives are alternately known as 'USB sticks'.

user coordinate system (UCS)

A coordinate system (in many spatial software programs) with a user-defined origin and orientation, as opposed to being based on the absolute World Coordinate System, for which the X, Y, and Z axes are often relative to one or more 3D objects.

See also world coordinate system (WCS) and object coordinate system (OCS).

User Range Accuracy (URA)

A measure of the errors that may be introduced by satellite problems and Selective Availability (S/A) if a particular satellite vehicle (SV) is used. A URA of 32 meters indicates that S/A is enabled. The URA value is set by the Control Segment and is broadcast by the satellites.

UTC

See Universal Time Coordinate.

variance

The square of the standard error.

variance component estimation

A least-squares technique for estimating the relative error of different portions of a network.

variance group

One of the groups of observations for which variance component estimation is being used in a network adjustment.

variance-covariance matrix

A mathematical statement of quality of the real-time, processed, or post-processed vectors. The baseline processor produces multiple matrices that can then be used in a least squares network adjustment to weight the vectors in the adjustment. In this software, the matrix is viewable in the Baseline Processing Report.

VDOP

See Vertical Dilution of Precision (VDOP).

vector

A three-dimensional line between two points.

vector offset

A measurement (direction and horizontal and vertical distances) taken from a gps observation to another location, usually close by. This offset measurement is not used in the computation process. The coordinates of the offset point are dependent on the vector computed from the observation.

vertex

The point at which contiguous lines or triangle edges converge. The plural of vertex is vertices.

vertical

Similar to the normal, except that it is computed from the tangent plane to the geoid instead of the ellipsoid.

vertical adjustment

A network adjustment of vertical observations and coordinates only.

Vertical Alignment (VAL)

A line used to denote the path of a roadway or similar alignment as seen in profile view (from the side).
See also Horizontal Alignment (HAL).

vertical angle offset

A total station measurement in which the surveyor measures to a point above or below the object, then he turns a vertical angle to the center. The offset is a combination of the slope readings taken to a prism and the vertical angle after aiming the instrument to the center of the measured object. Because these are measured values, you cannot edit them after importing the data.

vertical arc

A symmetrical, parabolic, curved segment in a vertical plane. Vertical arcs are used to transition between straight segments and other vertical arcs in vertical alignments.

vertical calibration

A site calibration consisting of a lift (raise or lower) and tilt (change the northing and easting incline of the geoid or local plane).

vertical control point

A point with vertical coordinate accuracy only. The horizontal position is of a lower order of accuracy or is unknown.

vertical curve

An arc or parabola in a vertical alignment or profile. Vertical curves can be symmetrical or asymmetrical.

Vertical Dilution of Precision (VDOP)

A unitless value for precision using height only.

See also Dilution of Precision (DOP).

vertical exaggeration

See vertical scale.

vertical offset

An offset applied vertically to a line or alignment.

vertical point of intersection (VPI)

The point at which the tangents of adjacent segments of the vertical alignment of a line or alignment intersect in the Profile View.

vertical shift

The change of elevation applied to a point in a project that, in turn, shifts the elevation for the entire project.

vertices

The plural of vertex.

view filter

A set of criteria that controls the visibility and selectability of different data types and layers in graphic views.

viewpoint

The position (height and angle) from which a graphic view is seen; a virtual camera's location in space relative to its subject or scene.

virtual base station

A virtual local reference point established from a virtual base station network for the duration of an RTK survey.

VisionLink

A Trimble fleet and asset management solution that enables owners of mixed fleets to monitor equipment health and fleet utilization with near real-time speed.

volume

The amount of three-dimensional space that a material or an object occupies as represented in cubic units of linear measure. Volume differences are calculated in this software by comparing two surfaces or a surface and a horizontal plane (elevation)for the purpose of determining how much material needs to be moved (cut and filled) during heavy construction earthworks.

VPI

See vertical point of intersection.

waste

The act of disposing of excess soil or other earthen materials excavated on job site, at an offsite location. This term is also used to refer to the volume of excavated materials to be disposed of offsite, as contrasted with materials that can be used on the job site within locations where earth fill is required to achieve the design grade.

See also borrow.

WCS

See world coordinate system (WCS).

weight

The inverse of the variance of an observation.

See also variance.

weights

The set of weights, or the inverse of the variance covariance matrix of correlated observations.

See also variance covariance matrix.

WGS-84

World Geodetic System (1984). The mathematical ellipsoid used by GPS since January 1987.

work order

Instructions for a field crew about the tasks they need to perform at a job site, as well as tolerances and other controller settings associated with those tasks. A work order that requires job site design data in order to be carried out, will contain a reference to the applicable design. Work orders are used to direct and track the progress of construction improvements at the job site.

world coordinate system (WCS)

The default coordinate system (in many spatial software programs) that is based on an absolute origin and orientation.

See also user coordinate system (UCS) and object coordinate system (OCS).

X, Y, and Z axes

An expression for coordinates, with separate meanings for Earth Centered (EC) Cartesian and rectangular coordinates.

In the EC Cartesian system, X refers to the direction of the coordinate axis running from the system origin to the Greenwich Meridian; Y to the axis running from the origin through the 90-degree east longitude meridian, and Z to the polar ice cap.

In rectangular coordinate systems, X refers to the east-west axis, Y to the north-south axis, and Z to the height axis.

XY, YZ, and ZX planes

The three planes defined by pairs of the X,Y, and Z axes in a Cartesian coordinate system.

Y-code

An encrypted form of the information contained in the P-code. Satellites transmit Y-code in place of P-code when Anti-Spoofing is implemented.

See also Anti-Spoofing (AS).

zenith delay

The delay, caused by the troposphere, of a GPS signal observed from a satellite directly overhead. As a satellite approaches the horizon, the signal path through the troposphere becomes longer and the delay increases.

zone

An area of a job site distinguished by having a specific purpose or characteristic, such as a cut or fill zone.


Legal Notices

Corporate Office

Trimble Navigation Limited
Engineering and Construction Division
5475 Kellenburger Road
Dayton, Ohio 45424-1099
U.S.A.

Phone: +1-937-233-8921
Toll free (in USA): +1-800-538-7800
Fax: +1-937-233-9441

www.trimble.com

Copyright and Trademarks

© 2005-2011, Trimble Navigation Limited. All rights reserved.

The Globe & Triangle logo and Trimble are trademarks of Trimble Navigation Limited. All other trademarks are the property of their respective owners.

Release Notice

This is the help for version 2.50 of Trimble Business Center software.


There is no topic available for this index entry. Please select one of the index sub-entries.


There is no topic available for this index entry. Please see the cross-referenced index entry.


GCS/AccuGrade Software Version | Extended Coordinate System Support | Embedded Geoid Sub-Grid Support
11.0 | For GPS firmware: MS980 - v1.5 or later MS990 - v3.9 or later | na
11.1 | For GPS firmware: MS980 - v1.5 or later MS990 - v3.9 or later | na
11.2 | For GPS firmware: MS980 - v1.5 or later MS990 - v3.9 or later | For GPS firmware: MS980 - v1.6 or later MS990 - v4.1 or later
11.21 | For GPS firmware: MS980 - v1.5 or later MS990 - v3.9 or later | For GPS firmware: MS980 - v1.6 or later MS990 - v4.1 or later
11.30 | For GPS firmware: MS980 - v1.5 or later MS990 - v3.9 or later MS992 - all versions MS952 - all versions MS972 - all versions | For GPS firmware: MS980 - v1.6 or later MS990 - v4.1 or later MS992 - all versions MS952 - all versions MS972 - all versions
GCS/AccuGrade/ Cat Grade Control Software Version | Extended Coordinate System Support | Embedded Geoid Sub-Grid Support
12.00 | For GPS firmware: MS980 - v1.5 or later MS990 - v3.9 or later MS992 - all versions MS952 - all versions MS972 - all versions | For GPS firmware: MS980 - v1.6 or later MS990 - v4.1 or later MS992 - all versions MS952 - all versions MS972 - all versions